
export const justHiglass = {
  public: false,
  initStrategy: 'auto',
  version: '1.0.0',
  datasets: [
    {
      uid: 'higlass-dataset',
      name: 'HiGlass Dataset',
      files: [],
    },
  ],
  name: 'HiGlass demo',
  coordinationSpace: {
    genomicZoomX: {
      A: 0,
    },
    genomicZoomY: {
      A: 0,
    },
    genomicTargetX: {
      A: 1549999999.5,
    },
    genomicTargetY: {
      A: 1549999999.5,
    },
  },
  layout: [
    {
      component: 'higlass',
      coordinationScopes: {
        genomicZoomX: 'A',
        genomicZoomY: 'A',
        genomicTargetX: 'A',
        genomicTargetY: 'A',
      },
      props: {
        hgViewConfig: {
          uid: 'aa',
          autocompleteSource: '/api/v1/suggest/?d=OHJakQICQD6gTD7skx4EWA&',
          genomePositionSearchBox: {
            autocompleteServer: '//higlass.io/api/v1',
            autocompleteId: 'OHJakQICQD6gTD7skx4EWA',
            chromInfoServer: '//higlass.io/api/v1',
            chromInfoId: 'hg19',
            visible: true,
          },
          chromInfoPath: '//s3.amazonaws.com/pkerp/data/hg19/chromSizes.tsv',
          tracks: {
            top: [
              {
                type: 'horizontal-gene-annotations',
                height: 60,
                tilesetUid: 'OHJakQICQD6gTD7skx4EWA',
                server: '//higlass.io/api/v1',
                uid: 'OHJakQICQD6gTD7skx4EWA',
                options: {
                  name: 'Gene Annotations (hg19)',
                  fontSize: 10,
                  labelPosition: 'hidden',
                  labelLeftMargin: 0,
                  labelRightMargin: 0,
                  labelTopMargin: 0,
                  labelBottomMargin: 0,
                  minHeight: 24,
                  geneAnnotationHeight: 16,
                  geneLabelPosition: 'outside',
                  geneStrandSpacing: 4,
                  showMousePosition: true,
                  mousePositionColor: '#ff00ff',
                  plusStrandColor: '#fdff54',
                  minusStrandColor: '#68bf30',
                  labelColor: 'black',
                  trackBorderWidth: 0,
                  trackBorderColor: 'black',
                },
              },
              {
                chromInfoPath: '//s3.amazonaws.com/pkerp/data/hg19/chromSizes.tsv',
                type: 'horizontal-chromosome-labels',
                height: 30,
                uid: 'X4e_1DKiQHmyghDa6lLMVA',
                options: {
                  color: '#808080',
                  stroke: 'black',
                  fontSize: 12,
                  fontIsLeftAligned: false,
                  showMousePosition: true,
                  mousePositionColor: '#ff00ff',
                },
              },
            ],
            left: [
              {
                type: 'vertical-gene-annotations',
                width: 60,
                tilesetUid: 'OHJakQICQD6gTD7skx4EWA',
                server: '//higlass.io/api/v1',
                options: {
                  labelPosition: 'bottomRight',
                  name: 'Gene Annotations (hg19)',
                  fontSize: 10,
                  labelLeftMargin: 0,
                  labelRightMargin: 0,
                  labelTopMargin: 0,
                  labelBottomMargin: 0,
                  minWidth: 24,
                  geneAnnotationHeight: 16,
                  geneLabelPosition: 'outside',
                  geneStrandSpacing: 4,
                  showMousePosition: true,
                  mousePositionColor: '#ff00ff',
                  plusStrandColor: '#fdff54',
                  minusStrandColor: '#68bf30',
                  labelColor: 'black',
                  trackBorderWidth: 0,
                  trackBorderColor: 'black',
                },
                uid: 'dqBTMH78Rn6DeSyDBoAEXw',
              },
              {
                chromInfoPath: '//s3.amazonaws.com/pkerp/data/hg19/chromSizes.tsv',
                type: 'vertical-chromosome-labels',
                width: 30,
                uid: 'RHdQK4IRQ7yJeDmKWb7Pcg',
                options: {
                  color: '#777777',
                  stroke: 'black',
                  fontSize: 12,
                  fontIsLeftAligned: false,
                  minWidth: 35,
                  showMousePosition: true,
                  mousePositionColor: '#ff00ff',
                },
              },
            ],
            center: [
              {
                uid: 'c1',
                type: 'combined',
                height: 600,
                contents: [
                  {
                    server: '//higlass.io/api/v1',
                    tilesetUid: 'CQMd6V_cRw6iCI_-Unl3PQ',
                    type: 'heatmap',
                    options: {
                      maxZoom: null,
                      labelPosition: 'bottomRight',
                      name: 'Rao et al. (2014) GM12878 MboI (allreps) 1kb',
                      backgroundColor: 'black',
                      labelLeftMargin: 0,
                      labelRightMargin: 0,
                      labelTopMargin: 0,
                      labelBottomMargin: 0,
                      labelShowResolution: true,
                      labelShowAssembly: true,
                      labelColor: '#ffffff',
                      labelTextOpacity: 0.5,
                      labelBackgroundColor: 'black',
                      labelBackgroundOpacity: 0.01,
                      colorRange: [
                        '#000000',
                        '#222e54',
                        '#448db2',
                        '#68bf30',
                        '#fdff54',
                        '#FFFFFF',
                      ],
                      colorbarBackgroundColor: 'black',
                      colorbarBackgroundOpacity: 0.01,
                      colorbarPosition: 'topRight',
                      trackBorderWidth: 0,
                      trackBorderColor: 'black',
                      heatmapValueScaling: 'log',
                      showMousePosition: true,
                      mousePositionColor: '#ff00ff',
                      showTooltip: false,
                      extent: 'full',
                      zeroValueColor: null,
                      scaleStartPercent: '0.00000',
                      scaleEndPercent: '1.00000',
                    },
                    height: 500,
                    uid: 'GjuZed1ySGW1IzZZqFB9BA',
                    transforms: [
                      {
                        name: 'ICE',
                        value: 'weight',
                      },
                    ],
                  },
                ],
                options: {},
              },
            ],
            right: [],
            bottom: [],
            whole: [],
            gallery: [],
          },
          layout: {
            w: 12,
            h: 12,
            x: 0,
            y: 0,
            moved: false,
            static: false,
          },
        },
      },
      x: 0,
      y: 0,
      w: 8,
      h: 2,
    },
    {
      component: 'higlass',
      coordinationScopes: {
        genomicZoomX: 'A',
        genomicZoomY: 'A',
        genomicTargetX: 'A',
        genomicTargetY: 'A',
      },
      props: {
        hgViewConfig: {
          uid: 'aa',
          autocompleteSource: '/api/v1/suggest/?d=OHJakQICQD6gTD7skx4EWA&',
          genomePositionSearchBox: {
            autocompleteServer: '//higlass.io/api/v1',
            autocompleteId: 'OHJakQICQD6gTD7skx4EWA',
            chromInfoServer: '//higlass.io/api/v1',
            chromInfoId: 'hg19',
            visible: true,
          },
          chromInfoPath: '//s3.amazonaws.com/pkerp/data/hg19/chromSizes.tsv',
          tracks: {
            top: [
              {
                type: 'horizontal-gene-annotations',
                height: 60,
                tilesetUid: 'OHJakQICQD6gTD7skx4EWA',
                server: '//higlass.io/api/v1',
                uid: 'OHJakQICQD6gTD7skx4EWA',
                options: {
                  name: 'Gene Annotations (hg19)',
                  fontSize: 10,
                  labelPosition: 'hidden',
                  labelLeftMargin: 0,
                  labelRightMargin: 0,
                  labelTopMargin: 0,
                  labelBottomMargin: 0,
                  minHeight: 24,
                  geneAnnotationHeight: 16,
                  geneLabelPosition: 'outside',
                  geneStrandSpacing: 4,
                  showMousePosition: true,
                  mousePositionColor: '#ff00ff',
                  plusStrandColor: '#fdff54',
                  minusStrandColor: '#68bf30',
                  labelColor: 'black',
                  trackBorderWidth: 0,
                  trackBorderColor: 'black',
                },
              },
              {
                chromInfoPath: '//s3.amazonaws.com/pkerp/data/hg19/chromSizes.tsv',
                type: 'horizontal-chromosome-labels',
                height: 30,
                uid: 'X4e_1DKiQHmyghDa6lLMVA',
                options: {
                  color: '#808080',
                  stroke: 'black',
                  fontSize: 12,
                  fontIsLeftAligned: false,
                  showMousePosition: true,
                  mousePositionColor: '#ff00ff',
                },
              },
            ],
            left: [
              {
                type: 'vertical-gene-annotations',
                width: 60,
                tilesetUid: 'OHJakQICQD6gTD7skx4EWA',
                server: '//higlass.io/api/v1',
                options: {
                  labelPosition: 'bottomRight',
                  name: 'Gene Annotations (hg19)',
                  fontSize: 10,
                  labelLeftMargin: 0,
                  labelRightMargin: 0,
                  labelTopMargin: 0,
                  labelBottomMargin: 0,
                  minWidth: 24,
                  geneAnnotationHeight: 16,
                  geneLabelPosition: 'outside',
                  geneStrandSpacing: 4,
                  showMousePosition: true,
                  mousePositionColor: '#ff00ff',
                  plusStrandColor: '#fdff54',
                  minusStrandColor: '#68bf30',
                  labelColor: 'black',
                  trackBorderWidth: 0,
                  trackBorderColor: 'black',
                },
                uid: 'dqBTMH78Rn6DeSyDBoAEXw',
              },
              {
                chromInfoPath: '//s3.amazonaws.com/pkerp/data/hg19/chromSizes.tsv',
                type: 'vertical-chromosome-labels',
                width: 30,
                uid: 'RHdQK4IRQ7yJeDmKWb7Pcg',
                options: {
                  color: '#777777',
                  stroke: 'black',
                  fontSize: 12,
                  fontIsLeftAligned: false,
                  minWidth: 35,
                  showMousePosition: true,
                  mousePositionColor: '#ff00ff',
                },
              },
            ],
            center: [
              {
                uid: 'c1',
                type: 'combined',
                height: 600,
                contents: [
                  {
                    server: '//higlass.io/api/v1',
                    tilesetUid: 'CQMd6V_cRw6iCI_-Unl3PQ',
                    type: 'heatmap',
                    options: {
                      maxZoom: null,
                      labelPosition: 'bottomRight',
                      name: 'Rao et al. (2014) GM12878 MboI (allreps) 1kb',
                      backgroundColor: 'black',
                      labelLeftMargin: 0,
                      labelRightMargin: 0,
                      labelTopMargin: 0,
                      labelBottomMargin: 0,
                      labelShowResolution: true,
                      labelShowAssembly: true,
                      labelColor: '#ffffff',
                      labelTextOpacity: 0.5,
                      labelBackgroundColor: 'black',
                      labelBackgroundOpacity: 0.01,
                      colorRange: [
                        '#000000',
                        '#222e54',
                        '#448db2',
                        '#68bf30',
                        '#fdff54',
                        '#FFFFFF',
                      ],
                      colorbarBackgroundColor: 'black',
                      colorbarBackgroundOpacity: 0.01,
                      colorbarPosition: 'topRight',
                      trackBorderWidth: 0,
                      trackBorderColor: 'black',
                      heatmapValueScaling: 'log',
                      showMousePosition: true,
                      mousePositionColor: '#ff00ff',
                      showTooltip: false,
                      extent: 'full',
                      zeroValueColor: null,
                      scaleStartPercent: '0.00000',
                      scaleEndPercent: '1.00000',
                    },
                    height: 500,
                    uid: 'GjuZed1ySGW1IzZZqFB9BA',
                    transforms: [
                      {
                        name: 'ICE',
                        value: 'weight',
                      },
                    ],
                  },
                ],
                options: {},
              },
            ],
            right: [],
            bottom: [],
            whole: [],
            gallery: [],
          },
          layout: {
            w: 12,
            h: 12,
            x: 0,
            y: 0,
            moved: false,
            static: false,
          },
        },
      },
      x: 8,
      y: 0,
      w: 4,
      h: 2,
    },
  ],
};
