import * as React$8 from "react";
import React__default, { Children, isValidElement, cloneElement as cloneElement$1, useReducer, useRef, useEffect, useLayoutEffect, createContext as createContext$1, createElement, useContext, useMemo, useCallback, useState } from "react";
import * as ReactDOM from "react-dom";
import ReactDOM__default from "react-dom";
function _arrayWithHoles$2(arr) {
  if (Array.isArray(arr))
    return arr;
}
function _iterableToArrayLimit$2(arr, i) {
  if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr)))
    return;
  var _arr = [];
  var _n = true;
  var _d = false;
  var _e = void 0;
  try {
    for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);
      if (i && _arr.length === i)
        break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null)
        _i["return"]();
    } finally {
      if (_d)
        throw _e;
    }
  }
  return _arr;
}
function _arrayLikeToArray$2(arr, len) {
  if (len == null || len > arr.length)
    len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) {
    arr2[i] = arr[i];
  }
  return arr2;
}
function _unsupportedIterableToArray$2(o, minLen) {
  if (!o)
    return;
  if (typeof o === "string")
    return _arrayLikeToArray$2(o, minLen);
  var n2 = Object.prototype.toString.call(o).slice(8, -1);
  if (n2 === "Object" && o.constructor)
    n2 = o.constructor.name;
  if (n2 === "Map" || n2 === "Set")
    return Array.from(n2);
  if (n2 === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n2))
    return _arrayLikeToArray$2(o, minLen);
}
function _nonIterableRest$2() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _slicedToArray$2(arr, i) {
  return _arrayWithHoles$2(arr) || _iterableToArrayLimit$2(arr, i) || _unsupportedIterableToArray$2(arr, i) || _nonIterableRest$2();
}
function _defineProperty$c(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }
  return obj;
}
function ownKeys$7(object, enumerableOnly) {
  var keys2 = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly)
      symbols = symbols.filter(function(sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      });
    keys2.push.apply(keys2, symbols);
  }
  return keys2;
}
function _objectSpread2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};
    if (i % 2) {
      ownKeys$7(Object(source), true).forEach(function(key) {
        _defineProperty$c(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys$7(Object(source)).forEach(function(key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }
  return target;
}
function _arrayWithoutHoles$2(arr) {
  if (Array.isArray(arr))
    return _arrayLikeToArray$2(arr);
}
function _iterableToArray$2(iter) {
  if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter))
    return Array.from(iter);
}
function _nonIterableSpread$2() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _toConsumableArray$2(arr) {
  return _arrayWithoutHoles$2(arr) || _iterableToArray$2(arr) || _unsupportedIterableToArray$2(arr) || _nonIterableSpread$2();
}
function _classCallCheck$5(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}
function _defineProperties$6(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor)
      descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}
function _createClass$6(Constructor, protoProps, staticProps) {
  if (protoProps)
    _defineProperties$6(Constructor.prototype, protoProps);
  if (staticProps)
    _defineProperties$6(Constructor, staticProps);
  return Constructor;
}
function fromEntries(iterable) {
  return _toConsumableArray$2(iterable).reduce(function(obj, _ref) {
    var key = _ref[0], val = _ref[1];
    return Object.assign(obj, _defineProperty$c({}, key, val));
  }, {});
}
function capitalize$1(word) {
  return word.charAt(0).toUpperCase() + word.slice(1);
}
function getNextScope(prevScopes) {
  var chars = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
  var nextCharIndices = [0];
  function next() {
    var r2 = [];
    nextCharIndices.forEach(function(charIndex) {
      r2.unshift(chars[charIndex]);
    });
    var increment2 = true;
    for (var i = 0; i < nextCharIndices.length; i++) {
      var val = ++nextCharIndices[i];
      if (val >= chars.length) {
        nextCharIndices[i] = 0;
      } else {
        increment2 = false;
        break;
      }
    }
    if (increment2) {
      nextCharIndices.push(0);
    }
    return r2.join("");
  }
  var nextScope;
  do {
    nextScope = next();
  } while (prevScopes.includes(nextScope));
  return nextScope;
}
var Component$2 = {
  DESCRIPTION: "description",
  STATUS: "status"
};
var DataType$2 = {};
var FileType$2 = {};
var CoordinationType$2 = {
  DATASET: "dataset",
  OBS_TYPE: "obsType",
  FEATURE_TYPE: "featureType",
  FEATURE_VALUE_TYPE: "featureValueType"
};
var VitessceConfigDatasetFile = /* @__PURE__ */ function() {
  function VitessceConfigDatasetFile2(url, dataType, fileType, options) {
    _classCallCheck$5(this, VitessceConfigDatasetFile2);
    this.file = _objectSpread2({
      url,
      type: dataType,
      fileType
    }, options !== null ? {
      options
    } : {});
  }
  _createClass$6(VitessceConfigDatasetFile2, [{
    key: "toJSON",
    value: function toJSON() {
      return this.file;
    }
  }]);
  return VitessceConfigDatasetFile2;
}();
var VitessceConfigDataset = /* @__PURE__ */ function() {
  function VitessceConfigDataset2(uid, name2, description2) {
    _classCallCheck$5(this, VitessceConfigDataset2);
    this.dataset = {
      uid,
      name: name2,
      description: description2,
      files: []
    };
  }
  _createClass$6(VitessceConfigDataset2, [{
    key: "addFile",
    value: function addFile(url, dataType, fileType) {
      var options = arguments.length > 3 && arguments[3] !== void 0 ? arguments[3] : null;
      this.dataset.files.push(new VitessceConfigDatasetFile(url, dataType, fileType, options));
      return this;
    }
  }, {
    key: "toJSON",
    value: function toJSON() {
      return _objectSpread2({}, this.dataset, {
        files: this.dataset.files.map(function(f2) {
          return f2.toJSON();
        })
      });
    }
  }]);
  return VitessceConfigDataset2;
}();
var VitessceConfigView = /* @__PURE__ */ function() {
  function VitessceConfigView2(component, coordinationScopes, x2, y2, w2, h2) {
    _classCallCheck$5(this, VitessceConfigView2);
    this.view = {
      component,
      coordinationScopes,
      x: x2,
      y: y2,
      w: w2,
      h: h2
    };
  }
  _createClass$6(VitessceConfigView2, [{
    key: "useCoordination",
    value: function useCoordination2() {
      var _this = this;
      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }
      var cScopes = args;
      cScopes.forEach(function(cScope) {
        _this.view.coordinationScopes[cScope.cType] = cScope.cScope;
      });
      return this;
    }
  }, {
    key: "setXYWH",
    value: function setXYWH(x2, y2, w2, h2) {
      this.view.x = x2;
      this.view.y = y2;
      this.view.w = w2;
      this.view.h = h2;
      return this;
    }
  }, {
    key: "setProps",
    value: function setProps(props) {
      this.view.props = _objectSpread2({}, this.view.props || {}, {}, props);
      return this;
    }
  }, {
    key: "toJSON",
    value: function toJSON() {
      return this.view;
    }
  }]);
  return VitessceConfigView2;
}();
var VitessceConfigViewHConcat = function VitessceConfigViewHConcat2(views) {
  _classCallCheck$5(this, VitessceConfigViewHConcat2);
  this.views = views;
};
var VitessceConfigViewVConcat = function VitessceConfigViewVConcat2(views) {
  _classCallCheck$5(this, VitessceConfigViewVConcat2);
  this.views = views;
};
function hconcat() {
  for (var _len2 = arguments.length, views = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
    views[_key2] = arguments[_key2];
  }
  var vcvhc = new VitessceConfigViewHConcat(views);
  return vcvhc;
}
function vconcat() {
  for (var _len3 = arguments.length, views = new Array(_len3), _key3 = 0; _key3 < _len3; _key3++) {
    views[_key3] = arguments[_key3];
  }
  var vcvvc = new VitessceConfigViewVConcat(views);
  return vcvvc;
}
var VitessceConfigCoordinationScope = /* @__PURE__ */ function() {
  function VitessceConfigCoordinationScope2(cType, cScope) {
    _classCallCheck$5(this, VitessceConfigCoordinationScope2);
    this.cType = cType;
    this.cScope = cScope;
    this.cValue = null;
  }
  _createClass$6(VitessceConfigCoordinationScope2, [{
    key: "setValue",
    value: function setValue(cValue) {
      this.cValue = cValue;
      return this;
    }
  }]);
  return VitessceConfigCoordinationScope2;
}();
var VitessceConfig = /* @__PURE__ */ function() {
  function VitessceConfig2(schemaVersion) {
    var name2 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : void 0;
    var description2 = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : void 0;
    _classCallCheck$5(this, VitessceConfig2);
    this.config = {
      version: schemaVersion,
      name: name2,
      description: description2,
      datasets: [],
      coordinationSpace: {},
      layout: [],
      initStrategy: "auto"
    };
  }
  _createClass$6(VitessceConfig2, [{
    key: "addDataset",
    value: function addDataset() {
      var name2 = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : void 0;
      var description2 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : void 0;
      var options = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : void 0;
      var _ref = options || {}, uid = _ref.uid;
      var prevDatasetUids = this.config.datasets.map(function(d2) {
        return d2.dataset.uid;
      });
      var nextUid = uid || getNextScope(prevDatasetUids);
      var newDataset = new VitessceConfigDataset(nextUid, name2, description2);
      this.config.datasets.push(newDataset);
      var _this$addCoordination = this.addCoordination(CoordinationType$2.DATASET), _this$addCoordination2 = _slicedToArray$2(_this$addCoordination, 1), newScope = _this$addCoordination2[0];
      newScope.setValue(nextUid);
      return newDataset;
    }
  }, {
    key: "addView",
    value: function addView(dataset, component, options) {
      var _ref2 = options || {}, _ref2$x = _ref2.x, x2 = _ref2$x === void 0 ? 0 : _ref2$x, _ref2$y = _ref2.y, y2 = _ref2$y === void 0 ? 0 : _ref2$y, _ref2$w = _ref2.w, w2 = _ref2$w === void 0 ? 1 : _ref2$w, _ref2$h = _ref2.h, h2 = _ref2$h === void 0 ? 1 : _ref2$h, _ref2$mapping = _ref2.mapping, mapping = _ref2$mapping === void 0 ? null : _ref2$mapping;
      var datasetMatches = this.config.coordinationSpace[CoordinationType$2.DATASET] ? Object.entries(this.config.coordinationSpace[CoordinationType$2.DATASET]).filter(function(_ref3) {
        var _ref4 = _slicedToArray$2(_ref3, 2);
        _ref4[0];
        var datasetScope2 = _ref4[1];
        return datasetScope2.cValue === dataset.dataset.uid;
      }).map(function(_ref5) {
        var _ref6 = _slicedToArray$2(_ref5, 1), scopeName = _ref6[0];
        return scopeName;
      }) : [];
      var datasetScope;
      if (datasetMatches.length === 1) {
        var _datasetMatches = _slicedToArray$2(datasetMatches, 1);
        datasetScope = _datasetMatches[0];
      } else {
        throw new Error("No coordination scope matching the dataset parameter could be found in the coordination space.");
      }
      var coordinationScopes = _defineProperty$c({}, CoordinationType$2.DATASET, datasetScope);
      var newView = new VitessceConfigView(component, coordinationScopes, x2, y2, w2, h2);
      if (mapping) {
        var _this$addCoordination3 = this.addCoordination(CoordinationType$2.EMBEDDING_TYPE), _this$addCoordination4 = _slicedToArray$2(_this$addCoordination3, 1), etScope = _this$addCoordination4[0];
        etScope.setValue(mapping);
        newView.useCoordination(etScope);
      }
      this.config.layout.push(newView);
      return newView;
    }
  }, {
    key: "addCoordination",
    value: function addCoordination() {
      var _this2 = this;
      for (var _len4 = arguments.length, args = new Array(_len4), _key4 = 0; _key4 < _len4; _key4++) {
        args[_key4] = arguments[_key4];
      }
      var cTypes = args;
      var result = [];
      cTypes.forEach(function(cType) {
        var prevScopes = _this2.config.coordinationSpace[cType] ? Object.keys(_this2.config.coordinationSpace[cType]) : [];
        var scope = new VitessceConfigCoordinationScope(cType, getNextScope(prevScopes));
        if (!_this2.config.coordinationSpace[scope.cType]) {
          _this2.config.coordinationSpace[scope.cType] = {};
        }
        _this2.config.coordinationSpace[scope.cType][scope.cScope] = scope;
        result.push(scope);
      });
      return result;
    }
  }, {
    key: "linkViews",
    value: function linkViews(views, cTypes) {
      var cValues = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : null;
      var cScopes = this.addCoordination.apply(this, _toConsumableArray$2(cTypes));
      views.forEach(function(view) {
        cScopes.forEach(function(cScope) {
          view.useCoordination(cScope);
        });
      });
      if (Array.isArray(cValues) && cValues.length === cTypes.length) {
        cScopes.forEach(function(cScope, i) {
          cScope.setValue(cValues[i]);
        });
      }
      return this;
    }
  }, {
    key: "layout",
    value: function layout2(viewConcat) {
      function layoutAux(obj, xMin, xMax, yMin, yMax) {
        var w2 = xMax - xMin;
        var h2 = yMax - yMin;
        if (obj instanceof VitessceConfigView) {
          obj.setXYWH(xMin, yMin, w2, h2);
        } else if (obj instanceof VitessceConfigViewHConcat) {
          var views = obj.views;
          var numViews = views.length;
          views.forEach(function(view, i) {
            layoutAux(view, xMin + w2 / numViews * i, xMin + w2 / numViews * (i + 1), yMin, yMax);
          });
        } else if (obj instanceof VitessceConfigViewVConcat) {
          var _views = obj.views;
          var _numViews = _views.length;
          _views.forEach(function(view, i) {
            layoutAux(view, xMin, xMax, yMin + h2 / _numViews * i, yMin + h2 / _numViews * (i + 1));
          });
        }
      }
      layoutAux(viewConcat, 0, 12, 0, 12);
      return this;
    }
  }, {
    key: "toJSON",
    value: function toJSON() {
      return _objectSpread2({}, this.config, {
        datasets: this.config.datasets.map(function(d2) {
          return d2.toJSON();
        }),
        coordinationSpace: fromEntries(Object.entries(this.config.coordinationSpace).map(function(_ref7) {
          var _ref8 = _slicedToArray$2(_ref7, 2), cType = _ref8[0], cScopes = _ref8[1];
          return [cType, fromEntries(Object.entries(cScopes).map(function(_ref9) {
            var _ref10 = _slicedToArray$2(_ref9, 2), cScopeName = _ref10[0], cScope = _ref10[1];
            return [cScopeName, cScope.cValue];
          }))];
        })),
        layout: this.config.layout.map(function(c2) {
          return c2.toJSON();
        })
      });
    }
  }], [{
    key: "fromJSON",
    value: function fromJSON(config2) {
      var name2 = config2.name, description2 = config2.description, schemaVersion = config2.version;
      var vc = new VitessceConfig2(schemaVersion, name2, description2);
      config2.datasets.forEach(function(d2) {
        var newDataset = vc.addDataset(d2.name, d2.description, {
          uid: d2.uid
        });
        d2.files.forEach(function(f2) {
          newDataset.addFile(f2.url, f2.type, f2.fileType);
        });
      });
      Object.keys(config2.coordinationSpace).forEach(function(cType) {
        if (cType !== CoordinationType$2.DATASET) {
          var cObj = config2.coordinationSpace[cType];
          vc.config.coordinationSpace[cType] = {};
          Object.entries(cObj).forEach(function(_ref11) {
            var _ref12 = _slicedToArray$2(_ref11, 2), cScopeName = _ref12[0], cScopeValue = _ref12[1];
            var scope = new VitessceConfigCoordinationScope(cType, cScopeName);
            scope.setValue(cScopeValue);
            vc.config.coordinationSpace[cType][cScopeName] = scope;
          });
        }
      });
      config2.layout.forEach(function(c2) {
        var newView = new VitessceConfigView(c2.component, c2.coordinationScopes, c2.x, c2.y, c2.w, c2.h);
        vc.config.layout.push(newView);
      });
      return vc;
    }
  }]);
  return VitessceConfig2;
}();
var urlPrefix = "https://s3.amazonaws.com/vitessce-data/0.0.31/master_release";
function makeDatasetNameToJsonFiles(datasetPrefix) {
  return function(name2) {
    return {
      type: name2,
      fileType: "".concat(name2, ".json"),
      url: "".concat(urlPrefix, "/").concat(datasetPrefix, "/").concat(datasetPrefix, ".").concat(name2, ".json")
    };
  };
}
function getS3Url(datasetPrefix, name2) {
  return "".concat(urlPrefix, "/").concat(datasetPrefix, "/").concat(datasetPrefix, ".").concat(name2, ".json");
}
function notPublic(config2) {
  return _objectSpread2({}, config2, {
    public: void 0
  });
}
var vapi = {
  VitessceConfig,
  hconcat,
  vconcat,
  cm: Component$2,
  dt: DataType$2,
  ft: FileType$2,
  ct: CoordinationType$2
};
var linnarssonDataTypes = ["cells", "cell-sets", "raster", "molecules", "neighborhoods"];
var linnarssonName = "Codeluppi et al., Nature Methods 2018";
var linnarssonDescription = "Spatial organization of the somatosensory cortex revealed by osmFISH";
var linnarssonBase = {
  name: linnarssonName,
  description: linnarssonDescription,
  version: "1.0.0",
  initStrategy: "auto",
  datasets: [{
    uid: "codeluppi",
    name: "Codeluppi",
    files: [].concat(_toConsumableArray$2(linnarssonDataTypes.map(makeDatasetNameToJsonFiles("linnarsson"))), [_objectSpread2({}, makeDatasetNameToJsonFiles("linnarsson")("clusters"), {
      type: "expression-matrix"
    })])
  }]
};
var linnarssonBaseNoMolecules = {
  name: linnarssonName,
  description: linnarssonDescription,
  version: "1.0.0",
  initStrategy: "auto",
  datasets: [{
    uid: "codeluppi",
    name: "Codeluppi",
    files: [].concat(_toConsumableArray$2(linnarssonDataTypes.filter(function(dtype) {
      return dtype !== "molecules";
    }).map(makeDatasetNameToJsonFiles("linnarsson"))), [_objectSpread2({}, makeDatasetNameToJsonFiles("linnarsson")("clusters"), {
      type: "expression-matrix"
    })])
  }]
};
var justScatter = {
  version: "1.0.0",
  name: "Codeluppi, just scatterplot",
  public: false,
  initStrategy: "auto",
  datasets: [{
    uid: "codeluppi",
    name: "Codeluppi",
    files: [_objectSpread2({}, makeDatasetNameToJsonFiles("linnarsson")("cells"), {
      requestInit: {
        method: "GET",
        headers: {
          "x-foo": "FAKE"
        },
        mode: "cors",
        credentials: "omit",
        cache: "no-store",
        redirect: "error",
        referrer: "FAKE",
        integrity: "FAKE"
      }
    })]
  }],
  coordinationSpace: {
    embeddingType: {
      A: "t-SNE"
    },
    embeddingZoom: {
      A: 0.75
    }
  },
  layout: [{
    component: "scatterplot",
    coordinationScopes: {
      embeddingType: "A",
      embeddingZoom: "A"
    },
    x: 0,
    y: 0,
    w: 12,
    h: 2
  }]
};
var justScatterExpression = {
  version: "1.0.0",
  name: "Codeluppi, just scatterplot and expression",
  public: false,
  initStrategy: "auto",
  datasets: [{
    uid: "codeluppi",
    name: "Codeluppi",
    files: [makeDatasetNameToJsonFiles("linnarsson")("cells"), makeDatasetNameToJsonFiles("linnarsson")("genes")]
  }],
  coordinationSpace: {
    embeddingType: {
      A: "t-SNE"
    },
    embeddingZoom: {
      A: 0.75
    }
  },
  layout: [{
    component: "scatterplot",
    coordinationScopes: {
      embeddingType: "A",
      embeddingZoom: "A"
    },
    x: 0,
    y: 0,
    w: 12,
    h: 2
  }, {
    component: "genes",
    x: 8,
    y: 2,
    w: 4,
    h: 2
  }]
};
var justSpatial = _objectSpread2({}, linnarssonBase, {
  coordinationSpace: {
    spatialZoom: {
      A: -6.5
    },
    spatialTargetX: {
      A: 18e3
    },
    spatialTargetY: {
      A: 18e3
    }
  },
  layout: [{
    component: "spatial",
    coordinationScopes: {
      spatialZoom: "A",
      spatialTargetX: "A",
      spatialTargetY: "A"
    },
    x: 0,
    y: 0,
    w: 10,
    h: 2
  }, {
    component: "genes",
    x: 10,
    y: 1,
    w: 2,
    h: 1
  }]
});
var codeluppi2018 = _objectSpread2({}, linnarssonBase, {
  public: true,
  coordinationSpace: {
    embeddingZoom: {
      PCA: 0,
      TSNE: 0.75
    },
    embeddingType: {
      PCA: "PCA",
      TSNE: "t-SNE"
    },
    spatialZoom: {
      A: -5.5
    },
    spatialTargetX: {
      A: 16e3
    },
    spatialTargetY: {
      A: 2e4
    }
  },
  layout: [{
    component: "description",
    props: {
      description: "".concat(linnarssonName, ": ").concat(linnarssonDescription)
    },
    x: 0,
    y: 0,
    w: 2,
    h: 1
  }, {
    component: "layerController",
    x: 0,
    y: 1,
    w: 2,
    h: 4
  }, {
    component: "status",
    x: 0,
    y: 5,
    w: 2,
    h: 1
  }, {
    component: "spatial",
    coordinationScopes: {
      spatialZoom: "A",
      spatialTargetX: "A",
      spatialTargetY: "A"
    },
    x: 2,
    y: 0,
    w: 4,
    h: 4
  }, {
    component: "genes",
    x: 9,
    y: 0,
    w: 3,
    h: 2
  }, {
    component: "cellSets",
    x: 9,
    y: 3,
    w: 3,
    h: 2
  }, {
    component: "heatmap",
    props: {
      transpose: true
    },
    x: 2,
    y: 4,
    w: 5,
    h: 2
  }, {
    component: "cellSetExpression",
    x: 7,
    y: 4,
    w: 5,
    h: 2
  }, {
    component: "scatterplot",
    coordinationScopes: {
      embeddingType: "PCA",
      embeddingZoom: "PCA"
    },
    x: 6,
    y: 0,
    w: 3,
    h: 2
  }, {
    component: "scatterplot",
    coordinationScopes: {
      embeddingType: "TSNE",
      embeddingZoom: "TSNE"
    },
    x: 6,
    y: 2,
    w: 3,
    h: 2
  }]
});
_objectSpread2({}, linnarssonBaseNoMolecules, {
  coordinationSpace: {
    embeddingZoom: {
      PCA: 0,
      TSNE: 0.75
    },
    embeddingType: {
      PCA: "PCA",
      TSNE: "t-SNE"
    },
    spatialZoom: {
      A: -5.5
    },
    spatialTargetX: {
      A: 16e3
    },
    spatialTargetY: {
      A: 2e4
    },
    geneSelection: {
      A: ["Rorb"]
    },
    geneExpressionColormapRange: {
      A: [0, 0.75]
    }
  },
  layout: [{
    component: "description",
    props: {
      description: "".concat(linnarssonName, ": ").concat(linnarssonDescription)
    },
    x: 0,
    y: 0,
    w: 2,
    h: 2
  }, {
    component: "layerController",
    x: 0,
    y: 2,
    w: 2,
    h: 4
  }, {
    component: "spatial",
    coordinationScopes: {
      spatialZoom: "A",
      spatialTargetX: "A",
      spatialTargetY: "A",
      geneSelection: "A"
    },
    x: 2,
    y: 0,
    w: 4,
    h: 4
  }, {
    component: "genes",
    coordinationScopes: {
      geneSelection: "A"
    },
    x: 9,
    y: 0,
    w: 3,
    h: 2
  }, {
    component: "cellSets",
    x: 9,
    y: 3,
    w: 3,
    h: 2
  }, {
    component: "heatmap",
    coordinationScopes: {
      geneSelection: "A",
      geneExpressionColormapRange: "A"
    },
    props: {
      transpose: true
    },
    x: 2,
    y: 4,
    w: 10,
    h: 2
  }, {
    component: "scatterplot",
    coordinationScopes: {
      embeddingType: "TSNE",
      embeddingZoom: "TSNE",
      geneSelection: "A"
    },
    x: 6,
    y: 0,
    w: 3,
    h: 4
  }]
});
function getCodeluppiViewConfig(name2, description2) {
  var vc = new vapi.VitessceConfig("1.0.0", name2, description2);
  var dataset = vc.addDataset(linnarssonName, linnarssonDescription).addFile(getS3Url("linnarsson", "cells"), vapi.dt.CELLS, vapi.ft.CELLS_JSON).addFile(getS3Url("linnarsson", "cell-sets"), vapi.dt.CELL_SETS, vapi.ft.CELL_SETS_JSON).addFile(getS3Url("linnarsson", "raster"), vapi.dt.RASTER, vapi.ft.RASTER_JSON).addFile(getS3Url("linnarsson", "molecules"), vapi.dt.MOLECULES, vapi.ft.MOLECULES_JSON);
  return [vc, dataset];
}
var driesName = "Eng et al., Nature 2019";
var driesDescription = "Transcriptome-scale super-resolved imaging in tissues by RNA seqFISH";
var eng2019 = {
  name: driesName,
  version: "1.0.14",
  description: driesDescription,
  public: true,
  datasets: [{
    uid: "dries-2019",
    name: "Dries 2019",
    files: ["cells", "cell-sets"].map(makeDatasetNameToJsonFiles("dries"))
  }],
  initStrategy: "auto",
  coordinationSpace: {
    embeddingCellSetPolygonsVisible: {
      A: false
    },
    embeddingCellSetLabelsVisible: {
      A: true
    },
    embeddingCellSetLabelSize: {
      A: 16
    },
    embeddingCellRadius: {
      A: 1
    },
    embeddingZoom: {
      TSNE: 3,
      UMAP: 3
    },
    spatialZoom: {
      A: -4.4
    },
    spatialTargetX: {
      A: 3800
    },
    spatialTargetY: {
      A: -900
    }
  },
  layout: [{
    component: "description",
    props: {
      description: "".concat(driesName, ": ").concat(driesDescription)
    },
    x: 9,
    y: 0,
    w: 3,
    h: 2
  }, {
    component: "status",
    x: 9,
    y: 2,
    w: 3,
    h: 2
  }, {
    component: "cellSets",
    x: 9,
    y: 4,
    w: 3,
    h: 4
  }, {
    component: "cellSetSizes",
    x: 5,
    y: 4,
    w: 4,
    h: 4
  }, {
    component: "scatterplot",
    coordinationScopes: {
      embeddingZoom: "TSNE",
      embeddingCellSetLabelsVisible: "A",
      embeddingCellSetLabelSize: "A",
      embeddingCellSetPolygonsVisible: "A",
      embeddingCellRadius: "A"
    },
    coordinationValues: {
      embeddingType: "t-SNE"
    },
    x: 0,
    y: 2,
    w: 5,
    h: 4
  }, {
    component: "spatial",
    props: {
      cellRadius: 50
    },
    coordinationScopes: {
      spatialZoom: "A",
      spatialTargetX: "A",
      spatialTargetY: "A"
    },
    x: 5,
    y: 0,
    w: 4,
    h: 4
  }, {
    component: "scatterplot",
    coordinationScopes: {
      embeddingZoom: "UMAP",
      embeddingCellSetLabelsVisible: "A",
      embeddingCellSetLabelSize: "A",
      embeddingCellSetPolygonsVisible: "A",
      embeddingCellRadius: "A"
    },
    coordinationValues: {
      embeddingType: "UMAP"
    },
    x: 0,
    y: 0,
    w: 5,
    h: 4
  }]
};
function getEngViewConfig(name2, description2) {
  var vc = new vapi.VitessceConfig("1.0.0", name2, description2);
  var dataset = vc.addDataset(driesName, driesDescription).addFile(getS3Url("dries", "cells"), vapi.dt.CELLS, vapi.ft.CELLS_JSON).addFile(getS3Url("dries", "cell-sets"), vapi.dt.CELL_SETS, vapi.ft.CELL_SETS_JSON);
  return [vc, dataset];
}
var wangName = "Wang et al., Scientific Reports 2018";
var wangDescription = "Multiplexed imaging of high-density libraries of RNAs with MERFISH and expansion microscopy";
var wang2018 = {
  name: wangName,
  version: "1.0.0",
  description: wangDescription,
  public: true,
  datasets: [{
    uid: "wang-2018",
    name: "Wang 2018",
    files: [].concat(_toConsumableArray$2(["cells", "molecules"].map(makeDatasetNameToJsonFiles("wang"))), [_objectSpread2({}, makeDatasetNameToJsonFiles("wang")("genes"), {
      type: "expression-matrix"
    })])
  }],
  initStrategy: "auto",
  coordinationSpace: {
    spatialZoom: {
      A: -1
    },
    spatialLayers: {
      A: [{
        type: "molecules",
        radius: 2,
        opacity: 1,
        visible: true
      }, {
        type: "cells",
        opacity: 1,
        radius: 50,
        visible: true,
        stroked: false
      }]
    }
  },
  layout: [{
    component: "spatial",
    coordinationScopes: {
      spatialZoom: "A",
      spatialLayers: "A"
    },
    x: 0,
    y: 0,
    w: 10,
    h: 2
  }, {
    component: "genes",
    x: 10,
    y: 0,
    w: 2,
    h: 2
  }]
};
var vanderbiltDescription = "High bit depth (uint16) multiplex immunofluorescence images of the kidney by the BIOmolecular Multimodal Imaging Center (BIOMIC) at Vanderbilt University";
var vanderbiltBase = {
  description: vanderbiltDescription,
  layers: [{
    name: "raster",
    type: "RASTER",
    fileType: "raster.json",
    url: "".concat(urlPrefix, "/spraggins/spraggins.raster.json")
  }]
};
var spraggins2020 = _objectSpread2({}, vanderbiltBase, {
  version: "0.1.0",
  name: "Spraggins",
  public: true,
  staticLayout: [{
    component: "spatial",
    props: {
      view: {
        zoom: -6.5,
        target: [2e4, 2e4, 0]
      }
    },
    x: 0,
    y: 0,
    w: 9,
    h: 2
  }, {
    component: "layerController",
    x: 9,
    y: 0,
    w: 3,
    h: 2
  }]
});
var neumann2020 = {
  version: "1.0.1",
  name: "Neumann et al., 2020",
  description: "Four registered imaging modalities (PAS, IMS, AF) from HuBMAP collection HBM876.XNRH.336",
  datasets: [{
    uid: "A",
    name: "Spraggins",
    files: [{
      type: "raster",
      fileType: "raster.json",
      options: {
        schemaVersion: "0.0.2",
        images: [{
          name: "PAS",
          type: "ome-tiff",
          url: "https://assets.hubmapconsortium.org/f4188a148e4c759092d19369d310883b/ometiff-pyramids/processedMicroscopy/VAN0006-LK-2-85-PAS_images/VAN0006-LK-2-85-PAS_registered.ome.tif?token="
        }, {
          name: "AF",
          type: "ome-tiff",
          url: "https://assets.hubmapconsortium.org/2130d5f91ce61d7157a42c0497b06de8/ometiff-pyramids/processedMicroscopy/VAN0006-LK-2-85-AF_preIMS_images/VAN0006-LK-2-85-AF_preIMS_registered.ome.tif?token="
        }, {
          name: "IMS PosMode",
          type: "ome-tiff",
          url: "https://assets.hubmapconsortium.org/be503a021ed910c0918842e318e6efa2/ometiff-pyramids/ometiffs/VAN0006-LK-2-85-IMS_PosMode_multilayer.ome.tif?token="
        }, {
          name: "IMS NegMode",
          type: "ome-tiff",
          url: "https://assets.hubmapconsortium.org/ca886a630b2038997a4cfbbf4abfd283/ometiff-pyramids/ometiffs/VAN0006-LK-2-85-IMS_NegMode_multilayer.ome.tif?token="
        }],
        usePhysicalSizeScaling: true,
        renderLayers: ["PAS", "AF", "IMS PosMode", "IMS NegMode"]
      }
    }]
  }],
  coordinationSpace: {},
  layout: [{
    component: "spatial",
    coordinationScopes: {},
    x: 0,
    y: 0,
    w: 9,
    h: 12
  }, {
    component: "layerController",
    coordinationScopes: {},
    x: 9,
    y: 0,
    w: 3,
    h: 12
  }],
  initStrategy: "auto"
};
var satijaName = "HBM336.FWTN.636";
var satijaDescription = "Spleen scRNA-seq HuBMAP dataset with cell type annotations generated by the Satija lab and the Seurat v3.1 Label Transfer workflow";
var satija2020 = {
  version: "1.0.15",
  name: satijaName,
  description: satijaDescription,
  public: true,
  datasets: [{
    uid: "339952f4-a47f-46dc-9228-18ba2ca256f2",
    name: "339952f4-a47f-46dc-9228-18ba2ca256f2",
    files: [{
      fileType: "cells.json",
      url: "https://s3.amazonaws.com/vitessce-data/0.0.31/master_release/satija/2dca1bf5832a4102ba780e9e54f6c350.cells.json"
    }, {
      fileType: "cell-sets.json",
      url: "https://s3.amazonaws.com/vitessce-data/0.0.31/master_release/satija/2dca1bf5832a4102ba780e9e54f6c350.cell-sets.json"
    }, {
      fileType: "expression-matrix.zarr",
      url: "https://vitessce-data.storage.googleapis.com/0.0.31/master_release/satija/2dca1bf5832a4102ba780e9e54f6c350.expression-matrix.zarr"
    }]
  }],
  initStrategy: "auto",
  coordinationSpace: {
    embeddingType: {
      UMAP: "UMAP"
    },
    embeddingZoom: {
      A: 3
    },
    embeddingTargetX: {
      A: 0
    },
    embeddingTargetY: {
      A: 0
    },
    spatialZoom: {},
    spatialTargetX: {},
    spatialTargetY: {},
    geneExpressionColormapRange: {
      A: [0, 0.25]
    }
  },
  layout: [{
    component: "cellSets",
    h: 4,
    w: 4,
    x: 4,
    y: 0,
    coordinationScopes: {}
  }, {
    component: "cellSetSizes",
    h: 4,
    w: 4,
    x: 8,
    y: 0,
    coordinationScopes: {}
  }, {
    component: "scatterplot",
    h: 4,
    props: {
      mapping: "UMAP",
      view: {
        target: [0, 0, 0],
        zoom: 3
      }
    },
    w: 4,
    x: 0,
    y: 0,
    coordinationScopes: {
      embeddingType: "UMAP",
      embeddingZoom: "A",
      embeddingTargetX: "A",
      embeddingTargetY: "A"
    }
  }, {
    component: "heatmap",
    h: 4,
    w: 10,
    x: 0,
    y: 4,
    coordinationScopes: {
      geneExpressionColormapRange: "A"
    }
  }, {
    component: "description",
    h: 4,
    w: 2,
    x: 10,
    y: 4,
    props: {
      description: "".concat(satijaName, ": ").concat(satijaDescription)
    }
  }]
};
var justHiglass = {
  public: false,
  initStrategy: "auto",
  version: "1.0.0",
  datasets: [{
    uid: "higlass-dataset",
    name: "HiGlass Dataset",
    files: []
  }],
  name: "HiGlass demo",
  coordinationSpace: {
    genomicZoomX: {
      A: 0
    },
    genomicZoomY: {
      A: 0
    },
    genomicTargetX: {
      A: 15499999995e-1
    },
    genomicTargetY: {
      A: 15499999995e-1
    }
  },
  layout: [{
    component: "higlass",
    coordinationScopes: {
      genomicZoomX: "A",
      genomicZoomY: "A",
      genomicTargetX: "A",
      genomicTargetY: "A"
    },
    props: {
      hgViewConfig: {
        uid: "aa",
        autocompleteSource: "/api/v1/suggest/?d=OHJakQICQD6gTD7skx4EWA&",
        genomePositionSearchBox: {
          autocompleteServer: "//higlass.io/api/v1",
          autocompleteId: "OHJakQICQD6gTD7skx4EWA",
          chromInfoServer: "//higlass.io/api/v1",
          chromInfoId: "hg19",
          visible: true
        },
        chromInfoPath: "//s3.amazonaws.com/pkerp/data/hg19/chromSizes.tsv",
        tracks: {
          top: [{
            type: "horizontal-gene-annotations",
            height: 60,
            tilesetUid: "OHJakQICQD6gTD7skx4EWA",
            server: "//higlass.io/api/v1",
            uid: "OHJakQICQD6gTD7skx4EWA",
            options: {
              name: "Gene Annotations (hg19)",
              fontSize: 10,
              labelPosition: "hidden",
              labelLeftMargin: 0,
              labelRightMargin: 0,
              labelTopMargin: 0,
              labelBottomMargin: 0,
              minHeight: 24,
              geneAnnotationHeight: 16,
              geneLabelPosition: "outside",
              geneStrandSpacing: 4,
              showMousePosition: true,
              mousePositionColor: "#ff00ff",
              plusStrandColor: "#fdff54",
              minusStrandColor: "#68bf30",
              labelColor: "black",
              trackBorderWidth: 0,
              trackBorderColor: "black"
            }
          }, {
            chromInfoPath: "//s3.amazonaws.com/pkerp/data/hg19/chromSizes.tsv",
            type: "horizontal-chromosome-labels",
            height: 30,
            uid: "X4e_1DKiQHmyghDa6lLMVA",
            options: {
              color: "#808080",
              stroke: "black",
              fontSize: 12,
              fontIsLeftAligned: false,
              showMousePosition: true,
              mousePositionColor: "#ff00ff"
            }
          }],
          left: [{
            type: "vertical-gene-annotations",
            width: 60,
            tilesetUid: "OHJakQICQD6gTD7skx4EWA",
            server: "//higlass.io/api/v1",
            options: {
              labelPosition: "bottomRight",
              name: "Gene Annotations (hg19)",
              fontSize: 10,
              labelLeftMargin: 0,
              labelRightMargin: 0,
              labelTopMargin: 0,
              labelBottomMargin: 0,
              minWidth: 24,
              geneAnnotationHeight: 16,
              geneLabelPosition: "outside",
              geneStrandSpacing: 4,
              showMousePosition: true,
              mousePositionColor: "#ff00ff",
              plusStrandColor: "#fdff54",
              minusStrandColor: "#68bf30",
              labelColor: "black",
              trackBorderWidth: 0,
              trackBorderColor: "black"
            },
            uid: "dqBTMH78Rn6DeSyDBoAEXw"
          }, {
            chromInfoPath: "//s3.amazonaws.com/pkerp/data/hg19/chromSizes.tsv",
            type: "vertical-chromosome-labels",
            width: 30,
            uid: "RHdQK4IRQ7yJeDmKWb7Pcg",
            options: {
              color: "#777777",
              stroke: "black",
              fontSize: 12,
              fontIsLeftAligned: false,
              minWidth: 35,
              showMousePosition: true,
              mousePositionColor: "#ff00ff"
            }
          }],
          center: [{
            uid: "c1",
            type: "combined",
            height: 600,
            contents: [{
              server: "//higlass.io/api/v1",
              tilesetUid: "CQMd6V_cRw6iCI_-Unl3PQ",
              type: "heatmap",
              options: {
                maxZoom: null,
                labelPosition: "bottomRight",
                name: "Rao et al. (2014) GM12878 MboI (allreps) 1kb",
                backgroundColor: "black",
                labelLeftMargin: 0,
                labelRightMargin: 0,
                labelTopMargin: 0,
                labelBottomMargin: 0,
                labelShowResolution: true,
                labelShowAssembly: true,
                labelColor: "#ffffff",
                labelTextOpacity: 0.5,
                labelBackgroundColor: "black",
                labelBackgroundOpacity: 0.01,
                colorRange: ["#000000", "#222e54", "#448db2", "#68bf30", "#fdff54", "#FFFFFF"],
                colorbarBackgroundColor: "black",
                colorbarBackgroundOpacity: 0.01,
                colorbarPosition: "topRight",
                trackBorderWidth: 0,
                trackBorderColor: "black",
                heatmapValueScaling: "log",
                showMousePosition: true,
                mousePositionColor: "#ff00ff",
                showTooltip: false,
                extent: "full",
                zeroValueColor: null,
                scaleStartPercent: "0.00000",
                scaleEndPercent: "1.00000"
              },
              height: 500,
              uid: "GjuZed1ySGW1IzZZqFB9BA",
              transforms: [{
                name: "ICE",
                value: "weight"
              }]
            }],
            options: {}
          }],
          right: [],
          bottom: [],
          whole: [],
          gallery: []
        },
        layout: {
          w: 12,
          h: 12,
          x: 0,
          y: 0,
          moved: false,
          static: false
        }
      }
    },
    x: 0,
    y: 0,
    w: 8,
    h: 2
  }, {
    component: "higlass",
    coordinationScopes: {
      genomicZoomX: "A",
      genomicZoomY: "A",
      genomicTargetX: "A",
      genomicTargetY: "A"
    },
    props: {
      hgViewConfig: {
        uid: "aa",
        autocompleteSource: "/api/v1/suggest/?d=OHJakQICQD6gTD7skx4EWA&",
        genomePositionSearchBox: {
          autocompleteServer: "//higlass.io/api/v1",
          autocompleteId: "OHJakQICQD6gTD7skx4EWA",
          chromInfoServer: "//higlass.io/api/v1",
          chromInfoId: "hg19",
          visible: true
        },
        chromInfoPath: "//s3.amazonaws.com/pkerp/data/hg19/chromSizes.tsv",
        tracks: {
          top: [{
            type: "horizontal-gene-annotations",
            height: 60,
            tilesetUid: "OHJakQICQD6gTD7skx4EWA",
            server: "//higlass.io/api/v1",
            uid: "OHJakQICQD6gTD7skx4EWA",
            options: {
              name: "Gene Annotations (hg19)",
              fontSize: 10,
              labelPosition: "hidden",
              labelLeftMargin: 0,
              labelRightMargin: 0,
              labelTopMargin: 0,
              labelBottomMargin: 0,
              minHeight: 24,
              geneAnnotationHeight: 16,
              geneLabelPosition: "outside",
              geneStrandSpacing: 4,
              showMousePosition: true,
              mousePositionColor: "#ff00ff",
              plusStrandColor: "#fdff54",
              minusStrandColor: "#68bf30",
              labelColor: "black",
              trackBorderWidth: 0,
              trackBorderColor: "black"
            }
          }, {
            chromInfoPath: "//s3.amazonaws.com/pkerp/data/hg19/chromSizes.tsv",
            type: "horizontal-chromosome-labels",
            height: 30,
            uid: "X4e_1DKiQHmyghDa6lLMVA",
            options: {
              color: "#808080",
              stroke: "black",
              fontSize: 12,
              fontIsLeftAligned: false,
              showMousePosition: true,
              mousePositionColor: "#ff00ff"
            }
          }],
          left: [{
            type: "vertical-gene-annotations",
            width: 60,
            tilesetUid: "OHJakQICQD6gTD7skx4EWA",
            server: "//higlass.io/api/v1",
            options: {
              labelPosition: "bottomRight",
              name: "Gene Annotations (hg19)",
              fontSize: 10,
              labelLeftMargin: 0,
              labelRightMargin: 0,
              labelTopMargin: 0,
              labelBottomMargin: 0,
              minWidth: 24,
              geneAnnotationHeight: 16,
              geneLabelPosition: "outside",
              geneStrandSpacing: 4,
              showMousePosition: true,
              mousePositionColor: "#ff00ff",
              plusStrandColor: "#fdff54",
              minusStrandColor: "#68bf30",
              labelColor: "black",
              trackBorderWidth: 0,
              trackBorderColor: "black"
            },
            uid: "dqBTMH78Rn6DeSyDBoAEXw"
          }, {
            chromInfoPath: "//s3.amazonaws.com/pkerp/data/hg19/chromSizes.tsv",
            type: "vertical-chromosome-labels",
            width: 30,
            uid: "RHdQK4IRQ7yJeDmKWb7Pcg",
            options: {
              color: "#777777",
              stroke: "black",
              fontSize: 12,
              fontIsLeftAligned: false,
              minWidth: 35,
              showMousePosition: true,
              mousePositionColor: "#ff00ff"
            }
          }],
          center: [{
            uid: "c1",
            type: "combined",
            height: 600,
            contents: [{
              server: "//higlass.io/api/v1",
              tilesetUid: "CQMd6V_cRw6iCI_-Unl3PQ",
              type: "heatmap",
              options: {
                maxZoom: null,
                labelPosition: "bottomRight",
                name: "Rao et al. (2014) GM12878 MboI (allreps) 1kb",
                backgroundColor: "black",
                labelLeftMargin: 0,
                labelRightMargin: 0,
                labelTopMargin: 0,
                labelBottomMargin: 0,
                labelShowResolution: true,
                labelShowAssembly: true,
                labelColor: "#ffffff",
                labelTextOpacity: 0.5,
                labelBackgroundColor: "black",
                labelBackgroundOpacity: 0.01,
                colorRange: ["#000000", "#222e54", "#448db2", "#68bf30", "#fdff54", "#FFFFFF"],
                colorbarBackgroundColor: "black",
                colorbarBackgroundOpacity: 0.01,
                colorbarPosition: "topRight",
                trackBorderWidth: 0,
                trackBorderColor: "black",
                heatmapValueScaling: "log",
                showMousePosition: true,
                mousePositionColor: "#ff00ff",
                showTooltip: false,
                extent: "full",
                zeroValueColor: null,
                scaleStartPercent: "0.00000",
                scaleEndPercent: "1.00000"
              },
              height: 500,
              uid: "GjuZed1ySGW1IzZZqFB9BA",
              transforms: [{
                name: "ICE",
                value: "weight"
              }]
            }],
            options: {}
          }],
          right: [],
          bottom: [],
          whole: [],
          gallery: []
        },
        layout: {
          w: 12,
          h: 12,
          x: 0,
          y: 0,
          moved: false,
          static: false
        }
      }
    },
    x: 8,
    y: 0,
    w: 4,
    h: 2
  }]
};
var scAtacSeq10xPbmc = {
  version: "1.0.0",
  name: "HiGlass serverless demo with 10x Genomics scATAC-seq 5k PBMC dataset",
  datasets: [{
    uid: "10x-genomics-pbmc",
    name: "10x Genomics PBMC",
    files: [{
      type: "genomic-profiles",
      fileType: "genomic-profiles.zarr",
      url: "http://higlass-serverless.s3.amazonaws.com/multivec/pbmc_10x_peaks_by_cluster.zarr"
    }]
  }],
  layout: [{
    component: "genomicProfiles",
    props: {
      profileTrackUidKey: "file"
    },
    x: 0,
    y: 0,
    w: 8,
    h: 2
  }, {
    component: "description",
    props: {
      description: "10x Genomics scATAC-seq of 5k PBMCs. Note: the Zarr HiGlass Plugin Datafetcher is not yet optimized. Please be patient while the HiGlass tracks load."
    },
    x: 8,
    y: 0,
    w: 4,
    h: 2
  }],
  initStrategy: "auto"
};
var blinName$1 = "Blin et al., PLoS Biol 2019";
var blinDescription$1 = "Mouse blastocysts imaged by confocal microscopy";
var blin2019 = {
  version: "1.0.6",
  name: blinName$1,
  description: blinDescription$1,
  public: true,
  datasets: [{
    uid: "idr0062-blin-nuclearsegmentation/6001240",
    name: "idr0062-blin-nuclearsegmentation/6001240",
    files: [{
      type: "raster",
      fileType: "raster.ome-zarr",
      url: "https://minio-dev.openmicroscopy.org/idr/v0.3/idr0062-blin-nuclearsegmentation/6001240.zarr"
    }]
  }],
  initStrategy: "auto",
  layout: [{
    component: "spatial",
    x: 0,
    y: 0,
    w: 8,
    h: 12
  }, {
    component: "layerController",
    x: 8,
    y: 0,
    w: 4,
    h: 6
  }, {
    component: "description",
    x: 8,
    y: 6,
    w: 4,
    h: 3
  }, {
    component: "status",
    x: 8,
    y: 9,
    w: 4,
    h: 3
  }]
};
var blinName = "179706";
var blinDescription = "Example of OME-NGFF v0.1";
var omeNgffLegacy = {
  version: "1.0.6",
  name: blinName,
  description: blinDescription,
  public: false,
  datasets: [{
    uid: "179706",
    name: "179706",
    files: [{
      type: "raster",
      fileType: "raster.ome-zarr",
      url: "https://s3.embassy.ebi.ac.uk/idr/zarr/v0.1/179706.zarr"
    }]
  }],
  coordinationSpace: {
    spatialZoom: {
      A: -0.38015
    },
    spatialTargetX: {
      A: 807.843
    },
    spatialTargetY: {
      A: 537.031
    }
  },
  initStrategy: "auto",
  layout: [{
    component: "spatial",
    coordinationScopes: {
      spatialZoom: "A",
      spatialTargetX: "A",
      spatialTargetY: "A"
    },
    x: 0,
    y: 0,
    w: 8,
    h: 12
  }, {
    component: "layerController",
    x: 8,
    y: 0,
    w: 4,
    h: 6
  }, {
    component: "description",
    x: 8,
    y: 6,
    w: 4,
    h: 3
  }, {
    component: "status",
    x: 8,
    y: 9,
    w: 4,
    h: 3
  }]
};
function getConfig$4() {
  var vc = new vapi.VitessceConfig("1.0.0", "HBM485.TBWH.322", "Large intestine snATAC-seq HuBMAP dataset with genomic data visualization powered by HiGlass");
  var baseUrl = "https://vitessce-data.s3.amazonaws.com/0.0.32/master_release/human_intestine_2020_hubmap";
  var dataset = vc.addDataset("HBM485.TBWH.322", "Human large intestine, snATAC-seq").addFile("".concat(baseUrl, "/human_intestine_2020_hubmap.cells.json"), vapi.dt.CELLS, vapi.ft.CELLS_JSON).addFile("".concat(baseUrl, "/human_intestine_2020_hubmap.cell-sets.json"), vapi.dt.CELL_SETS, vapi.ft.CELL_SETS_JSON).addFile("".concat(baseUrl, "/human_intestine_2020_hubmap.genomic-profiles.zarr"), vapi.dt.GENOMIC_PROFILES, vapi.ft.GENOMIC_PROFILES_ZARR);
  var umap = vc.addView(dataset, vapi.cm.SCATTERPLOT, {
    mapping: "UMAP"
  });
  var cellSetsManager = vc.addView(dataset, vapi.cm.CELL_SETS);
  var genomicProfiles = vc.addView(dataset, vapi.cm.GENOMIC_PROFILES);
  vc.layout(vapi.vconcat(genomicProfiles, vapi.hconcat(umap, cellSetsManager)));
  return vc.toJSON();
}
var hubmapIntestineSnAtacSeq = getConfig$4();
function getConfig$3() {
  var _getCodeluppiViewConf = getCodeluppiViewConfig("Coordination Type: ".concat(vapi.ct.EMBEDDING_ZOOM), "Zoom levels in the scatterplots are coordinated."), _getCodeluppiViewConf2 = _slicedToArray$2(_getCodeluppiViewConf, 2), vc = _getCodeluppiViewConf2[0], dataset = _getCodeluppiViewConf2[1];
  var v1 = vc.addView(dataset, vapi.cm.SCATTERPLOT, {
    mapping: "t-SNE"
  });
  var v2 = vc.addView(dataset, vapi.cm.SCATTERPLOT, {
    mapping: "t-SNE"
  });
  vc.linkViews([v1, v2], [vapi.ct.EMBEDDING_ZOOM], [-1]);
  vc.layout(vapi.hconcat(v1, v2));
  return vc.toJSON();
}
var embeddingZoomConfig = getConfig$3();
function getConfig$2() {
  var _getCodeluppiViewConf = getCodeluppiViewConfig("Coordination Type: ".concat(vapi.ct.EMBEDDING_TARGET_X), "Panning along the x-axis of the scatterplots is coordinated."), _getCodeluppiViewConf2 = _slicedToArray$2(_getCodeluppiViewConf, 2), vc = _getCodeluppiViewConf2[0], dataset = _getCodeluppiViewConf2[1];
  var v1 = vc.addView(dataset, vapi.cm.SCATTERPLOT, {
    mapping: "t-SNE"
  });
  var v2 = vc.addView(dataset, vapi.cm.SCATTERPLOT, {
    mapping: "t-SNE"
  });
  vc.linkViews([v1, v2], [vapi.ct.EMBEDDING_TARGET_X], [0]);
  vc.layout(vapi.hconcat(v1, v2));
  return vc.toJSON();
}
var embeddingTargetXConfig = getConfig$2();
function getConfig$1() {
  var _getCodeluppiViewConf = getCodeluppiViewConfig("Coordination Type: ".concat(vapi.ct.EMBEDDING_TARGET_Y), "Panning along the y-axis of the scatterplots is coordinated."), _getCodeluppiViewConf2 = _slicedToArray$2(_getCodeluppiViewConf, 2), vc = _getCodeluppiViewConf2[0], dataset = _getCodeluppiViewConf2[1];
  var v1 = vc.addView(dataset, vapi.cm.SCATTERPLOT, {
    mapping: "t-SNE"
  });
  var v2 = vc.addView(dataset, vapi.cm.SCATTERPLOT, {
    mapping: "t-SNE"
  });
  vc.linkViews([v1, v2], [vapi.ct.EMBEDDING_TARGET_Y], [0]);
  vc.layout(vapi.hconcat(v1, v2));
  return vc.toJSON();
}
var embeddingTargetYConfig = getConfig$1();
function getConfig() {
  var _getEngViewConfig = getEngViewConfig("Coordination Type: ".concat(vapi.ct.EMBEDDING_CELL_SET_POLYGONS_VISIBLE), 'Visibility of polygon overlays is coordinated in the top two scatterplots, and independent in the bottom two. Try clicking the gear above each plot and toggling the "Cell Set Polygons Visible" checkboxes.'), _getEngViewConfig2 = _slicedToArray$2(_getEngViewConfig, 2), vc = _getEngViewConfig2[0], dataset = _getEngViewConfig2[1];
  var v1 = vc.addView(dataset, vapi.cm.SCATTERPLOT, {
    mapping: "t-SNE",
    x: 0,
    y: 0,
    w: 5,
    h: 6
  });
  var v2 = vc.addView(dataset, vapi.cm.SCATTERPLOT, {
    mapping: "t-SNE",
    x: 5,
    y: 0,
    w: 5,
    h: 6
  });
  vc.addView(dataset, vapi.cm.SCATTERPLOT, {
    mapping: "t-SNE",
    x: 0,
    y: 6,
    w: 5,
    h: 6
  });
  var v42 = vc.addView(dataset, vapi.cm.SCATTERPLOT, {
    mapping: "t-SNE",
    x: 5,
    y: 6,
    w: 5,
    h: 6
  });
  vc.addView(dataset, vapi.cm.CELL_SETS, {
    x: 10,
    y: 0,
    w: 2,
    h: 12
  });
  vc.linkViews([v1, v2], [vapi.ct.EMBEDDING_CELL_SET_POLYGONS_VISIBLE], [true]);
  vc.linkViews([v42], [vapi.ct.EMBEDDING_CELL_SET_POLYGONS_VISIBLE], [true]);
  return vc.toJSON();
}
var embeddingCellSetPolygonsVisibleConfig = getConfig();
var _coordinationTypeConf;
var coordinationTypeConfigs = (_coordinationTypeConf = {}, _defineProperty$c(_coordinationTypeConf, vapi.ct.EMBEDDING_ZOOM, embeddingZoomConfig), _defineProperty$c(_coordinationTypeConf, vapi.ct.EMBEDDING_TARGET_X, embeddingTargetXConfig), _defineProperty$c(_coordinationTypeConf, vapi.ct.EMBEDDING_TARGET_Y, embeddingTargetYConfig), _defineProperty$c(_coordinationTypeConf, vapi.ct.EMBEDDING_OBS_SET_POLYGONS_VISIBLE, embeddingCellSetPolygonsVisibleConfig), _coordinationTypeConf);
var configs = _objectSpread2({
  "just-scatter": justScatter,
  "just-scatter-expression": justScatterExpression,
  "just-spatial": justSpatial,
  "just-higlass": justHiglass,
  "codeluppi-2018": codeluppi2018,
  "eng-2019": eng2019,
  "wang-2018": wang2018,
  "spraggins-2020": spraggins2020,
  "neumann-2020": neumann2020,
  "satija-2020": satija2020,
  "sn-atac-seq-hubmap-2020": hubmapIntestineSnAtacSeq,
  "sc-atac-seq-10x-genomics-pbmc": scAtacSeq10xPbmc,
  "blin-2019": blin2019,
  "ome-ngff-v0.1": omeNgffLegacy,
  "linnarsson-2018": notPublic(codeluppi2018),
  vanderbilt: notPublic(spraggins2020),
  "dries-2019": notPublic(eng2019)
}, coordinationTypeConfigs);
var _FILE_TYPE_DATA_TYPE_;
var FILE_TYPE_DATA_TYPE_MAPPING = (_FILE_TYPE_DATA_TYPE_ = {}, _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.CELLS_JSON, DataType$2.CELLS), _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.CELL_SETS_JSON, DataType$2.CELL_SETS), _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.EXPRESSION_MATRIX_ZARR, DataType$2.EXPRESSION_MATRIX), _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.GENOMIC_PROFILES_ZARR, DataType$2.GENOMIC_PROFILES), _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.MOLECULES_JSON, DataType$2.MOLECULES), _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.NEIGHBORHOODS_JSON, DataType$2.NEIGHBORHOODS), _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.RASTER_JSON, DataType$2.RASTER), _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.RASTER_OME_ZARR, DataType$2.RASTER), _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.CLUSTERS_JSON, DataType$2.EXPRESSION_MATRIX), _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.GENES_JSON, DataType$2.EXPRESSION_MATRIX), _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.ANNDATA_CELL_SETS_ZARR, DataType$2.CELL_SETS), _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.ANNDATA_CELLS_ZARR, DataType$2.CELLS), _defineProperty$c(_FILE_TYPE_DATA_TYPE_, FileType$2.ANNDATA_EXPRESSION_MATRIX_ZARR, DataType$2.EXPRESSION_MATRIX), _FILE_TYPE_DATA_TYPE_);
var _DEFAULT_COORDINATION, _COMPONENT_COORDINATI;
var DEFAULT_COORDINATION_VALUES = (_DEFAULT_COORDINATION = {}, _defineProperty$c(_DEFAULT_COORDINATION, CoordinationType$2.OBS_TYPE, "cell"), _defineProperty$c(_DEFAULT_COORDINATION, CoordinationType$2.FEATURE_TYPE, "gene"), _defineProperty$c(_DEFAULT_COORDINATION, CoordinationType$2.FEATURE_VALUE_TYPE, "expression"), _DEFAULT_COORDINATION);
var AUTO_INDEPENDENT_COORDINATION_TYPES = [];
var COMPONENT_COORDINATION_TYPES = (_COMPONENT_COORDINATI = {}, _defineProperty$c(_COMPONENT_COORDINATI, Component$2.STATUS, [CoordinationType$2.DATASET]), _defineProperty$c(_COMPONENT_COORDINATI, Component$2.DESCRIPTION, [CoordinationType$2.DATASET]), _COMPONENT_COORDINATI);
var PLUGINS_KEY = "__VITESSCE_PLUGINS__";
var PLUGIN_VIEW_TYPES_KEY = "viewTypes";
var PLUGIN_COORDINATION_TYPES_KEY = "coordinationTypes";
var PLUGIN_COORDINATION_TYPES_PER_VIEW_KEY = "coordinationTypesPerView";
var PLUGIN_FILE_TYPES_KEY = "fileTypes";
var PLUGIN_FILE_TYPE_DATA_TYPE_MAPPING_KEY = "fileTypeDataTypeMapping";
var PLUGIN_CONVENIENCE_FILE_TYPES_KEY = "convenienceFileTypes";
window[PLUGINS_KEY] = {};
var PLUGINS = window[PLUGINS_KEY];
PLUGINS[PLUGIN_VIEW_TYPES_KEY] = PLUGINS[PLUGIN_VIEW_TYPES_KEY] || {};
PLUGINS[PLUGIN_COORDINATION_TYPES_KEY] = PLUGINS[PLUGIN_COORDINATION_TYPES_KEY] || {};
PLUGINS[PLUGIN_COORDINATION_TYPES_PER_VIEW_KEY] = PLUGINS[PLUGIN_COORDINATION_TYPES_PER_VIEW_KEY] || {};
PLUGINS[PLUGIN_FILE_TYPES_KEY] = PLUGINS[PLUGIN_FILE_TYPES_KEY] || {};
PLUGINS[PLUGIN_FILE_TYPE_DATA_TYPE_MAPPING_KEY] = PLUGINS[PLUGIN_FILE_TYPE_DATA_TYPE_MAPPING_KEY] || {};
PLUGINS[PLUGIN_CONVENIENCE_FILE_TYPES_KEY] = PLUGINS[PLUGIN_CONVENIENCE_FILE_TYPES_KEY] || {};
function registerPluginCoordinationType(typeName, defaultValue) {
  PLUGINS[PLUGIN_COORDINATION_TYPES_KEY][typeName] = defaultValue;
}
function registerPluginViewType(viewType, viewSubscriberReactComponent, coordinationTypes) {
  PLUGINS[PLUGIN_VIEW_TYPES_KEY][viewType] = viewSubscriberReactComponent;
  var pluginTypesPerView = PLUGINS[PLUGIN_COORDINATION_TYPES_PER_VIEW_KEY];
  if (Array.isArray(pluginTypesPerView[viewType])) {
    coordinationTypes.forEach(function(coordinationType) {
      if (!pluginTypesPerView[viewType].includes(coordinationType)) {
        pluginTypesPerView[viewType].push(coordinationType);
      }
    });
  } else {
    pluginTypesPerView[viewType] = coordinationTypes;
  }
}
function registerPluginFileType(fileTypeName, dataTypeName, dataLoaderClass, dataSourceClass) {
  PLUGINS[PLUGIN_FILE_TYPES_KEY][fileTypeName] = [dataSourceClass, dataLoaderClass];
  PLUGINS[PLUGIN_FILE_TYPE_DATA_TYPE_MAPPING_KEY][fileTypeName] = dataTypeName;
}
function getPluginViewTypes() {
  return Object.keys(PLUGINS[PLUGIN_VIEW_TYPES_KEY]);
}
function getPluginViewType(viewType) {
  return PLUGINS[PLUGIN_VIEW_TYPES_KEY][viewType];
}
function getPluginCoordinationTypes() {
  return Object.keys(PLUGINS[PLUGIN_COORDINATION_TYPES_KEY]);
}
function getPluginCoordinationTypeDefaults() {
  return PLUGINS[PLUGIN_COORDINATION_TYPES_KEY];
}
function getPluginCoordinationTypesForViewType(viewType) {
  if (Array.isArray(PLUGINS[PLUGIN_COORDINATION_TYPES_PER_VIEW_KEY][viewType])) {
    return PLUGINS[PLUGIN_COORDINATION_TYPES_PER_VIEW_KEY][viewType];
  }
  return [];
}
function getPluginFileTypes() {
  return Object.keys(PLUGINS[PLUGIN_FILE_TYPES_KEY]);
}
function getDataTypeForPluginFileType(fileType) {
  return PLUGINS[PLUGIN_FILE_TYPE_DATA_TYPE_MAPPING_KEY][fileType];
}
function getLoaderClassesForPluginFileType(fileType) {
  return PLUGINS[PLUGIN_FILE_TYPES_KEY][fileType];
}
function getFileTypes() {
  return [].concat(_toConsumableArray$2(Object.values(FileType$2)), _toConsumableArray$2(getPluginFileTypes()));
}
function getCoordinationTypes() {
  return [].concat(_toConsumableArray$2(Object.values(CoordinationType$2)), _toConsumableArray$2(getPluginCoordinationTypes()));
}
function getDefaultCoordinationValues() {
  return _objectSpread2({}, DEFAULT_COORDINATION_VALUES, {}, getPluginCoordinationTypeDefaults());
}
function getComponentCoordinationTypes() {
  return _objectSpread2({}, COMPONENT_COORDINATION_TYPES, {}, fromEntries(getPluginViewTypes().map(function(viewType) {
    return [viewType, getPluginCoordinationTypesForViewType(viewType)];
  })));
}
function getFileTypeDataTypeMapping() {
  return _objectSpread2({}, FILE_TYPE_DATA_TYPE_MAPPING, {}, fromEntries(getPluginFileTypes().map(function(fileType) {
    return [fileType, getDataTypeForPluginFileType(fileType)];
  })));
}
function getConvenienceFileTypes() {
  return _objectSpread2({}, PLUGINS[PLUGIN_CONVENIENCE_FILE_TYPES_KEY]);
}
function _extends$5() {
  _extends$5 = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends$5.apply(this, arguments);
}
function _typeof$a(obj) {
  "@babel/helpers - typeof";
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof$a = function _typeof2(obj2) {
      return typeof obj2;
    };
  } else {
    _typeof$a = function _typeof2(obj2) {
      return obj2 && typeof Symbol === "function" && obj2.constructor === Symbol && obj2 !== Symbol.prototype ? "symbol" : typeof obj2;
    };
  }
  return _typeof$a(obj);
}
function isPlainObject(item) {
  return item && _typeof$a(item) === "object" && item.constructor === Object;
}
function deepmerge(target, source) {
  var options = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {
    clone: true
  };
  var output = options.clone ? _extends$5({}, target) : target;
  if (isPlainObject(target) && isPlainObject(source)) {
    Object.keys(source).forEach(function(key) {
      if (key === "__proto__") {
        return;
      }
      if (isPlainObject(source[key]) && key in target) {
        output[key] = deepmerge(target[key], source[key], options);
      } else {
        output[key] = source[key];
      }
    });
  }
  return output;
}
var commonjsGlobal = typeof globalThis !== "undefined" ? globalThis : typeof window !== "undefined" ? window : typeof global !== "undefined" ? global : typeof self !== "undefined" ? self : {};
function getAugmentedNamespace(n2) {
  if (n2.__esModule)
    return n2;
  var a = Object.defineProperty({}, "__esModule", {
    value: true
  });
  Object.keys(n2).forEach(function(k2) {
    var d2 = Object.getOwnPropertyDescriptor(n2, k2);
    Object.defineProperty(a, k2, d2.get ? d2 : {
      enumerable: true,
      get: function get2() {
        return n2[k2];
      }
    });
  });
  return a;
}
var propTypes = { exports: {} };
var ReactPropTypesSecret$1 = "SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED";
var ReactPropTypesSecret_1 = ReactPropTypesSecret$1;
var ReactPropTypesSecret = ReactPropTypesSecret_1;
function emptyFunction() {
}
function emptyFunctionWithReset() {
}
emptyFunctionWithReset.resetWarningCache = emptyFunction;
var factoryWithThrowingShims = function() {
  function shim(props, propName, componentName, location, propFullName, secret) {
    if (secret === ReactPropTypesSecret) {
      return;
    }
    var err = new Error("Calling PropTypes validators directly is not supported by the `prop-types` package. Use PropTypes.checkPropTypes() to call them. Read more at http://fb.me/use-check-prop-types");
    err.name = "Invariant Violation";
    throw err;
  }
  shim.isRequired = shim;
  function getShim() {
    return shim;
  }
  var ReactPropTypes = {
    array: shim,
    bool: shim,
    func: shim,
    number: shim,
    object: shim,
    string: shim,
    symbol: shim,
    any: shim,
    arrayOf: getShim,
    element: shim,
    elementType: shim,
    instanceOf: getShim,
    node: shim,
    objectOf: getShim,
    oneOf: getShim,
    oneOfType: getShim,
    shape: getShim,
    exact: getShim,
    checkPropTypes: emptyFunctionWithReset,
    resetWarningCache: emptyFunction
  };
  ReactPropTypes.PropTypes = ReactPropTypes;
  return ReactPropTypes;
};
{
  propTypes.exports = factoryWithThrowingShims();
}
function _defineProperty$b(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }
  return obj;
}
function formatMuiErrorMessage(code) {
  var url = "https://material-ui.com/production-error/?code=" + code;
  for (var i = 1; i < arguments.length; i += 1) {
    url += "&args[]=" + encodeURIComponent(arguments[i]);
  }
  return "Minified Material-UI error #" + code + "; visit " + url + " for the full message.";
}
var reactIs$1 = { exports: {} };
var reactIs_production_min = {};
/** @license React v16.13.0
 * react-is.production.min.js
 *
 * Copyright (c) Facebook, Inc. and its affiliates.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */
var b = typeof Symbol === "function" && Symbol.for, c = b ? Symbol.for("react.element") : 60103, d = b ? Symbol.for("react.portal") : 60106, e = b ? Symbol.for("react.fragment") : 60107, f = b ? Symbol.for("react.strict_mode") : 60108, g = b ? Symbol.for("react.profiler") : 60114, h = b ? Symbol.for("react.provider") : 60109, k = b ? Symbol.for("react.context") : 60110, l = b ? Symbol.for("react.async_mode") : 60111, m = b ? Symbol.for("react.concurrent_mode") : 60111, n = b ? Symbol.for("react.forward_ref") : 60112, p = b ? Symbol.for("react.suspense") : 60113, q = b ? Symbol.for("react.suspense_list") : 60120, r = b ? Symbol.for("react.memo") : 60115, t = b ? Symbol.for("react.lazy") : 60116, v = b ? Symbol.for("react.block") : 60121, w = b ? Symbol.for("react.fundamental") : 60117, x = b ? Symbol.for("react.responder") : 60118, y = b ? Symbol.for("react.scope") : 60119;
function z(a) {
  if (typeof a === "object" && a !== null) {
    var u = a.$$typeof;
    switch (u) {
      case c:
        switch (a = a.type, a) {
          case l:
          case m:
          case e:
          case g:
          case f:
          case p:
            return a;
          default:
            switch (a = a && a.$$typeof, a) {
              case k:
              case n:
              case t:
              case r:
              case h:
                return a;
              default:
                return u;
            }
        }
      case d:
        return u;
    }
  }
}
function A(a) {
  return z(a) === m;
}
reactIs_production_min.AsyncMode = l;
reactIs_production_min.ConcurrentMode = m;
reactIs_production_min.ContextConsumer = k;
reactIs_production_min.ContextProvider = h;
reactIs_production_min.Element = c;
reactIs_production_min.ForwardRef = n;
reactIs_production_min.Fragment = e;
reactIs_production_min.Lazy = t;
reactIs_production_min.Memo = r;
reactIs_production_min.Portal = d;
reactIs_production_min.Profiler = g;
reactIs_production_min.StrictMode = f;
reactIs_production_min.Suspense = p;
reactIs_production_min.isAsyncMode = function(a) {
  return A(a) || z(a) === l;
};
reactIs_production_min.isConcurrentMode = A;
reactIs_production_min.isContextConsumer = function(a) {
  return z(a) === k;
};
reactIs_production_min.isContextProvider = function(a) {
  return z(a) === h;
};
reactIs_production_min.isElement = function(a) {
  return typeof a === "object" && a !== null && a.$$typeof === c;
};
reactIs_production_min.isForwardRef = function(a) {
  return z(a) === n;
};
reactIs_production_min.isFragment = function(a) {
  return z(a) === e;
};
reactIs_production_min.isLazy = function(a) {
  return z(a) === t;
};
reactIs_production_min.isMemo = function(a) {
  return z(a) === r;
};
reactIs_production_min.isPortal = function(a) {
  return z(a) === d;
};
reactIs_production_min.isProfiler = function(a) {
  return z(a) === g;
};
reactIs_production_min.isStrictMode = function(a) {
  return z(a) === f;
};
reactIs_production_min.isSuspense = function(a) {
  return z(a) === p;
};
reactIs_production_min.isValidElementType = function(a) {
  return typeof a === "string" || typeof a === "function" || a === e || a === m || a === g || a === f || a === p || a === q || typeof a === "object" && a !== null && (a.$$typeof === t || a.$$typeof === r || a.$$typeof === h || a.$$typeof === k || a.$$typeof === n || a.$$typeof === w || a.$$typeof === x || a.$$typeof === y || a.$$typeof === v);
};
reactIs_production_min.typeOf = z;
{
  reactIs$1.exports = reactIs_production_min;
}
function clamp$2(value) {
  var min = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : 0;
  var max = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : 1;
  return Math.min(Math.max(min, value), max);
}
function hexToRgb(color) {
  color = color.substr(1);
  var re = new RegExp(".{1,".concat(color.length >= 6 ? 2 : 1, "}"), "g");
  var colors = color.match(re);
  if (colors && colors[0].length === 1) {
    colors = colors.map(function(n2) {
      return n2 + n2;
    });
  }
  return colors ? "rgb".concat(colors.length === 4 ? "a" : "", "(").concat(colors.map(function(n2, index2) {
    return index2 < 3 ? parseInt(n2, 16) : Math.round(parseInt(n2, 16) / 255 * 1e3) / 1e3;
  }).join(", "), ")") : "";
}
function hslToRgb(color) {
  color = decomposeColor(color);
  var _color = color, values2 = _color.values;
  var h2 = values2[0];
  var s = values2[1] / 100;
  var l2 = values2[2] / 100;
  var a = s * Math.min(l2, 1 - l2);
  var f2 = function f3(n2) {
    var k2 = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : (n2 + h2 / 30) % 12;
    return l2 - a * Math.max(Math.min(k2 - 3, 9 - k2, 1), -1);
  };
  var type3 = "rgb";
  var rgb = [Math.round(f2(0) * 255), Math.round(f2(8) * 255), Math.round(f2(4) * 255)];
  if (color.type === "hsla") {
    type3 += "a";
    rgb.push(values2[3]);
  }
  return recomposeColor({
    type: type3,
    values: rgb
  });
}
function decomposeColor(color) {
  if (color.type) {
    return color;
  }
  if (color.charAt(0) === "#") {
    return decomposeColor(hexToRgb(color));
  }
  var marker = color.indexOf("(");
  var type3 = color.substring(0, marker);
  if (["rgb", "rgba", "hsl", "hsla"].indexOf(type3) === -1) {
    throw new Error(formatMuiErrorMessage(3, color));
  }
  var values2 = color.substring(marker + 1, color.length - 1).split(",");
  values2 = values2.map(function(value) {
    return parseFloat(value);
  });
  return {
    type: type3,
    values: values2
  };
}
function recomposeColor(color) {
  var type3 = color.type;
  var values2 = color.values;
  if (type3.indexOf("rgb") !== -1) {
    values2 = values2.map(function(n2, i) {
      return i < 3 ? parseInt(n2, 10) : n2;
    });
  } else if (type3.indexOf("hsl") !== -1) {
    values2[1] = "".concat(values2[1], "%");
    values2[2] = "".concat(values2[2], "%");
  }
  return "".concat(type3, "(").concat(values2.join(", "), ")");
}
function getContrastRatio(foreground, background) {
  var lumA = getLuminance(foreground);
  var lumB = getLuminance(background);
  return (Math.max(lumA, lumB) + 0.05) / (Math.min(lumA, lumB) + 0.05);
}
function getLuminance(color) {
  color = decomposeColor(color);
  var rgb = color.type === "hsl" ? decomposeColor(hslToRgb(color)).values : color.values;
  rgb = rgb.map(function(val) {
    val /= 255;
    return val <= 0.03928 ? val / 12.92 : Math.pow((val + 0.055) / 1.055, 2.4);
  });
  return Number((0.2126 * rgb[0] + 0.7152 * rgb[1] + 0.0722 * rgb[2]).toFixed(3));
}
function alpha(color, value) {
  color = decomposeColor(color);
  value = clamp$2(value);
  if (color.type === "rgb" || color.type === "hsl") {
    color.type += "a";
  }
  color.values[3] = value;
  return recomposeColor(color);
}
function darken(color, coefficient) {
  color = decomposeColor(color);
  coefficient = clamp$2(coefficient);
  if (color.type.indexOf("hsl") !== -1) {
    color.values[2] *= 1 - coefficient;
  } else if (color.type.indexOf("rgb") !== -1) {
    for (var i = 0; i < 3; i += 1) {
      color.values[i] *= 1 - coefficient;
    }
  }
  return recomposeColor(color);
}
function lighten(color, coefficient) {
  color = decomposeColor(color);
  coefficient = clamp$2(coefficient);
  if (color.type.indexOf("hsl") !== -1) {
    color.values[2] += (100 - color.values[2]) * coefficient;
  } else if (color.type.indexOf("rgb") !== -1) {
    for (var i = 0; i < 3; i += 1) {
      color.values[i] += (255 - color.values[i]) * coefficient;
    }
  }
  return recomposeColor(color);
}
function _objectWithoutPropertiesLoose$4(source, excluded) {
  if (source == null)
    return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0)
      continue;
    target[key] = source[key];
  }
  return target;
}
function _objectWithoutProperties$2(source, excluded) {
  if (source == null)
    return {};
  var target = _objectWithoutPropertiesLoose$4(source, excluded);
  var key, i;
  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0)
        continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key))
        continue;
      target[key] = source[key];
    }
  }
  return target;
}
var keys$5 = ["xs", "sm", "md", "lg", "xl"];
function createBreakpoints(breakpoints) {
  var _breakpoints$values = breakpoints.values, values2 = _breakpoints$values === void 0 ? {
    xs: 0,
    sm: 600,
    md: 960,
    lg: 1280,
    xl: 1920
  } : _breakpoints$values, _breakpoints$unit = breakpoints.unit, unit = _breakpoints$unit === void 0 ? "px" : _breakpoints$unit, _breakpoints$step = breakpoints.step, step = _breakpoints$step === void 0 ? 5 : _breakpoints$step, other = _objectWithoutProperties$2(breakpoints, ["values", "unit", "step"]);
  function up(key) {
    var value = typeof values2[key] === "number" ? values2[key] : key;
    return "@media (min-width:".concat(value).concat(unit, ")");
  }
  function down(key) {
    var endIndex = keys$5.indexOf(key) + 1;
    var upperbound = values2[keys$5[endIndex]];
    if (endIndex === keys$5.length) {
      return up("xs");
    }
    var value = typeof upperbound === "number" && endIndex > 0 ? upperbound : key;
    return "@media (max-width:".concat(value - step / 100).concat(unit, ")");
  }
  function between(start, end) {
    var endIndex = keys$5.indexOf(end);
    if (endIndex === keys$5.length - 1) {
      return up(start);
    }
    return "@media (min-width:".concat(typeof values2[start] === "number" ? values2[start] : start).concat(unit, ") and ") + "(max-width:".concat((endIndex !== -1 && typeof values2[keys$5[endIndex + 1]] === "number" ? values2[keys$5[endIndex + 1]] : end) - step / 100).concat(unit, ")");
  }
  function only(key) {
    return between(key, key);
  }
  function width(key) {
    return values2[key];
  }
  return _extends$5({
    keys: keys$5,
    values: values2,
    up,
    down,
    between,
    only,
    width
  }, other);
}
function createMixins(breakpoints, spacing, mixins) {
  var _toolbar;
  return _extends$5({
    gutters: function gutters() {
      var styles12 = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
      console.warn(["Material-UI: theme.mixins.gutters() is deprecated.", "You can use the source of the mixin directly:", "\n      paddingLeft: theme.spacing(2),\n      paddingRight: theme.spacing(2),\n      [theme.breakpoints.up('sm')]: {\n        paddingLeft: theme.spacing(3),\n        paddingRight: theme.spacing(3),\n      },\n      "].join("\n"));
      return _extends$5({
        paddingLeft: spacing(2),
        paddingRight: spacing(2)
      }, styles12, _defineProperty$b({}, breakpoints.up("sm"), _extends$5({
        paddingLeft: spacing(3),
        paddingRight: spacing(3)
      }, styles12[breakpoints.up("sm")])));
    },
    toolbar: (_toolbar = {
      minHeight: 56
    }, _defineProperty$b(_toolbar, "".concat(breakpoints.up("xs"), " and (orientation: landscape)"), {
      minHeight: 48
    }), _defineProperty$b(_toolbar, breakpoints.up("sm"), {
      minHeight: 64
    }), _toolbar)
  }, mixins);
}
var common = {
  black: "#000",
  white: "#fff"
};
var common$1 = common;
var grey = {
  50: "#fafafa",
  100: "#f5f5f5",
  200: "#eeeeee",
  300: "#e0e0e0",
  400: "#bdbdbd",
  500: "#9e9e9e",
  600: "#757575",
  700: "#616161",
  800: "#424242",
  900: "#212121",
  A100: "#d5d5d5",
  A200: "#aaaaaa",
  A400: "#303030",
  A700: "#616161"
};
var grey$1 = grey;
var indigo = {
  50: "#e8eaf6",
  100: "#c5cae9",
  200: "#9fa8da",
  300: "#7986cb",
  400: "#5c6bc0",
  500: "#3f51b5",
  600: "#3949ab",
  700: "#303f9f",
  800: "#283593",
  900: "#1a237e",
  A100: "#8c9eff",
  A200: "#536dfe",
  A400: "#3d5afe",
  A700: "#304ffe"
};
var indigo$1 = indigo;
var pink = {
  50: "#fce4ec",
  100: "#f8bbd0",
  200: "#f48fb1",
  300: "#f06292",
  400: "#ec407a",
  500: "#e91e63",
  600: "#d81b60",
  700: "#c2185b",
  800: "#ad1457",
  900: "#880e4f",
  A100: "#ff80ab",
  A200: "#ff4081",
  A400: "#f50057",
  A700: "#c51162"
};
var pink$1 = pink;
var red = {
  50: "#ffebee",
  100: "#ffcdd2",
  200: "#ef9a9a",
  300: "#e57373",
  400: "#ef5350",
  500: "#f44336",
  600: "#e53935",
  700: "#d32f2f",
  800: "#c62828",
  900: "#b71c1c",
  A100: "#ff8a80",
  A200: "#ff5252",
  A400: "#ff1744",
  A700: "#d50000"
};
var red$1 = red;
var orange = {
  50: "#fff3e0",
  100: "#ffe0b2",
  200: "#ffcc80",
  300: "#ffb74d",
  400: "#ffa726",
  500: "#ff9800",
  600: "#fb8c00",
  700: "#f57c00",
  800: "#ef6c00",
  900: "#e65100",
  A100: "#ffd180",
  A200: "#ffab40",
  A400: "#ff9100",
  A700: "#ff6d00"
};
var orange$1 = orange;
var blue = {
  50: "#e3f2fd",
  100: "#bbdefb",
  200: "#90caf9",
  300: "#64b5f6",
  400: "#42a5f5",
  500: "#2196f3",
  600: "#1e88e5",
  700: "#1976d2",
  800: "#1565c0",
  900: "#0d47a1",
  A100: "#82b1ff",
  A200: "#448aff",
  A400: "#2979ff",
  A700: "#2962ff"
};
var blue$1 = blue;
var green = {
  50: "#e8f5e9",
  100: "#c8e6c9",
  200: "#a5d6a7",
  300: "#81c784",
  400: "#66bb6a",
  500: "#4caf50",
  600: "#43a047",
  700: "#388e3c",
  800: "#2e7d32",
  900: "#1b5e20",
  A100: "#b9f6ca",
  A200: "#69f0ae",
  A400: "#00e676",
  A700: "#00c853"
};
var green$1 = green;
var light = {
  text: {
    primary: "rgba(0, 0, 0, 0.87)",
    secondary: "rgba(0, 0, 0, 0.54)",
    disabled: "rgba(0, 0, 0, 0.38)",
    hint: "rgba(0, 0, 0, 0.38)"
  },
  divider: "rgba(0, 0, 0, 0.12)",
  background: {
    paper: common$1.white,
    default: grey$1[50]
  },
  action: {
    active: "rgba(0, 0, 0, 0.54)",
    hover: "rgba(0, 0, 0, 0.04)",
    hoverOpacity: 0.04,
    selected: "rgba(0, 0, 0, 0.08)",
    selectedOpacity: 0.08,
    disabled: "rgba(0, 0, 0, 0.26)",
    disabledBackground: "rgba(0, 0, 0, 0.12)",
    disabledOpacity: 0.38,
    focus: "rgba(0, 0, 0, 0.12)",
    focusOpacity: 0.12,
    activatedOpacity: 0.12
  }
};
var dark = {
  text: {
    primary: common$1.white,
    secondary: "rgba(255, 255, 255, 0.7)",
    disabled: "rgba(255, 255, 255, 0.5)",
    hint: "rgba(255, 255, 255, 0.5)",
    icon: "rgba(255, 255, 255, 0.5)"
  },
  divider: "rgba(255, 255, 255, 0.12)",
  background: {
    paper: grey$1[800],
    default: "#303030"
  },
  action: {
    active: common$1.white,
    hover: "rgba(255, 255, 255, 0.08)",
    hoverOpacity: 0.08,
    selected: "rgba(255, 255, 255, 0.16)",
    selectedOpacity: 0.16,
    disabled: "rgba(255, 255, 255, 0.3)",
    disabledBackground: "rgba(255, 255, 255, 0.12)",
    disabledOpacity: 0.38,
    focus: "rgba(255, 255, 255, 0.12)",
    focusOpacity: 0.12,
    activatedOpacity: 0.24
  }
};
function addLightOrDark(intent, direction, shade, tonalOffset) {
  var tonalOffsetLight = tonalOffset.light || tonalOffset;
  var tonalOffsetDark = tonalOffset.dark || tonalOffset * 1.5;
  if (!intent[direction]) {
    if (intent.hasOwnProperty(shade)) {
      intent[direction] = intent[shade];
    } else if (direction === "light") {
      intent.light = lighten(intent.main, tonalOffsetLight);
    } else if (direction === "dark") {
      intent.dark = darken(intent.main, tonalOffsetDark);
    }
  }
}
function createPalette(palette) {
  var _palette$primary = palette.primary, primary = _palette$primary === void 0 ? {
    light: indigo$1[300],
    main: indigo$1[500],
    dark: indigo$1[700]
  } : _palette$primary, _palette$secondary = palette.secondary, secondary = _palette$secondary === void 0 ? {
    light: pink$1.A200,
    main: pink$1.A400,
    dark: pink$1.A700
  } : _palette$secondary, _palette$error = palette.error, error = _palette$error === void 0 ? {
    light: red$1[300],
    main: red$1[500],
    dark: red$1[700]
  } : _palette$error, _palette$warning = palette.warning, warning = _palette$warning === void 0 ? {
    light: orange$1[300],
    main: orange$1[500],
    dark: orange$1[700]
  } : _palette$warning, _palette$info = palette.info, info = _palette$info === void 0 ? {
    light: blue$1[300],
    main: blue$1[500],
    dark: blue$1[700]
  } : _palette$info, _palette$success = palette.success, success = _palette$success === void 0 ? {
    light: green$1[300],
    main: green$1[500],
    dark: green$1[700]
  } : _palette$success, _palette$type = palette.type, type3 = _palette$type === void 0 ? "light" : _palette$type, _palette$contrastThre = palette.contrastThreshold, contrastThreshold = _palette$contrastThre === void 0 ? 3 : _palette$contrastThre, _palette$tonalOffset = palette.tonalOffset, tonalOffset = _palette$tonalOffset === void 0 ? 0.2 : _palette$tonalOffset, other = _objectWithoutProperties$2(palette, ["primary", "secondary", "error", "warning", "info", "success", "type", "contrastThreshold", "tonalOffset"]);
  function getContrastText(background) {
    var contrastText = getContrastRatio(background, dark.text.primary) >= contrastThreshold ? dark.text.primary : light.text.primary;
    return contrastText;
  }
  var augmentColor = function augmentColor2(color) {
    var mainShade = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : 500;
    var lightShade = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : 300;
    var darkShade = arguments.length > 3 && arguments[3] !== void 0 ? arguments[3] : 700;
    color = _extends$5({}, color);
    if (!color.main && color[mainShade]) {
      color.main = color[mainShade];
    }
    if (!color.main) {
      throw new Error(formatMuiErrorMessage(4, mainShade));
    }
    if (typeof color.main !== "string") {
      throw new Error(formatMuiErrorMessage(5, JSON.stringify(color.main)));
    }
    addLightOrDark(color, "light", lightShade, tonalOffset);
    addLightOrDark(color, "dark", darkShade, tonalOffset);
    if (!color.contrastText) {
      color.contrastText = getContrastText(color.main);
    }
    return color;
  };
  var types = {
    dark,
    light
  };
  var paletteOutput = deepmerge(_extends$5({
    common: common$1,
    type: type3,
    primary: augmentColor(primary),
    secondary: augmentColor(secondary, "A400", "A200", "A700"),
    error: augmentColor(error),
    warning: augmentColor(warning),
    info: augmentColor(info),
    success: augmentColor(success),
    grey: grey$1,
    contrastThreshold,
    getContrastText,
    augmentColor,
    tonalOffset
  }, types[type3]), other);
  return paletteOutput;
}
function round(value) {
  return Math.round(value * 1e5) / 1e5;
}
function roundWithDeprecationWarning(value) {
  return round(value);
}
var caseAllCaps = {
  textTransform: "uppercase"
};
var defaultFontFamily = '"Roboto", "Helvetica", "Arial", sans-serif';
function createTypography(palette, typography) {
  var _ref = typeof typography === "function" ? typography(palette) : typography, _ref$fontFamily = _ref.fontFamily, fontFamily = _ref$fontFamily === void 0 ? defaultFontFamily : _ref$fontFamily, _ref$fontSize = _ref.fontSize, fontSize = _ref$fontSize === void 0 ? 14 : _ref$fontSize, _ref$fontWeightLight = _ref.fontWeightLight, fontWeightLight = _ref$fontWeightLight === void 0 ? 300 : _ref$fontWeightLight, _ref$fontWeightRegula = _ref.fontWeightRegular, fontWeightRegular = _ref$fontWeightRegula === void 0 ? 400 : _ref$fontWeightRegula, _ref$fontWeightMedium = _ref.fontWeightMedium, fontWeightMedium = _ref$fontWeightMedium === void 0 ? 500 : _ref$fontWeightMedium, _ref$fontWeightBold = _ref.fontWeightBold, fontWeightBold = _ref$fontWeightBold === void 0 ? 700 : _ref$fontWeightBold, _ref$htmlFontSize = _ref.htmlFontSize, htmlFontSize = _ref$htmlFontSize === void 0 ? 16 : _ref$htmlFontSize, allVariants = _ref.allVariants, pxToRem2 = _ref.pxToRem, other = _objectWithoutProperties$2(_ref, ["fontFamily", "fontSize", "fontWeightLight", "fontWeightRegular", "fontWeightMedium", "fontWeightBold", "htmlFontSize", "allVariants", "pxToRem"]);
  var coef = fontSize / 14;
  var pxToRem = pxToRem2 || function(size) {
    return "".concat(size / htmlFontSize * coef, "rem");
  };
  var buildVariant = function buildVariant2(fontWeight, size, lineHeight, letterSpacing, casing) {
    return _extends$5({
      fontFamily,
      fontWeight,
      fontSize: pxToRem(size),
      lineHeight
    }, fontFamily === defaultFontFamily ? {
      letterSpacing: "".concat(round(letterSpacing / size), "em")
    } : {}, casing, allVariants);
  };
  var variants = {
    h1: buildVariant(fontWeightLight, 96, 1.167, -1.5),
    h2: buildVariant(fontWeightLight, 60, 1.2, -0.5),
    h3: buildVariant(fontWeightRegular, 48, 1.167, 0),
    h4: buildVariant(fontWeightRegular, 34, 1.235, 0.25),
    h5: buildVariant(fontWeightRegular, 24, 1.334, 0),
    h6: buildVariant(fontWeightMedium, 20, 1.6, 0.15),
    subtitle1: buildVariant(fontWeightRegular, 16, 1.75, 0.15),
    subtitle2: buildVariant(fontWeightMedium, 14, 1.57, 0.1),
    body1: buildVariant(fontWeightRegular, 16, 1.5, 0.15),
    body2: buildVariant(fontWeightRegular, 14, 1.43, 0.15),
    button: buildVariant(fontWeightMedium, 14, 1.75, 0.4, caseAllCaps),
    caption: buildVariant(fontWeightRegular, 12, 1.66, 0.4),
    overline: buildVariant(fontWeightRegular, 12, 2.66, 1, caseAllCaps)
  };
  return deepmerge(_extends$5({
    htmlFontSize,
    pxToRem,
    round: roundWithDeprecationWarning,
    fontFamily,
    fontSize,
    fontWeightLight,
    fontWeightRegular,
    fontWeightMedium,
    fontWeightBold
  }, variants), other, {
    clone: false
  });
}
var shadowKeyUmbraOpacity = 0.2;
var shadowKeyPenumbraOpacity = 0.14;
var shadowAmbientShadowOpacity = 0.12;
function createShadow() {
  return ["".concat(arguments.length <= 0 ? void 0 : arguments[0], "px ").concat(arguments.length <= 1 ? void 0 : arguments[1], "px ").concat(arguments.length <= 2 ? void 0 : arguments[2], "px ").concat(arguments.length <= 3 ? void 0 : arguments[3], "px rgba(0,0,0,").concat(shadowKeyUmbraOpacity, ")"), "".concat(arguments.length <= 4 ? void 0 : arguments[4], "px ").concat(arguments.length <= 5 ? void 0 : arguments[5], "px ").concat(arguments.length <= 6 ? void 0 : arguments[6], "px ").concat(arguments.length <= 7 ? void 0 : arguments[7], "px rgba(0,0,0,").concat(shadowKeyPenumbraOpacity, ")"), "".concat(arguments.length <= 8 ? void 0 : arguments[8], "px ").concat(arguments.length <= 9 ? void 0 : arguments[9], "px ").concat(arguments.length <= 10 ? void 0 : arguments[10], "px ").concat(arguments.length <= 11 ? void 0 : arguments[11], "px rgba(0,0,0,").concat(shadowAmbientShadowOpacity, ")")].join(",");
}
var shadows = ["none", createShadow(0, 2, 1, -1, 0, 1, 1, 0, 0, 1, 3, 0), createShadow(0, 3, 1, -2, 0, 2, 2, 0, 0, 1, 5, 0), createShadow(0, 3, 3, -2, 0, 3, 4, 0, 0, 1, 8, 0), createShadow(0, 2, 4, -1, 0, 4, 5, 0, 0, 1, 10, 0), createShadow(0, 3, 5, -1, 0, 5, 8, 0, 0, 1, 14, 0), createShadow(0, 3, 5, -1, 0, 6, 10, 0, 0, 1, 18, 0), createShadow(0, 4, 5, -2, 0, 7, 10, 1, 0, 2, 16, 1), createShadow(0, 5, 5, -3, 0, 8, 10, 1, 0, 3, 14, 2), createShadow(0, 5, 6, -3, 0, 9, 12, 1, 0, 3, 16, 2), createShadow(0, 6, 6, -3, 0, 10, 14, 1, 0, 4, 18, 3), createShadow(0, 6, 7, -4, 0, 11, 15, 1, 0, 4, 20, 3), createShadow(0, 7, 8, -4, 0, 12, 17, 2, 0, 5, 22, 4), createShadow(0, 7, 8, -4, 0, 13, 19, 2, 0, 5, 24, 4), createShadow(0, 7, 9, -4, 0, 14, 21, 2, 0, 5, 26, 4), createShadow(0, 8, 9, -5, 0, 15, 22, 2, 0, 6, 28, 5), createShadow(0, 8, 10, -5, 0, 16, 24, 2, 0, 6, 30, 5), createShadow(0, 8, 11, -5, 0, 17, 26, 2, 0, 6, 32, 5), createShadow(0, 9, 11, -5, 0, 18, 28, 2, 0, 7, 34, 6), createShadow(0, 9, 12, -6, 0, 19, 29, 2, 0, 7, 36, 6), createShadow(0, 10, 13, -6, 0, 20, 31, 3, 0, 8, 38, 7), createShadow(0, 10, 13, -6, 0, 21, 33, 3, 0, 8, 40, 7), createShadow(0, 10, 14, -6, 0, 22, 35, 3, 0, 8, 42, 7), createShadow(0, 11, 14, -7, 0, 23, 36, 3, 0, 9, 44, 8), createShadow(0, 11, 15, -7, 0, 24, 38, 3, 0, 9, 46, 8)];
var shadows$1 = shadows;
var shape = {
  borderRadius: 4
};
var shape$1 = shape;
function _arrayWithoutHoles$1(arr) {
  if (Array.isArray(arr)) {
    for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) {
      arr2[i] = arr[i];
    }
    return arr2;
  }
}
function _iterableToArray$1(iter) {
  if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]")
    return Array.from(iter);
}
function _nonIterableSpread$1() {
  throw new TypeError("Invalid attempt to spread non-iterable instance");
}
function _toConsumableArray$1(arr) {
  return _arrayWithoutHoles$1(arr) || _iterableToArray$1(arr) || _nonIterableSpread$1();
}
function _arrayWithHoles$1(arr) {
  if (Array.isArray(arr))
    return arr;
}
function _iterableToArrayLimit$1(arr, i) {
  if (!(Symbol.iterator in Object(arr) || Object.prototype.toString.call(arr) === "[object Arguments]")) {
    return;
  }
  var _arr = [];
  var _n = true;
  var _d = false;
  var _e = void 0;
  try {
    for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);
      if (i && _arr.length === i)
        break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null)
        _i["return"]();
    } finally {
      if (_d)
        throw _e;
    }
  }
  return _arr;
}
function _nonIterableRest$1() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance");
}
function _slicedToArray$1(arr, i) {
  return _arrayWithHoles$1(arr) || _iterableToArrayLimit$1(arr, i) || _nonIterableRest$1();
}
function createUnarySpacing(theme) {
  var themeSpacing = theme.spacing || 8;
  if (typeof themeSpacing === "number") {
    return function(abs) {
      return themeSpacing * abs;
    };
  }
  if (Array.isArray(themeSpacing)) {
    return function(abs) {
      return themeSpacing[abs];
    };
  }
  if (typeof themeSpacing === "function") {
    return themeSpacing;
  }
  return function() {
    return void 0;
  };
}
function createSpacing() {
  var spacingInput = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : 8;
  if (spacingInput.mui) {
    return spacingInput;
  }
  var transform2 = createUnarySpacing({
    spacing: spacingInput
  });
  var spacing = function spacing2() {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    if (args.length === 0) {
      return transform2(1);
    }
    if (args.length === 1) {
      return transform2(args[0]);
    }
    return args.map(function(argument) {
      if (typeof argument === "string") {
        return argument;
      }
      var output = transform2(argument);
      return typeof output === "number" ? "".concat(output, "px") : output;
    }).join(" ");
  };
  Object.defineProperty(spacing, "unit", {
    get: function get2() {
      return spacingInput;
    }
  });
  spacing.mui = true;
  return spacing;
}
var easing = {
  easeInOut: "cubic-bezier(0.4, 0, 0.2, 1)",
  easeOut: "cubic-bezier(0.0, 0, 0.2, 1)",
  easeIn: "cubic-bezier(0.4, 0, 1, 1)",
  sharp: "cubic-bezier(0.4, 0, 0.6, 1)"
};
var duration = {
  shortest: 150,
  shorter: 200,
  short: 250,
  standard: 300,
  complex: 375,
  enteringScreen: 225,
  leavingScreen: 195
};
function formatMs(milliseconds) {
  return "".concat(Math.round(milliseconds), "ms");
}
var transitions = {
  easing,
  duration,
  create: function create() {
    var props = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : ["all"];
    var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
    var _options$duration = options.duration, durationOption = _options$duration === void 0 ? duration.standard : _options$duration, _options$easing = options.easing, easingOption = _options$easing === void 0 ? easing.easeInOut : _options$easing, _options$delay = options.delay, delay = _options$delay === void 0 ? 0 : _options$delay;
    _objectWithoutProperties$2(options, ["duration", "easing", "delay"]);
    return (Array.isArray(props) ? props : [props]).map(function(animatedProp) {
      return "".concat(animatedProp, " ").concat(typeof durationOption === "string" ? durationOption : formatMs(durationOption), " ").concat(easingOption, " ").concat(typeof delay === "string" ? delay : formatMs(delay));
    }).join(",");
  },
  getAutoHeightDuration: function getAutoHeightDuration(height) {
    if (!height) {
      return 0;
    }
    var constant2 = height / 36;
    return Math.round((4 + 15 * Math.pow(constant2, 0.25) + constant2 / 5) * 10);
  }
};
var zIndex = {
  mobileStepper: 1e3,
  speedDial: 1050,
  appBar: 1100,
  drawer: 1200,
  modal: 1300,
  snackbar: 1400,
  tooltip: 1500
};
var zIndex$1 = zIndex;
function createTheme() {
  var options = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
  var _options$breakpoints = options.breakpoints, breakpointsInput = _options$breakpoints === void 0 ? {} : _options$breakpoints, _options$mixins = options.mixins, mixinsInput = _options$mixins === void 0 ? {} : _options$mixins, _options$palette = options.palette, paletteInput = _options$palette === void 0 ? {} : _options$palette, spacingInput = options.spacing, _options$typography = options.typography, typographyInput = _options$typography === void 0 ? {} : _options$typography, other = _objectWithoutProperties$2(options, ["breakpoints", "mixins", "palette", "spacing", "typography"]);
  var palette = createPalette(paletteInput);
  var breakpoints = createBreakpoints(breakpointsInput);
  var spacing = createSpacing(spacingInput);
  var muiTheme2 = deepmerge({
    breakpoints,
    direction: "ltr",
    mixins: createMixins(breakpoints, spacing, mixinsInput),
    overrides: {},
    palette,
    props: {},
    shadows: shadows$1,
    typography: createTypography(palette, typographyInput),
    spacing,
    shape: shape$1,
    transitions,
    zIndex: zIndex$1
  }, other);
  for (var _len = arguments.length, args = new Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {
    args[_key - 1] = arguments[_key];
  }
  muiTheme2 = args.reduce(function(acc, argument) {
    return deepmerge(acc, argument);
  }, muiTheme2);
  return muiTheme2;
}
var hasSymbol = typeof Symbol === "function" && Symbol.for;
var nested = hasSymbol ? Symbol.for("mui.nested") : "__THEME_NESTED__";
var pseudoClasses = ["checked", "disabled", "error", "focused", "focusVisible", "required", "expanded", "selected"];
function createGenerateClassName() {
  var options = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
  var _options$disableGloba = options.disableGlobal, disableGlobal = _options$disableGloba === void 0 ? false : _options$disableGloba, _options$productionPr = options.productionPrefix, productionPrefix = _options$productionPr === void 0 ? "jss" : _options$productionPr, _options$seed = options.seed, seed = _options$seed === void 0 ? "" : _options$seed;
  var seedPrefix = seed === "" ? "" : "".concat(seed, "-");
  var ruleCounter = 0;
  var getNextCounterId = function getNextCounterId2() {
    ruleCounter += 1;
    return ruleCounter;
  };
  return function(rule, styleSheet) {
    var name2 = styleSheet.options.name;
    if (name2 && name2.indexOf("Mui") === 0 && !styleSheet.options.link && !disableGlobal) {
      if (pseudoClasses.indexOf(rule.key) !== -1) {
        return "Mui-".concat(rule.key);
      }
      var prefix2 = "".concat(seedPrefix).concat(name2, "-").concat(rule.key);
      if (!styleSheet.options.theme[nested] || seed !== "") {
        return prefix2;
      }
      return "".concat(prefix2, "-").concat(getNextCounterId());
    }
    {
      return "".concat(seedPrefix).concat(productionPrefix).concat(getNextCounterId());
    }
  };
}
function getThemeProps(params) {
  var theme = params.theme, name2 = params.name, props = params.props;
  if (!theme || !theme.props || !theme.props[name2]) {
    return props;
  }
  var defaultProps2 = theme.props[name2];
  var propName;
  for (propName in defaultProps2) {
    if (props[propName] === void 0) {
      props[propName] = defaultProps2[propName];
    }
  }
  return props;
}
var _typeof$9 = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function(obj) {
  return typeof obj;
} : function(obj) {
  return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
};
var isBrowser$1 = (typeof window === "undefined" ? "undefined" : _typeof$9(window)) === "object" && (typeof document === "undefined" ? "undefined" : _typeof$9(document)) === "object" && document.nodeType === 9;
function _defineProperties$5(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor)
      descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}
function _createClass$5(Constructor, protoProps, staticProps) {
  if (protoProps)
    _defineProperties$5(Constructor.prototype, protoProps);
  if (staticProps)
    _defineProperties$5(Constructor, staticProps);
  return Constructor;
}
function _inheritsLoose$2(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;
  subClass.__proto__ = superClass;
}
function _assertThisInitialized$8(self2) {
  if (self2 === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return self2;
}
var plainObjectConstrurctor = {}.constructor;
function cloneStyle(style) {
  if (style == null || typeof style !== "object")
    return style;
  if (Array.isArray(style))
    return style.map(cloneStyle);
  if (style.constructor !== plainObjectConstrurctor)
    return style;
  var newStyle = {};
  for (var name2 in style) {
    newStyle[name2] = cloneStyle(style[name2]);
  }
  return newStyle;
}
function createRule(name2, decl, options) {
  if (name2 === void 0) {
    name2 = "unnamed";
  }
  var jss2 = options.jss;
  var declCopy = cloneStyle(decl);
  var rule = jss2.plugins.onCreateRule(name2, declCopy, options);
  if (rule)
    return rule;
  if (name2[0] === "@")
    ;
  return null;
}
var join = function join2(value, by) {
  var result = "";
  for (var i = 0; i < value.length; i++) {
    if (value[i] === "!important")
      break;
    if (result)
      result += by;
    result += value[i];
  }
  return result;
};
var toCssValue = function toCssValue2(value, ignoreImportant) {
  if (ignoreImportant === void 0) {
    ignoreImportant = false;
  }
  if (!Array.isArray(value))
    return value;
  var cssValue = "";
  if (Array.isArray(value[0])) {
    for (var i = 0; i < value.length; i++) {
      if (value[i] === "!important")
        break;
      if (cssValue)
        cssValue += ", ";
      cssValue += join(value[i], " ");
    }
  } else
    cssValue = join(value, ", ");
  if (!ignoreImportant && value[value.length - 1] === "!important") {
    cssValue += " !important";
  }
  return cssValue;
};
function getWhitespaceSymbols(options) {
  if (options && options.format === false) {
    return {
      linebreak: "",
      space: ""
    };
  }
  return {
    linebreak: "\n",
    space: " "
  };
}
function indentStr(str, indent) {
  var result = "";
  for (var index2 = 0; index2 < indent; index2++) {
    result += "  ";
  }
  return result + str;
}
function toCss(selector, style, options) {
  if (options === void 0) {
    options = {};
  }
  var result = "";
  if (!style)
    return result;
  var _options = options, _options$indent = _options.indent, indent = _options$indent === void 0 ? 0 : _options$indent;
  var fallbacks = style.fallbacks;
  if (options.format === false) {
    indent = -Infinity;
  }
  var _getWhitespaceSymbols = getWhitespaceSymbols(options), linebreak = _getWhitespaceSymbols.linebreak, space = _getWhitespaceSymbols.space;
  if (selector)
    indent++;
  if (fallbacks) {
    if (Array.isArray(fallbacks)) {
      for (var index2 = 0; index2 < fallbacks.length; index2++) {
        var fallback = fallbacks[index2];
        for (var prop in fallback) {
          var value = fallback[prop];
          if (value != null) {
            if (result)
              result += linebreak;
            result += indentStr(prop + ":" + space + toCssValue(value) + ";", indent);
          }
        }
      }
    } else {
      for (var _prop in fallbacks) {
        var _value = fallbacks[_prop];
        if (_value != null) {
          if (result)
            result += linebreak;
          result += indentStr(_prop + ":" + space + toCssValue(_value) + ";", indent);
        }
      }
    }
  }
  for (var _prop2 in style) {
    var _value2 = style[_prop2];
    if (_value2 != null && _prop2 !== "fallbacks") {
      if (result)
        result += linebreak;
      result += indentStr(_prop2 + ":" + space + toCssValue(_value2) + ";", indent);
    }
  }
  if (!result && !options.allowEmpty)
    return result;
  if (!selector)
    return result;
  indent--;
  if (result)
    result = "" + linebreak + result + linebreak;
  return indentStr("" + selector + space + "{" + result, indent) + indentStr("}", indent);
}
var escapeRegex = /([[\].#*$><+~=|^:(),"'`\s])/g;
var nativeEscape = typeof CSS !== "undefined" && CSS.escape;
var escape = function(str) {
  return nativeEscape ? nativeEscape(str) : str.replace(escapeRegex, "\\$1");
};
var BaseStyleRule = /* @__PURE__ */ function() {
  function BaseStyleRule2(key, style, options) {
    this.type = "style";
    this.isProcessed = false;
    var sheet = options.sheet, Renderer = options.Renderer;
    this.key = key;
    this.options = options;
    this.style = style;
    if (sheet)
      this.renderer = sheet.renderer;
    else if (Renderer)
      this.renderer = new Renderer();
  }
  var _proto = BaseStyleRule2.prototype;
  _proto.prop = function prop(name2, value, options) {
    if (value === void 0)
      return this.style[name2];
    var force = options ? options.force : false;
    if (!force && this.style[name2] === value)
      return this;
    var newValue = value;
    if (!options || options.process !== false) {
      newValue = this.options.jss.plugins.onChangeValue(value, name2, this);
    }
    var isEmpty = newValue == null || newValue === false;
    var isDefined = name2 in this.style;
    if (isEmpty && !isDefined && !force)
      return this;
    var remove = isEmpty && isDefined;
    if (remove)
      delete this.style[name2];
    else
      this.style[name2] = newValue;
    if (this.renderable && this.renderer) {
      if (remove)
        this.renderer.removeProperty(this.renderable, name2);
      else
        this.renderer.setProperty(this.renderable, name2, newValue);
      return this;
    }
    var sheet = this.options.sheet;
    if (sheet && sheet.attached)
      ;
    return this;
  };
  return BaseStyleRule2;
}();
var StyleRule = /* @__PURE__ */ function(_BaseStyleRule) {
  _inheritsLoose$2(StyleRule2, _BaseStyleRule);
  function StyleRule2(key, style, options) {
    var _this;
    _this = _BaseStyleRule.call(this, key, style, options) || this;
    var selector = options.selector, scoped = options.scoped, sheet = options.sheet, generateId = options.generateId;
    if (selector) {
      _this.selectorText = selector;
    } else if (scoped !== false) {
      _this.id = generateId(_assertThisInitialized$8(_assertThisInitialized$8(_this)), sheet);
      _this.selectorText = "." + escape(_this.id);
    }
    return _this;
  }
  var _proto2 = StyleRule2.prototype;
  _proto2.applyTo = function applyTo(renderable) {
    var renderer = this.renderer;
    if (renderer) {
      var json = this.toJSON();
      for (var prop in json) {
        renderer.setProperty(renderable, prop, json[prop]);
      }
    }
    return this;
  };
  _proto2.toJSON = function toJSON() {
    var json = {};
    for (var prop in this.style) {
      var value = this.style[prop];
      if (typeof value !== "object")
        json[prop] = value;
      else if (Array.isArray(value))
        json[prop] = toCssValue(value);
    }
    return json;
  };
  _proto2.toString = function toString(options) {
    var sheet = this.options.sheet;
    var link = sheet ? sheet.options.link : false;
    var opts = link ? _extends$5({}, options, {
      allowEmpty: true
    }) : options;
    return toCss(this.selectorText, this.style, opts);
  };
  _createClass$5(StyleRule2, [{
    key: "selector",
    set: function set2(selector) {
      if (selector === this.selectorText)
        return;
      this.selectorText = selector;
      var renderer = this.renderer, renderable = this.renderable;
      if (!renderable || !renderer)
        return;
      var hasChanged = renderer.setSelector(renderable, selector);
      if (!hasChanged) {
        renderer.replaceRule(renderable, this);
      }
    },
    get: function get2() {
      return this.selectorText;
    }
  }]);
  return StyleRule2;
}(BaseStyleRule);
var pluginStyleRule = {
  onCreateRule: function onCreateRule(key, style, options) {
    if (key[0] === "@" || options.parent && options.parent.type === "keyframes") {
      return null;
    }
    return new StyleRule(key, style, options);
  }
};
var defaultToStringOptions = {
  indent: 1,
  children: true
};
var atRegExp = /@([\w-]+)/;
var ConditionalRule = /* @__PURE__ */ function() {
  function ConditionalRule2(key, styles12, options) {
    this.type = "conditional";
    this.isProcessed = false;
    this.key = key;
    var atMatch = key.match(atRegExp);
    this.at = atMatch ? atMatch[1] : "unknown";
    this.query = options.name || "@" + this.at;
    this.options = options;
    this.rules = new RuleList(_extends$5({}, options, {
      parent: this
    }));
    for (var name2 in styles12) {
      this.rules.add(name2, styles12[name2]);
    }
    this.rules.process();
  }
  var _proto = ConditionalRule2.prototype;
  _proto.getRule = function getRule(name2) {
    return this.rules.get(name2);
  };
  _proto.indexOf = function indexOf(rule) {
    return this.rules.indexOf(rule);
  };
  _proto.addRule = function addRule(name2, style, options) {
    var rule = this.rules.add(name2, style, options);
    if (!rule)
      return null;
    this.options.jss.plugins.onProcessRule(rule);
    return rule;
  };
  _proto.toString = function toString(options) {
    if (options === void 0) {
      options = defaultToStringOptions;
    }
    var _getWhitespaceSymbols = getWhitespaceSymbols(options), linebreak = _getWhitespaceSymbols.linebreak;
    if (options.indent == null)
      options.indent = defaultToStringOptions.indent;
    if (options.children == null)
      options.children = defaultToStringOptions.children;
    if (options.children === false) {
      return this.query + " {}";
    }
    var children2 = this.rules.toString(options);
    return children2 ? this.query + " {" + linebreak + children2 + linebreak + "}" : "";
  };
  return ConditionalRule2;
}();
var keyRegExp = /@media|@supports\s+/;
var pluginConditionalRule = {
  onCreateRule: function onCreateRule2(key, styles12, options) {
    return keyRegExp.test(key) ? new ConditionalRule(key, styles12, options) : null;
  }
};
var defaultToStringOptions$1 = {
  indent: 1,
  children: true
};
var nameRegExp = /@keyframes\s+([\w-]+)/;
var KeyframesRule = /* @__PURE__ */ function() {
  function KeyframesRule2(key, frames, options) {
    this.type = "keyframes";
    this.at = "@keyframes";
    this.isProcessed = false;
    var nameMatch = key.match(nameRegExp);
    if (nameMatch && nameMatch[1]) {
      this.name = nameMatch[1];
    } else {
      this.name = "noname";
    }
    this.key = this.type + "-" + this.name;
    this.options = options;
    var scoped = options.scoped, sheet = options.sheet, generateId = options.generateId;
    this.id = scoped === false ? this.name : escape(generateId(this, sheet));
    this.rules = new RuleList(_extends$5({}, options, {
      parent: this
    }));
    for (var name2 in frames) {
      this.rules.add(name2, frames[name2], _extends$5({}, options, {
        parent: this
      }));
    }
    this.rules.process();
  }
  var _proto = KeyframesRule2.prototype;
  _proto.toString = function toString(options) {
    if (options === void 0) {
      options = defaultToStringOptions$1;
    }
    var _getWhitespaceSymbols = getWhitespaceSymbols(options), linebreak = _getWhitespaceSymbols.linebreak;
    if (options.indent == null)
      options.indent = defaultToStringOptions$1.indent;
    if (options.children == null)
      options.children = defaultToStringOptions$1.children;
    if (options.children === false) {
      return this.at + " " + this.id + " {}";
    }
    var children2 = this.rules.toString(options);
    if (children2)
      children2 = "" + linebreak + children2 + linebreak;
    return this.at + " " + this.id + " {" + children2 + "}";
  };
  return KeyframesRule2;
}();
var keyRegExp$1 = /@keyframes\s+/;
var refRegExp$1 = /\$([\w-]+)/g;
var findReferencedKeyframe = function findReferencedKeyframe2(val, keyframes) {
  if (typeof val === "string") {
    return val.replace(refRegExp$1, function(match, name2) {
      if (name2 in keyframes) {
        return keyframes[name2];
      }
      return match;
    });
  }
  return val;
};
var replaceRef = function replaceRef2(style, prop, keyframes) {
  var value = style[prop];
  var refKeyframe = findReferencedKeyframe(value, keyframes);
  if (refKeyframe !== value) {
    style[prop] = refKeyframe;
  }
};
var pluginKeyframesRule = {
  onCreateRule: function onCreateRule3(key, frames, options) {
    return typeof key === "string" && keyRegExp$1.test(key) ? new KeyframesRule(key, frames, options) : null;
  },
  onProcessStyle: function onProcessStyle(style, rule, sheet) {
    if (rule.type !== "style" || !sheet)
      return style;
    if ("animation-name" in style)
      replaceRef(style, "animation-name", sheet.keyframes);
    if ("animation" in style)
      replaceRef(style, "animation", sheet.keyframes);
    return style;
  },
  onChangeValue: function onChangeValue(val, prop, rule) {
    var sheet = rule.options.sheet;
    if (!sheet) {
      return val;
    }
    switch (prop) {
      case "animation":
        return findReferencedKeyframe(val, sheet.keyframes);
      case "animation-name":
        return findReferencedKeyframe(val, sheet.keyframes);
      default:
        return val;
    }
  }
};
var KeyframeRule = /* @__PURE__ */ function(_BaseStyleRule) {
  _inheritsLoose$2(KeyframeRule2, _BaseStyleRule);
  function KeyframeRule2() {
    return _BaseStyleRule.apply(this, arguments) || this;
  }
  var _proto = KeyframeRule2.prototype;
  _proto.toString = function toString(options) {
    var sheet = this.options.sheet;
    var link = sheet ? sheet.options.link : false;
    var opts = link ? _extends$5({}, options, {
      allowEmpty: true
    }) : options;
    return toCss(this.key, this.style, opts);
  };
  return KeyframeRule2;
}(BaseStyleRule);
var pluginKeyframeRule = {
  onCreateRule: function onCreateRule4(key, style, options) {
    if (options.parent && options.parent.type === "keyframes") {
      return new KeyframeRule(key, style, options);
    }
    return null;
  }
};
var FontFaceRule = /* @__PURE__ */ function() {
  function FontFaceRule2(key, style, options) {
    this.type = "font-face";
    this.at = "@font-face";
    this.isProcessed = false;
    this.key = key;
    this.style = style;
    this.options = options;
  }
  var _proto = FontFaceRule2.prototype;
  _proto.toString = function toString(options) {
    var _getWhitespaceSymbols = getWhitespaceSymbols(options), linebreak = _getWhitespaceSymbols.linebreak;
    if (Array.isArray(this.style)) {
      var str = "";
      for (var index2 = 0; index2 < this.style.length; index2++) {
        str += toCss(this.at, this.style[index2]);
        if (this.style[index2 + 1])
          str += linebreak;
      }
      return str;
    }
    return toCss(this.at, this.style, options);
  };
  return FontFaceRule2;
}();
var keyRegExp$2 = /@font-face/;
var pluginFontFaceRule = {
  onCreateRule: function onCreateRule5(key, style, options) {
    return keyRegExp$2.test(key) ? new FontFaceRule(key, style, options) : null;
  }
};
var ViewportRule = /* @__PURE__ */ function() {
  function ViewportRule2(key, style, options) {
    this.type = "viewport";
    this.at = "@viewport";
    this.isProcessed = false;
    this.key = key;
    this.style = style;
    this.options = options;
  }
  var _proto = ViewportRule2.prototype;
  _proto.toString = function toString(options) {
    return toCss(this.key, this.style, options);
  };
  return ViewportRule2;
}();
var pluginViewportRule = {
  onCreateRule: function onCreateRule6(key, style, options) {
    return key === "@viewport" || key === "@-ms-viewport" ? new ViewportRule(key, style, options) : null;
  }
};
var SimpleRule = /* @__PURE__ */ function() {
  function SimpleRule2(key, value, options) {
    this.type = "simple";
    this.isProcessed = false;
    this.key = key;
    this.value = value;
    this.options = options;
  }
  var _proto = SimpleRule2.prototype;
  _proto.toString = function toString(options) {
    if (Array.isArray(this.value)) {
      var str = "";
      for (var index2 = 0; index2 < this.value.length; index2++) {
        str += this.key + " " + this.value[index2] + ";";
        if (this.value[index2 + 1])
          str += "\n";
      }
      return str;
    }
    return this.key + " " + this.value + ";";
  };
  return SimpleRule2;
}();
var keysMap = {
  "@charset": true,
  "@import": true,
  "@namespace": true
};
var pluginSimpleRule = {
  onCreateRule: function onCreateRule7(key, value, options) {
    return key in keysMap ? new SimpleRule(key, value, options) : null;
  }
};
var plugins$1 = [pluginStyleRule, pluginConditionalRule, pluginKeyframesRule, pluginKeyframeRule, pluginFontFaceRule, pluginViewportRule, pluginSimpleRule];
var defaultUpdateOptions = {
  process: true
};
var forceUpdateOptions = {
  force: true,
  process: true
};
var RuleList = /* @__PURE__ */ function() {
  function RuleList2(options) {
    this.map = {};
    this.raw = {};
    this.index = [];
    this.counter = 0;
    this.options = options;
    this.classes = options.classes;
    this.keyframes = options.keyframes;
  }
  var _proto = RuleList2.prototype;
  _proto.add = function add(name2, decl, ruleOptions) {
    var _this$options = this.options, parent = _this$options.parent, sheet = _this$options.sheet, jss2 = _this$options.jss, Renderer = _this$options.Renderer, generateId = _this$options.generateId, scoped = _this$options.scoped;
    var options = _extends$5({
      classes: this.classes,
      parent,
      sheet,
      jss: jss2,
      Renderer,
      generateId,
      scoped,
      name: name2,
      keyframes: this.keyframes,
      selector: void 0
    }, ruleOptions);
    var key = name2;
    if (name2 in this.raw) {
      key = name2 + "-d" + this.counter++;
    }
    this.raw[key] = decl;
    if (key in this.classes) {
      options.selector = "." + escape(this.classes[key]);
    }
    var rule = createRule(key, decl, options);
    if (!rule)
      return null;
    this.register(rule);
    var index2 = options.index === void 0 ? this.index.length : options.index;
    this.index.splice(index2, 0, rule);
    return rule;
  };
  _proto.get = function get2(name2) {
    return this.map[name2];
  };
  _proto.remove = function remove(rule) {
    this.unregister(rule);
    delete this.raw[rule.key];
    this.index.splice(this.index.indexOf(rule), 1);
  };
  _proto.indexOf = function indexOf(rule) {
    return this.index.indexOf(rule);
  };
  _proto.process = function process() {
    var plugins2 = this.options.jss.plugins;
    this.index.slice(0).forEach(plugins2.onProcessRule, plugins2);
  };
  _proto.register = function register(rule) {
    this.map[rule.key] = rule;
    if (rule instanceof StyleRule) {
      this.map[rule.selector] = rule;
      if (rule.id)
        this.classes[rule.key] = rule.id;
    } else if (rule instanceof KeyframesRule && this.keyframes) {
      this.keyframes[rule.name] = rule.id;
    }
  };
  _proto.unregister = function unregister(rule) {
    delete this.map[rule.key];
    if (rule instanceof StyleRule) {
      delete this.map[rule.selector];
      delete this.classes[rule.key];
    } else if (rule instanceof KeyframesRule) {
      delete this.keyframes[rule.name];
    }
  };
  _proto.update = function update2() {
    var name2;
    var data2;
    var options;
    if (typeof (arguments.length <= 0 ? void 0 : arguments[0]) === "string") {
      name2 = arguments.length <= 0 ? void 0 : arguments[0];
      data2 = arguments.length <= 1 ? void 0 : arguments[1];
      options = arguments.length <= 2 ? void 0 : arguments[2];
    } else {
      data2 = arguments.length <= 0 ? void 0 : arguments[0];
      options = arguments.length <= 1 ? void 0 : arguments[1];
      name2 = null;
    }
    if (name2) {
      this.updateOne(this.map[name2], data2, options);
    } else {
      for (var index2 = 0; index2 < this.index.length; index2++) {
        this.updateOne(this.index[index2], data2, options);
      }
    }
  };
  _proto.updateOne = function updateOne(rule, data2, options) {
    if (options === void 0) {
      options = defaultUpdateOptions;
    }
    var _this$options2 = this.options, plugins2 = _this$options2.jss.plugins, sheet = _this$options2.sheet;
    if (rule.rules instanceof RuleList2) {
      rule.rules.update(data2, options);
      return;
    }
    var style = rule.style;
    plugins2.onUpdate(data2, rule, sheet, options);
    if (options.process && style && style !== rule.style) {
      plugins2.onProcessStyle(rule.style, rule, sheet);
      for (var prop in rule.style) {
        var nextValue = rule.style[prop];
        var prevValue = style[prop];
        if (nextValue !== prevValue) {
          rule.prop(prop, nextValue, forceUpdateOptions);
        }
      }
      for (var _prop in style) {
        var _nextValue = rule.style[_prop];
        var _prevValue = style[_prop];
        if (_nextValue == null && _nextValue !== _prevValue) {
          rule.prop(_prop, null, forceUpdateOptions);
        }
      }
    }
  };
  _proto.toString = function toString(options) {
    var str = "";
    var sheet = this.options.sheet;
    var link = sheet ? sheet.options.link : false;
    var _getWhitespaceSymbols = getWhitespaceSymbols(options), linebreak = _getWhitespaceSymbols.linebreak;
    for (var index2 = 0; index2 < this.index.length; index2++) {
      var rule = this.index[index2];
      var css2 = rule.toString(options);
      if (!css2 && !link)
        continue;
      if (str)
        str += linebreak;
      str += css2;
    }
    return str;
  };
  return RuleList2;
}();
var StyleSheet = /* @__PURE__ */ function() {
  function StyleSheet2(styles12, options) {
    this.attached = false;
    this.deployed = false;
    this.classes = {};
    this.keyframes = {};
    this.options = _extends$5({}, options, {
      sheet: this,
      parent: this,
      classes: this.classes,
      keyframes: this.keyframes
    });
    if (options.Renderer) {
      this.renderer = new options.Renderer(this);
    }
    this.rules = new RuleList(this.options);
    for (var name2 in styles12) {
      this.rules.add(name2, styles12[name2]);
    }
    this.rules.process();
  }
  var _proto = StyleSheet2.prototype;
  _proto.attach = function attach2() {
    if (this.attached)
      return this;
    if (this.renderer)
      this.renderer.attach();
    this.attached = true;
    if (!this.deployed)
      this.deploy();
    return this;
  };
  _proto.detach = function detach2() {
    if (!this.attached)
      return this;
    if (this.renderer)
      this.renderer.detach();
    this.attached = false;
    return this;
  };
  _proto.addRule = function addRule(name2, decl, options) {
    var queue = this.queue;
    if (this.attached && !queue)
      this.queue = [];
    var rule = this.rules.add(name2, decl, options);
    if (!rule)
      return null;
    this.options.jss.plugins.onProcessRule(rule);
    if (this.attached) {
      if (!this.deployed)
        return rule;
      if (queue)
        queue.push(rule);
      else {
        this.insertRule(rule);
        if (this.queue) {
          this.queue.forEach(this.insertRule, this);
          this.queue = void 0;
        }
      }
      return rule;
    }
    this.deployed = false;
    return rule;
  };
  _proto.insertRule = function insertRule2(rule) {
    if (this.renderer) {
      this.renderer.insertRule(rule);
    }
  };
  _proto.addRules = function addRules(styles12, options) {
    var added = [];
    for (var name2 in styles12) {
      var rule = this.addRule(name2, styles12[name2], options);
      if (rule)
        added.push(rule);
    }
    return added;
  };
  _proto.getRule = function getRule(name2) {
    return this.rules.get(name2);
  };
  _proto.deleteRule = function deleteRule(name2) {
    var rule = typeof name2 === "object" ? name2 : this.rules.get(name2);
    if (!rule || this.attached && !rule.renderable) {
      return false;
    }
    this.rules.remove(rule);
    if (this.attached && rule.renderable && this.renderer) {
      return this.renderer.deleteRule(rule.renderable);
    }
    return true;
  };
  _proto.indexOf = function indexOf(rule) {
    return this.rules.indexOf(rule);
  };
  _proto.deploy = function deploy() {
    if (this.renderer)
      this.renderer.deploy();
    this.deployed = true;
    return this;
  };
  _proto.update = function update2() {
    var _this$rules;
    (_this$rules = this.rules).update.apply(_this$rules, arguments);
    return this;
  };
  _proto.updateOne = function updateOne(rule, data2, options) {
    this.rules.updateOne(rule, data2, options);
    return this;
  };
  _proto.toString = function toString(options) {
    return this.rules.toString(options);
  };
  return StyleSheet2;
}();
var PluginsRegistry = /* @__PURE__ */ function() {
  function PluginsRegistry2() {
    this.plugins = {
      internal: [],
      external: []
    };
    this.registry = {};
  }
  var _proto = PluginsRegistry2.prototype;
  _proto.onCreateRule = function onCreateRule8(name2, decl, options) {
    for (var i = 0; i < this.registry.onCreateRule.length; i++) {
      var rule = this.registry.onCreateRule[i](name2, decl, options);
      if (rule)
        return rule;
    }
    return null;
  };
  _proto.onProcessRule = function onProcessRule(rule) {
    if (rule.isProcessed)
      return;
    var sheet = rule.options.sheet;
    for (var i = 0; i < this.registry.onProcessRule.length; i++) {
      this.registry.onProcessRule[i](rule, sheet);
    }
    if (rule.style)
      this.onProcessStyle(rule.style, rule, sheet);
    rule.isProcessed = true;
  };
  _proto.onProcessStyle = function onProcessStyle2(style, rule, sheet) {
    for (var i = 0; i < this.registry.onProcessStyle.length; i++) {
      rule.style = this.registry.onProcessStyle[i](rule.style, rule, sheet);
    }
  };
  _proto.onProcessSheet = function onProcessSheet(sheet) {
    for (var i = 0; i < this.registry.onProcessSheet.length; i++) {
      this.registry.onProcessSheet[i](sheet);
    }
  };
  _proto.onUpdate = function onUpdate2(data2, rule, sheet, options) {
    for (var i = 0; i < this.registry.onUpdate.length; i++) {
      this.registry.onUpdate[i](data2, rule, sheet, options);
    }
  };
  _proto.onChangeValue = function onChangeValue2(value, prop, rule) {
    var processedValue = value;
    for (var i = 0; i < this.registry.onChangeValue.length; i++) {
      processedValue = this.registry.onChangeValue[i](processedValue, prop, rule);
    }
    return processedValue;
  };
  _proto.use = function use(newPlugin, options) {
    if (options === void 0) {
      options = {
        queue: "external"
      };
    }
    var plugins2 = this.plugins[options.queue];
    if (plugins2.indexOf(newPlugin) !== -1) {
      return;
    }
    plugins2.push(newPlugin);
    this.registry = [].concat(this.plugins.external, this.plugins.internal).reduce(function(registry2, plugin) {
      for (var name2 in plugin) {
        if (name2 in registry2) {
          registry2[name2].push(plugin[name2]);
        }
      }
      return registry2;
    }, {
      onCreateRule: [],
      onProcessRule: [],
      onProcessStyle: [],
      onProcessSheet: [],
      onChangeValue: [],
      onUpdate: []
    });
  };
  return PluginsRegistry2;
}();
var SheetsRegistry = /* @__PURE__ */ function() {
  function SheetsRegistry2() {
    this.registry = [];
  }
  var _proto = SheetsRegistry2.prototype;
  _proto.add = function add(sheet) {
    var registry2 = this.registry;
    var index2 = sheet.options.index;
    if (registry2.indexOf(sheet) !== -1)
      return;
    if (registry2.length === 0 || index2 >= this.index) {
      registry2.push(sheet);
      return;
    }
    for (var i = 0; i < registry2.length; i++) {
      if (registry2[i].options.index > index2) {
        registry2.splice(i, 0, sheet);
        return;
      }
    }
  };
  _proto.reset = function reset() {
    this.registry = [];
  };
  _proto.remove = function remove(sheet) {
    var index2 = this.registry.indexOf(sheet);
    this.registry.splice(index2, 1);
  };
  _proto.toString = function toString(_temp) {
    var _ref = _temp === void 0 ? {} : _temp, attached = _ref.attached, options = _objectWithoutPropertiesLoose$4(_ref, ["attached"]);
    var _getWhitespaceSymbols = getWhitespaceSymbols(options), linebreak = _getWhitespaceSymbols.linebreak;
    var css2 = "";
    for (var i = 0; i < this.registry.length; i++) {
      var sheet = this.registry[i];
      if (attached != null && sheet.attached !== attached) {
        continue;
      }
      if (css2)
        css2 += linebreak;
      css2 += sheet.toString(options);
    }
    return css2;
  };
  _createClass$5(SheetsRegistry2, [{
    key: "index",
    get: function get2() {
      return this.registry.length === 0 ? 0 : this.registry[this.registry.length - 1].options.index;
    }
  }]);
  return SheetsRegistry2;
}();
var sheets = new SheetsRegistry();
var globalThis$1 = typeof globalThis !== "undefined" ? globalThis : typeof window !== "undefined" && window.Math === Math ? window : typeof self !== "undefined" && self.Math === Math ? self : Function("return this")();
var ns = "2f1acc6c3a606b082e5eef5e54414ffb";
if (globalThis$1[ns] == null)
  globalThis$1[ns] = 0;
var moduleId = globalThis$1[ns]++;
var createGenerateId = function createGenerateId2(options) {
  if (options === void 0) {
    options = {};
  }
  var ruleCounter = 0;
  var generateId = function generateId2(rule, sheet) {
    ruleCounter += 1;
    var jssId = "";
    var prefix2 = "";
    if (sheet) {
      if (sheet.options.classNamePrefix) {
        prefix2 = sheet.options.classNamePrefix;
      }
      if (sheet.options.jss.id != null) {
        jssId = String(sheet.options.jss.id);
      }
    }
    if (options.minify) {
      return "" + (prefix2 || "c") + moduleId + jssId + ruleCounter;
    }
    return prefix2 + rule.key + "-" + moduleId + (jssId ? "-" + jssId : "") + "-" + ruleCounter;
  };
  return generateId;
};
var memoize = function memoize2(fn) {
  var value;
  return function() {
    if (!value)
      value = fn();
    return value;
  };
};
var getPropertyValue = function getPropertyValue2(cssRule, prop) {
  try {
    if (cssRule.attributeStyleMap) {
      return cssRule.attributeStyleMap.get(prop);
    }
    return cssRule.style.getPropertyValue(prop);
  } catch (err) {
    return "";
  }
};
var setProperty = function setProperty2(cssRule, prop, value) {
  try {
    var cssValue = value;
    if (Array.isArray(value)) {
      cssValue = toCssValue(value, true);
      if (value[value.length - 1] === "!important") {
        cssRule.style.setProperty(prop, cssValue, "important");
        return true;
      }
    }
    if (cssRule.attributeStyleMap) {
      cssRule.attributeStyleMap.set(prop, cssValue);
    } else {
      cssRule.style.setProperty(prop, cssValue);
    }
  } catch (err) {
    return false;
  }
  return true;
};
var removeProperty = function removeProperty2(cssRule, prop) {
  try {
    if (cssRule.attributeStyleMap) {
      cssRule.attributeStyleMap.delete(prop);
    } else {
      cssRule.style.removeProperty(prop);
    }
  } catch (err) {
  }
};
var setSelector = function setSelector2(cssRule, selectorText) {
  cssRule.selectorText = selectorText;
  return cssRule.selectorText === selectorText;
};
var getHead = memoize(function() {
  return document.querySelector("head");
});
function findHigherSheet(registry2, options) {
  for (var i = 0; i < registry2.length; i++) {
    var sheet = registry2[i];
    if (sheet.attached && sheet.options.index > options.index && sheet.options.insertionPoint === options.insertionPoint) {
      return sheet;
    }
  }
  return null;
}
function findHighestSheet(registry2, options) {
  for (var i = registry2.length - 1; i >= 0; i--) {
    var sheet = registry2[i];
    if (sheet.attached && sheet.options.insertionPoint === options.insertionPoint) {
      return sheet;
    }
  }
  return null;
}
function findCommentNode(text) {
  var head = getHead();
  for (var i = 0; i < head.childNodes.length; i++) {
    var node = head.childNodes[i];
    if (node.nodeType === 8 && node.nodeValue.trim() === text) {
      return node;
    }
  }
  return null;
}
function findPrevNode(options) {
  var registry2 = sheets.registry;
  if (registry2.length > 0) {
    var sheet = findHigherSheet(registry2, options);
    if (sheet && sheet.renderer) {
      return {
        parent: sheet.renderer.element.parentNode,
        node: sheet.renderer.element
      };
    }
    sheet = findHighestSheet(registry2, options);
    if (sheet && sheet.renderer) {
      return {
        parent: sheet.renderer.element.parentNode,
        node: sheet.renderer.element.nextSibling
      };
    }
  }
  var insertionPoint = options.insertionPoint;
  if (insertionPoint && typeof insertionPoint === "string") {
    var comment2 = findCommentNode(insertionPoint);
    if (comment2) {
      return {
        parent: comment2.parentNode,
        node: comment2.nextSibling
      };
    }
  }
  return false;
}
function insertStyle(style, options) {
  var insertionPoint = options.insertionPoint;
  var nextNode = findPrevNode(options);
  if (nextNode !== false && nextNode.parent) {
    nextNode.parent.insertBefore(style, nextNode.node);
    return;
  }
  if (insertionPoint && typeof insertionPoint.nodeType === "number") {
    var insertionPointElement = insertionPoint;
    var parentNode = insertionPointElement.parentNode;
    if (parentNode)
      parentNode.insertBefore(style, insertionPointElement.nextSibling);
    return;
  }
  getHead().appendChild(style);
}
var getNonce = memoize(function() {
  var node = document.querySelector('meta[property="csp-nonce"]');
  return node ? node.getAttribute("content") : null;
});
var _insertRule = function insertRule(container, rule, index2) {
  try {
    if ("insertRule" in container) {
      container.insertRule(rule, index2);
    } else if ("appendRule" in container) {
      container.appendRule(rule);
    }
  } catch (err) {
    return false;
  }
  return container.cssRules[index2];
};
var getValidRuleInsertionIndex = function getValidRuleInsertionIndex2(container, index2) {
  var maxIndex = container.cssRules.length;
  if (index2 === void 0 || index2 > maxIndex) {
    return maxIndex;
  }
  return index2;
};
var createStyle = function createStyle2() {
  var el2 = document.createElement("style");
  el2.textContent = "\n";
  return el2;
};
var DomRenderer = /* @__PURE__ */ function() {
  function DomRenderer2(sheet) {
    this.getPropertyValue = getPropertyValue;
    this.setProperty = setProperty;
    this.removeProperty = removeProperty;
    this.setSelector = setSelector;
    this.hasInsertedRules = false;
    this.cssRules = [];
    if (sheet)
      sheets.add(sheet);
    this.sheet = sheet;
    var _ref = this.sheet ? this.sheet.options : {}, media = _ref.media, meta = _ref.meta, element = _ref.element;
    this.element = element || createStyle();
    this.element.setAttribute("data-jss", "");
    if (media)
      this.element.setAttribute("media", media);
    if (meta)
      this.element.setAttribute("data-meta", meta);
    var nonce = getNonce();
    if (nonce)
      this.element.setAttribute("nonce", nonce);
  }
  var _proto = DomRenderer2.prototype;
  _proto.attach = function attach2() {
    if (this.element.parentNode || !this.sheet)
      return;
    insertStyle(this.element, this.sheet.options);
    var deployed = Boolean(this.sheet && this.sheet.deployed);
    if (this.hasInsertedRules && deployed) {
      this.hasInsertedRules = false;
      this.deploy();
    }
  };
  _proto.detach = function detach2() {
    if (!this.sheet)
      return;
    var parentNode = this.element.parentNode;
    if (parentNode)
      parentNode.removeChild(this.element);
    if (this.sheet.options.link) {
      this.cssRules = [];
      this.element.textContent = "\n";
    }
  };
  _proto.deploy = function deploy() {
    var sheet = this.sheet;
    if (!sheet)
      return;
    if (sheet.options.link) {
      this.insertRules(sheet.rules);
      return;
    }
    this.element.textContent = "\n" + sheet.toString() + "\n";
  };
  _proto.insertRules = function insertRules(rules3, nativeParent) {
    for (var i = 0; i < rules3.index.length; i++) {
      this.insertRule(rules3.index[i], i, nativeParent);
    }
  };
  _proto.insertRule = function insertRule2(rule, index2, nativeParent) {
    if (nativeParent === void 0) {
      nativeParent = this.element.sheet;
    }
    if (rule.rules) {
      var parent = rule;
      var latestNativeParent = nativeParent;
      if (rule.type === "conditional" || rule.type === "keyframes") {
        var _insertionIndex = getValidRuleInsertionIndex(nativeParent, index2);
        latestNativeParent = _insertRule(nativeParent, parent.toString({
          children: false
        }), _insertionIndex);
        if (latestNativeParent === false) {
          return false;
        }
        this.refCssRule(rule, _insertionIndex, latestNativeParent);
      }
      this.insertRules(parent.rules, latestNativeParent);
      return latestNativeParent;
    }
    var ruleStr = rule.toString();
    if (!ruleStr)
      return false;
    var insertionIndex = getValidRuleInsertionIndex(nativeParent, index2);
    var nativeRule = _insertRule(nativeParent, ruleStr, insertionIndex);
    if (nativeRule === false) {
      return false;
    }
    this.hasInsertedRules = true;
    this.refCssRule(rule, insertionIndex, nativeRule);
    return nativeRule;
  };
  _proto.refCssRule = function refCssRule(rule, index2, cssRule) {
    rule.renderable = cssRule;
    if (rule.options.parent instanceof StyleSheet) {
      this.cssRules[index2] = cssRule;
    }
  };
  _proto.deleteRule = function deleteRule(cssRule) {
    var sheet = this.element.sheet;
    var index2 = this.indexOf(cssRule);
    if (index2 === -1)
      return false;
    sheet.deleteRule(index2);
    this.cssRules.splice(index2, 1);
    return true;
  };
  _proto.indexOf = function indexOf(cssRule) {
    return this.cssRules.indexOf(cssRule);
  };
  _proto.replaceRule = function replaceRule(cssRule, rule) {
    var index2 = this.indexOf(cssRule);
    if (index2 === -1)
      return false;
    this.element.sheet.deleteRule(index2);
    this.cssRules.splice(index2, 1);
    return this.insertRule(rule, index2);
  };
  _proto.getRules = function getRules() {
    return this.element.sheet.cssRules;
  };
  return DomRenderer2;
}();
var instanceCounter = 0;
var Jss = /* @__PURE__ */ function() {
  function Jss2(options) {
    this.id = instanceCounter++;
    this.version = "10.8.2";
    this.plugins = new PluginsRegistry();
    this.options = {
      id: {
        minify: false
      },
      createGenerateId,
      Renderer: isBrowser$1 ? DomRenderer : null,
      plugins: []
    };
    this.generateId = createGenerateId({
      minify: false
    });
    for (var i = 0; i < plugins$1.length; i++) {
      this.plugins.use(plugins$1[i], {
        queue: "internal"
      });
    }
    this.setup(options);
  }
  var _proto = Jss2.prototype;
  _proto.setup = function setup(options) {
    if (options === void 0) {
      options = {};
    }
    if (options.createGenerateId) {
      this.options.createGenerateId = options.createGenerateId;
    }
    if (options.id) {
      this.options.id = _extends$5({}, this.options.id, options.id);
    }
    if (options.createGenerateId || options.id) {
      this.generateId = this.options.createGenerateId(this.options.id);
    }
    if (options.insertionPoint != null)
      this.options.insertionPoint = options.insertionPoint;
    if ("Renderer" in options) {
      this.options.Renderer = options.Renderer;
    }
    if (options.plugins)
      this.use.apply(this, options.plugins);
    return this;
  };
  _proto.createStyleSheet = function createStyleSheet(styles12, options) {
    if (options === void 0) {
      options = {};
    }
    var _options = options, index2 = _options.index;
    if (typeof index2 !== "number") {
      index2 = sheets.index === 0 ? 0 : sheets.index + 1;
    }
    var sheet = new StyleSheet(styles12, _extends$5({}, options, {
      jss: this,
      generateId: options.generateId || this.generateId,
      insertionPoint: this.options.insertionPoint,
      Renderer: this.options.Renderer,
      index: index2
    }));
    this.plugins.onProcessSheet(sheet);
    return sheet;
  };
  _proto.removeStyleSheet = function removeStyleSheet(sheet) {
    sheet.detach();
    sheets.remove(sheet);
    return this;
  };
  _proto.createRule = function createRule$1(name2, style, options) {
    if (style === void 0) {
      style = {};
    }
    if (options === void 0) {
      options = {};
    }
    if (typeof name2 === "object") {
      return this.createRule(void 0, name2, style);
    }
    var ruleOptions = _extends$5({}, options, {
      name: name2,
      jss: this,
      Renderer: this.options.Renderer
    });
    if (!ruleOptions.generateId)
      ruleOptions.generateId = this.generateId;
    if (!ruleOptions.classes)
      ruleOptions.classes = {};
    if (!ruleOptions.keyframes)
      ruleOptions.keyframes = {};
    var rule = createRule(name2, style, ruleOptions);
    if (rule)
      this.plugins.onProcessRule(rule);
    return rule;
  };
  _proto.use = function use() {
    var _this = this;
    for (var _len = arguments.length, plugins2 = new Array(_len), _key = 0; _key < _len; _key++) {
      plugins2[_key] = arguments[_key];
    }
    plugins2.forEach(function(plugin) {
      _this.plugins.use(plugin);
    });
    return this;
  };
  return Jss2;
}();
var createJss = function createJss2(options) {
  return new Jss(options);
};
var hasCSSTOMSupport = typeof CSS === "object" && CSS != null && "number" in CSS;
function getDynamicStyles(styles12) {
  var to = null;
  for (var key in styles12) {
    var value = styles12[key];
    var type3 = typeof value;
    if (type3 === "function") {
      if (!to)
        to = {};
      to[key] = value;
    } else if (type3 === "object" && value !== null && !Array.isArray(value)) {
      var extracted = getDynamicStyles(value);
      if (extracted) {
        if (!to)
          to = {};
        to[key] = extracted;
      }
    }
  }
  return to;
}
/**
 * A better abstraction over CSS.
 *
 * @copyright Oleg Isonen (Slobodskoi) / Isonen 2014-present
 * @website https://github.com/cssinjs/jss
 * @license MIT
 */
createJss();
var now$2 = Date.now();
var fnValuesNs = "fnValues" + now$2;
var fnRuleNs = "fnStyle" + ++now$2;
var functionPlugin = function functionPlugin2() {
  return {
    onCreateRule: function onCreateRule8(name2, decl, options) {
      if (typeof decl !== "function")
        return null;
      var rule = createRule(name2, {}, options);
      rule[fnRuleNs] = decl;
      return rule;
    },
    onProcessStyle: function onProcessStyle2(style, rule) {
      if (fnValuesNs in rule || fnRuleNs in rule)
        return style;
      var fnValues = {};
      for (var prop in style) {
        var value = style[prop];
        if (typeof value !== "function")
          continue;
        delete style[prop];
        fnValues[prop] = value;
      }
      rule[fnValuesNs] = fnValues;
      return style;
    },
    onUpdate: function onUpdate2(data2, rule, sheet, options) {
      var styleRule = rule;
      var fnRule = styleRule[fnRuleNs];
      if (fnRule) {
        styleRule.style = fnRule(data2) || {};
      }
      var fnValues = styleRule[fnValuesNs];
      if (fnValues) {
        for (var _prop in fnValues) {
          styleRule.prop(_prop, fnValues[_prop](data2), options);
        }
      }
    }
  };
};
var functions = functionPlugin;
var at = "@global";
var atPrefix = "@global ";
var GlobalContainerRule = /* @__PURE__ */ function() {
  function GlobalContainerRule2(key, styles12, options) {
    this.type = "global";
    this.at = at;
    this.isProcessed = false;
    this.key = key;
    this.options = options;
    this.rules = new RuleList(_extends$5({}, options, {
      parent: this
    }));
    for (var selector in styles12) {
      this.rules.add(selector, styles12[selector]);
    }
    this.rules.process();
  }
  var _proto = GlobalContainerRule2.prototype;
  _proto.getRule = function getRule(name2) {
    return this.rules.get(name2);
  };
  _proto.addRule = function addRule(name2, style, options) {
    var rule = this.rules.add(name2, style, options);
    if (rule)
      this.options.jss.plugins.onProcessRule(rule);
    return rule;
  };
  _proto.indexOf = function indexOf(rule) {
    return this.rules.indexOf(rule);
  };
  _proto.toString = function toString() {
    return this.rules.toString();
  };
  return GlobalContainerRule2;
}();
var GlobalPrefixedRule = /* @__PURE__ */ function() {
  function GlobalPrefixedRule2(key, style, options) {
    this.type = "global";
    this.at = at;
    this.isProcessed = false;
    this.key = key;
    this.options = options;
    var selector = key.substr(atPrefix.length);
    this.rule = options.jss.createRule(selector, style, _extends$5({}, options, {
      parent: this
    }));
  }
  var _proto2 = GlobalPrefixedRule2.prototype;
  _proto2.toString = function toString(options) {
    return this.rule ? this.rule.toString(options) : "";
  };
  return GlobalPrefixedRule2;
}();
var separatorRegExp$1 = /\s*,\s*/g;
function addScope(selector, scope) {
  var parts = selector.split(separatorRegExp$1);
  var scoped = "";
  for (var i = 0; i < parts.length; i++) {
    scoped += scope + " " + parts[i].trim();
    if (parts[i + 1])
      scoped += ", ";
  }
  return scoped;
}
function handleNestedGlobalContainerRule(rule, sheet) {
  var options = rule.options, style = rule.style;
  var rules3 = style ? style[at] : null;
  if (!rules3)
    return;
  for (var name2 in rules3) {
    sheet.addRule(name2, rules3[name2], _extends$5({}, options, {
      selector: addScope(name2, rule.selector)
    }));
  }
  delete style[at];
}
function handlePrefixedGlobalRule(rule, sheet) {
  var options = rule.options, style = rule.style;
  for (var prop in style) {
    if (prop[0] !== "@" || prop.substr(0, at.length) !== at)
      continue;
    var selector = addScope(prop.substr(at.length), rule.selector);
    sheet.addRule(selector, style[prop], _extends$5({}, options, {
      selector
    }));
    delete style[prop];
  }
}
function jssGlobal() {
  function onCreateRule8(name2, styles12, options) {
    if (!name2)
      return null;
    if (name2 === at) {
      return new GlobalContainerRule(name2, styles12, options);
    }
    if (name2[0] === "@" && name2.substr(0, atPrefix.length) === atPrefix) {
      return new GlobalPrefixedRule(name2, styles12, options);
    }
    var parent = options.parent;
    if (parent) {
      if (parent.type === "global" || parent.options.parent && parent.options.parent.type === "global") {
        options.scoped = false;
      }
    }
    if (options.scoped === false) {
      options.selector = name2;
    }
    return null;
  }
  function onProcessRule(rule, sheet) {
    if (rule.type !== "style" || !sheet)
      return;
    handleNestedGlobalContainerRule(rule, sheet);
    handlePrefixedGlobalRule(rule, sheet);
  }
  return {
    onCreateRule: onCreateRule8,
    onProcessRule
  };
}
var separatorRegExp = /\s*,\s*/g;
var parentRegExp = /&/g;
var refRegExp = /\$([\w-]+)/g;
function jssNested() {
  function getReplaceRef(container, sheet) {
    return function(match, key) {
      var rule = container.getRule(key) || sheet && sheet.getRule(key);
      if (rule) {
        return rule.selector;
      }
      return key;
    };
  }
  function replaceParentRefs(nestedProp, parentProp) {
    var parentSelectors = parentProp.split(separatorRegExp);
    var nestedSelectors = nestedProp.split(separatorRegExp);
    var result = "";
    for (var i = 0; i < parentSelectors.length; i++) {
      var parent = parentSelectors[i];
      for (var j = 0; j < nestedSelectors.length; j++) {
        var nested2 = nestedSelectors[j];
        if (result)
          result += ", ";
        result += nested2.indexOf("&") !== -1 ? nested2.replace(parentRegExp, parent) : parent + " " + nested2;
      }
    }
    return result;
  }
  function getOptions(rule, container, prevOptions) {
    if (prevOptions)
      return _extends$5({}, prevOptions, {
        index: prevOptions.index + 1
      });
    var nestingLevel = rule.options.nestingLevel;
    nestingLevel = nestingLevel === void 0 ? 1 : nestingLevel + 1;
    var options = _extends$5({}, rule.options, {
      nestingLevel,
      index: container.indexOf(rule) + 1
    });
    delete options.name;
    return options;
  }
  function onProcessStyle2(style, rule, sheet) {
    if (rule.type !== "style")
      return style;
    var styleRule = rule;
    var container = styleRule.options.parent;
    var options;
    var replaceRef3;
    for (var prop in style) {
      var isNested = prop.indexOf("&") !== -1;
      var isNestedConditional = prop[0] === "@";
      if (!isNested && !isNestedConditional)
        continue;
      options = getOptions(styleRule, container, options);
      if (isNested) {
        var selector = replaceParentRefs(prop, styleRule.selector);
        if (!replaceRef3)
          replaceRef3 = getReplaceRef(container, sheet);
        selector = selector.replace(refRegExp, replaceRef3);
        container.addRule(selector, style[prop], _extends$5({}, options, {
          selector
        }));
      } else if (isNestedConditional) {
        container.addRule(prop, {}, options).addRule(styleRule.key, style[prop], {
          selector: styleRule.selector
        });
      }
      delete style[prop];
    }
    return style;
  }
  return {
    onProcessStyle: onProcessStyle2
  };
}
var uppercasePattern = /[A-Z]/g;
var msPattern = /^ms-/;
var cache$2 = {};
function toHyphenLower(match) {
  return "-" + match.toLowerCase();
}
function hyphenateStyleName(name2) {
  if (cache$2.hasOwnProperty(name2)) {
    return cache$2[name2];
  }
  var hName = name2.replace(uppercasePattern, toHyphenLower);
  return cache$2[name2] = msPattern.test(hName) ? "-" + hName : hName;
}
function convertCase(style) {
  var converted = {};
  for (var prop in style) {
    var key = prop.indexOf("--") === 0 ? prop : hyphenateStyleName(prop);
    converted[key] = style[prop];
  }
  if (style.fallbacks) {
    if (Array.isArray(style.fallbacks))
      converted.fallbacks = style.fallbacks.map(convertCase);
    else
      converted.fallbacks = convertCase(style.fallbacks);
  }
  return converted;
}
function camelCase() {
  function onProcessStyle2(style) {
    if (Array.isArray(style)) {
      for (var index2 = 0; index2 < style.length; index2++) {
        style[index2] = convertCase(style[index2]);
      }
      return style;
    }
    return convertCase(style);
  }
  function onChangeValue2(value, prop, rule) {
    if (prop.indexOf("--") === 0) {
      return value;
    }
    var hyphenatedProp = hyphenateStyleName(prop);
    if (prop === hyphenatedProp)
      return value;
    rule.prop(hyphenatedProp, value);
    return null;
  }
  return {
    onProcessStyle: onProcessStyle2,
    onChangeValue: onChangeValue2
  };
}
var px = hasCSSTOMSupport && CSS ? CSS.px : "px";
var ms = hasCSSTOMSupport && CSS ? CSS.ms : "ms";
var percent = hasCSSTOMSupport && CSS ? CSS.percent : "%";
var defaultUnits = {
  "animation-delay": ms,
  "animation-duration": ms,
  "background-position": px,
  "background-position-x": px,
  "background-position-y": px,
  "background-size": px,
  border: px,
  "border-bottom": px,
  "border-bottom-left-radius": px,
  "border-bottom-right-radius": px,
  "border-bottom-width": px,
  "border-left": px,
  "border-left-width": px,
  "border-radius": px,
  "border-right": px,
  "border-right-width": px,
  "border-top": px,
  "border-top-left-radius": px,
  "border-top-right-radius": px,
  "border-top-width": px,
  "border-width": px,
  "border-block": px,
  "border-block-end": px,
  "border-block-end-width": px,
  "border-block-start": px,
  "border-block-start-width": px,
  "border-block-width": px,
  "border-inline": px,
  "border-inline-end": px,
  "border-inline-end-width": px,
  "border-inline-start": px,
  "border-inline-start-width": px,
  "border-inline-width": px,
  "border-start-start-radius": px,
  "border-start-end-radius": px,
  "border-end-start-radius": px,
  "border-end-end-radius": px,
  margin: px,
  "margin-bottom": px,
  "margin-left": px,
  "margin-right": px,
  "margin-top": px,
  "margin-block": px,
  "margin-block-end": px,
  "margin-block-start": px,
  "margin-inline": px,
  "margin-inline-end": px,
  "margin-inline-start": px,
  padding: px,
  "padding-bottom": px,
  "padding-left": px,
  "padding-right": px,
  "padding-top": px,
  "padding-block": px,
  "padding-block-end": px,
  "padding-block-start": px,
  "padding-inline": px,
  "padding-inline-end": px,
  "padding-inline-start": px,
  "mask-position-x": px,
  "mask-position-y": px,
  "mask-size": px,
  height: px,
  width: px,
  "min-height": px,
  "max-height": px,
  "min-width": px,
  "max-width": px,
  bottom: px,
  left: px,
  top: px,
  right: px,
  inset: px,
  "inset-block": px,
  "inset-block-end": px,
  "inset-block-start": px,
  "inset-inline": px,
  "inset-inline-end": px,
  "inset-inline-start": px,
  "box-shadow": px,
  "text-shadow": px,
  "column-gap": px,
  "column-rule": px,
  "column-rule-width": px,
  "column-width": px,
  "font-size": px,
  "font-size-delta": px,
  "letter-spacing": px,
  "text-decoration-thickness": px,
  "text-indent": px,
  "text-stroke": px,
  "text-stroke-width": px,
  "word-spacing": px,
  motion: px,
  "motion-offset": px,
  outline: px,
  "outline-offset": px,
  "outline-width": px,
  perspective: px,
  "perspective-origin-x": percent,
  "perspective-origin-y": percent,
  "transform-origin": percent,
  "transform-origin-x": percent,
  "transform-origin-y": percent,
  "transform-origin-z": percent,
  "transition-delay": ms,
  "transition-duration": ms,
  "vertical-align": px,
  "flex-basis": px,
  "shape-margin": px,
  size: px,
  gap: px,
  grid: px,
  "grid-gap": px,
  "row-gap": px,
  "grid-row-gap": px,
  "grid-column-gap": px,
  "grid-template-rows": px,
  "grid-template-columns": px,
  "grid-auto-rows": px,
  "grid-auto-columns": px,
  "box-shadow-x": px,
  "box-shadow-y": px,
  "box-shadow-blur": px,
  "box-shadow-spread": px,
  "font-line-height": px,
  "text-shadow-x": px,
  "text-shadow-y": px,
  "text-shadow-blur": px
};
function addCamelCasedVersion(obj) {
  var regExp2 = /(-[a-z])/g;
  var replace = function replace2(str) {
    return str[1].toUpperCase();
  };
  var newObj = {};
  for (var key in obj) {
    newObj[key] = obj[key];
    newObj[key.replace(regExp2, replace)] = obj[key];
  }
  return newObj;
}
var units = addCamelCasedVersion(defaultUnits);
function iterate(prop, value, options) {
  if (value == null)
    return value;
  if (Array.isArray(value)) {
    for (var i = 0; i < value.length; i++) {
      value[i] = iterate(prop, value[i], options);
    }
  } else if (typeof value === "object") {
    if (prop === "fallbacks") {
      for (var innerProp in value) {
        value[innerProp] = iterate(innerProp, value[innerProp], options);
      }
    } else {
      for (var _innerProp in value) {
        value[_innerProp] = iterate(prop + "-" + _innerProp, value[_innerProp], options);
      }
    }
  } else if (typeof value === "number" && isNaN(value) === false) {
    var unit = options[prop] || units[prop];
    if (unit && !(value === 0 && unit === px)) {
      return typeof unit === "function" ? unit(value).toString() : "" + value + unit;
    }
    return value.toString();
  }
  return value;
}
function defaultUnit(options) {
  if (options === void 0) {
    options = {};
  }
  var camelCasedOptions = addCamelCasedVersion(options);
  function onProcessStyle2(style, rule) {
    if (rule.type !== "style")
      return style;
    for (var prop in style) {
      style[prop] = iterate(prop, style[prop], camelCasedOptions);
    }
    return style;
  }
  function onChangeValue2(value, prop) {
    return iterate(prop, value, camelCasedOptions);
  }
  return {
    onProcessStyle: onProcessStyle2,
    onChangeValue: onChangeValue2
  };
}
var js = "";
var css = "";
var vendor = "";
var browser = "";
var isTouch = isBrowser$1 && "ontouchstart" in document.documentElement;
if (isBrowser$1) {
  var jsCssMap = {
    Moz: "-moz-",
    ms: "-ms-",
    O: "-o-",
    Webkit: "-webkit-"
  };
  var _document$createEleme = document.createElement("p"), style = _document$createEleme.style;
  var testProp = "Transform";
  for (var key in jsCssMap) {
    if (key + testProp in style) {
      js = key;
      css = jsCssMap[key];
      break;
    }
  }
  if (js === "Webkit" && "msHyphens" in style) {
    js = "ms";
    css = jsCssMap.ms;
    browser = "edge";
  }
  if (js === "Webkit" && "-apple-trailing-word" in style) {
    vendor = "apple";
  }
}
var prefix = {
  js,
  css,
  vendor,
  browser,
  isTouch
};
function supportedKeyframes(key) {
  if (key[1] === "-")
    return key;
  if (prefix.js === "ms")
    return key;
  return "@" + prefix.css + "keyframes" + key.substr(10);
}
var appearence = {
  noPrefill: ["appearance"],
  supportedProperty: function supportedProperty(prop) {
    if (prop !== "appearance")
      return false;
    if (prefix.js === "ms")
      return "-webkit-" + prop;
    return prefix.css + prop;
  }
};
var colorAdjust = {
  noPrefill: ["color-adjust"],
  supportedProperty: function supportedProperty2(prop) {
    if (prop !== "color-adjust")
      return false;
    if (prefix.js === "Webkit")
      return prefix.css + "print-" + prop;
    return prop;
  }
};
var regExp = /[-\s]+(.)?/g;
function toUpper(match, c2) {
  return c2 ? c2.toUpperCase() : "";
}
function camelize(str) {
  return str.replace(regExp, toUpper);
}
function pascalize(str) {
  return camelize("-" + str);
}
var mask = {
  noPrefill: ["mask"],
  supportedProperty: function supportedProperty3(prop, style) {
    if (!/^mask/.test(prop))
      return false;
    if (prefix.js === "Webkit") {
      var longhand = "mask-image";
      if (camelize(longhand) in style) {
        return prop;
      }
      if (prefix.js + pascalize(longhand) in style) {
        return prefix.css + prop;
      }
    }
    return prop;
  }
};
var textOrientation = {
  noPrefill: ["text-orientation"],
  supportedProperty: function supportedProperty4(prop) {
    if (prop !== "text-orientation")
      return false;
    if (prefix.vendor === "apple" && !prefix.isTouch) {
      return prefix.css + prop;
    }
    return prop;
  }
};
var transform = {
  noPrefill: ["transform"],
  supportedProperty: function supportedProperty5(prop, style, options) {
    if (prop !== "transform")
      return false;
    if (options.transform) {
      return prop;
    }
    return prefix.css + prop;
  }
};
var transition = {
  noPrefill: ["transition"],
  supportedProperty: function supportedProperty6(prop, style, options) {
    if (prop !== "transition")
      return false;
    if (options.transition) {
      return prop;
    }
    return prefix.css + prop;
  }
};
var writingMode = {
  noPrefill: ["writing-mode"],
  supportedProperty: function supportedProperty7(prop) {
    if (prop !== "writing-mode")
      return false;
    if (prefix.js === "Webkit" || prefix.js === "ms" && prefix.browser !== "edge") {
      return prefix.css + prop;
    }
    return prop;
  }
};
var userSelect = {
  noPrefill: ["user-select"],
  supportedProperty: function supportedProperty8(prop) {
    if (prop !== "user-select")
      return false;
    if (prefix.js === "Moz" || prefix.js === "ms" || prefix.vendor === "apple") {
      return prefix.css + prop;
    }
    return prop;
  }
};
var breakPropsOld = {
  supportedProperty: function supportedProperty9(prop, style) {
    if (!/^break-/.test(prop))
      return false;
    if (prefix.js === "Webkit") {
      var jsProp = "WebkitColumn" + pascalize(prop);
      return jsProp in style ? prefix.css + "column-" + prop : false;
    }
    if (prefix.js === "Moz") {
      var _jsProp = "page" + pascalize(prop);
      return _jsProp in style ? "page-" + prop : false;
    }
    return false;
  }
};
var inlineLogicalOld = {
  supportedProperty: function supportedProperty10(prop, style) {
    if (!/^(border|margin|padding)-inline/.test(prop))
      return false;
    if (prefix.js === "Moz")
      return prop;
    var newProp = prop.replace("-inline", "");
    return prefix.js + pascalize(newProp) in style ? prefix.css + newProp : false;
  }
};
var unprefixed = {
  supportedProperty: function supportedProperty11(prop, style) {
    return camelize(prop) in style ? prop : false;
  }
};
var prefixed = {
  supportedProperty: function supportedProperty12(prop, style) {
    var pascalized = pascalize(prop);
    if (prop[0] === "-")
      return prop;
    if (prop[0] === "-" && prop[1] === "-")
      return prop;
    if (prefix.js + pascalized in style)
      return prefix.css + prop;
    if (prefix.js !== "Webkit" && "Webkit" + pascalized in style)
      return "-webkit-" + prop;
    return false;
  }
};
var scrollSnap = {
  supportedProperty: function supportedProperty13(prop) {
    if (prop.substring(0, 11) !== "scroll-snap")
      return false;
    if (prefix.js === "ms") {
      return "" + prefix.css + prop;
    }
    return prop;
  }
};
var overscrollBehavior = {
  supportedProperty: function supportedProperty14(prop) {
    if (prop !== "overscroll-behavior")
      return false;
    if (prefix.js === "ms") {
      return prefix.css + "scroll-chaining";
    }
    return prop;
  }
};
var propMap = {
  "flex-grow": "flex-positive",
  "flex-shrink": "flex-negative",
  "flex-basis": "flex-preferred-size",
  "justify-content": "flex-pack",
  order: "flex-order",
  "align-items": "flex-align",
  "align-content": "flex-line-pack"
};
var flex2012 = {
  supportedProperty: function supportedProperty15(prop, style) {
    var newProp = propMap[prop];
    if (!newProp)
      return false;
    return prefix.js + pascalize(newProp) in style ? prefix.css + newProp : false;
  }
};
var propMap$1 = {
  flex: "box-flex",
  "flex-grow": "box-flex",
  "flex-direction": ["box-orient", "box-direction"],
  order: "box-ordinal-group",
  "align-items": "box-align",
  "flex-flow": ["box-orient", "box-direction"],
  "justify-content": "box-pack"
};
var propKeys = Object.keys(propMap$1);
var prefixCss = function prefixCss2(p2) {
  return prefix.css + p2;
};
var flex2009 = {
  supportedProperty: function supportedProperty16(prop, style, _ref) {
    var multiple = _ref.multiple;
    if (propKeys.indexOf(prop) > -1) {
      var newProp = propMap$1[prop];
      if (!Array.isArray(newProp)) {
        return prefix.js + pascalize(newProp) in style ? prefix.css + newProp : false;
      }
      if (!multiple)
        return false;
      for (var i = 0; i < newProp.length; i++) {
        if (!(prefix.js + pascalize(newProp[0]) in style)) {
          return false;
        }
      }
      return newProp.map(prefixCss);
    }
    return false;
  }
};
var plugins = [appearence, colorAdjust, mask, textOrientation, transform, transition, writingMode, userSelect, breakPropsOld, inlineLogicalOld, unprefixed, prefixed, scrollSnap, overscrollBehavior, flex2012, flex2009];
var propertyDetectors = plugins.filter(function(p2) {
  return p2.supportedProperty;
}).map(function(p2) {
  return p2.supportedProperty;
});
var noPrefill = plugins.filter(function(p2) {
  return p2.noPrefill;
}).reduce(function(a, p2) {
  a.push.apply(a, _toConsumableArray$1(p2.noPrefill));
  return a;
}, []);
var el;
var cache$1 = {};
if (isBrowser$1) {
  el = document.createElement("p");
  var computed = window.getComputedStyle(document.documentElement, "");
  for (var key$1 in computed) {
    if (!isNaN(key$1))
      cache$1[computed[key$1]] = computed[key$1];
  }
  noPrefill.forEach(function(x2) {
    return delete cache$1[x2];
  });
}
function supportedProperty17(prop, options) {
  if (options === void 0) {
    options = {};
  }
  if (!el)
    return prop;
  if (cache$1[prop] != null) {
    return cache$1[prop];
  }
  if (prop === "transition" || prop === "transform") {
    options[prop] = prop in el.style;
  }
  for (var i = 0; i < propertyDetectors.length; i++) {
    cache$1[prop] = propertyDetectors[i](prop, el.style, options);
    if (cache$1[prop])
      break;
  }
  try {
    el.style[prop] = "";
  } catch (err) {
    return false;
  }
  return cache$1[prop];
}
var cache$1$1 = {};
var transitionProperties = {
  transition: 1,
  "transition-property": 1,
  "-webkit-transition": 1,
  "-webkit-transition-property": 1
};
var transPropsRegExp = /(^\s*[\w-]+)|, (\s*[\w-]+)(?![^()]*\))/g;
var el$1;
function prefixTransitionCallback(match, p1, p2) {
  if (p1 === "var")
    return "var";
  if (p1 === "all")
    return "all";
  if (p2 === "all")
    return ", all";
  var prefixedValue = p1 ? supportedProperty17(p1) : ", " + supportedProperty17(p2);
  if (!prefixedValue)
    return p1 || p2;
  return prefixedValue;
}
if (isBrowser$1)
  el$1 = document.createElement("p");
function supportedValue(property, value) {
  var prefixedValue = value;
  if (!el$1 || property === "content")
    return value;
  if (typeof prefixedValue !== "string" || !isNaN(parseInt(prefixedValue, 10))) {
    return prefixedValue;
  }
  var cacheKey = property + prefixedValue;
  if (cache$1$1[cacheKey] != null) {
    return cache$1$1[cacheKey];
  }
  try {
    el$1.style[property] = prefixedValue;
  } catch (err) {
    cache$1$1[cacheKey] = false;
    return false;
  }
  if (transitionProperties[property]) {
    prefixedValue = prefixedValue.replace(transPropsRegExp, prefixTransitionCallback);
  } else if (el$1.style[property] === "") {
    prefixedValue = prefix.css + prefixedValue;
    if (prefixedValue === "-ms-flex")
      el$1.style[property] = "-ms-flexbox";
    el$1.style[property] = prefixedValue;
    if (el$1.style[property] === "") {
      cache$1$1[cacheKey] = false;
      return false;
    }
  }
  el$1.style[property] = "";
  cache$1$1[cacheKey] = prefixedValue;
  return cache$1$1[cacheKey];
}
function jssVendorPrefixer() {
  function onProcessRule(rule) {
    if (rule.type === "keyframes") {
      var atRule = rule;
      atRule.at = supportedKeyframes(atRule.at);
    }
  }
  function prefixStyle(style) {
    for (var prop in style) {
      var value = style[prop];
      if (prop === "fallbacks" && Array.isArray(value)) {
        style[prop] = value.map(prefixStyle);
        continue;
      }
      var changeProp = false;
      var supportedProp = supportedProperty17(prop);
      if (supportedProp && supportedProp !== prop)
        changeProp = true;
      var changeValue = false;
      var supportedValue$1 = supportedValue(supportedProp, toCssValue(value));
      if (supportedValue$1 && supportedValue$1 !== value)
        changeValue = true;
      if (changeProp || changeValue) {
        if (changeProp)
          delete style[prop];
        style[supportedProp || prop] = supportedValue$1 || value;
      }
    }
    return style;
  }
  function onProcessStyle2(style, rule) {
    if (rule.type !== "style")
      return style;
    return prefixStyle(style);
  }
  function onChangeValue2(value, prop) {
    return supportedValue(prop, toCssValue(value)) || value;
  }
  return {
    onProcessRule,
    onProcessStyle: onProcessStyle2,
    onChangeValue: onChangeValue2
  };
}
function jssPropsSort() {
  var sort = function sort2(prop0, prop1) {
    if (prop0.length === prop1.length) {
      return prop0 > prop1 ? 1 : -1;
    }
    return prop0.length - prop1.length;
  };
  return {
    onProcessStyle: function onProcessStyle2(style, rule) {
      if (rule.type !== "style")
        return style;
      var newStyle = {};
      var props = Object.keys(style).sort(sort);
      for (var i = 0; i < props.length; i++) {
        newStyle[props[i]] = style[props[i]];
      }
      return newStyle;
    }
  };
}
function jssPreset() {
  return {
    plugins: [
      functions(),
      jssGlobal(),
      jssNested(),
      camelCase(),
      defaultUnit(),
      typeof window === "undefined" ? null : jssVendorPrefixer(),
      jssPropsSort()
    ]
  };
}
function mergeClasses() {
  var options = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
  var baseClasses = options.baseClasses, newClasses = options.newClasses;
  options.Component;
  if (!newClasses) {
    return baseClasses;
  }
  var nextClasses = _extends$5({}, baseClasses);
  Object.keys(newClasses).forEach(function(key) {
    if (newClasses[key]) {
      nextClasses[key] = "".concat(baseClasses[key], " ").concat(newClasses[key]);
    }
  });
  return nextClasses;
}
var multiKeyStore = {
  set: function set(cache2, key1, key2, value) {
    var subCache = cache2.get(key1);
    if (!subCache) {
      subCache = /* @__PURE__ */ new Map();
      cache2.set(key1, subCache);
    }
    subCache.set(key2, value);
  },
  get: function get(cache2, key1, key2) {
    var subCache = cache2.get(key1);
    return subCache ? subCache.get(key2) : void 0;
  },
  delete: function _delete(cache2, key1, key2) {
    var subCache = cache2.get(key1);
    subCache.delete(key2);
  }
};
var multiKeyStore$1 = multiKeyStore;
var ThemeContext = React__default.createContext(null);
var ThemeContext$1 = ThemeContext;
function useTheme$1() {
  var theme = React__default.useContext(ThemeContext$1);
  return theme;
}
var jss = createJss(jssPreset());
var generateClassName$1 = createGenerateClassName();
var sheetsManager = /* @__PURE__ */ new Map();
var defaultOptions = {
  disableGeneration: false,
  generateClassName: generateClassName$1,
  jss,
  sheetsCache: null,
  sheetsManager,
  sheetsRegistry: null
};
var StylesContext = React__default.createContext(defaultOptions);
var injectFirstNode;
function StylesProvider(props) {
  var children2 = props.children, _props$injectFirst = props.injectFirst, injectFirst = _props$injectFirst === void 0 ? false : _props$injectFirst, _props$disableGenerat = props.disableGeneration, disableGeneration = _props$disableGenerat === void 0 ? false : _props$disableGenerat, localOptions = _objectWithoutProperties$2(props, ["children", "injectFirst", "disableGeneration"]);
  var outerOptions = React__default.useContext(StylesContext);
  var context = _extends$5({}, outerOptions, {
    disableGeneration
  }, localOptions);
  if (!context.jss.options.insertionPoint && injectFirst && typeof window !== "undefined") {
    if (!injectFirstNode) {
      var head = document.head;
      injectFirstNode = document.createComment("mui-inject-first");
      head.insertBefore(injectFirstNode, head.firstChild);
    }
    context.jss = createJss({
      plugins: jssPreset().plugins,
      insertionPoint: injectFirstNode
    });
  }
  return /* @__PURE__ */ React__default.createElement(StylesContext.Provider, {
    value: context
  }, children2);
}
var indexCounter = -1e9;
function increment() {
  indexCounter += 1;
  return indexCounter;
}
var noopTheme = {};
var noopTheme$1 = noopTheme;
function getStylesCreator(stylesOrCreator) {
  var themingEnabled = typeof stylesOrCreator === "function";
  return {
    create: function create3(theme, name2) {
      var styles12;
      try {
        styles12 = themingEnabled ? stylesOrCreator(theme) : stylesOrCreator;
      } catch (err) {
        throw err;
      }
      if (!name2 || !theme.overrides || !theme.overrides[name2]) {
        return styles12;
      }
      var overrides = theme.overrides[name2];
      var stylesWithOverrides = _extends$5({}, styles12);
      Object.keys(overrides).forEach(function(key) {
        stylesWithOverrides[key] = deepmerge(stylesWithOverrides[key], overrides[key]);
      });
      return stylesWithOverrides;
    },
    options: {}
  };
}
function getClasses(_ref, classes, Component2) {
  var state = _ref.state, stylesOptions = _ref.stylesOptions;
  if (stylesOptions.disableGeneration) {
    return classes || {};
  }
  if (!state.cacheClasses) {
    state.cacheClasses = {
      value: null,
      lastProp: null,
      lastJSS: {}
    };
  }
  var generate = false;
  if (state.classes !== state.cacheClasses.lastJSS) {
    state.cacheClasses.lastJSS = state.classes;
    generate = true;
  }
  if (classes !== state.cacheClasses.lastProp) {
    state.cacheClasses.lastProp = classes;
    generate = true;
  }
  if (generate) {
    state.cacheClasses.value = mergeClasses({
      baseClasses: state.cacheClasses.lastJSS,
      newClasses: classes,
      Component: Component2
    });
  }
  return state.cacheClasses.value;
}
function attach(_ref2, props) {
  var state = _ref2.state, theme = _ref2.theme, stylesOptions = _ref2.stylesOptions, stylesCreator = _ref2.stylesCreator, name2 = _ref2.name;
  if (stylesOptions.disableGeneration) {
    return;
  }
  var sheetManager = multiKeyStore$1.get(stylesOptions.sheetsManager, stylesCreator, theme);
  if (!sheetManager) {
    sheetManager = {
      refs: 0,
      staticSheet: null,
      dynamicStyles: null
    };
    multiKeyStore$1.set(stylesOptions.sheetsManager, stylesCreator, theme, sheetManager);
  }
  var options = _extends$5({}, stylesCreator.options, stylesOptions, {
    theme,
    flip: typeof stylesOptions.flip === "boolean" ? stylesOptions.flip : theme.direction === "rtl"
  });
  options.generateId = options.serverGenerateClassName || options.generateClassName;
  var sheetsRegistry = stylesOptions.sheetsRegistry;
  if (sheetManager.refs === 0) {
    var staticSheet;
    if (stylesOptions.sheetsCache) {
      staticSheet = multiKeyStore$1.get(stylesOptions.sheetsCache, stylesCreator, theme);
    }
    var styles12 = stylesCreator.create(theme, name2);
    if (!staticSheet) {
      staticSheet = stylesOptions.jss.createStyleSheet(styles12, _extends$5({
        link: false
      }, options));
      staticSheet.attach();
      if (stylesOptions.sheetsCache) {
        multiKeyStore$1.set(stylesOptions.sheetsCache, stylesCreator, theme, staticSheet);
      }
    }
    if (sheetsRegistry) {
      sheetsRegistry.add(staticSheet);
    }
    sheetManager.staticSheet = staticSheet;
    sheetManager.dynamicStyles = getDynamicStyles(styles12);
  }
  if (sheetManager.dynamicStyles) {
    var dynamicSheet = stylesOptions.jss.createStyleSheet(sheetManager.dynamicStyles, _extends$5({
      link: true
    }, options));
    dynamicSheet.update(props);
    dynamicSheet.attach();
    state.dynamicSheet = dynamicSheet;
    state.classes = mergeClasses({
      baseClasses: sheetManager.staticSheet.classes,
      newClasses: dynamicSheet.classes
    });
    if (sheetsRegistry) {
      sheetsRegistry.add(dynamicSheet);
    }
  } else {
    state.classes = sheetManager.staticSheet.classes;
  }
  sheetManager.refs += 1;
}
function update$1(_ref3, props) {
  var state = _ref3.state;
  if (state.dynamicSheet) {
    state.dynamicSheet.update(props);
  }
}
function detach(_ref4) {
  var state = _ref4.state, theme = _ref4.theme, stylesOptions = _ref4.stylesOptions, stylesCreator = _ref4.stylesCreator;
  if (stylesOptions.disableGeneration) {
    return;
  }
  var sheetManager = multiKeyStore$1.get(stylesOptions.sheetsManager, stylesCreator, theme);
  sheetManager.refs -= 1;
  var sheetsRegistry = stylesOptions.sheetsRegistry;
  if (sheetManager.refs === 0) {
    multiKeyStore$1.delete(stylesOptions.sheetsManager, stylesCreator, theme);
    stylesOptions.jss.removeStyleSheet(sheetManager.staticSheet);
    if (sheetsRegistry) {
      sheetsRegistry.remove(sheetManager.staticSheet);
    }
  }
  if (state.dynamicSheet) {
    stylesOptions.jss.removeStyleSheet(state.dynamicSheet);
    if (sheetsRegistry) {
      sheetsRegistry.remove(state.dynamicSheet);
    }
  }
}
function useSynchronousEffect(func, values2) {
  var key = React__default.useRef([]);
  var output;
  var currentKey = React__default.useMemo(function() {
    return {};
  }, values2);
  if (key.current !== currentKey) {
    key.current = currentKey;
    output = func();
  }
  React__default.useEffect(function() {
    return function() {
      if (output) {
        output();
      }
    };
  }, [currentKey]);
}
function makeStyles$1(stylesOrCreator) {
  var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  var name2 = options.name, classNamePrefixOption = options.classNamePrefix, Component2 = options.Component, _options$defaultTheme = options.defaultTheme, defaultTheme2 = _options$defaultTheme === void 0 ? noopTheme$1 : _options$defaultTheme, stylesOptions2 = _objectWithoutProperties$2(options, ["name", "classNamePrefix", "Component", "defaultTheme"]);
  var stylesCreator = getStylesCreator(stylesOrCreator);
  var classNamePrefix = name2 || classNamePrefixOption || "makeStyles";
  stylesCreator.options = {
    index: increment(),
    name: name2,
    meta: classNamePrefix,
    classNamePrefix
  };
  var useStyles2 = function useStyles3() {
    var props = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
    var theme = useTheme$1() || defaultTheme2;
    var stylesOptions = _extends$5({}, React__default.useContext(StylesContext), stylesOptions2);
    var instance = React__default.useRef();
    var shouldUpdate = React__default.useRef();
    useSynchronousEffect(function() {
      var current = {
        name: name2,
        state: {},
        stylesCreator,
        stylesOptions,
        theme
      };
      attach(current, props);
      shouldUpdate.current = false;
      instance.current = current;
      return function() {
        detach(current);
      };
    }, [theme, stylesCreator]);
    React__default.useEffect(function() {
      if (shouldUpdate.current) {
        update$1(instance.current, props);
      }
      shouldUpdate.current = true;
    });
    var classes = getClasses(instance.current, props.classes, Component2);
    return classes;
  };
  return useStyles2;
}
function toVal(mix) {
  var k2, y2, str = "";
  if (typeof mix === "string" || typeof mix === "number") {
    str += mix;
  } else if (typeof mix === "object") {
    if (Array.isArray(mix)) {
      for (k2 = 0; k2 < mix.length; k2++) {
        if (mix[k2]) {
          if (y2 = toVal(mix[k2])) {
            str && (str += " ");
            str += y2;
          }
        }
      }
    } else {
      for (k2 in mix) {
        if (mix[k2]) {
          str && (str += " ");
          str += k2;
        }
      }
    }
  }
  return str;
}
function clsx() {
  var i = 0, tmp, x2, str = "";
  while (i < arguments.length) {
    if (tmp = arguments[i++]) {
      if (x2 = toVal(tmp)) {
        str && (str += " ");
        str += x2;
      }
    }
  }
  return str;
}
var reactIs = reactIs$1.exports;
var REACT_STATICS = {
  childContextTypes: true,
  contextType: true,
  contextTypes: true,
  defaultProps: true,
  displayName: true,
  getDefaultProps: true,
  getDerivedStateFromError: true,
  getDerivedStateFromProps: true,
  mixins: true,
  propTypes: true,
  type: true
};
var KNOWN_STATICS = {
  name: true,
  length: true,
  prototype: true,
  caller: true,
  callee: true,
  arguments: true,
  arity: true
};
var FORWARD_REF_STATICS = {
  "$$typeof": true,
  render: true,
  defaultProps: true,
  displayName: true,
  propTypes: true
};
var MEMO_STATICS = {
  "$$typeof": true,
  compare: true,
  defaultProps: true,
  displayName: true,
  propTypes: true,
  type: true
};
var TYPE_STATICS = {};
TYPE_STATICS[reactIs.ForwardRef] = FORWARD_REF_STATICS;
TYPE_STATICS[reactIs.Memo] = MEMO_STATICS;
function getStatics$1(component) {
  if (reactIs.isMemo(component)) {
    return MEMO_STATICS;
  }
  return TYPE_STATICS[component["$$typeof"]] || REACT_STATICS;
}
var defineProperty$4 = Object.defineProperty;
var getOwnPropertyNames = Object.getOwnPropertyNames;
var getOwnPropertySymbols = Object.getOwnPropertySymbols;
var getOwnPropertyDescriptor = Object.getOwnPropertyDescriptor;
var getPrototypeOf = Object.getPrototypeOf;
var objectPrototype = Object.prototype;
function hoistNonReactStatics(targetComponent, sourceComponent, blacklist) {
  if (typeof sourceComponent !== "string") {
    if (objectPrototype) {
      var inheritedComponent = getPrototypeOf(sourceComponent);
      if (inheritedComponent && inheritedComponent !== objectPrototype) {
        hoistNonReactStatics(targetComponent, inheritedComponent, blacklist);
      }
    }
    var keys2 = getOwnPropertyNames(sourceComponent);
    if (getOwnPropertySymbols) {
      keys2 = keys2.concat(getOwnPropertySymbols(sourceComponent));
    }
    var targetStatics = getStatics$1(targetComponent);
    var sourceStatics = getStatics$1(sourceComponent);
    for (var i = 0; i < keys2.length; ++i) {
      var key = keys2[i];
      if (!KNOWN_STATICS[key] && !(blacklist && blacklist[key]) && !(sourceStatics && sourceStatics[key]) && !(targetStatics && targetStatics[key])) {
        var descriptor = getOwnPropertyDescriptor(sourceComponent, key);
        try {
          defineProperty$4(targetComponent, key, descriptor);
        } catch (e2) {
        }
      }
    }
  }
  return targetComponent;
}
var hoistNonReactStatics_cjs = hoistNonReactStatics;
function mergeOuterLocalTheme(outerTheme, localTheme) {
  if (typeof localTheme === "function") {
    var mergedTheme = localTheme(outerTheme);
    return mergedTheme;
  }
  return _extends$5({}, outerTheme, localTheme);
}
function ThemeProvider(props) {
  var children2 = props.children, localTheme = props.theme;
  var outerTheme = useTheme$1();
  var theme = React__default.useMemo(function() {
    var output = outerTheme === null ? localTheme : mergeOuterLocalTheme(outerTheme, localTheme);
    if (output != null) {
      output[nested] = outerTheme !== null;
    }
    return output;
  }, [localTheme, outerTheme]);
  return /* @__PURE__ */ React__default.createElement(ThemeContext$1.Provider, {
    value: theme
  }, children2);
}
var withStyles$1 = function withStyles(stylesOrCreator) {
  var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  return function(Component2) {
    var defaultTheme2 = options.defaultTheme, _options$withTheme = options.withTheme, withTheme = _options$withTheme === void 0 ? false : _options$withTheme, name2 = options.name, stylesOptions = _objectWithoutProperties$2(options, ["defaultTheme", "withTheme", "name"]);
    var classNamePrefix = name2;
    var useStyles2 = makeStyles$1(stylesOrCreator, _extends$5({
      defaultTheme: defaultTheme2,
      Component: Component2,
      name: name2 || Component2.displayName,
      classNamePrefix
    }, stylesOptions));
    var WithStyles = /* @__PURE__ */ React__default.forwardRef(function WithStyles2(props, ref2) {
      props.classes;
      var innerRef = props.innerRef, other = _objectWithoutProperties$2(props, ["classes", "innerRef"]);
      var classes = useStyles2(_extends$5({}, Component2.defaultProps, props));
      var theme;
      var more = other;
      if (typeof name2 === "string" || withTheme) {
        theme = useTheme$1() || defaultTheme2;
        if (name2) {
          more = getThemeProps({
            theme,
            name: name2,
            props: other
          });
        }
        if (withTheme && !more.theme) {
          more.theme = theme;
        }
      }
      return /* @__PURE__ */ React__default.createElement(Component2, _extends$5({
        ref: innerRef || ref2,
        classes
      }, more));
    });
    hoistNonReactStatics_cjs(WithStyles, Component2);
    return WithStyles;
  };
};
var withStylesWithoutDefault = withStyles$1;
var defaultTheme = createTheme();
var defaultTheme$1 = defaultTheme;
function makeStyles(stylesOrCreator) {
  var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
  return makeStyles$1(stylesOrCreator, _extends$5({
    defaultTheme: defaultTheme$1
  }, options));
}
function useTheme() {
  var theme = useTheme$1() || defaultTheme$1;
  return theme;
}
function withStyles2(stylesOrCreator, options) {
  return withStylesWithoutDefault(stylesOrCreator, _extends$5({
    defaultTheme: defaultTheme$1
  }, options));
}
var CloudDownload = {};
function _interopRequireDefault$f(obj) {
  return obj && obj.__esModule ? obj : {
    "default": obj
  };
}
var interopRequireDefault = _interopRequireDefault$f;
function _typeof$8(obj) {
  "@babel/helpers - typeof";
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof_1 = _typeof$8 = function _typeof2(obj2) {
      return typeof obj2;
    };
  } else {
    _typeof_1 = _typeof$8 = function _typeof2(obj2) {
      return obj2 && typeof Symbol === "function" && obj2.constructor === Symbol && obj2 !== Symbol.prototype ? "symbol" : typeof obj2;
    };
  }
  return _typeof$8(obj);
}
var _typeof_1 = _typeof$8;
var _typeof$7 = _typeof_1;
function _getRequireWildcardCache$4() {
  if (typeof WeakMap !== "function")
    return null;
  var cache2 = /* @__PURE__ */ new WeakMap();
  _getRequireWildcardCache$4 = function _getRequireWildcardCache2() {
    return cache2;
  };
  return cache2;
}
function _interopRequireWildcard$9(obj) {
  if (obj && obj.__esModule) {
    return obj;
  }
  if (obj === null || _typeof$7(obj) !== "object" && typeof obj !== "function") {
    return {
      "default": obj
    };
  }
  var cache2 = _getRequireWildcardCache$4();
  if (cache2 && cache2.has(obj)) {
    return cache2.get(obj);
  }
  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }
  newObj["default"] = obj;
  if (cache2) {
    cache2.set(obj, newObj);
  }
  return newObj;
}
var interopRequireWildcard = _interopRequireWildcard$9;
var createSvgIcon$1 = {};
function capitalize(string) {
  if (typeof string !== "string") {
    throw new Error(formatMuiErrorMessage(7));
  }
  return string.charAt(0).toUpperCase() + string.slice(1);
}
function createChainedFunction() {
  for (var _len = arguments.length, funcs = new Array(_len), _key = 0; _key < _len; _key++) {
    funcs[_key] = arguments[_key];
  }
  return funcs.reduce(function(acc, func) {
    if (func == null) {
      return acc;
    }
    return function chainedFunction() {
      for (var _len2 = arguments.length, args = new Array(_len2), _key2 = 0; _key2 < _len2; _key2++) {
        args[_key2] = arguments[_key2];
      }
      acc.apply(this, args);
      func.apply(this, args);
    };
  }, function() {
  });
}
var styles$g = function styles(theme) {
  return {
    root: {
      userSelect: "none",
      width: "1em",
      height: "1em",
      display: "inline-block",
      fill: "currentColor",
      flexShrink: 0,
      fontSize: theme.typography.pxToRem(24),
      transition: theme.transitions.create("fill", {
        duration: theme.transitions.duration.shorter
      })
    },
    colorPrimary: {
      color: theme.palette.primary.main
    },
    colorSecondary: {
      color: theme.palette.secondary.main
    },
    colorAction: {
      color: theme.palette.action.active
    },
    colorError: {
      color: theme.palette.error.main
    },
    colorDisabled: {
      color: theme.palette.action.disabled
    },
    fontSizeInherit: {
      fontSize: "inherit"
    },
    fontSizeSmall: {
      fontSize: theme.typography.pxToRem(20)
    },
    fontSizeLarge: {
      fontSize: theme.typography.pxToRem(35)
    }
  };
};
var SvgIcon = /* @__PURE__ */ React$8.forwardRef(function SvgIcon2(props, ref2) {
  var children2 = props.children, classes = props.classes, className = props.className, _props$color = props.color, color = _props$color === void 0 ? "inherit" : _props$color, _props$component = props.component, Component2 = _props$component === void 0 ? "svg" : _props$component, _props$fontSize = props.fontSize, fontSize = _props$fontSize === void 0 ? "medium" : _props$fontSize, htmlColor = props.htmlColor, titleAccess = props.titleAccess, _props$viewBox = props.viewBox, viewBox = _props$viewBox === void 0 ? "0 0 24 24" : _props$viewBox, other = _objectWithoutProperties$2(props, ["children", "classes", "className", "color", "component", "fontSize", "htmlColor", "titleAccess", "viewBox"]);
  return /* @__PURE__ */ React$8.createElement(Component2, _extends$5({
    className: clsx(classes.root, className, color !== "inherit" && classes["color".concat(capitalize(color))], fontSize !== "default" && fontSize !== "medium" && classes["fontSize".concat(capitalize(fontSize))]),
    focusable: "false",
    viewBox,
    color: htmlColor,
    "aria-hidden": titleAccess ? void 0 : true,
    role: titleAccess ? "img" : void 0,
    ref: ref2
  }, other), children2, titleAccess ? /* @__PURE__ */ React$8.createElement("title", null, titleAccess) : null);
});
SvgIcon.muiName = "SvgIcon";
var SvgIcon$1 = withStyles2(styles$g, {
  name: "MuiSvgIcon"
})(SvgIcon);
function createSvgIcon(path, displayName) {
  var Component2 = function Component3(props, ref2) {
    return /* @__PURE__ */ React__default.createElement(SvgIcon$1, _extends$5({
      ref: ref2
    }, props), path);
  };
  Component2.muiName = SvgIcon$1.muiName;
  return /* @__PURE__ */ React__default.memo(/* @__PURE__ */ React__default.forwardRef(Component2));
}
function debounce$2(func) {
  var wait = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : 166;
  var timeout;
  function debounced() {
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    var that = this;
    var later = function later2() {
      func.apply(that, args);
    };
    clearTimeout(timeout);
    timeout = setTimeout(later, wait);
  }
  debounced.clear = function() {
    clearTimeout(timeout);
  };
  return debounced;
}
function deprecatedPropType(validator, reason) {
  {
    return function() {
      return null;
    };
  }
}
function isMuiElement(element, muiNames) {
  return /* @__PURE__ */ React$8.isValidElement(element) && muiNames.indexOf(element.type.muiName) !== -1;
}
function ownerDocument(node) {
  return node && node.ownerDocument || document;
}
function ownerWindow(node) {
  var doc = ownerDocument(node);
  return doc.defaultView || window;
}
function requirePropFactory(componentNameInError) {
  {
    return function() {
      return null;
    };
  }
}
function setRef(ref2, value) {
  if (typeof ref2 === "function") {
    ref2(value);
  } else if (ref2) {
    ref2.current = value;
  }
}
function unsupportedProp(props, propName, componentName, location, propFullName) {
  {
    return null;
  }
}
function useControlled(_ref) {
  var controlled = _ref.controlled, defaultProp = _ref.default;
  _ref.name;
  _ref.state;
  var _React$useRef = React$8.useRef(controlled !== void 0), isControlled = _React$useRef.current;
  var _React$useState = React$8.useState(defaultProp), valueState = _React$useState[0], setValue = _React$useState[1];
  var value = isControlled ? controlled : valueState;
  var setValueIfUncontrolled = React$8.useCallback(function(newValue) {
    if (!isControlled) {
      setValue(newValue);
    }
  }, []);
  return [value, setValueIfUncontrolled];
}
var useEnhancedEffect$5 = typeof window !== "undefined" ? React$8.useLayoutEffect : React$8.useEffect;
function useEventCallback(fn) {
  var ref2 = React$8.useRef(fn);
  useEnhancedEffect$5(function() {
    ref2.current = fn;
  });
  return React$8.useCallback(function() {
    return ref2.current.apply(void 0, arguments);
  }, []);
}
function useForkRef(refA, refB) {
  return React$8.useMemo(function() {
    if (refA == null && refB == null) {
      return null;
    }
    return function(refValue) {
      setRef(refA, refValue);
      setRef(refB, refValue);
    };
  }, [refA, refB]);
}
function useId(idOverride) {
  var _React$useState = React$8.useState(idOverride), defaultId = _React$useState[0], setDefaultId = _React$useState[1];
  var id = idOverride || defaultId;
  React$8.useEffect(function() {
    if (defaultId == null) {
      setDefaultId("mui-".concat(Math.round(Math.random() * 1e5)));
    }
  }, [defaultId]);
  return id;
}
var hadKeyboardEvent = true;
var hadFocusVisibleRecently = false;
var hadFocusVisibleRecentlyTimeout = null;
var inputTypesWhitelist = {
  text: true,
  search: true,
  url: true,
  tel: true,
  email: true,
  password: true,
  number: true,
  date: true,
  month: true,
  week: true,
  time: true,
  datetime: true,
  "datetime-local": true
};
function focusTriggersKeyboardModality(node) {
  var type3 = node.type, tagName = node.tagName;
  if (tagName === "INPUT" && inputTypesWhitelist[type3] && !node.readOnly) {
    return true;
  }
  if (tagName === "TEXTAREA" && !node.readOnly) {
    return true;
  }
  if (node.isContentEditable) {
    return true;
  }
  return false;
}
function handleKeyDown(event) {
  if (event.metaKey || event.altKey || event.ctrlKey) {
    return;
  }
  hadKeyboardEvent = true;
}
function handlePointerDown() {
  hadKeyboardEvent = false;
}
function handleVisibilityChange() {
  if (this.visibilityState === "hidden") {
    if (hadFocusVisibleRecently) {
      hadKeyboardEvent = true;
    }
  }
}
function prepare(doc) {
  doc.addEventListener("keydown", handleKeyDown, true);
  doc.addEventListener("mousedown", handlePointerDown, true);
  doc.addEventListener("pointerdown", handlePointerDown, true);
  doc.addEventListener("touchstart", handlePointerDown, true);
  doc.addEventListener("visibilitychange", handleVisibilityChange, true);
}
function isFocusVisible(event) {
  var target = event.target;
  try {
    return target.matches(":focus-visible");
  } catch (error) {
  }
  return hadKeyboardEvent || focusTriggersKeyboardModality(target);
}
function handleBlurVisible() {
  hadFocusVisibleRecently = true;
  window.clearTimeout(hadFocusVisibleRecentlyTimeout);
  hadFocusVisibleRecentlyTimeout = window.setTimeout(function() {
    hadFocusVisibleRecently = false;
  }, 100);
}
function useIsFocusVisible() {
  var ref2 = React$8.useCallback(function(instance) {
    var node = ReactDOM.findDOMNode(instance);
    if (node != null) {
      prepare(node.ownerDocument);
    }
  }, []);
  return {
    isFocusVisible,
    onBlurVisible: handleBlurVisible,
    ref: ref2
  };
}
var utils$2 = /* @__PURE__ */ Object.freeze(/* @__PURE__ */ Object.defineProperty({
  __proto__: null,
  capitalize,
  createChainedFunction,
  createSvgIcon,
  debounce: debounce$2,
  deprecatedPropType,
  isMuiElement,
  ownerDocument,
  ownerWindow,
  requirePropFactory,
  setRef,
  unsupportedProp,
  useControlled,
  useEventCallback,
  useForkRef,
  unstable_useId: useId,
  useIsFocusVisible
}, Symbol.toStringTag, { value: "Module" }));
var require$$0 = /* @__PURE__ */ getAugmentedNamespace(utils$2);
(function(exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  Object.defineProperty(exports, "default", {
    enumerable: true,
    get: function get2() {
      return _utils2.createSvgIcon;
    }
  });
  var _utils2 = require$$0;
})(createSvgIcon$1);
var _interopRequireDefault$e = interopRequireDefault;
var _interopRequireWildcard$8 = interopRequireWildcard;
Object.defineProperty(CloudDownload, "__esModule", {
  value: true
});
var default_1$4 = CloudDownload.default = void 0;
var React$7 = _interopRequireWildcard$8(React__default);
var _createSvgIcon$4 = _interopRequireDefault$e(createSvgIcon$1);
var _default$6 = (0, _createSvgIcon$4.default)(/* @__PURE__ */ React$7.createElement("path", {
  d: "M19.35 10.04C18.67 6.59 15.64 4 12 4 9.11 4 6.6 5.64 5.35 8.04 2.34 8.36 0 10.91 0 14c0 3.31 2.69 6 6 6h13c2.76 0 5-2.24 5-5 0-2.64-2.05-4.78-4.65-4.96zM17 13l-5 5-5-5h3V9h4v4h3z"
}), "CloudDownload");
default_1$4 = CloudDownload.default = _default$6;
var config = {
  disabled: false
};
var TransitionGroupContext = React__default.createContext(null);
var UNMOUNTED = "unmounted";
var EXITED = "exited";
var ENTERING = "entering";
var ENTERED = "entered";
var EXITING = "exiting";
var Transition = /* @__PURE__ */ function(_React$Component) {
  _inheritsLoose$2(Transition2, _React$Component);
  function Transition2(props, context) {
    var _this;
    _this = _React$Component.call(this, props, context) || this;
    var parentGroup = context;
    var appear = parentGroup && !parentGroup.isMounting ? props.enter : props.appear;
    var initialStatus;
    _this.appearStatus = null;
    if (props.in) {
      if (appear) {
        initialStatus = EXITED;
        _this.appearStatus = ENTERING;
      } else {
        initialStatus = ENTERED;
      }
    } else {
      if (props.unmountOnExit || props.mountOnEnter) {
        initialStatus = UNMOUNTED;
      } else {
        initialStatus = EXITED;
      }
    }
    _this.state = {
      status: initialStatus
    };
    _this.nextCallback = null;
    return _this;
  }
  Transition2.getDerivedStateFromProps = function getDerivedStateFromProps(_ref, prevState) {
    var nextIn = _ref.in;
    if (nextIn && prevState.status === UNMOUNTED) {
      return {
        status: EXITED
      };
    }
    return null;
  };
  var _proto = Transition2.prototype;
  _proto.componentDidMount = function componentDidMount() {
    this.updateStatus(true, this.appearStatus);
  };
  _proto.componentDidUpdate = function componentDidUpdate(prevProps) {
    var nextStatus = null;
    if (prevProps !== this.props) {
      var status = this.state.status;
      if (this.props.in) {
        if (status !== ENTERING && status !== ENTERED) {
          nextStatus = ENTERING;
        }
      } else {
        if (status === ENTERING || status === ENTERED) {
          nextStatus = EXITING;
        }
      }
    }
    this.updateStatus(false, nextStatus);
  };
  _proto.componentWillUnmount = function componentWillUnmount() {
    this.cancelNextCallback();
  };
  _proto.getTimeouts = function getTimeouts() {
    var timeout = this.props.timeout;
    var exit, enter, appear;
    exit = enter = appear = timeout;
    if (timeout != null && typeof timeout !== "number") {
      exit = timeout.exit;
      enter = timeout.enter;
      appear = timeout.appear !== void 0 ? timeout.appear : enter;
    }
    return {
      exit,
      enter,
      appear
    };
  };
  _proto.updateStatus = function updateStatus(mounting, nextStatus) {
    if (mounting === void 0) {
      mounting = false;
    }
    if (nextStatus !== null) {
      this.cancelNextCallback();
      if (nextStatus === ENTERING) {
        this.performEnter(mounting);
      } else {
        this.performExit();
      }
    } else if (this.props.unmountOnExit && this.state.status === EXITED) {
      this.setState({
        status: UNMOUNTED
      });
    }
  };
  _proto.performEnter = function performEnter(mounting) {
    var _this2 = this;
    var enter = this.props.enter;
    var appearing = this.context ? this.context.isMounting : mounting;
    var _ref2 = this.props.nodeRef ? [appearing] : [ReactDOM__default.findDOMNode(this), appearing], maybeNode = _ref2[0], maybeAppearing = _ref2[1];
    var timeouts = this.getTimeouts();
    var enterTimeout = appearing ? timeouts.appear : timeouts.enter;
    if (!mounting && !enter || config.disabled) {
      this.safeSetState({
        status: ENTERED
      }, function() {
        _this2.props.onEntered(maybeNode);
      });
      return;
    }
    this.props.onEnter(maybeNode, maybeAppearing);
    this.safeSetState({
      status: ENTERING
    }, function() {
      _this2.props.onEntering(maybeNode, maybeAppearing);
      _this2.onTransitionEnd(enterTimeout, function() {
        _this2.safeSetState({
          status: ENTERED
        }, function() {
          _this2.props.onEntered(maybeNode, maybeAppearing);
        });
      });
    });
  };
  _proto.performExit = function performExit() {
    var _this3 = this;
    var exit = this.props.exit;
    var timeouts = this.getTimeouts();
    var maybeNode = this.props.nodeRef ? void 0 : ReactDOM__default.findDOMNode(this);
    if (!exit || config.disabled) {
      this.safeSetState({
        status: EXITED
      }, function() {
        _this3.props.onExited(maybeNode);
      });
      return;
    }
    this.props.onExit(maybeNode);
    this.safeSetState({
      status: EXITING
    }, function() {
      _this3.props.onExiting(maybeNode);
      _this3.onTransitionEnd(timeouts.exit, function() {
        _this3.safeSetState({
          status: EXITED
        }, function() {
          _this3.props.onExited(maybeNode);
        });
      });
    });
  };
  _proto.cancelNextCallback = function cancelNextCallback() {
    if (this.nextCallback !== null) {
      this.nextCallback.cancel();
      this.nextCallback = null;
    }
  };
  _proto.safeSetState = function safeSetState(nextState, callback) {
    callback = this.setNextCallback(callback);
    this.setState(nextState, callback);
  };
  _proto.setNextCallback = function setNextCallback(callback) {
    var _this4 = this;
    var active = true;
    this.nextCallback = function(event) {
      if (active) {
        active = false;
        _this4.nextCallback = null;
        callback(event);
      }
    };
    this.nextCallback.cancel = function() {
      active = false;
    };
    return this.nextCallback;
  };
  _proto.onTransitionEnd = function onTransitionEnd(timeout, handler) {
    this.setNextCallback(handler);
    var node = this.props.nodeRef ? this.props.nodeRef.current : ReactDOM__default.findDOMNode(this);
    var doesNotHaveTimeoutOrListener = timeout == null && !this.props.addEndListener;
    if (!node || doesNotHaveTimeoutOrListener) {
      setTimeout(this.nextCallback, 0);
      return;
    }
    if (this.props.addEndListener) {
      var _ref3 = this.props.nodeRef ? [this.nextCallback] : [node, this.nextCallback], maybeNode = _ref3[0], maybeNextCallback = _ref3[1];
      this.props.addEndListener(maybeNode, maybeNextCallback);
    }
    if (timeout != null) {
      setTimeout(this.nextCallback, timeout);
    }
  };
  _proto.render = function render() {
    var status = this.state.status;
    if (status === UNMOUNTED) {
      return null;
    }
    var _this$props = this.props, children2 = _this$props.children;
    _this$props.in;
    _this$props.mountOnEnter;
    _this$props.unmountOnExit;
    _this$props.appear;
    _this$props.enter;
    _this$props.exit;
    _this$props.timeout;
    _this$props.addEndListener;
    _this$props.onEnter;
    _this$props.onEntering;
    _this$props.onEntered;
    _this$props.onExit;
    _this$props.onExiting;
    _this$props.onExited;
    _this$props.nodeRef;
    var childProps = _objectWithoutPropertiesLoose$4(_this$props, ["children", "in", "mountOnEnter", "unmountOnExit", "appear", "enter", "exit", "timeout", "addEndListener", "onEnter", "onEntering", "onEntered", "onExit", "onExiting", "onExited", "nodeRef"]);
    return /* @__PURE__ */ React__default.createElement(TransitionGroupContext.Provider, {
      value: null
    }, typeof children2 === "function" ? children2(status, childProps) : React__default.cloneElement(React__default.Children.only(children2), childProps));
  };
  return Transition2;
}(React__default.Component);
Transition.contextType = TransitionGroupContext;
Transition.propTypes = {};
function noop$2() {
}
Transition.defaultProps = {
  in: false,
  mountOnEnter: false,
  unmountOnExit: false,
  appear: false,
  enter: true,
  exit: true,
  onEnter: noop$2,
  onEntering: noop$2,
  onEntered: noop$2,
  onExit: noop$2,
  onExiting: noop$2,
  onExited: noop$2
};
Transition.UNMOUNTED = UNMOUNTED;
Transition.EXITED = EXITED;
Transition.ENTERING = ENTERING;
Transition.ENTERED = ENTERED;
Transition.EXITING = EXITING;
var Transition$1 = Transition;
function getChildMapping(children2, mapFn) {
  var mapper = function mapper2(child) {
    return mapFn && isValidElement(child) ? mapFn(child) : child;
  };
  var result = /* @__PURE__ */ Object.create(null);
  if (children2)
    Children.map(children2, function(c2) {
      return c2;
    }).forEach(function(child) {
      result[child.key] = mapper(child);
    });
  return result;
}
function mergeChildMappings(prev, next) {
  prev = prev || {};
  next = next || {};
  function getValueForKey(key) {
    return key in next ? next[key] : prev[key];
  }
  var nextKeysPending = /* @__PURE__ */ Object.create(null);
  var pendingKeys = [];
  for (var prevKey in prev) {
    if (prevKey in next) {
      if (pendingKeys.length) {
        nextKeysPending[prevKey] = pendingKeys;
        pendingKeys = [];
      }
    } else {
      pendingKeys.push(prevKey);
    }
  }
  var i;
  var childMapping = {};
  for (var nextKey in next) {
    if (nextKeysPending[nextKey]) {
      for (i = 0; i < nextKeysPending[nextKey].length; i++) {
        var pendingNextKey = nextKeysPending[nextKey][i];
        childMapping[nextKeysPending[nextKey][i]] = getValueForKey(pendingNextKey);
      }
    }
    childMapping[nextKey] = getValueForKey(nextKey);
  }
  for (i = 0; i < pendingKeys.length; i++) {
    childMapping[pendingKeys[i]] = getValueForKey(pendingKeys[i]);
  }
  return childMapping;
}
function getProp(child, prop, props) {
  return props[prop] != null ? props[prop] : child.props[prop];
}
function getInitialChildMapping(props, onExited) {
  return getChildMapping(props.children, function(child) {
    return cloneElement$1(child, {
      onExited: onExited.bind(null, child),
      in: true,
      appear: getProp(child, "appear", props),
      enter: getProp(child, "enter", props),
      exit: getProp(child, "exit", props)
    });
  });
}
function getNextChildMapping(nextProps, prevChildMapping, onExited) {
  var nextChildMapping = getChildMapping(nextProps.children);
  var children2 = mergeChildMappings(prevChildMapping, nextChildMapping);
  Object.keys(children2).forEach(function(key) {
    var child = children2[key];
    if (!isValidElement(child))
      return;
    var hasPrev = key in prevChildMapping;
    var hasNext = key in nextChildMapping;
    var prevChild = prevChildMapping[key];
    var isLeaving = isValidElement(prevChild) && !prevChild.props.in;
    if (hasNext && (!hasPrev || isLeaving)) {
      children2[key] = cloneElement$1(child, {
        onExited: onExited.bind(null, child),
        in: true,
        exit: getProp(child, "exit", nextProps),
        enter: getProp(child, "enter", nextProps)
      });
    } else if (!hasNext && hasPrev && !isLeaving) {
      children2[key] = cloneElement$1(child, {
        in: false
      });
    } else if (hasNext && hasPrev && isValidElement(prevChild)) {
      children2[key] = cloneElement$1(child, {
        onExited: onExited.bind(null, child),
        in: prevChild.props.in,
        exit: getProp(child, "exit", nextProps),
        enter: getProp(child, "enter", nextProps)
      });
    }
  });
  return children2;
}
var values = Object.values || function(obj) {
  return Object.keys(obj).map(function(k2) {
    return obj[k2];
  });
};
var defaultProps = {
  component: "div",
  childFactory: function childFactory(child) {
    return child;
  }
};
var TransitionGroup = /* @__PURE__ */ function(_React$Component) {
  _inheritsLoose$2(TransitionGroup2, _React$Component);
  function TransitionGroup2(props, context) {
    var _this;
    _this = _React$Component.call(this, props, context) || this;
    var handleExited = _this.handleExited.bind(_assertThisInitialized$8(_this));
    _this.state = {
      contextValue: {
        isMounting: true
      },
      handleExited,
      firstRender: true
    };
    return _this;
  }
  var _proto = TransitionGroup2.prototype;
  _proto.componentDidMount = function componentDidMount() {
    this.mounted = true;
    this.setState({
      contextValue: {
        isMounting: false
      }
    });
  };
  _proto.componentWillUnmount = function componentWillUnmount() {
    this.mounted = false;
  };
  TransitionGroup2.getDerivedStateFromProps = function getDerivedStateFromProps(nextProps, _ref) {
    var prevChildMapping = _ref.children, handleExited = _ref.handleExited, firstRender = _ref.firstRender;
    return {
      children: firstRender ? getInitialChildMapping(nextProps, handleExited) : getNextChildMapping(nextProps, prevChildMapping, handleExited),
      firstRender: false
    };
  };
  _proto.handleExited = function handleExited(child, node) {
    var currentChildMapping = getChildMapping(this.props.children);
    if (child.key in currentChildMapping)
      return;
    if (child.props.onExited) {
      child.props.onExited(node);
    }
    if (this.mounted) {
      this.setState(function(state) {
        var children2 = _extends$5({}, state.children);
        delete children2[child.key];
        return {
          children: children2
        };
      });
    }
  };
  _proto.render = function render() {
    var _this$props = this.props, Component2 = _this$props.component, childFactory2 = _this$props.childFactory, props = _objectWithoutPropertiesLoose$4(_this$props, ["component", "childFactory"]);
    var contextValue = this.state.contextValue;
    var children2 = values(this.state.children).map(childFactory2);
    delete props.appear;
    delete props.enter;
    delete props.exit;
    if (Component2 === null) {
      return /* @__PURE__ */ React__default.createElement(TransitionGroupContext.Provider, {
        value: contextValue
      }, children2);
    }
    return /* @__PURE__ */ React__default.createElement(TransitionGroupContext.Provider, {
      value: contextValue
    }, /* @__PURE__ */ React__default.createElement(Component2, props, children2));
  };
  return TransitionGroup2;
}(React__default.Component);
TransitionGroup.propTypes = {};
TransitionGroup.defaultProps = defaultProps;
var TransitionGroup$1 = TransitionGroup;
var useEnhancedEffect$4 = typeof window === "undefined" ? React$8.useEffect : React$8.useLayoutEffect;
function Ripple(props) {
  var classes = props.classes, _props$pulsate = props.pulsate, pulsate = _props$pulsate === void 0 ? false : _props$pulsate, rippleX = props.rippleX, rippleY = props.rippleY, rippleSize = props.rippleSize, inProp = props.in, _props$onExited = props.onExited, onExited = _props$onExited === void 0 ? function() {
  } : _props$onExited, timeout = props.timeout;
  var _React$useState = React$8.useState(false), leaving = _React$useState[0], setLeaving = _React$useState[1];
  var rippleClassName = clsx(classes.ripple, classes.rippleVisible, pulsate && classes.ripplePulsate);
  var rippleStyles = {
    width: rippleSize,
    height: rippleSize,
    top: -(rippleSize / 2) + rippleY,
    left: -(rippleSize / 2) + rippleX
  };
  var childClassName = clsx(classes.child, leaving && classes.childLeaving, pulsate && classes.childPulsate);
  var handleExited = useEventCallback(onExited);
  useEnhancedEffect$4(function() {
    if (!inProp) {
      setLeaving(true);
      var timeoutId = setTimeout(handleExited, timeout);
      return function() {
        clearTimeout(timeoutId);
      };
    }
    return void 0;
  }, [handleExited, inProp, timeout]);
  return /* @__PURE__ */ React$8.createElement("span", {
    className: rippleClassName,
    style: rippleStyles
  }, /* @__PURE__ */ React$8.createElement("span", {
    className: childClassName
  }));
}
var DURATION = 550;
var DELAY_RIPPLE = 80;
var styles$f = function styles2(theme) {
  return {
    root: {
      overflow: "hidden",
      pointerEvents: "none",
      position: "absolute",
      zIndex: 0,
      top: 0,
      right: 0,
      bottom: 0,
      left: 0,
      borderRadius: "inherit"
    },
    ripple: {
      opacity: 0,
      position: "absolute"
    },
    rippleVisible: {
      opacity: 0.3,
      transform: "scale(1)",
      animation: "$enter ".concat(DURATION, "ms ").concat(theme.transitions.easing.easeInOut)
    },
    ripplePulsate: {
      animationDuration: "".concat(theme.transitions.duration.shorter, "ms")
    },
    child: {
      opacity: 1,
      display: "block",
      width: "100%",
      height: "100%",
      borderRadius: "50%",
      backgroundColor: "currentColor"
    },
    childLeaving: {
      opacity: 0,
      animation: "$exit ".concat(DURATION, "ms ").concat(theme.transitions.easing.easeInOut)
    },
    childPulsate: {
      position: "absolute",
      left: 0,
      top: 0,
      animation: "$pulsate 2500ms ".concat(theme.transitions.easing.easeInOut, " 200ms infinite")
    },
    "@keyframes enter": {
      "0%": {
        transform: "scale(0)",
        opacity: 0.1
      },
      "100%": {
        transform: "scale(1)",
        opacity: 0.3
      }
    },
    "@keyframes exit": {
      "0%": {
        opacity: 1
      },
      "100%": {
        opacity: 0
      }
    },
    "@keyframes pulsate": {
      "0%": {
        transform: "scale(1)"
      },
      "50%": {
        transform: "scale(0.92)"
      },
      "100%": {
        transform: "scale(1)"
      }
    }
  };
};
var TouchRipple = /* @__PURE__ */ React$8.forwardRef(function TouchRipple2(props, ref2) {
  var _props$center = props.center, centerProp = _props$center === void 0 ? false : _props$center, classes = props.classes, className = props.className, other = _objectWithoutProperties$2(props, ["center", "classes", "className"]);
  var _React$useState = React$8.useState([]), ripples = _React$useState[0], setRipples = _React$useState[1];
  var nextKey = React$8.useRef(0);
  var rippleCallback = React$8.useRef(null);
  React$8.useEffect(function() {
    if (rippleCallback.current) {
      rippleCallback.current();
      rippleCallback.current = null;
    }
  }, [ripples]);
  var ignoringMouseDown = React$8.useRef(false);
  var startTimer = React$8.useRef(null);
  var startTimerCommit = React$8.useRef(null);
  var container = React$8.useRef(null);
  React$8.useEffect(function() {
    return function() {
      clearTimeout(startTimer.current);
    };
  }, []);
  var startCommit = React$8.useCallback(function(params) {
    var pulsate2 = params.pulsate, rippleX = params.rippleX, rippleY = params.rippleY, rippleSize = params.rippleSize, cb = params.cb;
    setRipples(function(oldRipples) {
      return [].concat(_toConsumableArray$1(oldRipples), [/* @__PURE__ */ React$8.createElement(Ripple, {
        key: nextKey.current,
        classes,
        timeout: DURATION,
        pulsate: pulsate2,
        rippleX,
        rippleY,
        rippleSize
      })]);
    });
    nextKey.current += 1;
    rippleCallback.current = cb;
  }, [classes]);
  var start = React$8.useCallback(function() {
    var event = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {};
    var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
    var cb = arguments.length > 2 ? arguments[2] : void 0;
    var _options$pulsate = options.pulsate, pulsate2 = _options$pulsate === void 0 ? false : _options$pulsate, _options$center = options.center, center = _options$center === void 0 ? centerProp || options.pulsate : _options$center, _options$fakeElement = options.fakeElement, fakeElement = _options$fakeElement === void 0 ? false : _options$fakeElement;
    if (event.type === "mousedown" && ignoringMouseDown.current) {
      ignoringMouseDown.current = false;
      return;
    }
    if (event.type === "touchstart") {
      ignoringMouseDown.current = true;
    }
    var element = fakeElement ? null : container.current;
    var rect = element ? element.getBoundingClientRect() : {
      width: 0,
      height: 0,
      left: 0,
      top: 0
    };
    var rippleX;
    var rippleY;
    var rippleSize;
    if (center || event.clientX === 0 && event.clientY === 0 || !event.clientX && !event.touches) {
      rippleX = Math.round(rect.width / 2);
      rippleY = Math.round(rect.height / 2);
    } else {
      var _ref = event.touches ? event.touches[0] : event, clientX = _ref.clientX, clientY = _ref.clientY;
      rippleX = Math.round(clientX - rect.left);
      rippleY = Math.round(clientY - rect.top);
    }
    if (center) {
      rippleSize = Math.sqrt((2 * Math.pow(rect.width, 2) + Math.pow(rect.height, 2)) / 3);
      if (rippleSize % 2 === 0) {
        rippleSize += 1;
      }
    } else {
      var sizeX = Math.max(Math.abs((element ? element.clientWidth : 0) - rippleX), rippleX) * 2 + 2;
      var sizeY = Math.max(Math.abs((element ? element.clientHeight : 0) - rippleY), rippleY) * 2 + 2;
      rippleSize = Math.sqrt(Math.pow(sizeX, 2) + Math.pow(sizeY, 2));
    }
    if (event.touches) {
      if (startTimerCommit.current === null) {
        startTimerCommit.current = function() {
          startCommit({
            pulsate: pulsate2,
            rippleX,
            rippleY,
            rippleSize,
            cb
          });
        };
        startTimer.current = setTimeout(function() {
          if (startTimerCommit.current) {
            startTimerCommit.current();
            startTimerCommit.current = null;
          }
        }, DELAY_RIPPLE);
      }
    } else {
      startCommit({
        pulsate: pulsate2,
        rippleX,
        rippleY,
        rippleSize,
        cb
      });
    }
  }, [centerProp, startCommit]);
  var pulsate = React$8.useCallback(function() {
    start({}, {
      pulsate: true
    });
  }, [start]);
  var stop = React$8.useCallback(function(event, cb) {
    clearTimeout(startTimer.current);
    if (event.type === "touchend" && startTimerCommit.current) {
      event.persist();
      startTimerCommit.current();
      startTimerCommit.current = null;
      startTimer.current = setTimeout(function() {
        stop(event, cb);
      });
      return;
    }
    startTimerCommit.current = null;
    setRipples(function(oldRipples) {
      if (oldRipples.length > 0) {
        return oldRipples.slice(1);
      }
      return oldRipples;
    });
    rippleCallback.current = cb;
  }, []);
  React$8.useImperativeHandle(ref2, function() {
    return {
      pulsate,
      start,
      stop
    };
  }, [pulsate, start, stop]);
  return /* @__PURE__ */ React$8.createElement("span", _extends$5({
    className: clsx(classes.root, className),
    ref: container
  }, other), /* @__PURE__ */ React$8.createElement(TransitionGroup$1, {
    component: null,
    exit: true
  }, ripples));
});
var TouchRipple$1 = withStyles2(styles$f, {
  flip: false,
  name: "MuiTouchRipple"
})(/* @__PURE__ */ React$8.memo(TouchRipple));
var styles$e = {
  root: {
    display: "inline-flex",
    alignItems: "center",
    justifyContent: "center",
    position: "relative",
    WebkitTapHighlightColor: "transparent",
    backgroundColor: "transparent",
    outline: 0,
    border: 0,
    margin: 0,
    borderRadius: 0,
    padding: 0,
    cursor: "pointer",
    userSelect: "none",
    verticalAlign: "middle",
    "-moz-appearance": "none",
    "-webkit-appearance": "none",
    textDecoration: "none",
    color: "inherit",
    "&::-moz-focus-inner": {
      borderStyle: "none"
    },
    "&$disabled": {
      pointerEvents: "none",
      cursor: "default"
    },
    "@media print": {
      colorAdjust: "exact"
    }
  },
  disabled: {},
  focusVisible: {}
};
var ButtonBase = /* @__PURE__ */ React$8.forwardRef(function ButtonBase2(props, ref2) {
  var action = props.action, buttonRefProp = props.buttonRef, _props$centerRipple = props.centerRipple, centerRipple = _props$centerRipple === void 0 ? false : _props$centerRipple, children2 = props.children, classes = props.classes, className = props.className, _props$component = props.component, component = _props$component === void 0 ? "button" : _props$component, _props$disabled = props.disabled, disabled = _props$disabled === void 0 ? false : _props$disabled, _props$disableRipple = props.disableRipple, disableRipple = _props$disableRipple === void 0 ? false : _props$disableRipple, _props$disableTouchRi = props.disableTouchRipple, disableTouchRipple = _props$disableTouchRi === void 0 ? false : _props$disableTouchRi, _props$focusRipple = props.focusRipple, focusRipple = _props$focusRipple === void 0 ? false : _props$focusRipple, focusVisibleClassName = props.focusVisibleClassName, onBlur = props.onBlur, onClick = props.onClick, onFocus = props.onFocus, onFocusVisible = props.onFocusVisible, onKeyDown = props.onKeyDown, onKeyUp = props.onKeyUp, onMouseDown2 = props.onMouseDown, onMouseLeave = props.onMouseLeave, onMouseUp = props.onMouseUp, onTouchEnd = props.onTouchEnd, onTouchMove = props.onTouchMove, onTouchStart = props.onTouchStart, onDragLeave = props.onDragLeave, _props$tabIndex = props.tabIndex, tabIndex = _props$tabIndex === void 0 ? 0 : _props$tabIndex, TouchRippleProps = props.TouchRippleProps, _props$type = props.type, type3 = _props$type === void 0 ? "button" : _props$type, other = _objectWithoutProperties$2(props, ["action", "buttonRef", "centerRipple", "children", "classes", "className", "component", "disabled", "disableRipple", "disableTouchRipple", "focusRipple", "focusVisibleClassName", "onBlur", "onClick", "onFocus", "onFocusVisible", "onKeyDown", "onKeyUp", "onMouseDown", "onMouseLeave", "onMouseUp", "onTouchEnd", "onTouchMove", "onTouchStart", "onDragLeave", "tabIndex", "TouchRippleProps", "type"]);
  var buttonRef = React$8.useRef(null);
  function getButtonNode() {
    return ReactDOM.findDOMNode(buttonRef.current);
  }
  var rippleRef = React$8.useRef(null);
  var _React$useState = React$8.useState(false), focusVisible = _React$useState[0], setFocusVisible = _React$useState[1];
  if (disabled && focusVisible) {
    setFocusVisible(false);
  }
  var _useIsFocusVisible = useIsFocusVisible(), isFocusVisible2 = _useIsFocusVisible.isFocusVisible, onBlurVisible = _useIsFocusVisible.onBlurVisible, focusVisibleRef = _useIsFocusVisible.ref;
  React$8.useImperativeHandle(action, function() {
    return {
      focusVisible: function focusVisible2() {
        setFocusVisible(true);
        buttonRef.current.focus();
      }
    };
  }, []);
  React$8.useEffect(function() {
    if (focusVisible && focusRipple && !disableRipple) {
      rippleRef.current.pulsate();
    }
  }, [disableRipple, focusRipple, focusVisible]);
  function useRippleHandler(rippleAction, eventCallback) {
    var skipRippleAction = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : disableTouchRipple;
    return useEventCallback(function(event) {
      if (eventCallback) {
        eventCallback(event);
      }
      var ignore = skipRippleAction;
      if (!ignore && rippleRef.current) {
        rippleRef.current[rippleAction](event);
      }
      return true;
    });
  }
  var handleMouseDown = useRippleHandler("start", onMouseDown2);
  var handleDragLeave = useRippleHandler("stop", onDragLeave);
  var handleMouseUp = useRippleHandler("stop", onMouseUp);
  var handleMouseLeave = useRippleHandler("stop", function(event) {
    if (focusVisible) {
      event.preventDefault();
    }
    if (onMouseLeave) {
      onMouseLeave(event);
    }
  });
  var handleTouchStart = useRippleHandler("start", onTouchStart);
  var handleTouchEnd = useRippleHandler("stop", onTouchEnd);
  var handleTouchMove = useRippleHandler("stop", onTouchMove);
  var handleBlur = useRippleHandler("stop", function(event) {
    if (focusVisible) {
      onBlurVisible(event);
      setFocusVisible(false);
    }
    if (onBlur) {
      onBlur(event);
    }
  }, false);
  var handleFocus = useEventCallback(function(event) {
    if (!buttonRef.current) {
      buttonRef.current = event.currentTarget;
    }
    if (isFocusVisible2(event)) {
      setFocusVisible(true);
      if (onFocusVisible) {
        onFocusVisible(event);
      }
    }
    if (onFocus) {
      onFocus(event);
    }
  });
  var isNonNativeButton = function isNonNativeButton2() {
    var button = getButtonNode();
    return component && component !== "button" && !(button.tagName === "A" && button.href);
  };
  var keydownRef = React$8.useRef(false);
  var handleKeyDown2 = useEventCallback(function(event) {
    if (focusRipple && !keydownRef.current && focusVisible && rippleRef.current && event.key === " ") {
      keydownRef.current = true;
      event.persist();
      rippleRef.current.stop(event, function() {
        rippleRef.current.start(event);
      });
    }
    if (event.target === event.currentTarget && isNonNativeButton() && event.key === " ") {
      event.preventDefault();
    }
    if (onKeyDown) {
      onKeyDown(event);
    }
    if (event.target === event.currentTarget && isNonNativeButton() && event.key === "Enter" && !disabled) {
      event.preventDefault();
      if (onClick) {
        onClick(event);
      }
    }
  });
  var handleKeyUp = useEventCallback(function(event) {
    if (focusRipple && event.key === " " && rippleRef.current && focusVisible && !event.defaultPrevented) {
      keydownRef.current = false;
      event.persist();
      rippleRef.current.stop(event, function() {
        rippleRef.current.pulsate(event);
      });
    }
    if (onKeyUp) {
      onKeyUp(event);
    }
    if (onClick && event.target === event.currentTarget && isNonNativeButton() && event.key === " " && !event.defaultPrevented) {
      onClick(event);
    }
  });
  var ComponentProp = component;
  if (ComponentProp === "button" && other.href) {
    ComponentProp = "a";
  }
  var buttonProps = {};
  if (ComponentProp === "button") {
    buttonProps.type = type3;
    buttonProps.disabled = disabled;
  } else {
    if (ComponentProp !== "a" || !other.href) {
      buttonProps.role = "button";
    }
    buttonProps["aria-disabled"] = disabled;
  }
  var handleUserRef = useForkRef(buttonRefProp, ref2);
  var handleOwnRef = useForkRef(focusVisibleRef, buttonRef);
  var handleRef = useForkRef(handleUserRef, handleOwnRef);
  var _React$useState2 = React$8.useState(false), mountedState = _React$useState2[0], setMountedState = _React$useState2[1];
  React$8.useEffect(function() {
    setMountedState(true);
  }, []);
  var enableTouchRipple = mountedState && !disableRipple && !disabled;
  return /* @__PURE__ */ React$8.createElement(ComponentProp, _extends$5({
    className: clsx(classes.root, className, focusVisible && [classes.focusVisible, focusVisibleClassName], disabled && classes.disabled),
    onBlur: handleBlur,
    onClick,
    onFocus: handleFocus,
    onKeyDown: handleKeyDown2,
    onKeyUp: handleKeyUp,
    onMouseDown: handleMouseDown,
    onMouseLeave: handleMouseLeave,
    onMouseUp: handleMouseUp,
    onDragLeave: handleDragLeave,
    onTouchEnd: handleTouchEnd,
    onTouchMove: handleTouchMove,
    onTouchStart: handleTouchStart,
    ref: handleRef,
    tabIndex: disabled ? -1 : tabIndex
  }, buttonProps, other), children2, enableTouchRipple ? /* @__PURE__ */ React$8.createElement(TouchRipple$1, _extends$5({
    ref: rippleRef,
    center: centerRipple
  }, TouchRippleProps)) : null);
});
var ButtonBase$1 = withStyles2(styles$e, {
  name: "MuiButtonBase"
})(ButtonBase);
var ListContext = React$8.createContext({});
var ListContext$1 = ListContext;
var styles$d = function styles3(theme) {
  return {
    root: {
      display: "flex",
      justifyContent: "flex-start",
      alignItems: "center",
      position: "relative",
      textDecoration: "none",
      width: "100%",
      boxSizing: "border-box",
      textAlign: "left",
      paddingTop: 8,
      paddingBottom: 8,
      "&$focusVisible": {
        backgroundColor: theme.palette.action.selected
      },
      "&$selected, &$selected:hover": {
        backgroundColor: theme.palette.action.selected
      },
      "&$disabled": {
        opacity: 0.5
      }
    },
    container: {
      position: "relative"
    },
    focusVisible: {},
    dense: {
      paddingTop: 4,
      paddingBottom: 4
    },
    alignItemsFlexStart: {
      alignItems: "flex-start"
    },
    disabled: {},
    divider: {
      borderBottom: "1px solid ".concat(theme.palette.divider),
      backgroundClip: "padding-box"
    },
    gutters: {
      paddingLeft: 16,
      paddingRight: 16
    },
    button: {
      transition: theme.transitions.create("background-color", {
        duration: theme.transitions.duration.shortest
      }),
      "&:hover": {
        textDecoration: "none",
        backgroundColor: theme.palette.action.hover,
        "@media (hover: none)": {
          backgroundColor: "transparent"
        }
      }
    },
    secondaryAction: {
      paddingRight: 48
    },
    selected: {}
  };
};
var useEnhancedEffect$3 = typeof window === "undefined" ? React$8.useEffect : React$8.useLayoutEffect;
var ListItem = /* @__PURE__ */ React$8.forwardRef(function ListItem2(props, ref2) {
  var _props$alignItems = props.alignItems, alignItems = _props$alignItems === void 0 ? "center" : _props$alignItems, _props$autoFocus = props.autoFocus, autoFocus = _props$autoFocus === void 0 ? false : _props$autoFocus, _props$button = props.button, button = _props$button === void 0 ? false : _props$button, childrenProp = props.children, classes = props.classes, className = props.className, componentProp = props.component, _props$ContainerCompo = props.ContainerComponent, ContainerComponent = _props$ContainerCompo === void 0 ? "li" : _props$ContainerCompo, _props$ContainerProps = props.ContainerProps;
  _props$ContainerProps = _props$ContainerProps === void 0 ? {} : _props$ContainerProps;
  var ContainerClassName = _props$ContainerProps.className, ContainerProps = _objectWithoutProperties$2(_props$ContainerProps, ["className"]), _props$dense = props.dense, dense = _props$dense === void 0 ? false : _props$dense, _props$disabled = props.disabled, disabled = _props$disabled === void 0 ? false : _props$disabled, _props$disableGutters = props.disableGutters, disableGutters = _props$disableGutters === void 0 ? false : _props$disableGutters, _props$divider = props.divider, divider = _props$divider === void 0 ? false : _props$divider, focusVisibleClassName = props.focusVisibleClassName, _props$selected = props.selected, selected = _props$selected === void 0 ? false : _props$selected, other = _objectWithoutProperties$2(props, ["alignItems", "autoFocus", "button", "children", "classes", "className", "component", "ContainerComponent", "ContainerProps", "dense", "disabled", "disableGutters", "divider", "focusVisibleClassName", "selected"]);
  var context = React$8.useContext(ListContext$1);
  var childContext = {
    dense: dense || context.dense || false,
    alignItems
  };
  var listItemRef = React$8.useRef(null);
  useEnhancedEffect$3(function() {
    if (autoFocus) {
      if (listItemRef.current) {
        listItemRef.current.focus();
      }
    }
  }, [autoFocus]);
  var children2 = React$8.Children.toArray(childrenProp);
  var hasSecondaryAction = children2.length && isMuiElement(children2[children2.length - 1], ["ListItemSecondaryAction"]);
  var handleOwnRef = React$8.useCallback(function(instance) {
    listItemRef.current = ReactDOM.findDOMNode(instance);
  }, []);
  var handleRef = useForkRef(handleOwnRef, ref2);
  var componentProps = _extends$5({
    className: clsx(classes.root, className, childContext.dense && classes.dense, !disableGutters && classes.gutters, divider && classes.divider, disabled && classes.disabled, button && classes.button, alignItems !== "center" && classes.alignItemsFlexStart, hasSecondaryAction && classes.secondaryAction, selected && classes.selected),
    disabled
  }, other);
  var Component2 = componentProp || "li";
  if (button) {
    componentProps.component = componentProp || "div";
    componentProps.focusVisibleClassName = clsx(classes.focusVisible, focusVisibleClassName);
    Component2 = ButtonBase$1;
  }
  if (hasSecondaryAction) {
    Component2 = !componentProps.component && !componentProp ? "div" : Component2;
    if (ContainerComponent === "li") {
      if (Component2 === "li") {
        Component2 = "div";
      } else if (componentProps.component === "li") {
        componentProps.component = "div";
      }
    }
    return /* @__PURE__ */ React$8.createElement(ListContext$1.Provider, {
      value: childContext
    }, /* @__PURE__ */ React$8.createElement(ContainerComponent, _extends$5({
      className: clsx(classes.container, ContainerClassName),
      ref: handleRef
    }, ContainerProps), /* @__PURE__ */ React$8.createElement(Component2, componentProps, children2), children2.pop()));
  }
  return /* @__PURE__ */ React$8.createElement(ListContext$1.Provider, {
    value: childContext
  }, /* @__PURE__ */ React$8.createElement(Component2, _extends$5({
    ref: handleRef
  }, componentProps), children2));
});
var ListItem$1 = withStyles2(styles$d, {
  name: "MuiListItem"
})(ListItem);
var styles$c = function styles4(theme) {
  return {
    root: _extends$5({}, theme.typography.body1, _defineProperty$b({
      minHeight: 48,
      paddingTop: 6,
      paddingBottom: 6,
      boxSizing: "border-box",
      width: "auto",
      overflow: "hidden",
      whiteSpace: "nowrap"
    }, theme.breakpoints.up("sm"), {
      minHeight: "auto"
    })),
    gutters: {},
    selected: {},
    dense: _extends$5({}, theme.typography.body2, {
      minHeight: "auto"
    })
  };
};
var MenuItem = /* @__PURE__ */ React$8.forwardRef(function MenuItem2(props, ref2) {
  var classes = props.classes, className = props.className, _props$component = props.component, component = _props$component === void 0 ? "li" : _props$component, _props$disableGutters = props.disableGutters, disableGutters = _props$disableGutters === void 0 ? false : _props$disableGutters, ListItemClasses = props.ListItemClasses, _props$role = props.role, role = _props$role === void 0 ? "menuitem" : _props$role, selected = props.selected, tabIndexProp = props.tabIndex, other = _objectWithoutProperties$2(props, ["classes", "className", "component", "disableGutters", "ListItemClasses", "role", "selected", "tabIndex"]);
  var tabIndex;
  if (!props.disabled) {
    tabIndex = tabIndexProp !== void 0 ? tabIndexProp : -1;
  }
  return /* @__PURE__ */ React$8.createElement(ListItem$1, _extends$5({
    button: true,
    role,
    tabIndex,
    component,
    selected,
    disableGutters,
    classes: _extends$5({
      dense: classes.dense
    }, ListItemClasses),
    className: clsx(classes.root, className, selected && classes.selected, !disableGutters && classes.gutters),
    ref: ref2
  }, other));
});
var MenuItem$1 = withStyles2(styles$c, {
  name: "MuiMenuItem"
})(MenuItem);
var styles$b = function styles5(theme) {
  return {
    root: {
      textAlign: "center",
      flex: "0 0 auto",
      fontSize: theme.typography.pxToRem(24),
      padding: 12,
      borderRadius: "50%",
      overflow: "visible",
      color: theme.palette.action.active,
      transition: theme.transitions.create("background-color", {
        duration: theme.transitions.duration.shortest
      }),
      "&:hover": {
        backgroundColor: alpha(theme.palette.action.active, theme.palette.action.hoverOpacity),
        "@media (hover: none)": {
          backgroundColor: "transparent"
        }
      },
      "&$disabled": {
        backgroundColor: "transparent",
        color: theme.palette.action.disabled
      }
    },
    edgeStart: {
      marginLeft: -12,
      "$sizeSmall&": {
        marginLeft: -3
      }
    },
    edgeEnd: {
      marginRight: -12,
      "$sizeSmall&": {
        marginRight: -3
      }
    },
    colorInherit: {
      color: "inherit"
    },
    colorPrimary: {
      color: theme.palette.primary.main,
      "&:hover": {
        backgroundColor: alpha(theme.palette.primary.main, theme.palette.action.hoverOpacity),
        "@media (hover: none)": {
          backgroundColor: "transparent"
        }
      }
    },
    colorSecondary: {
      color: theme.palette.secondary.main,
      "&:hover": {
        backgroundColor: alpha(theme.palette.secondary.main, theme.palette.action.hoverOpacity),
        "@media (hover: none)": {
          backgroundColor: "transparent"
        }
      }
    },
    disabled: {},
    sizeSmall: {
      padding: 3,
      fontSize: theme.typography.pxToRem(18)
    },
    label: {
      width: "100%",
      display: "flex",
      alignItems: "inherit",
      justifyContent: "inherit"
    }
  };
};
var IconButton = /* @__PURE__ */ React$8.forwardRef(function IconButton2(props, ref2) {
  var _props$edge = props.edge, edge = _props$edge === void 0 ? false : _props$edge, children2 = props.children, classes = props.classes, className = props.className, _props$color = props.color, color = _props$color === void 0 ? "default" : _props$color, _props$disabled = props.disabled, disabled = _props$disabled === void 0 ? false : _props$disabled, _props$disableFocusRi = props.disableFocusRipple, disableFocusRipple = _props$disableFocusRi === void 0 ? false : _props$disableFocusRi, _props$size = props.size, size = _props$size === void 0 ? "medium" : _props$size, other = _objectWithoutProperties$2(props, ["edge", "children", "classes", "className", "color", "disabled", "disableFocusRipple", "size"]);
  return /* @__PURE__ */ React$8.createElement(ButtonBase$1, _extends$5({
    className: clsx(classes.root, className, color !== "default" && classes["color".concat(capitalize(color))], disabled && classes.disabled, size === "small" && classes["size".concat(capitalize(size))], {
      "start": classes.edgeStart,
      "end": classes.edgeEnd
    }[edge]),
    centerRipple: true,
    focusRipple: !disableFocusRipple,
    disabled,
    ref: ref2
  }, other), /* @__PURE__ */ React$8.createElement("span", {
    className: classes.label
  }, children2));
});
var IconButton$1 = withStyles2(styles$b, {
  name: "MuiIconButton"
})(IconButton);
var styles$a = function styles6(theme) {
  return {
    root: {
      margin: 0
    },
    body2: theme.typography.body2,
    body1: theme.typography.body1,
    caption: theme.typography.caption,
    button: theme.typography.button,
    h1: theme.typography.h1,
    h2: theme.typography.h2,
    h3: theme.typography.h3,
    h4: theme.typography.h4,
    h5: theme.typography.h5,
    h6: theme.typography.h6,
    subtitle1: theme.typography.subtitle1,
    subtitle2: theme.typography.subtitle2,
    overline: theme.typography.overline,
    srOnly: {
      position: "absolute",
      height: 1,
      width: 1,
      overflow: "hidden"
    },
    alignLeft: {
      textAlign: "left"
    },
    alignCenter: {
      textAlign: "center"
    },
    alignRight: {
      textAlign: "right"
    },
    alignJustify: {
      textAlign: "justify"
    },
    noWrap: {
      overflow: "hidden",
      textOverflow: "ellipsis",
      whiteSpace: "nowrap"
    },
    gutterBottom: {
      marginBottom: "0.35em"
    },
    paragraph: {
      marginBottom: 16
    },
    colorInherit: {
      color: "inherit"
    },
    colorPrimary: {
      color: theme.palette.primary.main
    },
    colorSecondary: {
      color: theme.palette.secondary.main
    },
    colorTextPrimary: {
      color: theme.palette.text.primary
    },
    colorTextSecondary: {
      color: theme.palette.text.secondary
    },
    colorError: {
      color: theme.palette.error.main
    },
    displayInline: {
      display: "inline"
    },
    displayBlock: {
      display: "block"
    }
  };
};
var defaultVariantMapping = {
  h1: "h1",
  h2: "h2",
  h3: "h3",
  h4: "h4",
  h5: "h5",
  h6: "h6",
  subtitle1: "h6",
  subtitle2: "h6",
  body1: "p",
  body2: "p"
};
var Typography = /* @__PURE__ */ React$8.forwardRef(function Typography2(props, ref2) {
  var _props$align = props.align, align = _props$align === void 0 ? "inherit" : _props$align, classes = props.classes, className = props.className, _props$color = props.color, color = _props$color === void 0 ? "initial" : _props$color, component = props.component, _props$display = props.display, display = _props$display === void 0 ? "initial" : _props$display, _props$gutterBottom = props.gutterBottom, gutterBottom = _props$gutterBottom === void 0 ? false : _props$gutterBottom, _props$noWrap = props.noWrap, noWrap = _props$noWrap === void 0 ? false : _props$noWrap, _props$paragraph = props.paragraph, paragraph = _props$paragraph === void 0 ? false : _props$paragraph, _props$variant = props.variant, variant = _props$variant === void 0 ? "body1" : _props$variant, _props$variantMapping = props.variantMapping, variantMapping = _props$variantMapping === void 0 ? defaultVariantMapping : _props$variantMapping, other = _objectWithoutProperties$2(props, ["align", "classes", "className", "color", "component", "display", "gutterBottom", "noWrap", "paragraph", "variant", "variantMapping"]);
  var Component2 = component || (paragraph ? "p" : variantMapping[variant] || defaultVariantMapping[variant]) || "span";
  return /* @__PURE__ */ React$8.createElement(Component2, _extends$5({
    className: clsx(classes.root, className, variant !== "inherit" && classes[variant], color !== "initial" && classes["color".concat(capitalize(color))], noWrap && classes.noWrap, gutterBottom && classes.gutterBottom, paragraph && classes.paragraph, align !== "inherit" && classes["align".concat(capitalize(align))], display !== "initial" && classes["display".concat(capitalize(display))]),
    ref: ref2
  }, other));
});
var Typography$1 = withStyles2(styles$a, {
  name: "MuiTypography"
})(Typography);
var styles$9 = {
  root: {},
  underlineNone: {
    textDecoration: "none"
  },
  underlineHover: {
    textDecoration: "none",
    "&:hover": {
      textDecoration: "underline"
    }
  },
  underlineAlways: {
    textDecoration: "underline"
  },
  button: {
    position: "relative",
    WebkitTapHighlightColor: "transparent",
    backgroundColor: "transparent",
    outline: 0,
    border: 0,
    margin: 0,
    borderRadius: 0,
    padding: 0,
    cursor: "pointer",
    userSelect: "none",
    verticalAlign: "middle",
    "-moz-appearance": "none",
    "-webkit-appearance": "none",
    "&::-moz-focus-inner": {
      borderStyle: "none"
    },
    "&$focusVisible": {
      outline: "auto"
    }
  },
  focusVisible: {}
};
var Link = /* @__PURE__ */ React$8.forwardRef(function Link2(props, ref2) {
  var classes = props.classes, className = props.className, _props$color = props.color, color = _props$color === void 0 ? "primary" : _props$color, _props$component = props.component, component = _props$component === void 0 ? "a" : _props$component, onBlur = props.onBlur, onFocus = props.onFocus, TypographyClasses = props.TypographyClasses, _props$underline = props.underline, underline = _props$underline === void 0 ? "hover" : _props$underline, _props$variant = props.variant, variant = _props$variant === void 0 ? "inherit" : _props$variant, other = _objectWithoutProperties$2(props, ["classes", "className", "color", "component", "onBlur", "onFocus", "TypographyClasses", "underline", "variant"]);
  var _useIsFocusVisible = useIsFocusVisible(), isFocusVisible2 = _useIsFocusVisible.isFocusVisible, onBlurVisible = _useIsFocusVisible.onBlurVisible, focusVisibleRef = _useIsFocusVisible.ref;
  var _React$useState = React$8.useState(false), focusVisible = _React$useState[0], setFocusVisible = _React$useState[1];
  var handlerRef = useForkRef(ref2, focusVisibleRef);
  var handleBlur = function handleBlur2(event) {
    if (focusVisible) {
      onBlurVisible();
      setFocusVisible(false);
    }
    if (onBlur) {
      onBlur(event);
    }
  };
  var handleFocus = function handleFocus2(event) {
    if (isFocusVisible2(event)) {
      setFocusVisible(true);
    }
    if (onFocus) {
      onFocus(event);
    }
  };
  return /* @__PURE__ */ React$8.createElement(Typography$1, _extends$5({
    className: clsx(classes.root, classes["underline".concat(capitalize(underline))], className, focusVisible && classes.focusVisible, component === "button" && classes.button),
    classes: TypographyClasses,
    color,
    component,
    onBlur: handleBlur,
    onFocus: handleFocus,
    ref: handlerRef,
    variant
  }, other));
});
var Link$1 = withStyles2(styles$9, {
  name: "MuiLink"
})(Link);
var ArrowDropDown = {};
var _interopRequireDefault$d = interopRequireDefault;
var _interopRequireWildcard$7 = interopRequireWildcard;
Object.defineProperty(ArrowDropDown, "__esModule", {
  value: true
});
var default_1$3 = ArrowDropDown.default = void 0;
var React$6 = _interopRequireWildcard$7(React__default);
var _createSvgIcon$3 = _interopRequireDefault$d(createSvgIcon$1);
var _default$5 = (0, _createSvgIcon$3.default)(/* @__PURE__ */ React$6.createElement("path", {
  d: "M7 10l5 5 5-5z"
}), "ArrowDropDown");
default_1$3 = ArrowDropDown.default = _default$5;
var ArrowDropUp = {};
var _interopRequireDefault$c = interopRequireDefault;
var _interopRequireWildcard$6 = interopRequireWildcard;
Object.defineProperty(ArrowDropUp, "__esModule", {
  value: true
});
var default_1$2 = ArrowDropUp.default = void 0;
var React$5 = _interopRequireWildcard$6(React__default);
var _createSvgIcon$2 = _interopRequireDefault$c(createSvgIcon$1);
var _default$4 = (0, _createSvgIcon$2.default)(/* @__PURE__ */ React$5.createElement("path", {
  d: "M7 14l5-5 5 5z"
}), "ArrowDropUp");
default_1$2 = ArrowDropUp.default = _default$4;
var Settings = {};
var _interopRequireDefault$b = interopRequireDefault;
var _interopRequireWildcard$5 = interopRequireWildcard;
Object.defineProperty(Settings, "__esModule", {
  value: true
});
var default_1$1 = Settings.default = void 0;
var React$4 = _interopRequireWildcard$5(React__default);
var _createSvgIcon$1 = _interopRequireDefault$b(createSvgIcon$1);
var _default$3 = (0, _createSvgIcon$1.default)(/* @__PURE__ */ React$4.createElement("path", {
  d: "M19.14 12.94c.04-.3.06-.61.06-.94 0-.32-.02-.64-.07-.94l2.03-1.58c.18-.14.23-.41.12-.61l-1.92-3.32c-.12-.22-.37-.29-.59-.22l-2.39.96c-.5-.38-1.03-.7-1.62-.94l-.36-2.54c-.04-.24-.24-.41-.48-.41h-3.84c-.24 0-.43.17-.47.41l-.36 2.54c-.59.24-1.13.57-1.62.94l-2.39-.96c-.22-.08-.47 0-.59.22L2.74 8.87c-.12.21-.08.47.12.61l2.03 1.58c-.05.3-.09.63-.09.94s.02.64.07.94l-2.03 1.58c-.18.14-.23.41-.12.61l1.92 3.32c.12.22.37.29.59.22l2.39-.96c.5.38 1.03.7 1.62.94l.36 2.54c.05.24.24.41.48.41h3.84c.24 0 .44-.17.47-.41l.36-2.54c.59-.24 1.13-.56 1.62-.94l2.39.96c.22.08.47 0 .59-.22l1.92-3.32c.12-.22.07-.47-.12-.61l-2.01-1.58zM12 15.6c-1.98 0-3.6-1.62-3.6-3.6s1.62-3.6 3.6-3.6 3.6 1.62 3.6 3.6-1.62 3.6-3.6 3.6z"
}), "Settings");
default_1$1 = Settings.default = _default$3;
var Close = {};
var _interopRequireDefault$a = interopRequireDefault;
var _interopRequireWildcard$4 = interopRequireWildcard;
Object.defineProperty(Close, "__esModule", {
  value: true
});
var default_1 = Close.default = void 0;
var React$3 = _interopRequireWildcard$4(React__default);
var _createSvgIcon = _interopRequireDefault$a(createSvgIcon$1);
var _default$2 = (0, _createSvgIcon.default)(/* @__PURE__ */ React$3.createElement("path", {
  d: "M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z"
}), "Close");
default_1 = Close.default = _default$2;
var TOOLTIP_ANCESTOR = "tooltip-ancestor";
var CARD = "card card-body my-2 ".concat(TOOLTIP_ANCESTOR);
var PRIMARY_CARD = "".concat(CARD, " bg-primary");
var SECONDARY_CARD = "".concat(CARD, " bg-secondary");
var BLACK_CARD = "".concat(CARD, " bg-black");
var SCROLL_CARD = "".concat(PRIMARY_CARD, " scroll");
var VITESSCE_CONTAINER = "vitessce-container";
var SIZE = 44;
var styles$8 = function styles7(theme) {
  return {
    root: {
      display: "inline-block"
    },
    static: {
      transition: theme.transitions.create("transform")
    },
    indeterminate: {
      animation: "$circular-rotate 1.4s linear infinite"
    },
    determinate: {
      transition: theme.transitions.create("transform")
    },
    colorPrimary: {
      color: theme.palette.primary.main
    },
    colorSecondary: {
      color: theme.palette.secondary.main
    },
    svg: {
      display: "block"
    },
    circle: {
      stroke: "currentColor"
    },
    circleStatic: {
      transition: theme.transitions.create("stroke-dashoffset")
    },
    circleIndeterminate: {
      animation: "$circular-dash 1.4s ease-in-out infinite",
      strokeDasharray: "80px, 200px",
      strokeDashoffset: "0px"
    },
    circleDeterminate: {
      transition: theme.transitions.create("stroke-dashoffset")
    },
    "@keyframes circular-rotate": {
      "0%": {
        transformOrigin: "50% 50%"
      },
      "100%": {
        transform: "rotate(360deg)"
      }
    },
    "@keyframes circular-dash": {
      "0%": {
        strokeDasharray: "1px, 200px",
        strokeDashoffset: "0px"
      },
      "50%": {
        strokeDasharray: "100px, 200px",
        strokeDashoffset: "-15px"
      },
      "100%": {
        strokeDasharray: "100px, 200px",
        strokeDashoffset: "-125px"
      }
    },
    circleDisableShrink: {
      animation: "none"
    }
  };
};
var CircularProgress = /* @__PURE__ */ React$8.forwardRef(function CircularProgress2(props, ref2) {
  var classes = props.classes, className = props.className, _props$color = props.color, color = _props$color === void 0 ? "primary" : _props$color, _props$disableShrink = props.disableShrink, disableShrink = _props$disableShrink === void 0 ? false : _props$disableShrink, _props$size = props.size, size = _props$size === void 0 ? 40 : _props$size, style = props.style, _props$thickness = props.thickness, thickness = _props$thickness === void 0 ? 3.6 : _props$thickness, _props$value = props.value, value = _props$value === void 0 ? 0 : _props$value, _props$variant = props.variant, variant = _props$variant === void 0 ? "indeterminate" : _props$variant, other = _objectWithoutProperties$2(props, ["classes", "className", "color", "disableShrink", "size", "style", "thickness", "value", "variant"]);
  var circleStyle = {};
  var rootStyle = {};
  var rootProps = {};
  if (variant === "determinate" || variant === "static") {
    var circumference = 2 * Math.PI * ((SIZE - thickness) / 2);
    circleStyle.strokeDasharray = circumference.toFixed(3);
    rootProps["aria-valuenow"] = Math.round(value);
    circleStyle.strokeDashoffset = "".concat(((100 - value) / 100 * circumference).toFixed(3), "px");
    rootStyle.transform = "rotate(-90deg)";
  }
  return /* @__PURE__ */ React$8.createElement("div", _extends$5({
    className: clsx(classes.root, className, color !== "inherit" && classes["color".concat(capitalize(color))], {
      "determinate": classes.determinate,
      "indeterminate": classes.indeterminate,
      "static": classes.static
    }[variant]),
    style: _extends$5({
      width: size,
      height: size
    }, rootStyle, style),
    ref: ref2,
    role: "progressbar"
  }, rootProps, other), /* @__PURE__ */ React$8.createElement("svg", {
    className: classes.svg,
    viewBox: "".concat(SIZE / 2, " ").concat(SIZE / 2, " ").concat(SIZE, " ").concat(SIZE)
  }, /* @__PURE__ */ React$8.createElement("circle", {
    className: clsx(classes.circle, disableShrink && classes.circleDisableShrink, {
      "determinate": classes.circleDeterminate,
      "indeterminate": classes.circleIndeterminate,
      "static": classes.circleStatic
    }[variant]),
    style: circleStyle,
    cx: SIZE,
    cy: SIZE,
    r: (SIZE - thickness) / 2,
    fill: "none",
    strokeWidth: thickness
  })));
});
var CircularProgress$1 = withStyles2(styles$8, {
  name: "MuiCircularProgress",
  flip: false
})(CircularProgress);
function LoadingIndicator() {
  return /* @__PURE__ */ React__default.createElement("div", {
    className: "loading-indicator-backdrop"
  }, /* @__PURE__ */ React__default.createElement("div", {
    className: "loading-indicator-container"
  }, /* @__PURE__ */ React__default.createElement(CircularProgress$1, null)));
}
var styles$7 = function styles8(theme) {
  var elevations = {};
  theme.shadows.forEach(function(shadow, index2) {
    elevations["elevation".concat(index2)] = {
      boxShadow: shadow
    };
  });
  return _extends$5({
    root: {
      backgroundColor: theme.palette.background.paper,
      color: theme.palette.text.primary,
      transition: theme.transitions.create("box-shadow")
    },
    rounded: {
      borderRadius: theme.shape.borderRadius
    },
    outlined: {
      border: "1px solid ".concat(theme.palette.divider)
    }
  }, elevations);
};
var Paper = /* @__PURE__ */ React$8.forwardRef(function Paper2(props, ref2) {
  var classes = props.classes, className = props.className, _props$component = props.component, Component2 = _props$component === void 0 ? "div" : _props$component, _props$square = props.square, square = _props$square === void 0 ? false : _props$square, _props$elevation = props.elevation, elevation = _props$elevation === void 0 ? 1 : _props$elevation, _props$variant = props.variant, variant = _props$variant === void 0 ? "elevation" : _props$variant, other = _objectWithoutProperties$2(props, ["classes", "className", "component", "square", "elevation", "variant"]);
  return /* @__PURE__ */ React$8.createElement(Component2, _extends$5({
    className: clsx(classes.root, className, variant === "outlined" ? classes.outlined : classes["elevation".concat(elevation)], !square && classes.rounded),
    ref: ref2
  }, other));
});
var Paper$1 = withStyles2(styles$7, {
  name: "MuiPaper"
})(Paper);
/**!
 * @fileOverview Kickass library to create and place poppers near their reference elements.
 * @version 1.16.1-lts
 * @license
 * Copyright (c) 2016 Federico Zivolo and contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
var isBrowser = typeof window !== "undefined" && typeof document !== "undefined" && typeof navigator !== "undefined";
var timeoutDuration = function() {
  var longerTimeoutBrowsers = ["Edge", "Trident", "Firefox"];
  for (var i = 0; i < longerTimeoutBrowsers.length; i += 1) {
    if (isBrowser && navigator.userAgent.indexOf(longerTimeoutBrowsers[i]) >= 0) {
      return 1;
    }
  }
  return 0;
}();
function microtaskDebounce(fn) {
  var called = false;
  return function() {
    if (called) {
      return;
    }
    called = true;
    window.Promise.resolve().then(function() {
      called = false;
      fn();
    });
  };
}
function taskDebounce(fn) {
  var scheduled = false;
  return function() {
    if (!scheduled) {
      scheduled = true;
      setTimeout(function() {
        scheduled = false;
        fn();
      }, timeoutDuration);
    }
  };
}
var supportsMicroTasks = isBrowser && window.Promise;
var debounce$1 = supportsMicroTasks ? microtaskDebounce : taskDebounce;
function isFunction$4(functionToCheck) {
  var getType = {};
  return functionToCheck && getType.toString.call(functionToCheck) === "[object Function]";
}
function getStyleComputedProperty(element, property) {
  if (element.nodeType !== 1) {
    return [];
  }
  var window2 = element.ownerDocument.defaultView;
  var css2 = window2.getComputedStyle(element, null);
  return property ? css2[property] : css2;
}
function getParentNode(element) {
  if (element.nodeName === "HTML") {
    return element;
  }
  return element.parentNode || element.host;
}
function getScrollParent(element) {
  if (!element) {
    return document.body;
  }
  switch (element.nodeName) {
    case "HTML":
    case "BODY":
      return element.ownerDocument.body;
    case "#document":
      return element.body;
  }
  var _getStyleComputedProp = getStyleComputedProperty(element), overflow = _getStyleComputedProp.overflow, overflowX = _getStyleComputedProp.overflowX, overflowY = _getStyleComputedProp.overflowY;
  if (/(auto|scroll|overlay)/.test(overflow + overflowY + overflowX)) {
    return element;
  }
  return getScrollParent(getParentNode(element));
}
function getReferenceNode(reference) {
  return reference && reference.referenceNode ? reference.referenceNode : reference;
}
var isIE11 = isBrowser && !!(window.MSInputMethodContext && document.documentMode);
var isIE10 = isBrowser && /MSIE 10/.test(navigator.userAgent);
function isIE(version2) {
  if (version2 === 11) {
    return isIE11;
  }
  if (version2 === 10) {
    return isIE10;
  }
  return isIE11 || isIE10;
}
function getOffsetParent(element) {
  if (!element) {
    return document.documentElement;
  }
  var noOffsetParent = isIE(10) ? document.body : null;
  var offsetParent2 = element.offsetParent || null;
  while (offsetParent2 === noOffsetParent && element.nextElementSibling) {
    offsetParent2 = (element = element.nextElementSibling).offsetParent;
  }
  var nodeName = offsetParent2 && offsetParent2.nodeName;
  if (!nodeName || nodeName === "BODY" || nodeName === "HTML") {
    return element ? element.ownerDocument.documentElement : document.documentElement;
  }
  if (["TH", "TD", "TABLE"].indexOf(offsetParent2.nodeName) !== -1 && getStyleComputedProperty(offsetParent2, "position") === "static") {
    return getOffsetParent(offsetParent2);
  }
  return offsetParent2;
}
function isOffsetContainer(element) {
  var nodeName = element.nodeName;
  if (nodeName === "BODY") {
    return false;
  }
  return nodeName === "HTML" || getOffsetParent(element.firstElementChild) === element;
}
function getRoot(node) {
  if (node.parentNode !== null) {
    return getRoot(node.parentNode);
  }
  return node;
}
function findCommonOffsetParent(element1, element2) {
  if (!element1 || !element1.nodeType || !element2 || !element2.nodeType) {
    return document.documentElement;
  }
  var order = element1.compareDocumentPosition(element2) & Node.DOCUMENT_POSITION_FOLLOWING;
  var start = order ? element1 : element2;
  var end = order ? element2 : element1;
  var range2 = document.createRange();
  range2.setStart(start, 0);
  range2.setEnd(end, 0);
  var commonAncestorContainer = range2.commonAncestorContainer;
  if (element1 !== commonAncestorContainer && element2 !== commonAncestorContainer || start.contains(end)) {
    if (isOffsetContainer(commonAncestorContainer)) {
      return commonAncestorContainer;
    }
    return getOffsetParent(commonAncestorContainer);
  }
  var element1root = getRoot(element1);
  if (element1root.host) {
    return findCommonOffsetParent(element1root.host, element2);
  } else {
    return findCommonOffsetParent(element1, getRoot(element2).host);
  }
}
function getScroll(element) {
  var side = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : "top";
  var upperSide = side === "top" ? "scrollTop" : "scrollLeft";
  var nodeName = element.nodeName;
  if (nodeName === "BODY" || nodeName === "HTML") {
    var html = element.ownerDocument.documentElement;
    var scrollingElement = element.ownerDocument.scrollingElement || html;
    return scrollingElement[upperSide];
  }
  return element[upperSide];
}
function includeScroll(rect, element) {
  var subtract = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : false;
  var scrollTop = getScroll(element, "top");
  var scrollLeft = getScroll(element, "left");
  var modifier = subtract ? -1 : 1;
  rect.top += scrollTop * modifier;
  rect.bottom += scrollTop * modifier;
  rect.left += scrollLeft * modifier;
  rect.right += scrollLeft * modifier;
  return rect;
}
function getBordersSize(styles12, axis) {
  var sideA = axis === "x" ? "Left" : "Top";
  var sideB = sideA === "Left" ? "Right" : "Bottom";
  return parseFloat(styles12["border" + sideA + "Width"]) + parseFloat(styles12["border" + sideB + "Width"]);
}
function getSize(axis, body, html, computedStyle) {
  return Math.max(body["offset" + axis], body["scroll" + axis], html["client" + axis], html["offset" + axis], html["scroll" + axis], isIE(10) ? parseInt(html["offset" + axis]) + parseInt(computedStyle["margin" + (axis === "Height" ? "Top" : "Left")]) + parseInt(computedStyle["margin" + (axis === "Height" ? "Bottom" : "Right")]) : 0);
}
function getWindowSizes(document2) {
  var body = document2.body;
  var html = document2.documentElement;
  var computedStyle = isIE(10) && getComputedStyle(html);
  return {
    height: getSize("Height", body, html, computedStyle),
    width: getSize("Width", body, html, computedStyle)
  };
}
var classCallCheck = function(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
};
var createClass = function() {
  function defineProperties(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor)
        descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }
  return function(Constructor, protoProps, staticProps) {
    if (protoProps)
      defineProperties(Constructor.prototype, protoProps);
    if (staticProps)
      defineProperties(Constructor, staticProps);
    return Constructor;
  };
}();
var defineProperty$3 = function(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }
  return obj;
};
var _extends$4 = Object.assign || function(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i];
    for (var key in source) {
      if (Object.prototype.hasOwnProperty.call(source, key)) {
        target[key] = source[key];
      }
    }
  }
  return target;
};
function getClientRect(offsets) {
  return _extends$4({}, offsets, {
    right: offsets.left + offsets.width,
    bottom: offsets.top + offsets.height
  });
}
function getBoundingClientRect(element) {
  var rect = {};
  try {
    if (isIE(10)) {
      rect = element.getBoundingClientRect();
      var scrollTop = getScroll(element, "top");
      var scrollLeft = getScroll(element, "left");
      rect.top += scrollTop;
      rect.left += scrollLeft;
      rect.bottom += scrollTop;
      rect.right += scrollLeft;
    } else {
      rect = element.getBoundingClientRect();
    }
  } catch (e2) {
  }
  var result = {
    left: rect.left,
    top: rect.top,
    width: rect.right - rect.left,
    height: rect.bottom - rect.top
  };
  var sizes = element.nodeName === "HTML" ? getWindowSizes(element.ownerDocument) : {};
  var width = sizes.width || element.clientWidth || result.width;
  var height = sizes.height || element.clientHeight || result.height;
  var horizScrollbar = element.offsetWidth - width;
  var vertScrollbar = element.offsetHeight - height;
  if (horizScrollbar || vertScrollbar) {
    var styles12 = getStyleComputedProperty(element);
    horizScrollbar -= getBordersSize(styles12, "x");
    vertScrollbar -= getBordersSize(styles12, "y");
    result.width -= horizScrollbar;
    result.height -= vertScrollbar;
  }
  return getClientRect(result);
}
function getOffsetRectRelativeToArbitraryNode(children2, parent) {
  var fixedPosition = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : false;
  var isIE102 = isIE(10);
  var isHTML = parent.nodeName === "HTML";
  var childrenRect = getBoundingClientRect(children2);
  var parentRect = getBoundingClientRect(parent);
  var scrollParent = getScrollParent(children2);
  var styles12 = getStyleComputedProperty(parent);
  var borderTopWidth = parseFloat(styles12.borderTopWidth);
  var borderLeftWidth = parseFloat(styles12.borderLeftWidth);
  if (fixedPosition && isHTML) {
    parentRect.top = Math.max(parentRect.top, 0);
    parentRect.left = Math.max(parentRect.left, 0);
  }
  var offsets = getClientRect({
    top: childrenRect.top - parentRect.top - borderTopWidth,
    left: childrenRect.left - parentRect.left - borderLeftWidth,
    width: childrenRect.width,
    height: childrenRect.height
  });
  offsets.marginTop = 0;
  offsets.marginLeft = 0;
  if (!isIE102 && isHTML) {
    var marginTop = parseFloat(styles12.marginTop);
    var marginLeft = parseFloat(styles12.marginLeft);
    offsets.top -= borderTopWidth - marginTop;
    offsets.bottom -= borderTopWidth - marginTop;
    offsets.left -= borderLeftWidth - marginLeft;
    offsets.right -= borderLeftWidth - marginLeft;
    offsets.marginTop = marginTop;
    offsets.marginLeft = marginLeft;
  }
  if (isIE102 && !fixedPosition ? parent.contains(scrollParent) : parent === scrollParent && scrollParent.nodeName !== "BODY") {
    offsets = includeScroll(offsets, parent);
  }
  return offsets;
}
function getViewportOffsetRectRelativeToArtbitraryNode(element) {
  var excludeScroll = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : false;
  var html = element.ownerDocument.documentElement;
  var relativeOffset = getOffsetRectRelativeToArbitraryNode(element, html);
  var width = Math.max(html.clientWidth, window.innerWidth || 0);
  var height = Math.max(html.clientHeight, window.innerHeight || 0);
  var scrollTop = !excludeScroll ? getScroll(html) : 0;
  var scrollLeft = !excludeScroll ? getScroll(html, "left") : 0;
  var offset5 = {
    top: scrollTop - relativeOffset.top + relativeOffset.marginTop,
    left: scrollLeft - relativeOffset.left + relativeOffset.marginLeft,
    width,
    height
  };
  return getClientRect(offset5);
}
function isFixed(element) {
  var nodeName = element.nodeName;
  if (nodeName === "BODY" || nodeName === "HTML") {
    return false;
  }
  if (getStyleComputedProperty(element, "position") === "fixed") {
    return true;
  }
  var parentNode = getParentNode(element);
  if (!parentNode) {
    return false;
  }
  return isFixed(parentNode);
}
function getFixedPositionOffsetParent(element) {
  if (!element || !element.parentElement || isIE()) {
    return document.documentElement;
  }
  var el2 = element.parentElement;
  while (el2 && getStyleComputedProperty(el2, "transform") === "none") {
    el2 = el2.parentElement;
  }
  return el2 || document.documentElement;
}
function getBoundaries(popper, reference, padding2, boundariesElement) {
  var fixedPosition = arguments.length > 4 && arguments[4] !== void 0 ? arguments[4] : false;
  var boundaries = { top: 0, left: 0 };
  var offsetParent2 = fixedPosition ? getFixedPositionOffsetParent(popper) : findCommonOffsetParent(popper, getReferenceNode(reference));
  if (boundariesElement === "viewport") {
    boundaries = getViewportOffsetRectRelativeToArtbitraryNode(offsetParent2, fixedPosition);
  } else {
    var boundariesNode = void 0;
    if (boundariesElement === "scrollParent") {
      boundariesNode = getScrollParent(getParentNode(reference));
      if (boundariesNode.nodeName === "BODY") {
        boundariesNode = popper.ownerDocument.documentElement;
      }
    } else if (boundariesElement === "window") {
      boundariesNode = popper.ownerDocument.documentElement;
    } else {
      boundariesNode = boundariesElement;
    }
    var offsets = getOffsetRectRelativeToArbitraryNode(boundariesNode, offsetParent2, fixedPosition);
    if (boundariesNode.nodeName === "HTML" && !isFixed(offsetParent2)) {
      var _getWindowSizes = getWindowSizes(popper.ownerDocument), height = _getWindowSizes.height, width = _getWindowSizes.width;
      boundaries.top += offsets.top - offsets.marginTop;
      boundaries.bottom = height + offsets.top;
      boundaries.left += offsets.left - offsets.marginLeft;
      boundaries.right = width + offsets.left;
    } else {
      boundaries = offsets;
    }
  }
  padding2 = padding2 || 0;
  var isPaddingNumber = typeof padding2 === "number";
  boundaries.left += isPaddingNumber ? padding2 : padding2.left || 0;
  boundaries.top += isPaddingNumber ? padding2 : padding2.top || 0;
  boundaries.right -= isPaddingNumber ? padding2 : padding2.right || 0;
  boundaries.bottom -= isPaddingNumber ? padding2 : padding2.bottom || 0;
  return boundaries;
}
function getArea(_ref) {
  var width = _ref.width, height = _ref.height;
  return width * height;
}
function computeAutoPlacement(placement, refRect, popper, reference, boundariesElement) {
  var padding2 = arguments.length > 5 && arguments[5] !== void 0 ? arguments[5] : 0;
  if (placement.indexOf("auto") === -1) {
    return placement;
  }
  var boundaries = getBoundaries(popper, reference, padding2, boundariesElement);
  var rects = {
    top: {
      width: boundaries.width,
      height: refRect.top - boundaries.top
    },
    right: {
      width: boundaries.right - refRect.right,
      height: boundaries.height
    },
    bottom: {
      width: boundaries.width,
      height: boundaries.bottom - refRect.bottom
    },
    left: {
      width: refRect.left - boundaries.left,
      height: boundaries.height
    }
  };
  var sortedAreas = Object.keys(rects).map(function(key) {
    return _extends$4({
      key
    }, rects[key], {
      area: getArea(rects[key])
    });
  }).sort(function(a, b2) {
    return b2.area - a.area;
  });
  var filteredAreas = sortedAreas.filter(function(_ref2) {
    var width = _ref2.width, height = _ref2.height;
    return width >= popper.clientWidth && height >= popper.clientHeight;
  });
  var computedPlacement = filteredAreas.length > 0 ? filteredAreas[0].key : sortedAreas[0].key;
  var variation = placement.split("-")[1];
  return computedPlacement + (variation ? "-" + variation : "");
}
function getReferenceOffsets(state, popper, reference) {
  var fixedPosition = arguments.length > 3 && arguments[3] !== void 0 ? arguments[3] : null;
  var commonOffsetParent = fixedPosition ? getFixedPositionOffsetParent(popper) : findCommonOffsetParent(popper, getReferenceNode(reference));
  return getOffsetRectRelativeToArbitraryNode(reference, commonOffsetParent, fixedPosition);
}
function getOuterSizes(element) {
  var window2 = element.ownerDocument.defaultView;
  var styles12 = window2.getComputedStyle(element);
  var x2 = parseFloat(styles12.marginTop || 0) + parseFloat(styles12.marginBottom || 0);
  var y2 = parseFloat(styles12.marginLeft || 0) + parseFloat(styles12.marginRight || 0);
  var result = {
    width: element.offsetWidth + y2,
    height: element.offsetHeight + x2
  };
  return result;
}
function getOppositePlacement(placement) {
  var hash = { left: "right", right: "left", bottom: "top", top: "bottom" };
  return placement.replace(/left|right|bottom|top/g, function(matched) {
    return hash[matched];
  });
}
function getPopperOffsets(popper, referenceOffsets, placement) {
  placement = placement.split("-")[0];
  var popperRect = getOuterSizes(popper);
  var popperOffsets = {
    width: popperRect.width,
    height: popperRect.height
  };
  var isHoriz = ["right", "left"].indexOf(placement) !== -1;
  var mainSide = isHoriz ? "top" : "left";
  var secondarySide = isHoriz ? "left" : "top";
  var measurement = isHoriz ? "height" : "width";
  var secondaryMeasurement = !isHoriz ? "height" : "width";
  popperOffsets[mainSide] = referenceOffsets[mainSide] + referenceOffsets[measurement] / 2 - popperRect[measurement] / 2;
  if (placement === secondarySide) {
    popperOffsets[secondarySide] = referenceOffsets[secondarySide] - popperRect[secondaryMeasurement];
  } else {
    popperOffsets[secondarySide] = referenceOffsets[getOppositePlacement(secondarySide)];
  }
  return popperOffsets;
}
function find(arr, check) {
  if (Array.prototype.find) {
    return arr.find(check);
  }
  return arr.filter(check)[0];
}
function findIndex(arr, prop, value) {
  if (Array.prototype.findIndex) {
    return arr.findIndex(function(cur) {
      return cur[prop] === value;
    });
  }
  var match = find(arr, function(obj) {
    return obj[prop] === value;
  });
  return arr.indexOf(match);
}
function runModifiers(modifiers2, data2, ends) {
  var modifiersToRun = ends === void 0 ? modifiers2 : modifiers2.slice(0, findIndex(modifiers2, "name", ends));
  modifiersToRun.forEach(function(modifier) {
    if (modifier["function"]) {
      console.warn("`modifier.function` is deprecated, use `modifier.fn`!");
    }
    var fn = modifier["function"] || modifier.fn;
    if (modifier.enabled && isFunction$4(fn)) {
      data2.offsets.popper = getClientRect(data2.offsets.popper);
      data2.offsets.reference = getClientRect(data2.offsets.reference);
      data2 = fn(data2, modifier);
    }
  });
  return data2;
}
function update() {
  if (this.state.isDestroyed) {
    return;
  }
  var data2 = {
    instance: this,
    styles: {},
    arrowStyles: {},
    attributes: {},
    flipped: false,
    offsets: {}
  };
  data2.offsets.reference = getReferenceOffsets(this.state, this.popper, this.reference, this.options.positionFixed);
  data2.placement = computeAutoPlacement(this.options.placement, data2.offsets.reference, this.popper, this.reference, this.options.modifiers.flip.boundariesElement, this.options.modifiers.flip.padding);
  data2.originalPlacement = data2.placement;
  data2.positionFixed = this.options.positionFixed;
  data2.offsets.popper = getPopperOffsets(this.popper, data2.offsets.reference, data2.placement);
  data2.offsets.popper.position = this.options.positionFixed ? "fixed" : "absolute";
  data2 = runModifiers(this.modifiers, data2);
  if (!this.state.isCreated) {
    this.state.isCreated = true;
    this.options.onCreate(data2);
  } else {
    this.options.onUpdate(data2);
  }
}
function isModifierEnabled(modifiers2, modifierName) {
  return modifiers2.some(function(_ref) {
    var name2 = _ref.name, enabled = _ref.enabled;
    return enabled && name2 === modifierName;
  });
}
function getSupportedPropertyName(property) {
  var prefixes2 = [false, "ms", "Webkit", "Moz", "O"];
  var upperProp = property.charAt(0).toUpperCase() + property.slice(1);
  for (var i = 0; i < prefixes2.length; i++) {
    var prefix2 = prefixes2[i];
    var toCheck = prefix2 ? "" + prefix2 + upperProp : property;
    if (typeof document.body.style[toCheck] !== "undefined") {
      return toCheck;
    }
  }
  return null;
}
function destroy() {
  this.state.isDestroyed = true;
  if (isModifierEnabled(this.modifiers, "applyStyle")) {
    this.popper.removeAttribute("x-placement");
    this.popper.style.position = "";
    this.popper.style.top = "";
    this.popper.style.left = "";
    this.popper.style.right = "";
    this.popper.style.bottom = "";
    this.popper.style.willChange = "";
    this.popper.style[getSupportedPropertyName("transform")] = "";
  }
  this.disableEventListeners();
  if (this.options.removeOnDestroy) {
    this.popper.parentNode.removeChild(this.popper);
  }
  return this;
}
function getWindow(element) {
  var ownerDocument2 = element.ownerDocument;
  return ownerDocument2 ? ownerDocument2.defaultView : window;
}
function attachToScrollParents(scrollParent, event, callback, scrollParents) {
  var isBody = scrollParent.nodeName === "BODY";
  var target = isBody ? scrollParent.ownerDocument.defaultView : scrollParent;
  target.addEventListener(event, callback, { passive: true });
  if (!isBody) {
    attachToScrollParents(getScrollParent(target.parentNode), event, callback, scrollParents);
  }
  scrollParents.push(target);
}
function setupEventListeners(reference, options, state, updateBound) {
  state.updateBound = updateBound;
  getWindow(reference).addEventListener("resize", state.updateBound, { passive: true });
  var scrollElement = getScrollParent(reference);
  attachToScrollParents(scrollElement, "scroll", state.updateBound, state.scrollParents);
  state.scrollElement = scrollElement;
  state.eventsEnabled = true;
  return state;
}
function enableEventListeners() {
  if (!this.state.eventsEnabled) {
    this.state = setupEventListeners(this.reference, this.options, this.state, this.scheduleUpdate);
  }
}
function removeEventListeners(reference, state) {
  getWindow(reference).removeEventListener("resize", state.updateBound);
  state.scrollParents.forEach(function(target) {
    target.removeEventListener("scroll", state.updateBound);
  });
  state.updateBound = null;
  state.scrollParents = [];
  state.scrollElement = null;
  state.eventsEnabled = false;
  return state;
}
function disableEventListeners() {
  if (this.state.eventsEnabled) {
    cancelAnimationFrame(this.scheduleUpdate);
    this.state = removeEventListeners(this.reference, this.state);
  }
}
function isNumeric(n2) {
  return n2 !== "" && !isNaN(parseFloat(n2)) && isFinite(n2);
}
function setStyles(element, styles12) {
  Object.keys(styles12).forEach(function(prop) {
    var unit = "";
    if (["width", "height", "top", "right", "bottom", "left"].indexOf(prop) !== -1 && isNumeric(styles12[prop])) {
      unit = "px";
    }
    element.style[prop] = styles12[prop] + unit;
  });
}
function setAttributes(element, attributes) {
  Object.keys(attributes).forEach(function(prop) {
    var value = attributes[prop];
    if (value !== false) {
      element.setAttribute(prop, attributes[prop]);
    } else {
      element.removeAttribute(prop);
    }
  });
}
function applyStyle(data2) {
  setStyles(data2.instance.popper, data2.styles);
  setAttributes(data2.instance.popper, data2.attributes);
  if (data2.arrowElement && Object.keys(data2.arrowStyles).length) {
    setStyles(data2.arrowElement, data2.arrowStyles);
  }
  return data2;
}
function applyStyleOnLoad(reference, popper, options, modifierOptions, state) {
  var referenceOffsets = getReferenceOffsets(state, popper, reference, options.positionFixed);
  var placement = computeAutoPlacement(options.placement, referenceOffsets, popper, reference, options.modifiers.flip.boundariesElement, options.modifiers.flip.padding);
  popper.setAttribute("x-placement", placement);
  setStyles(popper, { position: options.positionFixed ? "fixed" : "absolute" });
  return options;
}
function getRoundedOffsets(data2, shouldRound) {
  var _data$offsets = data2.offsets, popper = _data$offsets.popper, reference = _data$offsets.reference;
  var round2 = Math.round, floor = Math.floor;
  var noRound = function noRound2(v2) {
    return v2;
  };
  var referenceWidth = round2(reference.width);
  var popperWidth = round2(popper.width);
  var isVertical = ["left", "right"].indexOf(data2.placement) !== -1;
  var isVariation = data2.placement.indexOf("-") !== -1;
  var sameWidthParity = referenceWidth % 2 === popperWidth % 2;
  var bothOddWidth = referenceWidth % 2 === 1 && popperWidth % 2 === 1;
  var horizontalToInteger = !shouldRound ? noRound : isVertical || isVariation || sameWidthParity ? round2 : floor;
  var verticalToInteger = !shouldRound ? noRound : round2;
  return {
    left: horizontalToInteger(bothOddWidth && !isVariation && shouldRound ? popper.left - 1 : popper.left),
    top: verticalToInteger(popper.top),
    bottom: verticalToInteger(popper.bottom),
    right: horizontalToInteger(popper.right)
  };
}
var isFirefox$1 = isBrowser && /Firefox/i.test(navigator.userAgent);
function computeStyle(data2, options) {
  var x2 = options.x, y2 = options.y;
  var popper = data2.offsets.popper;
  var legacyGpuAccelerationOption = find(data2.instance.modifiers, function(modifier) {
    return modifier.name === "applyStyle";
  }).gpuAcceleration;
  if (legacyGpuAccelerationOption !== void 0) {
    console.warn("WARNING: `gpuAcceleration` option moved to `computeStyle` modifier and will not be supported in future versions of Popper.js!");
  }
  var gpuAcceleration = legacyGpuAccelerationOption !== void 0 ? legacyGpuAccelerationOption : options.gpuAcceleration;
  var offsetParent2 = getOffsetParent(data2.instance.popper);
  var offsetParentRect = getBoundingClientRect(offsetParent2);
  var styles12 = {
    position: popper.position
  };
  var offsets = getRoundedOffsets(data2, window.devicePixelRatio < 2 || !isFirefox$1);
  var sideA = x2 === "bottom" ? "top" : "bottom";
  var sideB = y2 === "right" ? "left" : "right";
  var prefixedProperty = getSupportedPropertyName("transform");
  var left = void 0, top = void 0;
  if (sideA === "bottom") {
    if (offsetParent2.nodeName === "HTML") {
      top = -offsetParent2.clientHeight + offsets.bottom;
    } else {
      top = -offsetParentRect.height + offsets.bottom;
    }
  } else {
    top = offsets.top;
  }
  if (sideB === "right") {
    if (offsetParent2.nodeName === "HTML") {
      left = -offsetParent2.clientWidth + offsets.right;
    } else {
      left = -offsetParentRect.width + offsets.right;
    }
  } else {
    left = offsets.left;
  }
  if (gpuAcceleration && prefixedProperty) {
    styles12[prefixedProperty] = "translate3d(" + left + "px, " + top + "px, 0)";
    styles12[sideA] = 0;
    styles12[sideB] = 0;
    styles12.willChange = "transform";
  } else {
    var invertTop = sideA === "bottom" ? -1 : 1;
    var invertLeft = sideB === "right" ? -1 : 1;
    styles12[sideA] = top * invertTop;
    styles12[sideB] = left * invertLeft;
    styles12.willChange = sideA + ", " + sideB;
  }
  var attributes = {
    "x-placement": data2.placement
  };
  data2.attributes = _extends$4({}, attributes, data2.attributes);
  data2.styles = _extends$4({}, styles12, data2.styles);
  data2.arrowStyles = _extends$4({}, data2.offsets.arrow, data2.arrowStyles);
  return data2;
}
function isModifierRequired(modifiers2, requestingName, requestedName) {
  var requesting = find(modifiers2, function(_ref) {
    var name2 = _ref.name;
    return name2 === requestingName;
  });
  var isRequired = !!requesting && modifiers2.some(function(modifier) {
    return modifier.name === requestedName && modifier.enabled && modifier.order < requesting.order;
  });
  if (!isRequired) {
    var _requesting = "`" + requestingName + "`";
    var requested = "`" + requestedName + "`";
    console.warn(requested + " modifier is required by " + _requesting + " modifier in order to work, be sure to include it before " + _requesting + "!");
  }
  return isRequired;
}
function arrow(data2, options) {
  var _data$offsets$arrow;
  if (!isModifierRequired(data2.instance.modifiers, "arrow", "keepTogether")) {
    return data2;
  }
  var arrowElement = options.element;
  if (typeof arrowElement === "string") {
    arrowElement = data2.instance.popper.querySelector(arrowElement);
    if (!arrowElement) {
      return data2;
    }
  } else {
    if (!data2.instance.popper.contains(arrowElement)) {
      console.warn("WARNING: `arrow.element` must be child of its popper element!");
      return data2;
    }
  }
  var placement = data2.placement.split("-")[0];
  var _data$offsets = data2.offsets, popper = _data$offsets.popper, reference = _data$offsets.reference;
  var isVertical = ["left", "right"].indexOf(placement) !== -1;
  var len = isVertical ? "height" : "width";
  var sideCapitalized = isVertical ? "Top" : "Left";
  var side = sideCapitalized.toLowerCase();
  var altSide = isVertical ? "left" : "top";
  var opSide = isVertical ? "bottom" : "right";
  var arrowElementSize = getOuterSizes(arrowElement)[len];
  if (reference[opSide] - arrowElementSize < popper[side]) {
    data2.offsets.popper[side] -= popper[side] - (reference[opSide] - arrowElementSize);
  }
  if (reference[side] + arrowElementSize > popper[opSide]) {
    data2.offsets.popper[side] += reference[side] + arrowElementSize - popper[opSide];
  }
  data2.offsets.popper = getClientRect(data2.offsets.popper);
  var center = reference[side] + reference[len] / 2 - arrowElementSize / 2;
  var css2 = getStyleComputedProperty(data2.instance.popper);
  var popperMarginSide = parseFloat(css2["margin" + sideCapitalized]);
  var popperBorderSide = parseFloat(css2["border" + sideCapitalized + "Width"]);
  var sideValue = center - data2.offsets.popper[side] - popperMarginSide - popperBorderSide;
  sideValue = Math.max(Math.min(popper[len] - arrowElementSize, sideValue), 0);
  data2.arrowElement = arrowElement;
  data2.offsets.arrow = (_data$offsets$arrow = {}, defineProperty$3(_data$offsets$arrow, side, Math.round(sideValue)), defineProperty$3(_data$offsets$arrow, altSide, ""), _data$offsets$arrow);
  return data2;
}
function getOppositeVariation(variation) {
  if (variation === "end") {
    return "start";
  } else if (variation === "start") {
    return "end";
  }
  return variation;
}
var placements = ["auto-start", "auto", "auto-end", "top-start", "top", "top-end", "right-start", "right", "right-end", "bottom-end", "bottom", "bottom-start", "left-end", "left", "left-start"];
var validPlacements = placements.slice(3);
function clockwise(placement) {
  var counter = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : false;
  var index2 = validPlacements.indexOf(placement);
  var arr = validPlacements.slice(index2 + 1).concat(validPlacements.slice(0, index2));
  return counter ? arr.reverse() : arr;
}
var BEHAVIORS = {
  FLIP: "flip",
  CLOCKWISE: "clockwise",
  COUNTERCLOCKWISE: "counterclockwise"
};
function flip(data2, options) {
  if (isModifierEnabled(data2.instance.modifiers, "inner")) {
    return data2;
  }
  if (data2.flipped && data2.placement === data2.originalPlacement) {
    return data2;
  }
  var boundaries = getBoundaries(data2.instance.popper, data2.instance.reference, options.padding, options.boundariesElement, data2.positionFixed);
  var placement = data2.placement.split("-")[0];
  var placementOpposite = getOppositePlacement(placement);
  var variation = data2.placement.split("-")[1] || "";
  var flipOrder = [];
  switch (options.behavior) {
    case BEHAVIORS.FLIP:
      flipOrder = [placement, placementOpposite];
      break;
    case BEHAVIORS.CLOCKWISE:
      flipOrder = clockwise(placement);
      break;
    case BEHAVIORS.COUNTERCLOCKWISE:
      flipOrder = clockwise(placement, true);
      break;
    default:
      flipOrder = options.behavior;
  }
  flipOrder.forEach(function(step, index2) {
    if (placement !== step || flipOrder.length === index2 + 1) {
      return data2;
    }
    placement = data2.placement.split("-")[0];
    placementOpposite = getOppositePlacement(placement);
    var popperOffsets = data2.offsets.popper;
    var refOffsets = data2.offsets.reference;
    var floor = Math.floor;
    var overlapsRef = placement === "left" && floor(popperOffsets.right) > floor(refOffsets.left) || placement === "right" && floor(popperOffsets.left) < floor(refOffsets.right) || placement === "top" && floor(popperOffsets.bottom) > floor(refOffsets.top) || placement === "bottom" && floor(popperOffsets.top) < floor(refOffsets.bottom);
    var overflowsLeft = floor(popperOffsets.left) < floor(boundaries.left);
    var overflowsRight = floor(popperOffsets.right) > floor(boundaries.right);
    var overflowsTop = floor(popperOffsets.top) < floor(boundaries.top);
    var overflowsBottom = floor(popperOffsets.bottom) > floor(boundaries.bottom);
    var overflowsBoundaries = placement === "left" && overflowsLeft || placement === "right" && overflowsRight || placement === "top" && overflowsTop || placement === "bottom" && overflowsBottom;
    var isVertical = ["top", "bottom"].indexOf(placement) !== -1;
    var flippedVariationByRef = !!options.flipVariations && (isVertical && variation === "start" && overflowsLeft || isVertical && variation === "end" && overflowsRight || !isVertical && variation === "start" && overflowsTop || !isVertical && variation === "end" && overflowsBottom);
    var flippedVariationByContent = !!options.flipVariationsByContent && (isVertical && variation === "start" && overflowsRight || isVertical && variation === "end" && overflowsLeft || !isVertical && variation === "start" && overflowsBottom || !isVertical && variation === "end" && overflowsTop);
    var flippedVariation = flippedVariationByRef || flippedVariationByContent;
    if (overlapsRef || overflowsBoundaries || flippedVariation) {
      data2.flipped = true;
      if (overlapsRef || overflowsBoundaries) {
        placement = flipOrder[index2 + 1];
      }
      if (flippedVariation) {
        variation = getOppositeVariation(variation);
      }
      data2.placement = placement + (variation ? "-" + variation : "");
      data2.offsets.popper = _extends$4({}, data2.offsets.popper, getPopperOffsets(data2.instance.popper, data2.offsets.reference, data2.placement));
      data2 = runModifiers(data2.instance.modifiers, data2, "flip");
    }
  });
  return data2;
}
function keepTogether(data2) {
  var _data$offsets = data2.offsets, popper = _data$offsets.popper, reference = _data$offsets.reference;
  var placement = data2.placement.split("-")[0];
  var floor = Math.floor;
  var isVertical = ["top", "bottom"].indexOf(placement) !== -1;
  var side = isVertical ? "right" : "bottom";
  var opSide = isVertical ? "left" : "top";
  var measurement = isVertical ? "width" : "height";
  if (popper[side] < floor(reference[opSide])) {
    data2.offsets.popper[opSide] = floor(reference[opSide]) - popper[measurement];
  }
  if (popper[opSide] > floor(reference[side])) {
    data2.offsets.popper[opSide] = floor(reference[side]);
  }
  return data2;
}
function toValue(str, measurement, popperOffsets, referenceOffsets) {
  var split = str.match(/((?:\-|\+)?\d*\.?\d*)(.*)/);
  var value = +split[1];
  var unit = split[2];
  if (!value) {
    return str;
  }
  if (unit.indexOf("%") === 0) {
    var element = void 0;
    switch (unit) {
      case "%p":
        element = popperOffsets;
        break;
      case "%":
      case "%r":
      default:
        element = referenceOffsets;
    }
    var rect = getClientRect(element);
    return rect[measurement] / 100 * value;
  } else if (unit === "vh" || unit === "vw") {
    var size = void 0;
    if (unit === "vh") {
      size = Math.max(document.documentElement.clientHeight, window.innerHeight || 0);
    } else {
      size = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
    }
    return size / 100 * value;
  } else {
    return value;
  }
}
function parseOffset(offset5, popperOffsets, referenceOffsets, basePlacement) {
  var offsets = [0, 0];
  var useHeight = ["right", "left"].indexOf(basePlacement) !== -1;
  var fragments = offset5.split(/(\+|\-)/).map(function(frag) {
    return frag.trim();
  });
  var divider = fragments.indexOf(find(fragments, function(frag) {
    return frag.search(/,|\s/) !== -1;
  }));
  if (fragments[divider] && fragments[divider].indexOf(",") === -1) {
    console.warn("Offsets separated by white space(s) are deprecated, use a comma (,) instead.");
  }
  var splitRegex = /\s*,\s*|\s+/;
  var ops = divider !== -1 ? [fragments.slice(0, divider).concat([fragments[divider].split(splitRegex)[0]]), [fragments[divider].split(splitRegex)[1]].concat(fragments.slice(divider + 1))] : [fragments];
  ops = ops.map(function(op, index2) {
    var measurement = (index2 === 1 ? !useHeight : useHeight) ? "height" : "width";
    var mergeWithPrevious = false;
    return op.reduce(function(a, b2) {
      if (a[a.length - 1] === "" && ["+", "-"].indexOf(b2) !== -1) {
        a[a.length - 1] = b2;
        mergeWithPrevious = true;
        return a;
      } else if (mergeWithPrevious) {
        a[a.length - 1] += b2;
        mergeWithPrevious = false;
        return a;
      } else {
        return a.concat(b2);
      }
    }, []).map(function(str) {
      return toValue(str, measurement, popperOffsets, referenceOffsets);
    });
  });
  ops.forEach(function(op, index2) {
    op.forEach(function(frag, index22) {
      if (isNumeric(frag)) {
        offsets[index2] += frag * (op[index22 - 1] === "-" ? -1 : 1);
      }
    });
  });
  return offsets;
}
function offset(data2, _ref) {
  var offset5 = _ref.offset;
  var placement = data2.placement, _data$offsets = data2.offsets, popper = _data$offsets.popper, reference = _data$offsets.reference;
  var basePlacement = placement.split("-")[0];
  var offsets = void 0;
  if (isNumeric(+offset5)) {
    offsets = [+offset5, 0];
  } else {
    offsets = parseOffset(offset5, popper, reference, basePlacement);
  }
  if (basePlacement === "left") {
    popper.top += offsets[0];
    popper.left -= offsets[1];
  } else if (basePlacement === "right") {
    popper.top += offsets[0];
    popper.left += offsets[1];
  } else if (basePlacement === "top") {
    popper.left += offsets[0];
    popper.top -= offsets[1];
  } else if (basePlacement === "bottom") {
    popper.left += offsets[0];
    popper.top += offsets[1];
  }
  data2.popper = popper;
  return data2;
}
function preventOverflow(data2, options) {
  var boundariesElement = options.boundariesElement || getOffsetParent(data2.instance.popper);
  if (data2.instance.reference === boundariesElement) {
    boundariesElement = getOffsetParent(boundariesElement);
  }
  var transformProp = getSupportedPropertyName("transform");
  var popperStyles = data2.instance.popper.style;
  var top = popperStyles.top, left = popperStyles.left, transform2 = popperStyles[transformProp];
  popperStyles.top = "";
  popperStyles.left = "";
  popperStyles[transformProp] = "";
  var boundaries = getBoundaries(data2.instance.popper, data2.instance.reference, options.padding, boundariesElement, data2.positionFixed);
  popperStyles.top = top;
  popperStyles.left = left;
  popperStyles[transformProp] = transform2;
  options.boundaries = boundaries;
  var order = options.priority;
  var popper = data2.offsets.popper;
  var check = {
    primary: function primary(placement) {
      var value = popper[placement];
      if (popper[placement] < boundaries[placement] && !options.escapeWithReference) {
        value = Math.max(popper[placement], boundaries[placement]);
      }
      return defineProperty$3({}, placement, value);
    },
    secondary: function secondary(placement) {
      var mainSide = placement === "right" ? "left" : "top";
      var value = popper[mainSide];
      if (popper[placement] > boundaries[placement] && !options.escapeWithReference) {
        value = Math.min(popper[mainSide], boundaries[placement] - (placement === "right" ? popper.width : popper.height));
      }
      return defineProperty$3({}, mainSide, value);
    }
  };
  order.forEach(function(placement) {
    var side = ["left", "top"].indexOf(placement) !== -1 ? "primary" : "secondary";
    popper = _extends$4({}, popper, check[side](placement));
  });
  data2.offsets.popper = popper;
  return data2;
}
function shift(data2) {
  var placement = data2.placement;
  var basePlacement = placement.split("-")[0];
  var shiftvariation = placement.split("-")[1];
  if (shiftvariation) {
    var _data$offsets = data2.offsets, reference = _data$offsets.reference, popper = _data$offsets.popper;
    var isVertical = ["bottom", "top"].indexOf(basePlacement) !== -1;
    var side = isVertical ? "left" : "top";
    var measurement = isVertical ? "width" : "height";
    var shiftOffsets = {
      start: defineProperty$3({}, side, reference[side]),
      end: defineProperty$3({}, side, reference[side] + reference[measurement] - popper[measurement])
    };
    data2.offsets.popper = _extends$4({}, popper, shiftOffsets[shiftvariation]);
  }
  return data2;
}
function hide(data2) {
  if (!isModifierRequired(data2.instance.modifiers, "hide", "preventOverflow")) {
    return data2;
  }
  var refRect = data2.offsets.reference;
  var bound = find(data2.instance.modifiers, function(modifier) {
    return modifier.name === "preventOverflow";
  }).boundaries;
  if (refRect.bottom < bound.top || refRect.left > bound.right || refRect.top > bound.bottom || refRect.right < bound.left) {
    if (data2.hide === true) {
      return data2;
    }
    data2.hide = true;
    data2.attributes["x-out-of-boundaries"] = "";
  } else {
    if (data2.hide === false) {
      return data2;
    }
    data2.hide = false;
    data2.attributes["x-out-of-boundaries"] = false;
  }
  return data2;
}
function inner(data2) {
  var placement = data2.placement;
  var basePlacement = placement.split("-")[0];
  var _data$offsets = data2.offsets, popper = _data$offsets.popper, reference = _data$offsets.reference;
  var isHoriz = ["left", "right"].indexOf(basePlacement) !== -1;
  var subtractLength = ["top", "left"].indexOf(basePlacement) === -1;
  popper[isHoriz ? "left" : "top"] = reference[basePlacement] - (subtractLength ? popper[isHoriz ? "width" : "height"] : 0);
  data2.placement = getOppositePlacement(placement);
  data2.offsets.popper = getClientRect(popper);
  return data2;
}
var modifiers = {
  shift: {
    order: 100,
    enabled: true,
    fn: shift
  },
  offset: {
    order: 200,
    enabled: true,
    fn: offset,
    offset: 0
  },
  preventOverflow: {
    order: 300,
    enabled: true,
    fn: preventOverflow,
    priority: ["left", "right", "top", "bottom"],
    padding: 5,
    boundariesElement: "scrollParent"
  },
  keepTogether: {
    order: 400,
    enabled: true,
    fn: keepTogether
  },
  arrow: {
    order: 500,
    enabled: true,
    fn: arrow,
    element: "[x-arrow]"
  },
  flip: {
    order: 600,
    enabled: true,
    fn: flip,
    behavior: "flip",
    padding: 5,
    boundariesElement: "viewport",
    flipVariations: false,
    flipVariationsByContent: false
  },
  inner: {
    order: 700,
    enabled: false,
    fn: inner
  },
  hide: {
    order: 800,
    enabled: true,
    fn: hide
  },
  computeStyle: {
    order: 850,
    enabled: true,
    fn: computeStyle,
    gpuAcceleration: true,
    x: "bottom",
    y: "right"
  },
  applyStyle: {
    order: 900,
    enabled: true,
    fn: applyStyle,
    onLoad: applyStyleOnLoad,
    gpuAcceleration: void 0
  }
};
var Defaults = {
  placement: "bottom",
  positionFixed: false,
  eventsEnabled: true,
  removeOnDestroy: false,
  onCreate: function onCreate() {
  },
  onUpdate: function onUpdate() {
  },
  modifiers
};
var Popper$2 = function() {
  function Popper3(reference, popper) {
    var _this = this;
    var options = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {};
    classCallCheck(this, Popper3);
    this.scheduleUpdate = function() {
      return requestAnimationFrame(_this.update);
    };
    this.update = debounce$1(this.update.bind(this));
    this.options = _extends$4({}, Popper3.Defaults, options);
    this.state = {
      isDestroyed: false,
      isCreated: false,
      scrollParents: []
    };
    this.reference = reference && reference.jquery ? reference[0] : reference;
    this.popper = popper && popper.jquery ? popper[0] : popper;
    this.options.modifiers = {};
    Object.keys(_extends$4({}, Popper3.Defaults.modifiers, options.modifiers)).forEach(function(name2) {
      _this.options.modifiers[name2] = _extends$4({}, Popper3.Defaults.modifiers[name2] || {}, options.modifiers ? options.modifiers[name2] : {});
    });
    this.modifiers = Object.keys(this.options.modifiers).map(function(name2) {
      return _extends$4({
        name: name2
      }, _this.options.modifiers[name2]);
    }).sort(function(a, b2) {
      return a.order - b2.order;
    });
    this.modifiers.forEach(function(modifierOptions) {
      if (modifierOptions.enabled && isFunction$4(modifierOptions.onLoad)) {
        modifierOptions.onLoad(_this.reference, _this.popper, _this.options, modifierOptions, _this.state);
      }
    });
    this.update();
    var eventsEnabled = this.options.eventsEnabled;
    if (eventsEnabled) {
      this.enableEventListeners();
    }
    this.state.eventsEnabled = eventsEnabled;
  }
  createClass(Popper3, [{
    key: "update",
    value: function update$$1() {
      return update.call(this);
    }
  }, {
    key: "destroy",
    value: function destroy$$1() {
      return destroy.call(this);
    }
  }, {
    key: "enableEventListeners",
    value: function enableEventListeners$$1() {
      return enableEventListeners.call(this);
    }
  }, {
    key: "disableEventListeners",
    value: function disableEventListeners$$1() {
      return disableEventListeners.call(this);
    }
  }]);
  return Popper3;
}();
Popper$2.Utils = (typeof window !== "undefined" ? window : global).PopperUtils;
Popper$2.placements = placements;
Popper$2.Defaults = Defaults;
var PopperJs = Popper$2;
function getContainer(container) {
  container = typeof container === "function" ? container() : container;
  return ReactDOM.findDOMNode(container);
}
var useEnhancedEffect$2 = typeof window !== "undefined" ? React$8.useLayoutEffect : React$8.useEffect;
var Portal = /* @__PURE__ */ React$8.forwardRef(function Portal2(props, ref2) {
  var children2 = props.children, container = props.container, _props$disablePortal = props.disablePortal, disablePortal = _props$disablePortal === void 0 ? false : _props$disablePortal, onRendered = props.onRendered;
  var _React$useState = React$8.useState(null), mountNode = _React$useState[0], setMountNode = _React$useState[1];
  var handleRef = useForkRef(/* @__PURE__ */ React$8.isValidElement(children2) ? children2.ref : null, ref2);
  useEnhancedEffect$2(function() {
    if (!disablePortal) {
      setMountNode(getContainer(container) || document.body);
    }
  }, [container, disablePortal]);
  useEnhancedEffect$2(function() {
    if (mountNode && !disablePortal) {
      setRef(ref2, mountNode);
      return function() {
        setRef(ref2, null);
      };
    }
    return void 0;
  }, [ref2, mountNode, disablePortal]);
  useEnhancedEffect$2(function() {
    if (onRendered && (mountNode || disablePortal)) {
      onRendered();
    }
  }, [onRendered, mountNode, disablePortal]);
  if (disablePortal) {
    if (/* @__PURE__ */ React$8.isValidElement(children2)) {
      return /* @__PURE__ */ React$8.cloneElement(children2, {
        ref: handleRef
      });
    }
    return children2;
  }
  return mountNode ? /* @__PURE__ */ ReactDOM.createPortal(children2, mountNode) : mountNode;
});
var Portal$1 = Portal;
function flipPlacement(placement, theme) {
  var direction = theme && theme.direction || "ltr";
  if (direction === "ltr") {
    return placement;
  }
  switch (placement) {
    case "bottom-end":
      return "bottom-start";
    case "bottom-start":
      return "bottom-end";
    case "top-end":
      return "top-start";
    case "top-start":
      return "top-end";
    default:
      return placement;
  }
}
function getAnchorEl(anchorEl) {
  return typeof anchorEl === "function" ? anchorEl() : anchorEl;
}
var useEnhancedEffect$1 = typeof window !== "undefined" ? React$8.useLayoutEffect : React$8.useEffect;
var defaultPopperOptions = {};
var Popper = /* @__PURE__ */ React$8.forwardRef(function Popper2(props, ref2) {
  var anchorEl = props.anchorEl, children2 = props.children, container = props.container, _props$disablePortal = props.disablePortal, disablePortal = _props$disablePortal === void 0 ? false : _props$disablePortal, _props$keepMounted = props.keepMounted, keepMounted = _props$keepMounted === void 0 ? false : _props$keepMounted, modifiers2 = props.modifiers, open = props.open, _props$placement = props.placement, initialPlacement = _props$placement === void 0 ? "bottom" : _props$placement, _props$popperOptions = props.popperOptions, popperOptions = _props$popperOptions === void 0 ? defaultPopperOptions : _props$popperOptions, popperRefProp = props.popperRef, style = props.style, _props$transition = props.transition, transition2 = _props$transition === void 0 ? false : _props$transition, other = _objectWithoutProperties$2(props, ["anchorEl", "children", "container", "disablePortal", "keepMounted", "modifiers", "open", "placement", "popperOptions", "popperRef", "style", "transition"]);
  var tooltipRef = React$8.useRef(null);
  var ownRef = useForkRef(tooltipRef, ref2);
  var popperRef = React$8.useRef(null);
  var handlePopperRef = useForkRef(popperRef, popperRefProp);
  var handlePopperRefRef = React$8.useRef(handlePopperRef);
  useEnhancedEffect$1(function() {
    handlePopperRefRef.current = handlePopperRef;
  }, [handlePopperRef]);
  React$8.useImperativeHandle(popperRefProp, function() {
    return popperRef.current;
  }, []);
  var _React$useState = React$8.useState(true), exited = _React$useState[0], setExited = _React$useState[1];
  var theme = useTheme$1();
  var rtlPlacement = flipPlacement(initialPlacement, theme);
  var _React$useState2 = React$8.useState(rtlPlacement), placement = _React$useState2[0], setPlacement = _React$useState2[1];
  React$8.useEffect(function() {
    if (popperRef.current) {
      popperRef.current.update();
    }
  });
  var handleOpen = React$8.useCallback(function() {
    if (!tooltipRef.current || !anchorEl || !open) {
      return;
    }
    if (popperRef.current) {
      popperRef.current.destroy();
      handlePopperRefRef.current(null);
    }
    var handlePopperUpdate = function handlePopperUpdate2(data2) {
      setPlacement(data2.placement);
    };
    getAnchorEl(anchorEl);
    var popper = new PopperJs(getAnchorEl(anchorEl), tooltipRef.current, _extends$5({
      placement: rtlPlacement
    }, popperOptions, {
      modifiers: _extends$5({}, disablePortal ? {} : {
        preventOverflow: {
          boundariesElement: "window"
        }
      }, modifiers2, popperOptions.modifiers),
      onCreate: createChainedFunction(handlePopperUpdate, popperOptions.onCreate),
      onUpdate: createChainedFunction(handlePopperUpdate, popperOptions.onUpdate)
    }));
    handlePopperRefRef.current(popper);
  }, [anchorEl, disablePortal, modifiers2, open, rtlPlacement, popperOptions]);
  var handleRef = React$8.useCallback(function(node) {
    setRef(ownRef, node);
    handleOpen();
  }, [ownRef, handleOpen]);
  var handleEnter = function handleEnter2() {
    setExited(false);
  };
  var handleClose = function handleClose2() {
    if (!popperRef.current) {
      return;
    }
    popperRef.current.destroy();
    handlePopperRefRef.current(null);
  };
  var handleExited = function handleExited2() {
    setExited(true);
    handleClose();
  };
  React$8.useEffect(function() {
    return function() {
      handleClose();
    };
  }, []);
  React$8.useEffect(function() {
    if (!open && !transition2) {
      handleClose();
    }
  }, [open, transition2]);
  if (!keepMounted && !open && (!transition2 || exited)) {
    return null;
  }
  var childProps = {
    placement
  };
  if (transition2) {
    childProps.TransitionProps = {
      in: open,
      onEnter: handleEnter,
      onExited: handleExited
    };
  }
  return /* @__PURE__ */ React$8.createElement(Portal$1, {
    disablePortal,
    container
  }, /* @__PURE__ */ React$8.createElement("div", _extends$5({
    ref: handleRef,
    role: "tooltip"
  }, other, {
    style: _extends$5({
      position: "fixed",
      top: 0,
      left: 0,
      display: !open && keepMounted && !transition2 ? "none" : null
    }, style)
  }), typeof children2 === "function" ? children2(childProps) : children2));
});
var Popper$1 = Popper;
var styles$6 = {
  root: {
    listStyle: "none",
    margin: 0,
    padding: 0,
    position: "relative"
  },
  padding: {
    paddingTop: 8,
    paddingBottom: 8
  },
  dense: {},
  subheader: {
    paddingTop: 0
  }
};
var List = /* @__PURE__ */ React$8.forwardRef(function List2(props, ref2) {
  var children2 = props.children, classes = props.classes, className = props.className, _props$component = props.component, Component2 = _props$component === void 0 ? "ul" : _props$component, _props$dense = props.dense, dense = _props$dense === void 0 ? false : _props$dense, _props$disablePadding = props.disablePadding, disablePadding = _props$disablePadding === void 0 ? false : _props$disablePadding, subheader = props.subheader, other = _objectWithoutProperties$2(props, ["children", "classes", "className", "component", "dense", "disablePadding", "subheader"]);
  var context = React$8.useMemo(function() {
    return {
      dense
    };
  }, [dense]);
  return /* @__PURE__ */ React$8.createElement(ListContext$1.Provider, {
    value: context
  }, /* @__PURE__ */ React$8.createElement(Component2, _extends$5({
    className: clsx(classes.root, className, dense && classes.dense, !disablePadding && classes.padding, subheader && classes.subheader),
    ref: ref2
  }, other), subheader, children2));
});
var List$1 = withStyles2(styles$6, {
  name: "MuiList"
})(List);
function getScrollbarSize() {
  var scrollDiv = document.createElement("div");
  scrollDiv.style.width = "99px";
  scrollDiv.style.height = "99px";
  scrollDiv.style.position = "absolute";
  scrollDiv.style.top = "-9999px";
  scrollDiv.style.overflow = "scroll";
  document.body.appendChild(scrollDiv);
  var scrollbarSize = scrollDiv.offsetWidth - scrollDiv.clientWidth;
  document.body.removeChild(scrollDiv);
  return scrollbarSize;
}
function nextItem(list, item, disableListWrap) {
  if (list === item) {
    return list.firstChild;
  }
  if (item && item.nextElementSibling) {
    return item.nextElementSibling;
  }
  return disableListWrap ? null : list.firstChild;
}
function previousItem(list, item, disableListWrap) {
  if (list === item) {
    return disableListWrap ? list.firstChild : list.lastChild;
  }
  if (item && item.previousElementSibling) {
    return item.previousElementSibling;
  }
  return disableListWrap ? null : list.lastChild;
}
function textCriteriaMatches(nextFocus, textCriteria) {
  if (textCriteria === void 0) {
    return true;
  }
  var text = nextFocus.innerText;
  if (text === void 0) {
    text = nextFocus.textContent;
  }
  text = text.trim().toLowerCase();
  if (text.length === 0) {
    return false;
  }
  if (textCriteria.repeating) {
    return text[0] === textCriteria.keys[0];
  }
  return text.indexOf(textCriteria.keys.join("")) === 0;
}
function moveFocus(list, currentFocus, disableListWrap, disabledItemsFocusable, traversalFunction, textCriteria) {
  var wrappedOnce = false;
  var nextFocus = traversalFunction(list, currentFocus, currentFocus ? disableListWrap : false);
  while (nextFocus) {
    if (nextFocus === list.firstChild) {
      if (wrappedOnce) {
        return;
      }
      wrappedOnce = true;
    }
    var nextFocusDisabled = disabledItemsFocusable ? false : nextFocus.disabled || nextFocus.getAttribute("aria-disabled") === "true";
    if (!nextFocus.hasAttribute("tabindex") || !textCriteriaMatches(nextFocus, textCriteria) || nextFocusDisabled) {
      nextFocus = traversalFunction(list, nextFocus, disableListWrap);
    } else {
      nextFocus.focus();
      return;
    }
  }
}
var useEnhancedEffect = typeof window === "undefined" ? React$8.useEffect : React$8.useLayoutEffect;
var MenuList = /* @__PURE__ */ React$8.forwardRef(function MenuList2(props, ref2) {
  var actions = props.actions, _props$autoFocus = props.autoFocus, autoFocus = _props$autoFocus === void 0 ? false : _props$autoFocus, _props$autoFocusItem = props.autoFocusItem, autoFocusItem = _props$autoFocusItem === void 0 ? false : _props$autoFocusItem, children2 = props.children, className = props.className, _props$disabledItemsF = props.disabledItemsFocusable, disabledItemsFocusable = _props$disabledItemsF === void 0 ? false : _props$disabledItemsF, _props$disableListWra = props.disableListWrap, disableListWrap = _props$disableListWra === void 0 ? false : _props$disableListWra, onKeyDown = props.onKeyDown, _props$variant = props.variant, variant = _props$variant === void 0 ? "selectedMenu" : _props$variant, other = _objectWithoutProperties$2(props, ["actions", "autoFocus", "autoFocusItem", "children", "className", "disabledItemsFocusable", "disableListWrap", "onKeyDown", "variant"]);
  var listRef = React$8.useRef(null);
  var textCriteriaRef = React$8.useRef({
    keys: [],
    repeating: true,
    previousKeyMatched: true,
    lastTime: null
  });
  useEnhancedEffect(function() {
    if (autoFocus) {
      listRef.current.focus();
    }
  }, [autoFocus]);
  React$8.useImperativeHandle(actions, function() {
    return {
      adjustStyleForScrollbar: function adjustStyleForScrollbar(containerElement, theme) {
        var noExplicitWidth = !listRef.current.style.width;
        if (containerElement.clientHeight < listRef.current.clientHeight && noExplicitWidth) {
          var scrollbarSize = "".concat(getScrollbarSize(), "px");
          listRef.current.style[theme.direction === "rtl" ? "paddingLeft" : "paddingRight"] = scrollbarSize;
          listRef.current.style.width = "calc(100% + ".concat(scrollbarSize, ")");
        }
        return listRef.current;
      }
    };
  }, []);
  var handleKeyDown2 = function handleKeyDown3(event) {
    var list = listRef.current;
    var key = event.key;
    var currentFocus = ownerDocument(list).activeElement;
    if (key === "ArrowDown") {
      event.preventDefault();
      moveFocus(list, currentFocus, disableListWrap, disabledItemsFocusable, nextItem);
    } else if (key === "ArrowUp") {
      event.preventDefault();
      moveFocus(list, currentFocus, disableListWrap, disabledItemsFocusable, previousItem);
    } else if (key === "Home") {
      event.preventDefault();
      moveFocus(list, null, disableListWrap, disabledItemsFocusable, nextItem);
    } else if (key === "End") {
      event.preventDefault();
      moveFocus(list, null, disableListWrap, disabledItemsFocusable, previousItem);
    } else if (key.length === 1) {
      var criteria = textCriteriaRef.current;
      var lowerKey = key.toLowerCase();
      var currTime = performance.now();
      if (criteria.keys.length > 0) {
        if (currTime - criteria.lastTime > 500) {
          criteria.keys = [];
          criteria.repeating = true;
          criteria.previousKeyMatched = true;
        } else if (criteria.repeating && lowerKey !== criteria.keys[0]) {
          criteria.repeating = false;
        }
      }
      criteria.lastTime = currTime;
      criteria.keys.push(lowerKey);
      var keepFocusOnCurrent = currentFocus && !criteria.repeating && textCriteriaMatches(currentFocus, criteria);
      if (criteria.previousKeyMatched && (keepFocusOnCurrent || moveFocus(list, currentFocus, false, disabledItemsFocusable, nextItem, criteria))) {
        event.preventDefault();
      } else {
        criteria.previousKeyMatched = false;
      }
    }
    if (onKeyDown) {
      onKeyDown(event);
    }
  };
  var handleOwnRef = React$8.useCallback(function(instance) {
    listRef.current = ReactDOM.findDOMNode(instance);
  }, []);
  var handleRef = useForkRef(handleOwnRef, ref2);
  var activeItemIndex = -1;
  React$8.Children.forEach(children2, function(child, index2) {
    if (!/* @__PURE__ */ React$8.isValidElement(child)) {
      return;
    }
    if (!child.props.disabled) {
      if (variant === "selectedMenu" && child.props.selected) {
        activeItemIndex = index2;
      } else if (activeItemIndex === -1) {
        activeItemIndex = index2;
      }
    }
  });
  var items2 = React$8.Children.map(children2, function(child, index2) {
    if (index2 === activeItemIndex) {
      var newChildProps = {};
      if (autoFocusItem) {
        newChildProps.autoFocus = true;
      }
      if (child.props.tabIndex === void 0 && variant === "selectedMenu") {
        newChildProps.tabIndex = 0;
      }
      return /* @__PURE__ */ React$8.cloneElement(child, newChildProps);
    }
    return child;
  });
  return /* @__PURE__ */ React$8.createElement(List$1, _extends$5({
    role: "menu",
    ref: handleRef,
    className,
    onKeyDown: handleKeyDown2,
    tabIndex: autoFocus ? 0 : -1
  }, other), items2);
});
var MenuList$1 = MenuList;
function mapEventPropToEvent(eventProp) {
  return eventProp.substring(2).toLowerCase();
}
function clickedRootScrollbar(event) {
  return document.documentElement.clientWidth < event.clientX || document.documentElement.clientHeight < event.clientY;
}
function ClickAwayListener(props) {
  var children2 = props.children, _props$disableReactTr = props.disableReactTree, disableReactTree = _props$disableReactTr === void 0 ? false : _props$disableReactTr, _props$mouseEvent = props.mouseEvent, mouseEvent = _props$mouseEvent === void 0 ? "onClick" : _props$mouseEvent, onClickAway = props.onClickAway, _props$touchEvent = props.touchEvent, touchEvent = _props$touchEvent === void 0 ? "onTouchEnd" : _props$touchEvent;
  var movedRef = React$8.useRef(false);
  var nodeRef = React$8.useRef(null);
  var activatedRef = React$8.useRef(false);
  var syntheticEventRef = React$8.useRef(false);
  React$8.useEffect(function() {
    setTimeout(function() {
      activatedRef.current = true;
    }, 0);
    return function() {
      activatedRef.current = false;
    };
  }, []);
  var handleOwnRef = React$8.useCallback(function(instance) {
    nodeRef.current = ReactDOM.findDOMNode(instance);
  }, []);
  var handleRef = useForkRef(children2.ref, handleOwnRef);
  var handleClickAway = useEventCallback(function(event) {
    var insideReactTree = syntheticEventRef.current;
    syntheticEventRef.current = false;
    if (!activatedRef.current || !nodeRef.current || clickedRootScrollbar(event)) {
      return;
    }
    if (movedRef.current) {
      movedRef.current = false;
      return;
    }
    var insideDOM;
    if (event.composedPath) {
      insideDOM = event.composedPath().indexOf(nodeRef.current) > -1;
    } else {
      var doc = ownerDocument(nodeRef.current);
      insideDOM = !doc.documentElement.contains(event.target) || nodeRef.current.contains(event.target);
    }
    if (!insideDOM && (disableReactTree || !insideReactTree)) {
      onClickAway(event);
    }
  });
  var createHandleSynthetic = function createHandleSynthetic2(handlerName) {
    return function(event) {
      syntheticEventRef.current = true;
      var childrenPropsHandler = children2.props[handlerName];
      if (childrenPropsHandler) {
        childrenPropsHandler(event);
      }
    };
  };
  var childrenProps = {
    ref: handleRef
  };
  if (touchEvent !== false) {
    childrenProps[touchEvent] = createHandleSynthetic(touchEvent);
  }
  React$8.useEffect(function() {
    if (touchEvent !== false) {
      var mappedTouchEvent = mapEventPropToEvent(touchEvent);
      var doc = ownerDocument(nodeRef.current);
      var handleTouchMove = function handleTouchMove2() {
        movedRef.current = true;
      };
      doc.addEventListener(mappedTouchEvent, handleClickAway);
      doc.addEventListener("touchmove", handleTouchMove);
      return function() {
        doc.removeEventListener(mappedTouchEvent, handleClickAway);
        doc.removeEventListener("touchmove", handleTouchMove);
      };
    }
    return void 0;
  }, [handleClickAway, touchEvent]);
  if (mouseEvent !== false) {
    childrenProps[mouseEvent] = createHandleSynthetic(mouseEvent);
  }
  React$8.useEffect(function() {
    if (mouseEvent !== false) {
      var mappedMouseEvent = mapEventPropToEvent(mouseEvent);
      var doc = ownerDocument(nodeRef.current);
      doc.addEventListener(mappedMouseEvent, handleClickAway);
      return function() {
        doc.removeEventListener(mappedMouseEvent, handleClickAway);
      };
    }
    return void 0;
  }, [handleClickAway, mouseEvent]);
  return /* @__PURE__ */ React$8.createElement(React$8.Fragment, null, /* @__PURE__ */ React$8.cloneElement(children2, childrenProps));
}
var reflow = function reflow2(node) {
  return node.scrollTop;
};
function getTransitionProps(props, options) {
  var timeout = props.timeout, _props$style = props.style, style = _props$style === void 0 ? {} : _props$style;
  return {
    duration: style.transitionDuration || typeof timeout === "number" ? timeout : timeout[options.mode] || 0,
    delay: style.transitionDelay
  };
}
var styles$5 = {
  entering: {
    opacity: 1
  },
  entered: {
    opacity: 1
  }
};
var defaultTimeout = {
  enter: duration.enteringScreen,
  exit: duration.leavingScreen
};
var Fade = /* @__PURE__ */ React$8.forwardRef(function Fade2(props, ref2) {
  var children2 = props.children, _props$disableStrictM = props.disableStrictModeCompat, disableStrictModeCompat = _props$disableStrictM === void 0 ? false : _props$disableStrictM, inProp = props.in, onEnter = props.onEnter, onEntered = props.onEntered, onEntering = props.onEntering, onExit = props.onExit, onExited = props.onExited, onExiting = props.onExiting, style = props.style, _props$TransitionComp = props.TransitionComponent, TransitionComponent = _props$TransitionComp === void 0 ? Transition$1 : _props$TransitionComp, _props$timeout = props.timeout, timeout = _props$timeout === void 0 ? defaultTimeout : _props$timeout, other = _objectWithoutProperties$2(props, ["children", "disableStrictModeCompat", "in", "onEnter", "onEntered", "onEntering", "onExit", "onExited", "onExiting", "style", "TransitionComponent", "timeout"]);
  var theme = useTheme();
  var enableStrictModeCompat = theme.unstable_strictMode && !disableStrictModeCompat;
  var nodeRef = React$8.useRef(null);
  var foreignRef = useForkRef(children2.ref, ref2);
  var handleRef = useForkRef(enableStrictModeCompat ? nodeRef : void 0, foreignRef);
  var normalizedTransitionCallback = function normalizedTransitionCallback2(callback) {
    return function(nodeOrAppearing, maybeAppearing) {
      if (callback) {
        var _ref = enableStrictModeCompat ? [nodeRef.current, nodeOrAppearing] : [nodeOrAppearing, maybeAppearing], _ref2 = _slicedToArray$1(_ref, 2), node = _ref2[0], isAppearing = _ref2[1];
        if (isAppearing === void 0) {
          callback(node);
        } else {
          callback(node, isAppearing);
        }
      }
    };
  };
  var handleEntering = normalizedTransitionCallback(onEntering);
  var handleEnter = normalizedTransitionCallback(function(node, isAppearing) {
    reflow(node);
    var transitionProps = getTransitionProps({
      style,
      timeout
    }, {
      mode: "enter"
    });
    node.style.webkitTransition = theme.transitions.create("opacity", transitionProps);
    node.style.transition = theme.transitions.create("opacity", transitionProps);
    if (onEnter) {
      onEnter(node, isAppearing);
    }
  });
  var handleEntered = normalizedTransitionCallback(onEntered);
  var handleExiting = normalizedTransitionCallback(onExiting);
  var handleExit = normalizedTransitionCallback(function(node) {
    var transitionProps = getTransitionProps({
      style,
      timeout
    }, {
      mode: "exit"
    });
    node.style.webkitTransition = theme.transitions.create("opacity", transitionProps);
    node.style.transition = theme.transitions.create("opacity", transitionProps);
    if (onExit) {
      onExit(node);
    }
  });
  var handleExited = normalizedTransitionCallback(onExited);
  return /* @__PURE__ */ React$8.createElement(TransitionComponent, _extends$5({
    appear: true,
    in: inProp,
    nodeRef: enableStrictModeCompat ? nodeRef : void 0,
    onEnter: handleEnter,
    onEntered: handleEntered,
    onEntering: handleEntering,
    onExit: handleExit,
    onExited: handleExited,
    onExiting: handleExiting,
    timeout
  }, other), function(state, childProps) {
    return /* @__PURE__ */ React$8.cloneElement(children2, _extends$5({
      style: _extends$5({
        opacity: 0,
        visibility: state === "exited" && !inProp ? "hidden" : void 0
      }, styles$5[state], style, children2.props.style),
      ref: handleRef
    }, childProps));
  });
});
var Fade$1 = Fade;
function isObject$9(value) {
  var type3 = typeof value;
  return value != null && (type3 == "object" || type3 == "function");
}
var isObject_1 = isObject$9;
var freeGlobal$1 = typeof commonjsGlobal == "object" && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;
var _freeGlobal = freeGlobal$1;
var freeGlobal = _freeGlobal;
var freeSelf = typeof self == "object" && self && self.Object === Object && self;
var root$9 = freeGlobal || freeSelf || Function("return this")();
var _root = root$9;
var root$8 = _root;
var now$1 = function() {
  return root$8.Date.now();
};
var now_1 = now$1;
var reWhitespace = /\s/;
function trimmedEndIndex$1(string) {
  var index2 = string.length;
  while (index2-- && reWhitespace.test(string.charAt(index2))) {
  }
  return index2;
}
var _trimmedEndIndex = trimmedEndIndex$1;
var trimmedEndIndex = _trimmedEndIndex;
var reTrimStart = /^\s+/;
function baseTrim$1(string) {
  return string ? string.slice(0, trimmedEndIndex(string) + 1).replace(reTrimStart, "") : string;
}
var _baseTrim = baseTrim$1;
var root$7 = _root;
var Symbol$6 = root$7.Symbol;
var _Symbol = Symbol$6;
var Symbol$5 = _Symbol;
var objectProto$e = Object.prototype;
var hasOwnProperty$b = objectProto$e.hasOwnProperty;
var nativeObjectToString$1 = objectProto$e.toString;
var symToStringTag$1 = Symbol$5 ? Symbol$5.toStringTag : void 0;
function getRawTag$1(value) {
  var isOwn = hasOwnProperty$b.call(value, symToStringTag$1), tag = value[symToStringTag$1];
  try {
    value[symToStringTag$1] = void 0;
    var unmasked = true;
  } catch (e2) {
  }
  var result = nativeObjectToString$1.call(value);
  if (unmasked) {
    if (isOwn) {
      value[symToStringTag$1] = tag;
    } else {
      delete value[symToStringTag$1];
    }
  }
  return result;
}
var _getRawTag = getRawTag$1;
var objectProto$d = Object.prototype;
var nativeObjectToString = objectProto$d.toString;
function objectToString$1(value) {
  return nativeObjectToString.call(value);
}
var _objectToString = objectToString$1;
var Symbol$4 = _Symbol, getRawTag = _getRawTag, objectToString = _objectToString;
var nullTag = "[object Null]", undefinedTag = "[object Undefined]";
var symToStringTag = Symbol$4 ? Symbol$4.toStringTag : void 0;
function baseGetTag$5(value) {
  if (value == null) {
    return value === void 0 ? undefinedTag : nullTag;
  }
  return symToStringTag && symToStringTag in Object(value) ? getRawTag(value) : objectToString(value);
}
var _baseGetTag = baseGetTag$5;
function isObjectLike$8(value) {
  return value != null && typeof value == "object";
}
var isObjectLike_1 = isObjectLike$8;
var baseGetTag$4 = _baseGetTag, isObjectLike$7 = isObjectLike_1;
var symbolTag$3 = "[object Symbol]";
function isSymbol$1(value) {
  return typeof value == "symbol" || isObjectLike$7(value) && baseGetTag$4(value) == symbolTag$3;
}
var isSymbol_1 = isSymbol$1;
var baseTrim = _baseTrim, isObject$8 = isObject_1, isSymbol = isSymbol_1;
var NAN = 0 / 0;
var reIsBadHex = /^[-+]0x[0-9a-f]+$/i;
var reIsBinary = /^0b[01]+$/i;
var reIsOctal = /^0o[0-7]+$/i;
var freeParseInt = parseInt;
function toNumber$2(value) {
  if (typeof value == "number") {
    return value;
  }
  if (isSymbol(value)) {
    return NAN;
  }
  if (isObject$8(value)) {
    var other = typeof value.valueOf == "function" ? value.valueOf() : value;
    value = isObject$8(other) ? other + "" : other;
  }
  if (typeof value != "string") {
    return value === 0 ? value : +value;
  }
  value = baseTrim(value);
  var isBinary = reIsBinary.test(value);
  return isBinary || reIsOctal.test(value) ? freeParseInt(value.slice(2), isBinary ? 2 : 8) : reIsBadHex.test(value) ? NAN : +value;
}
var toNumber_1 = toNumber$2;
var isObject$7 = isObject_1, now = now_1, toNumber$1 = toNumber_1;
var FUNC_ERROR_TEXT = "Expected a function";
var nativeMax$2 = Math.max, nativeMin = Math.min;
function debounce(func, wait, options) {
  var lastArgs, lastThis, maxWait, result, timerId, lastCallTime, lastInvokeTime = 0, leading = false, maxing = false, trailing = true;
  if (typeof func != "function") {
    throw new TypeError(FUNC_ERROR_TEXT);
  }
  wait = toNumber$1(wait) || 0;
  if (isObject$7(options)) {
    leading = !!options.leading;
    maxing = "maxWait" in options;
    maxWait = maxing ? nativeMax$2(toNumber$1(options.maxWait) || 0, wait) : maxWait;
    trailing = "trailing" in options ? !!options.trailing : trailing;
  }
  function invokeFunc(time2) {
    var args = lastArgs, thisArg = lastThis;
    lastArgs = lastThis = void 0;
    lastInvokeTime = time2;
    result = func.apply(thisArg, args);
    return result;
  }
  function leadingEdge(time2) {
    lastInvokeTime = time2;
    timerId = setTimeout(timerExpired, wait);
    return leading ? invokeFunc(time2) : result;
  }
  function remainingWait(time2) {
    var timeSinceLastCall = time2 - lastCallTime, timeSinceLastInvoke = time2 - lastInvokeTime, timeWaiting = wait - timeSinceLastCall;
    return maxing ? nativeMin(timeWaiting, maxWait - timeSinceLastInvoke) : timeWaiting;
  }
  function shouldInvoke(time2) {
    var timeSinceLastCall = time2 - lastCallTime, timeSinceLastInvoke = time2 - lastInvokeTime;
    return lastCallTime === void 0 || timeSinceLastCall >= wait || timeSinceLastCall < 0 || maxing && timeSinceLastInvoke >= maxWait;
  }
  function timerExpired() {
    var time2 = now();
    if (shouldInvoke(time2)) {
      return trailingEdge(time2);
    }
    timerId = setTimeout(timerExpired, remainingWait(time2));
  }
  function trailingEdge(time2) {
    timerId = void 0;
    if (trailing && lastArgs) {
      return invokeFunc(time2);
    }
    lastArgs = lastThis = void 0;
    return result;
  }
  function cancel() {
    if (timerId !== void 0) {
      clearTimeout(timerId);
    }
    lastInvokeTime = 0;
    lastArgs = lastCallTime = lastThis = timerId = void 0;
  }
  function flush() {
    return timerId === void 0 ? result : trailingEdge(now());
  }
  function debounced() {
    var time2 = now(), isInvoking = shouldInvoke(time2);
    lastArgs = arguments;
    lastThis = this;
    lastCallTime = time2;
    if (isInvoking) {
      if (timerId === void 0) {
        return leadingEdge(lastCallTime);
      }
      if (maxing) {
        clearTimeout(timerId);
        timerId = setTimeout(timerExpired, wait);
        return invokeFunc(lastCallTime);
      }
    }
    if (timerId === void 0) {
      timerId = setTimeout(timerExpired, wait);
    }
    return result;
  }
  debounced.cancel = cancel;
  debounced.flush = flush;
  return debounced;
}
var debounce_1 = debounce;
function create$1(createState) {
  let state;
  const listeners = /* @__PURE__ */ new Set();
  const setState = (partial, replace) => {
    const nextState = typeof partial === "function" ? partial(state) : partial;
    if (nextState !== state) {
      const previousState = state;
      state = replace ? nextState : Object.assign({}, state, nextState);
      listeners.forEach((listener) => listener(state, previousState));
    }
  };
  const getState = () => state;
  const subscribeWithSelector = (listener, selector = getState, equalityFn = Object.is) => {
    let currentSlice = selector(state);
    function listenerToAdd() {
      const nextSlice = selector(state);
      if (!equalityFn(currentSlice, nextSlice)) {
        const previousSlice = currentSlice;
        listener(currentSlice = nextSlice, previousSlice);
      }
    }
    listeners.add(listenerToAdd);
    return () => listeners.delete(listenerToAdd);
  };
  const subscribe = (listener, selector, equalityFn) => {
    if (selector || equalityFn) {
      return subscribeWithSelector(listener, selector, equalityFn);
    }
    listeners.add(listener);
    return () => listeners.delete(listener);
  };
  const destroy2 = () => listeners.clear();
  const api = { setState, getState, subscribe, destroy: destroy2 };
  state = createState(setState, getState, api);
  return api;
}
const isSSR = typeof window === "undefined" || !window.navigator || /ServerSideRendering|^Deno\//.test(window.navigator.userAgent);
const useIsomorphicLayoutEffect = isSSR ? useEffect : useLayoutEffect;
function create2(createState) {
  const api = typeof createState === "function" ? create$1(createState) : createState;
  const useStore = (selector = api.getState, equalityFn = Object.is) => {
    const [, forceUpdate] = useReducer((c2) => c2 + 1, 0);
    const state = api.getState();
    const stateRef = useRef(state);
    const selectorRef = useRef(selector);
    const equalityFnRef = useRef(equalityFn);
    const erroredRef = useRef(false);
    const currentSliceRef = useRef();
    if (currentSliceRef.current === void 0) {
      currentSliceRef.current = selector(state);
    }
    let newStateSlice;
    let hasNewStateSlice = false;
    if (stateRef.current !== state || selectorRef.current !== selector || equalityFnRef.current !== equalityFn || erroredRef.current) {
      newStateSlice = selector(state);
      hasNewStateSlice = !equalityFn(currentSliceRef.current, newStateSlice);
    }
    useIsomorphicLayoutEffect(() => {
      if (hasNewStateSlice) {
        currentSliceRef.current = newStateSlice;
      }
      stateRef.current = state;
      selectorRef.current = selector;
      equalityFnRef.current = equalityFn;
      erroredRef.current = false;
    });
    const stateBeforeSubscriptionRef = useRef(state);
    useIsomorphicLayoutEffect(() => {
      const listener = () => {
        try {
          const nextState = api.getState();
          const nextStateSlice = selectorRef.current(nextState);
          if (!equalityFnRef.current(currentSliceRef.current, nextStateSlice)) {
            stateRef.current = nextState;
            currentSliceRef.current = nextStateSlice;
            forceUpdate();
          }
        } catch (error) {
          erroredRef.current = true;
          forceUpdate();
        }
      };
      const unsubscribe = api.subscribe(listener);
      if (api.getState() !== stateBeforeSubscriptionRef.current) {
        listener();
      }
      return unsubscribe;
    }, []);
    return hasNewStateSlice ? newStateSlice : currentSliceRef.current;
  };
  Object.assign(useStore, api);
  useStore[Symbol.iterator] = function() {
    console.warn("[useStore, api] = create() is deprecated and will be removed in v4");
    const items2 = [useStore, api];
    return {
      next() {
        const done = items2.length <= 0;
        return { value: items2.shift(), done };
      }
    };
  };
  return useStore;
}
function createContext() {
  const ZustandContext = createContext$1(void 0);
  const Provider = ({
    initialStore,
    createStore,
    children: children2
  }) => {
    const storeRef = useRef();
    if (!storeRef.current) {
      if (initialStore) {
        console.warn("Provider initialStore is deprecated and will be removed in the next version.");
        if (!createStore) {
          createStore = () => initialStore;
        }
      }
      storeRef.current = createStore();
    }
    return createElement(ZustandContext.Provider, { value: storeRef.current }, children2);
  };
  const useStore = (selector, equalityFn = Object.is) => {
    const useProviderStore = useContext(ZustandContext);
    if (!useProviderStore) {
      throw new Error("Seems like you have not used zustand provider as an ancestor.");
    }
    return useProviderStore(selector, equalityFn);
  };
  const useStoreApi = () => {
    const useProviderStore = useContext(ZustandContext);
    if (!useProviderStore) {
      throw new Error("Seems like you have not used zustand provider as an ancestor.");
    }
    return useMemo(() => ({
      getState: useProviderStore.getState,
      setState: useProviderStore.setState,
      subscribe: useProviderStore.subscribe,
      destroy: useProviderStore.destroy
    }), [useProviderStore]);
  };
  return {
    Provider,
    useStore,
    useStoreApi
  };
}
function shallow(objA, objB) {
  if (Object.is(objA, objB)) {
    return true;
  }
  if (typeof objA !== "object" || objA === null || typeof objB !== "object" || objB === null) {
    return false;
  }
  const keysA = Object.keys(objA);
  if (keysA.length !== Object.keys(objB).length) {
    return false;
  }
  for (let i = 0; i < keysA.length; i++) {
    if (!Object.prototype.hasOwnProperty.call(objB, keysA[i]) || !Object.is(objA[keysA[i]], objB[keysA[i]])) {
      return false;
    }
  }
  return true;
}
function listCacheClear$1() {
  this.__data__ = [];
  this.size = 0;
}
var _listCacheClear = listCacheClear$1;
function eq$4(value, other) {
  return value === other || value !== value && other !== other;
}
var eq_1 = eq$4;
var eq$3 = eq_1;
function assocIndexOf$4(array, key) {
  var length = array.length;
  while (length--) {
    if (eq$3(array[length][0], key)) {
      return length;
    }
  }
  return -1;
}
var _assocIndexOf = assocIndexOf$4;
var assocIndexOf$3 = _assocIndexOf;
var arrayProto = Array.prototype;
var splice = arrayProto.splice;
function listCacheDelete$1(key) {
  var data2 = this.__data__, index2 = assocIndexOf$3(data2, key);
  if (index2 < 0) {
    return false;
  }
  var lastIndex = data2.length - 1;
  if (index2 == lastIndex) {
    data2.pop();
  } else {
    splice.call(data2, index2, 1);
  }
  --this.size;
  return true;
}
var _listCacheDelete = listCacheDelete$1;
var assocIndexOf$2 = _assocIndexOf;
function listCacheGet$1(key) {
  var data2 = this.__data__, index2 = assocIndexOf$2(data2, key);
  return index2 < 0 ? void 0 : data2[index2][1];
}
var _listCacheGet = listCacheGet$1;
var assocIndexOf$1 = _assocIndexOf;
function listCacheHas$1(key) {
  return assocIndexOf$1(this.__data__, key) > -1;
}
var _listCacheHas = listCacheHas$1;
var assocIndexOf = _assocIndexOf;
function listCacheSet$1(key, value) {
  var data2 = this.__data__, index2 = assocIndexOf(data2, key);
  if (index2 < 0) {
    ++this.size;
    data2.push([key, value]);
  } else {
    data2[index2][1] = value;
  }
  return this;
}
var _listCacheSet = listCacheSet$1;
var listCacheClear = _listCacheClear, listCacheDelete = _listCacheDelete, listCacheGet = _listCacheGet, listCacheHas = _listCacheHas, listCacheSet = _listCacheSet;
function ListCache$4(entries) {
  var index2 = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index2 < length) {
    var entry = entries[index2];
    this.set(entry[0], entry[1]);
  }
}
ListCache$4.prototype.clear = listCacheClear;
ListCache$4.prototype["delete"] = listCacheDelete;
ListCache$4.prototype.get = listCacheGet;
ListCache$4.prototype.has = listCacheHas;
ListCache$4.prototype.set = listCacheSet;
var _ListCache = ListCache$4;
var ListCache$3 = _ListCache;
function stackClear$1() {
  this.__data__ = new ListCache$3();
  this.size = 0;
}
var _stackClear = stackClear$1;
function stackDelete$1(key) {
  var data2 = this.__data__, result = data2["delete"](key);
  this.size = data2.size;
  return result;
}
var _stackDelete = stackDelete$1;
function stackGet$1(key) {
  return this.__data__.get(key);
}
var _stackGet = stackGet$1;
function stackHas$1(key) {
  return this.__data__.has(key);
}
var _stackHas = stackHas$1;
var baseGetTag$3 = _baseGetTag, isObject$6 = isObject_1;
var asyncTag = "[object AsyncFunction]", funcTag$2 = "[object Function]", genTag$1 = "[object GeneratorFunction]", proxyTag = "[object Proxy]";
function isFunction$3(value) {
  if (!isObject$6(value)) {
    return false;
  }
  var tag = baseGetTag$3(value);
  return tag == funcTag$2 || tag == genTag$1 || tag == asyncTag || tag == proxyTag;
}
var isFunction_1 = isFunction$3;
var root$6 = _root;
var coreJsData$1 = root$6["__core-js_shared__"];
var _coreJsData = coreJsData$1;
var coreJsData = _coreJsData;
var maskSrcKey = function() {
  var uid = /[^.]+$/.exec(coreJsData && coreJsData.keys && coreJsData.keys.IE_PROTO || "");
  return uid ? "Symbol(src)_1." + uid : "";
}();
function isMasked$1(func) {
  return !!maskSrcKey && maskSrcKey in func;
}
var _isMasked = isMasked$1;
var funcProto$1 = Function.prototype;
var funcToString$1 = funcProto$1.toString;
function toSource$2(func) {
  if (func != null) {
    try {
      return funcToString$1.call(func);
    } catch (e2) {
    }
    try {
      return func + "";
    } catch (e2) {
    }
  }
  return "";
}
var _toSource = toSource$2;
var isFunction$2 = isFunction_1, isMasked = _isMasked, isObject$5 = isObject_1, toSource$1 = _toSource;
var reRegExpChar = /[\\^$.*+?()[\]{}|]/g;
var reIsHostCtor = /^\[object .+?Constructor\]$/;
var funcProto = Function.prototype, objectProto$c = Object.prototype;
var funcToString = funcProto.toString;
var hasOwnProperty$a = objectProto$c.hasOwnProperty;
var reIsNative = RegExp("^" + funcToString.call(hasOwnProperty$a).replace(reRegExpChar, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$");
function baseIsNative$1(value) {
  if (!isObject$5(value) || isMasked(value)) {
    return false;
  }
  var pattern2 = isFunction$2(value) ? reIsNative : reIsHostCtor;
  return pattern2.test(toSource$1(value));
}
var _baseIsNative = baseIsNative$1;
function getValue$1(object, key) {
  return object == null ? void 0 : object[key];
}
var _getValue = getValue$1;
var baseIsNative = _baseIsNative, getValue = _getValue;
function getNative$7(object, key) {
  var value = getValue(object, key);
  return baseIsNative(value) ? value : void 0;
}
var _getNative = getNative$7;
var getNative$6 = _getNative, root$5 = _root;
var Map$4 = getNative$6(root$5, "Map");
var _Map = Map$4;
var getNative$5 = _getNative;
var nativeCreate$4 = getNative$5(Object, "create");
var _nativeCreate = nativeCreate$4;
var nativeCreate$3 = _nativeCreate;
function hashClear$1() {
  this.__data__ = nativeCreate$3 ? nativeCreate$3(null) : {};
  this.size = 0;
}
var _hashClear = hashClear$1;
function hashDelete$1(key) {
  var result = this.has(key) && delete this.__data__[key];
  this.size -= result ? 1 : 0;
  return result;
}
var _hashDelete = hashDelete$1;
var nativeCreate$2 = _nativeCreate;
var HASH_UNDEFINED$2 = "__lodash_hash_undefined__";
var objectProto$b = Object.prototype;
var hasOwnProperty$9 = objectProto$b.hasOwnProperty;
function hashGet$1(key) {
  var data2 = this.__data__;
  if (nativeCreate$2) {
    var result = data2[key];
    return result === HASH_UNDEFINED$2 ? void 0 : result;
  }
  return hasOwnProperty$9.call(data2, key) ? data2[key] : void 0;
}
var _hashGet = hashGet$1;
var nativeCreate$1 = _nativeCreate;
var objectProto$a = Object.prototype;
var hasOwnProperty$8 = objectProto$a.hasOwnProperty;
function hashHas$1(key) {
  var data2 = this.__data__;
  return nativeCreate$1 ? data2[key] !== void 0 : hasOwnProperty$8.call(data2, key);
}
var _hashHas = hashHas$1;
var nativeCreate = _nativeCreate;
var HASH_UNDEFINED$1 = "__lodash_hash_undefined__";
function hashSet$1(key, value) {
  var data2 = this.__data__;
  this.size += this.has(key) ? 0 : 1;
  data2[key] = nativeCreate && value === void 0 ? HASH_UNDEFINED$1 : value;
  return this;
}
var _hashSet = hashSet$1;
var hashClear = _hashClear, hashDelete = _hashDelete, hashGet = _hashGet, hashHas = _hashHas, hashSet = _hashSet;
function Hash$1(entries) {
  var index2 = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index2 < length) {
    var entry = entries[index2];
    this.set(entry[0], entry[1]);
  }
}
Hash$1.prototype.clear = hashClear;
Hash$1.prototype["delete"] = hashDelete;
Hash$1.prototype.get = hashGet;
Hash$1.prototype.has = hashHas;
Hash$1.prototype.set = hashSet;
var _Hash = Hash$1;
var Hash = _Hash, ListCache$2 = _ListCache, Map$3 = _Map;
function mapCacheClear$1() {
  this.size = 0;
  this.__data__ = {
    "hash": new Hash(),
    "map": new (Map$3 || ListCache$2)(),
    "string": new Hash()
  };
}
var _mapCacheClear = mapCacheClear$1;
function isKeyable$1(value) {
  var type3 = typeof value;
  return type3 == "string" || type3 == "number" || type3 == "symbol" || type3 == "boolean" ? value !== "__proto__" : value === null;
}
var _isKeyable = isKeyable$1;
var isKeyable = _isKeyable;
function getMapData$4(map, key) {
  var data2 = map.__data__;
  return isKeyable(key) ? data2[typeof key == "string" ? "string" : "hash"] : data2.map;
}
var _getMapData = getMapData$4;
var getMapData$3 = _getMapData;
function mapCacheDelete$1(key) {
  var result = getMapData$3(this, key)["delete"](key);
  this.size -= result ? 1 : 0;
  return result;
}
var _mapCacheDelete = mapCacheDelete$1;
var getMapData$2 = _getMapData;
function mapCacheGet$1(key) {
  return getMapData$2(this, key).get(key);
}
var _mapCacheGet = mapCacheGet$1;
var getMapData$1 = _getMapData;
function mapCacheHas$1(key) {
  return getMapData$1(this, key).has(key);
}
var _mapCacheHas = mapCacheHas$1;
var getMapData = _getMapData;
function mapCacheSet$1(key, value) {
  var data2 = getMapData(this, key), size = data2.size;
  data2.set(key, value);
  this.size += data2.size == size ? 0 : 1;
  return this;
}
var _mapCacheSet = mapCacheSet$1;
var mapCacheClear = _mapCacheClear, mapCacheDelete = _mapCacheDelete, mapCacheGet = _mapCacheGet, mapCacheHas = _mapCacheHas, mapCacheSet = _mapCacheSet;
function MapCache$2(entries) {
  var index2 = -1, length = entries == null ? 0 : entries.length;
  this.clear();
  while (++index2 < length) {
    var entry = entries[index2];
    this.set(entry[0], entry[1]);
  }
}
MapCache$2.prototype.clear = mapCacheClear;
MapCache$2.prototype["delete"] = mapCacheDelete;
MapCache$2.prototype.get = mapCacheGet;
MapCache$2.prototype.has = mapCacheHas;
MapCache$2.prototype.set = mapCacheSet;
var _MapCache = MapCache$2;
var ListCache$1 = _ListCache, Map$2 = _Map, MapCache$1 = _MapCache;
var LARGE_ARRAY_SIZE$1 = 200;
function stackSet$1(key, value) {
  var data2 = this.__data__;
  if (data2 instanceof ListCache$1) {
    var pairs = data2.__data__;
    if (!Map$2 || pairs.length < LARGE_ARRAY_SIZE$1 - 1) {
      pairs.push([key, value]);
      this.size = ++data2.size;
      return this;
    }
    data2 = this.__data__ = new MapCache$1(pairs);
  }
  data2.set(key, value);
  this.size = data2.size;
  return this;
}
var _stackSet = stackSet$1;
var ListCache = _ListCache, stackClear = _stackClear, stackDelete = _stackDelete, stackGet = _stackGet, stackHas = _stackHas, stackSet = _stackSet;
function Stack$3(entries) {
  var data2 = this.__data__ = new ListCache(entries);
  this.size = data2.size;
}
Stack$3.prototype.clear = stackClear;
Stack$3.prototype["delete"] = stackDelete;
Stack$3.prototype.get = stackGet;
Stack$3.prototype.has = stackHas;
Stack$3.prototype.set = stackSet;
var _Stack = Stack$3;
var HASH_UNDEFINED = "__lodash_hash_undefined__";
function setCacheAdd$1(value) {
  this.__data__.set(value, HASH_UNDEFINED);
  return this;
}
var _setCacheAdd = setCacheAdd$1;
function setCacheHas$1(value) {
  return this.__data__.has(value);
}
var _setCacheHas = setCacheHas$1;
var MapCache = _MapCache, setCacheAdd = _setCacheAdd, setCacheHas = _setCacheHas;
function SetCache$2(values2) {
  var index2 = -1, length = values2 == null ? 0 : values2.length;
  this.__data__ = new MapCache();
  while (++index2 < length) {
    this.add(values2[index2]);
  }
}
SetCache$2.prototype.add = SetCache$2.prototype.push = setCacheAdd;
SetCache$2.prototype.has = setCacheHas;
var _SetCache = SetCache$2;
function arraySome$1(array, predicate) {
  var index2 = -1, length = array == null ? 0 : array.length;
  while (++index2 < length) {
    if (predicate(array[index2], index2, array)) {
      return true;
    }
  }
  return false;
}
var _arraySome = arraySome$1;
function cacheHas$2(cache2, key) {
  return cache2.has(key);
}
var _cacheHas = cacheHas$2;
var SetCache$1 = _SetCache, arraySome = _arraySome, cacheHas$1 = _cacheHas;
var COMPARE_PARTIAL_FLAG$4 = 1, COMPARE_UNORDERED_FLAG$2 = 2;
function equalArrays$2(array, other, bitmask, customizer, equalFunc, stack) {
  var isPartial = bitmask & COMPARE_PARTIAL_FLAG$4, arrLength = array.length, othLength = other.length;
  if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
    return false;
  }
  var arrStacked = stack.get(array);
  var othStacked = stack.get(other);
  if (arrStacked && othStacked) {
    return arrStacked == other && othStacked == array;
  }
  var index2 = -1, result = true, seen = bitmask & COMPARE_UNORDERED_FLAG$2 ? new SetCache$1() : void 0;
  stack.set(array, other);
  stack.set(other, array);
  while (++index2 < arrLength) {
    var arrValue = array[index2], othValue = other[index2];
    if (customizer) {
      var compared = isPartial ? customizer(othValue, arrValue, index2, other, array, stack) : customizer(arrValue, othValue, index2, array, other, stack);
    }
    if (compared !== void 0) {
      if (compared) {
        continue;
      }
      result = false;
      break;
    }
    if (seen) {
      if (!arraySome(other, function(othValue2, othIndex) {
        if (!cacheHas$1(seen, othIndex) && (arrValue === othValue2 || equalFunc(arrValue, othValue2, bitmask, customizer, stack))) {
          return seen.push(othIndex);
        }
      })) {
        result = false;
        break;
      }
    } else if (!(arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
      result = false;
      break;
    }
  }
  stack["delete"](array);
  stack["delete"](other);
  return result;
}
var _equalArrays = equalArrays$2;
var root$4 = _root;
var Uint8Array$3 = root$4.Uint8Array;
var _Uint8Array = Uint8Array$3;
function mapToArray$1(map) {
  var index2 = -1, result = Array(map.size);
  map.forEach(function(value, key) {
    result[++index2] = [key, value];
  });
  return result;
}
var _mapToArray = mapToArray$1;
function setToArray$1(set2) {
  var index2 = -1, result = Array(set2.size);
  set2.forEach(function(value) {
    result[++index2] = value;
  });
  return result;
}
var _setToArray = setToArray$1;
var Symbol$3 = _Symbol, Uint8Array$2 = _Uint8Array, eq$2 = eq_1, equalArrays$1 = _equalArrays, mapToArray = _mapToArray, setToArray = _setToArray;
var COMPARE_PARTIAL_FLAG$3 = 1, COMPARE_UNORDERED_FLAG$1 = 2;
var boolTag$3 = "[object Boolean]", dateTag$3 = "[object Date]", errorTag$2 = "[object Error]", mapTag$5 = "[object Map]", numberTag$3 = "[object Number]", regexpTag$3 = "[object RegExp]", setTag$5 = "[object Set]", stringTag$3 = "[object String]", symbolTag$2 = "[object Symbol]";
var arrayBufferTag$3 = "[object ArrayBuffer]", dataViewTag$4 = "[object DataView]";
var symbolProto$1 = Symbol$3 ? Symbol$3.prototype : void 0, symbolValueOf$1 = symbolProto$1 ? symbolProto$1.valueOf : void 0;
function equalByTag$1(object, other, tag, bitmask, customizer, equalFunc, stack) {
  switch (tag) {
    case dataViewTag$4:
      if (object.byteLength != other.byteLength || object.byteOffset != other.byteOffset) {
        return false;
      }
      object = object.buffer;
      other = other.buffer;
    case arrayBufferTag$3:
      if (object.byteLength != other.byteLength || !equalFunc(new Uint8Array$2(object), new Uint8Array$2(other))) {
        return false;
      }
      return true;
    case boolTag$3:
    case dateTag$3:
    case numberTag$3:
      return eq$2(+object, +other);
    case errorTag$2:
      return object.name == other.name && object.message == other.message;
    case regexpTag$3:
    case stringTag$3:
      return object == other + "";
    case mapTag$5:
      var convert = mapToArray;
    case setTag$5:
      var isPartial = bitmask & COMPARE_PARTIAL_FLAG$3;
      convert || (convert = setToArray);
      if (object.size != other.size && !isPartial) {
        return false;
      }
      var stacked = stack.get(object);
      if (stacked) {
        return stacked == other;
      }
      bitmask |= COMPARE_UNORDERED_FLAG$1;
      stack.set(object, other);
      var result = equalArrays$1(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
      stack["delete"](object);
      return result;
    case symbolTag$2:
      if (symbolValueOf$1) {
        return symbolValueOf$1.call(object) == symbolValueOf$1.call(other);
      }
  }
  return false;
}
var _equalByTag = equalByTag$1;
function arrayPush$3(array, values2) {
  var index2 = -1, length = values2.length, offset5 = array.length;
  while (++index2 < length) {
    array[offset5 + index2] = values2[index2];
  }
  return array;
}
var _arrayPush = arrayPush$3;
var isArray$5 = Array.isArray;
var isArray_1 = isArray$5;
var arrayPush$2 = _arrayPush, isArray$4 = isArray_1;
function baseGetAllKeys$2(object, keysFunc, symbolsFunc) {
  var result = keysFunc(object);
  return isArray$4(object) ? result : arrayPush$2(result, symbolsFunc(object));
}
var _baseGetAllKeys = baseGetAllKeys$2;
function arrayFilter$1(array, predicate) {
  var index2 = -1, length = array == null ? 0 : array.length, resIndex = 0, result = [];
  while (++index2 < length) {
    var value = array[index2];
    if (predicate(value, index2, array)) {
      result[resIndex++] = value;
    }
  }
  return result;
}
var _arrayFilter = arrayFilter$1;
function stubArray$2() {
  return [];
}
var stubArray_1 = stubArray$2;
var arrayFilter = _arrayFilter, stubArray$1 = stubArray_1;
var objectProto$9 = Object.prototype;
var propertyIsEnumerable$1 = objectProto$9.propertyIsEnumerable;
var nativeGetSymbols$1 = Object.getOwnPropertySymbols;
var getSymbols$3 = !nativeGetSymbols$1 ? stubArray$1 : function(object) {
  if (object == null) {
    return [];
  }
  object = Object(object);
  return arrayFilter(nativeGetSymbols$1(object), function(symbol) {
    return propertyIsEnumerable$1.call(object, symbol);
  });
};
var _getSymbols = getSymbols$3;
function baseTimes$1(n2, iteratee) {
  var index2 = -1, result = Array(n2);
  while (++index2 < n2) {
    result[index2] = iteratee(index2);
  }
  return result;
}
var _baseTimes = baseTimes$1;
var baseGetTag$2 = _baseGetTag, isObjectLike$6 = isObjectLike_1;
var argsTag$3 = "[object Arguments]";
function baseIsArguments$1(value) {
  return isObjectLike$6(value) && baseGetTag$2(value) == argsTag$3;
}
var _baseIsArguments = baseIsArguments$1;
var baseIsArguments = _baseIsArguments, isObjectLike$5 = isObjectLike_1;
var objectProto$8 = Object.prototype;
var hasOwnProperty$7 = objectProto$8.hasOwnProperty;
var propertyIsEnumerable = objectProto$8.propertyIsEnumerable;
var isArguments$2 = baseIsArguments(function() {
  return arguments;
}()) ? baseIsArguments : function(value) {
  return isObjectLike$5(value) && hasOwnProperty$7.call(value, "callee") && !propertyIsEnumerable.call(value, "callee");
};
var isArguments_1 = isArguments$2;
var isBuffer$3 = { exports: {} };
function stubFalse() {
  return false;
}
var stubFalse_1 = stubFalse;
(function(module2, exports) {
  var root2 = _root, stubFalse2 = stubFalse_1;
  var freeExports = exports && !exports.nodeType && exports;
  var freeModule = freeExports && true && module2 && !module2.nodeType && module2;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var Buffer = moduleExports ? root2.Buffer : void 0;
  var nativeIsBuffer = Buffer ? Buffer.isBuffer : void 0;
  var isBuffer2 = nativeIsBuffer || stubFalse2;
  module2.exports = isBuffer2;
})(isBuffer$3, isBuffer$3.exports);
var MAX_SAFE_INTEGER$1 = 9007199254740991;
var reIsUint = /^(?:0|[1-9]\d*)$/;
function isIndex$2(value, length) {
  var type3 = typeof value;
  length = length == null ? MAX_SAFE_INTEGER$1 : length;
  return !!length && (type3 == "number" || type3 != "symbol" && reIsUint.test(value)) && (value > -1 && value % 1 == 0 && value < length);
}
var _isIndex = isIndex$2;
var MAX_SAFE_INTEGER = 9007199254740991;
function isLength$2(value) {
  return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER;
}
var isLength_1 = isLength$2;
var baseGetTag$1 = _baseGetTag, isLength$1 = isLength_1, isObjectLike$4 = isObjectLike_1;
var argsTag$2 = "[object Arguments]", arrayTag$2 = "[object Array]", boolTag$2 = "[object Boolean]", dateTag$2 = "[object Date]", errorTag$1 = "[object Error]", funcTag$1 = "[object Function]", mapTag$4 = "[object Map]", numberTag$2 = "[object Number]", objectTag$3 = "[object Object]", regexpTag$2 = "[object RegExp]", setTag$4 = "[object Set]", stringTag$2 = "[object String]", weakMapTag$2 = "[object WeakMap]";
var arrayBufferTag$2 = "[object ArrayBuffer]", dataViewTag$3 = "[object DataView]", float32Tag$2 = "[object Float32Array]", float64Tag$2 = "[object Float64Array]", int8Tag$2 = "[object Int8Array]", int16Tag$2 = "[object Int16Array]", int32Tag$2 = "[object Int32Array]", uint8Tag$2 = "[object Uint8Array]", uint8ClampedTag$2 = "[object Uint8ClampedArray]", uint16Tag$2 = "[object Uint16Array]", uint32Tag$2 = "[object Uint32Array]";
var typedArrayTags = {};
typedArrayTags[float32Tag$2] = typedArrayTags[float64Tag$2] = typedArrayTags[int8Tag$2] = typedArrayTags[int16Tag$2] = typedArrayTags[int32Tag$2] = typedArrayTags[uint8Tag$2] = typedArrayTags[uint8ClampedTag$2] = typedArrayTags[uint16Tag$2] = typedArrayTags[uint32Tag$2] = true;
typedArrayTags[argsTag$2] = typedArrayTags[arrayTag$2] = typedArrayTags[arrayBufferTag$2] = typedArrayTags[boolTag$2] = typedArrayTags[dataViewTag$3] = typedArrayTags[dateTag$2] = typedArrayTags[errorTag$1] = typedArrayTags[funcTag$1] = typedArrayTags[mapTag$4] = typedArrayTags[numberTag$2] = typedArrayTags[objectTag$3] = typedArrayTags[regexpTag$2] = typedArrayTags[setTag$4] = typedArrayTags[stringTag$2] = typedArrayTags[weakMapTag$2] = false;
function baseIsTypedArray$1(value) {
  return isObjectLike$4(value) && isLength$1(value.length) && !!typedArrayTags[baseGetTag$1(value)];
}
var _baseIsTypedArray = baseIsTypedArray$1;
function baseUnary$4(func) {
  return function(value) {
    return func(value);
  };
}
var _baseUnary = baseUnary$4;
var _nodeUtil = { exports: {} };
(function(module2, exports) {
  var freeGlobal2 = _freeGlobal;
  var freeExports = exports && !exports.nodeType && exports;
  var freeModule = freeExports && true && module2 && !module2.nodeType && module2;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var freeProcess = moduleExports && freeGlobal2.process;
  var nodeUtil2 = function() {
    try {
      var types = freeModule && freeModule.require && freeModule.require("util").types;
      if (types) {
        return types;
      }
      return freeProcess && freeProcess.binding && freeProcess.binding("util");
    } catch (e2) {
    }
  }();
  module2.exports = nodeUtil2;
})(_nodeUtil, _nodeUtil.exports);
var baseIsTypedArray = _baseIsTypedArray, baseUnary$3 = _baseUnary, nodeUtil$2 = _nodeUtil.exports;
var nodeIsTypedArray = nodeUtil$2 && nodeUtil$2.isTypedArray;
var isTypedArray$2 = nodeIsTypedArray ? baseUnary$3(nodeIsTypedArray) : baseIsTypedArray;
var isTypedArray_1 = isTypedArray$2;
var baseTimes = _baseTimes, isArguments$1 = isArguments_1, isArray$3 = isArray_1, isBuffer$2 = isBuffer$3.exports, isIndex$1 = _isIndex, isTypedArray$1 = isTypedArray_1;
var objectProto$7 = Object.prototype;
var hasOwnProperty$6 = objectProto$7.hasOwnProperty;
function arrayLikeKeys$2(value, inherited) {
  var isArr = isArray$3(value), isArg = !isArr && isArguments$1(value), isBuff = !isArr && !isArg && isBuffer$2(value), isType = !isArr && !isArg && !isBuff && isTypedArray$1(value), skipIndexes = isArr || isArg || isBuff || isType, result = skipIndexes ? baseTimes(value.length, String) : [], length = result.length;
  for (var key in value) {
    if ((inherited || hasOwnProperty$6.call(value, key)) && !(skipIndexes && (key == "length" || isBuff && (key == "offset" || key == "parent") || isType && (key == "buffer" || key == "byteLength" || key == "byteOffset") || isIndex$1(key, length)))) {
      result.push(key);
    }
  }
  return result;
}
var _arrayLikeKeys = arrayLikeKeys$2;
var objectProto$6 = Object.prototype;
function isPrototype$3(value) {
  var Ctor = value && value.constructor, proto = typeof Ctor == "function" && Ctor.prototype || objectProto$6;
  return value === proto;
}
var _isPrototype = isPrototype$3;
function overArg$2(func, transform2) {
  return function(arg) {
    return func(transform2(arg));
  };
}
var _overArg = overArg$2;
var overArg$1 = _overArg;
var nativeKeys$1 = overArg$1(Object.keys, Object);
var _nativeKeys = nativeKeys$1;
var isPrototype$2 = _isPrototype, nativeKeys = _nativeKeys;
var objectProto$5 = Object.prototype;
var hasOwnProperty$5 = objectProto$5.hasOwnProperty;
function baseKeys$1(object) {
  if (!isPrototype$2(object)) {
    return nativeKeys(object);
  }
  var result = [];
  for (var key in Object(object)) {
    if (hasOwnProperty$5.call(object, key) && key != "constructor") {
      result.push(key);
    }
  }
  return result;
}
var _baseKeys = baseKeys$1;
var isFunction$1 = isFunction_1, isLength = isLength_1;
function isArrayLike$4(value) {
  return value != null && isLength(value.length) && !isFunction$1(value);
}
var isArrayLike_1 = isArrayLike$4;
var arrayLikeKeys$1 = _arrayLikeKeys, baseKeys = _baseKeys, isArrayLike$3 = isArrayLike_1;
function keys$4(object) {
  return isArrayLike$3(object) ? arrayLikeKeys$1(object) : baseKeys(object);
}
var keys_1 = keys$4;
var baseGetAllKeys$1 = _baseGetAllKeys, getSymbols$2 = _getSymbols, keys$3 = keys_1;
function getAllKeys$2(object) {
  return baseGetAllKeys$1(object, keys$3, getSymbols$2);
}
var _getAllKeys = getAllKeys$2;
var getAllKeys$1 = _getAllKeys;
var COMPARE_PARTIAL_FLAG$2 = 1;
var objectProto$4 = Object.prototype;
var hasOwnProperty$4 = objectProto$4.hasOwnProperty;
function equalObjects$1(object, other, bitmask, customizer, equalFunc, stack) {
  var isPartial = bitmask & COMPARE_PARTIAL_FLAG$2, objProps = getAllKeys$1(object), objLength = objProps.length, othProps = getAllKeys$1(other), othLength = othProps.length;
  if (objLength != othLength && !isPartial) {
    return false;
  }
  var index2 = objLength;
  while (index2--) {
    var key = objProps[index2];
    if (!(isPartial ? key in other : hasOwnProperty$4.call(other, key))) {
      return false;
    }
  }
  var objStacked = stack.get(object);
  var othStacked = stack.get(other);
  if (objStacked && othStacked) {
    return objStacked == other && othStacked == object;
  }
  var result = true;
  stack.set(object, other);
  stack.set(other, object);
  var skipCtor = isPartial;
  while (++index2 < objLength) {
    key = objProps[index2];
    var objValue = object[key], othValue = other[key];
    if (customizer) {
      var compared = isPartial ? customizer(othValue, objValue, key, other, object, stack) : customizer(objValue, othValue, key, object, other, stack);
    }
    if (!(compared === void 0 ? objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack) : compared)) {
      result = false;
      break;
    }
    skipCtor || (skipCtor = key == "constructor");
  }
  if (result && !skipCtor) {
    var objCtor = object.constructor, othCtor = other.constructor;
    if (objCtor != othCtor && ("constructor" in object && "constructor" in other) && !(typeof objCtor == "function" && objCtor instanceof objCtor && typeof othCtor == "function" && othCtor instanceof othCtor)) {
      result = false;
    }
  }
  stack["delete"](object);
  stack["delete"](other);
  return result;
}
var _equalObjects = equalObjects$1;
var getNative$4 = _getNative, root$3 = _root;
var DataView$1 = getNative$4(root$3, "DataView");
var _DataView = DataView$1;
var getNative$3 = _getNative, root$2 = _root;
var Promise$2 = getNative$3(root$2, "Promise");
var _Promise = Promise$2;
var getNative$2 = _getNative, root$1 = _root;
var Set$2 = getNative$2(root$1, "Set");
var _Set = Set$2;
var getNative$1 = _getNative, root = _root;
var WeakMap$2 = getNative$1(root, "WeakMap");
var _WeakMap = WeakMap$2;
var DataView = _DataView, Map$1 = _Map, Promise$1 = _Promise, Set$1 = _Set, WeakMap$1 = _WeakMap, baseGetTag = _baseGetTag, toSource = _toSource;
var mapTag$3 = "[object Map]", objectTag$2 = "[object Object]", promiseTag = "[object Promise]", setTag$3 = "[object Set]", weakMapTag$1 = "[object WeakMap]";
var dataViewTag$2 = "[object DataView]";
var dataViewCtorString = toSource(DataView), mapCtorString = toSource(Map$1), promiseCtorString = toSource(Promise$1), setCtorString = toSource(Set$1), weakMapCtorString = toSource(WeakMap$1);
var getTag$4 = baseGetTag;
if (DataView && getTag$4(new DataView(new ArrayBuffer(1))) != dataViewTag$2 || Map$1 && getTag$4(new Map$1()) != mapTag$3 || Promise$1 && getTag$4(Promise$1.resolve()) != promiseTag || Set$1 && getTag$4(new Set$1()) != setTag$3 || WeakMap$1 && getTag$4(new WeakMap$1()) != weakMapTag$1) {
  getTag$4 = function(value) {
    var result = baseGetTag(value), Ctor = result == objectTag$2 ? value.constructor : void 0, ctorString = Ctor ? toSource(Ctor) : "";
    if (ctorString) {
      switch (ctorString) {
        case dataViewCtorString:
          return dataViewTag$2;
        case mapCtorString:
          return mapTag$3;
        case promiseCtorString:
          return promiseTag;
        case setCtorString:
          return setTag$3;
        case weakMapCtorString:
          return weakMapTag$1;
      }
    }
    return result;
  };
}
var _getTag = getTag$4;
var Stack$2 = _Stack, equalArrays = _equalArrays, equalByTag = _equalByTag, equalObjects = _equalObjects, getTag$3 = _getTag, isArray$2 = isArray_1, isBuffer$1 = isBuffer$3.exports, isTypedArray = isTypedArray_1;
var COMPARE_PARTIAL_FLAG$1 = 1;
var argsTag$1 = "[object Arguments]", arrayTag$1 = "[object Array]", objectTag$1 = "[object Object]";
var objectProto$3 = Object.prototype;
var hasOwnProperty$3 = objectProto$3.hasOwnProperty;
function baseIsEqualDeep$1(object, other, bitmask, customizer, equalFunc, stack) {
  var objIsArr = isArray$2(object), othIsArr = isArray$2(other), objTag = objIsArr ? arrayTag$1 : getTag$3(object), othTag = othIsArr ? arrayTag$1 : getTag$3(other);
  objTag = objTag == argsTag$1 ? objectTag$1 : objTag;
  othTag = othTag == argsTag$1 ? objectTag$1 : othTag;
  var objIsObj = objTag == objectTag$1, othIsObj = othTag == objectTag$1, isSameTag = objTag == othTag;
  if (isSameTag && isBuffer$1(object)) {
    if (!isBuffer$1(other)) {
      return false;
    }
    objIsArr = true;
    objIsObj = false;
  }
  if (isSameTag && !objIsObj) {
    stack || (stack = new Stack$2());
    return objIsArr || isTypedArray(object) ? equalArrays(object, other, bitmask, customizer, equalFunc, stack) : equalByTag(object, other, objTag, bitmask, customizer, equalFunc, stack);
  }
  if (!(bitmask & COMPARE_PARTIAL_FLAG$1)) {
    var objIsWrapped = objIsObj && hasOwnProperty$3.call(object, "__wrapped__"), othIsWrapped = othIsObj && hasOwnProperty$3.call(other, "__wrapped__");
    if (objIsWrapped || othIsWrapped) {
      var objUnwrapped = objIsWrapped ? object.value() : object, othUnwrapped = othIsWrapped ? other.value() : other;
      stack || (stack = new Stack$2());
      return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
    }
  }
  if (!isSameTag) {
    return false;
  }
  stack || (stack = new Stack$2());
  return equalObjects(object, other, bitmask, customizer, equalFunc, stack);
}
var _baseIsEqualDeep = baseIsEqualDeep$1;
var baseIsEqualDeep = _baseIsEqualDeep, isObjectLike$3 = isObjectLike_1;
function baseIsEqual$2(value, other, bitmask, customizer, stack) {
  if (value === other) {
    return true;
  }
  if (value == null || other == null || !isObjectLike$3(value) && !isObjectLike$3(other)) {
    return value !== value && other !== other;
  }
  return baseIsEqualDeep(value, other, bitmask, customizer, baseIsEqual$2, stack);
}
var _baseIsEqual = baseIsEqual$2;
var Stack$1 = _Stack, baseIsEqual$1 = _baseIsEqual;
var COMPARE_PARTIAL_FLAG = 1, COMPARE_UNORDERED_FLAG = 2;
function baseIsMatch$1(object, source, matchData, customizer) {
  var index2 = matchData.length, length = index2, noCustomizer = !customizer;
  if (object == null) {
    return !length;
  }
  object = Object(object);
  while (index2--) {
    var data2 = matchData[index2];
    if (noCustomizer && data2[2] ? data2[1] !== object[data2[0]] : !(data2[0] in object)) {
      return false;
    }
  }
  while (++index2 < length) {
    data2 = matchData[index2];
    var key = data2[0], objValue = object[key], srcValue = data2[1];
    if (noCustomizer && data2[2]) {
      if (objValue === void 0 && !(key in object)) {
        return false;
      }
    } else {
      var stack = new Stack$1();
      if (customizer) {
        var result = customizer(objValue, srcValue, key, object, source, stack);
      }
      if (!(result === void 0 ? baseIsEqual$1(srcValue, objValue, COMPARE_PARTIAL_FLAG | COMPARE_UNORDERED_FLAG, customizer, stack) : result)) {
        return false;
      }
    }
  }
  return true;
}
var _baseIsMatch = baseIsMatch$1;
var isObject$4 = isObject_1;
function isStrictComparable$1(value) {
  return value === value && !isObject$4(value);
}
var _isStrictComparable = isStrictComparable$1;
var isStrictComparable = _isStrictComparable, keys$2 = keys_1;
function getMatchData$1(object) {
  var result = keys$2(object), length = result.length;
  while (length--) {
    var key = result[length], value = object[key];
    result[length] = [key, value, isStrictComparable(value)];
  }
  return result;
}
var _getMatchData = getMatchData$1;
var baseIsMatch = _baseIsMatch, getMatchData = _getMatchData;
function isMatch(object, source) {
  return object === source || baseIsMatch(object, source, getMatchData(source));
}
var isMatch_1 = isMatch;
var _createContext = createContext(), ViewConfigProviderLocal = _createContext.Provider, useViewConfigStoreLocal = _createContext.useStore, useViewConfigStoreApiLocal = _createContext.useStoreApi;
var ViewConfigProvider = ViewConfigProviderLocal;
var useViewConfigStore = useViewConfigStoreLocal;
var useViewConfigStoreApi = useViewConfigStoreApiLocal;
var _createContext2 = createContext(), AuxiliaryProviderLocal = _createContext2.Provider;
var AuxiliaryProvider = AuxiliaryProviderLocal;
var createViewConfigStore = function createViewConfigStore2() {
  return create2(function(set2) {
    return {
      viewConfig: null,
      loaders: null,
      setViewConfig: function setViewConfig(viewConfig) {
        return set2({
          viewConfig
        });
      },
      setLoaders: function setLoaders(loaders) {
        return set2({
          loaders
        });
      },
      setCoordinationValue: function setCoordinationValue(_ref) {
        var parameter = _ref.parameter, scope = _ref.scope, value = _ref.value;
        return set2(function(state) {
          return {
            viewConfig: _objectSpread2({}, state.viewConfig, {
              coordinationSpace: _objectSpread2({}, state.viewConfig.coordinationSpace, _defineProperty$c({}, parameter, _objectSpread2({}, state.viewConfig.coordinationSpace[parameter], _defineProperty$c({}, scope, value))))
            })
          };
        });
      },
      removeComponent: function removeComponent(uid) {
        return set2(function(state) {
          var newLayout = state.viewConfig.layout.filter(function(c2) {
            return c2.uid !== uid;
          });
          return {
            viewConfig: _objectSpread2({}, state.viewConfig, {
              layout: newLayout
            })
          };
        });
      },
      changeLayout: function changeLayout(newComponentProps) {
        return set2(function(state) {
          var newLayout = state.viewConfig.layout.slice();
          newComponentProps.forEach(function(_ref2) {
            var _ref3 = _slicedToArray$2(_ref2, 2), i = _ref3[0], newProps = _ref3[1];
            newLayout[i] = _objectSpread2({}, newLayout[i], {}, newProps);
          });
          return {
            viewConfig: _objectSpread2({}, state.viewConfig, {
              layout: newLayout
            })
          };
        });
      }
    };
  });
};
var createAuxiliaryStore = function createAuxiliaryStore2() {
  return create2(function(set2) {
    return {
      auxiliaryStore: null,
      setCoordinationValue: function setCoordinationValue(_ref4) {
        var parameter = _ref4.parameter, scope = _ref4.scope, value = _ref4.value;
        return set2(function(state) {
          return {
            auxiliaryStore: _objectSpread2({}, state.auxiliaryStore, _defineProperty$c({}, parameter, _defineProperty$c({}, scope, value)))
          };
        });
      }
    };
  });
};
var useHoverStore = create2(function(set2) {
  return {
    componentHover: null,
    setComponentHover: function setComponentHover(componentHover) {
      return set2({
        componentHover
      });
    }
  };
});
var useWarnStore = create2(function(set2) {
  return {
    warning: null,
    setWarning: function setWarning(warning) {
      return set2({
        warning
      });
    }
  };
});
var useViewInfoStore = create2(function(set2) {
  return {
    viewInfo: {},
    setComponentViewInfo: function setComponentViewInfo(uuid, viewInfo) {
      return set2(function(state) {
        return {
          viewInfo: _objectSpread2({}, state.viewInfo, _defineProperty$c({}, uuid, viewInfo))
        };
      });
    }
  };
});
var useGridSizeStore = create2(function(set2) {
  return {
    resizeCount: {},
    incrementResizeCount: function incrementResizeCount() {
      return set2(function(state) {
        return {
          resizeCount: state.resizeCount + 1
        };
      });
    }
  };
});
function useCoordination(parameters, coordinationScopes) {
  var setCoordinationValue = useViewConfigStore(function(state) {
    return state.setCoordinationValue;
  });
  var values2 = useViewConfigStore(function(state) {
    var coordinationSpace = state.viewConfig.coordinationSpace;
    return fromEntries(parameters.map(function(parameter) {
      if (coordinationSpace && coordinationSpace[parameter]) {
        var value = coordinationSpace[parameter][coordinationScopes[parameter]];
        return [parameter, value];
      }
      return [parameter, void 0];
    }));
  }, shallow);
  var setters = useMemo(function() {
    return fromEntries(parameters.map(function(parameter) {
      var setterName = "set".concat(capitalize$1(parameter));
      var setterFunc = function setterFunc2(value) {
        return setCoordinationValue({
          parameter,
          scope: coordinationScopes[parameter],
          value
        });
      };
      return [setterName, setterFunc];
    }));
  }, [parameters, coordinationScopes]);
  return [values2, setters];
}
function useDatasetUids(coordinationScopes) {
  var parameter = CoordinationType$2.DATASET;
  var datasetScopes = coordinationScopes[parameter];
  var datasetUids = useViewConfigStore(function(state) {
    var coordinationSpace = state.viewConfig.coordinationSpace;
    var datasetScopesArr = Array.isArray(datasetScopes) ? datasetScopes : [datasetScopes];
    return fromEntries(datasetScopesArr.map(function(datasetScope) {
      if (coordinationSpace && coordinationSpace[parameter]) {
        var value = coordinationSpace[parameter][datasetScope];
        return [datasetScope, value];
      }
      return [datasetScope, void 0];
    }));
  }, shallow);
  return datasetUids;
}
function useComplexCoordination(parameters, coordinationScopes, coordinationScopesBy, byType) {
  var setCoordinationValue = useViewConfigStore(function(state) {
    return state.setCoordinationValue;
  });
  var typeScopes = coordinationScopes[byType];
  var byTypeScopes = coordinationScopesBy[byType];
  var typeScopesArr = Array.isArray(typeScopes) ? typeScopes : [typeScopes];
  var values2 = useViewConfigStore(function(state) {
    var coordinationSpace = state.viewConfig.coordinationSpace;
    return fromEntries(typeScopesArr.map(function(datasetScope) {
      var datasetValues = fromEntries(parameters.map(function(parameter) {
        if (coordinationSpace && coordinationSpace[parameter]) {
          var value;
          var parameterSpace = coordinationSpace[parameter];
          var parameterScopeGlobal = coordinationScopes[parameter];
          var parameterScopeByDataset = byTypeScopes === null || byTypeScopes === void 0 ? void 0 : byTypeScopes[parameter];
          if (parameterScopeByDataset && parameterScopeByDataset[datasetScope]) {
            value = parameterSpace[parameterScopeByDataset[datasetScope]];
          } else if (parameterScopeGlobal) {
            value = parameterSpace[parameterScopeGlobal];
          } else {
            console.error("coordination scope for ".concat(parameter, " was not found."));
          }
          return [parameter, value];
        }
        return [parameter, void 0];
      }));
      return [datasetScope, datasetValues];
    }));
  }, shallow);
  var setters = useMemo(function() {
    return fromEntries(typeScopesArr.map(function(datasetScope) {
      var datasetSetters = fromEntries(parameters.map(function(parameter) {
        var setterName = "set".concat(capitalize$1(parameter));
        var setterFunc;
        var parameterScopeGlobal = coordinationScopes[parameter];
        var parameterScopeByDataset = byTypeScopes === null || byTypeScopes === void 0 ? void 0 : byTypeScopes[parameter];
        if (parameterScopeByDataset && parameterScopeByDataset[datasetScope]) {
          setterFunc = function setterFunc2(value) {
            return setCoordinationValue({
              parameter,
              scope: parameterScopeByDataset[datasetScope],
              value
            });
          };
        } else if (parameterScopeGlobal) {
          setterFunc = function setterFunc2(value) {
            return setCoordinationValue({
              parameter,
              scope: parameterScopeGlobal,
              value
            });
          };
        } else {
          console.error("coordination scope for ".concat(parameter, " was not found."));
        }
        return [setterName, setterFunc];
      }));
      return [datasetScope, datasetSetters];
    }));
  }, [parameters, coordinationScopes]);
  return [values2, setters];
}
function useMultiDatasetCoordination(parameters, coordinationScopes, coordinationScopesBy) {
  return useComplexCoordination(parameters, coordinationScopes, coordinationScopesBy, CoordinationType$2.DATASET);
}
function useLoaders() {
  return useViewConfigStore(function(state) {
    return state.loaders;
  });
}
function useMatchingLoader(loaders, dataset, dataType, viewCoordinationValues) {
  return useMemo(function() {
    if (!loaders[dataset]) {
      return null;
    }
    var loaderInternMap = loaders[dataset].loaders[dataType];
    if (!loaderInternMap) {
      return null;
    }
    var loaderKeys = Array.from(loaderInternMap.keys());
    var matchingKey = loaderKeys.find(function(fileCoordinationValues) {
      return isMatch_1(fileCoordinationValues, viewCoordinationValues);
    });
    if (!matchingKey) {
      return null;
    }
    return loaderInternMap.get(matchingKey);
  }, [loaders, dataset, dataType, viewCoordinationValues]);
}
function useLayout() {
  return useViewConfigStore(function(state) {
    var _state$viewConfig;
    return (_state$viewConfig = state.viewConfig) === null || _state$viewConfig === void 0 ? void 0 : _state$viewConfig.layout;
  });
}
function useRemoveComponent() {
  return useViewConfigStore(function(state) {
    return state.removeComponent;
  });
}
function useChangeLayout() {
  return useViewConfigStore(function(state) {
    return state.changeLayout;
  });
}
function useSetLoaders() {
  return useViewConfigStore(function(state) {
    return state.setLoaders;
  });
}
function useSetViewConfig(viewConfigStoreApi) {
  var setViewConfigRef = useRef(viewConfigStoreApi.getState().setViewConfig);
  var setViewConfig = setViewConfigRef.current;
  return setViewConfig;
}
function useComponentHover() {
  return useHoverStore(function(state) {
    return state.componentHover;
  });
}
function useSetComponentHover() {
  return useHoverStore(function(state) {
    return state.setComponentHover;
  });
}
function useWarning() {
  return useWarnStore(function(state) {
    return state.warning;
  });
}
function useSetWarning() {
  return useWarnStore(function(state) {
    return state.setWarning;
  });
}
function useComponentViewInfo(uuid) {
  return useViewInfoStore(useCallback(function(state) {
    return state.viewInfo[uuid];
  }, [uuid]));
}
function useSetComponentViewInfo(uuid) {
  var setViewInfoRef = useRef(useViewInfoStore.getState().setComponentViewInfo);
  var setComponentViewInfo = function setComponentViewInfo2(viewInfo) {
    return setViewInfoRef.current(uuid, viewInfo);
  };
  return setComponentViewInfo;
}
function useEmitGridResize() {
  return useGridSizeStore(function(state) {
    return state.incrementResizeCount;
  });
}
function useVitessceContainer(ref2) {
  return useCallback(function() {
    if (ref2.current) {
      return ref2.current.closest(".".concat(VITESSCE_CONTAINER));
    }
    return null;
  }, [ref2]);
}
function useReady(supportedItems) {
  var items2 = supportedItems;
  var _useState11 = useState(items2), _useState12 = _slicedToArray$2(_useState11, 2), waiting = _useState12[0], setWaiting = _useState12[1];
  var setItemIsReady = useCallback(function(readyItem) {
    setWaiting(function(waitingItems) {
      var nextWaitingItems = waitingItems.filter(function(item) {
        return item !== readyItem;
      });
      console.log("cleared ".concat(readyItem, "; waiting on ").concat(nextWaitingItems.length, ": ").concat(JSON.stringify(nextWaitingItems)));
      return nextWaitingItems;
    });
  }, [setWaiting]);
  var setItemIsNotReady = useCallback(function(notReadyItem) {
    setWaiting(function(waitingItems) {
      var nextWaitingItems = [].concat(_toConsumableArray$2(waitingItems), [notReadyItem]);
      console.log("waiting on ".concat(nextWaitingItems.length, ": ").concat(JSON.stringify(nextWaitingItems)));
      return nextWaitingItems;
    });
  }, [setWaiting]);
  var resetReadyItems = useCallback(function() {
    setWaiting(items2);
    console.log("waiting on ".concat(items2.length, ": ").concat(JSON.stringify(items2)));
  }, [setWaiting, items2]);
  var isReady = waiting.length === 0;
  return [isReady, setItemIsReady, setItemIsNotReady, resetReadyItems];
}
function useUrls() {
  var _useState13 = useState([]), _useState14 = _slicedToArray$2(_useState13, 2), urls = _useState14[0], setUrls = _useState14[1];
  var addUrl = useCallback(function(url, name2) {
    if (url) {
      setUrls(function(prev) {
        return [].concat(_toConsumableArray$2(prev), [{
          url,
          name: name2
        }]);
      });
    }
  }, [setUrls]);
  var resetUrls = useCallback(function() {
    setUrls([]);
  }, [setUrls]);
  return [urls, addUrl, resetUrls];
}
function useClosestVitessceContainerSize(ref2) {
  var _useState15 = useState(), _useState16 = _slicedToArray$2(_useState15, 2), height = _useState16[0], setHeight = _useState16[1];
  var _useState17 = useState(), _useState18 = _slicedToArray$2(_useState17, 2), width = _useState18[0], setWidth = _useState18[1];
  useEffect(function() {
    function onWindowResize() {
      if (ref2.current) {
        var _ref$current$closest = ref2.current.closest(".vitessce-container"), componentHeight = _ref$current$closest.clientHeight, componentWidth = _ref$current$closest.clientWidth;
        setWidth(componentWidth);
        setHeight(componentHeight);
      }
    }
    var onResizeDebounced = debounce_1(onWindowResize, 100, {
      trailing: true
    });
    window.addEventListener("resize", onResizeDebounced);
    onWindowResize();
    return function() {
      window.removeEventListener("resize", onResizeDebounced);
    };
  }, [ref2]);
  return [width, height];
}
var styles$4 = makeStyles(function() {
  return {
    paper: {
      maxHeight: 200,
      overflow: "auto"
    },
    container: {
      position: "relative",
      left: 0,
      top: 0
    },
    span: {
      width: "70px",
      textAlign: "center",
      paddingLeft: "2px",
      paddingRight: "2px"
    }
  };
});
var muiTheme = {
  dark: createTheme({
    palette: {
      type: "dark",
      primary: grey$1,
      secondary: grey$1,
      primaryBackground: "#222222",
      primaryBackgroundHighlight: "#000000",
      primaryBackgroundInput: "#D3D3D3",
      primaryBackgroundDim: "#333333",
      primaryBackgroundLight: "#757575",
      primaryForeground: "#D3D3D3",
      primaryForegroundDim: "#000000",
      primaryForegroundActive: "#9bb7d6",
      secondaryBackground: "#000000",
      secondaryBackgroundDim: "#444444",
      secondaryForeground: "#D3D3D3"
    },
    props: {
      MuiButtonBase: {
        disableRipple: true
      }
    }
  }),
  light: createTheme({
    palette: {
      type: "light",
      primary: grey$1,
      secondary: grey$1,
      primaryBackground: "#F1F1F1",
      primaryBackgroundHighlight: "#FFFFFF",
      primaryBackgroundInput: "#FFFFFF",
      primaryBackgroundDim: "#8A8A8A",
      primaryBackgroundLight: "#e0e0e0",
      primaryForeground: "#333333",
      primaryForegroundDim: "#808080",
      primaryForegroundActive: "#0074D9",
      secondaryBackground: "#F1F1F1",
      secondaryBackgroundDim: "#C0C0C0",
      secondaryForeground: "#222222"
    },
    props: {
      MuiButtonBase: {
        disableRipple: true
      }
    }
  })
};
function PopperMenu(props) {
  var buttonIcon = props.buttonIcon, open = props.open, setOpen = props.setOpen, children2 = props.children, buttonClassName = props.buttonClassName, _props$placement = props.placement, placement = _props$placement === void 0 ? "bottom-end" : _props$placement;
  var classes = styles$4();
  var anchorRef = useRef();
  var handleClick = function handleClick2() {
    setOpen(function(prev) {
      return !prev;
    });
  };
  var handleClose = function handleClose2() {
    setOpen(false);
  };
  var id = open ? "v-popover-menu" : void 0;
  var getTooltipContainer = useVitessceContainer(anchorRef);
  return /* @__PURE__ */ React__default.createElement("div", {
    ref: anchorRef,
    className: classes.container
  }, /* @__PURE__ */ React__default.createElement(IconButton$1, {
    "aria-describedby": id,
    onClick: handleClick,
    size: "small",
    className: buttonClassName
  }, buttonIcon), /* @__PURE__ */ React__default.createElement(Popper$1, {
    id,
    open,
    anchorEl: anchorRef && anchorRef.current,
    container: getTooltipContainer,
    onClose: handleClose,
    placement,
    transition: true
  }, function(_ref) {
    var TransitionProps = _ref.TransitionProps;
    return /* @__PURE__ */ React__default.createElement(ClickAwayListener, {
      onClickAway: handleClose
    }, /* @__PURE__ */ React__default.createElement(Fade$1, Object.assign({}, TransitionProps, {
      timeout: 100
    }), /* @__PURE__ */ React__default.createElement(Paper$1, {
      elevation: 4,
      className: classes.paper
    }, /* @__PURE__ */ React__default.createElement(MenuList$1, null, children2))));
  }));
}
var useStyles = makeStyles(function(theme) {
  return {
    iconButton: {
      border: "none",
      marginLeft: 0,
      background: "none",
      color: theme.palette.primaryForeground,
      paddingLeft: "0.25em",
      paddingRight: "0.25em",
      borderRadius: "2px",
      "&:hover": {
        backgroundColor: theme.palette.primaryBackgroundLight
      },
      "&:first-child": {
        marginLeft: "0.25em"
      },
      "&:last-child": {
        marginRight: "0.25em"
      },
      "& svg": {
        width: "0.7em",
        height: "0.7em",
        verticalAlign: "middle",
        overflow: "visible"
      }
    },
    downloadLink: {
      color: theme.palette.primaryForeground
    }
  };
});
function SettingsIconWithArrow(_ref) {
  var open = _ref.open;
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement(default_1$1, null), open ? /* @__PURE__ */ React__default.createElement(default_1$2, null) : /* @__PURE__ */ React__default.createElement(default_1$3, null));
}
function PlotOptions(props) {
  var options = props.options;
  var _useState = useState(false), _useState2 = _slicedToArray$2(_useState, 2), open = _useState2[0], setOpen = _useState2[1];
  var classes = useStyles();
  return /* @__PURE__ */ React__default.createElement(PopperMenu, {
    open,
    setOpen,
    buttonIcon: /* @__PURE__ */ React__default.createElement(SettingsIconWithArrow, {
      open
    }),
    buttonClassName: classes.iconButton,
    placement: "bottom-end"
  }, options);
}
function CloudDownloadIconWithArrow(_ref2) {
  var open = _ref2.open;
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement(default_1$4, null), open ? /* @__PURE__ */ React__default.createElement(default_1$2, null) : /* @__PURE__ */ React__default.createElement(default_1$3, null));
}
function DownloadOptions(props) {
  var urls = props.urls;
  var _useState3 = useState(false), _useState4 = _slicedToArray$2(_useState3, 2), open = _useState4[0], setOpen = _useState4[1];
  var classes = useStyles();
  return /* @__PURE__ */ React__default.createElement(PopperMenu, {
    open,
    setOpen,
    buttonIcon: /* @__PURE__ */ React__default.createElement(CloudDownloadIconWithArrow, {
      open
    }),
    buttonClassName: classes.iconButton,
    placement: "bottom-end"
  }, urls.map(function(_ref3) {
    var url = _ref3.url, name2 = _ref3.name;
    return /* @__PURE__ */ React__default.createElement(MenuItem$1, {
      dense: true,
      key: url
    }, /* @__PURE__ */ React__default.createElement(Link$1, {
      underline: "none",
      href: url,
      target: "_blank",
      rel: "noopener",
      className: classes.downloadLink
    }, "Download ", name2));
  }));
}
function ClosePaneButton(props) {
  var removeGridComponent = props.removeGridComponent;
  var classes = useStyles();
  return /* @__PURE__ */ React__default.createElement(IconButton$1, {
    onClick: removeGridComponent,
    size: "small",
    className: classes.iconButton,
    title: "close"
  }, /* @__PURE__ */ React__default.createElement(default_1, null));
}
function TitleInfo(props) {
  var title2 = props.title, info = props.info, children2 = props.children, isScroll = props.isScroll, isSpatial = props.isSpatial, removeGridComponent = props.removeGridComponent, urls = props.urls, isReady = props.isReady, options = props.options;
  var childClassName = isScroll ? SCROLL_CARD : isSpatial ? BLACK_CARD : SECONDARY_CARD;
  return /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, /* @__PURE__ */ React__default.createElement("div", {
    className: "title"
  }, /* @__PURE__ */ React__default.createElement("div", {
    className: "title-left"
  }, title2), /* @__PURE__ */ React__default.createElement("div", {
    className: "title-info",
    title: info
  }, info), /* @__PURE__ */ React__default.createElement("div", {
    className: "title-buttons"
  }, options && /* @__PURE__ */ React__default.createElement(PlotOptions, {
    options
  }), urls && urls.length > 0 && /* @__PURE__ */ React__default.createElement(DownloadOptions, {
    urls
  }), /* @__PURE__ */ React__default.createElement(ClosePaneButton, {
    removeGridComponent
  }))), /* @__PURE__ */ React__default.createElement("div", {
    className: childClassName
  }, !isReady && /* @__PURE__ */ React__default.createElement(LoadingIndicator, null), children2));
}
function MyPluginView(props) {
  var spatialZoom = props.spatialZoom, setSpatialZoom = props.setSpatialZoom;
  function handleClick() {
    setSpatialZoom(-10 + Math.random() * 10);
  }
  return /* @__PURE__ */ React__default.createElement("div", null, /* @__PURE__ */ React__default.createElement("p", null, "Zoom level: ", /* @__PURE__ */ React__default.createElement("b", null, spatialZoom)), /* @__PURE__ */ React__default.createElement("p", null, /* @__PURE__ */ React__default.createElement("button", {
    onClick: handleClick
  }, "Try a random zoom level")));
}
function MyPluginViewSubscriber(props) {
  var coordinationScopes = props.coordinationScopes, removeGridComponent = props.removeGridComponent, theme = props.theme, _props$title = props.title, title2 = _props$title === void 0 ? "My plugin view" : _props$title;
  var _useCoordination = useCoordination([CoordinationType$2.DATASET, CoordinationType$2.SPATIAL_ZOOM], coordinationScopes), _useCoordination2 = _slicedToArray$2(_useCoordination, 2), spatialZoom = _useCoordination2[0].spatialZoom, setSpatialZoom = _useCoordination2[1].setSpatialZoom;
  return /* @__PURE__ */ React__default.createElement(TitleInfo, {
    title: title2,
    theme,
    removeGridComponent,
    isReady: true
  }, /* @__PURE__ */ React__default.createElement(MyPluginView, {
    spatialZoom,
    setSpatialZoom
  }));
}
registerPluginViewType("myCustomZoomController", MyPluginViewSubscriber, [CoordinationType$2.DATASET, CoordinationType$2.SPATIAL_ZOOM]);
var pluginViewType = {
  name: "Test plugin view types",
  version: "1.0.9",
  description: "Demonstration of a basic plugin view implementation.",
  public: false,
  datasets: [{
    uid: "plugin-test-dataset",
    name: "Plugin test dataset",
    files: [{
      type: "raster",
      fileType: "raster.json",
      url: "https://s3.amazonaws.com/vitessce-data/0.0.31/master_release/spraggins/spraggins.raster.json"
    }]
  }],
  initStrategy: "auto",
  coordinationSpace: {
    spatialZoom: {
      A: -6.5
    }
  },
  layout: [{
    component: "description",
    props: {
      title: "Description"
    },
    x: 10,
    y: 0,
    w: 2,
    h: 2
  }, {
    component: "spatial",
    coordinationScopes: {
      spatialZoom: "A"
    },
    x: 2,
    y: 0,
    w: 8,
    h: 2
  }, {
    component: "myCustomZoomController",
    coordinationScopes: {
      spatialZoom: "A"
    },
    x: 0,
    y: 0,
    w: 2,
    h: 2
  }]
};
var styles$3 = function styles9(theme) {
  return {
    thumb: {
      "&$open": {
        "& $offset": {
          transform: "scale(1) translateY(-10px)"
        }
      }
    },
    open: {},
    offset: _extends$5({
      zIndex: 1
    }, theme.typography.body2, {
      fontSize: theme.typography.pxToRem(12),
      lineHeight: 1.2,
      transition: theme.transitions.create(["transform"], {
        duration: theme.transitions.duration.shortest
      }),
      top: -34,
      transformOrigin: "bottom center",
      transform: "scale(0)",
      position: "absolute"
    }),
    circle: {
      display: "flex",
      alignItems: "center",
      justifyContent: "center",
      width: 32,
      height: 32,
      borderRadius: "50% 50% 50% 0",
      backgroundColor: "currentColor",
      transform: "rotate(-45deg)"
    },
    label: {
      color: theme.palette.primary.contrastText,
      transform: "rotate(45deg)"
    }
  };
};
function ValueLabel(props) {
  var children2 = props.children, classes = props.classes, className = props.className, open = props.open, value = props.value, valueLabelDisplay = props.valueLabelDisplay;
  if (valueLabelDisplay === "off") {
    return children2;
  }
  return /* @__PURE__ */ React$8.cloneElement(children2, {
    className: clsx(children2.props.className, (open || valueLabelDisplay === "on") && classes.open, classes.thumb)
  }, /* @__PURE__ */ React$8.createElement("span", {
    className: clsx(classes.offset, className)
  }, /* @__PURE__ */ React$8.createElement("span", {
    className: classes.circle
  }, /* @__PURE__ */ React$8.createElement("span", {
    className: classes.label
  }, value))));
}
var ValueLabel$1 = withStyles2(styles$3, {
  name: "PrivateValueLabel"
})(ValueLabel);
function asc(a, b2) {
  return a - b2;
}
function clamp$1(value, min, max) {
  return Math.min(Math.max(min, value), max);
}
function findClosest(values2, currentValue) {
  var _values$reduce = values2.reduce(function(acc, value, index2) {
    var distance = Math.abs(currentValue - value);
    if (acc === null || distance < acc.distance || distance === acc.distance) {
      return {
        distance,
        index: index2
      };
    }
    return acc;
  }, null), closestIndex = _values$reduce.index;
  return closestIndex;
}
function trackFinger(event, touchId) {
  if (touchId.current !== void 0 && event.changedTouches) {
    for (var i = 0; i < event.changedTouches.length; i += 1) {
      var touch = event.changedTouches[i];
      if (touch.identifier === touchId.current) {
        return {
          x: touch.clientX,
          y: touch.clientY
        };
      }
    }
    return false;
  }
  return {
    x: event.clientX,
    y: event.clientY
  };
}
function valueToPercent(value, min, max) {
  return (value - min) * 100 / (max - min);
}
function percentToValue(percent2, min, max) {
  return (max - min) * percent2 + min;
}
function getDecimalPrecision(num) {
  if (Math.abs(num) < 1) {
    var parts = num.toExponential().split("e-");
    var matissaDecimalPart = parts[0].split(".")[1];
    return (matissaDecimalPart ? matissaDecimalPart.length : 0) + parseInt(parts[1], 10);
  }
  var decimalPart = num.toString().split(".")[1];
  return decimalPart ? decimalPart.length : 0;
}
function roundValueToStep(value, step, min) {
  var nearest = Math.round((value - min) / step) * step + min;
  return Number(nearest.toFixed(getDecimalPrecision(step)));
}
function setValueIndex(_ref) {
  var values2 = _ref.values, source = _ref.source, newValue = _ref.newValue, index2 = _ref.index;
  if (values2[index2] === newValue) {
    return source;
  }
  var output = values2.slice();
  output[index2] = newValue;
  return output;
}
function focusThumb(_ref2) {
  var sliderRef = _ref2.sliderRef, activeIndex = _ref2.activeIndex, setActive = _ref2.setActive;
  if (!sliderRef.current.contains(document.activeElement) || Number(document.activeElement.getAttribute("data-index")) !== activeIndex) {
    sliderRef.current.querySelector('[role="slider"][data-index="'.concat(activeIndex, '"]')).focus();
  }
  if (setActive) {
    setActive(activeIndex);
  }
}
var axisProps = {
  horizontal: {
    offset: function offset2(percent2) {
      return {
        left: "".concat(percent2, "%")
      };
    },
    leap: function leap(percent2) {
      return {
        width: "".concat(percent2, "%")
      };
    }
  },
  "horizontal-reverse": {
    offset: function offset3(percent2) {
      return {
        right: "".concat(percent2, "%")
      };
    },
    leap: function leap2(percent2) {
      return {
        width: "".concat(percent2, "%")
      };
    }
  },
  vertical: {
    offset: function offset4(percent2) {
      return {
        bottom: "".concat(percent2, "%")
      };
    },
    leap: function leap3(percent2) {
      return {
        height: "".concat(percent2, "%")
      };
    }
  }
};
var Identity = function Identity2(x2) {
  return x2;
};
var styles$2 = function styles10(theme) {
  return {
    root: {
      height: 2,
      width: "100%",
      boxSizing: "content-box",
      padding: "13px 0",
      display: "inline-block",
      position: "relative",
      cursor: "pointer",
      touchAction: "none",
      color: theme.palette.primary.main,
      WebkitTapHighlightColor: "transparent",
      "&$disabled": {
        pointerEvents: "none",
        cursor: "default",
        color: theme.palette.grey[400]
      },
      "&$vertical": {
        width: 2,
        height: "100%",
        padding: "0 13px"
      },
      "@media (pointer: coarse)": {
        padding: "20px 0",
        "&$vertical": {
          padding: "0 20px"
        }
      },
      "@media print": {
        colorAdjust: "exact"
      }
    },
    colorPrimary: {},
    colorSecondary: {
      color: theme.palette.secondary.main
    },
    marked: {
      marginBottom: 20,
      "&$vertical": {
        marginBottom: "auto",
        marginRight: 20
      }
    },
    vertical: {},
    disabled: {},
    rail: {
      display: "block",
      position: "absolute",
      width: "100%",
      height: 2,
      borderRadius: 1,
      backgroundColor: "currentColor",
      opacity: 0.38,
      "$vertical &": {
        height: "100%",
        width: 2
      }
    },
    track: {
      display: "block",
      position: "absolute",
      height: 2,
      borderRadius: 1,
      backgroundColor: "currentColor",
      "$vertical &": {
        width: 2
      }
    },
    trackFalse: {
      "& $track": {
        display: "none"
      }
    },
    trackInverted: {
      "& $track": {
        backgroundColor: theme.palette.type === "light" ? lighten(theme.palette.primary.main, 0.62) : darken(theme.palette.primary.main, 0.5)
      },
      "& $rail": {
        opacity: 1
      }
    },
    thumb: {
      position: "absolute",
      width: 12,
      height: 12,
      marginLeft: -6,
      marginTop: -5,
      boxSizing: "border-box",
      borderRadius: "50%",
      outline: 0,
      backgroundColor: "currentColor",
      display: "flex",
      alignItems: "center",
      justifyContent: "center",
      transition: theme.transitions.create(["box-shadow"], {
        duration: theme.transitions.duration.shortest
      }),
      "&::after": {
        position: "absolute",
        content: '""',
        borderRadius: "50%",
        left: -15,
        top: -15,
        right: -15,
        bottom: -15
      },
      "&$focusVisible,&:hover": {
        boxShadow: "0px 0px 0px 8px ".concat(alpha(theme.palette.primary.main, 0.16)),
        "@media (hover: none)": {
          boxShadow: "none"
        }
      },
      "&$active": {
        boxShadow: "0px 0px 0px 14px ".concat(alpha(theme.palette.primary.main, 0.16))
      },
      "&$disabled": {
        width: 8,
        height: 8,
        marginLeft: -4,
        marginTop: -3,
        "&:hover": {
          boxShadow: "none"
        }
      },
      "$vertical &": {
        marginLeft: -5,
        marginBottom: -6
      },
      "$vertical &$disabled": {
        marginLeft: -3,
        marginBottom: -4
      }
    },
    thumbColorPrimary: {},
    thumbColorSecondary: {
      "&$focusVisible,&:hover": {
        boxShadow: "0px 0px 0px 8px ".concat(alpha(theme.palette.secondary.main, 0.16))
      },
      "&$active": {
        boxShadow: "0px 0px 0px 14px ".concat(alpha(theme.palette.secondary.main, 0.16))
      }
    },
    active: {},
    focusVisible: {},
    valueLabel: {
      left: "calc(-50% - 4px)"
    },
    mark: {
      position: "absolute",
      width: 2,
      height: 2,
      borderRadius: 1,
      backgroundColor: "currentColor"
    },
    markActive: {
      backgroundColor: theme.palette.background.paper,
      opacity: 0.8
    },
    markLabel: _extends$5({}, theme.typography.body2, {
      color: theme.palette.text.secondary,
      position: "absolute",
      top: 26,
      transform: "translateX(-50%)",
      whiteSpace: "nowrap",
      "$vertical &": {
        top: "auto",
        left: 26,
        transform: "translateY(50%)"
      },
      "@media (pointer: coarse)": {
        top: 40,
        "$vertical &": {
          left: 31
        }
      }
    }),
    markLabelActive: {
      color: theme.palette.text.primary
    }
  };
};
var Slider = /* @__PURE__ */ React$8.forwardRef(function Slider2(props, ref2) {
  var ariaLabel = props["aria-label"], ariaLabelledby = props["aria-labelledby"], ariaValuetext = props["aria-valuetext"], classes = props.classes, className = props.className, _props$color = props.color, color = _props$color === void 0 ? "primary" : _props$color, _props$component = props.component, Component2 = _props$component === void 0 ? "span" : _props$component, defaultValue = props.defaultValue, _props$disabled = props.disabled, disabled = _props$disabled === void 0 ? false : _props$disabled, getAriaLabel = props.getAriaLabel, getAriaValueText = props.getAriaValueText, _props$marks = props.marks, marksProp = _props$marks === void 0 ? false : _props$marks, _props$max = props.max, max = _props$max === void 0 ? 100 : _props$max, _props$min = props.min, min = _props$min === void 0 ? 0 : _props$min, name2 = props.name, onChange = props.onChange, onChangeCommitted = props.onChangeCommitted, onMouseDown2 = props.onMouseDown, _props$orientation = props.orientation, orientation = _props$orientation === void 0 ? "horizontal" : _props$orientation, _props$scale = props.scale, scale = _props$scale === void 0 ? Identity : _props$scale, _props$step = props.step, step = _props$step === void 0 ? 1 : _props$step, _props$ThumbComponent = props.ThumbComponent, ThumbComponent = _props$ThumbComponent === void 0 ? "span" : _props$ThumbComponent, _props$track = props.track, track = _props$track === void 0 ? "normal" : _props$track, valueProp = props.value, _props$ValueLabelComp = props.ValueLabelComponent, ValueLabelComponent = _props$ValueLabelComp === void 0 ? ValueLabel$1 : _props$ValueLabelComp, _props$valueLabelDisp = props.valueLabelDisplay, valueLabelDisplay = _props$valueLabelDisp === void 0 ? "off" : _props$valueLabelDisp, _props$valueLabelForm = props.valueLabelFormat, valueLabelFormat = _props$valueLabelForm === void 0 ? Identity : _props$valueLabelForm, other = _objectWithoutProperties$2(props, ["aria-label", "aria-labelledby", "aria-valuetext", "classes", "className", "color", "component", "defaultValue", "disabled", "getAriaLabel", "getAriaValueText", "marks", "max", "min", "name", "onChange", "onChangeCommitted", "onMouseDown", "orientation", "scale", "step", "ThumbComponent", "track", "value", "ValueLabelComponent", "valueLabelDisplay", "valueLabelFormat"]);
  var theme = useTheme();
  var touchId = React$8.useRef();
  var _React$useState = React$8.useState(-1), active = _React$useState[0], setActive = _React$useState[1];
  var _React$useState2 = React$8.useState(-1), open = _React$useState2[0], setOpen = _React$useState2[1];
  var _useControlled = useControlled({
    controlled: valueProp,
    default: defaultValue,
    name: "Slider"
  }), _useControlled2 = _slicedToArray$1(_useControlled, 2), valueDerived = _useControlled2[0], setValueState = _useControlled2[1];
  var range2 = Array.isArray(valueDerived);
  var values2 = range2 ? valueDerived.slice().sort(asc) : [valueDerived];
  values2 = values2.map(function(value) {
    return clamp$1(value, min, max);
  });
  var marks = marksProp === true && step !== null ? _toConsumableArray$1(Array(Math.floor((max - min) / step) + 1)).map(function(_, index2) {
    return {
      value: min + step * index2
    };
  }) : marksProp || [];
  var _useIsFocusVisible = useIsFocusVisible(), isFocusVisible2 = _useIsFocusVisible.isFocusVisible, onBlurVisible = _useIsFocusVisible.onBlurVisible, focusVisibleRef = _useIsFocusVisible.ref;
  var _React$useState3 = React$8.useState(-1), focusVisible = _React$useState3[0], setFocusVisible = _React$useState3[1];
  var sliderRef = React$8.useRef();
  var handleFocusRef = useForkRef(focusVisibleRef, sliderRef);
  var handleRef = useForkRef(ref2, handleFocusRef);
  var handleFocus = useEventCallback(function(event) {
    var index2 = Number(event.currentTarget.getAttribute("data-index"));
    if (isFocusVisible2(event)) {
      setFocusVisible(index2);
    }
    setOpen(index2);
  });
  var handleBlur = useEventCallback(function() {
    if (focusVisible !== -1) {
      setFocusVisible(-1);
      onBlurVisible();
    }
    setOpen(-1);
  });
  var handleMouseOver = useEventCallback(function(event) {
    var index2 = Number(event.currentTarget.getAttribute("data-index"));
    setOpen(index2);
  });
  var handleMouseLeave = useEventCallback(function() {
    setOpen(-1);
  });
  var isRtl = theme.direction === "rtl";
  var handleKeyDown2 = useEventCallback(function(event) {
    var index2 = Number(event.currentTarget.getAttribute("data-index"));
    var value = values2[index2];
    var tenPercents = (max - min) / 10;
    var marksValues = marks.map(function(mark) {
      return mark.value;
    });
    var marksIndex = marksValues.indexOf(value);
    var newValue;
    var increaseKey = isRtl ? "ArrowLeft" : "ArrowRight";
    var decreaseKey = isRtl ? "ArrowRight" : "ArrowLeft";
    switch (event.key) {
      case "Home":
        newValue = min;
        break;
      case "End":
        newValue = max;
        break;
      case "PageUp":
        if (step) {
          newValue = value + tenPercents;
        }
        break;
      case "PageDown":
        if (step) {
          newValue = value - tenPercents;
        }
        break;
      case increaseKey:
      case "ArrowUp":
        if (step) {
          newValue = value + step;
        } else {
          newValue = marksValues[marksIndex + 1] || marksValues[marksValues.length - 1];
        }
        break;
      case decreaseKey:
      case "ArrowDown":
        if (step) {
          newValue = value - step;
        } else {
          newValue = marksValues[marksIndex - 1] || marksValues[0];
        }
        break;
      default:
        return;
    }
    event.preventDefault();
    if (step) {
      newValue = roundValueToStep(newValue, step, min);
    }
    newValue = clamp$1(newValue, min, max);
    if (range2) {
      var previousValue = newValue;
      newValue = setValueIndex({
        values: values2,
        source: valueDerived,
        newValue,
        index: index2
      }).sort(asc);
      focusThumb({
        sliderRef,
        activeIndex: newValue.indexOf(previousValue)
      });
    }
    setValueState(newValue);
    setFocusVisible(index2);
    if (onChange) {
      onChange(event, newValue);
    }
    if (onChangeCommitted) {
      onChangeCommitted(event, newValue);
    }
  });
  var previousIndex = React$8.useRef();
  var axis = orientation;
  if (isRtl && orientation !== "vertical") {
    axis += "-reverse";
  }
  var getFingerNewValue = function getFingerNewValue2(_ref3) {
    var finger = _ref3.finger, _ref3$move = _ref3.move, move = _ref3$move === void 0 ? false : _ref3$move, values22 = _ref3.values, source = _ref3.source;
    var slider = sliderRef.current;
    var _slider$getBoundingCl = slider.getBoundingClientRect(), width = _slider$getBoundingCl.width, height = _slider$getBoundingCl.height, bottom2 = _slider$getBoundingCl.bottom, left = _slider$getBoundingCl.left;
    var percent2;
    if (axis.indexOf("vertical") === 0) {
      percent2 = (bottom2 - finger.y) / height;
    } else {
      percent2 = (finger.x - left) / width;
    }
    if (axis.indexOf("-reverse") !== -1) {
      percent2 = 1 - percent2;
    }
    var newValue;
    newValue = percentToValue(percent2, min, max);
    if (step) {
      newValue = roundValueToStep(newValue, step, min);
    } else {
      var marksValues = marks.map(function(mark) {
        return mark.value;
      });
      var closestIndex = findClosest(marksValues, newValue);
      newValue = marksValues[closestIndex];
    }
    newValue = clamp$1(newValue, min, max);
    var activeIndex = 0;
    if (range2) {
      if (!move) {
        activeIndex = findClosest(values22, newValue);
      } else {
        activeIndex = previousIndex.current;
      }
      var previousValue = newValue;
      newValue = setValueIndex({
        values: values22,
        source,
        newValue,
        index: activeIndex
      }).sort(asc);
      activeIndex = newValue.indexOf(previousValue);
      previousIndex.current = activeIndex;
    }
    return {
      newValue,
      activeIndex
    };
  };
  var handleTouchMove = useEventCallback(function(event) {
    var finger = trackFinger(event, touchId);
    if (!finger) {
      return;
    }
    var _getFingerNewValue = getFingerNewValue({
      finger,
      move: true,
      values: values2,
      source: valueDerived
    }), newValue = _getFingerNewValue.newValue, activeIndex = _getFingerNewValue.activeIndex;
    focusThumb({
      sliderRef,
      activeIndex,
      setActive
    });
    setValueState(newValue);
    if (onChange) {
      onChange(event, newValue);
    }
  });
  var handleTouchEnd = useEventCallback(function(event) {
    var finger = trackFinger(event, touchId);
    if (!finger) {
      return;
    }
    var _getFingerNewValue2 = getFingerNewValue({
      finger,
      values: values2,
      source: valueDerived
    }), newValue = _getFingerNewValue2.newValue;
    setActive(-1);
    if (event.type === "touchend") {
      setOpen(-1);
    }
    if (onChangeCommitted) {
      onChangeCommitted(event, newValue);
    }
    touchId.current = void 0;
    var doc = ownerDocument(sliderRef.current);
    doc.removeEventListener("mousemove", handleTouchMove);
    doc.removeEventListener("mouseup", handleTouchEnd);
    doc.removeEventListener("touchmove", handleTouchMove);
    doc.removeEventListener("touchend", handleTouchEnd);
  });
  var handleTouchStart = useEventCallback(function(event) {
    event.preventDefault();
    var touch = event.changedTouches[0];
    if (touch != null) {
      touchId.current = touch.identifier;
    }
    var finger = trackFinger(event, touchId);
    var _getFingerNewValue3 = getFingerNewValue({
      finger,
      values: values2,
      source: valueDerived
    }), newValue = _getFingerNewValue3.newValue, activeIndex = _getFingerNewValue3.activeIndex;
    focusThumb({
      sliderRef,
      activeIndex,
      setActive
    });
    setValueState(newValue);
    if (onChange) {
      onChange(event, newValue);
    }
    var doc = ownerDocument(sliderRef.current);
    doc.addEventListener("touchmove", handleTouchMove);
    doc.addEventListener("touchend", handleTouchEnd);
  });
  React$8.useEffect(function() {
    var slider = sliderRef.current;
    slider.addEventListener("touchstart", handleTouchStart);
    var doc = ownerDocument(slider);
    return function() {
      slider.removeEventListener("touchstart", handleTouchStart);
      doc.removeEventListener("mousemove", handleTouchMove);
      doc.removeEventListener("mouseup", handleTouchEnd);
      doc.removeEventListener("touchmove", handleTouchMove);
      doc.removeEventListener("touchend", handleTouchEnd);
    };
  }, [handleTouchEnd, handleTouchMove, handleTouchStart]);
  var handleMouseDown = useEventCallback(function(event) {
    if (onMouseDown2) {
      onMouseDown2(event);
    }
    event.preventDefault();
    var finger = trackFinger(event, touchId);
    var _getFingerNewValue4 = getFingerNewValue({
      finger,
      values: values2,
      source: valueDerived
    }), newValue = _getFingerNewValue4.newValue, activeIndex = _getFingerNewValue4.activeIndex;
    focusThumb({
      sliderRef,
      activeIndex,
      setActive
    });
    setValueState(newValue);
    if (onChange) {
      onChange(event, newValue);
    }
    var doc = ownerDocument(sliderRef.current);
    doc.addEventListener("mousemove", handleTouchMove);
    doc.addEventListener("mouseup", handleTouchEnd);
  });
  var trackOffset = valueToPercent(range2 ? values2[0] : min, min, max);
  var trackLeap = valueToPercent(values2[values2.length - 1], min, max) - trackOffset;
  var trackStyle = _extends$5({}, axisProps[axis].offset(trackOffset), axisProps[axis].leap(trackLeap));
  return /* @__PURE__ */ React$8.createElement(Component2, _extends$5({
    ref: handleRef,
    className: clsx(classes.root, classes["color".concat(capitalize(color))], className, disabled && classes.disabled, marks.length > 0 && marks.some(function(mark) {
      return mark.label;
    }) && classes.marked, track === false && classes.trackFalse, orientation === "vertical" && classes.vertical, track === "inverted" && classes.trackInverted),
    onMouseDown: handleMouseDown
  }, other), /* @__PURE__ */ React$8.createElement("span", {
    className: classes.rail
  }), /* @__PURE__ */ React$8.createElement("span", {
    className: classes.track,
    style: trackStyle
  }), /* @__PURE__ */ React$8.createElement("input", {
    value: values2.join(","),
    name: name2,
    type: "hidden"
  }), marks.map(function(mark, index2) {
    var percent2 = valueToPercent(mark.value, min, max);
    var style = axisProps[axis].offset(percent2);
    var markActive;
    if (track === false) {
      markActive = values2.indexOf(mark.value) !== -1;
    } else {
      markActive = track === "normal" && (range2 ? mark.value >= values2[0] && mark.value <= values2[values2.length - 1] : mark.value <= values2[0]) || track === "inverted" && (range2 ? mark.value <= values2[0] || mark.value >= values2[values2.length - 1] : mark.value >= values2[0]);
    }
    return /* @__PURE__ */ React$8.createElement(React$8.Fragment, {
      key: mark.value
    }, /* @__PURE__ */ React$8.createElement("span", {
      style,
      "data-index": index2,
      className: clsx(classes.mark, markActive && classes.markActive)
    }), mark.label != null ? /* @__PURE__ */ React$8.createElement("span", {
      "aria-hidden": true,
      "data-index": index2,
      style,
      className: clsx(classes.markLabel, markActive && classes.markLabelActive)
    }, mark.label) : null);
  }), values2.map(function(value, index2) {
    var percent2 = valueToPercent(value, min, max);
    var style = axisProps[axis].offset(percent2);
    return /* @__PURE__ */ React$8.createElement(ValueLabelComponent, {
      key: index2,
      valueLabelFormat,
      valueLabelDisplay,
      className: classes.valueLabel,
      value: typeof valueLabelFormat === "function" ? valueLabelFormat(scale(value), index2) : valueLabelFormat,
      index: index2,
      open: open === index2 || active === index2 || valueLabelDisplay === "on",
      disabled
    }, /* @__PURE__ */ React$8.createElement(ThumbComponent, {
      className: clsx(classes.thumb, classes["thumbColor".concat(capitalize(color))], active === index2 && classes.active, disabled && classes.disabled, focusVisible === index2 && classes.focusVisible),
      tabIndex: disabled ? null : 0,
      role: "slider",
      style,
      "data-index": index2,
      "aria-label": getAriaLabel ? getAriaLabel(index2) : ariaLabel,
      "aria-labelledby": ariaLabelledby,
      "aria-orientation": orientation,
      "aria-valuemax": scale(max),
      "aria-valuemin": scale(min),
      "aria-valuenow": scale(value),
      "aria-valuetext": getAriaValueText ? getAriaValueText(scale(value), index2) : ariaValuetext,
      onKeyDown: handleKeyDown2,
      onFocus: handleFocus,
      onBlur: handleBlur,
      onMouseOver: handleMouseOver,
      onMouseLeave: handleMouseLeave
    }));
  }));
});
var Slider$1 = withStyles2(styles$2, {
  name: "MuiSlider"
})(Slider);
function MyPluginSlider(props) {
  var myCustomCoordinationType = props.myCustomCoordinationType, setMyCustomCoordinationType = props.setMyCustomCoordinationType;
  function handleChange(event, newValue) {
    setMyCustomCoordinationType(newValue);
  }
  return /* @__PURE__ */ React__default.createElement("div", null, /* @__PURE__ */ React__default.createElement(Slider$1, {
    value: myCustomCoordinationType,
    onChange: handleChange,
    min: 0,
    max: 1,
    step: 5e-3
  }));
}
function MyPluginSliderSubscriber(props) {
  var coordinationScopes = props.coordinationScopes, removeGridComponent = props.removeGridComponent, theme = props.theme, _props$title = props.title, title2 = _props$title === void 0 ? "My plugin slider" : _props$title;
  var _useCoordination = useCoordination([CoordinationType$2.DATASET, "myCustomCoordinationType"], coordinationScopes), _useCoordination2 = _slicedToArray$2(_useCoordination, 2), myCustomCoordinationType = _useCoordination2[0].myCustomCoordinationType, setMyCustomCoordinationType = _useCoordination2[1].setMyCustomCoordinationType;
  return /* @__PURE__ */ React__default.createElement(TitleInfo, {
    title: title2,
    theme,
    removeGridComponent,
    isReady: true
  }, /* @__PURE__ */ React__default.createElement(MyPluginSlider, {
    myCustomCoordinationType,
    setMyCustomCoordinationType
  }));
}
registerPluginCoordinationType("myCustomCoordinationType", 0.75);
registerPluginViewType("myCustomSlider", MyPluginSliderSubscriber, [CoordinationType$2.DATASET, "myCustomCoordinationType"]);
var pluginCoordinationType = {
  name: "Test plugin views and coordination types",
  version: "1.0.9",
  description: "Demonstration of a plugin coordination type implementation. The left sliders should be coordinated, while the right sliders are independent.",
  public: false,
  datasets: [{
    uid: "plugin-test-dataset",
    name: "Plugin test dataset",
    files: []
  }],
  initStrategy: "auto",
  coordinationSpace: {
    myCustomCoordinationType: {
      A: 0.5,
      B: 0.25,
      C: void 0
    }
  },
  layout: [{
    component: "description",
    props: {
      title: "Description"
    },
    x: 0,
    y: 0,
    w: 2,
    h: 2
  }, {
    component: "myCustomSlider",
    coordinationScopes: {
      myCustomCoordinationType: "A"
    },
    x: 2,
    y: 0,
    w: 2,
    h: 1
  }, {
    component: "myCustomSlider",
    coordinationScopes: {
      myCustomCoordinationType: "A"
    },
    x: 2,
    y: 1,
    w: 2,
    h: 1
  }, {
    component: "myCustomSlider",
    coordinationScopes: {
      myCustomCoordinationType: "B"
    },
    x: 4,
    y: 0,
    w: 2,
    h: 1
  }, {
    component: "myCustomSlider",
    x: 4,
    y: 1,
    w: 2,
    h: 1
  }]
};
var runtime = { exports: {} };
(function(module2) {
  var runtime2 = function(exports) {
    var Op = Object.prototype;
    var hasOwn = Op.hasOwnProperty;
    var undefined$1;
    var $Symbol = typeof Symbol === "function" ? Symbol : {};
    var iteratorSymbol = $Symbol.iterator || "@@iterator";
    var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
    var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";
    function wrap(innerFn, outerFn, self2, tryLocsList) {
      var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
      var generator = Object.create(protoGenerator.prototype);
      var context = new Context(tryLocsList || []);
      generator._invoke = makeInvokeMethod(innerFn, self2, context);
      return generator;
    }
    exports.wrap = wrap;
    function tryCatch(fn, obj, arg) {
      try {
        return { type: "normal", arg: fn.call(obj, arg) };
      } catch (err) {
        return { type: "throw", arg: err };
      }
    }
    var GenStateSuspendedStart = "suspendedStart";
    var GenStateSuspendedYield = "suspendedYield";
    var GenStateExecuting = "executing";
    var GenStateCompleted = "completed";
    var ContinueSentinel = {};
    function Generator() {
    }
    function GeneratorFunction() {
    }
    function GeneratorFunctionPrototype() {
    }
    var IteratorPrototype = {};
    IteratorPrototype[iteratorSymbol] = function() {
      return this;
    };
    var getProto = Object.getPrototypeOf;
    var NativeIteratorPrototype = getProto && getProto(getProto(values2([])));
    if (NativeIteratorPrototype && NativeIteratorPrototype !== Op && hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
      IteratorPrototype = NativeIteratorPrototype;
    }
    var Gp = GeneratorFunctionPrototype.prototype = Generator.prototype = Object.create(IteratorPrototype);
    GeneratorFunction.prototype = Gp.constructor = GeneratorFunctionPrototype;
    GeneratorFunctionPrototype.constructor = GeneratorFunction;
    GeneratorFunctionPrototype[toStringTagSymbol] = GeneratorFunction.displayName = "GeneratorFunction";
    function defineIteratorMethods(prototype) {
      ["next", "throw", "return"].forEach(function(method) {
        prototype[method] = function(arg) {
          return this._invoke(method, arg);
        };
      });
    }
    exports.isGeneratorFunction = function(genFun) {
      var ctor = typeof genFun === "function" && genFun.constructor;
      return ctor ? ctor === GeneratorFunction || (ctor.displayName || ctor.name) === "GeneratorFunction" : false;
    };
    exports.mark = function(genFun) {
      if (Object.setPrototypeOf) {
        Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
      } else {
        genFun.__proto__ = GeneratorFunctionPrototype;
        if (!(toStringTagSymbol in genFun)) {
          genFun[toStringTagSymbol] = "GeneratorFunction";
        }
      }
      genFun.prototype = Object.create(Gp);
      return genFun;
    };
    exports.awrap = function(arg) {
      return { __await: arg };
    };
    function AsyncIterator(generator, PromiseImpl) {
      function invoke(method, arg, resolve2, reject) {
        var record = tryCatch(generator[method], generator, arg);
        if (record.type === "throw") {
          reject(record.arg);
        } else {
          var result = record.arg;
          var value = result.value;
          if (value && typeof value === "object" && hasOwn.call(value, "__await")) {
            return PromiseImpl.resolve(value.__await).then(function(value2) {
              invoke("next", value2, resolve2, reject);
            }, function(err) {
              invoke("throw", err, resolve2, reject);
            });
          }
          return PromiseImpl.resolve(value).then(function(unwrapped) {
            result.value = unwrapped;
            resolve2(result);
          }, function(error) {
            return invoke("throw", error, resolve2, reject);
          });
        }
      }
      var previousPromise;
      function enqueue(method, arg) {
        function callInvokeWithMethodAndArg() {
          return new PromiseImpl(function(resolve2, reject) {
            invoke(method, arg, resolve2, reject);
          });
        }
        return previousPromise = previousPromise ? previousPromise.then(callInvokeWithMethodAndArg, callInvokeWithMethodAndArg) : callInvokeWithMethodAndArg();
      }
      this._invoke = enqueue;
    }
    defineIteratorMethods(AsyncIterator.prototype);
    AsyncIterator.prototype[asyncIteratorSymbol] = function() {
      return this;
    };
    exports.AsyncIterator = AsyncIterator;
    exports.async = function(innerFn, outerFn, self2, tryLocsList, PromiseImpl) {
      if (PromiseImpl === void 0)
        PromiseImpl = Promise;
      var iter = new AsyncIterator(wrap(innerFn, outerFn, self2, tryLocsList), PromiseImpl);
      return exports.isGeneratorFunction(outerFn) ? iter : iter.next().then(function(result) {
        return result.done ? result.value : iter.next();
      });
    };
    function makeInvokeMethod(innerFn, self2, context) {
      var state = GenStateSuspendedStart;
      return function invoke(method, arg) {
        if (state === GenStateExecuting) {
          throw new Error("Generator is already running");
        }
        if (state === GenStateCompleted) {
          if (method === "throw") {
            throw arg;
          }
          return doneResult();
        }
        context.method = method;
        context.arg = arg;
        while (true) {
          var delegate = context.delegate;
          if (delegate) {
            var delegateResult = maybeInvokeDelegate(delegate, context);
            if (delegateResult) {
              if (delegateResult === ContinueSentinel)
                continue;
              return delegateResult;
            }
          }
          if (context.method === "next") {
            context.sent = context._sent = context.arg;
          } else if (context.method === "throw") {
            if (state === GenStateSuspendedStart) {
              state = GenStateCompleted;
              throw context.arg;
            }
            context.dispatchException(context.arg);
          } else if (context.method === "return") {
            context.abrupt("return", context.arg);
          }
          state = GenStateExecuting;
          var record = tryCatch(innerFn, self2, context);
          if (record.type === "normal") {
            state = context.done ? GenStateCompleted : GenStateSuspendedYield;
            if (record.arg === ContinueSentinel) {
              continue;
            }
            return {
              value: record.arg,
              done: context.done
            };
          } else if (record.type === "throw") {
            state = GenStateCompleted;
            context.method = "throw";
            context.arg = record.arg;
          }
        }
      };
    }
    function maybeInvokeDelegate(delegate, context) {
      var method = delegate.iterator[context.method];
      if (method === undefined$1) {
        context.delegate = null;
        if (context.method === "throw") {
          if (delegate.iterator["return"]) {
            context.method = "return";
            context.arg = undefined$1;
            maybeInvokeDelegate(delegate, context);
            if (context.method === "throw") {
              return ContinueSentinel;
            }
          }
          context.method = "throw";
          context.arg = new TypeError("The iterator does not provide a 'throw' method");
        }
        return ContinueSentinel;
      }
      var record = tryCatch(method, delegate.iterator, context.arg);
      if (record.type === "throw") {
        context.method = "throw";
        context.arg = record.arg;
        context.delegate = null;
        return ContinueSentinel;
      }
      var info = record.arg;
      if (!info) {
        context.method = "throw";
        context.arg = new TypeError("iterator result is not an object");
        context.delegate = null;
        return ContinueSentinel;
      }
      if (info.done) {
        context[delegate.resultName] = info.value;
        context.next = delegate.nextLoc;
        if (context.method !== "return") {
          context.method = "next";
          context.arg = undefined$1;
        }
      } else {
        return info;
      }
      context.delegate = null;
      return ContinueSentinel;
    }
    defineIteratorMethods(Gp);
    Gp[toStringTagSymbol] = "Generator";
    Gp[iteratorSymbol] = function() {
      return this;
    };
    Gp.toString = function() {
      return "[object Generator]";
    };
    function pushTryEntry(locs) {
      var entry = { tryLoc: locs[0] };
      if (1 in locs) {
        entry.catchLoc = locs[1];
      }
      if (2 in locs) {
        entry.finallyLoc = locs[2];
        entry.afterLoc = locs[3];
      }
      this.tryEntries.push(entry);
    }
    function resetTryEntry(entry) {
      var record = entry.completion || {};
      record.type = "normal";
      delete record.arg;
      entry.completion = record;
    }
    function Context(tryLocsList) {
      this.tryEntries = [{ tryLoc: "root" }];
      tryLocsList.forEach(pushTryEntry, this);
      this.reset(true);
    }
    exports.keys = function(object) {
      var keys2 = [];
      for (var key in object) {
        keys2.push(key);
      }
      keys2.reverse();
      return function next() {
        while (keys2.length) {
          var key2 = keys2.pop();
          if (key2 in object) {
            next.value = key2;
            next.done = false;
            return next;
          }
        }
        next.done = true;
        return next;
      };
    };
    function values2(iterable) {
      if (iterable) {
        var iteratorMethod = iterable[iteratorSymbol];
        if (iteratorMethod) {
          return iteratorMethod.call(iterable);
        }
        if (typeof iterable.next === "function") {
          return iterable;
        }
        if (!isNaN(iterable.length)) {
          var i = -1, next = function next2() {
            while (++i < iterable.length) {
              if (hasOwn.call(iterable, i)) {
                next2.value = iterable[i];
                next2.done = false;
                return next2;
              }
            }
            next2.value = undefined$1;
            next2.done = true;
            return next2;
          };
          return next.next = next;
        }
      }
      return { next: doneResult };
    }
    exports.values = values2;
    function doneResult() {
      return { value: undefined$1, done: true };
    }
    Context.prototype = {
      constructor: Context,
      reset: function(skipTempReset) {
        this.prev = 0;
        this.next = 0;
        this.sent = this._sent = undefined$1;
        this.done = false;
        this.delegate = null;
        this.method = "next";
        this.arg = undefined$1;
        this.tryEntries.forEach(resetTryEntry);
        if (!skipTempReset) {
          for (var name2 in this) {
            if (name2.charAt(0) === "t" && hasOwn.call(this, name2) && !isNaN(+name2.slice(1))) {
              this[name2] = undefined$1;
            }
          }
        }
      },
      stop: function() {
        this.done = true;
        var rootEntry = this.tryEntries[0];
        var rootRecord = rootEntry.completion;
        if (rootRecord.type === "throw") {
          throw rootRecord.arg;
        }
        return this.rval;
      },
      dispatchException: function(exception) {
        if (this.done) {
          throw exception;
        }
        var context = this;
        function handle(loc, caught) {
          record.type = "throw";
          record.arg = exception;
          context.next = loc;
          if (caught) {
            context.method = "next";
            context.arg = undefined$1;
          }
          return !!caught;
        }
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];
          var record = entry.completion;
          if (entry.tryLoc === "root") {
            return handle("end");
          }
          if (entry.tryLoc <= this.prev) {
            var hasCatch = hasOwn.call(entry, "catchLoc");
            var hasFinally = hasOwn.call(entry, "finallyLoc");
            if (hasCatch && hasFinally) {
              if (this.prev < entry.catchLoc) {
                return handle(entry.catchLoc, true);
              } else if (this.prev < entry.finallyLoc) {
                return handle(entry.finallyLoc);
              }
            } else if (hasCatch) {
              if (this.prev < entry.catchLoc) {
                return handle(entry.catchLoc, true);
              }
            } else if (hasFinally) {
              if (this.prev < entry.finallyLoc) {
                return handle(entry.finallyLoc);
              }
            } else {
              throw new Error("try statement without catch or finally");
            }
          }
        }
      },
      abrupt: function(type3, arg) {
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];
          if (entry.tryLoc <= this.prev && hasOwn.call(entry, "finallyLoc") && this.prev < entry.finallyLoc) {
            var finallyEntry = entry;
            break;
          }
        }
        if (finallyEntry && (type3 === "break" || type3 === "continue") && finallyEntry.tryLoc <= arg && arg <= finallyEntry.finallyLoc) {
          finallyEntry = null;
        }
        var record = finallyEntry ? finallyEntry.completion : {};
        record.type = type3;
        record.arg = arg;
        if (finallyEntry) {
          this.method = "next";
          this.next = finallyEntry.finallyLoc;
          return ContinueSentinel;
        }
        return this.complete(record);
      },
      complete: function(record, afterLoc) {
        if (record.type === "throw") {
          throw record.arg;
        }
        if (record.type === "break" || record.type === "continue") {
          this.next = record.arg;
        } else if (record.type === "return") {
          this.rval = this.arg = record.arg;
          this.method = "return";
          this.next = "end";
        } else if (record.type === "normal" && afterLoc) {
          this.next = afterLoc;
        }
        return ContinueSentinel;
      },
      finish: function(finallyLoc) {
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];
          if (entry.finallyLoc === finallyLoc) {
            this.complete(entry.completion, entry.afterLoc);
            resetTryEntry(entry);
            return ContinueSentinel;
          }
        }
      },
      "catch": function(tryLoc) {
        for (var i = this.tryEntries.length - 1; i >= 0; --i) {
          var entry = this.tryEntries[i];
          if (entry.tryLoc === tryLoc) {
            var record = entry.completion;
            if (record.type === "throw") {
              var thrown = record.arg;
              resetTryEntry(entry);
            }
            return thrown;
          }
        }
        throw new Error("illegal catch attempt");
      },
      delegateYield: function(iterable, resultName, nextLoc) {
        this.delegate = {
          iterator: values2(iterable),
          resultName,
          nextLoc
        };
        if (this.method === "next") {
          this.arg = undefined$1;
        }
        return ContinueSentinel;
      }
    };
    return exports;
  }(module2.exports);
  try {
    regeneratorRuntime = runtime2;
  } catch (accidentalStrictMode) {
    Function("r", "regeneratorRuntime = r")(runtime2);
  }
})(runtime);
var regenerator = runtime.exports;
function asyncGeneratorStep(gen, resolve2, reject, _next, _throw, key, arg) {
  try {
    var info = gen[key](arg);
    var value = info.value;
  } catch (error) {
    reject(error);
    return;
  }
  if (info.done) {
    resolve2(value);
  } else {
    Promise.resolve(value).then(_next, _throw);
  }
}
function _asyncToGenerator(fn) {
  return function() {
    var self2 = this, args = arguments;
    return new Promise(function(resolve2, reject) {
      var gen = fn.apply(self2, args);
      function _next(value) {
        asyncGeneratorStep(gen, resolve2, reject, _next, _throw, "next", value);
      }
      function _throw(err) {
        asyncGeneratorStep(gen, resolve2, reject, _next, _throw, "throw", err);
      }
      _next(void 0);
    });
  };
}
function _setPrototypeOf$5(o, p2) {
  _setPrototypeOf$5 = Object.setPrototypeOf || function _setPrototypeOf2(o2, p3) {
    o2.__proto__ = p3;
    return o2;
  };
  return _setPrototypeOf$5(o, p2);
}
function _inherits$5(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }
  subClass.prototype = Object.create(superClass && superClass.prototype, {
    constructor: {
      value: subClass,
      writable: true,
      configurable: true
    }
  });
  if (superClass)
    _setPrototypeOf$5(subClass, superClass);
}
function _getPrototypeOf$5(o) {
  _getPrototypeOf$5 = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf2(o2) {
    return o2.__proto__ || Object.getPrototypeOf(o2);
  };
  return _getPrototypeOf$5(o);
}
function _isNativeReflectConstruct$5() {
  if (typeof Reflect === "undefined" || !Reflect.construct)
    return false;
  if (Reflect.construct.sham)
    return false;
  if (typeof Proxy === "function")
    return true;
  try {
    Date.prototype.toString.call(Reflect.construct(Date, [], function() {
    }));
    return true;
  } catch (e2) {
    return false;
  }
}
function _typeof$6(obj) {
  "@babel/helpers - typeof";
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof$6 = function _typeof2(obj2) {
      return typeof obj2;
    };
  } else {
    _typeof$6 = function _typeof2(obj2) {
      return obj2 && typeof Symbol === "function" && obj2.constructor === Symbol && obj2 !== Symbol.prototype ? "symbol" : typeof obj2;
    };
  }
  return _typeof$6(obj);
}
function _assertThisInitialized$7(self2) {
  if (self2 === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return self2;
}
function _possibleConstructorReturn$5(self2, call) {
  if (call && (_typeof$6(call) === "object" || typeof call === "function")) {
    return call;
  }
  return _assertThisInitialized$7(self2);
}
function _createSuper$5(Derived) {
  return function() {
    var Super = _getPrototypeOf$5(Derived), result;
    if (_isNativeReflectConstruct$5()) {
      var NewTarget = _getPrototypeOf$5(this).constructor;
      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }
    return _possibleConstructorReturn$5(this, result);
  };
}
var nativeCeil = Math.ceil, nativeMax$1 = Math.max;
function baseRange$1(start, end, step, fromRight) {
  var index2 = -1, length = nativeMax$1(nativeCeil((end - start) / (step || 1)), 0), result = Array(length);
  while (length--) {
    result[fromRight ? length : ++index2] = start;
    start += step;
  }
  return result;
}
var _baseRange = baseRange$1;
var eq$1 = eq_1, isArrayLike$2 = isArrayLike_1, isIndex = _isIndex, isObject$3 = isObject_1;
function isIterateeCall$1(value, index2, object) {
  if (!isObject$3(object)) {
    return false;
  }
  var type3 = typeof index2;
  if (type3 == "number" ? isArrayLike$2(object) && isIndex(index2, object.length) : type3 == "string" && index2 in object) {
    return eq$1(object[index2], value);
  }
  return false;
}
var _isIterateeCall = isIterateeCall$1;
var toNumber = toNumber_1;
var INFINITY = 1 / 0, MAX_INTEGER = 17976931348623157e292;
function toFinite$1(value) {
  if (!value) {
    return value === 0 ? value : 0;
  }
  value = toNumber(value);
  if (value === INFINITY || value === -INFINITY) {
    var sign = value < 0 ? -1 : 1;
    return sign * MAX_INTEGER;
  }
  return value === value ? value : 0;
}
var toFinite_1 = toFinite$1;
var baseRange = _baseRange, isIterateeCall = _isIterateeCall, toFinite = toFinite_1;
function createRange$1(fromRight) {
  return function(start, end, step) {
    if (step && typeof step != "number" && isIterateeCall(start, end, step)) {
      end = step = void 0;
    }
    start = toFinite(start);
    if (end === void 0) {
      end = start;
      start = 0;
    } else {
      end = toFinite(end);
    }
    step = step === void 0 ? start < end ? 1 : -1 : toFinite(step);
    return baseRange(start, end, step, fromRight);
  };
}
var _createRange = createRange$1;
var createRange = _createRange;
var range = createRange();
var range_1 = range;
var uri_all = { exports: {} };
/** @license URI.js v4.2.1 (c) 2011 Gary Court. License: http://github.com/garycourt/uri-js */
(function(module2, exports) {
  (function(global2, factory) {
    factory(exports);
  })(commonjsGlobal, function(exports2) {
    function merge() {
      for (var _len = arguments.length, sets = Array(_len), _key = 0; _key < _len; _key++) {
        sets[_key] = arguments[_key];
      }
      if (sets.length > 1) {
        sets[0] = sets[0].slice(0, -1);
        var xl = sets.length - 1;
        for (var x2 = 1; x2 < xl; ++x2) {
          sets[x2] = sets[x2].slice(1, -1);
        }
        sets[xl] = sets[xl].slice(1);
        return sets.join("");
      } else {
        return sets[0];
      }
    }
    function subexp(str) {
      return "(?:" + str + ")";
    }
    function typeOf(o) {
      return o === void 0 ? "undefined" : o === null ? "null" : Object.prototype.toString.call(o).split(" ").pop().split("]").shift().toLowerCase();
    }
    function toUpperCase(str) {
      return str.toUpperCase();
    }
    function toArray(obj) {
      return obj !== void 0 && obj !== null ? obj instanceof Array ? obj : typeof obj.length !== "number" || obj.split || obj.setInterval || obj.call ? [obj] : Array.prototype.slice.call(obj) : [];
    }
    function assign(target, source) {
      var obj = target;
      if (source) {
        for (var key in source) {
          obj[key] = source[key];
        }
      }
      return obj;
    }
    function buildExps(isIRI) {
      var ALPHA$$ = "[A-Za-z]", DIGIT$$ = "[0-9]", HEXDIG$$2 = merge(DIGIT$$, "[A-Fa-f]"), PCT_ENCODED$2 = subexp(subexp("%[EFef]" + HEXDIG$$2 + "%" + HEXDIG$$2 + HEXDIG$$2 + "%" + HEXDIG$$2 + HEXDIG$$2) + "|" + subexp("%[89A-Fa-f]" + HEXDIG$$2 + "%" + HEXDIG$$2 + HEXDIG$$2) + "|" + subexp("%" + HEXDIG$$2 + HEXDIG$$2)), GEN_DELIMS$$ = "[\\:\\/\\?\\#\\[\\]\\@]", SUB_DELIMS$$ = "[\\!\\$\\&\\'\\(\\)\\*\\+\\,\\;\\=]", RESERVED$$ = merge(GEN_DELIMS$$, SUB_DELIMS$$), UCSCHAR$$ = isIRI ? "[\\xA0-\\u200D\\u2010-\\u2029\\u202F-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFEF]" : "[]", IPRIVATE$$ = isIRI ? "[\\uE000-\\uF8FF]" : "[]", UNRESERVED$$2 = merge(ALPHA$$, DIGIT$$, "[\\-\\.\\_\\~]", UCSCHAR$$);
      subexp(ALPHA$$ + merge(ALPHA$$, DIGIT$$, "[\\+\\-\\.]") + "*");
      subexp(subexp(PCT_ENCODED$2 + "|" + merge(UNRESERVED$$2, SUB_DELIMS$$, "[\\:]")) + "*");
      var DEC_OCTET_RELAXED$ = subexp(subexp("25[0-5]") + "|" + subexp("2[0-4]" + DIGIT$$) + "|" + subexp("1" + DIGIT$$ + DIGIT$$) + "|" + subexp("0?[1-9]" + DIGIT$$) + "|0?0?" + DIGIT$$), IPV4ADDRESS$ = subexp(DEC_OCTET_RELAXED$ + "\\." + DEC_OCTET_RELAXED$ + "\\." + DEC_OCTET_RELAXED$ + "\\." + DEC_OCTET_RELAXED$), H16$ = subexp(HEXDIG$$2 + "{1,4}"), LS32$ = subexp(subexp(H16$ + "\\:" + H16$) + "|" + IPV4ADDRESS$), IPV6ADDRESS1$ = subexp(subexp(H16$ + "\\:") + "{6}" + LS32$), IPV6ADDRESS2$ = subexp("\\:\\:" + subexp(H16$ + "\\:") + "{5}" + LS32$), IPV6ADDRESS3$ = subexp(subexp(H16$) + "?\\:\\:" + subexp(H16$ + "\\:") + "{4}" + LS32$), IPV6ADDRESS4$ = subexp(subexp(subexp(H16$ + "\\:") + "{0,1}" + H16$) + "?\\:\\:" + subexp(H16$ + "\\:") + "{3}" + LS32$), IPV6ADDRESS5$ = subexp(subexp(subexp(H16$ + "\\:") + "{0,2}" + H16$) + "?\\:\\:" + subexp(H16$ + "\\:") + "{2}" + LS32$), IPV6ADDRESS6$ = subexp(subexp(subexp(H16$ + "\\:") + "{0,3}" + H16$) + "?\\:\\:" + H16$ + "\\:" + LS32$), IPV6ADDRESS7$ = subexp(subexp(subexp(H16$ + "\\:") + "{0,4}" + H16$) + "?\\:\\:" + LS32$), IPV6ADDRESS8$ = subexp(subexp(subexp(H16$ + "\\:") + "{0,5}" + H16$) + "?\\:\\:" + H16$), IPV6ADDRESS9$ = subexp(subexp(subexp(H16$ + "\\:") + "{0,6}" + H16$) + "?\\:\\:"), IPV6ADDRESS$ = subexp([IPV6ADDRESS1$, IPV6ADDRESS2$, IPV6ADDRESS3$, IPV6ADDRESS4$, IPV6ADDRESS5$, IPV6ADDRESS6$, IPV6ADDRESS7$, IPV6ADDRESS8$, IPV6ADDRESS9$].join("|")), ZONEID$ = subexp(subexp(UNRESERVED$$2 + "|" + PCT_ENCODED$2) + "+");
      subexp("[vV]" + HEXDIG$$2 + "+\\." + merge(UNRESERVED$$2, SUB_DELIMS$$, "[\\:]") + "+");
      subexp(subexp(PCT_ENCODED$2 + "|" + merge(UNRESERVED$$2, SUB_DELIMS$$)) + "*");
      var PCHAR$ = subexp(PCT_ENCODED$2 + "|" + merge(UNRESERVED$$2, SUB_DELIMS$$, "[\\:\\@]"));
      subexp(subexp(PCT_ENCODED$2 + "|" + merge(UNRESERVED$$2, SUB_DELIMS$$, "[\\@]")) + "+");
      subexp(subexp(PCHAR$ + "|" + merge("[\\/\\?]", IPRIVATE$$)) + "*");
      return {
        NOT_SCHEME: new RegExp(merge("[^]", ALPHA$$, DIGIT$$, "[\\+\\-\\.]"), "g"),
        NOT_USERINFO: new RegExp(merge("[^\\%\\:]", UNRESERVED$$2, SUB_DELIMS$$), "g"),
        NOT_HOST: new RegExp(merge("[^\\%\\[\\]\\:]", UNRESERVED$$2, SUB_DELIMS$$), "g"),
        NOT_PATH: new RegExp(merge("[^\\%\\/\\:\\@]", UNRESERVED$$2, SUB_DELIMS$$), "g"),
        NOT_PATH_NOSCHEME: new RegExp(merge("[^\\%\\/\\@]", UNRESERVED$$2, SUB_DELIMS$$), "g"),
        NOT_QUERY: new RegExp(merge("[^\\%]", UNRESERVED$$2, SUB_DELIMS$$, "[\\:\\@\\/\\?]", IPRIVATE$$), "g"),
        NOT_FRAGMENT: new RegExp(merge("[^\\%]", UNRESERVED$$2, SUB_DELIMS$$, "[\\:\\@\\/\\?]"), "g"),
        ESCAPE: new RegExp(merge("[^]", UNRESERVED$$2, SUB_DELIMS$$), "g"),
        UNRESERVED: new RegExp(UNRESERVED$$2, "g"),
        OTHER_CHARS: new RegExp(merge("[^\\%]", UNRESERVED$$2, RESERVED$$), "g"),
        PCT_ENCODED: new RegExp(PCT_ENCODED$2, "g"),
        IPV4ADDRESS: new RegExp("^(" + IPV4ADDRESS$ + ")$"),
        IPV6ADDRESS: new RegExp("^\\[?(" + IPV6ADDRESS$ + ")" + subexp(subexp("\\%25|\\%(?!" + HEXDIG$$2 + "{2})") + "(" + ZONEID$ + ")") + "?\\]?$")
      };
    }
    var URI_PROTOCOL = buildExps(false);
    var IRI_PROTOCOL = buildExps(true);
    var slicedToArray = function() {
      function sliceIterator(arr, i) {
        var _arr = [];
        var _n = true;
        var _d = false;
        var _e = void 0;
        try {
          for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
            _arr.push(_s.value);
            if (i && _arr.length === i)
              break;
          }
        } catch (err) {
          _d = true;
          _e = err;
        } finally {
          try {
            if (!_n && _i["return"])
              _i["return"]();
          } finally {
            if (_d)
              throw _e;
          }
        }
        return _arr;
      }
      return function(arr, i) {
        if (Array.isArray(arr)) {
          return arr;
        } else if (Symbol.iterator in Object(arr)) {
          return sliceIterator(arr, i);
        } else {
          throw new TypeError("Invalid attempt to destructure non-iterable instance");
        }
      };
    }();
    var toConsumableArray = function(arr) {
      if (Array.isArray(arr)) {
        for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++)
          arr2[i] = arr[i];
        return arr2;
      } else {
        return Array.from(arr);
      }
    };
    var maxInt = 2147483647;
    var base = 36;
    var tMin = 1;
    var tMax = 26;
    var skew = 38;
    var damp = 700;
    var initialBias = 72;
    var initialN = 128;
    var delimiter = "-";
    var regexPunycode = /^xn--/;
    var regexNonASCII = /[^\0-\x7E]/;
    var regexSeparators = /[\x2E\u3002\uFF0E\uFF61]/g;
    var errors = {
      "overflow": "Overflow: input needs wider integers to process",
      "not-basic": "Illegal input >= 0x80 (not a basic code point)",
      "invalid-input": "Invalid input"
    };
    var baseMinusTMin = base - tMin;
    var floor = Math.floor;
    var stringFromCharCode = String.fromCharCode;
    function error$1(type3) {
      throw new RangeError(errors[type3]);
    }
    function map(array, fn) {
      var result = [];
      var length = array.length;
      while (length--) {
        result[length] = fn(array[length]);
      }
      return result;
    }
    function mapDomain(string, fn) {
      var parts = string.split("@");
      var result = "";
      if (parts.length > 1) {
        result = parts[0] + "@";
        string = parts[1];
      }
      string = string.replace(regexSeparators, ".");
      var labels = string.split(".");
      var encoded = map(labels, fn).join(".");
      return result + encoded;
    }
    function ucs2decode(string) {
      var output = [];
      var counter = 0;
      var length = string.length;
      while (counter < length) {
        var value = string.charCodeAt(counter++);
        if (value >= 55296 && value <= 56319 && counter < length) {
          var extra = string.charCodeAt(counter++);
          if ((extra & 64512) == 56320) {
            output.push(((value & 1023) << 10) + (extra & 1023) + 65536);
          } else {
            output.push(value);
            counter--;
          }
        } else {
          output.push(value);
        }
      }
      return output;
    }
    var ucs2encode = function ucs2encode2(array) {
      return String.fromCodePoint.apply(String, toConsumableArray(array));
    };
    var basicToDigit = function basicToDigit2(codePoint) {
      if (codePoint - 48 < 10) {
        return codePoint - 22;
      }
      if (codePoint - 65 < 26) {
        return codePoint - 65;
      }
      if (codePoint - 97 < 26) {
        return codePoint - 97;
      }
      return base;
    };
    var digitToBasic = function digitToBasic2(digit, flag) {
      return digit + 22 + 75 * (digit < 26) - ((flag != 0) << 5);
    };
    var adapt = function adapt2(delta, numPoints, firstTime) {
      var k2 = 0;
      delta = firstTime ? floor(delta / damp) : delta >> 1;
      delta += floor(delta / numPoints);
      for (; delta > baseMinusTMin * tMax >> 1; k2 += base) {
        delta = floor(delta / baseMinusTMin);
      }
      return floor(k2 + (baseMinusTMin + 1) * delta / (delta + skew));
    };
    var decode = function decode2(input) {
      var output = [];
      var inputLength = input.length;
      var i = 0;
      var n2 = initialN;
      var bias = initialBias;
      var basic = input.lastIndexOf(delimiter);
      if (basic < 0) {
        basic = 0;
      }
      for (var j = 0; j < basic; ++j) {
        if (input.charCodeAt(j) >= 128) {
          error$1("not-basic");
        }
        output.push(input.charCodeAt(j));
      }
      for (var index2 = basic > 0 ? basic + 1 : 0; index2 < inputLength; ) {
        var oldi = i;
        for (var w2 = 1, k2 = base; ; k2 += base) {
          if (index2 >= inputLength) {
            error$1("invalid-input");
          }
          var digit = basicToDigit(input.charCodeAt(index2++));
          if (digit >= base || digit > floor((maxInt - i) / w2)) {
            error$1("overflow");
          }
          i += digit * w2;
          var t2 = k2 <= bias ? tMin : k2 >= bias + tMax ? tMax : k2 - bias;
          if (digit < t2) {
            break;
          }
          var baseMinusT = base - t2;
          if (w2 > floor(maxInt / baseMinusT)) {
            error$1("overflow");
          }
          w2 *= baseMinusT;
        }
        var out = output.length + 1;
        bias = adapt(i - oldi, out, oldi == 0);
        if (floor(i / out) > maxInt - n2) {
          error$1("overflow");
        }
        n2 += floor(i / out);
        i %= out;
        output.splice(i++, 0, n2);
      }
      return String.fromCodePoint.apply(String, output);
    };
    var encode = function encode2(input) {
      var output = [];
      input = ucs2decode(input);
      var inputLength = input.length;
      var n2 = initialN;
      var delta = 0;
      var bias = initialBias;
      var _iteratorNormalCompletion = true;
      var _didIteratorError = false;
      var _iteratorError = void 0;
      try {
        for (var _iterator = input[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
          var _currentValue2 = _step.value;
          if (_currentValue2 < 128) {
            output.push(stringFromCharCode(_currentValue2));
          }
        }
      } catch (err) {
        _didIteratorError = true;
        _iteratorError = err;
      } finally {
        try {
          if (!_iteratorNormalCompletion && _iterator.return) {
            _iterator.return();
          }
        } finally {
          if (_didIteratorError) {
            throw _iteratorError;
          }
        }
      }
      var basicLength = output.length;
      var handledCPCount = basicLength;
      if (basicLength) {
        output.push(delimiter);
      }
      while (handledCPCount < inputLength) {
        var m2 = maxInt;
        var _iteratorNormalCompletion2 = true;
        var _didIteratorError2 = false;
        var _iteratorError2 = void 0;
        try {
          for (var _iterator2 = input[Symbol.iterator](), _step2; !(_iteratorNormalCompletion2 = (_step2 = _iterator2.next()).done); _iteratorNormalCompletion2 = true) {
            var currentValue = _step2.value;
            if (currentValue >= n2 && currentValue < m2) {
              m2 = currentValue;
            }
          }
        } catch (err) {
          _didIteratorError2 = true;
          _iteratorError2 = err;
        } finally {
          try {
            if (!_iteratorNormalCompletion2 && _iterator2.return) {
              _iterator2.return();
            }
          } finally {
            if (_didIteratorError2) {
              throw _iteratorError2;
            }
          }
        }
        var handledCPCountPlusOne = handledCPCount + 1;
        if (m2 - n2 > floor((maxInt - delta) / handledCPCountPlusOne)) {
          error$1("overflow");
        }
        delta += (m2 - n2) * handledCPCountPlusOne;
        n2 = m2;
        var _iteratorNormalCompletion3 = true;
        var _didIteratorError3 = false;
        var _iteratorError3 = void 0;
        try {
          for (var _iterator3 = input[Symbol.iterator](), _step3; !(_iteratorNormalCompletion3 = (_step3 = _iterator3.next()).done); _iteratorNormalCompletion3 = true) {
            var _currentValue = _step3.value;
            if (_currentValue < n2 && ++delta > maxInt) {
              error$1("overflow");
            }
            if (_currentValue == n2) {
              var q2 = delta;
              for (var k2 = base; ; k2 += base) {
                var t2 = k2 <= bias ? tMin : k2 >= bias + tMax ? tMax : k2 - bias;
                if (q2 < t2) {
                  break;
                }
                var qMinusT = q2 - t2;
                var baseMinusT = base - t2;
                output.push(stringFromCharCode(digitToBasic(t2 + qMinusT % baseMinusT, 0)));
                q2 = floor(qMinusT / baseMinusT);
              }
              output.push(stringFromCharCode(digitToBasic(q2, 0)));
              bias = adapt(delta, handledCPCountPlusOne, handledCPCount == basicLength);
              delta = 0;
              ++handledCPCount;
            }
          }
        } catch (err) {
          _didIteratorError3 = true;
          _iteratorError3 = err;
        } finally {
          try {
            if (!_iteratorNormalCompletion3 && _iterator3.return) {
              _iterator3.return();
            }
          } finally {
            if (_didIteratorError3) {
              throw _iteratorError3;
            }
          }
        }
        ++delta;
        ++n2;
      }
      return output.join("");
    };
    var toUnicode = function toUnicode2(input) {
      return mapDomain(input, function(string) {
        return regexPunycode.test(string) ? decode(string.slice(4).toLowerCase()) : string;
      });
    };
    var toASCII = function toASCII2(input) {
      return mapDomain(input, function(string) {
        return regexNonASCII.test(string) ? "xn--" + encode(string) : string;
      });
    };
    var punycode = {
      "version": "2.1.0",
      "ucs2": {
        "decode": ucs2decode,
        "encode": ucs2encode
      },
      "decode": decode,
      "encode": encode,
      "toASCII": toASCII,
      "toUnicode": toUnicode
    };
    var SCHEMES = {};
    function pctEncChar(chr) {
      var c2 = chr.charCodeAt(0);
      var e2 = void 0;
      if (c2 < 16)
        e2 = "%0" + c2.toString(16).toUpperCase();
      else if (c2 < 128)
        e2 = "%" + c2.toString(16).toUpperCase();
      else if (c2 < 2048)
        e2 = "%" + (c2 >> 6 | 192).toString(16).toUpperCase() + "%" + (c2 & 63 | 128).toString(16).toUpperCase();
      else
        e2 = "%" + (c2 >> 12 | 224).toString(16).toUpperCase() + "%" + (c2 >> 6 & 63 | 128).toString(16).toUpperCase() + "%" + (c2 & 63 | 128).toString(16).toUpperCase();
      return e2;
    }
    function pctDecChars(str) {
      var newStr = "";
      var i = 0;
      var il = str.length;
      while (i < il) {
        var c2 = parseInt(str.substr(i + 1, 2), 16);
        if (c2 < 128) {
          newStr += String.fromCharCode(c2);
          i += 3;
        } else if (c2 >= 194 && c2 < 224) {
          if (il - i >= 6) {
            var c22 = parseInt(str.substr(i + 4, 2), 16);
            newStr += String.fromCharCode((c2 & 31) << 6 | c22 & 63);
          } else {
            newStr += str.substr(i, 6);
          }
          i += 6;
        } else if (c2 >= 224) {
          if (il - i >= 9) {
            var _c = parseInt(str.substr(i + 4, 2), 16);
            var c3 = parseInt(str.substr(i + 7, 2), 16);
            newStr += String.fromCharCode((c2 & 15) << 12 | (_c & 63) << 6 | c3 & 63);
          } else {
            newStr += str.substr(i, 9);
          }
          i += 9;
        } else {
          newStr += str.substr(i, 3);
          i += 3;
        }
      }
      return newStr;
    }
    function _normalizeComponentEncoding(components, protocol) {
      function decodeUnreserved2(str) {
        var decStr = pctDecChars(str);
        return !decStr.match(protocol.UNRESERVED) ? str : decStr;
      }
      if (components.scheme)
        components.scheme = String(components.scheme).replace(protocol.PCT_ENCODED, decodeUnreserved2).toLowerCase().replace(protocol.NOT_SCHEME, "");
      if (components.userinfo !== void 0)
        components.userinfo = String(components.userinfo).replace(protocol.PCT_ENCODED, decodeUnreserved2).replace(protocol.NOT_USERINFO, pctEncChar).replace(protocol.PCT_ENCODED, toUpperCase);
      if (components.host !== void 0)
        components.host = String(components.host).replace(protocol.PCT_ENCODED, decodeUnreserved2).toLowerCase().replace(protocol.NOT_HOST, pctEncChar).replace(protocol.PCT_ENCODED, toUpperCase);
      if (components.path !== void 0)
        components.path = String(components.path).replace(protocol.PCT_ENCODED, decodeUnreserved2).replace(components.scheme ? protocol.NOT_PATH : protocol.NOT_PATH_NOSCHEME, pctEncChar).replace(protocol.PCT_ENCODED, toUpperCase);
      if (components.query !== void 0)
        components.query = String(components.query).replace(protocol.PCT_ENCODED, decodeUnreserved2).replace(protocol.NOT_QUERY, pctEncChar).replace(protocol.PCT_ENCODED, toUpperCase);
      if (components.fragment !== void 0)
        components.fragment = String(components.fragment).replace(protocol.PCT_ENCODED, decodeUnreserved2).replace(protocol.NOT_FRAGMENT, pctEncChar).replace(protocol.PCT_ENCODED, toUpperCase);
      return components;
    }
    function _stripLeadingZeros(str) {
      return str.replace(/^0*(.*)/, "$1") || "0";
    }
    function _normalizeIPv4(host, protocol) {
      var matches = host.match(protocol.IPV4ADDRESS) || [];
      var _matches = slicedToArray(matches, 2), address = _matches[1];
      if (address) {
        return address.split(".").map(_stripLeadingZeros).join(".");
      } else {
        return host;
      }
    }
    function _normalizeIPv6(host, protocol) {
      var matches = host.match(protocol.IPV6ADDRESS) || [];
      var _matches2 = slicedToArray(matches, 3), address = _matches2[1], zone = _matches2[2];
      if (address) {
        var _address$toLowerCase$ = address.toLowerCase().split("::").reverse(), _address$toLowerCase$2 = slicedToArray(_address$toLowerCase$, 2), last = _address$toLowerCase$2[0], first = _address$toLowerCase$2[1];
        var firstFields = first ? first.split(":").map(_stripLeadingZeros) : [];
        var lastFields = last.split(":").map(_stripLeadingZeros);
        var isLastFieldIPv4Address = protocol.IPV4ADDRESS.test(lastFields[lastFields.length - 1]);
        var fieldCount = isLastFieldIPv4Address ? 7 : 8;
        var lastFieldsStart = lastFields.length - fieldCount;
        var fields = Array(fieldCount);
        for (var x2 = 0; x2 < fieldCount; ++x2) {
          fields[x2] = firstFields[x2] || lastFields[lastFieldsStart + x2] || "";
        }
        if (isLastFieldIPv4Address) {
          fields[fieldCount - 1] = _normalizeIPv4(fields[fieldCount - 1], protocol);
        }
        var allZeroFields = fields.reduce(function(acc, field, index2) {
          if (!field || field === "0") {
            var lastLongest = acc[acc.length - 1];
            if (lastLongest && lastLongest.index + lastLongest.length === index2) {
              lastLongest.length++;
            } else {
              acc.push({ index: index2, length: 1 });
            }
          }
          return acc;
        }, []);
        var longestZeroFields = allZeroFields.sort(function(a, b2) {
          return b2.length - a.length;
        })[0];
        var newHost = void 0;
        if (longestZeroFields && longestZeroFields.length > 1) {
          var newFirst = fields.slice(0, longestZeroFields.index);
          var newLast = fields.slice(longestZeroFields.index + longestZeroFields.length);
          newHost = newFirst.join(":") + "::" + newLast.join(":");
        } else {
          newHost = fields.join(":");
        }
        if (zone) {
          newHost += "%" + zone;
        }
        return newHost;
      } else {
        return host;
      }
    }
    var URI_PARSE = /^(?:([^:\/?#]+):)?(?:\/\/((?:([^\/?#@]*)@)?(\[[^\/?#\]]+\]|[^\/?#:]*)(?:\:(\d*))?))?([^?#]*)(?:\?([^#]*))?(?:#((?:.|\n|\r)*))?/i;
    var NO_MATCH_IS_UNDEFINED = "".match(/(){0}/)[1] === void 0;
    function parse(uriString) {
      var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
      var components = {};
      var protocol = options.iri !== false ? IRI_PROTOCOL : URI_PROTOCOL;
      if (options.reference === "suffix")
        uriString = (options.scheme ? options.scheme + ":" : "") + "//" + uriString;
      var matches = uriString.match(URI_PARSE);
      if (matches) {
        if (NO_MATCH_IS_UNDEFINED) {
          components.scheme = matches[1];
          components.userinfo = matches[3];
          components.host = matches[4];
          components.port = parseInt(matches[5], 10);
          components.path = matches[6] || "";
          components.query = matches[7];
          components.fragment = matches[8];
          if (isNaN(components.port)) {
            components.port = matches[5];
          }
        } else {
          components.scheme = matches[1] || void 0;
          components.userinfo = uriString.indexOf("@") !== -1 ? matches[3] : void 0;
          components.host = uriString.indexOf("//") !== -1 ? matches[4] : void 0;
          components.port = parseInt(matches[5], 10);
          components.path = matches[6] || "";
          components.query = uriString.indexOf("?") !== -1 ? matches[7] : void 0;
          components.fragment = uriString.indexOf("#") !== -1 ? matches[8] : void 0;
          if (isNaN(components.port)) {
            components.port = uriString.match(/\/\/(?:.|\n)*\:(?:\/|\?|\#|$)/) ? matches[4] : void 0;
          }
        }
        if (components.host) {
          components.host = _normalizeIPv6(_normalizeIPv4(components.host, protocol), protocol);
        }
        if (components.scheme === void 0 && components.userinfo === void 0 && components.host === void 0 && components.port === void 0 && !components.path && components.query === void 0) {
          components.reference = "same-document";
        } else if (components.scheme === void 0) {
          components.reference = "relative";
        } else if (components.fragment === void 0) {
          components.reference = "absolute";
        } else {
          components.reference = "uri";
        }
        if (options.reference && options.reference !== "suffix" && options.reference !== components.reference) {
          components.error = components.error || "URI is not a " + options.reference + " reference.";
        }
        var schemeHandler = SCHEMES[(options.scheme || components.scheme || "").toLowerCase()];
        if (!options.unicodeSupport && (!schemeHandler || !schemeHandler.unicodeSupport)) {
          if (components.host && (options.domainHost || schemeHandler && schemeHandler.domainHost)) {
            try {
              components.host = punycode.toASCII(components.host.replace(protocol.PCT_ENCODED, pctDecChars).toLowerCase());
            } catch (e2) {
              components.error = components.error || "Host's domain name can not be converted to ASCII via punycode: " + e2;
            }
          }
          _normalizeComponentEncoding(components, URI_PROTOCOL);
        } else {
          _normalizeComponentEncoding(components, protocol);
        }
        if (schemeHandler && schemeHandler.parse) {
          schemeHandler.parse(components, options);
        }
      } else {
        components.error = components.error || "URI can not be parsed.";
      }
      return components;
    }
    function _recomposeAuthority(components, options) {
      var protocol = options.iri !== false ? IRI_PROTOCOL : URI_PROTOCOL;
      var uriTokens = [];
      if (components.userinfo !== void 0) {
        uriTokens.push(components.userinfo);
        uriTokens.push("@");
      }
      if (components.host !== void 0) {
        uriTokens.push(_normalizeIPv6(_normalizeIPv4(String(components.host), protocol), protocol).replace(protocol.IPV6ADDRESS, function(_, $1, $2) {
          return "[" + $1 + ($2 ? "%25" + $2 : "") + "]";
        }));
      }
      if (typeof components.port === "number") {
        uriTokens.push(":");
        uriTokens.push(components.port.toString(10));
      }
      return uriTokens.length ? uriTokens.join("") : void 0;
    }
    var RDS1 = /^\.\.?\//;
    var RDS2 = /^\/\.(\/|$)/;
    var RDS3 = /^\/\.\.(\/|$)/;
    var RDS5 = /^\/?(?:.|\n)*?(?=\/|$)/;
    function removeDotSegments(input) {
      var output = [];
      while (input.length) {
        if (input.match(RDS1)) {
          input = input.replace(RDS1, "");
        } else if (input.match(RDS2)) {
          input = input.replace(RDS2, "/");
        } else if (input.match(RDS3)) {
          input = input.replace(RDS3, "/");
          output.pop();
        } else if (input === "." || input === "..") {
          input = "";
        } else {
          var im = input.match(RDS5);
          if (im) {
            var s = im[0];
            input = input.slice(s.length);
            output.push(s);
          } else {
            throw new Error("Unexpected dot segment condition");
          }
        }
      }
      return output.join("");
    }
    function serialize(components) {
      var options = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {};
      var protocol = options.iri ? IRI_PROTOCOL : URI_PROTOCOL;
      var uriTokens = [];
      var schemeHandler = SCHEMES[(options.scheme || components.scheme || "").toLowerCase()];
      if (schemeHandler && schemeHandler.serialize)
        schemeHandler.serialize(components, options);
      if (components.host) {
        if (protocol.IPV6ADDRESS.test(components.host))
          ;
        else if (options.domainHost || schemeHandler && schemeHandler.domainHost) {
          try {
            components.host = !options.iri ? punycode.toASCII(components.host.replace(protocol.PCT_ENCODED, pctDecChars).toLowerCase()) : punycode.toUnicode(components.host);
          } catch (e2) {
            components.error = components.error || "Host's domain name can not be converted to " + (!options.iri ? "ASCII" : "Unicode") + " via punycode: " + e2;
          }
        }
      }
      _normalizeComponentEncoding(components, protocol);
      if (options.reference !== "suffix" && components.scheme) {
        uriTokens.push(components.scheme);
        uriTokens.push(":");
      }
      var authority = _recomposeAuthority(components, options);
      if (authority !== void 0) {
        if (options.reference !== "suffix") {
          uriTokens.push("//");
        }
        uriTokens.push(authority);
        if (components.path && components.path.charAt(0) !== "/") {
          uriTokens.push("/");
        }
      }
      if (components.path !== void 0) {
        var s = components.path;
        if (!options.absolutePath && (!schemeHandler || !schemeHandler.absolutePath)) {
          s = removeDotSegments(s);
        }
        if (authority === void 0) {
          s = s.replace(/^\/\//, "/%2F");
        }
        uriTokens.push(s);
      }
      if (components.query !== void 0) {
        uriTokens.push("?");
        uriTokens.push(components.query);
      }
      if (components.fragment !== void 0) {
        uriTokens.push("#");
        uriTokens.push(components.fragment);
      }
      return uriTokens.join("");
    }
    function resolveComponents(base2, relative) {
      var options = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {};
      var skipNormalization = arguments[3];
      var target = {};
      if (!skipNormalization) {
        base2 = parse(serialize(base2, options), options);
        relative = parse(serialize(relative, options), options);
      }
      options = options || {};
      if (!options.tolerant && relative.scheme) {
        target.scheme = relative.scheme;
        target.userinfo = relative.userinfo;
        target.host = relative.host;
        target.port = relative.port;
        target.path = removeDotSegments(relative.path || "");
        target.query = relative.query;
      } else {
        if (relative.userinfo !== void 0 || relative.host !== void 0 || relative.port !== void 0) {
          target.userinfo = relative.userinfo;
          target.host = relative.host;
          target.port = relative.port;
          target.path = removeDotSegments(relative.path || "");
          target.query = relative.query;
        } else {
          if (!relative.path) {
            target.path = base2.path;
            if (relative.query !== void 0) {
              target.query = relative.query;
            } else {
              target.query = base2.query;
            }
          } else {
            if (relative.path.charAt(0) === "/") {
              target.path = removeDotSegments(relative.path);
            } else {
              if ((base2.userinfo !== void 0 || base2.host !== void 0 || base2.port !== void 0) && !base2.path) {
                target.path = "/" + relative.path;
              } else if (!base2.path) {
                target.path = relative.path;
              } else {
                target.path = base2.path.slice(0, base2.path.lastIndexOf("/") + 1) + relative.path;
              }
              target.path = removeDotSegments(target.path);
            }
            target.query = relative.query;
          }
          target.userinfo = base2.userinfo;
          target.host = base2.host;
          target.port = base2.port;
        }
        target.scheme = base2.scheme;
      }
      target.fragment = relative.fragment;
      return target;
    }
    function resolve2(baseURI, relativeURI, options) {
      var schemelessOptions = assign({ scheme: "null" }, options);
      return serialize(resolveComponents(parse(baseURI, schemelessOptions), parse(relativeURI, schemelessOptions), schemelessOptions, true), schemelessOptions);
    }
    function normalize(uri2, options) {
      if (typeof uri2 === "string") {
        uri2 = serialize(parse(uri2, options), options);
      } else if (typeOf(uri2) === "object") {
        uri2 = parse(serialize(uri2, options), options);
      }
      return uri2;
    }
    function equal3(uriA, uriB, options) {
      if (typeof uriA === "string") {
        uriA = serialize(parse(uriA, options), options);
      } else if (typeOf(uriA) === "object") {
        uriA = serialize(uriA, options);
      }
      if (typeof uriB === "string") {
        uriB = serialize(parse(uriB, options), options);
      } else if (typeOf(uriB) === "object") {
        uriB = serialize(uriB, options);
      }
      return uriA === uriB;
    }
    function escapeComponent(str, options) {
      return str && str.toString().replace(!options || !options.iri ? URI_PROTOCOL.ESCAPE : IRI_PROTOCOL.ESCAPE, pctEncChar);
    }
    function unescapeComponent(str, options) {
      return str && str.toString().replace(!options || !options.iri ? URI_PROTOCOL.PCT_ENCODED : IRI_PROTOCOL.PCT_ENCODED, pctDecChars);
    }
    var handler = {
      scheme: "http",
      domainHost: true,
      parse: function parse2(components, options) {
        if (!components.host) {
          components.error = components.error || "HTTP URIs must have a host.";
        }
        return components;
      },
      serialize: function serialize2(components, options) {
        if (components.port === (String(components.scheme).toLowerCase() !== "https" ? 80 : 443) || components.port === "") {
          components.port = void 0;
        }
        if (!components.path) {
          components.path = "/";
        }
        return components;
      }
    };
    var handler$1 = {
      scheme: "https",
      domainHost: handler.domainHost,
      parse: handler.parse,
      serialize: handler.serialize
    };
    var O = {};
    var UNRESERVED$$ = "[A-Za-z0-9\\-\\.\\_\\~\\xA0-\\u200D\\u2010-\\u2029\\u202F-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFEF]";
    var HEXDIG$$ = "[0-9A-Fa-f]";
    var PCT_ENCODED$ = subexp(subexp("%[EFef]" + HEXDIG$$ + "%" + HEXDIG$$ + HEXDIG$$ + "%" + HEXDIG$$ + HEXDIG$$) + "|" + subexp("%[89A-Fa-f]" + HEXDIG$$ + "%" + HEXDIG$$ + HEXDIG$$) + "|" + subexp("%" + HEXDIG$$ + HEXDIG$$));
    var ATEXT$$ = "[A-Za-z0-9\\!\\$\\%\\'\\*\\+\\-\\^\\_\\`\\{\\|\\}\\~]";
    var QTEXT$$ = "[\\!\\$\\%\\'\\(\\)\\*\\+\\,\\-\\.0-9\\<\\>A-Z\\x5E-\\x7E]";
    var VCHAR$$ = merge(QTEXT$$, '[\\"\\\\]');
    var SOME_DELIMS$$ = "[\\!\\$\\'\\(\\)\\*\\+\\,\\;\\:\\@]";
    var UNRESERVED = new RegExp(UNRESERVED$$, "g");
    var PCT_ENCODED = new RegExp(PCT_ENCODED$, "g");
    var NOT_LOCAL_PART = new RegExp(merge("[^]", ATEXT$$, "[\\.]", '[\\"]', VCHAR$$), "g");
    var NOT_HFNAME = new RegExp(merge("[^]", UNRESERVED$$, SOME_DELIMS$$), "g");
    var NOT_HFVALUE = NOT_HFNAME;
    function decodeUnreserved(str) {
      var decStr = pctDecChars(str);
      return !decStr.match(UNRESERVED) ? str : decStr;
    }
    var handler$2 = {
      scheme: "mailto",
      parse: function parse$$1(components, options) {
        var mailtoComponents = components;
        var to = mailtoComponents.to = mailtoComponents.path ? mailtoComponents.path.split(",") : [];
        mailtoComponents.path = void 0;
        if (mailtoComponents.query) {
          var unknownHeaders = false;
          var headers = {};
          var hfields = mailtoComponents.query.split("&");
          for (var x2 = 0, xl = hfields.length; x2 < xl; ++x2) {
            var hfield = hfields[x2].split("=");
            switch (hfield[0]) {
              case "to":
                var toAddrs = hfield[1].split(",");
                for (var _x = 0, _xl = toAddrs.length; _x < _xl; ++_x) {
                  to.push(toAddrs[_x]);
                }
                break;
              case "subject":
                mailtoComponents.subject = unescapeComponent(hfield[1], options);
                break;
              case "body":
                mailtoComponents.body = unescapeComponent(hfield[1], options);
                break;
              default:
                unknownHeaders = true;
                headers[unescapeComponent(hfield[0], options)] = unescapeComponent(hfield[1], options);
                break;
            }
          }
          if (unknownHeaders)
            mailtoComponents.headers = headers;
        }
        mailtoComponents.query = void 0;
        for (var _x2 = 0, _xl2 = to.length; _x2 < _xl2; ++_x2) {
          var addr = to[_x2].split("@");
          addr[0] = unescapeComponent(addr[0]);
          if (!options.unicodeSupport) {
            try {
              addr[1] = punycode.toASCII(unescapeComponent(addr[1], options).toLowerCase());
            } catch (e2) {
              mailtoComponents.error = mailtoComponents.error || "Email address's domain name can not be converted to ASCII via punycode: " + e2;
            }
          } else {
            addr[1] = unescapeComponent(addr[1], options).toLowerCase();
          }
          to[_x2] = addr.join("@");
        }
        return mailtoComponents;
      },
      serialize: function serialize$$1(mailtoComponents, options) {
        var components = mailtoComponents;
        var to = toArray(mailtoComponents.to);
        if (to) {
          for (var x2 = 0, xl = to.length; x2 < xl; ++x2) {
            var toAddr = String(to[x2]);
            var atIdx = toAddr.lastIndexOf("@");
            var localPart = toAddr.slice(0, atIdx).replace(PCT_ENCODED, decodeUnreserved).replace(PCT_ENCODED, toUpperCase).replace(NOT_LOCAL_PART, pctEncChar);
            var domain = toAddr.slice(atIdx + 1);
            try {
              domain = !options.iri ? punycode.toASCII(unescapeComponent(domain, options).toLowerCase()) : punycode.toUnicode(domain);
            } catch (e2) {
              components.error = components.error || "Email address's domain name can not be converted to " + (!options.iri ? "ASCII" : "Unicode") + " via punycode: " + e2;
            }
            to[x2] = localPart + "@" + domain;
          }
          components.path = to.join(",");
        }
        var headers = mailtoComponents.headers = mailtoComponents.headers || {};
        if (mailtoComponents.subject)
          headers["subject"] = mailtoComponents.subject;
        if (mailtoComponents.body)
          headers["body"] = mailtoComponents.body;
        var fields = [];
        for (var name2 in headers) {
          if (headers[name2] !== O[name2]) {
            fields.push(name2.replace(PCT_ENCODED, decodeUnreserved).replace(PCT_ENCODED, toUpperCase).replace(NOT_HFNAME, pctEncChar) + "=" + headers[name2].replace(PCT_ENCODED, decodeUnreserved).replace(PCT_ENCODED, toUpperCase).replace(NOT_HFVALUE, pctEncChar));
          }
        }
        if (fields.length) {
          components.query = fields.join("&");
        }
        return components;
      }
    };
    var URN_PARSE = /^([^\:]+)\:(.*)/;
    var handler$3 = {
      scheme: "urn",
      parse: function parse$$1(components, options) {
        var matches = components.path && components.path.match(URN_PARSE);
        var urnComponents = components;
        if (matches) {
          var scheme = options.scheme || urnComponents.scheme || "urn";
          var nid = matches[1].toLowerCase();
          var nss = matches[2];
          var urnScheme = scheme + ":" + (options.nid || nid);
          var schemeHandler = SCHEMES[urnScheme];
          urnComponents.nid = nid;
          urnComponents.nss = nss;
          urnComponents.path = void 0;
          if (schemeHandler) {
            urnComponents = schemeHandler.parse(urnComponents, options);
          }
        } else {
          urnComponents.error = urnComponents.error || "URN can not be parsed.";
        }
        return urnComponents;
      },
      serialize: function serialize$$1(urnComponents, options) {
        var scheme = options.scheme || urnComponents.scheme || "urn";
        var nid = urnComponents.nid;
        var urnScheme = scheme + ":" + (options.nid || nid);
        var schemeHandler = SCHEMES[urnScheme];
        if (schemeHandler) {
          urnComponents = schemeHandler.serialize(urnComponents, options);
        }
        var uriComponents = urnComponents;
        var nss = urnComponents.nss;
        uriComponents.path = (nid || options.nid) + ":" + nss;
        return uriComponents;
      }
    };
    var UUID2 = /^[0-9A-Fa-f]{8}(?:\-[0-9A-Fa-f]{4}){3}\-[0-9A-Fa-f]{12}$/;
    var handler$4 = {
      scheme: "urn:uuid",
      parse: function parse2(urnComponents, options) {
        var uuidComponents = urnComponents;
        uuidComponents.uuid = uuidComponents.nss;
        uuidComponents.nss = void 0;
        if (!options.tolerant && (!uuidComponents.uuid || !uuidComponents.uuid.match(UUID2))) {
          uuidComponents.error = uuidComponents.error || "UUID is not valid.";
        }
        return uuidComponents;
      },
      serialize: function serialize2(uuidComponents, options) {
        var urnComponents = uuidComponents;
        urnComponents.nss = (uuidComponents.uuid || "").toLowerCase();
        return urnComponents;
      }
    };
    SCHEMES[handler.scheme] = handler;
    SCHEMES[handler$1.scheme] = handler$1;
    SCHEMES[handler$2.scheme] = handler$2;
    SCHEMES[handler$3.scheme] = handler$3;
    SCHEMES[handler$4.scheme] = handler$4;
    exports2.SCHEMES = SCHEMES;
    exports2.pctEncChar = pctEncChar;
    exports2.pctDecChars = pctDecChars;
    exports2.parse = parse;
    exports2.removeDotSegments = removeDotSegments;
    exports2.serialize = serialize;
    exports2.resolveComponents = resolveComponents;
    exports2.resolve = resolve2;
    exports2.normalize = normalize;
    exports2.equal = equal3;
    exports2.escapeComponent = escapeComponent;
    exports2.unescapeComponent = unescapeComponent;
    Object.defineProperty(exports2, "__esModule", { value: true });
  });
})(uri_all, uri_all.exports);
var fastDeepEqual = function equal(a, b2) {
  if (a === b2)
    return true;
  if (a && b2 && typeof a == "object" && typeof b2 == "object") {
    if (a.constructor !== b2.constructor)
      return false;
    var length, i, keys2;
    if (Array.isArray(a)) {
      length = a.length;
      if (length != b2.length)
        return false;
      for (i = length; i-- !== 0; )
        if (!equal(a[i], b2[i]))
          return false;
      return true;
    }
    if (a.constructor === RegExp)
      return a.source === b2.source && a.flags === b2.flags;
    if (a.valueOf !== Object.prototype.valueOf)
      return a.valueOf() === b2.valueOf();
    if (a.toString !== Object.prototype.toString)
      return a.toString() === b2.toString();
    keys2 = Object.keys(a);
    length = keys2.length;
    if (length !== Object.keys(b2).length)
      return false;
    for (i = length; i-- !== 0; )
      if (!Object.prototype.hasOwnProperty.call(b2, keys2[i]))
        return false;
    for (i = length; i-- !== 0; ) {
      var key = keys2[i];
      if (!equal(a[key], b2[key]))
        return false;
    }
    return true;
  }
  return a !== a && b2 !== b2;
};
var ucs2length$1 = function ucs2length(str) {
  var length = 0, len = str.length, pos = 0, value;
  while (pos < len) {
    length++;
    value = str.charCodeAt(pos++);
    if (value >= 55296 && value <= 56319 && pos < len) {
      value = str.charCodeAt(pos);
      if ((value & 64512) == 56320)
        pos++;
    }
  }
  return length;
};
var util$5 = {
  copy,
  checkDataType,
  checkDataTypes,
  coerceToTypes,
  toHash: toHash$1,
  getProperty,
  escapeQuotes,
  equal: fastDeepEqual,
  ucs2length: ucs2length$1,
  varOccurences,
  varReplace,
  schemaHasRules,
  schemaHasRulesExcept,
  schemaUnknownRules,
  toQuotedString,
  getPathExpr,
  getPath,
  getData,
  unescapeFragment,
  unescapeJsonPointer,
  escapeFragment,
  escapeJsonPointer
};
function copy(o, to) {
  to = to || {};
  for (var key in o)
    to[key] = o[key];
  return to;
}
function checkDataType(dataType, data2, strictNumbers, negate) {
  var EQUAL = negate ? " !== " : " === ", AND = negate ? " || " : " && ", OK = negate ? "!" : "", NOT = negate ? "" : "!";
  switch (dataType) {
    case "null":
      return data2 + EQUAL + "null";
    case "array":
      return OK + "Array.isArray(" + data2 + ")";
    case "object":
      return "(" + OK + data2 + AND + "typeof " + data2 + EQUAL + '"object"' + AND + NOT + "Array.isArray(" + data2 + "))";
    case "integer":
      return "(typeof " + data2 + EQUAL + '"number"' + AND + NOT + "(" + data2 + " % 1)" + AND + data2 + EQUAL + data2 + (strictNumbers ? AND + OK + "isFinite(" + data2 + ")" : "") + ")";
    case "number":
      return "(typeof " + data2 + EQUAL + '"' + dataType + '"' + (strictNumbers ? AND + OK + "isFinite(" + data2 + ")" : "") + ")";
    default:
      return "typeof " + data2 + EQUAL + '"' + dataType + '"';
  }
}
function checkDataTypes(dataTypes, data2, strictNumbers) {
  switch (dataTypes.length) {
    case 1:
      return checkDataType(dataTypes[0], data2, strictNumbers, true);
    default:
      var code = "";
      var types = toHash$1(dataTypes);
      if (types.array && types.object) {
        code = types.null ? "(" : "(!" + data2 + " || ";
        code += "typeof " + data2 + ' !== "object")';
        delete types.null;
        delete types.array;
        delete types.object;
      }
      if (types.number)
        delete types.integer;
      for (var t2 in types)
        code += (code ? " && " : "") + checkDataType(t2, data2, strictNumbers, true);
      return code;
  }
}
var COERCE_TO_TYPES = toHash$1(["string", "number", "integer", "boolean", "null"]);
function coerceToTypes(optionCoerceTypes, dataTypes) {
  if (Array.isArray(dataTypes)) {
    var types = [];
    for (var i = 0; i < dataTypes.length; i++) {
      var t2 = dataTypes[i];
      if (COERCE_TO_TYPES[t2])
        types[types.length] = t2;
      else if (optionCoerceTypes === "array" && t2 === "array")
        types[types.length] = t2;
    }
    if (types.length)
      return types;
  } else if (COERCE_TO_TYPES[dataTypes]) {
    return [dataTypes];
  } else if (optionCoerceTypes === "array" && dataTypes === "array") {
    return ["array"];
  }
}
function toHash$1(arr) {
  var hash = {};
  for (var i = 0; i < arr.length; i++)
    hash[arr[i]] = true;
  return hash;
}
var IDENTIFIER$1 = /^[a-z$_][a-z$_0-9]*$/i;
var SINGLE_QUOTE = /'|\\/g;
function getProperty(key) {
  return typeof key == "number" ? "[" + key + "]" : IDENTIFIER$1.test(key) ? "." + key : "['" + escapeQuotes(key) + "']";
}
function escapeQuotes(str) {
  return str.replace(SINGLE_QUOTE, "\\$&").replace(/\n/g, "\\n").replace(/\r/g, "\\r").replace(/\f/g, "\\f").replace(/\t/g, "\\t");
}
function varOccurences(str, dataVar) {
  dataVar += "[^0-9]";
  var matches = str.match(new RegExp(dataVar, "g"));
  return matches ? matches.length : 0;
}
function varReplace(str, dataVar, expr) {
  dataVar += "([^0-9])";
  expr = expr.replace(/\$/g, "$$$$");
  return str.replace(new RegExp(dataVar, "g"), expr + "$1");
}
function schemaHasRules(schema, rules3) {
  if (typeof schema == "boolean")
    return !schema;
  for (var key in schema)
    if (rules3[key])
      return true;
}
function schemaHasRulesExcept(schema, rules3, exceptKeyword) {
  if (typeof schema == "boolean")
    return !schema && exceptKeyword != "not";
  for (var key in schema)
    if (key != exceptKeyword && rules3[key])
      return true;
}
function schemaUnknownRules(schema, rules3) {
  if (typeof schema == "boolean")
    return;
  for (var key in schema)
    if (!rules3[key])
      return key;
}
function toQuotedString(str) {
  return "'" + escapeQuotes(str) + "'";
}
function getPathExpr(currentPath, expr, jsonPointers, isNumber) {
  var path = jsonPointers ? "'/' + " + expr + (isNumber ? "" : ".replace(/~/g, '~0').replace(/\\//g, '~1')") : isNumber ? "'[' + " + expr + " + ']'" : "'[\\'' + " + expr + " + '\\']'";
  return joinPaths(currentPath, path);
}
function getPath(currentPath, prop, jsonPointers) {
  var path = jsonPointers ? toQuotedString("/" + escapeJsonPointer(prop)) : toQuotedString(getProperty(prop));
  return joinPaths(currentPath, path);
}
var JSON_POINTER$1 = /^\/(?:[^~]|~0|~1)*$/;
var RELATIVE_JSON_POINTER$1 = /^([0-9]+)(#|\/(?:[^~]|~0|~1)*)?$/;
function getData($data, lvl, paths) {
  var up, jsonPointer, data2, matches;
  if ($data === "")
    return "rootData";
  if ($data[0] == "/") {
    if (!JSON_POINTER$1.test($data))
      throw new Error("Invalid JSON-pointer: " + $data);
    jsonPointer = $data;
    data2 = "rootData";
  } else {
    matches = $data.match(RELATIVE_JSON_POINTER$1);
    if (!matches)
      throw new Error("Invalid JSON-pointer: " + $data);
    up = +matches[1];
    jsonPointer = matches[2];
    if (jsonPointer == "#") {
      if (up >= lvl)
        throw new Error("Cannot access property/index " + up + " levels up, current level is " + lvl);
      return paths[lvl - up];
    }
    if (up > lvl)
      throw new Error("Cannot access data " + up + " levels up, current level is " + lvl);
    data2 = "data" + (lvl - up || "");
    if (!jsonPointer)
      return data2;
  }
  var expr = data2;
  var segments = jsonPointer.split("/");
  for (var i = 0; i < segments.length; i++) {
    var segment = segments[i];
    if (segment) {
      data2 += getProperty(unescapeJsonPointer(segment));
      expr += " && " + data2;
    }
  }
  return expr;
}
function joinPaths(a, b2) {
  if (a == '""')
    return b2;
  return (a + " + " + b2).replace(/([^\\])' \+ '/g, "$1");
}
function unescapeFragment(str) {
  return unescapeJsonPointer(decodeURIComponent(str));
}
function escapeFragment(str) {
  return encodeURIComponent(escapeJsonPointer(str));
}
function escapeJsonPointer(str) {
  return str.replace(/~/g, "~0").replace(/\//g, "~1");
}
function unescapeJsonPointer(str) {
  return str.replace(/~1/g, "/").replace(/~0/g, "~");
}
var util$4 = util$5;
var schema_obj = SchemaObject$2;
function SchemaObject$2(obj) {
  util$4.copy(obj, this);
}
var jsonSchemaTraverse = { exports: {} };
var traverse$1 = jsonSchemaTraverse.exports = function(schema, opts, cb) {
  if (typeof opts == "function") {
    cb = opts;
    opts = {};
  }
  cb = opts.cb || cb;
  var pre = typeof cb == "function" ? cb : cb.pre || function() {
  };
  var post = cb.post || function() {
  };
  _traverse(opts, pre, post, schema, "", schema);
};
traverse$1.keywords = {
  additionalItems: true,
  items: true,
  contains: true,
  additionalProperties: true,
  propertyNames: true,
  not: true
};
traverse$1.arrayKeywords = {
  items: true,
  allOf: true,
  anyOf: true,
  oneOf: true
};
traverse$1.propsKeywords = {
  definitions: true,
  properties: true,
  patternProperties: true,
  dependencies: true
};
traverse$1.skipKeywords = {
  default: true,
  enum: true,
  const: true,
  required: true,
  maximum: true,
  minimum: true,
  exclusiveMaximum: true,
  exclusiveMinimum: true,
  multipleOf: true,
  maxLength: true,
  minLength: true,
  pattern: true,
  format: true,
  maxItems: true,
  minItems: true,
  uniqueItems: true,
  maxProperties: true,
  minProperties: true
};
function _traverse(opts, pre, post, schema, jsonPtr, rootSchema, parentJsonPtr, parentKeyword, parentSchema, keyIndex) {
  if (schema && typeof schema == "object" && !Array.isArray(schema)) {
    pre(schema, jsonPtr, rootSchema, parentJsonPtr, parentKeyword, parentSchema, keyIndex);
    for (var key in schema) {
      var sch = schema[key];
      if (Array.isArray(sch)) {
        if (key in traverse$1.arrayKeywords) {
          for (var i = 0; i < sch.length; i++)
            _traverse(opts, pre, post, sch[i], jsonPtr + "/" + key + "/" + i, rootSchema, jsonPtr, key, schema, i);
        }
      } else if (key in traverse$1.propsKeywords) {
        if (sch && typeof sch == "object") {
          for (var prop in sch)
            _traverse(opts, pre, post, sch[prop], jsonPtr + "/" + key + "/" + escapeJsonPtr(prop), rootSchema, jsonPtr, key, schema, prop);
        }
      } else if (key in traverse$1.keywords || opts.allKeys && !(key in traverse$1.skipKeywords)) {
        _traverse(opts, pre, post, sch, jsonPtr + "/" + key, rootSchema, jsonPtr, key, schema);
      }
    }
    post(schema, jsonPtr, rootSchema, parentJsonPtr, parentKeyword, parentSchema, keyIndex);
  }
}
function escapeJsonPtr(str) {
  return str.replace(/~/g, "~0").replace(/\//g, "~1");
}
var URI$1 = uri_all.exports, equal$1 = fastDeepEqual, util$3 = util$5, SchemaObject$1 = schema_obj, traverse = jsonSchemaTraverse.exports;
var resolve_1 = resolve$3;
resolve$3.normalizeId = normalizeId;
resolve$3.fullPath = getFullPath;
resolve$3.url = resolveUrl;
resolve$3.ids = resolveIds;
resolve$3.inlineRef = inlineRef;
resolve$3.schema = resolveSchema;
function resolve$3(compile2, root2, ref2) {
  var refVal = this._refs[ref2];
  if (typeof refVal == "string") {
    if (this._refs[refVal])
      refVal = this._refs[refVal];
    else
      return resolve$3.call(this, compile2, root2, refVal);
  }
  refVal = refVal || this._schemas[ref2];
  if (refVal instanceof SchemaObject$1) {
    return inlineRef(refVal.schema, this._opts.inlineRefs) ? refVal.schema : refVal.validate || this._compile(refVal);
  }
  var res = resolveSchema.call(this, root2, ref2);
  var schema, v2, baseId;
  if (res) {
    schema = res.schema;
    root2 = res.root;
    baseId = res.baseId;
  }
  if (schema instanceof SchemaObject$1) {
    v2 = schema.validate || compile2.call(this, schema.schema, root2, void 0, baseId);
  } else if (schema !== void 0) {
    v2 = inlineRef(schema, this._opts.inlineRefs) ? schema : compile2.call(this, schema, root2, void 0, baseId);
  }
  return v2;
}
function resolveSchema(root2, ref2) {
  var p2 = URI$1.parse(ref2), refPath = _getFullPath(p2), baseId = getFullPath(this._getId(root2.schema));
  if (Object.keys(root2.schema).length === 0 || refPath !== baseId) {
    var id = normalizeId(refPath);
    var refVal = this._refs[id];
    if (typeof refVal == "string") {
      return resolveRecursive.call(this, root2, refVal, p2);
    } else if (refVal instanceof SchemaObject$1) {
      if (!refVal.validate)
        this._compile(refVal);
      root2 = refVal;
    } else {
      refVal = this._schemas[id];
      if (refVal instanceof SchemaObject$1) {
        if (!refVal.validate)
          this._compile(refVal);
        if (id == normalizeId(ref2))
          return { schema: refVal, root: root2, baseId };
        root2 = refVal;
      } else {
        return;
      }
    }
    if (!root2.schema)
      return;
    baseId = getFullPath(this._getId(root2.schema));
  }
  return getJsonPointer.call(this, p2, baseId, root2.schema, root2);
}
function resolveRecursive(root2, ref2, parsedRef) {
  var res = resolveSchema.call(this, root2, ref2);
  if (res) {
    var schema = res.schema;
    var baseId = res.baseId;
    root2 = res.root;
    var id = this._getId(schema);
    if (id)
      baseId = resolveUrl(baseId, id);
    return getJsonPointer.call(this, parsedRef, baseId, schema, root2);
  }
}
var PREVENT_SCOPE_CHANGE = util$3.toHash(["properties", "patternProperties", "enum", "dependencies", "definitions"]);
function getJsonPointer(parsedRef, baseId, schema, root2) {
  parsedRef.fragment = parsedRef.fragment || "";
  if (parsedRef.fragment.slice(0, 1) != "/")
    return;
  var parts = parsedRef.fragment.split("/");
  for (var i = 1; i < parts.length; i++) {
    var part = parts[i];
    if (part) {
      part = util$3.unescapeFragment(part);
      schema = schema[part];
      if (schema === void 0)
        break;
      var id;
      if (!PREVENT_SCOPE_CHANGE[part]) {
        id = this._getId(schema);
        if (id)
          baseId = resolveUrl(baseId, id);
        if (schema.$ref) {
          var $ref = resolveUrl(baseId, schema.$ref);
          var res = resolveSchema.call(this, root2, $ref);
          if (res) {
            schema = res.schema;
            root2 = res.root;
            baseId = res.baseId;
          }
        }
      }
    }
  }
  if (schema !== void 0 && schema !== root2.schema)
    return { schema, root: root2, baseId };
}
var SIMPLE_INLINED = util$3.toHash([
  "type",
  "format",
  "pattern",
  "maxLength",
  "minLength",
  "maxProperties",
  "minProperties",
  "maxItems",
  "minItems",
  "maximum",
  "minimum",
  "uniqueItems",
  "multipleOf",
  "required",
  "enum"
]);
function inlineRef(schema, limit) {
  if (limit === false)
    return false;
  if (limit === void 0 || limit === true)
    return checkNoRef(schema);
  else if (limit)
    return countKeys(schema) <= limit;
}
function checkNoRef(schema) {
  var item;
  if (Array.isArray(schema)) {
    for (var i = 0; i < schema.length; i++) {
      item = schema[i];
      if (typeof item == "object" && !checkNoRef(item))
        return false;
    }
  } else {
    for (var key in schema) {
      if (key == "$ref")
        return false;
      item = schema[key];
      if (typeof item == "object" && !checkNoRef(item))
        return false;
    }
  }
  return true;
}
function countKeys(schema) {
  var count = 0, item;
  if (Array.isArray(schema)) {
    for (var i = 0; i < schema.length; i++) {
      item = schema[i];
      if (typeof item == "object")
        count += countKeys(item);
      if (count == Infinity)
        return Infinity;
    }
  } else {
    for (var key in schema) {
      if (key == "$ref")
        return Infinity;
      if (SIMPLE_INLINED[key]) {
        count++;
      } else {
        item = schema[key];
        if (typeof item == "object")
          count += countKeys(item) + 1;
        if (count == Infinity)
          return Infinity;
      }
    }
  }
  return count;
}
function getFullPath(id, normalize) {
  if (normalize !== false)
    id = normalizeId(id);
  var p2 = URI$1.parse(id);
  return _getFullPath(p2);
}
function _getFullPath(p2) {
  return URI$1.serialize(p2).split("#")[0] + "#";
}
var TRAILING_SLASH_HASH = /#\/?$/;
function normalizeId(id) {
  return id ? id.replace(TRAILING_SLASH_HASH, "") : "";
}
function resolveUrl(baseId, id) {
  id = normalizeId(id);
  return URI$1.resolve(baseId, id);
}
function resolveIds(schema) {
  var schemaId = normalizeId(this._getId(schema));
  var baseIds = { "": schemaId };
  var fullPaths = { "": getFullPath(schemaId, false) };
  var localRefs = {};
  var self2 = this;
  traverse(schema, { allKeys: true }, function(sch, jsonPtr, rootSchema, parentJsonPtr, parentKeyword, parentSchema, keyIndex) {
    if (jsonPtr === "")
      return;
    var id = self2._getId(sch);
    var baseId = baseIds[parentJsonPtr];
    var fullPath = fullPaths[parentJsonPtr] + "/" + parentKeyword;
    if (keyIndex !== void 0)
      fullPath += "/" + (typeof keyIndex == "number" ? keyIndex : util$3.escapeFragment(keyIndex));
    if (typeof id == "string") {
      id = baseId = normalizeId(baseId ? URI$1.resolve(baseId, id) : id);
      var refVal = self2._refs[id];
      if (typeof refVal == "string")
        refVal = self2._refs[refVal];
      if (refVal && refVal.schema) {
        if (!equal$1(sch, refVal.schema))
          throw new Error('id "' + id + '" resolves to more than one schema');
      } else if (id != normalizeId(fullPath)) {
        if (id[0] == "#") {
          if (localRefs[id] && !equal$1(sch, localRefs[id]))
            throw new Error('id "' + id + '" resolves to more than one schema');
          localRefs[id] = sch;
        } else {
          self2._refs[id] = fullPath;
        }
      }
    }
    baseIds[jsonPtr] = baseId;
    fullPaths[jsonPtr] = fullPath;
  });
  return localRefs;
}
var resolve$2 = resolve_1;
var error_classes = {
  Validation: errorSubclass(ValidationError$1),
  MissingRef: errorSubclass(MissingRefError$1)
};
function ValidationError$1(errors) {
  this.message = "validation failed";
  this.errors = errors;
  this.ajv = this.validation = true;
}
MissingRefError$1.message = function(baseId, ref2) {
  return "can't resolve reference " + ref2 + " from id " + baseId;
};
function MissingRefError$1(baseId, ref2, message) {
  this.message = message || MissingRefError$1.message(baseId, ref2);
  this.missingRef = resolve$2.url(baseId, ref2);
  this.missingSchema = resolve$2.normalizeId(resolve$2.fullPath(this.missingRef));
}
function errorSubclass(Subclass) {
  Subclass.prototype = Object.create(Error.prototype);
  Subclass.prototype.constructor = Subclass;
  return Subclass;
}
var fastJsonStableStringify = function(data2, opts) {
  if (!opts)
    opts = {};
  if (typeof opts === "function")
    opts = { cmp: opts };
  var cycles = typeof opts.cycles === "boolean" ? opts.cycles : false;
  var cmp = opts.cmp && function(f2) {
    return function(node) {
      return function(a, b2) {
        var aobj = { key: a, value: node[a] };
        var bobj = { key: b2, value: node[b2] };
        return f2(aobj, bobj);
      };
    };
  }(opts.cmp);
  var seen = [];
  return function stringify(node) {
    if (node && node.toJSON && typeof node.toJSON === "function") {
      node = node.toJSON();
    }
    if (node === void 0)
      return;
    if (typeof node == "number")
      return isFinite(node) ? "" + node : "null";
    if (typeof node !== "object")
      return JSON.stringify(node);
    var i, out;
    if (Array.isArray(node)) {
      out = "[";
      for (i = 0; i < node.length; i++) {
        if (i)
          out += ",";
        out += stringify(node[i]) || "null";
      }
      return out + "]";
    }
    if (node === null)
      return "null";
    if (seen.indexOf(node) !== -1) {
      if (cycles)
        return JSON.stringify("__cycle__");
      throw new TypeError("Converting circular structure to JSON");
    }
    var seenIndex = seen.push(node) - 1;
    var keys2 = Object.keys(node).sort(cmp && cmp(node));
    out = "";
    for (i = 0; i < keys2.length; i++) {
      var key = keys2[i];
      var value = stringify(node[key]);
      if (!value)
        continue;
      if (out)
        out += ",";
      out += JSON.stringify(key) + ":" + value;
    }
    seen.splice(seenIndex, 1);
    return "{" + out + "}";
  }(data2);
};
var validate$1 = function generate_validate(it, $keyword, $ruleType) {
  var out = "";
  var $async = it.schema.$async === true, $refKeywords = it.util.schemaHasRulesExcept(it.schema, it.RULES.all, "$ref"), $id2 = it.self._getId(it.schema);
  if (it.opts.strictKeywords) {
    var $unknownKwd = it.util.schemaUnknownRules(it.schema, it.RULES.keywords);
    if ($unknownKwd) {
      var $keywordsMsg = "unknown keyword: " + $unknownKwd;
      if (it.opts.strictKeywords === "log")
        it.logger.warn($keywordsMsg);
      else
        throw new Error($keywordsMsg);
    }
  }
  if (it.isTop) {
    out += " var validate = ";
    if ($async) {
      it.async = true;
      out += "async ";
    }
    out += "function(data, dataPath, parentData, parentDataProperty, rootData) { 'use strict'; ";
    if ($id2 && (it.opts.sourceCode || it.opts.processCode)) {
      out += " " + ("/*# sourceURL=" + $id2 + " */") + " ";
    }
  }
  if (typeof it.schema == "boolean" || !($refKeywords || it.schema.$ref)) {
    var $keyword = "false schema";
    var $lvl = it.level;
    var $dataLvl = it.dataLevel;
    var $schema2 = it.schema[$keyword];
    var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
    var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
    var $breakOnError = !it.opts.allErrors;
    var $errorKeyword;
    var $data = "data" + ($dataLvl || "");
    var $valid = "valid" + $lvl;
    if (it.schema === false) {
      if (it.isTop) {
        $breakOnError = true;
      } else {
        out += " var " + $valid + " = false; ";
      }
      var $$outStack = $$outStack || [];
      $$outStack.push(out);
      out = "";
      if (it.createErrors !== false) {
        out += " { keyword: '" + ($errorKeyword || "false schema") + "' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: {} ";
        if (it.opts.messages !== false) {
          out += " , message: 'boolean schema is false' ";
        }
        if (it.opts.verbose) {
          out += " , schema: false , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
        }
        out += " } ";
      } else {
        out += " {} ";
      }
      var __err = out;
      out = $$outStack.pop();
      if (!it.compositeRule && $breakOnError) {
        if (it.async) {
          out += " throw new ValidationError([" + __err + "]); ";
        } else {
          out += " validate.errors = [" + __err + "]; return false; ";
        }
      } else {
        out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
      }
    } else {
      if (it.isTop) {
        if ($async) {
          out += " return data; ";
        } else {
          out += " validate.errors = null; return true; ";
        }
      } else {
        out += " var " + $valid + " = true; ";
      }
    }
    if (it.isTop) {
      out += " }; return validate; ";
    }
    return out;
  }
  if (it.isTop) {
    var $top = it.isTop, $lvl = it.level = 0, $dataLvl = it.dataLevel = 0, $data = "data";
    it.rootId = it.resolve.fullPath(it.self._getId(it.root.schema));
    it.baseId = it.baseId || it.rootId;
    delete it.isTop;
    it.dataPathArr = [void 0];
    if (it.schema.default !== void 0 && it.opts.useDefaults && it.opts.strictDefaults) {
      var $defaultMsg = "default is ignored in the schema root";
      if (it.opts.strictDefaults === "log")
        it.logger.warn($defaultMsg);
      else
        throw new Error($defaultMsg);
    }
    out += " var vErrors = null; ";
    out += " var errors = 0;     ";
    out += " if (rootData === undefined) rootData = data; ";
  } else {
    var $lvl = it.level, $dataLvl = it.dataLevel, $data = "data" + ($dataLvl || "");
    if ($id2)
      it.baseId = it.resolve.url(it.baseId, $id2);
    if ($async && !it.async)
      throw new Error("async schema in sync schema");
    out += " var errs_" + $lvl + " = errors;";
  }
  var $valid = "valid" + $lvl, $breakOnError = !it.opts.allErrors, $closingBraces1 = "", $closingBraces2 = "";
  var $errorKeyword;
  var $typeSchema = it.schema.type, $typeIsArray = Array.isArray($typeSchema);
  if ($typeSchema && it.opts.nullable && it.schema.nullable === true) {
    if ($typeIsArray) {
      if ($typeSchema.indexOf("null") == -1)
        $typeSchema = $typeSchema.concat("null");
    } else if ($typeSchema != "null") {
      $typeSchema = [$typeSchema, "null"];
      $typeIsArray = true;
    }
  }
  if ($typeIsArray && $typeSchema.length == 1) {
    $typeSchema = $typeSchema[0];
    $typeIsArray = false;
  }
  if (it.schema.$ref && $refKeywords) {
    if (it.opts.extendRefs == "fail") {
      throw new Error('$ref: validation keywords used in schema at path "' + it.errSchemaPath + '" (see option extendRefs)');
    } else if (it.opts.extendRefs !== true) {
      $refKeywords = false;
      it.logger.warn('$ref: keywords ignored in schema at path "' + it.errSchemaPath + '"');
    }
  }
  if (it.schema.$comment && it.opts.$comment) {
    out += " " + it.RULES.all.$comment.code(it, "$comment");
  }
  if ($typeSchema) {
    if (it.opts.coerceTypes) {
      var $coerceToTypes = it.util.coerceToTypes(it.opts.coerceTypes, $typeSchema);
    }
    var $rulesGroup = it.RULES.types[$typeSchema];
    if ($coerceToTypes || $typeIsArray || $rulesGroup === true || $rulesGroup && !$shouldUseGroup($rulesGroup)) {
      var $schemaPath = it.schemaPath + ".type", $errSchemaPath = it.errSchemaPath + "/type";
      var $schemaPath = it.schemaPath + ".type", $errSchemaPath = it.errSchemaPath + "/type", $method = $typeIsArray ? "checkDataTypes" : "checkDataType";
      out += " if (" + it.util[$method]($typeSchema, $data, it.opts.strictNumbers, true) + ") { ";
      if ($coerceToTypes) {
        var $dataType = "dataType" + $lvl, $coerced = "coerced" + $lvl;
        out += " var " + $dataType + " = typeof " + $data + "; ";
        if (it.opts.coerceTypes == "array") {
          out += " if (" + $dataType + " == 'object' && Array.isArray(" + $data + ")) " + $dataType + " = 'array'; ";
        }
        out += " var " + $coerced + " = undefined; ";
        var $bracesCoercion = "";
        var arr1 = $coerceToTypes;
        if (arr1) {
          var $type, $i = -1, l1 = arr1.length - 1;
          while ($i < l1) {
            $type = arr1[$i += 1];
            if ($i) {
              out += " if (" + $coerced + " === undefined) { ";
              $bracesCoercion += "}";
            }
            if (it.opts.coerceTypes == "array" && $type != "array") {
              out += " if (" + $dataType + " == 'array' && " + $data + ".length == 1) { " + $coerced + " = " + $data + " = " + $data + "[0]; " + $dataType + " = typeof " + $data + ";  } ";
            }
            if ($type == "string") {
              out += " if (" + $dataType + " == 'number' || " + $dataType + " == 'boolean') " + $coerced + " = '' + " + $data + "; else if (" + $data + " === null) " + $coerced + " = ''; ";
            } else if ($type == "number" || $type == "integer") {
              out += " if (" + $dataType + " == 'boolean' || " + $data + " === null || (" + $dataType + " == 'string' && " + $data + " && " + $data + " == +" + $data + " ";
              if ($type == "integer") {
                out += " && !(" + $data + " % 1)";
              }
              out += ")) " + $coerced + " = +" + $data + "; ";
            } else if ($type == "boolean") {
              out += " if (" + $data + " === 'false' || " + $data + " === 0 || " + $data + " === null) " + $coerced + " = false; else if (" + $data + " === 'true' || " + $data + " === 1) " + $coerced + " = true; ";
            } else if ($type == "null") {
              out += " if (" + $data + " === '' || " + $data + " === 0 || " + $data + " === false) " + $coerced + " = null; ";
            } else if (it.opts.coerceTypes == "array" && $type == "array") {
              out += " if (" + $dataType + " == 'string' || " + $dataType + " == 'number' || " + $dataType + " == 'boolean' || " + $data + " == null) " + $coerced + " = [" + $data + "]; ";
            }
          }
        }
        out += " " + $bracesCoercion + " if (" + $coerced + " === undefined) {   ";
        var $$outStack = $$outStack || [];
        $$outStack.push(out);
        out = "";
        if (it.createErrors !== false) {
          out += " { keyword: '" + ($errorKeyword || "type") + "' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { type: '";
          if ($typeIsArray) {
            out += "" + $typeSchema.join(",");
          } else {
            out += "" + $typeSchema;
          }
          out += "' } ";
          if (it.opts.messages !== false) {
            out += " , message: 'should be ";
            if ($typeIsArray) {
              out += "" + $typeSchema.join(",");
            } else {
              out += "" + $typeSchema;
            }
            out += "' ";
          }
          if (it.opts.verbose) {
            out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
          }
          out += " } ";
        } else {
          out += " {} ";
        }
        var __err = out;
        out = $$outStack.pop();
        if (!it.compositeRule && $breakOnError) {
          if (it.async) {
            out += " throw new ValidationError([" + __err + "]); ";
          } else {
            out += " validate.errors = [" + __err + "]; return false; ";
          }
        } else {
          out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
        }
        out += " } else {  ";
        var $parentData = $dataLvl ? "data" + ($dataLvl - 1 || "") : "parentData", $parentDataProperty = $dataLvl ? it.dataPathArr[$dataLvl] : "parentDataProperty";
        out += " " + $data + " = " + $coerced + "; ";
        if (!$dataLvl) {
          out += "if (" + $parentData + " !== undefined)";
        }
        out += " " + $parentData + "[" + $parentDataProperty + "] = " + $coerced + "; } ";
      } else {
        var $$outStack = $$outStack || [];
        $$outStack.push(out);
        out = "";
        if (it.createErrors !== false) {
          out += " { keyword: '" + ($errorKeyword || "type") + "' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { type: '";
          if ($typeIsArray) {
            out += "" + $typeSchema.join(",");
          } else {
            out += "" + $typeSchema;
          }
          out += "' } ";
          if (it.opts.messages !== false) {
            out += " , message: 'should be ";
            if ($typeIsArray) {
              out += "" + $typeSchema.join(",");
            } else {
              out += "" + $typeSchema;
            }
            out += "' ";
          }
          if (it.opts.verbose) {
            out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
          }
          out += " } ";
        } else {
          out += " {} ";
        }
        var __err = out;
        out = $$outStack.pop();
        if (!it.compositeRule && $breakOnError) {
          if (it.async) {
            out += " throw new ValidationError([" + __err + "]); ";
          } else {
            out += " validate.errors = [" + __err + "]; return false; ";
          }
        } else {
          out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
        }
      }
      out += " } ";
    }
  }
  if (it.schema.$ref && !$refKeywords) {
    out += " " + it.RULES.all.$ref.code(it, "$ref") + " ";
    if ($breakOnError) {
      out += " } if (errors === ";
      if ($top) {
        out += "0";
      } else {
        out += "errs_" + $lvl;
      }
      out += ") { ";
      $closingBraces2 += "}";
    }
  } else {
    var arr2 = it.RULES;
    if (arr2) {
      var $rulesGroup, i2 = -1, l2 = arr2.length - 1;
      while (i2 < l2) {
        $rulesGroup = arr2[i2 += 1];
        if ($shouldUseGroup($rulesGroup)) {
          if ($rulesGroup.type) {
            out += " if (" + it.util.checkDataType($rulesGroup.type, $data, it.opts.strictNumbers) + ") { ";
          }
          if (it.opts.useDefaults) {
            if ($rulesGroup.type == "object" && it.schema.properties) {
              var $schema2 = it.schema.properties, $schemaKeys = Object.keys($schema2);
              var arr3 = $schemaKeys;
              if (arr3) {
                var $propertyKey, i3 = -1, l3 = arr3.length - 1;
                while (i3 < l3) {
                  $propertyKey = arr3[i3 += 1];
                  var $sch = $schema2[$propertyKey];
                  if ($sch.default !== void 0) {
                    var $passData = $data + it.util.getProperty($propertyKey);
                    if (it.compositeRule) {
                      if (it.opts.strictDefaults) {
                        var $defaultMsg = "default is ignored for: " + $passData;
                        if (it.opts.strictDefaults === "log")
                          it.logger.warn($defaultMsg);
                        else
                          throw new Error($defaultMsg);
                      }
                    } else {
                      out += " if (" + $passData + " === undefined ";
                      if (it.opts.useDefaults == "empty") {
                        out += " || " + $passData + " === null || " + $passData + " === '' ";
                      }
                      out += " ) " + $passData + " = ";
                      if (it.opts.useDefaults == "shared") {
                        out += " " + it.useDefault($sch.default) + " ";
                      } else {
                        out += " " + JSON.stringify($sch.default) + " ";
                      }
                      out += "; ";
                    }
                  }
                }
              }
            } else if ($rulesGroup.type == "array" && Array.isArray(it.schema.items)) {
              var arr4 = it.schema.items;
              if (arr4) {
                var $sch, $i = -1, l4 = arr4.length - 1;
                while ($i < l4) {
                  $sch = arr4[$i += 1];
                  if ($sch.default !== void 0) {
                    var $passData = $data + "[" + $i + "]";
                    if (it.compositeRule) {
                      if (it.opts.strictDefaults) {
                        var $defaultMsg = "default is ignored for: " + $passData;
                        if (it.opts.strictDefaults === "log")
                          it.logger.warn($defaultMsg);
                        else
                          throw new Error($defaultMsg);
                      }
                    } else {
                      out += " if (" + $passData + " === undefined ";
                      if (it.opts.useDefaults == "empty") {
                        out += " || " + $passData + " === null || " + $passData + " === '' ";
                      }
                      out += " ) " + $passData + " = ";
                      if (it.opts.useDefaults == "shared") {
                        out += " " + it.useDefault($sch.default) + " ";
                      } else {
                        out += " " + JSON.stringify($sch.default) + " ";
                      }
                      out += "; ";
                    }
                  }
                }
              }
            }
          }
          var arr5 = $rulesGroup.rules;
          if (arr5) {
            var $rule, i5 = -1, l5 = arr5.length - 1;
            while (i5 < l5) {
              $rule = arr5[i5 += 1];
              if ($shouldUseRule($rule)) {
                var $code = $rule.code(it, $rule.keyword, $rulesGroup.type);
                if ($code) {
                  out += " " + $code + " ";
                  if ($breakOnError) {
                    $closingBraces1 += "}";
                  }
                }
              }
            }
          }
          if ($breakOnError) {
            out += " " + $closingBraces1 + " ";
            $closingBraces1 = "";
          }
          if ($rulesGroup.type) {
            out += " } ";
            if ($typeSchema && $typeSchema === $rulesGroup.type && !$coerceToTypes) {
              out += " else { ";
              var $schemaPath = it.schemaPath + ".type", $errSchemaPath = it.errSchemaPath + "/type";
              var $$outStack = $$outStack || [];
              $$outStack.push(out);
              out = "";
              if (it.createErrors !== false) {
                out += " { keyword: '" + ($errorKeyword || "type") + "' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { type: '";
                if ($typeIsArray) {
                  out += "" + $typeSchema.join(",");
                } else {
                  out += "" + $typeSchema;
                }
                out += "' } ";
                if (it.opts.messages !== false) {
                  out += " , message: 'should be ";
                  if ($typeIsArray) {
                    out += "" + $typeSchema.join(",");
                  } else {
                    out += "" + $typeSchema;
                  }
                  out += "' ";
                }
                if (it.opts.verbose) {
                  out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
                }
                out += " } ";
              } else {
                out += " {} ";
              }
              var __err = out;
              out = $$outStack.pop();
              if (!it.compositeRule && $breakOnError) {
                if (it.async) {
                  out += " throw new ValidationError([" + __err + "]); ";
                } else {
                  out += " validate.errors = [" + __err + "]; return false; ";
                }
              } else {
                out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
              }
              out += " } ";
            }
          }
          if ($breakOnError) {
            out += " if (errors === ";
            if ($top) {
              out += "0";
            } else {
              out += "errs_" + $lvl;
            }
            out += ") { ";
            $closingBraces2 += "}";
          }
        }
      }
    }
  }
  if ($breakOnError) {
    out += " " + $closingBraces2 + " ";
  }
  if ($top) {
    if ($async) {
      out += " if (errors === 0) return data;           ";
      out += " else throw new ValidationError(vErrors); ";
    } else {
      out += " validate.errors = vErrors; ";
      out += " return errors === 0;       ";
    }
    out += " }; return validate;";
  } else {
    out += " var " + $valid + " = errors === errs_" + $lvl + ";";
  }
  function $shouldUseGroup($rulesGroup2) {
    var rules3 = $rulesGroup2.rules;
    for (var i = 0; i < rules3.length; i++)
      if ($shouldUseRule(rules3[i]))
        return true;
  }
  function $shouldUseRule($rule2) {
    return it.schema[$rule2.keyword] !== void 0 || $rule2.implements && $ruleImplementsSomeKeyword($rule2);
  }
  function $ruleImplementsSomeKeyword($rule2) {
    var impl = $rule2.implements;
    for (var i = 0; i < impl.length; i++)
      if (it.schema[impl[i]] !== void 0)
        return true;
  }
  return out;
};
var resolve$1 = resolve_1, util$2 = util$5, errorClasses$1 = error_classes, stableStringify$1 = fastJsonStableStringify;
var validateGenerator = validate$1;
var ucs2length2 = util$2.ucs2length;
var equal2 = fastDeepEqual;
var ValidationError = errorClasses$1.Validation;
var compile_1 = compile$1;
function compile$1(schema, root2, localRefs, baseId) {
  var self2 = this, opts = this._opts, refVal = [void 0], refs = {}, patterns = [], patternsHash = {}, defaults = [], defaultsHash = {}, customRules = [];
  root2 = root2 || { schema, refVal, refs };
  var c2 = checkCompiling.call(this, schema, root2, baseId);
  var compilation = this._compilations[c2.index];
  if (c2.compiling)
    return compilation.callValidate = callValidate;
  var formats2 = this._formats;
  var RULES = this.RULES;
  try {
    var v2 = localCompile(schema, root2, localRefs, baseId);
    compilation.validate = v2;
    var cv = compilation.callValidate;
    if (cv) {
      cv.schema = v2.schema;
      cv.errors = null;
      cv.refs = v2.refs;
      cv.refVal = v2.refVal;
      cv.root = v2.root;
      cv.$async = v2.$async;
      if (opts.sourceCode)
        cv.source = v2.source;
    }
    return v2;
  } finally {
    endCompiling.call(this, schema, root2, baseId);
  }
  function callValidate() {
    var validate2 = compilation.validate;
    var result = validate2.apply(this, arguments);
    callValidate.errors = validate2.errors;
    return result;
  }
  function localCompile(_schema, _root2, localRefs2, baseId2) {
    var isRoot = !_root2 || _root2 && _root2.schema == _schema;
    if (_root2.schema != root2.schema)
      return compile$1.call(self2, _schema, _root2, localRefs2, baseId2);
    var $async = _schema.$async === true;
    var sourceCode = validateGenerator({
      isTop: true,
      schema: _schema,
      isRoot,
      baseId: baseId2,
      root: _root2,
      schemaPath: "",
      errSchemaPath: "#",
      errorPath: '""',
      MissingRefError: errorClasses$1.MissingRef,
      RULES,
      validate: validateGenerator,
      util: util$2,
      resolve: resolve$1,
      resolveRef,
      usePattern,
      useDefault,
      useCustomRule,
      opts,
      formats: formats2,
      logger: self2.logger,
      self: self2
    });
    sourceCode = vars(refVal, refValCode) + vars(patterns, patternCode) + vars(defaults, defaultCode) + vars(customRules, customRuleCode$1) + sourceCode;
    if (opts.processCode)
      sourceCode = opts.processCode(sourceCode, _schema);
    var validate2;
    try {
      var makeValidate = new Function("self", "RULES", "formats", "root", "refVal", "defaults", "customRules", "equal", "ucs2length", "ValidationError", sourceCode);
      validate2 = makeValidate(self2, RULES, formats2, root2, refVal, defaults, customRules, equal2, ucs2length2, ValidationError);
      refVal[0] = validate2;
    } catch (e2) {
      self2.logger.error("Error compiling schema, function code:", sourceCode);
      throw e2;
    }
    validate2.schema = _schema;
    validate2.errors = null;
    validate2.refs = refs;
    validate2.refVal = refVal;
    validate2.root = isRoot ? validate2 : _root2;
    if ($async)
      validate2.$async = true;
    if (opts.sourceCode === true) {
      validate2.source = {
        code: sourceCode,
        patterns,
        defaults
      };
    }
    return validate2;
  }
  function resolveRef(baseId2, ref2, isRoot) {
    ref2 = resolve$1.url(baseId2, ref2);
    var refIndex = refs[ref2];
    var _refVal, refCode;
    if (refIndex !== void 0) {
      _refVal = refVal[refIndex];
      refCode = "refVal[" + refIndex + "]";
      return resolvedRef(_refVal, refCode);
    }
    if (!isRoot && root2.refs) {
      var rootRefId = root2.refs[ref2];
      if (rootRefId !== void 0) {
        _refVal = root2.refVal[rootRefId];
        refCode = addLocalRef(ref2, _refVal);
        return resolvedRef(_refVal, refCode);
      }
    }
    refCode = addLocalRef(ref2);
    var v3 = resolve$1.call(self2, localCompile, root2, ref2);
    if (v3 === void 0) {
      var localSchema = localRefs && localRefs[ref2];
      if (localSchema) {
        v3 = resolve$1.inlineRef(localSchema, opts.inlineRefs) ? localSchema : compile$1.call(self2, localSchema, root2, localRefs, baseId2);
      }
    }
    if (v3 === void 0) {
      removeLocalRef(ref2);
    } else {
      replaceLocalRef(ref2, v3);
      return resolvedRef(v3, refCode);
    }
  }
  function addLocalRef(ref2, v3) {
    var refId = refVal.length;
    refVal[refId] = v3;
    refs[ref2] = refId;
    return "refVal" + refId;
  }
  function removeLocalRef(ref2) {
    delete refs[ref2];
  }
  function replaceLocalRef(ref2, v3) {
    var refId = refs[ref2];
    refVal[refId] = v3;
  }
  function resolvedRef(refVal2, code) {
    return typeof refVal2 == "object" || typeof refVal2 == "boolean" ? { code, schema: refVal2, inline: true } : { code, $async: refVal2 && !!refVal2.$async };
  }
  function usePattern(regexStr) {
    var index2 = patternsHash[regexStr];
    if (index2 === void 0) {
      index2 = patternsHash[regexStr] = patterns.length;
      patterns[index2] = regexStr;
    }
    return "pattern" + index2;
  }
  function useDefault(value) {
    switch (typeof value) {
      case "boolean":
      case "number":
        return "" + value;
      case "string":
        return util$2.toQuotedString(value);
      case "object":
        if (value === null)
          return "null";
        var valueStr = stableStringify$1(value);
        var index2 = defaultsHash[valueStr];
        if (index2 === void 0) {
          index2 = defaultsHash[valueStr] = defaults.length;
          defaults[index2] = value;
        }
        return "default" + index2;
    }
  }
  function useCustomRule(rule, schema2, parentSchema, it) {
    if (self2._opts.validateSchema !== false) {
      var deps = rule.definition.dependencies;
      if (deps && !deps.every(function(keyword2) {
        return Object.prototype.hasOwnProperty.call(parentSchema, keyword2);
      }))
        throw new Error("parent schema must have all required keywords: " + deps.join(","));
      var validateSchema2 = rule.definition.validateSchema;
      if (validateSchema2) {
        var valid = validateSchema2(schema2);
        if (!valid) {
          var message = "keyword schema is invalid: " + self2.errorsText(validateSchema2.errors);
          if (self2._opts.validateSchema == "log")
            self2.logger.error(message);
          else
            throw new Error(message);
        }
      }
    }
    var compile2 = rule.definition.compile, inline = rule.definition.inline, macro = rule.definition.macro;
    var validate2;
    if (compile2) {
      validate2 = compile2.call(self2, schema2, parentSchema, it);
    } else if (macro) {
      validate2 = macro.call(self2, schema2, parentSchema, it);
      if (opts.validateSchema !== false)
        self2.validateSchema(validate2, true);
    } else if (inline) {
      validate2 = inline.call(self2, it, rule.keyword, schema2, parentSchema);
    } else {
      validate2 = rule.definition.validate;
      if (!validate2)
        return;
    }
    if (validate2 === void 0)
      throw new Error('custom keyword "' + rule.keyword + '"failed to compile');
    var index2 = customRules.length;
    customRules[index2] = validate2;
    return {
      code: "customRule" + index2,
      validate: validate2
    };
  }
}
function checkCompiling(schema, root2, baseId) {
  var index2 = compIndex.call(this, schema, root2, baseId);
  if (index2 >= 0)
    return { index: index2, compiling: true };
  index2 = this._compilations.length;
  this._compilations[index2] = {
    schema,
    root: root2,
    baseId
  };
  return { index: index2, compiling: false };
}
function endCompiling(schema, root2, baseId) {
  var i = compIndex.call(this, schema, root2, baseId);
  if (i >= 0)
    this._compilations.splice(i, 1);
}
function compIndex(schema, root2, baseId) {
  for (var i = 0; i < this._compilations.length; i++) {
    var c2 = this._compilations[i];
    if (c2.schema == schema && c2.root == root2 && c2.baseId == baseId)
      return i;
  }
  return -1;
}
function patternCode(i, patterns) {
  return "var pattern" + i + " = new RegExp(" + util$2.toQuotedString(patterns[i]) + ");";
}
function defaultCode(i) {
  return "var default" + i + " = defaults[" + i + "];";
}
function refValCode(i, refVal) {
  return refVal[i] === void 0 ? "" : "var refVal" + i + " = refVal[" + i + "];";
}
function customRuleCode$1(i) {
  return "var customRule" + i + " = customRules[" + i + "];";
}
function vars(arr, statement) {
  if (!arr.length)
    return "";
  var code = "";
  for (var i = 0; i < arr.length; i++)
    code += statement(i, arr);
  return code;
}
var cache = { exports: {} };
var Cache$1 = cache.exports = function Cache() {
  this._cache = {};
};
Cache$1.prototype.put = function Cache_put(key, value) {
  this._cache[key] = value;
};
Cache$1.prototype.get = function Cache_get(key) {
  return this._cache[key];
};
Cache$1.prototype.del = function Cache_del(key) {
  delete this._cache[key];
};
Cache$1.prototype.clear = function Cache_clear() {
  this._cache = {};
};
var util$1 = util$5;
var DATE = /^(\d\d\d\d)-(\d\d)-(\d\d)$/;
var DAYS = [0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
var TIME = /^(\d\d):(\d\d):(\d\d)(\.\d+)?(z|[+-]\d\d(?::?\d\d)?)?$/i;
var HOSTNAME = /^(?=.{1,253}\.?$)[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?(?:\.[a-z0-9](?:[-0-9a-z]{0,61}[0-9a-z])?)*\.?$/i;
var URI = /^(?:[a-z][a-z0-9+\-.]*:)(?:\/?\/(?:(?:[a-z0-9\-._~!$&'()*+,;=:]|%[0-9a-f]{2})*@)?(?:\[(?:(?:(?:(?:[0-9a-f]{1,4}:){6}|::(?:[0-9a-f]{1,4}:){5}|(?:[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){4}|(?:(?:[0-9a-f]{1,4}:){0,1}[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){3}|(?:(?:[0-9a-f]{1,4}:){0,2}[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){2}|(?:(?:[0-9a-f]{1,4}:){0,3}[0-9a-f]{1,4})?::[0-9a-f]{1,4}:|(?:(?:[0-9a-f]{1,4}:){0,4}[0-9a-f]{1,4})?::)(?:[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?))|(?:(?:[0-9a-f]{1,4}:){0,5}[0-9a-f]{1,4})?::[0-9a-f]{1,4}|(?:(?:[0-9a-f]{1,4}:){0,6}[0-9a-f]{1,4})?::)|[Vv][0-9a-f]+\.[a-z0-9\-._~!$&'()*+,;=:]+)\]|(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?)|(?:[a-z0-9\-._~!$&'()*+,;=]|%[0-9a-f]{2})*)(?::\d*)?(?:\/(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})*)*|\/(?:(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})+(?:\/(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})*)*)?|(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})+(?:\/(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})*)*)(?:\?(?:[a-z0-9\-._~!$&'()*+,;=:@/?]|%[0-9a-f]{2})*)?(?:#(?:[a-z0-9\-._~!$&'()*+,;=:@/?]|%[0-9a-f]{2})*)?$/i;
var URIREF = /^(?:[a-z][a-z0-9+\-.]*:)?(?:\/?\/(?:(?:[a-z0-9\-._~!$&'()*+,;=:]|%[0-9a-f]{2})*@)?(?:\[(?:(?:(?:(?:[0-9a-f]{1,4}:){6}|::(?:[0-9a-f]{1,4}:){5}|(?:[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){4}|(?:(?:[0-9a-f]{1,4}:){0,1}[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){3}|(?:(?:[0-9a-f]{1,4}:){0,2}[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){2}|(?:(?:[0-9a-f]{1,4}:){0,3}[0-9a-f]{1,4})?::[0-9a-f]{1,4}:|(?:(?:[0-9a-f]{1,4}:){0,4}[0-9a-f]{1,4})?::)(?:[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?))|(?:(?:[0-9a-f]{1,4}:){0,5}[0-9a-f]{1,4})?::[0-9a-f]{1,4}|(?:(?:[0-9a-f]{1,4}:){0,6}[0-9a-f]{1,4})?::)|[Vv][0-9a-f]+\.[a-z0-9\-._~!$&'()*+,;=:]+)\]|(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?)|(?:[a-z0-9\-._~!$&'"()*+,;=]|%[0-9a-f]{2})*)(?::\d*)?(?:\/(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})*)*|\/(?:(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})+(?:\/(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})*)*)?|(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})+(?:\/(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})*)*)?(?:\?(?:[a-z0-9\-._~!$&'"()*+,;=:@/?]|%[0-9a-f]{2})*)?(?:#(?:[a-z0-9\-._~!$&'"()*+,;=:@/?]|%[0-9a-f]{2})*)?$/i;
var URITEMPLATE = /^(?:(?:[^\x00-\x20"'<>%\\^`{|}]|%[0-9a-f]{2})|\{[+#./;?&=,!@|]?(?:[a-z0-9_]|%[0-9a-f]{2})+(?::[1-9][0-9]{0,3}|\*)?(?:,(?:[a-z0-9_]|%[0-9a-f]{2})+(?::[1-9][0-9]{0,3}|\*)?)*\})*$/i;
var URL = /^(?:(?:http[s\u017F]?|ftp):\/\/)(?:(?:[\0-\x08\x0E-\x1F!-\x9F\xA1-\u167F\u1681-\u1FFF\u200B-\u2027\u202A-\u202E\u2030-\u205E\u2060-\u2FFF\u3001-\uD7FF\uE000-\uFEFE\uFF00-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])+(?::(?:[\0-\x08\x0E-\x1F!-\x9F\xA1-\u167F\u1681-\u1FFF\u200B-\u2027\u202A-\u202E\u2030-\u205E\u2060-\u2FFF\u3001-\uD7FF\uE000-\uFEFE\uFF00-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*)?@)?(?:(?!10(?:\.[0-9]{1,3}){3})(?!127(?:\.[0-9]{1,3}){3})(?!169\.254(?:\.[0-9]{1,3}){2})(?!192\.168(?:\.[0-9]{1,3}){2})(?!172\.(?:1[6-9]|2[0-9]|3[01])(?:\.[0-9]{1,3}){2})(?:[1-9][0-9]?|1[0-9][0-9]|2[01][0-9]|22[0-3])(?:\.(?:1?[0-9]{1,2}|2[0-4][0-9]|25[0-5])){2}(?:\.(?:[1-9][0-9]?|1[0-9][0-9]|2[0-4][0-9]|25[0-4]))|(?:(?:(?:[0-9KSa-z\xA1-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])+-?)*(?:[0-9KSa-z\xA1-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])+)(?:\.(?:(?:[0-9KSa-z\xA1-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])+-?)*(?:[0-9KSa-z\xA1-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])+)*(?:\.(?:(?:[KSa-z\xA1-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]){2,})))(?::[0-9]{2,5})?(?:\/(?:[\0-\x08\x0E-\x1F!-\x9F\xA1-\u167F\u1681-\u1FFF\u200B-\u2027\u202A-\u202E\u2030-\u205E\u2060-\u2FFF\u3001-\uD7FF\uE000-\uFEFE\uFF00-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*)?$/i;
var UUID = /^(?:urn:uuid:)?[0-9a-f]{8}-(?:[0-9a-f]{4}-){3}[0-9a-f]{12}$/i;
var JSON_POINTER = /^(?:\/(?:[^~/]|~0|~1)*)*$/;
var JSON_POINTER_URI_FRAGMENT = /^#(?:\/(?:[a-z0-9_\-.!$&'()*+,;:=@]|%[0-9a-f]{2}|~0|~1)*)*$/i;
var RELATIVE_JSON_POINTER = /^(?:0|[1-9][0-9]*)(?:#|(?:\/(?:[^~/]|~0|~1)*)*)$/;
var formats_1 = formats$1;
function formats$1(mode) {
  mode = mode == "full" ? "full" : "fast";
  return util$1.copy(formats$1[mode]);
}
formats$1.fast = {
  date: /^\d\d\d\d-[0-1]\d-[0-3]\d$/,
  time: /^(?:[0-2]\d:[0-5]\d:[0-5]\d|23:59:60)(?:\.\d+)?(?:z|[+-]\d\d(?::?\d\d)?)?$/i,
  "date-time": /^\d\d\d\d-[0-1]\d-[0-3]\d[t\s](?:[0-2]\d:[0-5]\d:[0-5]\d|23:59:60)(?:\.\d+)?(?:z|[+-]\d\d(?::?\d\d)?)$/i,
  uri: /^(?:[a-z][a-z0-9+-.]*:)(?:\/?\/)?[^\s]*$/i,
  "uri-reference": /^(?:(?:[a-z][a-z0-9+-.]*:)?\/?\/)?(?:[^\\\s#][^\s#]*)?(?:#[^\\\s]*)?$/i,
  "uri-template": URITEMPLATE,
  url: URL,
  email: /^[a-z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?(?:\.[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?)*$/i,
  hostname: HOSTNAME,
  ipv4: /^(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?)$/,
  ipv6: /^\s*(?:(?:(?:[0-9a-f]{1,4}:){7}(?:[0-9a-f]{1,4}|:))|(?:(?:[0-9a-f]{1,4}:){6}(?::[0-9a-f]{1,4}|(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(?:(?:[0-9a-f]{1,4}:){5}(?:(?:(?::[0-9a-f]{1,4}){1,2})|:(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(?:(?:[0-9a-f]{1,4}:){4}(?:(?:(?::[0-9a-f]{1,4}){1,3})|(?:(?::[0-9a-f]{1,4})?:(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(?:(?:[0-9a-f]{1,4}:){3}(?:(?:(?::[0-9a-f]{1,4}){1,4})|(?:(?::[0-9a-f]{1,4}){0,2}:(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(?:(?:[0-9a-f]{1,4}:){2}(?:(?:(?::[0-9a-f]{1,4}){1,5})|(?:(?::[0-9a-f]{1,4}){0,3}:(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(?:(?:[0-9a-f]{1,4}:){1}(?:(?:(?::[0-9a-f]{1,4}){1,6})|(?:(?::[0-9a-f]{1,4}){0,4}:(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(?::(?:(?:(?::[0-9a-f]{1,4}){1,7})|(?:(?::[0-9a-f]{1,4}){0,5}:(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))(?:%.+)?\s*$/i,
  regex,
  uuid: UUID,
  "json-pointer": JSON_POINTER,
  "json-pointer-uri-fragment": JSON_POINTER_URI_FRAGMENT,
  "relative-json-pointer": RELATIVE_JSON_POINTER
};
formats$1.full = {
  date,
  time,
  "date-time": date_time,
  uri,
  "uri-reference": URIREF,
  "uri-template": URITEMPLATE,
  url: URL,
  email: /^[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$/i,
  hostname: HOSTNAME,
  ipv4: /^(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?)$/,
  ipv6: /^\s*(?:(?:(?:[0-9a-f]{1,4}:){7}(?:[0-9a-f]{1,4}|:))|(?:(?:[0-9a-f]{1,4}:){6}(?::[0-9a-f]{1,4}|(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(?:(?:[0-9a-f]{1,4}:){5}(?:(?:(?::[0-9a-f]{1,4}){1,2})|:(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(?:(?:[0-9a-f]{1,4}:){4}(?:(?:(?::[0-9a-f]{1,4}){1,3})|(?:(?::[0-9a-f]{1,4})?:(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(?:(?:[0-9a-f]{1,4}:){3}(?:(?:(?::[0-9a-f]{1,4}){1,4})|(?:(?::[0-9a-f]{1,4}){0,2}:(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(?:(?:[0-9a-f]{1,4}:){2}(?:(?:(?::[0-9a-f]{1,4}){1,5})|(?:(?::[0-9a-f]{1,4}){0,3}:(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(?:(?:[0-9a-f]{1,4}:){1}(?:(?:(?::[0-9a-f]{1,4}){1,6})|(?:(?::[0-9a-f]{1,4}){0,4}:(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(?::(?:(?:(?::[0-9a-f]{1,4}){1,7})|(?:(?::[0-9a-f]{1,4}){0,5}:(?:(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(?:\.(?:25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))(?:%.+)?\s*$/i,
  regex,
  uuid: UUID,
  "json-pointer": JSON_POINTER,
  "json-pointer-uri-fragment": JSON_POINTER_URI_FRAGMENT,
  "relative-json-pointer": RELATIVE_JSON_POINTER
};
function isLeapYear(year) {
  return year % 4 === 0 && (year % 100 !== 0 || year % 400 === 0);
}
function date(str) {
  var matches = str.match(DATE);
  if (!matches)
    return false;
  var year = +matches[1];
  var month = +matches[2];
  var day = +matches[3];
  return month >= 1 && month <= 12 && day >= 1 && day <= (month == 2 && isLeapYear(year) ? 29 : DAYS[month]);
}
function time(str, full) {
  var matches = str.match(TIME);
  if (!matches)
    return false;
  var hour = matches[1];
  var minute = matches[2];
  var second = matches[3];
  var timeZone = matches[5];
  return (hour <= 23 && minute <= 59 && second <= 59 || hour == 23 && minute == 59 && second == 60) && (!full || timeZone);
}
var DATE_TIME_SEPARATOR = /t|\s/i;
function date_time(str) {
  var dateTime = str.split(DATE_TIME_SEPARATOR);
  return dateTime.length == 2 && date(dateTime[0]) && time(dateTime[1], true);
}
var NOT_URI_FRAGMENT = /\/|:/;
function uri(str) {
  return NOT_URI_FRAGMENT.test(str) && URI.test(str);
}
var Z_ANCHOR = /[^\\]\\Z/;
function regex(str) {
  if (Z_ANCHOR.test(str))
    return false;
  try {
    new RegExp(str);
    return true;
  } catch (e2) {
    return false;
  }
}
var ref = function generate_ref(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $valid = "valid" + $lvl;
  var $async, $refCode;
  if ($schema2 == "#" || $schema2 == "#/") {
    if (it.isRoot) {
      $async = it.async;
      $refCode = "validate";
    } else {
      $async = it.root.schema.$async === true;
      $refCode = "root.refVal[0]";
    }
  } else {
    var $refVal = it.resolveRef(it.baseId, $schema2, it.isRoot);
    if ($refVal === void 0) {
      var $message = it.MissingRefError.message(it.baseId, $schema2);
      if (it.opts.missingRefs == "fail") {
        it.logger.error($message);
        var $$outStack = $$outStack || [];
        $$outStack.push(out);
        out = "";
        if (it.createErrors !== false) {
          out += " { keyword: '$ref' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { ref: '" + it.util.escapeQuotes($schema2) + "' } ";
          if (it.opts.messages !== false) {
            out += " , message: 'can\\'t resolve reference " + it.util.escapeQuotes($schema2) + "' ";
          }
          if (it.opts.verbose) {
            out += " , schema: " + it.util.toQuotedString($schema2) + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
          }
          out += " } ";
        } else {
          out += " {} ";
        }
        var __err = out;
        out = $$outStack.pop();
        if (!it.compositeRule && $breakOnError) {
          if (it.async) {
            out += " throw new ValidationError([" + __err + "]); ";
          } else {
            out += " validate.errors = [" + __err + "]; return false; ";
          }
        } else {
          out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
        }
        if ($breakOnError) {
          out += " if (false) { ";
        }
      } else if (it.opts.missingRefs == "ignore") {
        it.logger.warn($message);
        if ($breakOnError) {
          out += " if (true) { ";
        }
      } else {
        throw new it.MissingRefError(it.baseId, $schema2, $message);
      }
    } else if ($refVal.inline) {
      var $it = it.util.copy(it);
      $it.level++;
      var $nextValid = "valid" + $it.level;
      $it.schema = $refVal.schema;
      $it.schemaPath = "";
      $it.errSchemaPath = $schema2;
      var $code = it.validate($it).replace(/validate\.schema/g, $refVal.code);
      out += " " + $code + " ";
      if ($breakOnError) {
        out += " if (" + $nextValid + ") { ";
      }
    } else {
      $async = $refVal.$async === true || it.async && $refVal.$async !== false;
      $refCode = $refVal.code;
    }
  }
  if ($refCode) {
    var $$outStack = $$outStack || [];
    $$outStack.push(out);
    out = "";
    if (it.opts.passContext) {
      out += " " + $refCode + ".call(this, ";
    } else {
      out += " " + $refCode + "( ";
    }
    out += " " + $data + ", (dataPath || '')";
    if (it.errorPath != '""') {
      out += " + " + it.errorPath;
    }
    var $parentData = $dataLvl ? "data" + ($dataLvl - 1 || "") : "parentData", $parentDataProperty = $dataLvl ? it.dataPathArr[$dataLvl] : "parentDataProperty";
    out += " , " + $parentData + " , " + $parentDataProperty + ", rootData)  ";
    var __callValidate = out;
    out = $$outStack.pop();
    if ($async) {
      if (!it.async)
        throw new Error("async schema referenced by sync schema");
      if ($breakOnError) {
        out += " var " + $valid + "; ";
      }
      out += " try { await " + __callValidate + "; ";
      if ($breakOnError) {
        out += " " + $valid + " = true; ";
      }
      out += " } catch (e) { if (!(e instanceof ValidationError)) throw e; if (vErrors === null) vErrors = e.errors; else vErrors = vErrors.concat(e.errors); errors = vErrors.length; ";
      if ($breakOnError) {
        out += " " + $valid + " = false; ";
      }
      out += " } ";
      if ($breakOnError) {
        out += " if (" + $valid + ") { ";
      }
    } else {
      out += " if (!" + __callValidate + ") { if (vErrors === null) vErrors = " + $refCode + ".errors; else vErrors = vErrors.concat(" + $refCode + ".errors); errors = vErrors.length; } ";
      if ($breakOnError) {
        out += " else { ";
      }
    }
  }
  return out;
};
var allOf = function generate_allOf(it, $keyword, $ruleType) {
  var out = " ";
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $it = it.util.copy(it);
  var $closingBraces = "";
  $it.level++;
  var $nextValid = "valid" + $it.level;
  var $currentBaseId = $it.baseId, $allSchemasEmpty = true;
  var arr1 = $schema2;
  if (arr1) {
    var $sch, $i = -1, l1 = arr1.length - 1;
    while ($i < l1) {
      $sch = arr1[$i += 1];
      if (it.opts.strictKeywords ? typeof $sch == "object" && Object.keys($sch).length > 0 : it.util.schemaHasRules($sch, it.RULES.all)) {
        $allSchemasEmpty = false;
        $it.schema = $sch;
        $it.schemaPath = $schemaPath + "[" + $i + "]";
        $it.errSchemaPath = $errSchemaPath + "/" + $i;
        out += "  " + it.validate($it) + " ";
        $it.baseId = $currentBaseId;
        if ($breakOnError) {
          out += " if (" + $nextValid + ") { ";
          $closingBraces += "}";
        }
      }
    }
  }
  if ($breakOnError) {
    if ($allSchemasEmpty) {
      out += " if (true) { ";
    } else {
      out += " " + $closingBraces.slice(0, -1) + " ";
    }
  }
  return out;
};
var anyOf = function generate_anyOf(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $valid = "valid" + $lvl;
  var $errs = "errs__" + $lvl;
  var $it = it.util.copy(it);
  var $closingBraces = "";
  $it.level++;
  var $nextValid = "valid" + $it.level;
  var $noEmptySchema = $schema2.every(function($sch2) {
    return it.opts.strictKeywords ? typeof $sch2 == "object" && Object.keys($sch2).length > 0 : it.util.schemaHasRules($sch2, it.RULES.all);
  });
  if ($noEmptySchema) {
    var $currentBaseId = $it.baseId;
    out += " var " + $errs + " = errors; var " + $valid + " = false;  ";
    var $wasComposite = it.compositeRule;
    it.compositeRule = $it.compositeRule = true;
    var arr1 = $schema2;
    if (arr1) {
      var $sch, $i = -1, l1 = arr1.length - 1;
      while ($i < l1) {
        $sch = arr1[$i += 1];
        $it.schema = $sch;
        $it.schemaPath = $schemaPath + "[" + $i + "]";
        $it.errSchemaPath = $errSchemaPath + "/" + $i;
        out += "  " + it.validate($it) + " ";
        $it.baseId = $currentBaseId;
        out += " " + $valid + " = " + $valid + " || " + $nextValid + "; if (!" + $valid + ") { ";
        $closingBraces += "}";
      }
    }
    it.compositeRule = $it.compositeRule = $wasComposite;
    out += " " + $closingBraces + " if (!" + $valid + ") {   var err =   ";
    if (it.createErrors !== false) {
      out += " { keyword: 'anyOf' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: {} ";
      if (it.opts.messages !== false) {
        out += " , message: 'should match some schema in anyOf' ";
      }
      if (it.opts.verbose) {
        out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
      }
      out += " } ";
    } else {
      out += " {} ";
    }
    out += ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
    if (!it.compositeRule && $breakOnError) {
      if (it.async) {
        out += " throw new ValidationError(vErrors); ";
      } else {
        out += " validate.errors = vErrors; return false; ";
      }
    }
    out += " } else {  errors = " + $errs + "; if (vErrors !== null) { if (" + $errs + ") vErrors.length = " + $errs + "; else vErrors = null; } ";
    if (it.opts.allErrors) {
      out += " } ";
    }
  } else {
    if ($breakOnError) {
      out += " if (true) { ";
    }
  }
  return out;
};
var comment = function generate_comment(it, $keyword, $ruleType) {
  var out = " ";
  var $schema2 = it.schema[$keyword];
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  !it.opts.allErrors;
  var $comment = it.util.toQuotedString($schema2);
  if (it.opts.$comment === true) {
    out += " console.log(" + $comment + ");";
  } else if (typeof it.opts.$comment == "function") {
    out += " self._opts.$comment(" + $comment + ", " + it.util.toQuotedString($errSchemaPath) + ", validate.root.schema);";
  }
  return out;
};
var _const = function generate_const(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $valid = "valid" + $lvl;
  var $isData = it.opts.$data && $schema2 && $schema2.$data;
  if ($isData) {
    out += " var schema" + $lvl + " = " + it.util.getData($schema2.$data, $dataLvl, it.dataPathArr) + "; ";
  }
  if (!$isData) {
    out += " var schema" + $lvl + " = validate.schema" + $schemaPath + ";";
  }
  out += "var " + $valid + " = equal(" + $data + ", schema" + $lvl + "); if (!" + $valid + ") {   ";
  var $$outStack = $$outStack || [];
  $$outStack.push(out);
  out = "";
  if (it.createErrors !== false) {
    out += " { keyword: 'const' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { allowedValue: schema" + $lvl + " } ";
    if (it.opts.messages !== false) {
      out += " , message: 'should be equal to constant' ";
    }
    if (it.opts.verbose) {
      out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
    }
    out += " } ";
  } else {
    out += " {} ";
  }
  var __err = out;
  out = $$outStack.pop();
  if (!it.compositeRule && $breakOnError) {
    if (it.async) {
      out += " throw new ValidationError([" + __err + "]); ";
    } else {
      out += " validate.errors = [" + __err + "]; return false; ";
    }
  } else {
    out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
  }
  out += " }";
  if ($breakOnError) {
    out += " else { ";
  }
  return out;
};
var contains = function generate_contains(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $valid = "valid" + $lvl;
  var $errs = "errs__" + $lvl;
  var $it = it.util.copy(it);
  var $closingBraces = "";
  $it.level++;
  var $nextValid = "valid" + $it.level;
  var $idx = "i" + $lvl, $dataNxt = $it.dataLevel = it.dataLevel + 1, $nextData = "data" + $dataNxt, $currentBaseId = it.baseId, $nonEmptySchema = it.opts.strictKeywords ? typeof $schema2 == "object" && Object.keys($schema2).length > 0 : it.util.schemaHasRules($schema2, it.RULES.all);
  out += "var " + $errs + " = errors;var " + $valid + ";";
  if ($nonEmptySchema) {
    var $wasComposite = it.compositeRule;
    it.compositeRule = $it.compositeRule = true;
    $it.schema = $schema2;
    $it.schemaPath = $schemaPath;
    $it.errSchemaPath = $errSchemaPath;
    out += " var " + $nextValid + " = false; for (var " + $idx + " = 0; " + $idx + " < " + $data + ".length; " + $idx + "++) { ";
    $it.errorPath = it.util.getPathExpr(it.errorPath, $idx, it.opts.jsonPointers, true);
    var $passData = $data + "[" + $idx + "]";
    $it.dataPathArr[$dataNxt] = $idx;
    var $code = it.validate($it);
    $it.baseId = $currentBaseId;
    if (it.util.varOccurences($code, $nextData) < 2) {
      out += " " + it.util.varReplace($code, $nextData, $passData) + " ";
    } else {
      out += " var " + $nextData + " = " + $passData + "; " + $code + " ";
    }
    out += " if (" + $nextValid + ") break; }  ";
    it.compositeRule = $it.compositeRule = $wasComposite;
    out += " " + $closingBraces + " if (!" + $nextValid + ") {";
  } else {
    out += " if (" + $data + ".length == 0) {";
  }
  var $$outStack = $$outStack || [];
  $$outStack.push(out);
  out = "";
  if (it.createErrors !== false) {
    out += " { keyword: 'contains' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: {} ";
    if (it.opts.messages !== false) {
      out += " , message: 'should contain a valid item' ";
    }
    if (it.opts.verbose) {
      out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
    }
    out += " } ";
  } else {
    out += " {} ";
  }
  var __err = out;
  out = $$outStack.pop();
  if (!it.compositeRule && $breakOnError) {
    if (it.async) {
      out += " throw new ValidationError([" + __err + "]); ";
    } else {
      out += " validate.errors = [" + __err + "]; return false; ";
    }
  } else {
    out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
  }
  out += " } else { ";
  if ($nonEmptySchema) {
    out += "  errors = " + $errs + "; if (vErrors !== null) { if (" + $errs + ") vErrors.length = " + $errs + "; else vErrors = null; } ";
  }
  if (it.opts.allErrors) {
    out += " } ";
  }
  return out;
};
var dependencies$1 = function generate_dependencies(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $errs = "errs__" + $lvl;
  var $it = it.util.copy(it);
  var $closingBraces = "";
  $it.level++;
  var $nextValid = "valid" + $it.level;
  var $schemaDeps = {}, $propertyDeps = {}, $ownProperties = it.opts.ownProperties;
  for ($property in $schema2) {
    if ($property == "__proto__")
      continue;
    var $sch = $schema2[$property];
    var $deps = Array.isArray($sch) ? $propertyDeps : $schemaDeps;
    $deps[$property] = $sch;
  }
  out += "var " + $errs + " = errors;";
  var $currentErrorPath = it.errorPath;
  out += "var missing" + $lvl + ";";
  for (var $property in $propertyDeps) {
    $deps = $propertyDeps[$property];
    if ($deps.length) {
      out += " if ( " + $data + it.util.getProperty($property) + " !== undefined ";
      if ($ownProperties) {
        out += " && Object.prototype.hasOwnProperty.call(" + $data + ", '" + it.util.escapeQuotes($property) + "') ";
      }
      if ($breakOnError) {
        out += " && ( ";
        var arr1 = $deps;
        if (arr1) {
          var $propertyKey, $i = -1, l1 = arr1.length - 1;
          while ($i < l1) {
            $propertyKey = arr1[$i += 1];
            if ($i) {
              out += " || ";
            }
            var $prop = it.util.getProperty($propertyKey), $useData = $data + $prop;
            out += " ( ( " + $useData + " === undefined ";
            if ($ownProperties) {
              out += " || ! Object.prototype.hasOwnProperty.call(" + $data + ", '" + it.util.escapeQuotes($propertyKey) + "') ";
            }
            out += ") && (missing" + $lvl + " = " + it.util.toQuotedString(it.opts.jsonPointers ? $propertyKey : $prop) + ") ) ";
          }
        }
        out += ")) {  ";
        var $propertyPath = "missing" + $lvl, $missingProperty = "' + " + $propertyPath + " + '";
        if (it.opts._errorDataPathProperty) {
          it.errorPath = it.opts.jsonPointers ? it.util.getPathExpr($currentErrorPath, $propertyPath, true) : $currentErrorPath + " + " + $propertyPath;
        }
        var $$outStack = $$outStack || [];
        $$outStack.push(out);
        out = "";
        if (it.createErrors !== false) {
          out += " { keyword: 'dependencies' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { property: '" + it.util.escapeQuotes($property) + "', missingProperty: '" + $missingProperty + "', depsCount: " + $deps.length + ", deps: '" + it.util.escapeQuotes($deps.length == 1 ? $deps[0] : $deps.join(", ")) + "' } ";
          if (it.opts.messages !== false) {
            out += " , message: 'should have ";
            if ($deps.length == 1) {
              out += "property " + it.util.escapeQuotes($deps[0]);
            } else {
              out += "properties " + it.util.escapeQuotes($deps.join(", "));
            }
            out += " when property " + it.util.escapeQuotes($property) + " is present' ";
          }
          if (it.opts.verbose) {
            out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
          }
          out += " } ";
        } else {
          out += " {} ";
        }
        var __err = out;
        out = $$outStack.pop();
        if (!it.compositeRule && $breakOnError) {
          if (it.async) {
            out += " throw new ValidationError([" + __err + "]); ";
          } else {
            out += " validate.errors = [" + __err + "]; return false; ";
          }
        } else {
          out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
        }
      } else {
        out += " ) { ";
        var arr2 = $deps;
        if (arr2) {
          var $propertyKey, i2 = -1, l2 = arr2.length - 1;
          while (i2 < l2) {
            $propertyKey = arr2[i2 += 1];
            var $prop = it.util.getProperty($propertyKey), $missingProperty = it.util.escapeQuotes($propertyKey), $useData = $data + $prop;
            if (it.opts._errorDataPathProperty) {
              it.errorPath = it.util.getPath($currentErrorPath, $propertyKey, it.opts.jsonPointers);
            }
            out += " if ( " + $useData + " === undefined ";
            if ($ownProperties) {
              out += " || ! Object.prototype.hasOwnProperty.call(" + $data + ", '" + it.util.escapeQuotes($propertyKey) + "') ";
            }
            out += ") {  var err =   ";
            if (it.createErrors !== false) {
              out += " { keyword: 'dependencies' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { property: '" + it.util.escapeQuotes($property) + "', missingProperty: '" + $missingProperty + "', depsCount: " + $deps.length + ", deps: '" + it.util.escapeQuotes($deps.length == 1 ? $deps[0] : $deps.join(", ")) + "' } ";
              if (it.opts.messages !== false) {
                out += " , message: 'should have ";
                if ($deps.length == 1) {
                  out += "property " + it.util.escapeQuotes($deps[0]);
                } else {
                  out += "properties " + it.util.escapeQuotes($deps.join(", "));
                }
                out += " when property " + it.util.escapeQuotes($property) + " is present' ";
              }
              if (it.opts.verbose) {
                out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
              }
              out += " } ";
            } else {
              out += " {} ";
            }
            out += ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; } ";
          }
        }
      }
      out += " }   ";
      if ($breakOnError) {
        $closingBraces += "}";
        out += " else { ";
      }
    }
  }
  it.errorPath = $currentErrorPath;
  var $currentBaseId = $it.baseId;
  for (var $property in $schemaDeps) {
    var $sch = $schemaDeps[$property];
    if (it.opts.strictKeywords ? typeof $sch == "object" && Object.keys($sch).length > 0 : it.util.schemaHasRules($sch, it.RULES.all)) {
      out += " " + $nextValid + " = true; if ( " + $data + it.util.getProperty($property) + " !== undefined ";
      if ($ownProperties) {
        out += " && Object.prototype.hasOwnProperty.call(" + $data + ", '" + it.util.escapeQuotes($property) + "') ";
      }
      out += ") { ";
      $it.schema = $sch;
      $it.schemaPath = $schemaPath + it.util.getProperty($property);
      $it.errSchemaPath = $errSchemaPath + "/" + it.util.escapeFragment($property);
      out += "  " + it.validate($it) + " ";
      $it.baseId = $currentBaseId;
      out += " }  ";
      if ($breakOnError) {
        out += " if (" + $nextValid + ") { ";
        $closingBraces += "}";
      }
    }
  }
  if ($breakOnError) {
    out += "   " + $closingBraces + " if (" + $errs + " == errors) {";
  }
  return out;
};
var _enum = function generate_enum(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $valid = "valid" + $lvl;
  var $isData = it.opts.$data && $schema2 && $schema2.$data;
  if ($isData) {
    out += " var schema" + $lvl + " = " + it.util.getData($schema2.$data, $dataLvl, it.dataPathArr) + "; ";
  }
  var $i = "i" + $lvl, $vSchema = "schema" + $lvl;
  if (!$isData) {
    out += " var " + $vSchema + " = validate.schema" + $schemaPath + ";";
  }
  out += "var " + $valid + ";";
  if ($isData) {
    out += " if (schema" + $lvl + " === undefined) " + $valid + " = true; else if (!Array.isArray(schema" + $lvl + ")) " + $valid + " = false; else {";
  }
  out += "" + $valid + " = false;for (var " + $i + "=0; " + $i + "<" + $vSchema + ".length; " + $i + "++) if (equal(" + $data + ", " + $vSchema + "[" + $i + "])) { " + $valid + " = true; break; }";
  if ($isData) {
    out += "  }  ";
  }
  out += " if (!" + $valid + ") {   ";
  var $$outStack = $$outStack || [];
  $$outStack.push(out);
  out = "";
  if (it.createErrors !== false) {
    out += " { keyword: 'enum' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { allowedValues: schema" + $lvl + " } ";
    if (it.opts.messages !== false) {
      out += " , message: 'should be equal to one of the allowed values' ";
    }
    if (it.opts.verbose) {
      out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
    }
    out += " } ";
  } else {
    out += " {} ";
  }
  var __err = out;
  out = $$outStack.pop();
  if (!it.compositeRule && $breakOnError) {
    if (it.async) {
      out += " throw new ValidationError([" + __err + "]); ";
    } else {
      out += " validate.errors = [" + __err + "]; return false; ";
    }
  } else {
    out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
  }
  out += " }";
  if ($breakOnError) {
    out += " else { ";
  }
  return out;
};
var format = function generate_format(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  if (it.opts.format === false) {
    if ($breakOnError) {
      out += " if (true) { ";
    }
    return out;
  }
  var $isData = it.opts.$data && $schema2 && $schema2.$data, $schemaValue;
  if ($isData) {
    out += " var schema" + $lvl + " = " + it.util.getData($schema2.$data, $dataLvl, it.dataPathArr) + "; ";
    $schemaValue = "schema" + $lvl;
  } else {
    $schemaValue = $schema2;
  }
  var $unknownFormats = it.opts.unknownFormats, $allowUnknown = Array.isArray($unknownFormats);
  if ($isData) {
    var $format = "format" + $lvl, $isObject = "isObject" + $lvl, $formatType = "formatType" + $lvl;
    out += " var " + $format + " = formats[" + $schemaValue + "]; var " + $isObject + " = typeof " + $format + " == 'object' && !(" + $format + " instanceof RegExp) && " + $format + ".validate; var " + $formatType + " = " + $isObject + " && " + $format + ".type || 'string'; if (" + $isObject + ") { ";
    if (it.async) {
      out += " var async" + $lvl + " = " + $format + ".async; ";
    }
    out += " " + $format + " = " + $format + ".validate; } if (  ";
    if ($isData) {
      out += " (" + $schemaValue + " !== undefined && typeof " + $schemaValue + " != 'string') || ";
    }
    out += " (";
    if ($unknownFormats != "ignore") {
      out += " (" + $schemaValue + " && !" + $format + " ";
      if ($allowUnknown) {
        out += " && self._opts.unknownFormats.indexOf(" + $schemaValue + ") == -1 ";
      }
      out += ") || ";
    }
    out += " (" + $format + " && " + $formatType + " == '" + $ruleType + "' && !(typeof " + $format + " == 'function' ? ";
    if (it.async) {
      out += " (async" + $lvl + " ? await " + $format + "(" + $data + ") : " + $format + "(" + $data + ")) ";
    } else {
      out += " " + $format + "(" + $data + ") ";
    }
    out += " : " + $format + ".test(" + $data + "))))) {";
  } else {
    var $format = it.formats[$schema2];
    if (!$format) {
      if ($unknownFormats == "ignore") {
        it.logger.warn('unknown format "' + $schema2 + '" ignored in schema at path "' + it.errSchemaPath + '"');
        if ($breakOnError) {
          out += " if (true) { ";
        }
        return out;
      } else if ($allowUnknown && $unknownFormats.indexOf($schema2) >= 0) {
        if ($breakOnError) {
          out += " if (true) { ";
        }
        return out;
      } else {
        throw new Error('unknown format "' + $schema2 + '" is used in schema at path "' + it.errSchemaPath + '"');
      }
    }
    var $isObject = typeof $format == "object" && !($format instanceof RegExp) && $format.validate;
    var $formatType = $isObject && $format.type || "string";
    if ($isObject) {
      var $async = $format.async === true;
      $format = $format.validate;
    }
    if ($formatType != $ruleType) {
      if ($breakOnError) {
        out += " if (true) { ";
      }
      return out;
    }
    if ($async) {
      if (!it.async)
        throw new Error("async format in sync schema");
      var $formatRef = "formats" + it.util.getProperty($schema2) + ".validate";
      out += " if (!(await " + $formatRef + "(" + $data + "))) { ";
    } else {
      out += " if (! ";
      var $formatRef = "formats" + it.util.getProperty($schema2);
      if ($isObject)
        $formatRef += ".validate";
      if (typeof $format == "function") {
        out += " " + $formatRef + "(" + $data + ") ";
      } else {
        out += " " + $formatRef + ".test(" + $data + ") ";
      }
      out += ") { ";
    }
  }
  var $$outStack = $$outStack || [];
  $$outStack.push(out);
  out = "";
  if (it.createErrors !== false) {
    out += " { keyword: 'format' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { format:  ";
    if ($isData) {
      out += "" + $schemaValue;
    } else {
      out += "" + it.util.toQuotedString($schema2);
    }
    out += "  } ";
    if (it.opts.messages !== false) {
      out += ` , message: 'should match format "`;
      if ($isData) {
        out += "' + " + $schemaValue + " + '";
      } else {
        out += "" + it.util.escapeQuotes($schema2);
      }
      out += `"' `;
    }
    if (it.opts.verbose) {
      out += " , schema:  ";
      if ($isData) {
        out += "validate.schema" + $schemaPath;
      } else {
        out += "" + it.util.toQuotedString($schema2);
      }
      out += "         , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
    }
    out += " } ";
  } else {
    out += " {} ";
  }
  var __err = out;
  out = $$outStack.pop();
  if (!it.compositeRule && $breakOnError) {
    if (it.async) {
      out += " throw new ValidationError([" + __err + "]); ";
    } else {
      out += " validate.errors = [" + __err + "]; return false; ";
    }
  } else {
    out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
  }
  out += " } ";
  if ($breakOnError) {
    out += " else { ";
  }
  return out;
};
var _if = function generate_if(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $valid = "valid" + $lvl;
  var $errs = "errs__" + $lvl;
  var $it = it.util.copy(it);
  $it.level++;
  var $nextValid = "valid" + $it.level;
  var $thenSch = it.schema["then"], $elseSch = it.schema["else"], $thenPresent = $thenSch !== void 0 && (it.opts.strictKeywords ? typeof $thenSch == "object" && Object.keys($thenSch).length > 0 : it.util.schemaHasRules($thenSch, it.RULES.all)), $elsePresent = $elseSch !== void 0 && (it.opts.strictKeywords ? typeof $elseSch == "object" && Object.keys($elseSch).length > 0 : it.util.schemaHasRules($elseSch, it.RULES.all)), $currentBaseId = $it.baseId;
  if ($thenPresent || $elsePresent) {
    var $ifClause;
    $it.createErrors = false;
    $it.schema = $schema2;
    $it.schemaPath = $schemaPath;
    $it.errSchemaPath = $errSchemaPath;
    out += " var " + $errs + " = errors; var " + $valid + " = true;  ";
    var $wasComposite = it.compositeRule;
    it.compositeRule = $it.compositeRule = true;
    out += "  " + it.validate($it) + " ";
    $it.baseId = $currentBaseId;
    $it.createErrors = true;
    out += "  errors = " + $errs + "; if (vErrors !== null) { if (" + $errs + ") vErrors.length = " + $errs + "; else vErrors = null; }  ";
    it.compositeRule = $it.compositeRule = $wasComposite;
    if ($thenPresent) {
      out += " if (" + $nextValid + ") {  ";
      $it.schema = it.schema["then"];
      $it.schemaPath = it.schemaPath + ".then";
      $it.errSchemaPath = it.errSchemaPath + "/then";
      out += "  " + it.validate($it) + " ";
      $it.baseId = $currentBaseId;
      out += " " + $valid + " = " + $nextValid + "; ";
      if ($thenPresent && $elsePresent) {
        $ifClause = "ifClause" + $lvl;
        out += " var " + $ifClause + " = 'then'; ";
      } else {
        $ifClause = "'then'";
      }
      out += " } ";
      if ($elsePresent) {
        out += " else { ";
      }
    } else {
      out += " if (!" + $nextValid + ") { ";
    }
    if ($elsePresent) {
      $it.schema = it.schema["else"];
      $it.schemaPath = it.schemaPath + ".else";
      $it.errSchemaPath = it.errSchemaPath + "/else";
      out += "  " + it.validate($it) + " ";
      $it.baseId = $currentBaseId;
      out += " " + $valid + " = " + $nextValid + "; ";
      if ($thenPresent && $elsePresent) {
        $ifClause = "ifClause" + $lvl;
        out += " var " + $ifClause + " = 'else'; ";
      } else {
        $ifClause = "'else'";
      }
      out += " } ";
    }
    out += " if (!" + $valid + ") {   var err =   ";
    if (it.createErrors !== false) {
      out += " { keyword: 'if' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { failingKeyword: " + $ifClause + " } ";
      if (it.opts.messages !== false) {
        out += ` , message: 'should match "' + ` + $ifClause + ` + '" schema' `;
      }
      if (it.opts.verbose) {
        out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
      }
      out += " } ";
    } else {
      out += " {} ";
    }
    out += ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
    if (!it.compositeRule && $breakOnError) {
      if (it.async) {
        out += " throw new ValidationError(vErrors); ";
      } else {
        out += " validate.errors = vErrors; return false; ";
      }
    }
    out += " }   ";
    if ($breakOnError) {
      out += " else { ";
    }
  } else {
    if ($breakOnError) {
      out += " if (true) { ";
    }
  }
  return out;
};
var items = function generate_items(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $valid = "valid" + $lvl;
  var $errs = "errs__" + $lvl;
  var $it = it.util.copy(it);
  var $closingBraces = "";
  $it.level++;
  var $nextValid = "valid" + $it.level;
  var $idx = "i" + $lvl, $dataNxt = $it.dataLevel = it.dataLevel + 1, $nextData = "data" + $dataNxt, $currentBaseId = it.baseId;
  out += "var " + $errs + " = errors;var " + $valid + ";";
  if (Array.isArray($schema2)) {
    var $additionalItems = it.schema.additionalItems;
    if ($additionalItems === false) {
      out += " " + $valid + " = " + $data + ".length <= " + $schema2.length + "; ";
      var $currErrSchemaPath = $errSchemaPath;
      $errSchemaPath = it.errSchemaPath + "/additionalItems";
      out += "  if (!" + $valid + ") {   ";
      var $$outStack = $$outStack || [];
      $$outStack.push(out);
      out = "";
      if (it.createErrors !== false) {
        out += " { keyword: 'additionalItems' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { limit: " + $schema2.length + " } ";
        if (it.opts.messages !== false) {
          out += " , message: 'should NOT have more than " + $schema2.length + " items' ";
        }
        if (it.opts.verbose) {
          out += " , schema: false , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
        }
        out += " } ";
      } else {
        out += " {} ";
      }
      var __err = out;
      out = $$outStack.pop();
      if (!it.compositeRule && $breakOnError) {
        if (it.async) {
          out += " throw new ValidationError([" + __err + "]); ";
        } else {
          out += " validate.errors = [" + __err + "]; return false; ";
        }
      } else {
        out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
      }
      out += " } ";
      $errSchemaPath = $currErrSchemaPath;
      if ($breakOnError) {
        $closingBraces += "}";
        out += " else { ";
      }
    }
    var arr1 = $schema2;
    if (arr1) {
      var $sch, $i = -1, l1 = arr1.length - 1;
      while ($i < l1) {
        $sch = arr1[$i += 1];
        if (it.opts.strictKeywords ? typeof $sch == "object" && Object.keys($sch).length > 0 : it.util.schemaHasRules($sch, it.RULES.all)) {
          out += " " + $nextValid + " = true; if (" + $data + ".length > " + $i + ") { ";
          var $passData = $data + "[" + $i + "]";
          $it.schema = $sch;
          $it.schemaPath = $schemaPath + "[" + $i + "]";
          $it.errSchemaPath = $errSchemaPath + "/" + $i;
          $it.errorPath = it.util.getPathExpr(it.errorPath, $i, it.opts.jsonPointers, true);
          $it.dataPathArr[$dataNxt] = $i;
          var $code = it.validate($it);
          $it.baseId = $currentBaseId;
          if (it.util.varOccurences($code, $nextData) < 2) {
            out += " " + it.util.varReplace($code, $nextData, $passData) + " ";
          } else {
            out += " var " + $nextData + " = " + $passData + "; " + $code + " ";
          }
          out += " }  ";
          if ($breakOnError) {
            out += " if (" + $nextValid + ") { ";
            $closingBraces += "}";
          }
        }
      }
    }
    if (typeof $additionalItems == "object" && (it.opts.strictKeywords ? typeof $additionalItems == "object" && Object.keys($additionalItems).length > 0 : it.util.schemaHasRules($additionalItems, it.RULES.all))) {
      $it.schema = $additionalItems;
      $it.schemaPath = it.schemaPath + ".additionalItems";
      $it.errSchemaPath = it.errSchemaPath + "/additionalItems";
      out += " " + $nextValid + " = true; if (" + $data + ".length > " + $schema2.length + ") {  for (var " + $idx + " = " + $schema2.length + "; " + $idx + " < " + $data + ".length; " + $idx + "++) { ";
      $it.errorPath = it.util.getPathExpr(it.errorPath, $idx, it.opts.jsonPointers, true);
      var $passData = $data + "[" + $idx + "]";
      $it.dataPathArr[$dataNxt] = $idx;
      var $code = it.validate($it);
      $it.baseId = $currentBaseId;
      if (it.util.varOccurences($code, $nextData) < 2) {
        out += " " + it.util.varReplace($code, $nextData, $passData) + " ";
      } else {
        out += " var " + $nextData + " = " + $passData + "; " + $code + " ";
      }
      if ($breakOnError) {
        out += " if (!" + $nextValid + ") break; ";
      }
      out += " } }  ";
      if ($breakOnError) {
        out += " if (" + $nextValid + ") { ";
        $closingBraces += "}";
      }
    }
  } else if (it.opts.strictKeywords ? typeof $schema2 == "object" && Object.keys($schema2).length > 0 : it.util.schemaHasRules($schema2, it.RULES.all)) {
    $it.schema = $schema2;
    $it.schemaPath = $schemaPath;
    $it.errSchemaPath = $errSchemaPath;
    out += "  for (var " + $idx + " = " + 0 + "; " + $idx + " < " + $data + ".length; " + $idx + "++) { ";
    $it.errorPath = it.util.getPathExpr(it.errorPath, $idx, it.opts.jsonPointers, true);
    var $passData = $data + "[" + $idx + "]";
    $it.dataPathArr[$dataNxt] = $idx;
    var $code = it.validate($it);
    $it.baseId = $currentBaseId;
    if (it.util.varOccurences($code, $nextData) < 2) {
      out += " " + it.util.varReplace($code, $nextData, $passData) + " ";
    } else {
      out += " var " + $nextData + " = " + $passData + "; " + $code + " ";
    }
    if ($breakOnError) {
      out += " if (!" + $nextValid + ") break; ";
    }
    out += " }";
  }
  if ($breakOnError) {
    out += " " + $closingBraces + " if (" + $errs + " == errors) {";
  }
  return out;
};
var _limit = function generate__limit(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $errorKeyword;
  var $data = "data" + ($dataLvl || "");
  var $isData = it.opts.$data && $schema2 && $schema2.$data, $schemaValue;
  if ($isData) {
    out += " var schema" + $lvl + " = " + it.util.getData($schema2.$data, $dataLvl, it.dataPathArr) + "; ";
    $schemaValue = "schema" + $lvl;
  } else {
    $schemaValue = $schema2;
  }
  var $isMax = $keyword == "maximum", $exclusiveKeyword = $isMax ? "exclusiveMaximum" : "exclusiveMinimum", $schemaExcl = it.schema[$exclusiveKeyword], $isDataExcl = it.opts.$data && $schemaExcl && $schemaExcl.$data, $op = $isMax ? "<" : ">", $notOp = $isMax ? ">" : "<", $errorKeyword = void 0;
  if (!($isData || typeof $schema2 == "number" || $schema2 === void 0)) {
    throw new Error($keyword + " must be number");
  }
  if (!($isDataExcl || $schemaExcl === void 0 || typeof $schemaExcl == "number" || typeof $schemaExcl == "boolean")) {
    throw new Error($exclusiveKeyword + " must be number or boolean");
  }
  if ($isDataExcl) {
    var $schemaValueExcl = it.util.getData($schemaExcl.$data, $dataLvl, it.dataPathArr), $exclusive = "exclusive" + $lvl, $exclType = "exclType" + $lvl, $exclIsNumber = "exclIsNumber" + $lvl, $opExpr = "op" + $lvl, $opStr = "' + " + $opExpr + " + '";
    out += " var schemaExcl" + $lvl + " = " + $schemaValueExcl + "; ";
    $schemaValueExcl = "schemaExcl" + $lvl;
    out += " var " + $exclusive + "; var " + $exclType + " = typeof " + $schemaValueExcl + "; if (" + $exclType + " != 'boolean' && " + $exclType + " != 'undefined' && " + $exclType + " != 'number') { ";
    var $errorKeyword = $exclusiveKeyword;
    var $$outStack = $$outStack || [];
    $$outStack.push(out);
    out = "";
    if (it.createErrors !== false) {
      out += " { keyword: '" + ($errorKeyword || "_exclusiveLimit") + "' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: {} ";
      if (it.opts.messages !== false) {
        out += " , message: '" + $exclusiveKeyword + " should be boolean' ";
      }
      if (it.opts.verbose) {
        out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
      }
      out += " } ";
    } else {
      out += " {} ";
    }
    var __err = out;
    out = $$outStack.pop();
    if (!it.compositeRule && $breakOnError) {
      if (it.async) {
        out += " throw new ValidationError([" + __err + "]); ";
      } else {
        out += " validate.errors = [" + __err + "]; return false; ";
      }
    } else {
      out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
    }
    out += " } else if ( ";
    if ($isData) {
      out += " (" + $schemaValue + " !== undefined && typeof " + $schemaValue + " != 'number') || ";
    }
    out += " " + $exclType + " == 'number' ? ( (" + $exclusive + " = " + $schemaValue + " === undefined || " + $schemaValueExcl + " " + $op + "= " + $schemaValue + ") ? " + $data + " " + $notOp + "= " + $schemaValueExcl + " : " + $data + " " + $notOp + " " + $schemaValue + " ) : ( (" + $exclusive + " = " + $schemaValueExcl + " === true) ? " + $data + " " + $notOp + "= " + $schemaValue + " : " + $data + " " + $notOp + " " + $schemaValue + " ) || " + $data + " !== " + $data + ") { var op" + $lvl + " = " + $exclusive + " ? '" + $op + "' : '" + $op + "='; ";
    if ($schema2 === void 0) {
      $errorKeyword = $exclusiveKeyword;
      $errSchemaPath = it.errSchemaPath + "/" + $exclusiveKeyword;
      $schemaValue = $schemaValueExcl;
      $isData = $isDataExcl;
    }
  } else {
    var $exclIsNumber = typeof $schemaExcl == "number", $opStr = $op;
    if ($exclIsNumber && $isData) {
      var $opExpr = "'" + $opStr + "'";
      out += " if ( ";
      if ($isData) {
        out += " (" + $schemaValue + " !== undefined && typeof " + $schemaValue + " != 'number') || ";
      }
      out += " ( " + $schemaValue + " === undefined || " + $schemaExcl + " " + $op + "= " + $schemaValue + " ? " + $data + " " + $notOp + "= " + $schemaExcl + " : " + $data + " " + $notOp + " " + $schemaValue + " ) || " + $data + " !== " + $data + ") { ";
    } else {
      if ($exclIsNumber && $schema2 === void 0) {
        $exclusive = true;
        $errorKeyword = $exclusiveKeyword;
        $errSchemaPath = it.errSchemaPath + "/" + $exclusiveKeyword;
        $schemaValue = $schemaExcl;
        $notOp += "=";
      } else {
        if ($exclIsNumber)
          $schemaValue = Math[$isMax ? "min" : "max"]($schemaExcl, $schema2);
        if ($schemaExcl === ($exclIsNumber ? $schemaValue : true)) {
          $exclusive = true;
          $errorKeyword = $exclusiveKeyword;
          $errSchemaPath = it.errSchemaPath + "/" + $exclusiveKeyword;
          $notOp += "=";
        } else {
          $exclusive = false;
          $opStr += "=";
        }
      }
      var $opExpr = "'" + $opStr + "'";
      out += " if ( ";
      if ($isData) {
        out += " (" + $schemaValue + " !== undefined && typeof " + $schemaValue + " != 'number') || ";
      }
      out += " " + $data + " " + $notOp + " " + $schemaValue + " || " + $data + " !== " + $data + ") { ";
    }
  }
  $errorKeyword = $errorKeyword || $keyword;
  var $$outStack = $$outStack || [];
  $$outStack.push(out);
  out = "";
  if (it.createErrors !== false) {
    out += " { keyword: '" + ($errorKeyword || "_limit") + "' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { comparison: " + $opExpr + ", limit: " + $schemaValue + ", exclusive: " + $exclusive + " } ";
    if (it.opts.messages !== false) {
      out += " , message: 'should be " + $opStr + " ";
      if ($isData) {
        out += "' + " + $schemaValue;
      } else {
        out += "" + $schemaValue + "'";
      }
    }
    if (it.opts.verbose) {
      out += " , schema:  ";
      if ($isData) {
        out += "validate.schema" + $schemaPath;
      } else {
        out += "" + $schema2;
      }
      out += "         , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
    }
    out += " } ";
  } else {
    out += " {} ";
  }
  var __err = out;
  out = $$outStack.pop();
  if (!it.compositeRule && $breakOnError) {
    if (it.async) {
      out += " throw new ValidationError([" + __err + "]); ";
    } else {
      out += " validate.errors = [" + __err + "]; return false; ";
    }
  } else {
    out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
  }
  out += " } ";
  if ($breakOnError) {
    out += " else { ";
  }
  return out;
};
var _limitItems = function generate__limitItems(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $errorKeyword;
  var $data = "data" + ($dataLvl || "");
  var $isData = it.opts.$data && $schema2 && $schema2.$data, $schemaValue;
  if ($isData) {
    out += " var schema" + $lvl + " = " + it.util.getData($schema2.$data, $dataLvl, it.dataPathArr) + "; ";
    $schemaValue = "schema" + $lvl;
  } else {
    $schemaValue = $schema2;
  }
  if (!($isData || typeof $schema2 == "number")) {
    throw new Error($keyword + " must be number");
  }
  var $op = $keyword == "maxItems" ? ">" : "<";
  out += "if ( ";
  if ($isData) {
    out += " (" + $schemaValue + " !== undefined && typeof " + $schemaValue + " != 'number') || ";
  }
  out += " " + $data + ".length " + $op + " " + $schemaValue + ") { ";
  var $errorKeyword = $keyword;
  var $$outStack = $$outStack || [];
  $$outStack.push(out);
  out = "";
  if (it.createErrors !== false) {
    out += " { keyword: '" + ($errorKeyword || "_limitItems") + "' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { limit: " + $schemaValue + " } ";
    if (it.opts.messages !== false) {
      out += " , message: 'should NOT have ";
      if ($keyword == "maxItems") {
        out += "more";
      } else {
        out += "fewer";
      }
      out += " than ";
      if ($isData) {
        out += "' + " + $schemaValue + " + '";
      } else {
        out += "" + $schema2;
      }
      out += " items' ";
    }
    if (it.opts.verbose) {
      out += " , schema:  ";
      if ($isData) {
        out += "validate.schema" + $schemaPath;
      } else {
        out += "" + $schema2;
      }
      out += "         , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
    }
    out += " } ";
  } else {
    out += " {} ";
  }
  var __err = out;
  out = $$outStack.pop();
  if (!it.compositeRule && $breakOnError) {
    if (it.async) {
      out += " throw new ValidationError([" + __err + "]); ";
    } else {
      out += " validate.errors = [" + __err + "]; return false; ";
    }
  } else {
    out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
  }
  out += "} ";
  if ($breakOnError) {
    out += " else { ";
  }
  return out;
};
var _limitLength = function generate__limitLength(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $errorKeyword;
  var $data = "data" + ($dataLvl || "");
  var $isData = it.opts.$data && $schema2 && $schema2.$data, $schemaValue;
  if ($isData) {
    out += " var schema" + $lvl + " = " + it.util.getData($schema2.$data, $dataLvl, it.dataPathArr) + "; ";
    $schemaValue = "schema" + $lvl;
  } else {
    $schemaValue = $schema2;
  }
  if (!($isData || typeof $schema2 == "number")) {
    throw new Error($keyword + " must be number");
  }
  var $op = $keyword == "maxLength" ? ">" : "<";
  out += "if ( ";
  if ($isData) {
    out += " (" + $schemaValue + " !== undefined && typeof " + $schemaValue + " != 'number') || ";
  }
  if (it.opts.unicode === false) {
    out += " " + $data + ".length ";
  } else {
    out += " ucs2length(" + $data + ") ";
  }
  out += " " + $op + " " + $schemaValue + ") { ";
  var $errorKeyword = $keyword;
  var $$outStack = $$outStack || [];
  $$outStack.push(out);
  out = "";
  if (it.createErrors !== false) {
    out += " { keyword: '" + ($errorKeyword || "_limitLength") + "' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { limit: " + $schemaValue + " } ";
    if (it.opts.messages !== false) {
      out += " , message: 'should NOT be ";
      if ($keyword == "maxLength") {
        out += "longer";
      } else {
        out += "shorter";
      }
      out += " than ";
      if ($isData) {
        out += "' + " + $schemaValue + " + '";
      } else {
        out += "" + $schema2;
      }
      out += " characters' ";
    }
    if (it.opts.verbose) {
      out += " , schema:  ";
      if ($isData) {
        out += "validate.schema" + $schemaPath;
      } else {
        out += "" + $schema2;
      }
      out += "         , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
    }
    out += " } ";
  } else {
    out += " {} ";
  }
  var __err = out;
  out = $$outStack.pop();
  if (!it.compositeRule && $breakOnError) {
    if (it.async) {
      out += " throw new ValidationError([" + __err + "]); ";
    } else {
      out += " validate.errors = [" + __err + "]; return false; ";
    }
  } else {
    out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
  }
  out += "} ";
  if ($breakOnError) {
    out += " else { ";
  }
  return out;
};
var _limitProperties = function generate__limitProperties(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $errorKeyword;
  var $data = "data" + ($dataLvl || "");
  var $isData = it.opts.$data && $schema2 && $schema2.$data, $schemaValue;
  if ($isData) {
    out += " var schema" + $lvl + " = " + it.util.getData($schema2.$data, $dataLvl, it.dataPathArr) + "; ";
    $schemaValue = "schema" + $lvl;
  } else {
    $schemaValue = $schema2;
  }
  if (!($isData || typeof $schema2 == "number")) {
    throw new Error($keyword + " must be number");
  }
  var $op = $keyword == "maxProperties" ? ">" : "<";
  out += "if ( ";
  if ($isData) {
    out += " (" + $schemaValue + " !== undefined && typeof " + $schemaValue + " != 'number') || ";
  }
  out += " Object.keys(" + $data + ").length " + $op + " " + $schemaValue + ") { ";
  var $errorKeyword = $keyword;
  var $$outStack = $$outStack || [];
  $$outStack.push(out);
  out = "";
  if (it.createErrors !== false) {
    out += " { keyword: '" + ($errorKeyword || "_limitProperties") + "' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { limit: " + $schemaValue + " } ";
    if (it.opts.messages !== false) {
      out += " , message: 'should NOT have ";
      if ($keyword == "maxProperties") {
        out += "more";
      } else {
        out += "fewer";
      }
      out += " than ";
      if ($isData) {
        out += "' + " + $schemaValue + " + '";
      } else {
        out += "" + $schema2;
      }
      out += " properties' ";
    }
    if (it.opts.verbose) {
      out += " , schema:  ";
      if ($isData) {
        out += "validate.schema" + $schemaPath;
      } else {
        out += "" + $schema2;
      }
      out += "         , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
    }
    out += " } ";
  } else {
    out += " {} ";
  }
  var __err = out;
  out = $$outStack.pop();
  if (!it.compositeRule && $breakOnError) {
    if (it.async) {
      out += " throw new ValidationError([" + __err + "]); ";
    } else {
      out += " validate.errors = [" + __err + "]; return false; ";
    }
  } else {
    out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
  }
  out += "} ";
  if ($breakOnError) {
    out += " else { ";
  }
  return out;
};
var multipleOf = function generate_multipleOf(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $isData = it.opts.$data && $schema2 && $schema2.$data, $schemaValue;
  if ($isData) {
    out += " var schema" + $lvl + " = " + it.util.getData($schema2.$data, $dataLvl, it.dataPathArr) + "; ";
    $schemaValue = "schema" + $lvl;
  } else {
    $schemaValue = $schema2;
  }
  if (!($isData || typeof $schema2 == "number")) {
    throw new Error($keyword + " must be number");
  }
  out += "var division" + $lvl + ";if (";
  if ($isData) {
    out += " " + $schemaValue + " !== undefined && ( typeof " + $schemaValue + " != 'number' || ";
  }
  out += " (division" + $lvl + " = " + $data + " / " + $schemaValue + ", ";
  if (it.opts.multipleOfPrecision) {
    out += " Math.abs(Math.round(division" + $lvl + ") - division" + $lvl + ") > 1e-" + it.opts.multipleOfPrecision + " ";
  } else {
    out += " division" + $lvl + " !== parseInt(division" + $lvl + ") ";
  }
  out += " ) ";
  if ($isData) {
    out += "  )  ";
  }
  out += " ) {   ";
  var $$outStack = $$outStack || [];
  $$outStack.push(out);
  out = "";
  if (it.createErrors !== false) {
    out += " { keyword: 'multipleOf' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { multipleOf: " + $schemaValue + " } ";
    if (it.opts.messages !== false) {
      out += " , message: 'should be multiple of ";
      if ($isData) {
        out += "' + " + $schemaValue;
      } else {
        out += "" + $schemaValue + "'";
      }
    }
    if (it.opts.verbose) {
      out += " , schema:  ";
      if ($isData) {
        out += "validate.schema" + $schemaPath;
      } else {
        out += "" + $schema2;
      }
      out += "         , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
    }
    out += " } ";
  } else {
    out += " {} ";
  }
  var __err = out;
  out = $$outStack.pop();
  if (!it.compositeRule && $breakOnError) {
    if (it.async) {
      out += " throw new ValidationError([" + __err + "]); ";
    } else {
      out += " validate.errors = [" + __err + "]; return false; ";
    }
  } else {
    out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
  }
  out += "} ";
  if ($breakOnError) {
    out += " else { ";
  }
  return out;
};
var not = function generate_not(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $errs = "errs__" + $lvl;
  var $it = it.util.copy(it);
  $it.level++;
  var $nextValid = "valid" + $it.level;
  if (it.opts.strictKeywords ? typeof $schema2 == "object" && Object.keys($schema2).length > 0 : it.util.schemaHasRules($schema2, it.RULES.all)) {
    $it.schema = $schema2;
    $it.schemaPath = $schemaPath;
    $it.errSchemaPath = $errSchemaPath;
    out += " var " + $errs + " = errors;  ";
    var $wasComposite = it.compositeRule;
    it.compositeRule = $it.compositeRule = true;
    $it.createErrors = false;
    var $allErrorsOption;
    if ($it.opts.allErrors) {
      $allErrorsOption = $it.opts.allErrors;
      $it.opts.allErrors = false;
    }
    out += " " + it.validate($it) + " ";
    $it.createErrors = true;
    if ($allErrorsOption)
      $it.opts.allErrors = $allErrorsOption;
    it.compositeRule = $it.compositeRule = $wasComposite;
    out += " if (" + $nextValid + ") {   ";
    var $$outStack = $$outStack || [];
    $$outStack.push(out);
    out = "";
    if (it.createErrors !== false) {
      out += " { keyword: 'not' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: {} ";
      if (it.opts.messages !== false) {
        out += " , message: 'should NOT be valid' ";
      }
      if (it.opts.verbose) {
        out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
      }
      out += " } ";
    } else {
      out += " {} ";
    }
    var __err = out;
    out = $$outStack.pop();
    if (!it.compositeRule && $breakOnError) {
      if (it.async) {
        out += " throw new ValidationError([" + __err + "]); ";
      } else {
        out += " validate.errors = [" + __err + "]; return false; ";
      }
    } else {
      out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
    }
    out += " } else {  errors = " + $errs + "; if (vErrors !== null) { if (" + $errs + ") vErrors.length = " + $errs + "; else vErrors = null; } ";
    if (it.opts.allErrors) {
      out += " } ";
    }
  } else {
    out += "  var err =   ";
    if (it.createErrors !== false) {
      out += " { keyword: 'not' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: {} ";
      if (it.opts.messages !== false) {
        out += " , message: 'should NOT be valid' ";
      }
      if (it.opts.verbose) {
        out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
      }
      out += " } ";
    } else {
      out += " {} ";
    }
    out += ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
    if ($breakOnError) {
      out += " if (false) { ";
    }
  }
  return out;
};
var oneOf$1 = function generate_oneOf(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $valid = "valid" + $lvl;
  var $errs = "errs__" + $lvl;
  var $it = it.util.copy(it);
  var $closingBraces = "";
  $it.level++;
  var $nextValid = "valid" + $it.level;
  var $currentBaseId = $it.baseId, $prevValid = "prevValid" + $lvl, $passingSchemas = "passingSchemas" + $lvl;
  out += "var " + $errs + " = errors , " + $prevValid + " = false , " + $valid + " = false , " + $passingSchemas + " = null; ";
  var $wasComposite = it.compositeRule;
  it.compositeRule = $it.compositeRule = true;
  var arr1 = $schema2;
  if (arr1) {
    var $sch, $i = -1, l1 = arr1.length - 1;
    while ($i < l1) {
      $sch = arr1[$i += 1];
      if (it.opts.strictKeywords ? typeof $sch == "object" && Object.keys($sch).length > 0 : it.util.schemaHasRules($sch, it.RULES.all)) {
        $it.schema = $sch;
        $it.schemaPath = $schemaPath + "[" + $i + "]";
        $it.errSchemaPath = $errSchemaPath + "/" + $i;
        out += "  " + it.validate($it) + " ";
        $it.baseId = $currentBaseId;
      } else {
        out += " var " + $nextValid + " = true; ";
      }
      if ($i) {
        out += " if (" + $nextValid + " && " + $prevValid + ") { " + $valid + " = false; " + $passingSchemas + " = [" + $passingSchemas + ", " + $i + "]; } else { ";
        $closingBraces += "}";
      }
      out += " if (" + $nextValid + ") { " + $valid + " = " + $prevValid + " = true; " + $passingSchemas + " = " + $i + "; }";
    }
  }
  it.compositeRule = $it.compositeRule = $wasComposite;
  out += "" + $closingBraces + "if (!" + $valid + ") {   var err =   ";
  if (it.createErrors !== false) {
    out += " { keyword: 'oneOf' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { passingSchemas: " + $passingSchemas + " } ";
    if (it.opts.messages !== false) {
      out += " , message: 'should match exactly one schema in oneOf' ";
    }
    if (it.opts.verbose) {
      out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
    }
    out += " } ";
  } else {
    out += " {} ";
  }
  out += ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
  if (!it.compositeRule && $breakOnError) {
    if (it.async) {
      out += " throw new ValidationError(vErrors); ";
    } else {
      out += " validate.errors = vErrors; return false; ";
    }
  }
  out += "} else {  errors = " + $errs + "; if (vErrors !== null) { if (" + $errs + ") vErrors.length = " + $errs + "; else vErrors = null; }";
  if (it.opts.allErrors) {
    out += " } ";
  }
  return out;
};
var pattern = function generate_pattern(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $isData = it.opts.$data && $schema2 && $schema2.$data, $schemaValue;
  if ($isData) {
    out += " var schema" + $lvl + " = " + it.util.getData($schema2.$data, $dataLvl, it.dataPathArr) + "; ";
    $schemaValue = "schema" + $lvl;
  } else {
    $schemaValue = $schema2;
  }
  var $regexp = $isData ? "(new RegExp(" + $schemaValue + "))" : it.usePattern($schema2);
  out += "if ( ";
  if ($isData) {
    out += " (" + $schemaValue + " !== undefined && typeof " + $schemaValue + " != 'string') || ";
  }
  out += " !" + $regexp + ".test(" + $data + ") ) {   ";
  var $$outStack = $$outStack || [];
  $$outStack.push(out);
  out = "";
  if (it.createErrors !== false) {
    out += " { keyword: 'pattern' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { pattern:  ";
    if ($isData) {
      out += "" + $schemaValue;
    } else {
      out += "" + it.util.toQuotedString($schema2);
    }
    out += "  } ";
    if (it.opts.messages !== false) {
      out += ` , message: 'should match pattern "`;
      if ($isData) {
        out += "' + " + $schemaValue + " + '";
      } else {
        out += "" + it.util.escapeQuotes($schema2);
      }
      out += `"' `;
    }
    if (it.opts.verbose) {
      out += " , schema:  ";
      if ($isData) {
        out += "validate.schema" + $schemaPath;
      } else {
        out += "" + it.util.toQuotedString($schema2);
      }
      out += "         , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
    }
    out += " } ";
  } else {
    out += " {} ";
  }
  var __err = out;
  out = $$outStack.pop();
  if (!it.compositeRule && $breakOnError) {
    if (it.async) {
      out += " throw new ValidationError([" + __err + "]); ";
    } else {
      out += " validate.errors = [" + __err + "]; return false; ";
    }
  } else {
    out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
  }
  out += "} ";
  if ($breakOnError) {
    out += " else { ";
  }
  return out;
};
var properties$k = function generate_properties(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $errs = "errs__" + $lvl;
  var $it = it.util.copy(it);
  var $closingBraces = "";
  $it.level++;
  var $nextValid = "valid" + $it.level;
  var $key = "key" + $lvl, $idx = "idx" + $lvl, $dataNxt = $it.dataLevel = it.dataLevel + 1, $nextData = "data" + $dataNxt, $dataProperties = "dataProperties" + $lvl;
  var $schemaKeys = Object.keys($schema2 || {}).filter(notProto), $pProperties = it.schema.patternProperties || {}, $pPropertyKeys = Object.keys($pProperties).filter(notProto), $aProperties = it.schema.additionalProperties, $someProperties = $schemaKeys.length || $pPropertyKeys.length, $noAdditional = $aProperties === false, $additionalIsSchema = typeof $aProperties == "object" && Object.keys($aProperties).length, $removeAdditional = it.opts.removeAdditional, $checkAdditional = $noAdditional || $additionalIsSchema || $removeAdditional, $ownProperties = it.opts.ownProperties, $currentBaseId = it.baseId;
  var $required = it.schema.required;
  if ($required && !(it.opts.$data && $required.$data) && $required.length < it.opts.loopRequired) {
    var $requiredHash = it.util.toHash($required);
  }
  function notProto(p2) {
    return p2 !== "__proto__";
  }
  out += "var " + $errs + " = errors;var " + $nextValid + " = true;";
  if ($ownProperties) {
    out += " var " + $dataProperties + " = undefined;";
  }
  if ($checkAdditional) {
    if ($ownProperties) {
      out += " " + $dataProperties + " = " + $dataProperties + " || Object.keys(" + $data + "); for (var " + $idx + "=0; " + $idx + "<" + $dataProperties + ".length; " + $idx + "++) { var " + $key + " = " + $dataProperties + "[" + $idx + "]; ";
    } else {
      out += " for (var " + $key + " in " + $data + ") { ";
    }
    if ($someProperties) {
      out += " var isAdditional" + $lvl + " = !(false ";
      if ($schemaKeys.length) {
        if ($schemaKeys.length > 8) {
          out += " || validate.schema" + $schemaPath + ".hasOwnProperty(" + $key + ") ";
        } else {
          var arr1 = $schemaKeys;
          if (arr1) {
            var $propertyKey, i1 = -1, l1 = arr1.length - 1;
            while (i1 < l1) {
              $propertyKey = arr1[i1 += 1];
              out += " || " + $key + " == " + it.util.toQuotedString($propertyKey) + " ";
            }
          }
        }
      }
      if ($pPropertyKeys.length) {
        var arr2 = $pPropertyKeys;
        if (arr2) {
          var $pProperty, $i = -1, l2 = arr2.length - 1;
          while ($i < l2) {
            $pProperty = arr2[$i += 1];
            out += " || " + it.usePattern($pProperty) + ".test(" + $key + ") ";
          }
        }
      }
      out += " ); if (isAdditional" + $lvl + ") { ";
    }
    if ($removeAdditional == "all") {
      out += " delete " + $data + "[" + $key + "]; ";
    } else {
      var $currentErrorPath = it.errorPath;
      var $additionalProperty = "' + " + $key + " + '";
      if (it.opts._errorDataPathProperty) {
        it.errorPath = it.util.getPathExpr(it.errorPath, $key, it.opts.jsonPointers);
      }
      if ($noAdditional) {
        if ($removeAdditional) {
          out += " delete " + $data + "[" + $key + "]; ";
        } else {
          out += " " + $nextValid + " = false; ";
          var $currErrSchemaPath = $errSchemaPath;
          $errSchemaPath = it.errSchemaPath + "/additionalProperties";
          var $$outStack = $$outStack || [];
          $$outStack.push(out);
          out = "";
          if (it.createErrors !== false) {
            out += " { keyword: 'additionalProperties' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { additionalProperty: '" + $additionalProperty + "' } ";
            if (it.opts.messages !== false) {
              out += " , message: '";
              if (it.opts._errorDataPathProperty) {
                out += "is an invalid additional property";
              } else {
                out += "should NOT have additional properties";
              }
              out += "' ";
            }
            if (it.opts.verbose) {
              out += " , schema: false , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
            }
            out += " } ";
          } else {
            out += " {} ";
          }
          var __err = out;
          out = $$outStack.pop();
          if (!it.compositeRule && $breakOnError) {
            if (it.async) {
              out += " throw new ValidationError([" + __err + "]); ";
            } else {
              out += " validate.errors = [" + __err + "]; return false; ";
            }
          } else {
            out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
          }
          $errSchemaPath = $currErrSchemaPath;
          if ($breakOnError) {
            out += " break; ";
          }
        }
      } else if ($additionalIsSchema) {
        if ($removeAdditional == "failing") {
          out += " var " + $errs + " = errors;  ";
          var $wasComposite = it.compositeRule;
          it.compositeRule = $it.compositeRule = true;
          $it.schema = $aProperties;
          $it.schemaPath = it.schemaPath + ".additionalProperties";
          $it.errSchemaPath = it.errSchemaPath + "/additionalProperties";
          $it.errorPath = it.opts._errorDataPathProperty ? it.errorPath : it.util.getPathExpr(it.errorPath, $key, it.opts.jsonPointers);
          var $passData = $data + "[" + $key + "]";
          $it.dataPathArr[$dataNxt] = $key;
          var $code = it.validate($it);
          $it.baseId = $currentBaseId;
          if (it.util.varOccurences($code, $nextData) < 2) {
            out += " " + it.util.varReplace($code, $nextData, $passData) + " ";
          } else {
            out += " var " + $nextData + " = " + $passData + "; " + $code + " ";
          }
          out += " if (!" + $nextValid + ") { errors = " + $errs + "; if (validate.errors !== null) { if (errors) validate.errors.length = errors; else validate.errors = null; } delete " + $data + "[" + $key + "]; }  ";
          it.compositeRule = $it.compositeRule = $wasComposite;
        } else {
          $it.schema = $aProperties;
          $it.schemaPath = it.schemaPath + ".additionalProperties";
          $it.errSchemaPath = it.errSchemaPath + "/additionalProperties";
          $it.errorPath = it.opts._errorDataPathProperty ? it.errorPath : it.util.getPathExpr(it.errorPath, $key, it.opts.jsonPointers);
          var $passData = $data + "[" + $key + "]";
          $it.dataPathArr[$dataNxt] = $key;
          var $code = it.validate($it);
          $it.baseId = $currentBaseId;
          if (it.util.varOccurences($code, $nextData) < 2) {
            out += " " + it.util.varReplace($code, $nextData, $passData) + " ";
          } else {
            out += " var " + $nextData + " = " + $passData + "; " + $code + " ";
          }
          if ($breakOnError) {
            out += " if (!" + $nextValid + ") break; ";
          }
        }
      }
      it.errorPath = $currentErrorPath;
    }
    if ($someProperties) {
      out += " } ";
    }
    out += " }  ";
    if ($breakOnError) {
      out += " if (" + $nextValid + ") { ";
      $closingBraces += "}";
    }
  }
  var $useDefaults = it.opts.useDefaults && !it.compositeRule;
  if ($schemaKeys.length) {
    var arr3 = $schemaKeys;
    if (arr3) {
      var $propertyKey, i3 = -1, l3 = arr3.length - 1;
      while (i3 < l3) {
        $propertyKey = arr3[i3 += 1];
        var $sch = $schema2[$propertyKey];
        if (it.opts.strictKeywords ? typeof $sch == "object" && Object.keys($sch).length > 0 : it.util.schemaHasRules($sch, it.RULES.all)) {
          var $prop = it.util.getProperty($propertyKey), $passData = $data + $prop, $hasDefault = $useDefaults && $sch.default !== void 0;
          $it.schema = $sch;
          $it.schemaPath = $schemaPath + $prop;
          $it.errSchemaPath = $errSchemaPath + "/" + it.util.escapeFragment($propertyKey);
          $it.errorPath = it.util.getPath(it.errorPath, $propertyKey, it.opts.jsonPointers);
          $it.dataPathArr[$dataNxt] = it.util.toQuotedString($propertyKey);
          var $code = it.validate($it);
          $it.baseId = $currentBaseId;
          if (it.util.varOccurences($code, $nextData) < 2) {
            $code = it.util.varReplace($code, $nextData, $passData);
            var $useData = $passData;
          } else {
            var $useData = $nextData;
            out += " var " + $nextData + " = " + $passData + "; ";
          }
          if ($hasDefault) {
            out += " " + $code + " ";
          } else {
            if ($requiredHash && $requiredHash[$propertyKey]) {
              out += " if ( " + $useData + " === undefined ";
              if ($ownProperties) {
                out += " || ! Object.prototype.hasOwnProperty.call(" + $data + ", '" + it.util.escapeQuotes($propertyKey) + "') ";
              }
              out += ") { " + $nextValid + " = false; ";
              var $currentErrorPath = it.errorPath, $currErrSchemaPath = $errSchemaPath, $missingProperty = it.util.escapeQuotes($propertyKey);
              if (it.opts._errorDataPathProperty) {
                it.errorPath = it.util.getPath($currentErrorPath, $propertyKey, it.opts.jsonPointers);
              }
              $errSchemaPath = it.errSchemaPath + "/required";
              var $$outStack = $$outStack || [];
              $$outStack.push(out);
              out = "";
              if (it.createErrors !== false) {
                out += " { keyword: 'required' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { missingProperty: '" + $missingProperty + "' } ";
                if (it.opts.messages !== false) {
                  out += " , message: '";
                  if (it.opts._errorDataPathProperty) {
                    out += "is a required property";
                  } else {
                    out += "should have required property \\'" + $missingProperty + "\\'";
                  }
                  out += "' ";
                }
                if (it.opts.verbose) {
                  out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
                }
                out += " } ";
              } else {
                out += " {} ";
              }
              var __err = out;
              out = $$outStack.pop();
              if (!it.compositeRule && $breakOnError) {
                if (it.async) {
                  out += " throw new ValidationError([" + __err + "]); ";
                } else {
                  out += " validate.errors = [" + __err + "]; return false; ";
                }
              } else {
                out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
              }
              $errSchemaPath = $currErrSchemaPath;
              it.errorPath = $currentErrorPath;
              out += " } else { ";
            } else {
              if ($breakOnError) {
                out += " if ( " + $useData + " === undefined ";
                if ($ownProperties) {
                  out += " || ! Object.prototype.hasOwnProperty.call(" + $data + ", '" + it.util.escapeQuotes($propertyKey) + "') ";
                }
                out += ") { " + $nextValid + " = true; } else { ";
              } else {
                out += " if (" + $useData + " !== undefined ";
                if ($ownProperties) {
                  out += " &&   Object.prototype.hasOwnProperty.call(" + $data + ", '" + it.util.escapeQuotes($propertyKey) + "') ";
                }
                out += " ) { ";
              }
            }
            out += " " + $code + " } ";
          }
        }
        if ($breakOnError) {
          out += " if (" + $nextValid + ") { ";
          $closingBraces += "}";
        }
      }
    }
  }
  if ($pPropertyKeys.length) {
    var arr4 = $pPropertyKeys;
    if (arr4) {
      var $pProperty, i4 = -1, l4 = arr4.length - 1;
      while (i4 < l4) {
        $pProperty = arr4[i4 += 1];
        var $sch = $pProperties[$pProperty];
        if (it.opts.strictKeywords ? typeof $sch == "object" && Object.keys($sch).length > 0 : it.util.schemaHasRules($sch, it.RULES.all)) {
          $it.schema = $sch;
          $it.schemaPath = it.schemaPath + ".patternProperties" + it.util.getProperty($pProperty);
          $it.errSchemaPath = it.errSchemaPath + "/patternProperties/" + it.util.escapeFragment($pProperty);
          if ($ownProperties) {
            out += " " + $dataProperties + " = " + $dataProperties + " || Object.keys(" + $data + "); for (var " + $idx + "=0; " + $idx + "<" + $dataProperties + ".length; " + $idx + "++) { var " + $key + " = " + $dataProperties + "[" + $idx + "]; ";
          } else {
            out += " for (var " + $key + " in " + $data + ") { ";
          }
          out += " if (" + it.usePattern($pProperty) + ".test(" + $key + ")) { ";
          $it.errorPath = it.util.getPathExpr(it.errorPath, $key, it.opts.jsonPointers);
          var $passData = $data + "[" + $key + "]";
          $it.dataPathArr[$dataNxt] = $key;
          var $code = it.validate($it);
          $it.baseId = $currentBaseId;
          if (it.util.varOccurences($code, $nextData) < 2) {
            out += " " + it.util.varReplace($code, $nextData, $passData) + " ";
          } else {
            out += " var " + $nextData + " = " + $passData + "; " + $code + " ";
          }
          if ($breakOnError) {
            out += " if (!" + $nextValid + ") break; ";
          }
          out += " } ";
          if ($breakOnError) {
            out += " else " + $nextValid + " = true; ";
          }
          out += " }  ";
          if ($breakOnError) {
            out += " if (" + $nextValid + ") { ";
            $closingBraces += "}";
          }
        }
      }
    }
  }
  if ($breakOnError) {
    out += " " + $closingBraces + " if (" + $errs + " == errors) {";
  }
  return out;
};
var propertyNames = function generate_propertyNames(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $errs = "errs__" + $lvl;
  var $it = it.util.copy(it);
  var $closingBraces = "";
  $it.level++;
  var $nextValid = "valid" + $it.level;
  out += "var " + $errs + " = errors;";
  if (it.opts.strictKeywords ? typeof $schema2 == "object" && Object.keys($schema2).length > 0 : it.util.schemaHasRules($schema2, it.RULES.all)) {
    $it.schema = $schema2;
    $it.schemaPath = $schemaPath;
    $it.errSchemaPath = $errSchemaPath;
    var $key = "key" + $lvl, $idx = "idx" + $lvl, $i = "i" + $lvl, $invalidName = "' + " + $key + " + '", $dataNxt = $it.dataLevel = it.dataLevel + 1, $nextData = "data" + $dataNxt, $dataProperties = "dataProperties" + $lvl, $ownProperties = it.opts.ownProperties, $currentBaseId = it.baseId;
    if ($ownProperties) {
      out += " var " + $dataProperties + " = undefined; ";
    }
    if ($ownProperties) {
      out += " " + $dataProperties + " = " + $dataProperties + " || Object.keys(" + $data + "); for (var " + $idx + "=0; " + $idx + "<" + $dataProperties + ".length; " + $idx + "++) { var " + $key + " = " + $dataProperties + "[" + $idx + "]; ";
    } else {
      out += " for (var " + $key + " in " + $data + ") { ";
    }
    out += " var startErrs" + $lvl + " = errors; ";
    var $passData = $key;
    var $wasComposite = it.compositeRule;
    it.compositeRule = $it.compositeRule = true;
    var $code = it.validate($it);
    $it.baseId = $currentBaseId;
    if (it.util.varOccurences($code, $nextData) < 2) {
      out += " " + it.util.varReplace($code, $nextData, $passData) + " ";
    } else {
      out += " var " + $nextData + " = " + $passData + "; " + $code + " ";
    }
    it.compositeRule = $it.compositeRule = $wasComposite;
    out += " if (!" + $nextValid + ") { for (var " + $i + "=startErrs" + $lvl + "; " + $i + "<errors; " + $i + "++) { vErrors[" + $i + "].propertyName = " + $key + "; }   var err =   ";
    if (it.createErrors !== false) {
      out += " { keyword: 'propertyNames' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { propertyName: '" + $invalidName + "' } ";
      if (it.opts.messages !== false) {
        out += " , message: 'property name \\'" + $invalidName + "\\' is invalid' ";
      }
      if (it.opts.verbose) {
        out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
      }
      out += " } ";
    } else {
      out += " {} ";
    }
    out += ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
    if (!it.compositeRule && $breakOnError) {
      if (it.async) {
        out += " throw new ValidationError(vErrors); ";
      } else {
        out += " validate.errors = vErrors; return false; ";
      }
    }
    if ($breakOnError) {
      out += " break; ";
    }
    out += " } }";
  }
  if ($breakOnError) {
    out += " " + $closingBraces + " if (" + $errs + " == errors) {";
  }
  return out;
};
var required$j = function generate_required(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $valid = "valid" + $lvl;
  var $isData = it.opts.$data && $schema2 && $schema2.$data;
  if ($isData) {
    out += " var schema" + $lvl + " = " + it.util.getData($schema2.$data, $dataLvl, it.dataPathArr) + "; ";
  }
  var $vSchema = "schema" + $lvl;
  if (!$isData) {
    if ($schema2.length < it.opts.loopRequired && it.schema.properties && Object.keys(it.schema.properties).length) {
      var $required = [];
      var arr1 = $schema2;
      if (arr1) {
        var $property, i1 = -1, l1 = arr1.length - 1;
        while (i1 < l1) {
          $property = arr1[i1 += 1];
          var $propertySch = it.schema.properties[$property];
          if (!($propertySch && (it.opts.strictKeywords ? typeof $propertySch == "object" && Object.keys($propertySch).length > 0 : it.util.schemaHasRules($propertySch, it.RULES.all)))) {
            $required[$required.length] = $property;
          }
        }
      }
    } else {
      var $required = $schema2;
    }
  }
  if ($isData || $required.length) {
    var $currentErrorPath = it.errorPath, $loopRequired = $isData || $required.length >= it.opts.loopRequired, $ownProperties = it.opts.ownProperties;
    if ($breakOnError) {
      out += " var missing" + $lvl + "; ";
      if ($loopRequired) {
        if (!$isData) {
          out += " var " + $vSchema + " = validate.schema" + $schemaPath + "; ";
        }
        var $i = "i" + $lvl, $propertyPath = "schema" + $lvl + "[" + $i + "]", $missingProperty = "' + " + $propertyPath + " + '";
        if (it.opts._errorDataPathProperty) {
          it.errorPath = it.util.getPathExpr($currentErrorPath, $propertyPath, it.opts.jsonPointers);
        }
        out += " var " + $valid + " = true; ";
        if ($isData) {
          out += " if (schema" + $lvl + " === undefined) " + $valid + " = true; else if (!Array.isArray(schema" + $lvl + ")) " + $valid + " = false; else {";
        }
        out += " for (var " + $i + " = 0; " + $i + " < " + $vSchema + ".length; " + $i + "++) { " + $valid + " = " + $data + "[" + $vSchema + "[" + $i + "]] !== undefined ";
        if ($ownProperties) {
          out += " &&   Object.prototype.hasOwnProperty.call(" + $data + ", " + $vSchema + "[" + $i + "]) ";
        }
        out += "; if (!" + $valid + ") break; } ";
        if ($isData) {
          out += "  }  ";
        }
        out += "  if (!" + $valid + ") {   ";
        var $$outStack = $$outStack || [];
        $$outStack.push(out);
        out = "";
        if (it.createErrors !== false) {
          out += " { keyword: 'required' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { missingProperty: '" + $missingProperty + "' } ";
          if (it.opts.messages !== false) {
            out += " , message: '";
            if (it.opts._errorDataPathProperty) {
              out += "is a required property";
            } else {
              out += "should have required property \\'" + $missingProperty + "\\'";
            }
            out += "' ";
          }
          if (it.opts.verbose) {
            out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
          }
          out += " } ";
        } else {
          out += " {} ";
        }
        var __err = out;
        out = $$outStack.pop();
        if (!it.compositeRule && $breakOnError) {
          if (it.async) {
            out += " throw new ValidationError([" + __err + "]); ";
          } else {
            out += " validate.errors = [" + __err + "]; return false; ";
          }
        } else {
          out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
        }
        out += " } else { ";
      } else {
        out += " if ( ";
        var arr2 = $required;
        if (arr2) {
          var $propertyKey, $i = -1, l2 = arr2.length - 1;
          while ($i < l2) {
            $propertyKey = arr2[$i += 1];
            if ($i) {
              out += " || ";
            }
            var $prop = it.util.getProperty($propertyKey), $useData = $data + $prop;
            out += " ( ( " + $useData + " === undefined ";
            if ($ownProperties) {
              out += " || ! Object.prototype.hasOwnProperty.call(" + $data + ", '" + it.util.escapeQuotes($propertyKey) + "') ";
            }
            out += ") && (missing" + $lvl + " = " + it.util.toQuotedString(it.opts.jsonPointers ? $propertyKey : $prop) + ") ) ";
          }
        }
        out += ") {  ";
        var $propertyPath = "missing" + $lvl, $missingProperty = "' + " + $propertyPath + " + '";
        if (it.opts._errorDataPathProperty) {
          it.errorPath = it.opts.jsonPointers ? it.util.getPathExpr($currentErrorPath, $propertyPath, true) : $currentErrorPath + " + " + $propertyPath;
        }
        var $$outStack = $$outStack || [];
        $$outStack.push(out);
        out = "";
        if (it.createErrors !== false) {
          out += " { keyword: 'required' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { missingProperty: '" + $missingProperty + "' } ";
          if (it.opts.messages !== false) {
            out += " , message: '";
            if (it.opts._errorDataPathProperty) {
              out += "is a required property";
            } else {
              out += "should have required property \\'" + $missingProperty + "\\'";
            }
            out += "' ";
          }
          if (it.opts.verbose) {
            out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
          }
          out += " } ";
        } else {
          out += " {} ";
        }
        var __err = out;
        out = $$outStack.pop();
        if (!it.compositeRule && $breakOnError) {
          if (it.async) {
            out += " throw new ValidationError([" + __err + "]); ";
          } else {
            out += " validate.errors = [" + __err + "]; return false; ";
          }
        } else {
          out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
        }
        out += " } else { ";
      }
    } else {
      if ($loopRequired) {
        if (!$isData) {
          out += " var " + $vSchema + " = validate.schema" + $schemaPath + "; ";
        }
        var $i = "i" + $lvl, $propertyPath = "schema" + $lvl + "[" + $i + "]", $missingProperty = "' + " + $propertyPath + " + '";
        if (it.opts._errorDataPathProperty) {
          it.errorPath = it.util.getPathExpr($currentErrorPath, $propertyPath, it.opts.jsonPointers);
        }
        if ($isData) {
          out += " if (" + $vSchema + " && !Array.isArray(" + $vSchema + ")) {  var err =   ";
          if (it.createErrors !== false) {
            out += " { keyword: 'required' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { missingProperty: '" + $missingProperty + "' } ";
            if (it.opts.messages !== false) {
              out += " , message: '";
              if (it.opts._errorDataPathProperty) {
                out += "is a required property";
              } else {
                out += "should have required property \\'" + $missingProperty + "\\'";
              }
              out += "' ";
            }
            if (it.opts.verbose) {
              out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
            }
            out += " } ";
          } else {
            out += " {} ";
          }
          out += ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; } else if (" + $vSchema + " !== undefined) { ";
        }
        out += " for (var " + $i + " = 0; " + $i + " < " + $vSchema + ".length; " + $i + "++) { if (" + $data + "[" + $vSchema + "[" + $i + "]] === undefined ";
        if ($ownProperties) {
          out += " || ! Object.prototype.hasOwnProperty.call(" + $data + ", " + $vSchema + "[" + $i + "]) ";
        }
        out += ") {  var err =   ";
        if (it.createErrors !== false) {
          out += " { keyword: 'required' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { missingProperty: '" + $missingProperty + "' } ";
          if (it.opts.messages !== false) {
            out += " , message: '";
            if (it.opts._errorDataPathProperty) {
              out += "is a required property";
            } else {
              out += "should have required property \\'" + $missingProperty + "\\'";
            }
            out += "' ";
          }
          if (it.opts.verbose) {
            out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
          }
          out += " } ";
        } else {
          out += " {} ";
        }
        out += ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; } } ";
        if ($isData) {
          out += "  }  ";
        }
      } else {
        var arr3 = $required;
        if (arr3) {
          var $propertyKey, i3 = -1, l3 = arr3.length - 1;
          while (i3 < l3) {
            $propertyKey = arr3[i3 += 1];
            var $prop = it.util.getProperty($propertyKey), $missingProperty = it.util.escapeQuotes($propertyKey), $useData = $data + $prop;
            if (it.opts._errorDataPathProperty) {
              it.errorPath = it.util.getPath($currentErrorPath, $propertyKey, it.opts.jsonPointers);
            }
            out += " if ( " + $useData + " === undefined ";
            if ($ownProperties) {
              out += " || ! Object.prototype.hasOwnProperty.call(" + $data + ", '" + it.util.escapeQuotes($propertyKey) + "') ";
            }
            out += ") {  var err =   ";
            if (it.createErrors !== false) {
              out += " { keyword: 'required' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { missingProperty: '" + $missingProperty + "' } ";
              if (it.opts.messages !== false) {
                out += " , message: '";
                if (it.opts._errorDataPathProperty) {
                  out += "is a required property";
                } else {
                  out += "should have required property \\'" + $missingProperty + "\\'";
                }
                out += "' ";
              }
              if (it.opts.verbose) {
                out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
              }
              out += " } ";
            } else {
              out += " {} ";
            }
            out += ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; } ";
          }
        }
      }
    }
    it.errorPath = $currentErrorPath;
  } else if ($breakOnError) {
    out += " if (true) {";
  }
  return out;
};
var uniqueItems = function generate_uniqueItems(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $data = "data" + ($dataLvl || "");
  var $valid = "valid" + $lvl;
  var $isData = it.opts.$data && $schema2 && $schema2.$data, $schemaValue;
  if ($isData) {
    out += " var schema" + $lvl + " = " + it.util.getData($schema2.$data, $dataLvl, it.dataPathArr) + "; ";
    $schemaValue = "schema" + $lvl;
  } else {
    $schemaValue = $schema2;
  }
  if (($schema2 || $isData) && it.opts.uniqueItems !== false) {
    if ($isData) {
      out += " var " + $valid + "; if (" + $schemaValue + " === false || " + $schemaValue + " === undefined) " + $valid + " = true; else if (typeof " + $schemaValue + " != 'boolean') " + $valid + " = false; else { ";
    }
    out += " var i = " + $data + ".length , " + $valid + " = true , j; if (i > 1) { ";
    var $itemType = it.schema.items && it.schema.items.type, $typeIsArray = Array.isArray($itemType);
    if (!$itemType || $itemType == "object" || $itemType == "array" || $typeIsArray && ($itemType.indexOf("object") >= 0 || $itemType.indexOf("array") >= 0)) {
      out += " outer: for (;i--;) { for (j = i; j--;) { if (equal(" + $data + "[i], " + $data + "[j])) { " + $valid + " = false; break outer; } } } ";
    } else {
      out += " var itemIndices = {}, item; for (;i--;) { var item = " + $data + "[i]; ";
      var $method = "checkDataType" + ($typeIsArray ? "s" : "");
      out += " if (" + it.util[$method]($itemType, "item", it.opts.strictNumbers, true) + ") continue; ";
      if ($typeIsArray) {
        out += ` if (typeof item == 'string') item = '"' + item; `;
      }
      out += " if (typeof itemIndices[item] == 'number') { " + $valid + " = false; j = itemIndices[item]; break; } itemIndices[item] = i; } ";
    }
    out += " } ";
    if ($isData) {
      out += "  }  ";
    }
    out += " if (!" + $valid + ") {   ";
    var $$outStack = $$outStack || [];
    $$outStack.push(out);
    out = "";
    if (it.createErrors !== false) {
      out += " { keyword: 'uniqueItems' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { i: i, j: j } ";
      if (it.opts.messages !== false) {
        out += " , message: 'should NOT have duplicate items (items ## ' + j + ' and ' + i + ' are identical)' ";
      }
      if (it.opts.verbose) {
        out += " , schema:  ";
        if ($isData) {
          out += "validate.schema" + $schemaPath;
        } else {
          out += "" + $schema2;
        }
        out += "         , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
      }
      out += " } ";
    } else {
      out += " {} ";
    }
    var __err = out;
    out = $$outStack.pop();
    if (!it.compositeRule && $breakOnError) {
      if (it.async) {
        out += " throw new ValidationError([" + __err + "]); ";
      } else {
        out += " validate.errors = [" + __err + "]; return false; ";
      }
    } else {
      out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
    }
    out += " } ";
    if ($breakOnError) {
      out += " else { ";
    }
  } else {
    if ($breakOnError) {
      out += " if (true) { ";
    }
  }
  return out;
};
var dotjs = {
  "$ref": ref,
  allOf,
  anyOf,
  "$comment": comment,
  const: _const,
  contains,
  dependencies: dependencies$1,
  "enum": _enum,
  format,
  "if": _if,
  items,
  maximum: _limit,
  minimum: _limit,
  maxItems: _limitItems,
  minItems: _limitItems,
  maxLength: _limitLength,
  minLength: _limitLength,
  maxProperties: _limitProperties,
  minProperties: _limitProperties,
  multipleOf,
  not,
  oneOf: oneOf$1,
  pattern,
  properties: properties$k,
  propertyNames,
  required: required$j,
  uniqueItems,
  validate: validate$1
};
var ruleModules = dotjs, toHash = util$5.toHash;
var rules$1 = function rules() {
  var RULES = [
    {
      type: "number",
      rules: [
        { "maximum": ["exclusiveMaximum"] },
        { "minimum": ["exclusiveMinimum"] },
        "multipleOf",
        "format"
      ]
    },
    {
      type: "string",
      rules: ["maxLength", "minLength", "pattern", "format"]
    },
    {
      type: "array",
      rules: ["maxItems", "minItems", "items", "contains", "uniqueItems"]
    },
    {
      type: "object",
      rules: [
        "maxProperties",
        "minProperties",
        "required",
        "dependencies",
        "propertyNames",
        { "properties": ["additionalProperties", "patternProperties"] }
      ]
    },
    { rules: ["$ref", "const", "enum", "not", "anyOf", "oneOf", "allOf", "if"] }
  ];
  var ALL = ["type", "$comment"];
  var KEYWORDS2 = [
    "$schema",
    "$id",
    "id",
    "$data",
    "$async",
    "title",
    "description",
    "default",
    "definitions",
    "examples",
    "readOnly",
    "writeOnly",
    "contentMediaType",
    "contentEncoding",
    "additionalItems",
    "then",
    "else"
  ];
  var TYPES = ["number", "integer", "string", "array", "object", "boolean", "null"];
  RULES.all = toHash(ALL);
  RULES.types = toHash(TYPES);
  RULES.forEach(function(group) {
    group.rules = group.rules.map(function(keyword2) {
      var implKeywords;
      if (typeof keyword2 == "object") {
        var key = Object.keys(keyword2)[0];
        implKeywords = keyword2[key];
        keyword2 = key;
        implKeywords.forEach(function(k2) {
          ALL.push(k2);
          RULES.all[k2] = true;
        });
      }
      ALL.push(keyword2);
      var rule = RULES.all[keyword2] = {
        keyword: keyword2,
        code: ruleModules[keyword2],
        implements: implKeywords
      };
      return rule;
    });
    RULES.all.$comment = {
      keyword: "$comment",
      code: ruleModules.$comment
    };
    if (group.type)
      RULES.types[group.type] = group;
  });
  RULES.keywords = toHash(ALL.concat(KEYWORDS2));
  RULES.custom = {};
  return RULES;
};
var KEYWORDS = [
  "multipleOf",
  "maximum",
  "exclusiveMaximum",
  "minimum",
  "exclusiveMinimum",
  "maxLength",
  "minLength",
  "pattern",
  "additionalItems",
  "maxItems",
  "minItems",
  "uniqueItems",
  "maxProperties",
  "minProperties",
  "required",
  "additionalProperties",
  "enum",
  "format",
  "const"
];
var data = function(metaSchema2, keywordsJsonPointers) {
  for (var i = 0; i < keywordsJsonPointers.length; i++) {
    metaSchema2 = JSON.parse(JSON.stringify(metaSchema2));
    var segments = keywordsJsonPointers[i].split("/");
    var keywords2 = metaSchema2;
    var j;
    for (j = 1; j < segments.length; j++)
      keywords2 = keywords2[segments[j]];
    for (j = 0; j < KEYWORDS.length; j++) {
      var key = KEYWORDS[j];
      var schema = keywords2[key];
      if (schema) {
        keywords2[key] = {
          anyOf: [
            schema,
            { $ref: "https://raw.githubusercontent.com/ajv-validator/ajv/master/lib/refs/data.json#" }
          ]
        };
      }
    }
  }
  return metaSchema2;
};
var MissingRefError = error_classes.MissingRef;
var async = compileAsync;
function compileAsync(schema, meta, callback) {
  var self2 = this;
  if (typeof this._opts.loadSchema != "function")
    throw new Error("options.loadSchema should be a function");
  if (typeof meta == "function") {
    callback = meta;
    meta = void 0;
  }
  var p2 = loadMetaSchemaOf(schema).then(function() {
    var schemaObj = self2._addSchema(schema, void 0, meta);
    return schemaObj.validate || _compileAsync(schemaObj);
  });
  if (callback) {
    p2.then(function(v2) {
      callback(null, v2);
    }, callback);
  }
  return p2;
  function loadMetaSchemaOf(sch) {
    var $schema2 = sch.$schema;
    return $schema2 && !self2.getSchema($schema2) ? compileAsync.call(self2, { $ref: $schema2 }, true) : Promise.resolve();
  }
  function _compileAsync(schemaObj) {
    try {
      return self2._compile(schemaObj);
    } catch (e2) {
      if (e2 instanceof MissingRefError)
        return loadMissingSchema(e2);
      throw e2;
    }
    function loadMissingSchema(e2) {
      var ref2 = e2.missingSchema;
      if (added(ref2))
        throw new Error("Schema " + ref2 + " is loaded but " + e2.missingRef + " cannot be resolved");
      var schemaPromise = self2._loadingSchemas[ref2];
      if (!schemaPromise) {
        schemaPromise = self2._loadingSchemas[ref2] = self2._opts.loadSchema(ref2);
        schemaPromise.then(removePromise, removePromise);
      }
      return schemaPromise.then(function(sch) {
        if (!added(ref2)) {
          return loadMetaSchemaOf(sch).then(function() {
            if (!added(ref2))
              self2.addSchema(sch, ref2, void 0, meta);
          });
        }
      }).then(function() {
        return _compileAsync(schemaObj);
      });
      function removePromise() {
        delete self2._loadingSchemas[ref2];
      }
      function added(ref3) {
        return self2._refs[ref3] || self2._schemas[ref3];
      }
    }
  }
}
var custom = function generate_custom(it, $keyword, $ruleType) {
  var out = " ";
  var $lvl = it.level;
  var $dataLvl = it.dataLevel;
  var $schema2 = it.schema[$keyword];
  var $schemaPath = it.schemaPath + it.util.getProperty($keyword);
  var $errSchemaPath = it.errSchemaPath + "/" + $keyword;
  var $breakOnError = !it.opts.allErrors;
  var $errorKeyword;
  var $data = "data" + ($dataLvl || "");
  var $valid = "valid" + $lvl;
  var $errs = "errs__" + $lvl;
  var $isData = it.opts.$data && $schema2 && $schema2.$data, $schemaValue;
  if ($isData) {
    out += " var schema" + $lvl + " = " + it.util.getData($schema2.$data, $dataLvl, it.dataPathArr) + "; ";
    $schemaValue = "schema" + $lvl;
  } else {
    $schemaValue = $schema2;
  }
  var $rule = this, $definition = "definition" + $lvl, $rDef = $rule.definition, $closingBraces = "";
  var $compile, $inline, $macro, $ruleValidate, $validateCode;
  if ($isData && $rDef.$data) {
    $validateCode = "keywordValidate" + $lvl;
    var $validateSchema = $rDef.validateSchema;
    out += " var " + $definition + " = RULES.custom['" + $keyword + "'].definition; var " + $validateCode + " = " + $definition + ".validate;";
  } else {
    $ruleValidate = it.useCustomRule($rule, $schema2, it.schema, it);
    if (!$ruleValidate)
      return;
    $schemaValue = "validate.schema" + $schemaPath;
    $validateCode = $ruleValidate.code;
    $compile = $rDef.compile;
    $inline = $rDef.inline;
    $macro = $rDef.macro;
  }
  var $ruleErrs = $validateCode + ".errors", $i = "i" + $lvl, $ruleErr = "ruleErr" + $lvl, $asyncKeyword = $rDef.async;
  if ($asyncKeyword && !it.async)
    throw new Error("async keyword in sync schema");
  if (!($inline || $macro)) {
    out += "" + $ruleErrs + " = null;";
  }
  out += "var " + $errs + " = errors;var " + $valid + ";";
  if ($isData && $rDef.$data) {
    $closingBraces += "}";
    out += " if (" + $schemaValue + " === undefined) { " + $valid + " = true; } else { ";
    if ($validateSchema) {
      $closingBraces += "}";
      out += " " + $valid + " = " + $definition + ".validateSchema(" + $schemaValue + "); if (" + $valid + ") { ";
    }
  }
  if ($inline) {
    if ($rDef.statements) {
      out += " " + $ruleValidate.validate + " ";
    } else {
      out += " " + $valid + " = " + $ruleValidate.validate + "; ";
    }
  } else if ($macro) {
    var $it = it.util.copy(it);
    var $closingBraces = "";
    $it.level++;
    var $nextValid = "valid" + $it.level;
    $it.schema = $ruleValidate.validate;
    $it.schemaPath = "";
    var $wasComposite = it.compositeRule;
    it.compositeRule = $it.compositeRule = true;
    var $code = it.validate($it).replace(/validate\.schema/g, $validateCode);
    it.compositeRule = $it.compositeRule = $wasComposite;
    out += " " + $code;
  } else {
    var $$outStack = $$outStack || [];
    $$outStack.push(out);
    out = "";
    out += "  " + $validateCode + ".call( ";
    if (it.opts.passContext) {
      out += "this";
    } else {
      out += "self";
    }
    if ($compile || $rDef.schema === false) {
      out += " , " + $data + " ";
    } else {
      out += " , " + $schemaValue + " , " + $data + " , validate.schema" + it.schemaPath + " ";
    }
    out += " , (dataPath || '')";
    if (it.errorPath != '""') {
      out += " + " + it.errorPath;
    }
    var $parentData = $dataLvl ? "data" + ($dataLvl - 1 || "") : "parentData", $parentDataProperty = $dataLvl ? it.dataPathArr[$dataLvl] : "parentDataProperty";
    out += " , " + $parentData + " , " + $parentDataProperty + " , rootData )  ";
    var def_callRuleValidate = out;
    out = $$outStack.pop();
    if ($rDef.errors === false) {
      out += " " + $valid + " = ";
      if ($asyncKeyword) {
        out += "await ";
      }
      out += "" + def_callRuleValidate + "; ";
    } else {
      if ($asyncKeyword) {
        $ruleErrs = "customErrors" + $lvl;
        out += " var " + $ruleErrs + " = null; try { " + $valid + " = await " + def_callRuleValidate + "; } catch (e) { " + $valid + " = false; if (e instanceof ValidationError) " + $ruleErrs + " = e.errors; else throw e; } ";
      } else {
        out += " " + $ruleErrs + " = null; " + $valid + " = " + def_callRuleValidate + "; ";
      }
    }
  }
  if ($rDef.modifying) {
    out += " if (" + $parentData + ") " + $data + " = " + $parentData + "[" + $parentDataProperty + "];";
  }
  out += "" + $closingBraces;
  if ($rDef.valid) {
    if ($breakOnError) {
      out += " if (true) { ";
    }
  } else {
    out += " if ( ";
    if ($rDef.valid === void 0) {
      out += " !";
      if ($macro) {
        out += "" + $nextValid;
      } else {
        out += "" + $valid;
      }
    } else {
      out += " " + !$rDef.valid + " ";
    }
    out += ") { ";
    $errorKeyword = $rule.keyword;
    var $$outStack = $$outStack || [];
    $$outStack.push(out);
    out = "";
    var $$outStack = $$outStack || [];
    $$outStack.push(out);
    out = "";
    if (it.createErrors !== false) {
      out += " { keyword: '" + ($errorKeyword || "custom") + "' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { keyword: '" + $rule.keyword + "' } ";
      if (it.opts.messages !== false) {
        out += ` , message: 'should pass "` + $rule.keyword + `" keyword validation' `;
      }
      if (it.opts.verbose) {
        out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
      }
      out += " } ";
    } else {
      out += " {} ";
    }
    var __err = out;
    out = $$outStack.pop();
    if (!it.compositeRule && $breakOnError) {
      if (it.async) {
        out += " throw new ValidationError([" + __err + "]); ";
      } else {
        out += " validate.errors = [" + __err + "]; return false; ";
      }
    } else {
      out += " var err = " + __err + ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
    }
    var def_customError = out;
    out = $$outStack.pop();
    if ($inline) {
      if ($rDef.errors) {
        if ($rDef.errors != "full") {
          out += "  for (var " + $i + "=" + $errs + "; " + $i + "<errors; " + $i + "++) { var " + $ruleErr + " = vErrors[" + $i + "]; if (" + $ruleErr + ".dataPath === undefined) " + $ruleErr + ".dataPath = (dataPath || '') + " + it.errorPath + "; if (" + $ruleErr + ".schemaPath === undefined) { " + $ruleErr + '.schemaPath = "' + $errSchemaPath + '"; } ';
          if (it.opts.verbose) {
            out += " " + $ruleErr + ".schema = " + $schemaValue + "; " + $ruleErr + ".data = " + $data + "; ";
          }
          out += " } ";
        }
      } else {
        if ($rDef.errors === false) {
          out += " " + def_customError + " ";
        } else {
          out += " if (" + $errs + " == errors) { " + def_customError + " } else {  for (var " + $i + "=" + $errs + "; " + $i + "<errors; " + $i + "++) { var " + $ruleErr + " = vErrors[" + $i + "]; if (" + $ruleErr + ".dataPath === undefined) " + $ruleErr + ".dataPath = (dataPath || '') + " + it.errorPath + "; if (" + $ruleErr + ".schemaPath === undefined) { " + $ruleErr + '.schemaPath = "' + $errSchemaPath + '"; } ';
          if (it.opts.verbose) {
            out += " " + $ruleErr + ".schema = " + $schemaValue + "; " + $ruleErr + ".data = " + $data + "; ";
          }
          out += " } } ";
        }
      }
    } else if ($macro) {
      out += "   var err =   ";
      if (it.createErrors !== false) {
        out += " { keyword: '" + ($errorKeyword || "custom") + "' , dataPath: (dataPath || '') + " + it.errorPath + " , schemaPath: " + it.util.toQuotedString($errSchemaPath) + " , params: { keyword: '" + $rule.keyword + "' } ";
        if (it.opts.messages !== false) {
          out += ` , message: 'should pass "` + $rule.keyword + `" keyword validation' `;
        }
        if (it.opts.verbose) {
          out += " , schema: validate.schema" + $schemaPath + " , parentSchema: validate.schema" + it.schemaPath + " , data: " + $data + " ";
        }
        out += " } ";
      } else {
        out += " {} ";
      }
      out += ";  if (vErrors === null) vErrors = [err]; else vErrors.push(err); errors++; ";
      if (!it.compositeRule && $breakOnError) {
        if (it.async) {
          out += " throw new ValidationError(vErrors); ";
        } else {
          out += " validate.errors = vErrors; return false; ";
        }
      }
    } else {
      if ($rDef.errors === false) {
        out += " " + def_customError + " ";
      } else {
        out += " if (Array.isArray(" + $ruleErrs + ")) { if (vErrors === null) vErrors = " + $ruleErrs + "; else vErrors = vErrors.concat(" + $ruleErrs + "); errors = vErrors.length;  for (var " + $i + "=" + $errs + "; " + $i + "<errors; " + $i + "++) { var " + $ruleErr + " = vErrors[" + $i + "]; if (" + $ruleErr + ".dataPath === undefined) " + $ruleErr + ".dataPath = (dataPath || '') + " + it.errorPath + ";  " + $ruleErr + '.schemaPath = "' + $errSchemaPath + '";  ';
        if (it.opts.verbose) {
          out += " " + $ruleErr + ".schema = " + $schemaValue + "; " + $ruleErr + ".data = " + $data + "; ";
        }
        out += " } } else { " + def_customError + " } ";
      }
    }
    out += " } ";
    if ($breakOnError) {
      out += " else { ";
    }
  }
  return out;
};
const $schema$n = "http://json-schema.org/draft-07/schema#";
const $id$n = "http://json-schema.org/draft-07/schema#";
const title$m = "Core schema meta-schema";
const definitions$m = {
  schemaArray: {
    type: "array",
    minItems: 1,
    items: {
      $ref: "#"
    }
  },
  nonNegativeInteger: {
    type: "integer",
    minimum: 0
  },
  nonNegativeIntegerDefault0: {
    allOf: [
      {
        $ref: "#/definitions/nonNegativeInteger"
      },
      {
        "default": 0
      }
    ]
  },
  simpleTypes: {
    "enum": [
      "array",
      "boolean",
      "integer",
      "null",
      "number",
      "object",
      "string"
    ]
  },
  stringArray: {
    type: "array",
    items: {
      type: "string"
    },
    uniqueItems: true,
    "default": []
  }
};
const type$o = [
  "object",
  "boolean"
];
const properties$j = {
  $id: {
    type: "string",
    format: "uri-reference"
  },
  $schema: {
    type: "string",
    format: "uri"
  },
  $ref: {
    type: "string",
    format: "uri-reference"
  },
  $comment: {
    type: "string"
  },
  title: {
    type: "string"
  },
  description: {
    type: "string"
  },
  "default": true,
  readOnly: {
    type: "boolean",
    "default": false
  },
  examples: {
    type: "array",
    items: true
  },
  multipleOf: {
    type: "number",
    exclusiveMinimum: 0
  },
  maximum: {
    type: "number"
  },
  exclusiveMaximum: {
    type: "number"
  },
  minimum: {
    type: "number"
  },
  exclusiveMinimum: {
    type: "number"
  },
  maxLength: {
    $ref: "#/definitions/nonNegativeInteger"
  },
  minLength: {
    $ref: "#/definitions/nonNegativeIntegerDefault0"
  },
  pattern: {
    type: "string",
    format: "regex"
  },
  additionalItems: {
    $ref: "#"
  },
  items: {
    anyOf: [
      {
        $ref: "#"
      },
      {
        $ref: "#/definitions/schemaArray"
      }
    ],
    "default": true
  },
  maxItems: {
    $ref: "#/definitions/nonNegativeInteger"
  },
  minItems: {
    $ref: "#/definitions/nonNegativeIntegerDefault0"
  },
  uniqueItems: {
    type: "boolean",
    "default": false
  },
  contains: {
    $ref: "#"
  },
  maxProperties: {
    $ref: "#/definitions/nonNegativeInteger"
  },
  minProperties: {
    $ref: "#/definitions/nonNegativeIntegerDefault0"
  },
  required: {
    $ref: "#/definitions/stringArray"
  },
  additionalProperties: {
    $ref: "#"
  },
  definitions: {
    type: "object",
    additionalProperties: {
      $ref: "#"
    },
    "default": {}
  },
  properties: {
    type: "object",
    additionalProperties: {
      $ref: "#"
    },
    "default": {}
  },
  patternProperties: {
    type: "object",
    additionalProperties: {
      $ref: "#"
    },
    propertyNames: {
      format: "regex"
    },
    "default": {}
  },
  dependencies: {
    type: "object",
    additionalProperties: {
      anyOf: [
        {
          $ref: "#"
        },
        {
          $ref: "#/definitions/stringArray"
        }
      ]
    }
  },
  propertyNames: {
    $ref: "#"
  },
  "const": true,
  "enum": {
    type: "array",
    items: true,
    minItems: 1,
    uniqueItems: true
  },
  type: {
    anyOf: [
      {
        $ref: "#/definitions/simpleTypes"
      },
      {
        type: "array",
        items: {
          $ref: "#/definitions/simpleTypes"
        },
        minItems: 1,
        uniqueItems: true
      }
    ]
  },
  format: {
    type: "string"
  },
  contentMediaType: {
    type: "string"
  },
  contentEncoding: {
    type: "string"
  },
  "if": {
    $ref: "#"
  },
  then: {
    $ref: "#"
  },
  "else": {
    $ref: "#"
  },
  allOf: {
    $ref: "#/definitions/schemaArray"
  },
  anyOf: {
    $ref: "#/definitions/schemaArray"
  },
  oneOf: {
    $ref: "#/definitions/schemaArray"
  },
  not: {
    $ref: "#"
  }
};
var require$$13 = {
  $schema: $schema$n,
  $id: $id$n,
  title: title$m,
  definitions: definitions$m,
  type: type$o,
  properties: properties$j,
  "default": true
};
var metaSchema = require$$13;
var definition_schema = {
  $id: "https://github.com/ajv-validator/ajv/blob/master/lib/definition_schema.js",
  definitions: {
    simpleTypes: metaSchema.definitions.simpleTypes
  },
  type: "object",
  dependencies: {
    schema: ["validate"],
    $data: ["validate"],
    statements: ["inline"],
    valid: { not: { required: ["macro"] } }
  },
  properties: {
    type: metaSchema.properties.type,
    schema: { type: "boolean" },
    statements: { type: "boolean" },
    dependencies: {
      type: "array",
      items: { type: "string" }
    },
    metaSchema: { type: "object" },
    modifying: { type: "boolean" },
    valid: { type: "boolean" },
    $data: { type: "boolean" },
    async: { type: "boolean" },
    errors: {
      anyOf: [
        { type: "boolean" },
        { const: "full" }
      ]
    }
  }
};
var IDENTIFIER = /^[a-z_$][a-z0-9_$-]*$/i;
var customRuleCode = custom;
var definitionSchema = definition_schema;
var keyword = {
  add: addKeyword,
  get: getKeyword,
  remove: removeKeyword,
  validate: validateKeyword
};
function addKeyword(keyword2, definition) {
  var RULES = this.RULES;
  if (RULES.keywords[keyword2])
    throw new Error("Keyword " + keyword2 + " is already defined");
  if (!IDENTIFIER.test(keyword2))
    throw new Error("Keyword " + keyword2 + " is not a valid identifier");
  if (definition) {
    this.validateKeyword(definition, true);
    var dataType = definition.type;
    if (Array.isArray(dataType)) {
      for (var i = 0; i < dataType.length; i++)
        _addRule(keyword2, dataType[i], definition);
    } else {
      _addRule(keyword2, dataType, definition);
    }
    var metaSchema2 = definition.metaSchema;
    if (metaSchema2) {
      if (definition.$data && this._opts.$data) {
        metaSchema2 = {
          anyOf: [
            metaSchema2,
            { "$ref": "https://raw.githubusercontent.com/ajv-validator/ajv/master/lib/refs/data.json#" }
          ]
        };
      }
      definition.validateSchema = this.compile(metaSchema2, true);
    }
  }
  RULES.keywords[keyword2] = RULES.all[keyword2] = true;
  function _addRule(keyword3, dataType2, definition2) {
    var ruleGroup;
    for (var i2 = 0; i2 < RULES.length; i2++) {
      var rg = RULES[i2];
      if (rg.type == dataType2) {
        ruleGroup = rg;
        break;
      }
    }
    if (!ruleGroup) {
      ruleGroup = { type: dataType2, rules: [] };
      RULES.push(ruleGroup);
    }
    var rule = {
      keyword: keyword3,
      definition: definition2,
      custom: true,
      code: customRuleCode,
      implements: definition2.implements
    };
    ruleGroup.rules.push(rule);
    RULES.custom[keyword3] = rule;
  }
  return this;
}
function getKeyword(keyword2) {
  var rule = this.RULES.custom[keyword2];
  return rule ? rule.definition : this.RULES.keywords[keyword2] || false;
}
function removeKeyword(keyword2) {
  var RULES = this.RULES;
  delete RULES.keywords[keyword2];
  delete RULES.all[keyword2];
  delete RULES.custom[keyword2];
  for (var i = 0; i < RULES.length; i++) {
    var rules3 = RULES[i].rules;
    for (var j = 0; j < rules3.length; j++) {
      if (rules3[j].keyword == keyword2) {
        rules3.splice(j, 1);
        break;
      }
    }
  }
  return this;
}
function validateKeyword(definition, throwError) {
  validateKeyword.errors = null;
  var v2 = this._validateKeyword = this._validateKeyword || this.compile(definitionSchema, true);
  if (v2(definition))
    return true;
  validateKeyword.errors = v2.errors;
  if (throwError)
    throw new Error("custom keyword definition is invalid: " + this.errorsText(v2.errors));
  else
    return false;
}
const $schema$m = "http://json-schema.org/draft-07/schema#";
const $id$m = "https://raw.githubusercontent.com/ajv-validator/ajv/master/lib/refs/data.json#";
const description$1 = "Meta-schema for $data reference (JSON Schema extension proposal)";
const type$n = "object";
const required$i = [
  "$data"
];
const properties$i = {
  $data: {
    type: "string",
    anyOf: [
      {
        format: "relative-json-pointer"
      },
      {
        format: "json-pointer"
      }
    ]
  }
};
const additionalProperties$i = false;
var require$$12 = {
  $schema: $schema$m,
  $id: $id$m,
  description: description$1,
  type: type$n,
  required: required$i,
  properties: properties$i,
  additionalProperties: additionalProperties$i
};
var compileSchema = compile_1, resolve = resolve_1, Cache2 = cache.exports, SchemaObject = schema_obj, stableStringify = fastJsonStableStringify, formats = formats_1, rules2 = rules$1, $dataMetaSchema = data, util = util$5;
var ajv = Ajv;
Ajv.prototype.validate = validate;
Ajv.prototype.compile = compile;
Ajv.prototype.addSchema = addSchema;
Ajv.prototype.addMetaSchema = addMetaSchema;
Ajv.prototype.validateSchema = validateSchema;
Ajv.prototype.getSchema = getSchema;
Ajv.prototype.removeSchema = removeSchema;
Ajv.prototype.addFormat = addFormat;
Ajv.prototype.errorsText = errorsText;
Ajv.prototype._addSchema = _addSchema;
Ajv.prototype._compile = _compile;
Ajv.prototype.compileAsync = async;
var customKeyword = keyword;
Ajv.prototype.addKeyword = customKeyword.add;
Ajv.prototype.getKeyword = customKeyword.get;
Ajv.prototype.removeKeyword = customKeyword.remove;
Ajv.prototype.validateKeyword = customKeyword.validate;
var errorClasses = error_classes;
Ajv.ValidationError = errorClasses.Validation;
Ajv.MissingRefError = errorClasses.MissingRef;
Ajv.$dataMetaSchema = $dataMetaSchema;
var META_SCHEMA_ID = "http://json-schema.org/draft-07/schema";
var META_IGNORE_OPTIONS = ["removeAdditional", "useDefaults", "coerceTypes", "strictDefaults"];
var META_SUPPORT_DATA = ["/properties"];
function Ajv(opts) {
  if (!(this instanceof Ajv))
    return new Ajv(opts);
  opts = this._opts = util.copy(opts) || {};
  setLogger(this);
  this._schemas = {};
  this._refs = {};
  this._fragments = {};
  this._formats = formats(opts.format);
  this._cache = opts.cache || new Cache2();
  this._loadingSchemas = {};
  this._compilations = [];
  this.RULES = rules2();
  this._getId = chooseGetId(opts);
  opts.loopRequired = opts.loopRequired || Infinity;
  if (opts.errorDataPath == "property")
    opts._errorDataPathProperty = true;
  if (opts.serialize === void 0)
    opts.serialize = stableStringify;
  this._metaOpts = getMetaSchemaOptions(this);
  if (opts.formats)
    addInitialFormats(this);
  if (opts.keywords)
    addInitialKeywords(this);
  addDefaultMetaSchema(this);
  if (typeof opts.meta == "object")
    this.addMetaSchema(opts.meta);
  if (opts.nullable)
    this.addKeyword("nullable", { metaSchema: { type: "boolean" } });
  addInitialSchemas(this);
}
function validate(schemaKeyRef, data2) {
  var v2;
  if (typeof schemaKeyRef == "string") {
    v2 = this.getSchema(schemaKeyRef);
    if (!v2)
      throw new Error('no schema with key or ref "' + schemaKeyRef + '"');
  } else {
    var schemaObj = this._addSchema(schemaKeyRef);
    v2 = schemaObj.validate || this._compile(schemaObj);
  }
  var valid = v2(data2);
  if (v2.$async !== true)
    this.errors = v2.errors;
  return valid;
}
function compile(schema, _meta) {
  var schemaObj = this._addSchema(schema, void 0, _meta);
  return schemaObj.validate || this._compile(schemaObj);
}
function addSchema(schema, key, _skipValidation, _meta) {
  if (Array.isArray(schema)) {
    for (var i = 0; i < schema.length; i++)
      this.addSchema(schema[i], void 0, _skipValidation, _meta);
    return this;
  }
  var id = this._getId(schema);
  if (id !== void 0 && typeof id != "string")
    throw new Error("schema id must be string");
  key = resolve.normalizeId(key || id);
  checkUnique(this, key);
  this._schemas[key] = this._addSchema(schema, _skipValidation, _meta, true);
  return this;
}
function addMetaSchema(schema, key, skipValidation) {
  this.addSchema(schema, key, skipValidation, true);
  return this;
}
function validateSchema(schema, throwOrLogError) {
  var $schema2 = schema.$schema;
  if ($schema2 !== void 0 && typeof $schema2 != "string")
    throw new Error("$schema must be a string");
  $schema2 = $schema2 || this._opts.defaultMeta || defaultMeta(this);
  if (!$schema2) {
    this.logger.warn("meta-schema not available");
    this.errors = null;
    return true;
  }
  var valid = this.validate($schema2, schema);
  if (!valid && throwOrLogError) {
    var message = "schema is invalid: " + this.errorsText();
    if (this._opts.validateSchema == "log")
      this.logger.error(message);
    else
      throw new Error(message);
  }
  return valid;
}
function defaultMeta(self2) {
  var meta = self2._opts.meta;
  self2._opts.defaultMeta = typeof meta == "object" ? self2._getId(meta) || meta : self2.getSchema(META_SCHEMA_ID) ? META_SCHEMA_ID : void 0;
  return self2._opts.defaultMeta;
}
function getSchema(keyRef) {
  var schemaObj = _getSchemaObj(this, keyRef);
  switch (typeof schemaObj) {
    case "object":
      return schemaObj.validate || this._compile(schemaObj);
    case "string":
      return this.getSchema(schemaObj);
    case "undefined":
      return _getSchemaFragment(this, keyRef);
  }
}
function _getSchemaFragment(self2, ref2) {
  var res = resolve.schema.call(self2, { schema: {} }, ref2);
  if (res) {
    var schema = res.schema, root2 = res.root, baseId = res.baseId;
    var v2 = compileSchema.call(self2, schema, root2, void 0, baseId);
    self2._fragments[ref2] = new SchemaObject({
      ref: ref2,
      fragment: true,
      schema,
      root: root2,
      baseId,
      validate: v2
    });
    return v2;
  }
}
function _getSchemaObj(self2, keyRef) {
  keyRef = resolve.normalizeId(keyRef);
  return self2._schemas[keyRef] || self2._refs[keyRef] || self2._fragments[keyRef];
}
function removeSchema(schemaKeyRef) {
  if (schemaKeyRef instanceof RegExp) {
    _removeAllSchemas(this, this._schemas, schemaKeyRef);
    _removeAllSchemas(this, this._refs, schemaKeyRef);
    return this;
  }
  switch (typeof schemaKeyRef) {
    case "undefined":
      _removeAllSchemas(this, this._schemas);
      _removeAllSchemas(this, this._refs);
      this._cache.clear();
      return this;
    case "string":
      var schemaObj = _getSchemaObj(this, schemaKeyRef);
      if (schemaObj)
        this._cache.del(schemaObj.cacheKey);
      delete this._schemas[schemaKeyRef];
      delete this._refs[schemaKeyRef];
      return this;
    case "object":
      var serialize = this._opts.serialize;
      var cacheKey = serialize ? serialize(schemaKeyRef) : schemaKeyRef;
      this._cache.del(cacheKey);
      var id = this._getId(schemaKeyRef);
      if (id) {
        id = resolve.normalizeId(id);
        delete this._schemas[id];
        delete this._refs[id];
      }
  }
  return this;
}
function _removeAllSchemas(self2, schemas, regex2) {
  for (var keyRef in schemas) {
    var schemaObj = schemas[keyRef];
    if (!schemaObj.meta && (!regex2 || regex2.test(keyRef))) {
      self2._cache.del(schemaObj.cacheKey);
      delete schemas[keyRef];
    }
  }
}
function _addSchema(schema, skipValidation, meta, shouldAddSchema) {
  if (typeof schema != "object" && typeof schema != "boolean")
    throw new Error("schema should be object or boolean");
  var serialize = this._opts.serialize;
  var cacheKey = serialize ? serialize(schema) : schema;
  var cached = this._cache.get(cacheKey);
  if (cached)
    return cached;
  shouldAddSchema = shouldAddSchema || this._opts.addUsedSchema !== false;
  var id = resolve.normalizeId(this._getId(schema));
  if (id && shouldAddSchema)
    checkUnique(this, id);
  var willValidate = this._opts.validateSchema !== false && !skipValidation;
  var recursiveMeta;
  if (willValidate && !(recursiveMeta = id && id == resolve.normalizeId(schema.$schema)))
    this.validateSchema(schema, true);
  var localRefs = resolve.ids.call(this, schema);
  var schemaObj = new SchemaObject({
    id,
    schema,
    localRefs,
    cacheKey,
    meta
  });
  if (id[0] != "#" && shouldAddSchema)
    this._refs[id] = schemaObj;
  this._cache.put(cacheKey, schemaObj);
  if (willValidate && recursiveMeta)
    this.validateSchema(schema, true);
  return schemaObj;
}
function _compile(schemaObj, root2) {
  if (schemaObj.compiling) {
    schemaObj.validate = callValidate;
    callValidate.schema = schemaObj.schema;
    callValidate.errors = null;
    callValidate.root = root2 ? root2 : callValidate;
    if (schemaObj.schema.$async === true)
      callValidate.$async = true;
    return callValidate;
  }
  schemaObj.compiling = true;
  var currentOpts;
  if (schemaObj.meta) {
    currentOpts = this._opts;
    this._opts = this._metaOpts;
  }
  var v2;
  try {
    v2 = compileSchema.call(this, schemaObj.schema, root2, schemaObj.localRefs);
  } catch (e2) {
    delete schemaObj.validate;
    throw e2;
  } finally {
    schemaObj.compiling = false;
    if (schemaObj.meta)
      this._opts = currentOpts;
  }
  schemaObj.validate = v2;
  schemaObj.refs = v2.refs;
  schemaObj.refVal = v2.refVal;
  schemaObj.root = v2.root;
  return v2;
  function callValidate() {
    var _validate = schemaObj.validate;
    var result = _validate.apply(this, arguments);
    callValidate.errors = _validate.errors;
    return result;
  }
}
function chooseGetId(opts) {
  switch (opts.schemaId) {
    case "auto":
      return _get$IdOrId;
    case "id":
      return _getId;
    default:
      return _get$Id;
  }
}
function _getId(schema) {
  if (schema.$id)
    this.logger.warn("schema $id ignored", schema.$id);
  return schema.id;
}
function _get$Id(schema) {
  if (schema.id)
    this.logger.warn("schema id ignored", schema.id);
  return schema.$id;
}
function _get$IdOrId(schema) {
  if (schema.$id && schema.id && schema.$id != schema.id)
    throw new Error("schema $id is different from id");
  return schema.$id || schema.id;
}
function errorsText(errors, options) {
  errors = errors || this.errors;
  if (!errors)
    return "No errors";
  options = options || {};
  var separator = options.separator === void 0 ? ", " : options.separator;
  var dataVar = options.dataVar === void 0 ? "data" : options.dataVar;
  var text = "";
  for (var i = 0; i < errors.length; i++) {
    var e2 = errors[i];
    if (e2)
      text += dataVar + e2.dataPath + " " + e2.message + separator;
  }
  return text.slice(0, -separator.length);
}
function addFormat(name2, format2) {
  if (typeof format2 == "string")
    format2 = new RegExp(format2);
  this._formats[name2] = format2;
  return this;
}
function addDefaultMetaSchema(self2) {
  var $dataSchema;
  if (self2._opts.$data) {
    $dataSchema = require$$12;
    self2.addMetaSchema($dataSchema, $dataSchema.$id, true);
  }
  if (self2._opts.meta === false)
    return;
  var metaSchema2 = require$$13;
  if (self2._opts.$data)
    metaSchema2 = $dataMetaSchema(metaSchema2, META_SUPPORT_DATA);
  self2.addMetaSchema(metaSchema2, META_SCHEMA_ID, true);
  self2._refs["http://json-schema.org/schema"] = META_SCHEMA_ID;
}
function addInitialSchemas(self2) {
  var optsSchemas = self2._opts.schemas;
  if (!optsSchemas)
    return;
  if (Array.isArray(optsSchemas))
    self2.addSchema(optsSchemas);
  else
    for (var key in optsSchemas)
      self2.addSchema(optsSchemas[key], key);
}
function addInitialFormats(self2) {
  for (var name2 in self2._opts.formats) {
    var format2 = self2._opts.formats[name2];
    self2.addFormat(name2, format2);
  }
}
function addInitialKeywords(self2) {
  for (var name2 in self2._opts.keywords) {
    var keyword2 = self2._opts.keywords[name2];
    self2.addKeyword(name2, keyword2);
  }
}
function checkUnique(self2, id) {
  if (self2._schemas[id] || self2._refs[id])
    throw new Error('schema with key or id "' + id + '" already exists');
}
function getMetaSchemaOptions(self2) {
  var metaOpts = util.copy(self2._opts);
  for (var i = 0; i < META_IGNORE_OPTIONS.length; i++)
    delete metaOpts[META_IGNORE_OPTIONS[i]];
  return metaOpts;
}
function setLogger(self2) {
  var logger = self2._opts.logger;
  if (logger === false) {
    self2.logger = { log: noop$1, warn: noop$1, error: noop$1 };
  } else {
    if (logger === void 0)
      logger = console;
    if (!(typeof logger == "object" && logger.log && logger.warn && logger.error))
      throw new Error("logger must implement log, warn and error methods");
    self2.logger = logger;
  }
}
function noop$1() {
}
var rngBrowser = { exports: {} };
var getRandomValues = typeof crypto != "undefined" && crypto.getRandomValues && crypto.getRandomValues.bind(crypto) || typeof msCrypto != "undefined" && typeof window.msCrypto.getRandomValues == "function" && msCrypto.getRandomValues.bind(msCrypto);
if (getRandomValues) {
  var rnds8 = new Uint8Array(16);
  rngBrowser.exports = function whatwgRNG() {
    getRandomValues(rnds8);
    return rnds8;
  };
} else {
  var rnds = new Array(16);
  rngBrowser.exports = function mathRNG() {
    for (var i = 0, r2; i < 16; i++) {
      if ((i & 3) === 0)
        r2 = Math.random() * 4294967296;
      rnds[i] = r2 >>> ((i & 3) << 3) & 255;
    }
    return rnds;
  };
}
var byteToHex = [];
for (var i = 0; i < 256; ++i) {
  byteToHex[i] = (i + 256).toString(16).substr(1);
}
function bytesToUuid$1(buf, offset5) {
  var i = offset5 || 0;
  var bth = byteToHex;
  return [
    bth[buf[i++]],
    bth[buf[i++]],
    bth[buf[i++]],
    bth[buf[i++]],
    "-",
    bth[buf[i++]],
    bth[buf[i++]],
    "-",
    bth[buf[i++]],
    bth[buf[i++]],
    "-",
    bth[buf[i++]],
    bth[buf[i++]],
    "-",
    bth[buf[i++]],
    bth[buf[i++]],
    bth[buf[i++]],
    bth[buf[i++]],
    bth[buf[i++]],
    bth[buf[i++]]
  ].join("");
}
var bytesToUuid_1 = bytesToUuid$1;
var rng = rngBrowser.exports;
var bytesToUuid = bytesToUuid_1;
function v4(options, buf, offset5) {
  var i = buf && offset5 || 0;
  if (typeof options == "string") {
    buf = options === "binary" ? new Array(16) : null;
    options = null;
  }
  options = options || {};
  var rnds = options.random || (options.rng || rng)();
  rnds[6] = rnds[6] & 15 | 64;
  rnds[8] = rnds[8] & 63 | 128;
  if (buf) {
    for (var ii = 0; ii < 16; ++ii) {
      buf[i + ii] = rnds[ii];
    }
  }
  return buf || bytesToUuid(rnds);
}
var v4_1 = v4;
var AbstractLoader = /* @__PURE__ */ function() {
  function AbstractLoader2(_ref) {
    var type3 = _ref.type, url = _ref.url, requestInit = _ref.requestInit, options = _ref.options;
    _classCallCheck$5(this, AbstractLoader2);
    this.type = type3;
    this.url = url;
    this.requestInit = requestInit;
    this.options = options;
    this.subscriptions = {};
  }
  _createClass$6(AbstractLoader2, [{
    key: "load",
    value: function load() {
      throw new Error("The load() method has not been implemented.");
    }
  }, {
    key: "subscribe",
    value: function subscribe(subscriber) {
      var token = v4_1();
      this.subscriptions[token] = subscriber;
      return token;
    }
  }, {
    key: "unsubscribe",
    value: function unsubscribe(token) {
      delete this.subscriptions[token];
    }
  }, {
    key: "publish",
    value: function publish(data2) {
      Object.values(this.subscriptions).forEach(function(subscriber) {
        subscriber(data2);
      });
    }
  }]);
  return AbstractLoader2;
}();
var AbstractTwoStepLoader = /* @__PURE__ */ function(_AbstractLoader) {
  _inherits$5(AbstractTwoStepLoader2, _AbstractLoader);
  var _super = _createSuper$5(AbstractTwoStepLoader2);
  function AbstractTwoStepLoader2(dataSource, params) {
    var _this;
    _classCallCheck$5(this, AbstractTwoStepLoader2);
    _this = _super.call(this, params);
    _this.dataSource = dataSource;
    return _this;
  }
  return AbstractTwoStepLoader2;
}(AbstractLoader);
var AbstractLoaderError = /* @__PURE__ */ function() {
  function AbstractLoaderError2(message) {
    _classCallCheck$5(this, AbstractLoaderError2);
    this.message = message;
  }
  _createClass$6(AbstractLoaderError2, [{
    key: "warnInConsole",
    value: function warnInConsole() {
      throw new Error("The warnInConsole() method has not been implemented.");
    }
  }]);
  return AbstractLoaderError2;
}();
var LoaderValidationError = /* @__PURE__ */ function(_AbstractLoaderError) {
  _inherits$5(LoaderValidationError2, _AbstractLoaderError);
  var _super = _createSuper$5(LoaderValidationError2);
  function LoaderValidationError2(datasetType, datasetFileType, datasetUrl, reason) {
    var _this;
    _classCallCheck$5(this, LoaderValidationError2);
    _this = _super.call(this, "Error while validating ".concat(datasetType, "."));
    _this.name = "LoaderValidationError";
    _this.datasetType = datasetType;
    _this.datasetFileType = datasetFileType;
    _this.datasetUrl = datasetUrl;
    _this.reason = reason;
    return _this;
  }
  _createClass$6(LoaderValidationError2, [{
    key: "warnInConsole",
    value: function warnInConsole() {
      var datasetType = this.datasetType, datasetUrl = this.datasetUrl, reason = this.reason;
      console.warn("".concat(datasetType, " from ").concat(datasetUrl, ": validation failed"), JSON.stringify(reason, null, 2));
    }
  }]);
  return LoaderValidationError2;
}(AbstractLoaderError);
var LoaderNotFoundError = /* @__PURE__ */ function(_AbstractLoaderError) {
  _inherits$5(LoaderNotFoundError2, _AbstractLoaderError);
  var _super = _createSuper$5(LoaderNotFoundError2);
  function LoaderNotFoundError2(datasetType, datasetFileType, datasetUrl) {
    var _this;
    _classCallCheck$5(this, LoaderNotFoundError2);
    _this = _super.call(this, "Error finding loader for ".concat(datasetType, "."));
    _this.name = "LoaderNotFoundError";
    _this.datasetType = datasetType;
    _this.datasetFileType = datasetFileType;
    _this.datasetUrl = datasetUrl;
    return _this;
  }
  _createClass$6(LoaderNotFoundError2, [{
    key: "warnInConsole",
    value: function warnInConsole() {
      var datasetType = this.datasetType, datasetFileType = this.datasetFileType, datasetUrl = this.datasetUrl;
      if (datasetFileType && datasetUrl) {
        console.warn("".concat(datasetType, " from ").concat(datasetUrl, ": unable to find loader for fileType ").concat(datasetFileType));
      } else {
        console.warn("".concat(datasetType, ": unable to find loader"));
      }
    }
  }]);
  return LoaderNotFoundError2;
}(AbstractLoaderError);
var DatasetNotFoundError = /* @__PURE__ */ function(_AbstractLoaderError) {
  _inherits$5(DatasetNotFoundError2, _AbstractLoaderError);
  var _super = _createSuper$5(DatasetNotFoundError2);
  function DatasetNotFoundError2(datasetUid) {
    var _this;
    _classCallCheck$5(this, DatasetNotFoundError2);
    _this = _super.call(this, "Error finding dataset for ".concat(datasetUid, ". Please check that at least one dataset exists in the view config."));
    _this.name = "DatasetNotFoundError";
    _this.datasetUid = datasetUid;
    return _this;
  }
  _createClass$6(DatasetNotFoundError2, [{
    key: "warnInConsole",
    value: function warnInConsole() {
      var datasetUid = this.datasetUid;
      if (datasetUid) {
        console.warn("Unable to find dataset for ".concat(datasetUid));
      } else {
        console.warn("No dataset uid specified.");
      }
    }
  }]);
  return DatasetNotFoundError2;
}(AbstractLoaderError);
var LoaderResult = function LoaderResult2(data2, url) {
  var coordinationValues = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : null;
  _classCallCheck$5(this, LoaderResult2);
  this.data = data2;
  this.url = url;
  this.coordinationValues = coordinationValues;
};
const $schema$l = "http://json-schema.org/draft-07/schema#";
const $id$l = "https://github.com/vitessce/vitessce/#cells";
const title$l = "Vitessce cell data";
const type$m = "object";
const definitions$l = {
  coord: {
    type: "array",
    minItems: 2,
    maxItems: 2,
    items: {
      type: "number"
    }
  },
  positiveFloatValues: {
    type: "object",
    patternProperties: {
      ".": {
        type: "number",
        minimum: 0
      }
    }
  },
  stringValues: {
    type: "object",
    patternProperties: {
      ".": {
        type: "string"
      }
    }
  }
};
const patternProperties$2 = {
  ".": {
    additionalProperties: false,
    required: [],
    properties: {
      mappings: {
        type: "object",
        patternProperties: {
          ".": {
            $ref: "#/definitions/coord"
          }
        }
      },
      xy: {
        $ref: "#/definitions/coord"
      },
      genes: {
        $ref: "#/definitions/positiveFloatValues"
      },
      factors: {
        $ref: "#/definitions/stringValues"
      },
      poly: {
        type: "array",
        items: {
          $ref: "#/definitions/coord"
        }
      }
    }
  }
};
var cellsSchema = {
  $schema: $schema$l,
  $id: $id$l,
  title: title$l,
  type: type$m,
  definitions: definitions$l,
  patternProperties: patternProperties$2
};
const $schema$k = "http://json-schema.org/draft-07/schema#";
const $id$k = "https://github.com/vitessce/vitessce/#molecules";
const title$k = "Vitessce molecule data";
const type$l = "object";
const definitions$k = {
  coord: {
    type: "array",
    maxItems: 2,
    minItems: 2,
    items: {
      type: "number"
    }
  }
};
const patternProperties$1 = {
  ".": {
    type: "array",
    items: {
      $ref: "#/definitions/coord"
    }
  }
};
var moleculesSchema = {
  $schema: $schema$k,
  $id: $id$k,
  title: title$k,
  type: type$l,
  definitions: definitions$k,
  patternProperties: patternProperties$1
};
const $schema$j = "http://json-schema.org/draft-07/schema#";
const $id$j = "https://github.com/vitessce/vitessce/#neighborhoods";
const title$j = "Vitessce neighborhood data";
const type$k = "object";
const definitions$j = {
  coord: {
    type: "array",
    maxItems: 2,
    minItems: 2,
    items: {
      type: "number"
    }
  }
};
const patternProperties = {
  ".": {
    additionalProperties: false,
    required: [
      "poly"
    ],
    properties: {
      poly: {
        type: "array",
        maxItems: 3,
        minItems: 3,
        items: {
          $ref: "#/definitions/coord"
        }
      }
    }
  }
};
var neighborhoodsSchema = {
  $schema: $schema$j,
  $id: $id$j,
  title: title$j,
  type: type$k,
  definitions: definitions$j,
  patternProperties
};
const $schema$i = "http://json-schema.org/draft-07/schema#";
const $id$i = "https://github.com/vitessce/vitessce/#raster";
const title$i = "Vitessce image data";
const type$j = "object";
const definitions$i = {
  transform: {
    type: "object",
    additionalProperties: false,
    oneOf: [
      {
        required: [
          "scale",
          "translate"
        ]
      },
      {
        required: [
          "matrix"
        ]
      }
    ],
    properties: {
      scale: {
        type: "number"
      },
      translate: {
        type: "object",
        additionalProperties: false,
        required: [
          "y",
          "x"
        ],
        properties: {
          y: {
            type: "number"
          },
          x: {
            type: "number"
          }
        }
      },
      matrix: {
        type: "array",
        items: {
          type: "number"
        },
        minItems: 16,
        maxItems: 16
      }
    }
  },
  dimensions: {
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "field",
        "type",
        "values"
      ],
      properties: {
        field: {
          type: "string"
        },
        type: {
          type: "string",
          "enum": [
            "quantitative",
            "nominal",
            "ordinal",
            "temporal"
          ]
        },
        values: {
          type: [
            "array",
            "null"
          ],
          items: {
            type: "string"
          }
        }
      }
    }
  },
  metadata: {
    type: "object",
    additionalProperties: false,
    anyOf: [
      {
        required: [
          "dimensions",
          "isPyramid"
        ]
      },
      {
        required: [
          "transform"
        ]
      },
      {
        required: [
          "omeTiffOffsetsUrl"
        ]
      },
      {
        required: [
          "isBitmask"
        ]
      }
    ],
    properties: {
      dimensions: {
        $ref: "#/definitions/dimensions"
      },
      isPyramid: {
        type: "boolean"
      },
      transform: {
        $ref: "#/definitions/transform"
      },
      isBitmask: {
        type: "boolean"
      },
      omeTiffOffsetsUrl: {
        type: "string",
        format: "uri"
      }
    }
  },
  requestInit: {
    type: "object",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  image: {
    type: "object",
    additionalProperties: false,
    required: [
      "name",
      "url",
      "type"
    ],
    properties: {
      name: {
        type: "string"
      },
      url: {
        type: "string",
        format: "uri"
      },
      type: {
        type: "string"
      },
      metadata: {
        $ref: "#/definitions/metadata"
      },
      requestInit: {
        $ref: "#/definitions/requestInit"
      }
    }
  }
};
const additionalProperties$h = false;
const required$h = [
  "schemaVersion",
  "images"
];
const properties$h = {
  schemaVersion: {
    type: "string"
  },
  usePhysicalSizeScaling: {
    type: "boolean",
    description: "Default is false: passing true in will infer scaling from the reported physcial size"
  },
  renderLayers: {
    type: "array",
    items: {
      type: "string"
    }
  },
  images: {
    type: "array",
    items: {
      $ref: "#/definitions/image"
    }
  }
};
var rasterSchema = {
  $schema: $schema$i,
  $id: $id$i,
  title: title$i,
  type: type$j,
  definitions: definitions$i,
  additionalProperties: additionalProperties$h,
  required: required$h,
  properties: properties$h
};
const $schema$h = "http://json-schema.org/draft-07/schema#";
const $id$h = "https://github.com/vitessce/vitessce/#cell-sets";
const title$h = "Vitessce cell sets data";
const type$i = "object";
const definitions$h = {
  stringArray: {
    type: "array",
    items: {
      type: "string"
    }
  },
  stringProbabilityTupleArray: {
    type: "array",
    items: {
      type: "array",
      additionalItems: false,
      items: [
        {
          type: "string"
        },
        {
          oneOf: [
            {
              type: "number",
              minimum: 0,
              maximum: 1
            },
            {
              type: "null"
            }
          ]
        }
      ]
    }
  },
  colorArray: {
    type: "array",
    items: {
      type: "integer",
      minimum: 0,
      maximum: 255
    },
    minItems: 3,
    maxItems: 3
  },
  treeNodeLeaf: {
    type: "object",
    additionalProperties: false,
    required: [
      "name"
    ],
    properties: {
      name: {
        type: "string"
      },
      color: {
        $ref: "#/definitions/colorArray"
      },
      set: {
        $ref: "#/definitions/stringArray"
      }
    }
  },
  treeNodeNonLeaf: {
    type: "object",
    additionalProperties: false,
    required: [
      "name"
    ],
    properties: {
      name: {
        type: "string"
      },
      color: {
        $ref: "#/definitions/colorArray"
      },
      children: {
        type: "array",
        items: {
          $ref: "#/definitions/treeNode"
        }
      }
    }
  },
  treeNode: {
    oneOf: [
      {
        $ref: "#/definitions/treeNodeNonLeaf"
      },
      {
        $ref: "#/definitions/treeNodeLeaf"
      }
    ]
  },
  "version0.1.2": {
    type: "object",
    additionalProperties: false,
    required: [
      "version",
      "datatype",
      "tree"
    ],
    properties: {
      dataset: {
        type: "string"
      },
      version: {
        type: "string",
        "enum": [
          "0.1.2"
        ]
      },
      datatype: {
        type: "string",
        "enum": [
          "cell"
        ]
      },
      tree: {
        type: "array",
        items: {
          $ref: "#/definitions/treeNodeNonLeaf"
        }
      }
    }
  },
  treeNodeLeafProbabilistic: {
    type: "object",
    additionalProperties: false,
    required: [
      "name"
    ],
    properties: {
      name: {
        type: "string"
      },
      color: {
        $ref: "#/definitions/colorArray"
      },
      set: {
        $ref: "#/definitions/stringProbabilityTupleArray"
      }
    }
  },
  treeNodeNonLeafProbabilistic: {
    type: "object",
    additionalProperties: false,
    required: [
      "name"
    ],
    properties: {
      name: {
        type: "string"
      },
      color: {
        $ref: "#/definitions/colorArray"
      },
      children: {
        type: "array",
        items: {
          $ref: "#/definitions/treeNodeProbabilistic"
        }
      }
    }
  },
  treeNodeProbabilistic: {
    oneOf: [
      {
        $ref: "#/definitions/treeNodeNonLeafProbabilistic"
      },
      {
        $ref: "#/definitions/treeNodeLeafProbabilistic"
      }
    ]
  },
  "version0.1.3": {
    type: "object",
    additionalProperties: false,
    required: [
      "version",
      "datatype",
      "tree"
    ],
    properties: {
      dataset: {
        type: "string"
      },
      version: {
        type: "string",
        "enum": [
          "0.1.3"
        ]
      },
      datatype: {
        type: "string",
        "enum": [
          "cell"
        ]
      },
      tree: {
        type: "array",
        items: {
          $ref: "#/definitions/treeNodeNonLeafProbabilistic"
        }
      }
    }
  }
};
const oneOf = [
  {
    $ref: "#/definitions/version0.1.2"
  },
  {
    $ref: "#/definitions/version0.1.3"
  }
];
var cellSetsSchema = {
  $schema: $schema$h,
  $id: $id$h,
  title: title$h,
  type: type$i,
  definitions: definitions$h,
  oneOf
};
var _fileTypeToSchema;
var fileTypeToSchema = (_fileTypeToSchema = {}, _defineProperty$c(_fileTypeToSchema, FileType$2.CELLS_JSON, cellsSchema), _defineProperty$c(_fileTypeToSchema, FileType$2.MOLECULES_JSON, moleculesSchema), _defineProperty$c(_fileTypeToSchema, FileType$2.NEIGHBORHOODS_JSON, neighborhoodsSchema), _defineProperty$c(_fileTypeToSchema, FileType$2.RASTER_JSON, rasterSchema), _defineProperty$c(_fileTypeToSchema, FileType$2.CELL_SETS_JSON, cellSetsSchema), _fileTypeToSchema);
var JsonLoader = /* @__PURE__ */ function(_AbstractTwoStepLoade) {
  _inherits$5(JsonLoader2, _AbstractTwoStepLoade);
  var _super = _createSuper$5(JsonLoader2);
  function JsonLoader2(dataSource, params) {
    var _this;
    _classCallCheck$5(this, JsonLoader2);
    _this = _super.call(this, dataSource, params);
    var fileType = params.fileType;
    _this.schema = fileTypeToSchema[fileType];
    return _this;
  }
  _createClass$6(JsonLoader2, [{
    key: "load",
    value: function load() {
      var _this2 = this;
      var url = this.url, type3 = this.type, fileType = this.fileType;
      if (this.data) {
        return this.data;
      }
      this.data = this.dataSource.data.then(function(data2) {
        if (data2 instanceof AbstractLoaderError) {
          return Promise.reject(data2);
        }
        var _this2$validate = _this2.validate(data2), _this2$validate2 = _slicedToArray$2(_this2$validate, 2), valid = _this2$validate2[0], reason = _this2$validate2[1];
        if (valid) {
          return Promise.resolve(new LoaderResult(data2, url));
        }
        return Promise.reject(new LoaderValidationError(type3, fileType, url, reason));
      });
      return this.data;
    }
  }, {
    key: "validate",
    value: function validate2(data2) {
      var schema = this.schema, fileType = this.fileType;
      if (!schema) {
        throw Error("No schema for ".concat(fileType));
      }
      var validate3 = new ajv().compile(schema);
      var valid = validate3(data2);
      var failureReason;
      if (!valid) {
        failureReason = validate3.errors;
      }
      return [valid, failureReason];
    }
  }]);
  return JsonLoader2;
}(AbstractTwoStepLoader);
var DataSourceFetchError = /* @__PURE__ */ function(_AbstractLoaderError) {
  _inherits$5(DataSourceFetchError2, _AbstractLoaderError);
  var _super = _createSuper$5(DataSourceFetchError2);
  function DataSourceFetchError2(source, url, headers) {
    var _this;
    _classCallCheck$5(this, DataSourceFetchError2);
    _this = _super.call(this, "".concat(source, " Error HTTP Status fetching from ").concat(url));
    _this.source = source;
    _this.url = url;
    _this.headers = headers;
    return _this;
  }
  _createClass$6(DataSourceFetchError2, [{
    key: "warnInConsole",
    value: function warnInConsole() {
      var source = this.source, url = this.url, headers = this.headers;
      console.warn("".concat(source, " failed to fetch from ").concat(url, " with headers ").concat(headers));
    }
  }]);
  return DataSourceFetchError2;
}(AbstractLoaderError);
var JsonSource = /* @__PURE__ */ function() {
  function JsonSource2(_ref) {
    var url = _ref.url, requestInit = _ref.requestInit;
    _classCallCheck$5(this, JsonSource2);
    this.url = url;
    this.requestInit = requestInit;
  }
  _createClass$6(JsonSource2, [{
    key: "data",
    get: function get2() {
      var _this = this;
      if (this._data)
        return this._data;
      this._data = fetch(this.url, this.requestInit).then(function(response) {
        if (!response.ok) {
          return Promise.reject(new DataSourceFetchError("JsonSource", _this.url, response.headers));
        }
        return response.json();
      }).catch(function() {
        return Promise.reject(new DataSourceFetchError("JsonSource", _this.url, {}));
      });
      return this._data;
    }
  }]);
  return JsonSource2;
}();
var numCells = 60;
var numGenes = 90;
var InMemoryCellsLoader = /* @__PURE__ */ function(_JsonLoader) {
  _inherits$5(InMemoryCellsLoader2, _JsonLoader);
  var _super = _createSuper$5(InMemoryCellsLoader2);
  function InMemoryCellsLoader2() {
    _classCallCheck$5(this, InMemoryCellsLoader2);
    return _super.apply(this, arguments);
  }
  _createClass$6(InMemoryCellsLoader2, [{
    key: "load",
    value: function() {
      var _load = _asyncToGenerator(/* @__PURE__ */ regenerator.mark(function _callee() {
        var data2;
        return regenerator.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                data2 = fromEntries(range_1(numCells).map(function(i) {
                  return ["cell_".concat(i), {
                    mappings: {
                      random: [Math.random(), Math.random()]
                    },
                    genes: {},
                    xy: [Math.random(), Math.random()]
                  }];
                }));
                return _context.abrupt("return", Promise.resolve(new LoaderResult(data2, null)));
              case 2:
              case "end":
                return _context.stop();
            }
          }
        }, _callee);
      }));
      function load() {
        return _load.apply(this, arguments);
      }
      return load;
    }()
  }]);
  return InMemoryCellsLoader2;
}(JsonLoader);
var InMemoryMatrixLoader = /* @__PURE__ */ function(_JsonLoader2) {
  _inherits$5(InMemoryMatrixLoader2, _JsonLoader2);
  var _super2 = _createSuper$5(InMemoryMatrixLoader2);
  function InMemoryMatrixLoader2() {
    _classCallCheck$5(this, InMemoryMatrixLoader2);
    return _super2.apply(this, arguments);
  }
  _createClass$6(InMemoryMatrixLoader2, [{
    key: "load",
    value: function() {
      var _load2 = _asyncToGenerator(/* @__PURE__ */ regenerator.mark(function _callee2() {
        var data2, rows, cols, matrix, attrs, shape2, normalizedMatrix, tNormalizedMatrix, normalizedFlatMatrix, arr;
        return regenerator.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                data2 = {
                  rows: range_1(numGenes).map(function(j) {
                    return "gene_".concat(j);
                  }),
                  cols: range_1(numCells).map(function(j) {
                    return "cell_".concat(j);
                  }),
                  matrix: range_1(numGenes).map(function(i) {
                    return range_1(numCells).map(function(j) {
                      return i + j + 1;
                    });
                  })
                };
                rows = data2.rows, cols = data2.cols, matrix = data2.matrix;
                attrs = {
                  rows: cols,
                  cols: rows
                };
                shape2 = [attrs.rows.length, attrs.cols.length];
                normalizedMatrix = matrix.map(function(col) {
                  var min = 0, max = 1;
                  var normalize = function normalize2(d2) {
                    return Math.floor((d2 - min) / (max - min) * 255);
                  };
                  return col.map(normalize);
                });
                tNormalizedMatrix = range_1(shape2[0]).map(function(i) {
                  return range_1(shape2[1]).map(function(j) {
                    return normalizedMatrix[j][i];
                  });
                });
                normalizedFlatMatrix = tNormalizedMatrix.flat();
                arr = {
                  data: Uint8Array.from(normalizedFlatMatrix)
                };
                return _context2.abrupt("return", Promise.resolve(new LoaderResult([attrs, arr], null)));
              case 9:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2);
      }));
      function load() {
        return _load2.apply(this, arguments);
      }
      return load;
    }()
  }]);
  return InMemoryMatrixLoader2;
}(JsonLoader);
registerPluginFileType("in-memory-cells", "cells", InMemoryCellsLoader, JsonSource);
registerPluginFileType("in-memory-matrix", "expression-matrix", InMemoryMatrixLoader, JsonSource);
var pluginFileType = {
  name: "Test plugin file types",
  version: "1.0.9",
  description: "Demonstration of a basic plugin file type implementation.",
  public: false,
  datasets: [{
    uid: "plugin-test-dataset",
    name: "Plugin test dataset",
    files: [{
      type: "expression-matrix",
      fileType: "in-memory-matrix",
      url: ""
    }, {
      type: "cells",
      fileType: "in-memory-cells",
      url: ""
    }]
  }],
  initStrategy: "auto",
  coordinationSpace: {
    spatialZoom: {
      A: -6.5
    }
  },
  layout: [{
    component: "description",
    props: {
      title: "Description"
    },
    x: 0,
    y: 0,
    w: 2,
    h: 2
  }, {
    component: "heatmap",
    x: 2,
    y: 0,
    w: 10,
    h: 2
  }]
};
_objectSpread2({}, configs, {
  "plugin-view-type": pluginViewType,
  "plugin-coordination-type": pluginCoordinationType,
  "plugin-file-type": pluginFileType
});
function Warning(props) {
  var title2 = props.title, preformatted = props.preformatted, unformatted = props.unformatted, theme = props.theme;
  return /* @__PURE__ */ React__default.createElement("div", {
    className: "vitessce-container vitessce-theme-".concat(theme)
  }, /* @__PURE__ */ React__default.createElement("div", {
    className: "warning-layout container-fluid"
  }, /* @__PURE__ */ React__default.createElement("div", {
    className: "row"
  }, /* @__PURE__ */ React__default.createElement("div", {
    className: "col-12"
  }, /* @__PURE__ */ React__default.createElement("div", {
    className: PRIMARY_CARD
  }, /* @__PURE__ */ React__default.createElement("h1", null, title2), /* @__PURE__ */ React__default.createElement("pre", null, preformatted), /* @__PURE__ */ React__default.createElement("div", null, unformatted))))));
}
var baseIsEqual = _baseIsEqual;
function isEqual(value, other) {
  return baseIsEqual(value, other);
}
var isEqual_1 = isEqual;
var reactGridLayout = { exports: {} };
var ReactGridLayout$1 = {};
var lodash_isequal = { exports: {} };
(function(module2, exports) {
  var LARGE_ARRAY_SIZE2 = 200;
  var HASH_UNDEFINED2 = "__lodash_hash_undefined__";
  var COMPARE_PARTIAL_FLAG2 = 1, COMPARE_UNORDERED_FLAG2 = 2;
  var MAX_SAFE_INTEGER2 = 9007199254740991;
  var argsTag2 = "[object Arguments]", arrayTag2 = "[object Array]", asyncTag2 = "[object AsyncFunction]", boolTag2 = "[object Boolean]", dateTag2 = "[object Date]", errorTag2 = "[object Error]", funcTag2 = "[object Function]", genTag2 = "[object GeneratorFunction]", mapTag2 = "[object Map]", numberTag2 = "[object Number]", nullTag2 = "[object Null]", objectTag2 = "[object Object]", promiseTag2 = "[object Promise]", proxyTag2 = "[object Proxy]", regexpTag2 = "[object RegExp]", setTag2 = "[object Set]", stringTag2 = "[object String]", symbolTag2 = "[object Symbol]", undefinedTag2 = "[object Undefined]", weakMapTag2 = "[object WeakMap]";
  var arrayBufferTag2 = "[object ArrayBuffer]", dataViewTag2 = "[object DataView]", float32Tag2 = "[object Float32Array]", float64Tag2 = "[object Float64Array]", int8Tag2 = "[object Int8Array]", int16Tag2 = "[object Int16Array]", int32Tag2 = "[object Int32Array]", uint8Tag2 = "[object Uint8Array]", uint8ClampedTag2 = "[object Uint8ClampedArray]", uint16Tag2 = "[object Uint16Array]", uint32Tag2 = "[object Uint32Array]";
  var reRegExpChar2 = /[\\^$.*+?()[\]{}|]/g;
  var reIsHostCtor2 = /^\[object .+?Constructor\]$/;
  var reIsUint2 = /^(?:0|[1-9]\d*)$/;
  var typedArrayTags2 = {};
  typedArrayTags2[float32Tag2] = typedArrayTags2[float64Tag2] = typedArrayTags2[int8Tag2] = typedArrayTags2[int16Tag2] = typedArrayTags2[int32Tag2] = typedArrayTags2[uint8Tag2] = typedArrayTags2[uint8ClampedTag2] = typedArrayTags2[uint16Tag2] = typedArrayTags2[uint32Tag2] = true;
  typedArrayTags2[argsTag2] = typedArrayTags2[arrayTag2] = typedArrayTags2[arrayBufferTag2] = typedArrayTags2[boolTag2] = typedArrayTags2[dataViewTag2] = typedArrayTags2[dateTag2] = typedArrayTags2[errorTag2] = typedArrayTags2[funcTag2] = typedArrayTags2[mapTag2] = typedArrayTags2[numberTag2] = typedArrayTags2[objectTag2] = typedArrayTags2[regexpTag2] = typedArrayTags2[setTag2] = typedArrayTags2[stringTag2] = typedArrayTags2[weakMapTag2] = false;
  var freeGlobal2 = typeof commonjsGlobal == "object" && commonjsGlobal && commonjsGlobal.Object === Object && commonjsGlobal;
  var freeSelf2 = typeof self == "object" && self && self.Object === Object && self;
  var root2 = freeGlobal2 || freeSelf2 || Function("return this")();
  var freeExports = exports && !exports.nodeType && exports;
  var freeModule = freeExports && true && module2 && !module2.nodeType && module2;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var freeProcess = moduleExports && freeGlobal2.process;
  var nodeUtil2 = function() {
    try {
      return freeProcess && freeProcess.binding && freeProcess.binding("util");
    } catch (e2) {
    }
  }();
  var nodeIsTypedArray2 = nodeUtil2 && nodeUtil2.isTypedArray;
  function arrayFilter2(array, predicate) {
    var index2 = -1, length = array == null ? 0 : array.length, resIndex = 0, result = [];
    while (++index2 < length) {
      var value = array[index2];
      if (predicate(value, index2, array)) {
        result[resIndex++] = value;
      }
    }
    return result;
  }
  function arrayPush2(array, values2) {
    var index2 = -1, length = values2.length, offset5 = array.length;
    while (++index2 < length) {
      array[offset5 + index2] = values2[index2];
    }
    return array;
  }
  function arraySome2(array, predicate) {
    var index2 = -1, length = array == null ? 0 : array.length;
    while (++index2 < length) {
      if (predicate(array[index2], index2, array)) {
        return true;
      }
    }
    return false;
  }
  function baseTimes2(n2, iteratee) {
    var index2 = -1, result = Array(n2);
    while (++index2 < n2) {
      result[index2] = iteratee(index2);
    }
    return result;
  }
  function baseUnary2(func) {
    return function(value) {
      return func(value);
    };
  }
  function cacheHas2(cache2, key) {
    return cache2.has(key);
  }
  function getValue2(object, key) {
    return object == null ? void 0 : object[key];
  }
  function mapToArray2(map) {
    var index2 = -1, result = Array(map.size);
    map.forEach(function(value, key) {
      result[++index2] = [key, value];
    });
    return result;
  }
  function overArg2(func, transform2) {
    return function(arg) {
      return func(transform2(arg));
    };
  }
  function setToArray2(set2) {
    var index2 = -1, result = Array(set2.size);
    set2.forEach(function(value) {
      result[++index2] = value;
    });
    return result;
  }
  var arrayProto2 = Array.prototype, funcProto2 = Function.prototype, objectProto2 = Object.prototype;
  var coreJsData2 = root2["__core-js_shared__"];
  var funcToString2 = funcProto2.toString;
  var hasOwnProperty2 = objectProto2.hasOwnProperty;
  var maskSrcKey2 = function() {
    var uid = /[^.]+$/.exec(coreJsData2 && coreJsData2.keys && coreJsData2.keys.IE_PROTO || "");
    return uid ? "Symbol(src)_1." + uid : "";
  }();
  var nativeObjectToString2 = objectProto2.toString;
  var reIsNative2 = RegExp("^" + funcToString2.call(hasOwnProperty2).replace(reRegExpChar2, "\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g, "$1.*?") + "$");
  var Buffer = moduleExports ? root2.Buffer : void 0, Symbol2 = root2.Symbol, Uint8Array2 = root2.Uint8Array, propertyIsEnumerable2 = objectProto2.propertyIsEnumerable, splice2 = arrayProto2.splice, symToStringTag2 = Symbol2 ? Symbol2.toStringTag : void 0;
  var nativeGetSymbols2 = Object.getOwnPropertySymbols, nativeIsBuffer = Buffer ? Buffer.isBuffer : void 0, nativeKeys2 = overArg2(Object.keys, Object);
  var DataView2 = getNative2(root2, "DataView"), Map2 = getNative2(root2, "Map"), Promise2 = getNative2(root2, "Promise"), Set2 = getNative2(root2, "Set"), WeakMap2 = getNative2(root2, "WeakMap"), nativeCreate2 = getNative2(Object, "create");
  var dataViewCtorString2 = toSource2(DataView2), mapCtorString2 = toSource2(Map2), promiseCtorString2 = toSource2(Promise2), setCtorString2 = toSource2(Set2), weakMapCtorString2 = toSource2(WeakMap2);
  var symbolProto2 = Symbol2 ? Symbol2.prototype : void 0, symbolValueOf2 = symbolProto2 ? symbolProto2.valueOf : void 0;
  function Hash2(entries) {
    var index2 = -1, length = entries == null ? 0 : entries.length;
    this.clear();
    while (++index2 < length) {
      var entry = entries[index2];
      this.set(entry[0], entry[1]);
    }
  }
  function hashClear2() {
    this.__data__ = nativeCreate2 ? nativeCreate2(null) : {};
    this.size = 0;
  }
  function hashDelete2(key) {
    var result = this.has(key) && delete this.__data__[key];
    this.size -= result ? 1 : 0;
    return result;
  }
  function hashGet2(key) {
    var data2 = this.__data__;
    if (nativeCreate2) {
      var result = data2[key];
      return result === HASH_UNDEFINED2 ? void 0 : result;
    }
    return hasOwnProperty2.call(data2, key) ? data2[key] : void 0;
  }
  function hashHas2(key) {
    var data2 = this.__data__;
    return nativeCreate2 ? data2[key] !== void 0 : hasOwnProperty2.call(data2, key);
  }
  function hashSet2(key, value) {
    var data2 = this.__data__;
    this.size += this.has(key) ? 0 : 1;
    data2[key] = nativeCreate2 && value === void 0 ? HASH_UNDEFINED2 : value;
    return this;
  }
  Hash2.prototype.clear = hashClear2;
  Hash2.prototype["delete"] = hashDelete2;
  Hash2.prototype.get = hashGet2;
  Hash2.prototype.has = hashHas2;
  Hash2.prototype.set = hashSet2;
  function ListCache2(entries) {
    var index2 = -1, length = entries == null ? 0 : entries.length;
    this.clear();
    while (++index2 < length) {
      var entry = entries[index2];
      this.set(entry[0], entry[1]);
    }
  }
  function listCacheClear2() {
    this.__data__ = [];
    this.size = 0;
  }
  function listCacheDelete2(key) {
    var data2 = this.__data__, index2 = assocIndexOf2(data2, key);
    if (index2 < 0) {
      return false;
    }
    var lastIndex = data2.length - 1;
    if (index2 == lastIndex) {
      data2.pop();
    } else {
      splice2.call(data2, index2, 1);
    }
    --this.size;
    return true;
  }
  function listCacheGet2(key) {
    var data2 = this.__data__, index2 = assocIndexOf2(data2, key);
    return index2 < 0 ? void 0 : data2[index2][1];
  }
  function listCacheHas2(key) {
    return assocIndexOf2(this.__data__, key) > -1;
  }
  function listCacheSet2(key, value) {
    var data2 = this.__data__, index2 = assocIndexOf2(data2, key);
    if (index2 < 0) {
      ++this.size;
      data2.push([key, value]);
    } else {
      data2[index2][1] = value;
    }
    return this;
  }
  ListCache2.prototype.clear = listCacheClear2;
  ListCache2.prototype["delete"] = listCacheDelete2;
  ListCache2.prototype.get = listCacheGet2;
  ListCache2.prototype.has = listCacheHas2;
  ListCache2.prototype.set = listCacheSet2;
  function MapCache2(entries) {
    var index2 = -1, length = entries == null ? 0 : entries.length;
    this.clear();
    while (++index2 < length) {
      var entry = entries[index2];
      this.set(entry[0], entry[1]);
    }
  }
  function mapCacheClear2() {
    this.size = 0;
    this.__data__ = {
      "hash": new Hash2(),
      "map": new (Map2 || ListCache2)(),
      "string": new Hash2()
    };
  }
  function mapCacheDelete2(key) {
    var result = getMapData2(this, key)["delete"](key);
    this.size -= result ? 1 : 0;
    return result;
  }
  function mapCacheGet2(key) {
    return getMapData2(this, key).get(key);
  }
  function mapCacheHas2(key) {
    return getMapData2(this, key).has(key);
  }
  function mapCacheSet2(key, value) {
    var data2 = getMapData2(this, key), size = data2.size;
    data2.set(key, value);
    this.size += data2.size == size ? 0 : 1;
    return this;
  }
  MapCache2.prototype.clear = mapCacheClear2;
  MapCache2.prototype["delete"] = mapCacheDelete2;
  MapCache2.prototype.get = mapCacheGet2;
  MapCache2.prototype.has = mapCacheHas2;
  MapCache2.prototype.set = mapCacheSet2;
  function SetCache2(values2) {
    var index2 = -1, length = values2 == null ? 0 : values2.length;
    this.__data__ = new MapCache2();
    while (++index2 < length) {
      this.add(values2[index2]);
    }
  }
  function setCacheAdd2(value) {
    this.__data__.set(value, HASH_UNDEFINED2);
    return this;
  }
  function setCacheHas2(value) {
    return this.__data__.has(value);
  }
  SetCache2.prototype.add = SetCache2.prototype.push = setCacheAdd2;
  SetCache2.prototype.has = setCacheHas2;
  function Stack2(entries) {
    var data2 = this.__data__ = new ListCache2(entries);
    this.size = data2.size;
  }
  function stackClear2() {
    this.__data__ = new ListCache2();
    this.size = 0;
  }
  function stackDelete2(key) {
    var data2 = this.__data__, result = data2["delete"](key);
    this.size = data2.size;
    return result;
  }
  function stackGet2(key) {
    return this.__data__.get(key);
  }
  function stackHas2(key) {
    return this.__data__.has(key);
  }
  function stackSet2(key, value) {
    var data2 = this.__data__;
    if (data2 instanceof ListCache2) {
      var pairs = data2.__data__;
      if (!Map2 || pairs.length < LARGE_ARRAY_SIZE2 - 1) {
        pairs.push([key, value]);
        this.size = ++data2.size;
        return this;
      }
      data2 = this.__data__ = new MapCache2(pairs);
    }
    data2.set(key, value);
    this.size = data2.size;
    return this;
  }
  Stack2.prototype.clear = stackClear2;
  Stack2.prototype["delete"] = stackDelete2;
  Stack2.prototype.get = stackGet2;
  Stack2.prototype.has = stackHas2;
  Stack2.prototype.set = stackSet2;
  function arrayLikeKeys2(value, inherited) {
    var isArr = isArray2(value), isArg = !isArr && isArguments2(value), isBuff = !isArr && !isArg && isBuffer2(value), isType = !isArr && !isArg && !isBuff && isTypedArray2(value), skipIndexes = isArr || isArg || isBuff || isType, result = skipIndexes ? baseTimes2(value.length, String) : [], length = result.length;
    for (var key in value) {
      if ((inherited || hasOwnProperty2.call(value, key)) && !(skipIndexes && (key == "length" || isBuff && (key == "offset" || key == "parent") || isType && (key == "buffer" || key == "byteLength" || key == "byteOffset") || isIndex2(key, length)))) {
        result.push(key);
      }
    }
    return result;
  }
  function assocIndexOf2(array, key) {
    var length = array.length;
    while (length--) {
      if (eq2(array[length][0], key)) {
        return length;
      }
    }
    return -1;
  }
  function baseGetAllKeys2(object, keysFunc, symbolsFunc) {
    var result = keysFunc(object);
    return isArray2(object) ? result : arrayPush2(result, symbolsFunc(object));
  }
  function baseGetTag2(value) {
    if (value == null) {
      return value === void 0 ? undefinedTag2 : nullTag2;
    }
    return symToStringTag2 && symToStringTag2 in Object(value) ? getRawTag2(value) : objectToString2(value);
  }
  function baseIsArguments2(value) {
    return isObjectLike2(value) && baseGetTag2(value) == argsTag2;
  }
  function baseIsEqual2(value, other, bitmask, customizer, stack) {
    if (value === other) {
      return true;
    }
    if (value == null || other == null || !isObjectLike2(value) && !isObjectLike2(other)) {
      return value !== value && other !== other;
    }
    return baseIsEqualDeep2(value, other, bitmask, customizer, baseIsEqual2, stack);
  }
  function baseIsEqualDeep2(object, other, bitmask, customizer, equalFunc, stack) {
    var objIsArr = isArray2(object), othIsArr = isArray2(other), objTag = objIsArr ? arrayTag2 : getTag2(object), othTag = othIsArr ? arrayTag2 : getTag2(other);
    objTag = objTag == argsTag2 ? objectTag2 : objTag;
    othTag = othTag == argsTag2 ? objectTag2 : othTag;
    var objIsObj = objTag == objectTag2, othIsObj = othTag == objectTag2, isSameTag = objTag == othTag;
    if (isSameTag && isBuffer2(object)) {
      if (!isBuffer2(other)) {
        return false;
      }
      objIsArr = true;
      objIsObj = false;
    }
    if (isSameTag && !objIsObj) {
      stack || (stack = new Stack2());
      return objIsArr || isTypedArray2(object) ? equalArrays2(object, other, bitmask, customizer, equalFunc, stack) : equalByTag2(object, other, objTag, bitmask, customizer, equalFunc, stack);
    }
    if (!(bitmask & COMPARE_PARTIAL_FLAG2)) {
      var objIsWrapped = objIsObj && hasOwnProperty2.call(object, "__wrapped__"), othIsWrapped = othIsObj && hasOwnProperty2.call(other, "__wrapped__");
      if (objIsWrapped || othIsWrapped) {
        var objUnwrapped = objIsWrapped ? object.value() : object, othUnwrapped = othIsWrapped ? other.value() : other;
        stack || (stack = new Stack2());
        return equalFunc(objUnwrapped, othUnwrapped, bitmask, customizer, stack);
      }
    }
    if (!isSameTag) {
      return false;
    }
    stack || (stack = new Stack2());
    return equalObjects2(object, other, bitmask, customizer, equalFunc, stack);
  }
  function baseIsNative2(value) {
    if (!isObject2(value) || isMasked2(value)) {
      return false;
    }
    var pattern2 = isFunction2(value) ? reIsNative2 : reIsHostCtor2;
    return pattern2.test(toSource2(value));
  }
  function baseIsTypedArray2(value) {
    return isObjectLike2(value) && isLength2(value.length) && !!typedArrayTags2[baseGetTag2(value)];
  }
  function baseKeys2(object) {
    if (!isPrototype2(object)) {
      return nativeKeys2(object);
    }
    var result = [];
    for (var key in Object(object)) {
      if (hasOwnProperty2.call(object, key) && key != "constructor") {
        result.push(key);
      }
    }
    return result;
  }
  function equalArrays2(array, other, bitmask, customizer, equalFunc, stack) {
    var isPartial = bitmask & COMPARE_PARTIAL_FLAG2, arrLength = array.length, othLength = other.length;
    if (arrLength != othLength && !(isPartial && othLength > arrLength)) {
      return false;
    }
    var stacked = stack.get(array);
    if (stacked && stack.get(other)) {
      return stacked == other;
    }
    var index2 = -1, result = true, seen = bitmask & COMPARE_UNORDERED_FLAG2 ? new SetCache2() : void 0;
    stack.set(array, other);
    stack.set(other, array);
    while (++index2 < arrLength) {
      var arrValue = array[index2], othValue = other[index2];
      if (customizer) {
        var compared = isPartial ? customizer(othValue, arrValue, index2, other, array, stack) : customizer(arrValue, othValue, index2, array, other, stack);
      }
      if (compared !== void 0) {
        if (compared) {
          continue;
        }
        result = false;
        break;
      }
      if (seen) {
        if (!arraySome2(other, function(othValue2, othIndex) {
          if (!cacheHas2(seen, othIndex) && (arrValue === othValue2 || equalFunc(arrValue, othValue2, bitmask, customizer, stack))) {
            return seen.push(othIndex);
          }
        })) {
          result = false;
          break;
        }
      } else if (!(arrValue === othValue || equalFunc(arrValue, othValue, bitmask, customizer, stack))) {
        result = false;
        break;
      }
    }
    stack["delete"](array);
    stack["delete"](other);
    return result;
  }
  function equalByTag2(object, other, tag, bitmask, customizer, equalFunc, stack) {
    switch (tag) {
      case dataViewTag2:
        if (object.byteLength != other.byteLength || object.byteOffset != other.byteOffset) {
          return false;
        }
        object = object.buffer;
        other = other.buffer;
      case arrayBufferTag2:
        if (object.byteLength != other.byteLength || !equalFunc(new Uint8Array2(object), new Uint8Array2(other))) {
          return false;
        }
        return true;
      case boolTag2:
      case dateTag2:
      case numberTag2:
        return eq2(+object, +other);
      case errorTag2:
        return object.name == other.name && object.message == other.message;
      case regexpTag2:
      case stringTag2:
        return object == other + "";
      case mapTag2:
        var convert = mapToArray2;
      case setTag2:
        var isPartial = bitmask & COMPARE_PARTIAL_FLAG2;
        convert || (convert = setToArray2);
        if (object.size != other.size && !isPartial) {
          return false;
        }
        var stacked = stack.get(object);
        if (stacked) {
          return stacked == other;
        }
        bitmask |= COMPARE_UNORDERED_FLAG2;
        stack.set(object, other);
        var result = equalArrays2(convert(object), convert(other), bitmask, customizer, equalFunc, stack);
        stack["delete"](object);
        return result;
      case symbolTag2:
        if (symbolValueOf2) {
          return symbolValueOf2.call(object) == symbolValueOf2.call(other);
        }
    }
    return false;
  }
  function equalObjects2(object, other, bitmask, customizer, equalFunc, stack) {
    var isPartial = bitmask & COMPARE_PARTIAL_FLAG2, objProps = getAllKeys2(object), objLength = objProps.length, othProps = getAllKeys2(other), othLength = othProps.length;
    if (objLength != othLength && !isPartial) {
      return false;
    }
    var index2 = objLength;
    while (index2--) {
      var key = objProps[index2];
      if (!(isPartial ? key in other : hasOwnProperty2.call(other, key))) {
        return false;
      }
    }
    var stacked = stack.get(object);
    if (stacked && stack.get(other)) {
      return stacked == other;
    }
    var result = true;
    stack.set(object, other);
    stack.set(other, object);
    var skipCtor = isPartial;
    while (++index2 < objLength) {
      key = objProps[index2];
      var objValue = object[key], othValue = other[key];
      if (customizer) {
        var compared = isPartial ? customizer(othValue, objValue, key, other, object, stack) : customizer(objValue, othValue, key, object, other, stack);
      }
      if (!(compared === void 0 ? objValue === othValue || equalFunc(objValue, othValue, bitmask, customizer, stack) : compared)) {
        result = false;
        break;
      }
      skipCtor || (skipCtor = key == "constructor");
    }
    if (result && !skipCtor) {
      var objCtor = object.constructor, othCtor = other.constructor;
      if (objCtor != othCtor && ("constructor" in object && "constructor" in other) && !(typeof objCtor == "function" && objCtor instanceof objCtor && typeof othCtor == "function" && othCtor instanceof othCtor)) {
        result = false;
      }
    }
    stack["delete"](object);
    stack["delete"](other);
    return result;
  }
  function getAllKeys2(object) {
    return baseGetAllKeys2(object, keys2, getSymbols2);
  }
  function getMapData2(map, key) {
    var data2 = map.__data__;
    return isKeyable2(key) ? data2[typeof key == "string" ? "string" : "hash"] : data2.map;
  }
  function getNative2(object, key) {
    var value = getValue2(object, key);
    return baseIsNative2(value) ? value : void 0;
  }
  function getRawTag2(value) {
    var isOwn = hasOwnProperty2.call(value, symToStringTag2), tag = value[symToStringTag2];
    try {
      value[symToStringTag2] = void 0;
      var unmasked = true;
    } catch (e2) {
    }
    var result = nativeObjectToString2.call(value);
    if (unmasked) {
      if (isOwn) {
        value[symToStringTag2] = tag;
      } else {
        delete value[symToStringTag2];
      }
    }
    return result;
  }
  var getSymbols2 = !nativeGetSymbols2 ? stubArray2 : function(object) {
    if (object == null) {
      return [];
    }
    object = Object(object);
    return arrayFilter2(nativeGetSymbols2(object), function(symbol) {
      return propertyIsEnumerable2.call(object, symbol);
    });
  };
  var getTag2 = baseGetTag2;
  if (DataView2 && getTag2(new DataView2(new ArrayBuffer(1))) != dataViewTag2 || Map2 && getTag2(new Map2()) != mapTag2 || Promise2 && getTag2(Promise2.resolve()) != promiseTag2 || Set2 && getTag2(new Set2()) != setTag2 || WeakMap2 && getTag2(new WeakMap2()) != weakMapTag2) {
    getTag2 = function(value) {
      var result = baseGetTag2(value), Ctor = result == objectTag2 ? value.constructor : void 0, ctorString = Ctor ? toSource2(Ctor) : "";
      if (ctorString) {
        switch (ctorString) {
          case dataViewCtorString2:
            return dataViewTag2;
          case mapCtorString2:
            return mapTag2;
          case promiseCtorString2:
            return promiseTag2;
          case setCtorString2:
            return setTag2;
          case weakMapCtorString2:
            return weakMapTag2;
        }
      }
      return result;
    };
  }
  function isIndex2(value, length) {
    length = length == null ? MAX_SAFE_INTEGER2 : length;
    return !!length && (typeof value == "number" || reIsUint2.test(value)) && (value > -1 && value % 1 == 0 && value < length);
  }
  function isKeyable2(value) {
    var type3 = typeof value;
    return type3 == "string" || type3 == "number" || type3 == "symbol" || type3 == "boolean" ? value !== "__proto__" : value === null;
  }
  function isMasked2(func) {
    return !!maskSrcKey2 && maskSrcKey2 in func;
  }
  function isPrototype2(value) {
    var Ctor = value && value.constructor, proto = typeof Ctor == "function" && Ctor.prototype || objectProto2;
    return value === proto;
  }
  function objectToString2(value) {
    return nativeObjectToString2.call(value);
  }
  function toSource2(func) {
    if (func != null) {
      try {
        return funcToString2.call(func);
      } catch (e2) {
      }
      try {
        return func + "";
      } catch (e2) {
      }
    }
    return "";
  }
  function eq2(value, other) {
    return value === other || value !== value && other !== other;
  }
  var isArguments2 = baseIsArguments2(function() {
    return arguments;
  }()) ? baseIsArguments2 : function(value) {
    return isObjectLike2(value) && hasOwnProperty2.call(value, "callee") && !propertyIsEnumerable2.call(value, "callee");
  };
  var isArray2 = Array.isArray;
  function isArrayLike2(value) {
    return value != null && isLength2(value.length) && !isFunction2(value);
  }
  var isBuffer2 = nativeIsBuffer || stubFalse2;
  function isEqual2(value, other) {
    return baseIsEqual2(value, other);
  }
  function isFunction2(value) {
    if (!isObject2(value)) {
      return false;
    }
    var tag = baseGetTag2(value);
    return tag == funcTag2 || tag == genTag2 || tag == asyncTag2 || tag == proxyTag2;
  }
  function isLength2(value) {
    return typeof value == "number" && value > -1 && value % 1 == 0 && value <= MAX_SAFE_INTEGER2;
  }
  function isObject2(value) {
    var type3 = typeof value;
    return value != null && (type3 == "object" || type3 == "function");
  }
  function isObjectLike2(value) {
    return value != null && typeof value == "object";
  }
  var isTypedArray2 = nodeIsTypedArray2 ? baseUnary2(nodeIsTypedArray2) : baseIsTypedArray2;
  function keys2(object) {
    return isArrayLike2(object) ? arrayLikeKeys2(object) : baseKeys2(object);
  }
  function stubArray2() {
    return [];
  }
  function stubFalse2() {
    return false;
  }
  module2.exports = isEqual2;
})(lodash_isequal, lodash_isequal.exports);
var classnames = { exports: {} };
/*!
  Copyright (c) 2017 Jed Watson.
  Licensed under the MIT License (MIT), see
  http://jedwatson.github.io/classnames
*/
(function(module2) {
  (function() {
    var hasOwn = {}.hasOwnProperty;
    function classNames() {
      var classes = [];
      for (var i = 0; i < arguments.length; i++) {
        var arg = arguments[i];
        if (!arg)
          continue;
        var argType = typeof arg;
        if (argType === "string" || argType === "number") {
          classes.push(arg);
        } else if (Array.isArray(arg) && arg.length) {
          var inner2 = classNames.apply(null, arg);
          if (inner2) {
            classes.push(inner2);
          }
        } else if (argType === "object") {
          for (var key in arg) {
            if (hasOwn.call(arg, key) && arg[key]) {
              classes.push(key);
            }
          }
        }
      }
      return classes.join(" ");
    }
    if (module2.exports) {
      classNames.default = classNames;
      module2.exports = classNames;
    } else {
      window.classNames = classNames;
    }
  })();
})(classnames);
var utils$1 = {};
var fastRGLPropsEqual$1 = function fastRGLPropsEqual(a, b2, isEqualImpl) {
  if (a === b2)
    return true;
  return a.className === b2.className && isEqualImpl(a.style, b2.style) && a.width === b2.width && a.autoSize === b2.autoSize && a.cols === b2.cols && a.draggableCancel === b2.draggableCancel && a.draggableHandle === b2.draggableHandle && isEqualImpl(a.verticalCompact, b2.verticalCompact) && isEqualImpl(a.compactType, b2.compactType) && isEqualImpl(a.layout, b2.layout) && isEqualImpl(a.margin, b2.margin) && isEqualImpl(a.containerPadding, b2.containerPadding) && a.rowHeight === b2.rowHeight && a.maxRows === b2.maxRows && a.isBounded === b2.isBounded && a.isDraggable === b2.isDraggable && a.isResizable === b2.isResizable && a.preventCollision === b2.preventCollision && a.useCSSTransforms === b2.useCSSTransforms && a.transformScale === b2.transformScale && a.isDroppable === b2.isDroppable && isEqualImpl(a.resizeHandles, b2.resizeHandles) && a.onLayoutChange === b2.onLayoutChange && a.onDragStart === b2.onDragStart && a.onDrag === b2.onDrag && a.onDragStop === b2.onDragStop && a.onResizeStart === b2.onResizeStart && a.onResize === b2.onResize && a.onResizeStop === b2.onResizeStop && a.onDrop === b2.onDrop && isEqualImpl(a.droppingItem, b2.droppingItem) && isEqualImpl(a.innerRef, b2.innerRef);
};
Object.defineProperty(utils$1, "__esModule", {
  value: true
});
utils$1.bottom = bottom;
utils$1.cloneLayout = cloneLayout;
utils$1.cloneLayoutItem = cloneLayoutItem;
utils$1.childrenEqual = childrenEqual;
utils$1.fastPositionEqual = fastPositionEqual;
utils$1.collides = collides;
utils$1.compact = compact;
utils$1.compactItem = compactItem;
utils$1.correctBounds = correctBounds;
utils$1.getLayoutItem = getLayoutItem;
utils$1.getFirstCollision = getFirstCollision;
utils$1.getAllCollisions = getAllCollisions;
utils$1.getStatics = getStatics;
utils$1.moveElement = moveElement;
utils$1.moveElementAwayFromCollision = moveElementAwayFromCollision;
utils$1.perc = perc;
utils$1.setTransform = setTransform;
utils$1.setTopLeft = setTopLeft;
utils$1.sortLayoutItems = sortLayoutItems;
utils$1.sortLayoutItemsByRowCol = sortLayoutItemsByRowCol;
utils$1.sortLayoutItemsByColRow = sortLayoutItemsByColRow;
utils$1.synchronizeLayoutWithChildren = synchronizeLayoutWithChildren;
utils$1.validateLayout = validateLayout;
utils$1.compactType = compactType;
utils$1.autoBindHandlers = autoBindHandlers;
utils$1.noop = utils$1.fastRGLPropsEqual = void 0;
var _lodash$2 = _interopRequireDefault$9(lodash_isequal.exports);
var _react$6 = _interopRequireDefault$9(React__default);
function _interopRequireDefault$9(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
function ownKeys$6(object, enumerableOnly) {
  var keys2 = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly)
      symbols = symbols.filter(function(sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      });
    keys2.push.apply(keys2, symbols);
  }
  return keys2;
}
function _objectSpread$6(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};
    if (i % 2) {
      ownKeys$6(Object(source), true).forEach(function(key) {
        _defineProperty$a(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys$6(Object(source)).forEach(function(key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }
  return target;
}
function _defineProperty$a(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
function bottom(layout2) {
  var max = 0, bottomY;
  for (var i = 0, len = layout2.length; i < len; i++) {
    bottomY = layout2[i].y + layout2[i].h;
    if (bottomY > max)
      max = bottomY;
  }
  return max;
}
function cloneLayout(layout2) {
  var newLayout = Array(layout2.length);
  for (var i = 0, len = layout2.length; i < len; i++) {
    newLayout[i] = cloneLayoutItem(layout2[i]);
  }
  return newLayout;
}
function cloneLayoutItem(layoutItem) {
  return {
    w: layoutItem.w,
    h: layoutItem.h,
    x: layoutItem.x,
    y: layoutItem.y,
    i: layoutItem.i,
    minW: layoutItem.minW,
    maxW: layoutItem.maxW,
    minH: layoutItem.minH,
    maxH: layoutItem.maxH,
    moved: Boolean(layoutItem.moved),
    static: Boolean(layoutItem.static),
    isDraggable: layoutItem.isDraggable,
    isResizable: layoutItem.isResizable,
    resizeHandles: layoutItem.resizeHandles,
    isBounded: layoutItem.isBounded
  };
}
function childrenEqual(a, b2) {
  return (0, _lodash$2.default)(_react$6.default.Children.map(a, function(c2) {
    return c2.key;
  }), _react$6.default.Children.map(b2, function(c2) {
    return c2.key;
  }));
}
var fastRGLPropsEqual2 = fastRGLPropsEqual$1;
utils$1.fastRGLPropsEqual = fastRGLPropsEqual2;
function fastPositionEqual(a, b2) {
  return a.left === b2.left && a.top === b2.top && a.width === b2.width && a.height === b2.height;
}
function collides(l1, l2) {
  if (l1.i === l2.i)
    return false;
  if (l1.x + l1.w <= l2.x)
    return false;
  if (l1.x >= l2.x + l2.w)
    return false;
  if (l1.y + l1.h <= l2.y)
    return false;
  if (l1.y >= l2.y + l2.h)
    return false;
  return true;
}
function compact(layout2, compactType2, cols) {
  var compareWith = getStatics(layout2);
  var sorted = sortLayoutItems(layout2, compactType2);
  var out = Array(layout2.length);
  for (var i = 0, len = sorted.length; i < len; i++) {
    var l2 = cloneLayoutItem(sorted[i]);
    if (!l2.static) {
      l2 = compactItem(compareWith, l2, compactType2, cols, sorted);
      compareWith.push(l2);
    }
    out[layout2.indexOf(sorted[i])] = l2;
    l2.moved = false;
  }
  return out;
}
var heightWidth = {
  x: "w",
  y: "h"
};
function resolveCompactionCollision(layout2, item, moveToCoord, axis) {
  var sizeProp = heightWidth[axis];
  item[axis] += 1;
  var itemIndex = layout2.map(function(layoutItem) {
    return layoutItem.i;
  }).indexOf(item.i);
  for (var i = itemIndex + 1; i < layout2.length; i++) {
    var otherItem = layout2[i];
    if (otherItem.static)
      continue;
    if (otherItem.y > item.y + item.h)
      break;
    if (collides(item, otherItem)) {
      resolveCompactionCollision(layout2, otherItem, moveToCoord + item[sizeProp], axis);
    }
  }
  item[axis] = moveToCoord;
}
function compactItem(compareWith, l2, compactType2, cols, fullLayout) {
  var compactV = compactType2 === "vertical";
  var compactH = compactType2 === "horizontal";
  if (compactV) {
    l2.y = Math.min(bottom(compareWith), l2.y);
    while (l2.y > 0 && !getFirstCollision(compareWith, l2)) {
      l2.y--;
    }
  } else if (compactH) {
    l2.y = Math.min(bottom(compareWith), l2.y);
    while (l2.x > 0 && !getFirstCollision(compareWith, l2)) {
      l2.x--;
    }
  }
  var collides2;
  while (collides2 = getFirstCollision(compareWith, l2)) {
    if (compactH) {
      resolveCompactionCollision(fullLayout, l2, collides2.x + collides2.w, "x");
    } else {
      resolveCompactionCollision(fullLayout, l2, collides2.y + collides2.h, "y");
    }
    if (compactH && l2.x + l2.w > cols) {
      l2.x = cols - l2.w;
      l2.y++;
    }
  }
  return l2;
}
function correctBounds(layout2, bounds) {
  var collidesWith = getStatics(layout2);
  for (var i = 0, len = layout2.length; i < len; i++) {
    var l2 = layout2[i];
    if (l2.x + l2.w > bounds.cols)
      l2.x = bounds.cols - l2.w;
    if (l2.x < 0) {
      l2.x = 0;
      l2.w = bounds.cols;
    }
    if (!l2.static)
      collidesWith.push(l2);
    else {
      while (getFirstCollision(collidesWith, l2)) {
        l2.y++;
      }
    }
  }
  return layout2;
}
function getLayoutItem(layout2, id) {
  for (var i = 0, len = layout2.length; i < len; i++) {
    if (layout2[i].i === id)
      return layout2[i];
  }
}
function getFirstCollision(layout2, layoutItem) {
  for (var i = 0, len = layout2.length; i < len; i++) {
    if (collides(layout2[i], layoutItem))
      return layout2[i];
  }
}
function getAllCollisions(layout2, layoutItem) {
  return layout2.filter(function(l2) {
    return collides(l2, layoutItem);
  });
}
function getStatics(layout2) {
  return layout2.filter(function(l2) {
    return l2.static;
  });
}
function moveElement(layout2, l2, x2, y2, isUserAction, preventCollision, compactType2, cols) {
  if (l2.static && l2.isDraggable !== true)
    return layout2;
  if (l2.y === y2 && l2.x === x2)
    return layout2;
  log$2("Moving element ".concat(l2.i, " to [").concat(String(x2), ",").concat(String(y2), "] from [").concat(l2.x, ",").concat(l2.y, "]"));
  var oldX = l2.x;
  var oldY = l2.y;
  if (typeof x2 === "number")
    l2.x = x2;
  if (typeof y2 === "number")
    l2.y = y2;
  l2.moved = true;
  var sorted = sortLayoutItems(layout2, compactType2);
  var movingUp = compactType2 === "vertical" && typeof y2 === "number" ? oldY >= y2 : compactType2 === "horizontal" && typeof x2 === "number" ? oldX >= x2 : false;
  if (movingUp)
    sorted = sorted.reverse();
  var collisions = getAllCollisions(sorted, l2);
  if (preventCollision && collisions.length) {
    log$2("Collision prevented on ".concat(l2.i, ", reverting."));
    l2.x = oldX;
    l2.y = oldY;
    l2.moved = false;
    return layout2;
  }
  for (var i = 0, len = collisions.length; i < len; i++) {
    var collision = collisions[i];
    log$2("Resolving collision between ".concat(l2.i, " at [").concat(l2.x, ",").concat(l2.y, "] and ").concat(collision.i, " at [").concat(collision.x, ",").concat(collision.y, "]"));
    if (collision.moved)
      continue;
    if (collision.static) {
      layout2 = moveElementAwayFromCollision(layout2, collision, l2, isUserAction, compactType2);
    } else {
      layout2 = moveElementAwayFromCollision(layout2, l2, collision, isUserAction, compactType2);
    }
  }
  return layout2;
}
function moveElementAwayFromCollision(layout2, collidesWith, itemToMove, isUserAction, compactType2, cols) {
  var compactH = compactType2 === "horizontal";
  var compactV = compactType2 !== "horizontal";
  var preventCollision = collidesWith.static;
  if (isUserAction) {
    isUserAction = false;
    var fakeItem = {
      x: compactH ? Math.max(collidesWith.x - itemToMove.w, 0) : itemToMove.x,
      y: compactV ? Math.max(collidesWith.y - itemToMove.h, 0) : itemToMove.y,
      w: itemToMove.w,
      h: itemToMove.h,
      i: "-1"
    };
    if (!getFirstCollision(layout2, fakeItem)) {
      log$2("Doing reverse collision on ".concat(itemToMove.i, " up to [").concat(fakeItem.x, ",").concat(fakeItem.y, "]."));
      return moveElement(layout2, itemToMove, compactH ? fakeItem.x : void 0, compactV ? fakeItem.y : void 0, isUserAction, preventCollision, compactType2);
    }
  }
  return moveElement(layout2, itemToMove, compactH ? itemToMove.x + 1 : void 0, compactV ? itemToMove.y + 1 : void 0, isUserAction, preventCollision, compactType2);
}
function perc(num) {
  return num * 100 + "%";
}
function setTransform(_ref) {
  var top = _ref.top, left = _ref.left, width = _ref.width, height = _ref.height;
  var translate = "translate(".concat(left, "px,").concat(top, "px)");
  return {
    transform: translate,
    WebkitTransform: translate,
    MozTransform: translate,
    msTransform: translate,
    OTransform: translate,
    width: "".concat(width, "px"),
    height: "".concat(height, "px"),
    position: "absolute"
  };
}
function setTopLeft(_ref2) {
  var top = _ref2.top, left = _ref2.left, width = _ref2.width, height = _ref2.height;
  return {
    top: "".concat(top, "px"),
    left: "".concat(left, "px"),
    width: "".concat(width, "px"),
    height: "".concat(height, "px"),
    position: "absolute"
  };
}
function sortLayoutItems(layout2, compactType2) {
  if (compactType2 === "horizontal")
    return sortLayoutItemsByColRow(layout2);
  else
    return sortLayoutItemsByRowCol(layout2);
}
function sortLayoutItemsByRowCol(layout2) {
  return layout2.slice(0).sort(function(a, b2) {
    if (a.y > b2.y || a.y === b2.y && a.x > b2.x) {
      return 1;
    } else if (a.y === b2.y && a.x === b2.x) {
      return 0;
    }
    return -1;
  });
}
function sortLayoutItemsByColRow(layout2) {
  return layout2.slice(0).sort(function(a, b2) {
    if (a.x > b2.x || a.x === b2.x && a.y > b2.y) {
      return 1;
    }
    return -1;
  });
}
function synchronizeLayoutWithChildren(initialLayout, children2, cols, compactType2) {
  initialLayout = initialLayout || [];
  var layout2 = [];
  _react$6.default.Children.forEach(children2, function(child, i) {
    var exists = getLayoutItem(initialLayout, String(child.key));
    if (exists) {
      layout2[i] = cloneLayoutItem(exists);
    } else {
      var g2 = child.props["data-grid"] || child.props._grid;
      if (g2) {
        layout2[i] = cloneLayoutItem(_objectSpread$6(_objectSpread$6({}, g2), {}, {
          i: child.key
        }));
      } else {
        layout2[i] = cloneLayoutItem({
          w: 1,
          h: 1,
          x: 0,
          y: bottom(layout2),
          i: String(child.key)
        });
      }
    }
  });
  var correctedLayout = correctBounds(layout2, {
    cols
  });
  return compact(correctedLayout, compactType2, cols);
}
function validateLayout(layout2) {
  var contextName = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : "Layout";
  var subProps = ["x", "y", "w", "h"];
  if (!Array.isArray(layout2))
    throw new Error(contextName + " must be an array!");
  for (var i = 0, len = layout2.length; i < len; i++) {
    var item = layout2[i];
    for (var j = 0; j < subProps.length; j++) {
      if (typeof item[subProps[j]] !== "number") {
        throw new Error("ReactGridLayout: " + contextName + "[" + i + "]." + subProps[j] + " must be a number!");
      }
    }
    if (item.i && typeof item.i !== "string") {
      throw new Error("ReactGridLayout: " + contextName + "[" + i + "].i must be a string!");
    }
    if (item.static !== void 0 && typeof item.static !== "boolean") {
      throw new Error("ReactGridLayout: " + contextName + "[" + i + "].static must be a boolean!");
    }
  }
}
function compactType(props) {
  var _ref3 = props || {}, verticalCompact2 = _ref3.verticalCompact, compactType2 = _ref3.compactType;
  return verticalCompact2 === false ? null : compactType2;
}
function autoBindHandlers(el2, fns) {
  fns.forEach(function(key) {
    return el2[key] = el2[key].bind(el2);
  });
}
function log$2() {
  return;
}
var noop = function noop2() {
};
utils$1.noop = noop;
var calculateUtils = {};
Object.defineProperty(calculateUtils, "__esModule", {
  value: true
});
calculateUtils.calcGridColWidth = calcGridColWidth;
calculateUtils.calcGridItemWHPx = calcGridItemWHPx;
calculateUtils.calcGridItemPosition = calcGridItemPosition;
calculateUtils.calcXY = calcXY;
calculateUtils.calcWH = calcWH;
calculateUtils.clamp = clamp;
function calcGridColWidth(positionParams) {
  var margin2 = positionParams.margin, containerPadding = positionParams.containerPadding, containerWidth = positionParams.containerWidth, cols = positionParams.cols;
  return (containerWidth - margin2[0] * (cols - 1) - containerPadding[0] * 2) / cols;
}
function calcGridItemWHPx(gridUnits, colOrRowSize, marginPx) {
  if (!Number.isFinite(gridUnits))
    return gridUnits;
  return Math.round(colOrRowSize * gridUnits + Math.max(0, gridUnits - 1) * marginPx);
}
function calcGridItemPosition(positionParams, x2, y2, w2, h2, state) {
  var margin2 = positionParams.margin, containerPadding = positionParams.containerPadding, rowHeight = positionParams.rowHeight;
  var colWidth = calcGridColWidth(positionParams);
  var out = {};
  if (state && state.resizing) {
    out.width = Math.round(state.resizing.width);
    out.height = Math.round(state.resizing.height);
  } else {
    out.width = calcGridItemWHPx(w2, colWidth, margin2[0]);
    out.height = calcGridItemWHPx(h2, rowHeight, margin2[1]);
  }
  if (state && state.dragging) {
    out.top = Math.round(state.dragging.top);
    out.left = Math.round(state.dragging.left);
  } else {
    out.top = Math.round((rowHeight + margin2[1]) * y2 + containerPadding[1]);
    out.left = Math.round((colWidth + margin2[0]) * x2 + containerPadding[0]);
  }
  return out;
}
function calcXY(positionParams, top, left, w2, h2) {
  var margin2 = positionParams.margin, cols = positionParams.cols, rowHeight = positionParams.rowHeight, maxRows = positionParams.maxRows;
  var colWidth = calcGridColWidth(positionParams);
  var x2 = Math.round((left - margin2[0]) / (colWidth + margin2[0]));
  var y2 = Math.round((top - margin2[1]) / (rowHeight + margin2[1]));
  x2 = clamp(x2, 0, cols - w2);
  y2 = clamp(y2, 0, maxRows - h2);
  return {
    x: x2,
    y: y2
  };
}
function calcWH(positionParams, width, height, x2, y2) {
  var margin2 = positionParams.margin, maxRows = positionParams.maxRows, cols = positionParams.cols, rowHeight = positionParams.rowHeight;
  var colWidth = calcGridColWidth(positionParams);
  var w2 = Math.round((width + margin2[0]) / (colWidth + margin2[0]));
  var h2 = Math.round((height + margin2[1]) / (rowHeight + margin2[1]));
  w2 = clamp(w2, 0, cols - x2);
  h2 = clamp(h2, 0, maxRows - y2);
  return {
    w: w2,
    h: h2
  };
}
function clamp(num, lowerBound, upperBound) {
  return Math.max(Math.min(num, upperBound), lowerBound);
}
var GridItem$1 = {};
var cjs = { exports: {} };
var Draggable$1 = {};
var domFns = {};
var shims = {};
Object.defineProperty(shims, "__esModule", {
  value: true
});
shims.findInArray = findInArray;
shims.isFunction = isFunction;
shims.isNum = isNum;
shims.int = int;
shims.dontSetMe = dontSetMe;
function findInArray(array, callback) {
  for (var i = 0, length = array.length; i < length; i++) {
    if (callback.apply(callback, [array[i], i, array]))
      return array[i];
  }
}
function isFunction(func) {
  return typeof func === "function" || Object.prototype.toString.call(func) === "[object Function]";
}
function isNum(num) {
  return typeof num === "number" && !isNaN(num);
}
function int(a) {
  return parseInt(a, 10);
}
function dontSetMe(props, propName, componentName) {
  if (props[propName]) {
    return new Error("Invalid prop ".concat(propName, " passed to ").concat(componentName, " - do not set this, set it on the child."));
  }
}
var getPrefix$1 = {};
Object.defineProperty(getPrefix$1, "__esModule", {
  value: true
});
getPrefix$1.getPrefix = getPrefix;
getPrefix$1.browserPrefixToKey = browserPrefixToKey;
getPrefix$1.browserPrefixToStyle = browserPrefixToStyle;
getPrefix$1.default = void 0;
var prefixes = ["Moz", "Webkit", "O", "ms"];
function getPrefix() {
  var prop = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : "transform";
  if (typeof window === "undefined" || typeof window.document === "undefined")
    return "";
  var style = window.document.documentElement.style;
  if (prop in style)
    return "";
  for (var i = 0; i < prefixes.length; i++) {
    if (browserPrefixToKey(prop, prefixes[i]) in style)
      return prefixes[i];
  }
  return "";
}
function browserPrefixToKey(prop, prefix2) {
  return prefix2 ? "".concat(prefix2).concat(kebabToTitleCase(prop)) : prop;
}
function browserPrefixToStyle(prop, prefix2) {
  return prefix2 ? "-".concat(prefix2.toLowerCase(), "-").concat(prop) : prop;
}
function kebabToTitleCase(str) {
  var out = "";
  var shouldCapitalize = true;
  for (var i = 0; i < str.length; i++) {
    if (shouldCapitalize) {
      out += str[i].toUpperCase();
      shouldCapitalize = false;
    } else if (str[i] === "-") {
      shouldCapitalize = true;
    } else {
      out += str[i];
    }
  }
  return out;
}
var _default$1 = getPrefix();
getPrefix$1.default = _default$1;
function _typeof$5(obj) {
  "@babel/helpers - typeof";
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof$5 = function _typeof2(obj2) {
      return typeof obj2;
    };
  } else {
    _typeof$5 = function _typeof2(obj2) {
      return obj2 && typeof Symbol === "function" && obj2.constructor === Symbol && obj2 !== Symbol.prototype ? "symbol" : typeof obj2;
    };
  }
  return _typeof$5(obj);
}
Object.defineProperty(domFns, "__esModule", {
  value: true
});
domFns.matchesSelector = matchesSelector;
domFns.matchesSelectorAndParentsTo = matchesSelectorAndParentsTo;
domFns.addEvent = addEvent;
domFns.removeEvent = removeEvent;
domFns.outerHeight = outerHeight;
domFns.outerWidth = outerWidth;
domFns.innerHeight = innerHeight;
domFns.innerWidth = innerWidth;
domFns.offsetXYFromParent = offsetXYFromParent;
domFns.createCSSTransform = createCSSTransform;
domFns.createSVGTransform = createSVGTransform;
domFns.getTranslation = getTranslation;
domFns.getTouch = getTouch;
domFns.getTouchIdentifier = getTouchIdentifier;
domFns.addUserSelectStyles = addUserSelectStyles;
domFns.removeUserSelectStyles = removeUserSelectStyles;
domFns.addClassName = addClassName;
domFns.removeClassName = removeClassName;
var _shims$2 = shims;
var _getPrefix = _interopRequireWildcard$3(getPrefix$1);
function _getRequireWildcardCache$3() {
  if (typeof WeakMap !== "function")
    return null;
  var cache2 = /* @__PURE__ */ new WeakMap();
  _getRequireWildcardCache$3 = function _getRequireWildcardCache2() {
    return cache2;
  };
  return cache2;
}
function _interopRequireWildcard$3(obj) {
  if (obj && obj.__esModule) {
    return obj;
  }
  if (obj === null || _typeof$5(obj) !== "object" && typeof obj !== "function") {
    return { default: obj };
  }
  var cache2 = _getRequireWildcardCache$3();
  if (cache2 && cache2.has(obj)) {
    return cache2.get(obj);
  }
  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }
  newObj.default = obj;
  if (cache2) {
    cache2.set(obj, newObj);
  }
  return newObj;
}
function ownKeys$5(object, enumerableOnly) {
  var keys2 = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly)
      symbols = symbols.filter(function(sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      });
    keys2.push.apply(keys2, symbols);
  }
  return keys2;
}
function _objectSpread$5(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};
    if (i % 2) {
      ownKeys$5(Object(source), true).forEach(function(key) {
        _defineProperty$9(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys$5(Object(source)).forEach(function(key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }
  return target;
}
function _defineProperty$9(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
var matchesSelectorFunc = "";
function matchesSelector(el2, selector) {
  if (!matchesSelectorFunc) {
    matchesSelectorFunc = (0, _shims$2.findInArray)(["matches", "webkitMatchesSelector", "mozMatchesSelector", "msMatchesSelector", "oMatchesSelector"], function(method) {
      return (0, _shims$2.isFunction)(el2[method]);
    });
  }
  if (!(0, _shims$2.isFunction)(el2[matchesSelectorFunc]))
    return false;
  return el2[matchesSelectorFunc](selector);
}
function matchesSelectorAndParentsTo(el2, selector, baseNode) {
  var node = el2;
  do {
    if (matchesSelector(node, selector))
      return true;
    if (node === baseNode)
      return false;
    node = node.parentNode;
  } while (node);
  return false;
}
function addEvent(el2, event, handler, inputOptions) {
  if (!el2)
    return;
  var options = _objectSpread$5({
    capture: true
  }, inputOptions);
  if (el2.addEventListener) {
    el2.addEventListener(event, handler, options);
  } else if (el2.attachEvent) {
    el2.attachEvent("on" + event, handler);
  } else {
    el2["on" + event] = handler;
  }
}
function removeEvent(el2, event, handler, inputOptions) {
  if (!el2)
    return;
  var options = _objectSpread$5({
    capture: true
  }, inputOptions);
  if (el2.removeEventListener) {
    el2.removeEventListener(event, handler, options);
  } else if (el2.detachEvent) {
    el2.detachEvent("on" + event, handler);
  } else {
    el2["on" + event] = null;
  }
}
function outerHeight(node) {
  var height = node.clientHeight;
  var computedStyle = node.ownerDocument.defaultView.getComputedStyle(node);
  height += (0, _shims$2.int)(computedStyle.borderTopWidth);
  height += (0, _shims$2.int)(computedStyle.borderBottomWidth);
  return height;
}
function outerWidth(node) {
  var width = node.clientWidth;
  var computedStyle = node.ownerDocument.defaultView.getComputedStyle(node);
  width += (0, _shims$2.int)(computedStyle.borderLeftWidth);
  width += (0, _shims$2.int)(computedStyle.borderRightWidth);
  return width;
}
function innerHeight(node) {
  var height = node.clientHeight;
  var computedStyle = node.ownerDocument.defaultView.getComputedStyle(node);
  height -= (0, _shims$2.int)(computedStyle.paddingTop);
  height -= (0, _shims$2.int)(computedStyle.paddingBottom);
  return height;
}
function innerWidth(node) {
  var width = node.clientWidth;
  var computedStyle = node.ownerDocument.defaultView.getComputedStyle(node);
  width -= (0, _shims$2.int)(computedStyle.paddingLeft);
  width -= (0, _shims$2.int)(computedStyle.paddingRight);
  return width;
}
function offsetXYFromParent(evt, offsetParent2, scale) {
  var isBody = offsetParent2 === offsetParent2.ownerDocument.body;
  var offsetParentRect = isBody ? {
    left: 0,
    top: 0
  } : offsetParent2.getBoundingClientRect();
  var x2 = (evt.clientX + offsetParent2.scrollLeft - offsetParentRect.left) / scale;
  var y2 = (evt.clientY + offsetParent2.scrollTop - offsetParentRect.top) / scale;
  return {
    x: x2,
    y: y2
  };
}
function createCSSTransform(controlPos, positionOffset) {
  var translation = getTranslation(controlPos, positionOffset, "px");
  return _defineProperty$9({}, (0, _getPrefix.browserPrefixToKey)("transform", _getPrefix.default), translation);
}
function createSVGTransform(controlPos, positionOffset) {
  var translation = getTranslation(controlPos, positionOffset, "");
  return translation;
}
function getTranslation(_ref2, positionOffset, unitSuffix) {
  var x2 = _ref2.x, y2 = _ref2.y;
  var translation = "translate(".concat(x2).concat(unitSuffix, ",").concat(y2).concat(unitSuffix, ")");
  if (positionOffset) {
    var defaultX = "".concat(typeof positionOffset.x === "string" ? positionOffset.x : positionOffset.x + unitSuffix);
    var defaultY = "".concat(typeof positionOffset.y === "string" ? positionOffset.y : positionOffset.y + unitSuffix);
    translation = "translate(".concat(defaultX, ", ").concat(defaultY, ")") + translation;
  }
  return translation;
}
function getTouch(e2, identifier) {
  return e2.targetTouches && (0, _shims$2.findInArray)(e2.targetTouches, function(t2) {
    return identifier === t2.identifier;
  }) || e2.changedTouches && (0, _shims$2.findInArray)(e2.changedTouches, function(t2) {
    return identifier === t2.identifier;
  });
}
function getTouchIdentifier(e2) {
  if (e2.targetTouches && e2.targetTouches[0])
    return e2.targetTouches[0].identifier;
  if (e2.changedTouches && e2.changedTouches[0])
    return e2.changedTouches[0].identifier;
}
function addUserSelectStyles(doc) {
  if (!doc)
    return;
  var styleEl = doc.getElementById("react-draggable-style-el");
  if (!styleEl) {
    styleEl = doc.createElement("style");
    styleEl.type = "text/css";
    styleEl.id = "react-draggable-style-el";
    styleEl.innerHTML = ".react-draggable-transparent-selection *::-moz-selection {all: inherit;}\n";
    styleEl.innerHTML += ".react-draggable-transparent-selection *::selection {all: inherit;}\n";
    doc.getElementsByTagName("head")[0].appendChild(styleEl);
  }
  if (doc.body)
    addClassName(doc.body, "react-draggable-transparent-selection");
}
function removeUserSelectStyles(doc) {
  if (!doc)
    return;
  try {
    if (doc.body)
      removeClassName(doc.body, "react-draggable-transparent-selection");
    if (doc.selection) {
      doc.selection.empty();
    } else {
      var selection = (doc.defaultView || window).getSelection();
      if (selection && selection.type !== "Caret") {
        selection.removeAllRanges();
      }
    }
  } catch (e2) {
  }
}
function addClassName(el2, className) {
  if (el2.classList) {
    el2.classList.add(className);
  } else {
    if (!el2.className.match(new RegExp("(?:^|\\s)".concat(className, "(?!\\S)")))) {
      el2.className += " ".concat(className);
    }
  }
}
function removeClassName(el2, className) {
  if (el2.classList) {
    el2.classList.remove(className);
  } else {
    el2.className = el2.className.replace(new RegExp("(?:^|\\s)".concat(className, "(?!\\S)"), "g"), "");
  }
}
var positionFns = {};
Object.defineProperty(positionFns, "__esModule", {
  value: true
});
positionFns.getBoundPosition = getBoundPosition;
positionFns.snapToGrid = snapToGrid;
positionFns.canDragX = canDragX;
positionFns.canDragY = canDragY;
positionFns.getControlPosition = getControlPosition;
positionFns.createCoreData = createCoreData;
positionFns.createDraggableData = createDraggableData;
var _shims$1 = shims;
var _domFns$1 = domFns;
function getBoundPosition(draggable, x2, y2) {
  if (!draggable.props.bounds)
    return [x2, y2];
  var bounds = draggable.props.bounds;
  bounds = typeof bounds === "string" ? bounds : cloneBounds(bounds);
  var node = findDOMNode(draggable);
  if (typeof bounds === "string") {
    var ownerDocument2 = node.ownerDocument;
    var ownerWindow2 = ownerDocument2.defaultView;
    var boundNode;
    if (bounds === "parent") {
      boundNode = node.parentNode;
    } else {
      boundNode = ownerDocument2.querySelector(bounds);
    }
    if (!(boundNode instanceof ownerWindow2.HTMLElement)) {
      throw new Error('Bounds selector "' + bounds + '" could not find an element.');
    }
    var nodeStyle = ownerWindow2.getComputedStyle(node);
    var boundNodeStyle = ownerWindow2.getComputedStyle(boundNode);
    bounds = {
      left: -node.offsetLeft + (0, _shims$1.int)(boundNodeStyle.paddingLeft) + (0, _shims$1.int)(nodeStyle.marginLeft),
      top: -node.offsetTop + (0, _shims$1.int)(boundNodeStyle.paddingTop) + (0, _shims$1.int)(nodeStyle.marginTop),
      right: (0, _domFns$1.innerWidth)(boundNode) - (0, _domFns$1.outerWidth)(node) - node.offsetLeft + (0, _shims$1.int)(boundNodeStyle.paddingRight) - (0, _shims$1.int)(nodeStyle.marginRight),
      bottom: (0, _domFns$1.innerHeight)(boundNode) - (0, _domFns$1.outerHeight)(node) - node.offsetTop + (0, _shims$1.int)(boundNodeStyle.paddingBottom) - (0, _shims$1.int)(nodeStyle.marginBottom)
    };
  }
  if ((0, _shims$1.isNum)(bounds.right))
    x2 = Math.min(x2, bounds.right);
  if ((0, _shims$1.isNum)(bounds.bottom))
    y2 = Math.min(y2, bounds.bottom);
  if ((0, _shims$1.isNum)(bounds.left))
    x2 = Math.max(x2, bounds.left);
  if ((0, _shims$1.isNum)(bounds.top))
    y2 = Math.max(y2, bounds.top);
  return [x2, y2];
}
function snapToGrid(grid, pendingX, pendingY) {
  var x2 = Math.round(pendingX / grid[0]) * grid[0];
  var y2 = Math.round(pendingY / grid[1]) * grid[1];
  return [x2, y2];
}
function canDragX(draggable) {
  return draggable.props.axis === "both" || draggable.props.axis === "x";
}
function canDragY(draggable) {
  return draggable.props.axis === "both" || draggable.props.axis === "y";
}
function getControlPosition(e2, touchIdentifier, draggableCore) {
  var touchObj = typeof touchIdentifier === "number" ? (0, _domFns$1.getTouch)(e2, touchIdentifier) : null;
  if (typeof touchIdentifier === "number" && !touchObj)
    return null;
  var node = findDOMNode(draggableCore);
  var offsetParent2 = draggableCore.props.offsetParent || node.offsetParent || node.ownerDocument.body;
  return (0, _domFns$1.offsetXYFromParent)(touchObj || e2, offsetParent2, draggableCore.props.scale);
}
function createCoreData(draggable, x2, y2) {
  var state = draggable.state;
  var isStart = !(0, _shims$1.isNum)(state.lastX);
  var node = findDOMNode(draggable);
  if (isStart) {
    return {
      node,
      deltaX: 0,
      deltaY: 0,
      lastX: x2,
      lastY: y2,
      x: x2,
      y: y2
    };
  } else {
    return {
      node,
      deltaX: x2 - state.lastX,
      deltaY: y2 - state.lastY,
      lastX: state.lastX,
      lastY: state.lastY,
      x: x2,
      y: y2
    };
  }
}
function createDraggableData(draggable, coreData) {
  var scale = draggable.props.scale;
  return {
    node: coreData.node,
    x: draggable.state.x + coreData.deltaX / scale,
    y: draggable.state.y + coreData.deltaY / scale,
    deltaX: coreData.deltaX / scale,
    deltaY: coreData.deltaY / scale,
    lastX: draggable.state.x,
    lastY: draggable.state.y
  };
}
function cloneBounds(bounds) {
  return {
    left: bounds.left,
    top: bounds.top,
    right: bounds.right,
    bottom: bounds.bottom
  };
}
function findDOMNode(draggable) {
  var node = draggable.findDOMNode();
  if (!node) {
    throw new Error("<DraggableCore>: Unmounted during event!");
  }
  return node;
}
var DraggableCore$2 = {};
var log$1 = {};
Object.defineProperty(log$1, "__esModule", {
  value: true
});
log$1.default = log;
function log() {
}
Object.defineProperty(DraggableCore$2, "__esModule", {
  value: true
});
DraggableCore$2.default = void 0;
var React$2 = _interopRequireWildcard$2(React__default);
var _propTypes$6 = _interopRequireDefault$8(propTypes.exports);
var _reactDom$2 = _interopRequireDefault$8(ReactDOM__default);
var _domFns = domFns;
var _positionFns = positionFns;
var _shims = shims;
var _log = _interopRequireDefault$8(log$1);
function _interopRequireDefault$8(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
function _getRequireWildcardCache$2() {
  if (typeof WeakMap !== "function")
    return null;
  var cache2 = /* @__PURE__ */ new WeakMap();
  _getRequireWildcardCache$2 = function _getRequireWildcardCache2() {
    return cache2;
  };
  return cache2;
}
function _interopRequireWildcard$2(obj) {
  if (obj && obj.__esModule) {
    return obj;
  }
  if (obj === null || _typeof$4(obj) !== "object" && typeof obj !== "function") {
    return { default: obj };
  }
  var cache2 = _getRequireWildcardCache$2();
  if (cache2 && cache2.has(obj)) {
    return cache2.get(obj);
  }
  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }
  newObj.default = obj;
  if (cache2) {
    cache2.set(obj, newObj);
  }
  return newObj;
}
function _typeof$4(obj) {
  "@babel/helpers - typeof";
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof$4 = function _typeof2(obj2) {
      return typeof obj2;
    };
  } else {
    _typeof$4 = function _typeof2(obj2) {
      return obj2 && typeof Symbol === "function" && obj2.constructor === Symbol && obj2 !== Symbol.prototype ? "symbol" : typeof obj2;
    };
  }
  return _typeof$4(obj);
}
function _slicedToArray(arr, i) {
  return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray$1(arr, i) || _nonIterableRest();
}
function _nonIterableRest() {
  throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _unsupportedIterableToArray$1(o, minLen) {
  if (!o)
    return;
  if (typeof o === "string")
    return _arrayLikeToArray$1(o, minLen);
  var n2 = Object.prototype.toString.call(o).slice(8, -1);
  if (n2 === "Object" && o.constructor)
    n2 = o.constructor.name;
  if (n2 === "Map" || n2 === "Set")
    return Array.from(o);
  if (n2 === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n2))
    return _arrayLikeToArray$1(o, minLen);
}
function _arrayLikeToArray$1(arr, len) {
  if (len == null || len > arr.length)
    len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) {
    arr2[i] = arr[i];
  }
  return arr2;
}
function _iterableToArrayLimit(arr, i) {
  if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr)))
    return;
  var _arr = [];
  var _n = true;
  var _d = false;
  var _e = void 0;
  try {
    for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
      _arr.push(_s.value);
      if (i && _arr.length === i)
        break;
    }
  } catch (err) {
    _d = true;
    _e = err;
  } finally {
    try {
      if (!_n && _i["return"] != null)
        _i["return"]();
    } finally {
      if (_d)
        throw _e;
    }
  }
  return _arr;
}
function _arrayWithHoles(arr) {
  if (Array.isArray(arr))
    return arr;
}
function _classCallCheck$4(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}
function _defineProperties$4(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor)
      descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}
function _createClass$4(Constructor, protoProps, staticProps) {
  if (protoProps)
    _defineProperties$4(Constructor.prototype, protoProps);
  if (staticProps)
    _defineProperties$4(Constructor, staticProps);
  return Constructor;
}
function _inherits$4(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }
  subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });
  if (superClass)
    _setPrototypeOf$4(subClass, superClass);
}
function _setPrototypeOf$4(o, p2) {
  _setPrototypeOf$4 = Object.setPrototypeOf || function _setPrototypeOf2(o2, p3) {
    o2.__proto__ = p3;
    return o2;
  };
  return _setPrototypeOf$4(o, p2);
}
function _createSuper$4(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct$4();
  return function() {
    var Super = _getPrototypeOf$4(Derived), result;
    if (hasNativeReflectConstruct) {
      var NewTarget = _getPrototypeOf$4(this).constructor;
      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }
    return _possibleConstructorReturn$4(this, result);
  };
}
function _possibleConstructorReturn$4(self2, call) {
  if (call && (_typeof$4(call) === "object" || typeof call === "function")) {
    return call;
  }
  return _assertThisInitialized$6(self2);
}
function _assertThisInitialized$6(self2) {
  if (self2 === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return self2;
}
function _isNativeReflectConstruct$4() {
  if (typeof Reflect === "undefined" || !Reflect.construct)
    return false;
  if (Reflect.construct.sham)
    return false;
  if (typeof Proxy === "function")
    return true;
  try {
    Date.prototype.toString.call(Reflect.construct(Date, [], function() {
    }));
    return true;
  } catch (e2) {
    return false;
  }
}
function _getPrototypeOf$4(o) {
  _getPrototypeOf$4 = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf2(o2) {
    return o2.__proto__ || Object.getPrototypeOf(o2);
  };
  return _getPrototypeOf$4(o);
}
function _defineProperty$8(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
var eventsFor = {
  touch: {
    start: "touchstart",
    move: "touchmove",
    stop: "touchend"
  },
  mouse: {
    start: "mousedown",
    move: "mousemove",
    stop: "mouseup"
  }
};
var dragEventFor = eventsFor.mouse;
var DraggableCore$1 = /* @__PURE__ */ function(_React$Component) {
  _inherits$4(DraggableCore2, _React$Component);
  var _super = _createSuper$4(DraggableCore2);
  function DraggableCore2() {
    var _this;
    _classCallCheck$4(this, DraggableCore2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty$8(_assertThisInitialized$6(_this), "state", {
      dragging: false,
      lastX: NaN,
      lastY: NaN,
      touchIdentifier: null
    });
    _defineProperty$8(_assertThisInitialized$6(_this), "mounted", false);
    _defineProperty$8(_assertThisInitialized$6(_this), "handleDragStart", function(e2) {
      _this.props.onMouseDown(e2);
      if (!_this.props.allowAnyClick && typeof e2.button === "number" && e2.button !== 0)
        return false;
      var thisNode = _this.findDOMNode();
      if (!thisNode || !thisNode.ownerDocument || !thisNode.ownerDocument.body) {
        throw new Error("<DraggableCore> not mounted on DragStart!");
      }
      var ownerDocument2 = thisNode.ownerDocument;
      if (_this.props.disabled || !(e2.target instanceof ownerDocument2.defaultView.Node) || _this.props.handle && !(0, _domFns.matchesSelectorAndParentsTo)(e2.target, _this.props.handle, thisNode) || _this.props.cancel && (0, _domFns.matchesSelectorAndParentsTo)(e2.target, _this.props.cancel, thisNode)) {
        return;
      }
      if (e2.type === "touchstart")
        e2.preventDefault();
      var touchIdentifier = (0, _domFns.getTouchIdentifier)(e2);
      _this.setState({
        touchIdentifier
      });
      var position = (0, _positionFns.getControlPosition)(e2, touchIdentifier, _assertThisInitialized$6(_this));
      if (position == null)
        return;
      var x2 = position.x, y2 = position.y;
      var coreEvent = (0, _positionFns.createCoreData)(_assertThisInitialized$6(_this), x2, y2);
      (0, _log.default)("DraggableCore: handleDragStart: %j", coreEvent);
      (0, _log.default)("calling", _this.props.onStart);
      var shouldUpdate = _this.props.onStart(e2, coreEvent);
      if (shouldUpdate === false || _this.mounted === false)
        return;
      if (_this.props.enableUserSelectHack)
        (0, _domFns.addUserSelectStyles)(ownerDocument2);
      _this.setState({
        dragging: true,
        lastX: x2,
        lastY: y2
      });
      (0, _domFns.addEvent)(ownerDocument2, dragEventFor.move, _this.handleDrag);
      (0, _domFns.addEvent)(ownerDocument2, dragEventFor.stop, _this.handleDragStop);
    });
    _defineProperty$8(_assertThisInitialized$6(_this), "handleDrag", function(e2) {
      var position = (0, _positionFns.getControlPosition)(e2, _this.state.touchIdentifier, _assertThisInitialized$6(_this));
      if (position == null)
        return;
      var x2 = position.x, y2 = position.y;
      if (Array.isArray(_this.props.grid)) {
        var deltaX = x2 - _this.state.lastX, deltaY = y2 - _this.state.lastY;
        var _snapToGrid = (0, _positionFns.snapToGrid)(_this.props.grid, deltaX, deltaY);
        var _snapToGrid2 = _slicedToArray(_snapToGrid, 2);
        deltaX = _snapToGrid2[0];
        deltaY = _snapToGrid2[1];
        if (!deltaX && !deltaY)
          return;
        x2 = _this.state.lastX + deltaX, y2 = _this.state.lastY + deltaY;
      }
      var coreEvent = (0, _positionFns.createCoreData)(_assertThisInitialized$6(_this), x2, y2);
      (0, _log.default)("DraggableCore: handleDrag: %j", coreEvent);
      var shouldUpdate = _this.props.onDrag(e2, coreEvent);
      if (shouldUpdate === false || _this.mounted === false) {
        try {
          _this.handleDragStop(new MouseEvent("mouseup"));
        } catch (err) {
          var event = document.createEvent("MouseEvents");
          event.initMouseEvent("mouseup", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);
          _this.handleDragStop(event);
        }
        return;
      }
      _this.setState({
        lastX: x2,
        lastY: y2
      });
    });
    _defineProperty$8(_assertThisInitialized$6(_this), "handleDragStop", function(e2) {
      if (!_this.state.dragging)
        return;
      var position = (0, _positionFns.getControlPosition)(e2, _this.state.touchIdentifier, _assertThisInitialized$6(_this));
      if (position == null)
        return;
      var x2 = position.x, y2 = position.y;
      var coreEvent = (0, _positionFns.createCoreData)(_assertThisInitialized$6(_this), x2, y2);
      var shouldContinue = _this.props.onStop(e2, coreEvent);
      if (shouldContinue === false || _this.mounted === false)
        return false;
      var thisNode = _this.findDOMNode();
      if (thisNode) {
        if (_this.props.enableUserSelectHack)
          (0, _domFns.removeUserSelectStyles)(thisNode.ownerDocument);
      }
      (0, _log.default)("DraggableCore: handleDragStop: %j", coreEvent);
      _this.setState({
        dragging: false,
        lastX: NaN,
        lastY: NaN
      });
      if (thisNode) {
        (0, _log.default)("DraggableCore: Removing handlers");
        (0, _domFns.removeEvent)(thisNode.ownerDocument, dragEventFor.move, _this.handleDrag);
        (0, _domFns.removeEvent)(thisNode.ownerDocument, dragEventFor.stop, _this.handleDragStop);
      }
    });
    _defineProperty$8(_assertThisInitialized$6(_this), "onMouseDown", function(e2) {
      dragEventFor = eventsFor.mouse;
      return _this.handleDragStart(e2);
    });
    _defineProperty$8(_assertThisInitialized$6(_this), "onMouseUp", function(e2) {
      dragEventFor = eventsFor.mouse;
      return _this.handleDragStop(e2);
    });
    _defineProperty$8(_assertThisInitialized$6(_this), "onTouchStart", function(e2) {
      dragEventFor = eventsFor.touch;
      return _this.handleDragStart(e2);
    });
    _defineProperty$8(_assertThisInitialized$6(_this), "onTouchEnd", function(e2) {
      dragEventFor = eventsFor.touch;
      return _this.handleDragStop(e2);
    });
    return _this;
  }
  _createClass$4(DraggableCore2, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.mounted = true;
      var thisNode = this.findDOMNode();
      if (thisNode) {
        (0, _domFns.addEvent)(thisNode, eventsFor.touch.start, this.onTouchStart, {
          passive: false
        });
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      this.mounted = false;
      var thisNode = this.findDOMNode();
      if (thisNode) {
        var ownerDocument2 = thisNode.ownerDocument;
        (0, _domFns.removeEvent)(ownerDocument2, eventsFor.mouse.move, this.handleDrag);
        (0, _domFns.removeEvent)(ownerDocument2, eventsFor.touch.move, this.handleDrag);
        (0, _domFns.removeEvent)(ownerDocument2, eventsFor.mouse.stop, this.handleDragStop);
        (0, _domFns.removeEvent)(ownerDocument2, eventsFor.touch.stop, this.handleDragStop);
        (0, _domFns.removeEvent)(thisNode, eventsFor.touch.start, this.onTouchStart, {
          passive: false
        });
        if (this.props.enableUserSelectHack)
          (0, _domFns.removeUserSelectStyles)(ownerDocument2);
      }
    }
  }, {
    key: "findDOMNode",
    value: function findDOMNode2() {
      return this.props.nodeRef ? this.props.nodeRef.current : _reactDom$2.default.findDOMNode(this);
    }
  }, {
    key: "render",
    value: function render() {
      return React$2.cloneElement(React$2.Children.only(this.props.children), {
        onMouseDown: this.onMouseDown,
        onMouseUp: this.onMouseUp,
        onTouchEnd: this.onTouchEnd
      });
    }
  }]);
  return DraggableCore2;
}(React$2.Component);
DraggableCore$2.default = DraggableCore$1;
_defineProperty$8(DraggableCore$1, "displayName", "DraggableCore");
_defineProperty$8(DraggableCore$1, "propTypes", {
  allowAnyClick: _propTypes$6.default.bool,
  disabled: _propTypes$6.default.bool,
  enableUserSelectHack: _propTypes$6.default.bool,
  offsetParent: function offsetParent(props, propName) {
    if (props[propName] && props[propName].nodeType !== 1) {
      throw new Error("Draggable's offsetParent must be a DOM Node.");
    }
  },
  grid: _propTypes$6.default.arrayOf(_propTypes$6.default.number),
  handle: _propTypes$6.default.string,
  cancel: _propTypes$6.default.string,
  nodeRef: _propTypes$6.default.object,
  onStart: _propTypes$6.default.func,
  onDrag: _propTypes$6.default.func,
  onStop: _propTypes$6.default.func,
  onMouseDown: _propTypes$6.default.func,
  scale: _propTypes$6.default.number,
  className: _shims.dontSetMe,
  style: _shims.dontSetMe,
  transform: _shims.dontSetMe
});
_defineProperty$8(DraggableCore$1, "defaultProps", {
  allowAnyClick: false,
  cancel: null,
  disabled: false,
  enableUserSelectHack: true,
  offsetParent: null,
  handle: null,
  grid: null,
  transform: null,
  onStart: function onStart() {
  },
  onDrag: function onDrag() {
  },
  onStop: function onStop() {
  },
  onMouseDown: function onMouseDown() {
  },
  scale: 1
});
(function(exports) {
  Object.defineProperty(exports, "__esModule", {
    value: true
  });
  Object.defineProperty(exports, "DraggableCore", {
    enumerable: true,
    get: function get2() {
      return _DraggableCore.default;
    }
  });
  exports.default = void 0;
  var React2 = _interopRequireWildcard2(React__default);
  var _propTypes2 = _interopRequireDefault2(propTypes.exports);
  var _reactDom2 = _interopRequireDefault2(ReactDOM__default);
  var _classnames2 = _interopRequireDefault2(classnames.exports);
  var _domFns2 = domFns;
  var _positionFns2 = positionFns;
  var _shims2 = shims;
  var _DraggableCore = _interopRequireDefault2(DraggableCore$2);
  var _log2 = _interopRequireDefault2(log$1);
  function _interopRequireDefault2(obj) {
    return obj && obj.__esModule ? obj : { default: obj };
  }
  function _getRequireWildcardCache2() {
    if (typeof WeakMap !== "function")
      return null;
    var cache2 = /* @__PURE__ */ new WeakMap();
    _getRequireWildcardCache2 = function _getRequireWildcardCache3() {
      return cache2;
    };
    return cache2;
  }
  function _interopRequireWildcard2(obj) {
    if (obj && obj.__esModule) {
      return obj;
    }
    if (obj === null || _typeof2(obj) !== "object" && typeof obj !== "function") {
      return { default: obj };
    }
    var cache2 = _getRequireWildcardCache2();
    if (cache2 && cache2.has(obj)) {
      return cache2.get(obj);
    }
    var newObj = {};
    var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
    for (var key in obj) {
      if (Object.prototype.hasOwnProperty.call(obj, key)) {
        var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
        if (desc && (desc.get || desc.set)) {
          Object.defineProperty(newObj, key, desc);
        } else {
          newObj[key] = obj[key];
        }
      }
    }
    newObj.default = obj;
    if (cache2) {
      cache2.set(obj, newObj);
    }
    return newObj;
  }
  function _typeof2(obj) {
    "@babel/helpers - typeof";
    if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
      _typeof2 = function _typeof3(obj2) {
        return typeof obj2;
      };
    } else {
      _typeof2 = function _typeof3(obj2) {
        return obj2 && typeof Symbol === "function" && obj2.constructor === Symbol && obj2 !== Symbol.prototype ? "symbol" : typeof obj2;
      };
    }
    return _typeof2(obj);
  }
  function _extends2() {
    _extends2 = Object.assign || function(target) {
      for (var i = 1; i < arguments.length; i++) {
        var source = arguments[i];
        for (var key in source) {
          if (Object.prototype.hasOwnProperty.call(source, key)) {
            target[key] = source[key];
          }
        }
      }
      return target;
    };
    return _extends2.apply(this, arguments);
  }
  function _objectWithoutProperties2(source, excluded) {
    if (source == null)
      return {};
    var target = _objectWithoutPropertiesLoose2(source, excluded);
    var key, i;
    if (Object.getOwnPropertySymbols) {
      var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
      for (i = 0; i < sourceSymbolKeys.length; i++) {
        key = sourceSymbolKeys[i];
        if (excluded.indexOf(key) >= 0)
          continue;
        if (!Object.prototype.propertyIsEnumerable.call(source, key))
          continue;
        target[key] = source[key];
      }
    }
    return target;
  }
  function _objectWithoutPropertiesLoose2(source, excluded) {
    if (source == null)
      return {};
    var target = {};
    var sourceKeys = Object.keys(source);
    var key, i;
    for (i = 0; i < sourceKeys.length; i++) {
      key = sourceKeys[i];
      if (excluded.indexOf(key) >= 0)
        continue;
      target[key] = source[key];
    }
    return target;
  }
  function _slicedToArray2(arr, i) {
    return _arrayWithHoles2(arr) || _iterableToArrayLimit2(arr, i) || _unsupportedIterableToArray2(arr, i) || _nonIterableRest2();
  }
  function _nonIterableRest2() {
    throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
  }
  function _unsupportedIterableToArray2(o, minLen) {
    if (!o)
      return;
    if (typeof o === "string")
      return _arrayLikeToArray2(o, minLen);
    var n2 = Object.prototype.toString.call(o).slice(8, -1);
    if (n2 === "Object" && o.constructor)
      n2 = o.constructor.name;
    if (n2 === "Map" || n2 === "Set")
      return Array.from(o);
    if (n2 === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n2))
      return _arrayLikeToArray2(o, minLen);
  }
  function _arrayLikeToArray2(arr, len) {
    if (len == null || len > arr.length)
      len = arr.length;
    for (var i = 0, arr2 = new Array(len); i < len; i++) {
      arr2[i] = arr[i];
    }
    return arr2;
  }
  function _iterableToArrayLimit2(arr, i) {
    if (typeof Symbol === "undefined" || !(Symbol.iterator in Object(arr)))
      return;
    var _arr = [];
    var _n = true;
    var _d = false;
    var _e = void 0;
    try {
      for (var _i = arr[Symbol.iterator](), _s; !(_n = (_s = _i.next()).done); _n = true) {
        _arr.push(_s.value);
        if (i && _arr.length === i)
          break;
      }
    } catch (err) {
      _d = true;
      _e = err;
    } finally {
      try {
        if (!_n && _i["return"] != null)
          _i["return"]();
      } finally {
        if (_d)
          throw _e;
      }
    }
    return _arr;
  }
  function _arrayWithHoles2(arr) {
    if (Array.isArray(arr))
      return arr;
  }
  function ownKeys2(object, enumerableOnly) {
    var keys2 = Object.keys(object);
    if (Object.getOwnPropertySymbols) {
      var symbols = Object.getOwnPropertySymbols(object);
      if (enumerableOnly)
        symbols = symbols.filter(function(sym) {
          return Object.getOwnPropertyDescriptor(object, sym).enumerable;
        });
      keys2.push.apply(keys2, symbols);
    }
    return keys2;
  }
  function _objectSpread3(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i] != null ? arguments[i] : {};
      if (i % 2) {
        ownKeys2(Object(source), true).forEach(function(key) {
          _defineProperty2(target, key, source[key]);
        });
      } else if (Object.getOwnPropertyDescriptors) {
        Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
      } else {
        ownKeys2(Object(source)).forEach(function(key) {
          Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
        });
      }
    }
    return target;
  }
  function _classCallCheck2(instance, Constructor) {
    if (!(instance instanceof Constructor)) {
      throw new TypeError("Cannot call a class as a function");
    }
  }
  function _defineProperties2(target, props) {
    for (var i = 0; i < props.length; i++) {
      var descriptor = props[i];
      descriptor.enumerable = descriptor.enumerable || false;
      descriptor.configurable = true;
      if ("value" in descriptor)
        descriptor.writable = true;
      Object.defineProperty(target, descriptor.key, descriptor);
    }
  }
  function _createClass2(Constructor, protoProps, staticProps) {
    if (protoProps)
      _defineProperties2(Constructor.prototype, protoProps);
    if (staticProps)
      _defineProperties2(Constructor, staticProps);
    return Constructor;
  }
  function _inherits2(subClass, superClass) {
    if (typeof superClass !== "function" && superClass !== null) {
      throw new TypeError("Super expression must either be null or a function");
    }
    subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });
    if (superClass)
      _setPrototypeOf2(subClass, superClass);
  }
  function _setPrototypeOf2(o, p2) {
    _setPrototypeOf2 = Object.setPrototypeOf || function _setPrototypeOf3(o2, p3) {
      o2.__proto__ = p3;
      return o2;
    };
    return _setPrototypeOf2(o, p2);
  }
  function _createSuper2(Derived) {
    var hasNativeReflectConstruct = _isNativeReflectConstruct2();
    return function() {
      var Super = _getPrototypeOf2(Derived), result;
      if (hasNativeReflectConstruct) {
        var NewTarget = _getPrototypeOf2(this).constructor;
        result = Reflect.construct(Super, arguments, NewTarget);
      } else {
        result = Super.apply(this, arguments);
      }
      return _possibleConstructorReturn2(this, result);
    };
  }
  function _possibleConstructorReturn2(self2, call) {
    if (call && (_typeof2(call) === "object" || typeof call === "function")) {
      return call;
    }
    return _assertThisInitialized2(self2);
  }
  function _assertThisInitialized2(self2) {
    if (self2 === void 0) {
      throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
    }
    return self2;
  }
  function _isNativeReflectConstruct2() {
    if (typeof Reflect === "undefined" || !Reflect.construct)
      return false;
    if (Reflect.construct.sham)
      return false;
    if (typeof Proxy === "function")
      return true;
    try {
      Date.prototype.toString.call(Reflect.construct(Date, [], function() {
      }));
      return true;
    } catch (e2) {
      return false;
    }
  }
  function _getPrototypeOf2(o) {
    _getPrototypeOf2 = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf3(o2) {
      return o2.__proto__ || Object.getPrototypeOf(o2);
    };
    return _getPrototypeOf2(o);
  }
  function _defineProperty2(obj, key, value) {
    if (key in obj) {
      Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
    } else {
      obj[key] = value;
    }
    return obj;
  }
  var Draggable2 = /* @__PURE__ */ function(_React$Component) {
    _inherits2(Draggable3, _React$Component);
    var _super = _createSuper2(Draggable3);
    _createClass2(Draggable3, null, [{
      key: "getDerivedStateFromProps",
      value: function getDerivedStateFromProps(_ref, _ref2) {
        var position = _ref.position;
        var prevPropsPosition = _ref2.prevPropsPosition;
        if (position && (!prevPropsPosition || position.x !== prevPropsPosition.x || position.y !== prevPropsPosition.y)) {
          (0, _log2.default)("Draggable: getDerivedStateFromProps %j", {
            position,
            prevPropsPosition
          });
          return {
            x: position.x,
            y: position.y,
            prevPropsPosition: _objectSpread3({}, position)
          };
        }
        return null;
      }
    }]);
    function Draggable3(props) {
      var _this;
      _classCallCheck2(this, Draggable3);
      _this = _super.call(this, props);
      _defineProperty2(_assertThisInitialized2(_this), "onDragStart", function(e2, coreData) {
        (0, _log2.default)("Draggable: onDragStart: %j", coreData);
        var shouldStart = _this.props.onStart(e2, (0, _positionFns2.createDraggableData)(_assertThisInitialized2(_this), coreData));
        if (shouldStart === false)
          return false;
        _this.setState({
          dragging: true,
          dragged: true
        });
      });
      _defineProperty2(_assertThisInitialized2(_this), "onDrag", function(e2, coreData) {
        if (!_this.state.dragging)
          return false;
        (0, _log2.default)("Draggable: onDrag: %j", coreData);
        var uiData = (0, _positionFns2.createDraggableData)(_assertThisInitialized2(_this), coreData);
        var newState = {
          x: uiData.x,
          y: uiData.y
        };
        if (_this.props.bounds) {
          var x2 = newState.x, y2 = newState.y;
          newState.x += _this.state.slackX;
          newState.y += _this.state.slackY;
          var _getBoundPosition = (0, _positionFns2.getBoundPosition)(_assertThisInitialized2(_this), newState.x, newState.y), _getBoundPosition2 = _slicedToArray2(_getBoundPosition, 2), newStateX = _getBoundPosition2[0], newStateY = _getBoundPosition2[1];
          newState.x = newStateX;
          newState.y = newStateY;
          newState.slackX = _this.state.slackX + (x2 - newState.x);
          newState.slackY = _this.state.slackY + (y2 - newState.y);
          uiData.x = newState.x;
          uiData.y = newState.y;
          uiData.deltaX = newState.x - _this.state.x;
          uiData.deltaY = newState.y - _this.state.y;
        }
        var shouldUpdate = _this.props.onDrag(e2, uiData);
        if (shouldUpdate === false)
          return false;
        _this.setState(newState);
      });
      _defineProperty2(_assertThisInitialized2(_this), "onDragStop", function(e2, coreData) {
        if (!_this.state.dragging)
          return false;
        var shouldContinue = _this.props.onStop(e2, (0, _positionFns2.createDraggableData)(_assertThisInitialized2(_this), coreData));
        if (shouldContinue === false)
          return false;
        (0, _log2.default)("Draggable: onDragStop: %j", coreData);
        var newState = {
          dragging: false,
          slackX: 0,
          slackY: 0
        };
        var controlled = Boolean(_this.props.position);
        if (controlled) {
          var _this$props$position = _this.props.position, x2 = _this$props$position.x, y2 = _this$props$position.y;
          newState.x = x2;
          newState.y = y2;
        }
        _this.setState(newState);
      });
      _this.state = {
        dragging: false,
        dragged: false,
        x: props.position ? props.position.x : props.defaultPosition.x,
        y: props.position ? props.position.y : props.defaultPosition.y,
        prevPropsPosition: _objectSpread3({}, props.position),
        slackX: 0,
        slackY: 0,
        isElementSVG: false
      };
      if (props.position && !(props.onDrag || props.onStop)) {
        console.warn("A `position` was applied to this <Draggable>, without drag handlers. This will make this component effectively undraggable. Please attach `onDrag` or `onStop` handlers so you can adjust the `position` of this element.");
      }
      return _this;
    }
    _createClass2(Draggable3, [{
      key: "componentDidMount",
      value: function componentDidMount() {
        if (typeof window.SVGElement !== "undefined" && this.findDOMNode() instanceof window.SVGElement) {
          this.setState({
            isElementSVG: true
          });
        }
      }
    }, {
      key: "componentWillUnmount",
      value: function componentWillUnmount() {
        this.setState({
          dragging: false
        });
      }
    }, {
      key: "findDOMNode",
      value: function findDOMNode2() {
        return this.props.nodeRef ? this.props.nodeRef.current : _reactDom2.default.findDOMNode(this);
      }
    }, {
      key: "render",
      value: function render() {
        var _classNames;
        var _this$props = this.props;
        _this$props.axis;
        _this$props.bounds;
        var children2 = _this$props.children, defaultPosition = _this$props.defaultPosition, defaultClassName = _this$props.defaultClassName, defaultClassNameDragging = _this$props.defaultClassNameDragging, defaultClassNameDragged = _this$props.defaultClassNameDragged, position = _this$props.position, positionOffset = _this$props.positionOffset;
        _this$props.scale;
        var draggableCoreProps = _objectWithoutProperties2(_this$props, ["axis", "bounds", "children", "defaultPosition", "defaultClassName", "defaultClassNameDragging", "defaultClassNameDragged", "position", "positionOffset", "scale"]);
        var style = {};
        var svgTransform = null;
        var controlled = Boolean(position);
        var draggable = !controlled || this.state.dragging;
        var validPosition = position || defaultPosition;
        var transformOpts = {
          x: (0, _positionFns2.canDragX)(this) && draggable ? this.state.x : validPosition.x,
          y: (0, _positionFns2.canDragY)(this) && draggable ? this.state.y : validPosition.y
        };
        if (this.state.isElementSVG) {
          svgTransform = (0, _domFns2.createSVGTransform)(transformOpts, positionOffset);
        } else {
          style = (0, _domFns2.createCSSTransform)(transformOpts, positionOffset);
        }
        var className = (0, _classnames2.default)(children2.props.className || "", defaultClassName, (_classNames = {}, _defineProperty2(_classNames, defaultClassNameDragging, this.state.dragging), _defineProperty2(_classNames, defaultClassNameDragged, this.state.dragged), _classNames));
        return /* @__PURE__ */ React2.createElement(_DraggableCore.default, _extends2({}, draggableCoreProps, {
          onStart: this.onDragStart,
          onDrag: this.onDrag,
          onStop: this.onDragStop
        }), React2.cloneElement(React2.Children.only(children2), {
          className,
          style: _objectSpread3(_objectSpread3({}, children2.props.style), style),
          transform: svgTransform
        }));
      }
    }]);
    return Draggable3;
  }(React2.Component);
  exports.default = Draggable2;
  _defineProperty2(Draggable2, "displayName", "Draggable");
  _defineProperty2(Draggable2, "propTypes", _objectSpread3(_objectSpread3({}, _DraggableCore.default.propTypes), {}, {
    axis: _propTypes2.default.oneOf(["both", "x", "y", "none"]),
    bounds: _propTypes2.default.oneOfType([_propTypes2.default.shape({
      left: _propTypes2.default.number,
      right: _propTypes2.default.number,
      top: _propTypes2.default.number,
      bottom: _propTypes2.default.number
    }), _propTypes2.default.string, _propTypes2.default.oneOf([false])]),
    defaultClassName: _propTypes2.default.string,
    defaultClassNameDragging: _propTypes2.default.string,
    defaultClassNameDragged: _propTypes2.default.string,
    defaultPosition: _propTypes2.default.shape({
      x: _propTypes2.default.number,
      y: _propTypes2.default.number
    }),
    positionOffset: _propTypes2.default.shape({
      x: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.string]),
      y: _propTypes2.default.oneOfType([_propTypes2.default.number, _propTypes2.default.string])
    }),
    position: _propTypes2.default.shape({
      x: _propTypes2.default.number,
      y: _propTypes2.default.number
    }),
    className: _shims2.dontSetMe,
    style: _shims2.dontSetMe,
    transform: _shims2.dontSetMe
  }));
  _defineProperty2(Draggable2, "defaultProps", _objectSpread3(_objectSpread3({}, _DraggableCore.default.defaultProps), {}, {
    axis: "both",
    bounds: false,
    defaultClassName: "react-draggable",
    defaultClassNameDragging: "react-draggable-dragging",
    defaultClassNameDragged: "react-draggable-dragged",
    defaultPosition: {
      x: 0,
      y: 0
    },
    position: null,
    scale: 1
  }));
})(Draggable$1);
var _require = Draggable$1, Draggable = _require.default, DraggableCore = _require.DraggableCore;
cjs.exports = Draggable;
cjs.exports.default = Draggable;
cjs.exports.DraggableCore = DraggableCore;
var reactResizable = { exports: {} };
var Resizable$1 = {};
var reactDraggable_min = { exports: {} };
(function(module2, exports) {
  !function(t2, e2) {
    module2.exports = e2(React__default, ReactDOM__default);
  }(window, function(t2, e2) {
    return function(t3) {
      var e3 = {};
      function n2(r2) {
        if (e3[r2])
          return e3[r2].exports;
        var o = e3[r2] = { i: r2, l: false, exports: {} };
        return t3[r2].call(o.exports, o, o.exports, n2), o.l = true, o.exports;
      }
      return n2.m = t3, n2.c = e3, n2.d = function(t4, e4, r2) {
        n2.o(t4, e4) || Object.defineProperty(t4, e4, { enumerable: true, get: r2 });
      }, n2.r = function(t4) {
        typeof Symbol != "undefined" && Symbol.toStringTag && Object.defineProperty(t4, Symbol.toStringTag, { value: "Module" }), Object.defineProperty(t4, "__esModule", { value: true });
      }, n2.t = function(t4, e4) {
        if (1 & e4 && (t4 = n2(t4)), 8 & e4)
          return t4;
        if (4 & e4 && typeof t4 == "object" && t4 && t4.__esModule)
          return t4;
        var r2 = /* @__PURE__ */ Object.create(null);
        if (n2.r(r2), Object.defineProperty(r2, "default", { enumerable: true, value: t4 }), 2 & e4 && typeof t4 != "string")
          for (var o in t4)
            n2.d(r2, o, function(e5) {
              return t4[e5];
            }.bind(null, o));
        return r2;
      }, n2.n = function(t4) {
        var e4 = t4 && t4.__esModule ? function() {
          return t4.default;
        } : function() {
          return t4;
        };
        return n2.d(e4, "a", e4), e4;
      }, n2.o = function(t4, e4) {
        return Object.prototype.hasOwnProperty.call(t4, e4);
      }, n2.p = "", n2(n2.s = 4);
    }([function(t3, e3, n2) {
      t3.exports = n2(5)();
    }, function(e3, n2) {
      e3.exports = t2;
    }, function(t3, n2) {
      t3.exports = e2;
    }, function(t3, e3, n2) {
      var r2;
      /*!
        Copyright (c) 2017 Jed Watson.
        Licensed under the MIT License (MIT), see
        http://jedwatson.github.io/classnames
      */
      !function() {
        var n3 = {}.hasOwnProperty;
        function o() {
          for (var t4 = [], e4 = 0; e4 < arguments.length; e4++) {
            var r3 = arguments[e4];
            if (r3) {
              var a = typeof r3;
              if (a === "string" || a === "number")
                t4.push(r3);
              else if (Array.isArray(r3) && r3.length) {
                var i = o.apply(null, r3);
                i && t4.push(i);
              } else if (a === "object")
                for (var s in r3)
                  n3.call(r3, s) && r3[s] && t4.push(s);
            }
          }
          return t4.join(" ");
        }
        t3.exports ? (o.default = o, t3.exports = o) : (r2 = function() {
          return o;
        }.apply(e3, [])) === void 0 || (t3.exports = r2);
      }();
    }, function(t3, e3, n2) {
      var r2 = n2(7), o = r2.default, a = r2.DraggableCore;
      t3.exports = o, t3.exports.default = o, t3.exports.DraggableCore = a;
    }, function(t3, e3, n2) {
      var r2 = n2(6);
      function o() {
      }
      function a() {
      }
      a.resetWarningCache = o, t3.exports = function() {
        function t4(t5, e5, n4, o2, a2, i) {
          if (i !== r2) {
            var s = new Error("Calling PropTypes validators directly is not supported by the `prop-types` package. Use PropTypes.checkPropTypes() to call them. Read more at http://fb.me/use-check-prop-types");
            throw s.name = "Invariant Violation", s;
          }
        }
        function e4() {
          return t4;
        }
        t4.isRequired = t4;
        var n3 = { array: t4, bool: t4, func: t4, number: t4, object: t4, string: t4, symbol: t4, any: t4, arrayOf: e4, element: t4, elementType: t4, instanceOf: e4, node: t4, objectOf: e4, oneOf: e4, oneOfType: e4, shape: e4, exact: e4, checkPropTypes: a, resetWarningCache: o };
        return n3.PropTypes = n3, n3;
      };
    }, function(t3, e3, n2) {
      t3.exports = "SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED";
    }, function(t3, e3, n2) {
      n2.r(e3);
      var r2 = n2(1), o = n2.n(r2), a = n2(0), i = n2.n(a), s = n2(2), u = n2.n(s), c2 = n2(3), l2 = n2.n(c2);
      function f2(t4, e4) {
        for (var n3 = 0, r3 = t4.length; n3 < r3; n3++)
          if (e4.apply(e4, [t4[n3], n3, t4]))
            return t4[n3];
      }
      function p2(t4) {
        return typeof t4 == "function" || Object.prototype.toString.call(t4) === "[object Function]";
      }
      function d2(t4) {
        return typeof t4 == "number" && !isNaN(t4);
      }
      function g2(t4) {
        return parseInt(t4, 10);
      }
      function y2(t4, e4, n3) {
        if (t4[e4])
          return new Error("Invalid prop ".concat(e4, " passed to ").concat(n3, " - do not set this, set it on the child."));
      }
      var h2 = ["Moz", "Webkit", "O", "ms"];
      function b2(t4, e4) {
        return e4 ? "".concat(e4).concat(function(t5) {
          for (var e5 = "", n3 = true, r3 = 0; r3 < t5.length; r3++)
            n3 ? (e5 += t5[r3].toUpperCase(), n3 = false) : t5[r3] === "-" ? n3 = true : e5 += t5[r3];
          return e5;
        }(t4)) : t4;
      }
      var m2 = function() {
        var t4 = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : "transform";
        if (typeof window == "undefined" || window.document === void 0)
          return "";
        var e4 = window.document.documentElement.style;
        if (t4 in e4)
          return "";
        for (var n3 = 0; n3 < h2.length; n3++)
          if (b2(t4, h2[n3]) in e4)
            return h2[n3];
        return "";
      }();
      function v2(t4, e4) {
        var n3 = Object.keys(t4);
        if (Object.getOwnPropertySymbols) {
          var r3 = Object.getOwnPropertySymbols(t4);
          e4 && (r3 = r3.filter(function(e5) {
            return Object.getOwnPropertyDescriptor(t4, e5).enumerable;
          })), n3.push.apply(n3, r3);
        }
        return n3;
      }
      function w2(t4, e4, n3) {
        return e4 in t4 ? Object.defineProperty(t4, e4, { value: n3, enumerable: true, configurable: true, writable: true }) : t4[e4] = n3, t4;
      }
      var O = "";
      function S(t4, e4) {
        return O || (O = f2(["matches", "webkitMatchesSelector", "mozMatchesSelector", "msMatchesSelector", "oMatchesSelector"], function(e5) {
          return p2(t4[e5]);
        })), !!p2(t4[O]) && t4[O](e4);
      }
      function D(t4, e4, n3) {
        var r3 = t4;
        do {
          if (S(r3, e4))
            return true;
          if (r3 === n3)
            return false;
          r3 = r3.parentNode;
        } while (r3);
        return false;
      }
      function x2(t4, e4, n3) {
        t4 && (t4.attachEvent ? t4.attachEvent("on" + e4, n3) : t4.addEventListener ? t4.addEventListener(e4, n3, true) : t4["on" + e4] = n3);
      }
      function P(t4, e4, n3) {
        t4 && (t4.detachEvent ? t4.detachEvent("on" + e4, n3) : t4.removeEventListener ? t4.removeEventListener(e4, n3, true) : t4["on" + e4] = null);
      }
      function j(t4) {
        var e4 = t4.clientHeight, n3 = t4.ownerDocument.defaultView.getComputedStyle(t4);
        return e4 += g2(n3.borderTopWidth), e4 += g2(n3.borderBottomWidth);
      }
      function E(t4) {
        var e4 = t4.clientWidth, n3 = t4.ownerDocument.defaultView.getComputedStyle(t4);
        return e4 += g2(n3.borderLeftWidth), e4 += g2(n3.borderRightWidth);
      }
      function T(t4) {
        var e4 = t4.clientHeight, n3 = t4.ownerDocument.defaultView.getComputedStyle(t4);
        return e4 -= g2(n3.paddingTop), e4 -= g2(n3.paddingBottom);
      }
      function N(t4) {
        var e4 = t4.clientWidth, n3 = t4.ownerDocument.defaultView.getComputedStyle(t4);
        return e4 -= g2(n3.paddingLeft), e4 -= g2(n3.paddingRight);
      }
      function C(t4, e4, n3) {
        var r3 = t4.x, o2 = t4.y, a2 = "translate(".concat(r3).concat(n3, ",").concat(o2).concat(n3, ")");
        if (e4) {
          var i2 = "".concat(typeof e4.x == "string" ? e4.x : e4.x + n3), s2 = "".concat(typeof e4.y == "string" ? e4.y : e4.y + n3);
          a2 = "translate(".concat(i2, ", ").concat(s2, ")") + a2;
        }
        return a2;
      }
      function M(t4) {
        if (t4) {
          var e4, n3, r3 = t4.getElementById("react-draggable-style-el");
          r3 || ((r3 = t4.createElement("style")).type = "text/css", r3.id = "react-draggable-style-el", r3.innerHTML = ".react-draggable-transparent-selection *::-moz-selection {all: inherit;}\n", r3.innerHTML += ".react-draggable-transparent-selection *::selection {all: inherit;}\n", t4.getElementsByTagName("head")[0].appendChild(r3)), t4.body && (e4 = t4.body, n3 = "react-draggable-transparent-selection", e4.classList ? e4.classList.add(n3) : e4.className.match(new RegExp("(?:^|\\s)".concat(n3, "(?!\\S)"))) || (e4.className += " ".concat(n3)));
        }
      }
      function k2(t4) {
        try {
          t4 && t4.body && (e4 = t4.body, n3 = "react-draggable-transparent-selection", e4.classList ? e4.classList.remove(n3) : e4.className = e4.className.replace(new RegExp("(?:^|\\s)".concat(n3, "(?!\\S)"), "g"), "")), t4.selection ? t4.selection.empty() : window.getSelection().removeAllRanges();
        } catch (t5) {
        }
        var e4, n3;
      }
      function _() {
        return function(t4) {
          for (var e4 = 1; e4 < arguments.length; e4++) {
            var n3 = arguments[e4] != null ? arguments[e4] : {};
            e4 % 2 ? v2(n3, true).forEach(function(e5) {
              w2(t4, e5, n3[e5]);
            }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(t4, Object.getOwnPropertyDescriptors(n3)) : v2(n3).forEach(function(e5) {
              Object.defineProperty(t4, e5, Object.getOwnPropertyDescriptor(n3, e5));
            });
          }
          return t4;
        }({ touchAction: "none" }, arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : {});
      }
      function X(t4) {
        return t4.props.axis === "both" || t4.props.axis === "x";
      }
      function Y(t4) {
        return t4.props.axis === "both" || t4.props.axis === "y";
      }
      function L(t4, e4, n3) {
        var r3 = typeof e4 == "number" ? function(t5, e5) {
          return t5.targetTouches && f2(t5.targetTouches, function(t6) {
            return e5 === t6.identifier;
          }) || t5.changedTouches && f2(t5.changedTouches, function(t6) {
            return e5 === t6.identifier;
          });
        }(t4, e4) : null;
        if (typeof e4 == "number" && !r3)
          return null;
        var o2 = I(n3);
        return function(t5, e5, n4) {
          var r4 = e5 === e5.ownerDocument.body ? { left: 0, top: 0 } : e5.getBoundingClientRect();
          return { x: (t5.clientX + e5.scrollLeft - r4.left) / n4, y: (t5.clientY + e5.scrollTop - r4.top) / n4 };
        }(r3 || t4, n3.props.offsetParent || o2.offsetParent || o2.ownerDocument.body, n3.props.scale);
      }
      function R(t4, e4, n3) {
        var r3 = t4.state, o2 = !d2(r3.lastX), a2 = I(t4);
        return o2 ? { node: a2, deltaX: 0, deltaY: 0, lastX: e4, lastY: n3, x: e4, y: n3 } : { node: a2, deltaX: e4 - r3.lastX, deltaY: n3 - r3.lastY, lastX: r3.lastX, lastY: r3.lastY, x: e4, y: n3 };
      }
      function A2(t4, e4) {
        var n3 = t4.props.scale;
        return { node: e4.node, x: t4.state.x + e4.deltaX / n3, y: t4.state.y + e4.deltaY / n3, deltaX: e4.deltaX / n3, deltaY: e4.deltaY / n3, lastX: t4.state.x, lastY: t4.state.y };
      }
      function I(t4) {
        var e4 = u.a.findDOMNode(t4);
        if (!e4)
          throw new Error("<DraggableCore>: Unmounted during event!");
        return e4;
      }
      function U(t4) {
        return (U = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(t5) {
          return typeof t5;
        } : function(t5) {
          return t5 && typeof Symbol == "function" && t5.constructor === Symbol && t5 !== Symbol.prototype ? "symbol" : typeof t5;
        })(t4);
      }
      function V(t4, e4) {
        return function(t5) {
          if (Array.isArray(t5))
            return t5;
        }(t4) || function(t5, e5) {
          var n3 = [], r3 = true, o2 = false, a2 = void 0;
          try {
            for (var i2, s2 = t5[Symbol.iterator](); !(r3 = (i2 = s2.next()).done) && (n3.push(i2.value), !e5 || n3.length !== e5); r3 = true)
              ;
          } catch (t6) {
            o2 = true, a2 = t6;
          } finally {
            try {
              r3 || s2.return == null || s2.return();
            } finally {
              if (o2)
                throw a2;
            }
          }
          return n3;
        }(t4, e4) || function() {
          throw new TypeError("Invalid attempt to destructure non-iterable instance");
        }();
      }
      function W(t4, e4) {
        for (var n3 = 0; n3 < e4.length; n3++) {
          var r3 = e4[n3];
          r3.enumerable = r3.enumerable || false, r3.configurable = true, "value" in r3 && (r3.writable = true), Object.defineProperty(t4, r3.key, r3);
        }
      }
      function B(t4) {
        return (B = Object.setPrototypeOf ? Object.getPrototypeOf : function(t5) {
          return t5.__proto__ || Object.getPrototypeOf(t5);
        })(t4);
      }
      function H(t4) {
        if (t4 === void 0)
          throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
        return t4;
      }
      function q2(t4, e4) {
        return (q2 = Object.setPrototypeOf || function(t5, e5) {
          return t5.__proto__ = e5, t5;
        })(t4, e4);
      }
      function G(t4, e4, n3) {
        return e4 in t4 ? Object.defineProperty(t4, e4, { value: n3, enumerable: true, configurable: true, writable: true }) : t4[e4] = n3, t4;
      }
      var z2 = { touch: { start: "touchstart", move: "touchmove", stop: "touchend" }, mouse: { start: "mousedown", move: "mousemove", stop: "mouseup" } }, F = z2.mouse, J = function(t4) {
        function e4() {
          var t5, n4, r4, o2;
          !function(t6, e5) {
            if (!(t6 instanceof e5))
              throw new TypeError("Cannot call a class as a function");
          }(this, e4);
          for (var a2 = arguments.length, i2 = new Array(a2), s2 = 0; s2 < a2; s2++)
            i2[s2] = arguments[s2];
          return r4 = this, o2 = (t5 = B(e4)).call.apply(t5, [this].concat(i2)), n4 = !o2 || U(o2) !== "object" && typeof o2 != "function" ? H(r4) : o2, G(H(n4), "state", { dragging: false, lastX: NaN, lastY: NaN, touchIdentifier: null }), G(H(n4), "handleDragStart", function(t6) {
            if (n4.props.onMouseDown(t6), !n4.props.allowAnyClick && typeof t6.button == "number" && t6.button !== 0)
              return false;
            var e5 = u.a.findDOMNode(H(n4));
            if (!e5 || !e5.ownerDocument || !e5.ownerDocument.body)
              throw new Error("<DraggableCore> not mounted on DragStart!");
            var r5 = e5.ownerDocument;
            if (!(n4.props.disabled || !(t6.target instanceof r5.defaultView.Node) || n4.props.handle && !D(t6.target, n4.props.handle, e5) || n4.props.cancel && D(t6.target, n4.props.cancel, e5))) {
              var o3 = function(t7) {
                return t7.targetTouches && t7.targetTouches[0] ? t7.targetTouches[0].identifier : t7.changedTouches && t7.changedTouches[0] ? t7.changedTouches[0].identifier : void 0;
              }(t6);
              n4.setState({ touchIdentifier: o3 });
              var a3 = L(t6, o3, H(n4));
              if (a3 != null) {
                var i3 = a3.x, s3 = a3.y, c3 = R(H(n4), i3, s3);
                n4.props.onStart, n4.props.onStart(t6, c3) !== false && (n4.props.enableUserSelectHack && M(r5), n4.setState({ dragging: true, lastX: i3, lastY: s3 }), x2(r5, F.move, n4.handleDrag), x2(r5, F.stop, n4.handleDragStop));
              }
            }
          }), G(H(n4), "handleDrag", function(t6) {
            t6.type === "touchmove" && t6.preventDefault();
            var e5 = L(t6, n4.state.touchIdentifier, H(n4));
            if (e5 != null) {
              var r5, o3, a3, i3 = e5.x, s3 = e5.y;
              if (Array.isArray(n4.props.grid)) {
                var u2 = i3 - n4.state.lastX, c3 = s3 - n4.state.lastY, l3 = V((r5 = n4.props.grid, o3 = u2, a3 = c3, [Math.round(o3 / r5[0]) * r5[0], Math.round(a3 / r5[1]) * r5[1]]), 2);
                if (u2 = l3[0], c3 = l3[1], !u2 && !c3)
                  return;
                i3 = n4.state.lastX + u2, s3 = n4.state.lastY + c3;
              }
              var f3 = R(H(n4), i3, s3);
              if (n4.props.onDrag(t6, f3) !== false)
                n4.setState({ lastX: i3, lastY: s3 });
              else
                try {
                  n4.handleDragStop(new MouseEvent("mouseup"));
                } catch (t7) {
                  var p3 = document.createEvent("MouseEvents");
                  p3.initMouseEvent("mouseup", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null), n4.handleDragStop(p3);
                }
            }
          }), G(H(n4), "handleDragStop", function(t6) {
            if (n4.state.dragging) {
              var e5 = L(t6, n4.state.touchIdentifier, H(n4));
              if (e5 != null) {
                var r5 = e5.x, o3 = e5.y, a3 = R(H(n4), r5, o3), i3 = u.a.findDOMNode(H(n4));
                i3 && n4.props.enableUserSelectHack && k2(i3.ownerDocument), n4.setState({ dragging: false, lastX: NaN, lastY: NaN }), n4.props.onStop(t6, a3), i3 && (P(i3.ownerDocument, F.move, n4.handleDrag), P(i3.ownerDocument, F.stop, n4.handleDragStop));
              }
            }
          }), G(H(n4), "onMouseDown", function(t6) {
            return F = z2.mouse, n4.handleDragStart(t6);
          }), G(H(n4), "onMouseUp", function(t6) {
            return F = z2.mouse, n4.handleDragStop(t6);
          }), G(H(n4), "onTouchStart", function(t6) {
            return F = z2.touch, n4.handleDragStart(t6);
          }), G(H(n4), "onTouchEnd", function(t6) {
            return F = z2.touch, n4.handleDragStop(t6);
          }), n4;
        }
        var n3, r3;
        return function(t5, e5) {
          if (typeof e5 != "function" && e5 !== null)
            throw new TypeError("Super expression must either be null or a function");
          t5.prototype = Object.create(e5 && e5.prototype, { constructor: { value: t5, writable: true, configurable: true } }), e5 && q2(t5, e5);
        }(e4, o.a.Component), n3 = e4, (r3 = [{ key: "componentWillUnmount", value: function() {
          var t5 = u.a.findDOMNode(this);
          if (t5) {
            var e5 = t5.ownerDocument;
            P(e5, z2.mouse.move, this.handleDrag), P(e5, z2.touch.move, this.handleDrag), P(e5, z2.mouse.stop, this.handleDragStop), P(e5, z2.touch.stop, this.handleDragStop), this.props.enableUserSelectHack && k2(e5);
          }
        } }, { key: "render", value: function() {
          return o.a.cloneElement(o.a.Children.only(this.props.children), { style: _(this.props.children.props.style), onMouseDown: this.onMouseDown, onTouchStart: this.onTouchStart, onMouseUp: this.onMouseUp, onTouchEnd: this.onTouchEnd });
        } }]) && W(n3.prototype, r3), e4;
      }();
      function K(t4) {
        return (K = typeof Symbol == "function" && typeof Symbol.iterator == "symbol" ? function(t5) {
          return typeof t5;
        } : function(t5) {
          return t5 && typeof Symbol == "function" && t5.constructor === Symbol && t5 !== Symbol.prototype ? "symbol" : typeof t5;
        })(t4);
      }
      function Q() {
        return (Q = Object.assign || function(t4) {
          for (var e4 = 1; e4 < arguments.length; e4++) {
            var n3 = arguments[e4];
            for (var r3 in n3)
              Object.prototype.hasOwnProperty.call(n3, r3) && (t4[r3] = n3[r3]);
          }
          return t4;
        }).apply(this, arguments);
      }
      function Z(t4, e4) {
        if (t4 == null)
          return {};
        var n3, r3, o2 = function(t5, e5) {
          if (t5 == null)
            return {};
          var n4, r4, o3 = {}, a3 = Object.keys(t5);
          for (r4 = 0; r4 < a3.length; r4++)
            n4 = a3[r4], e5.indexOf(n4) >= 0 || (o3[n4] = t5[n4]);
          return o3;
        }(t4, e4);
        if (Object.getOwnPropertySymbols) {
          var a2 = Object.getOwnPropertySymbols(t4);
          for (r3 = 0; r3 < a2.length; r3++)
            n3 = a2[r3], e4.indexOf(n3) >= 0 || Object.prototype.propertyIsEnumerable.call(t4, n3) && (o2[n3] = t4[n3]);
        }
        return o2;
      }
      function $(t4, e4) {
        return function(t5) {
          if (Array.isArray(t5))
            return t5;
        }(t4) || function(t5, e5) {
          var n3 = [], r3 = true, o2 = false, a2 = void 0;
          try {
            for (var i2, s2 = t5[Symbol.iterator](); !(r3 = (i2 = s2.next()).done) && (n3.push(i2.value), !e5 || n3.length !== e5); r3 = true)
              ;
          } catch (t6) {
            o2 = true, a2 = t6;
          } finally {
            try {
              r3 || s2.return == null || s2.return();
            } finally {
              if (o2)
                throw a2;
            }
          }
          return n3;
        }(t4, e4) || function() {
          throw new TypeError("Invalid attempt to destructure non-iterable instance");
        }();
      }
      function tt(t4, e4) {
        var n3 = Object.keys(t4);
        if (Object.getOwnPropertySymbols) {
          var r3 = Object.getOwnPropertySymbols(t4);
          e4 && (r3 = r3.filter(function(e5) {
            return Object.getOwnPropertyDescriptor(t4, e5).enumerable;
          })), n3.push.apply(n3, r3);
        }
        return n3;
      }
      function et(t4) {
        for (var e4 = 1; e4 < arguments.length; e4++) {
          var n3 = arguments[e4] != null ? arguments[e4] : {};
          e4 % 2 ? tt(n3, true).forEach(function(e5) {
            st(t4, e5, n3[e5]);
          }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(t4, Object.getOwnPropertyDescriptors(n3)) : tt(n3).forEach(function(e5) {
            Object.defineProperty(t4, e5, Object.getOwnPropertyDescriptor(n3, e5));
          });
        }
        return t4;
      }
      function nt(t4) {
        return (nt = Object.setPrototypeOf ? Object.getPrototypeOf : function(t5) {
          return t5.__proto__ || Object.getPrototypeOf(t5);
        })(t4);
      }
      function rt(t4) {
        if (t4 === void 0)
          throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
        return t4;
      }
      function ot(t4, e4) {
        for (var n3 = 0; n3 < e4.length; n3++) {
          var r3 = e4[n3];
          r3.enumerable = r3.enumerable || false, r3.configurable = true, "value" in r3 && (r3.writable = true), Object.defineProperty(t4, r3.key, r3);
        }
      }
      function at2(t4, e4, n3) {
        return e4 && ot(t4.prototype, e4), n3 && ot(t4, n3), t4;
      }
      function it(t4, e4) {
        return (it = Object.setPrototypeOf || function(t5, e5) {
          return t5.__proto__ = e5, t5;
        })(t4, e4);
      }
      function st(t4, e4, n3) {
        return e4 in t4 ? Object.defineProperty(t4, e4, { value: n3, enumerable: true, configurable: true, writable: true }) : t4[e4] = n3, t4;
      }
      G(J, "displayName", "DraggableCore"), G(J, "propTypes", { allowAnyClick: i.a.bool, disabled: i.a.bool, enableUserSelectHack: i.a.bool, offsetParent: function(t4, e4) {
        if (t4[e4] && t4[e4].nodeType !== 1)
          throw new Error("Draggable's offsetParent must be a DOM Node.");
      }, grid: i.a.arrayOf(i.a.number), handle: i.a.string, cancel: i.a.string, onStart: i.a.func, onDrag: i.a.func, onStop: i.a.func, onMouseDown: i.a.func, scale: i.a.number, className: y2, style: y2, transform: y2 }), G(J, "defaultProps", { allowAnyClick: false, cancel: null, disabled: false, enableUserSelectHack: true, offsetParent: null, handle: null, grid: null, transform: null, onStart: function() {
      }, onDrag: function() {
      }, onStop: function() {
      }, onMouseDown: function() {
      }, scale: 1 }), n2.d(e3, "default", function() {
        return ut;
      }), n2.d(e3, "DraggableCore", function() {
        return J;
      });
      var ut = function(t4) {
        function e4(t5) {
          var n3, r3, o2;
          return function(t6, e5) {
            if (!(t6 instanceof e5))
              throw new TypeError("Cannot call a class as a function");
          }(this, e4), r3 = this, o2 = nt(e4).call(this, t5), n3 = !o2 || K(o2) !== "object" && typeof o2 != "function" ? rt(r3) : o2, st(rt(n3), "onDragStart", function(t6, e5) {
            if (n3.props.onStart(t6, A2(rt(n3), e5)) === false)
              return false;
            n3.setState({ dragging: true, dragged: true });
          }), st(rt(n3), "onDrag", function(t6, e5) {
            if (!n3.state.dragging)
              return false;
            var r4 = A2(rt(n3), e5), o3 = { x: r4.x, y: r4.y };
            if (n3.props.bounds) {
              var a2 = o3.x, i2 = o3.y;
              o3.x += n3.state.slackX, o3.y += n3.state.slackY;
              var s2 = $(function(t7, e6, n4) {
                if (!t7.props.bounds)
                  return [e6, n4];
                var r5 = t7.props.bounds;
                r5 = typeof r5 == "string" ? r5 : function(t8) {
                  return { left: t8.left, top: t8.top, right: t8.right, bottom: t8.bottom };
                }(r5);
                var o4 = I(t7);
                if (typeof r5 == "string") {
                  var a3, i3 = o4.ownerDocument, s3 = i3.defaultView;
                  if (!((a3 = r5 === "parent" ? o4.parentNode : i3.querySelector(r5)) instanceof s3.HTMLElement))
                    throw new Error('Bounds selector "' + r5 + '" could not find an element.');
                  var u3 = s3.getComputedStyle(o4), c4 = s3.getComputedStyle(a3);
                  r5 = { left: -o4.offsetLeft + g2(c4.paddingLeft) + g2(u3.marginLeft), top: -o4.offsetTop + g2(c4.paddingTop) + g2(u3.marginTop), right: N(a3) - E(o4) - o4.offsetLeft + g2(c4.paddingRight) - g2(u3.marginRight), bottom: T(a3) - j(o4) - o4.offsetTop + g2(c4.paddingBottom) - g2(u3.marginBottom) };
                }
                return d2(r5.right) && (e6 = Math.min(e6, r5.right)), d2(r5.bottom) && (n4 = Math.min(n4, r5.bottom)), d2(r5.left) && (e6 = Math.max(e6, r5.left)), d2(r5.top) && (n4 = Math.max(n4, r5.top)), [e6, n4];
              }(rt(n3), o3.x, o3.y), 2), u2 = s2[0], c3 = s2[1];
              o3.x = u2, o3.y = c3, o3.slackX = n3.state.slackX + (a2 - o3.x), o3.slackY = n3.state.slackY + (i2 - o3.y), r4.x = o3.x, r4.y = o3.y, r4.deltaX = o3.x - n3.state.x, r4.deltaY = o3.y - n3.state.y;
            }
            if (n3.props.onDrag(t6, r4) === false)
              return false;
            n3.setState(o3);
          }), st(rt(n3), "onDragStop", function(t6, e5) {
            if (!n3.state.dragging)
              return false;
            if (n3.props.onStop(t6, A2(rt(n3), e5)) === false)
              return false;
            var r4 = { dragging: false, slackX: 0, slackY: 0 };
            if (Boolean(n3.props.position)) {
              var o3 = n3.props.position, a2 = o3.x, i2 = o3.y;
              r4.x = a2, r4.y = i2;
            }
            n3.setState(r4);
          }), n3.state = { dragging: false, dragged: false, x: t5.position ? t5.position.x : t5.defaultPosition.x, y: t5.position ? t5.position.y : t5.defaultPosition.y, prevPropsPosition: et({}, t5.position), slackX: 0, slackY: 0, isElementSVG: false }, !t5.position || t5.onDrag || t5.onStop || console.warn("A `position` was applied to this <Draggable>, without drag handlers. This will make this component effectively undraggable. Please attach `onDrag` or `onStop` handlers so you can adjust the `position` of this element."), n3;
        }
        return function(t5, e5) {
          if (typeof e5 != "function" && e5 !== null)
            throw new TypeError("Super expression must either be null or a function");
          t5.prototype = Object.create(e5 && e5.prototype, { constructor: { value: t5, writable: true, configurable: true } }), e5 && it(t5, e5);
        }(e4, o.a.Component), at2(e4, null, [{ key: "getDerivedStateFromProps", value: function(t5, e5) {
          var n3 = t5.position, r3 = e5.prevPropsPosition;
          return !n3 || r3 && n3.x === r3.x && n3.y === r3.y ? null : { x: n3.x, y: n3.y, prevPropsPosition: et({}, n3) };
        } }]), at2(e4, [{ key: "componentDidMount", value: function() {
          window.SVGElement !== void 0 && u.a.findDOMNode(this) instanceof window.SVGElement && this.setState({ isElementSVG: true });
        } }, { key: "componentWillUnmount", value: function() {
          this.setState({ dragging: false });
        } }, { key: "render", value: function() {
          var t5, e5 = this.props, n3 = (e5.axis, e5.bounds, e5.children), r3 = e5.defaultPosition, a2 = e5.defaultClassName, i2 = e5.defaultClassNameDragging, s2 = e5.defaultClassNameDragged, u2 = e5.position, c3 = e5.positionOffset, f3 = (e5.scale, Z(e5, ["axis", "bounds", "children", "defaultPosition", "defaultClassName", "defaultClassNameDragging", "defaultClassNameDragged", "position", "positionOffset", "scale"])), p3 = {}, d3 = null, g3 = !Boolean(u2) || this.state.dragging, y3 = u2 || r3, h3 = { x: X(this) && g3 ? this.state.x : y3.x, y: Y(this) && g3 ? this.state.y : y3.y };
          this.state.isElementSVG ? d3 = function(t6, e6) {
            return C(t6, e6, "");
          }(h3, c3) : p3 = function(t6, e6) {
            var n4 = C(t6, e6, "px");
            return w2({}, b2("transform", m2), n4);
          }(h3, c3);
          var v3 = l2()(n3.props.className || "", a2, (st(t5 = {}, i2, this.state.dragging), st(t5, s2, this.state.dragged), t5));
          return o.a.createElement(J, Q({}, f3, { onStart: this.onDragStart, onDrag: this.onDrag, onStop: this.onDragStop }), o.a.cloneElement(o.a.Children.only(n3), { className: v3, style: et({}, n3.props.style, {}, p3), transform: d3 }));
        } }]), e4;
      }();
      st(ut, "displayName", "Draggable"), st(ut, "propTypes", et({}, J.propTypes, { axis: i.a.oneOf(["both", "x", "y", "none"]), bounds: i.a.oneOfType([i.a.shape({ left: i.a.number, right: i.a.number, top: i.a.number, bottom: i.a.number }), i.a.string, i.a.oneOf([false])]), defaultClassName: i.a.string, defaultClassNameDragging: i.a.string, defaultClassNameDragged: i.a.string, defaultPosition: i.a.shape({ x: i.a.number, y: i.a.number }), positionOffset: i.a.shape({ x: i.a.oneOfType([i.a.number, i.a.string]), y: i.a.oneOfType([i.a.number, i.a.string]) }), position: i.a.shape({ x: i.a.number, y: i.a.number }), className: y2, style: y2, transform: y2 })), st(ut, "defaultProps", et({}, J.defaultProps, { axis: "both", bounds: false, defaultClassName: "react-draggable", defaultClassNameDragging: "react-draggable-dragging", defaultClassNameDragged: "react-draggable-dragged", defaultPosition: { x: 0, y: 0 }, position: null, scale: 1 }));
    }]);
  });
})(reactDraggable_min);
var utils = {};
utils.__esModule = true;
utils.cloneElement = cloneElement;
var _react$5 = _interopRequireDefault$7(React__default);
function _interopRequireDefault$7(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
function ownKeys$4(object, enumerableOnly) {
  var keys2 = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly)
      symbols = symbols.filter(function(sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      });
    keys2.push.apply(keys2, symbols);
  }
  return keys2;
}
function _objectSpread$4(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};
    if (i % 2) {
      ownKeys$4(source, true).forEach(function(key) {
        _defineProperty$7(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys$4(source).forEach(function(key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }
  return target;
}
function _defineProperty$7(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
function cloneElement(element, props) {
  if (props.style && element.props.style) {
    props.style = _objectSpread$4({}, element.props.style, {}, props.style);
  }
  if (props.className && element.props.className) {
    props.className = element.props.className + " " + props.className;
  }
  return _react$5.default.cloneElement(element, props);
}
Resizable$1.__esModule = true;
Resizable$1.default = void 0;
var _react$4 = _interopRequireDefault$6(React__default);
var _propTypes$5 = _interopRequireDefault$6(propTypes.exports);
var _reactDraggable$1 = reactDraggable_min.exports;
var _utils$4 = utils;
function _interopRequireDefault$6(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
function _extends$3() {
  _extends$3 = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends$3.apply(this, arguments);
}
function ownKeys$3(object, enumerableOnly) {
  var keys2 = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly)
      symbols = symbols.filter(function(sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      });
    keys2.push.apply(keys2, symbols);
  }
  return keys2;
}
function _objectSpread$3(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};
    if (i % 2) {
      ownKeys$3(source, true).forEach(function(key) {
        _defineProperty$6(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys$3(source).forEach(function(key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }
  return target;
}
function _objectWithoutPropertiesLoose$3(source, excluded) {
  if (source == null)
    return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0)
      continue;
    target[key] = source[key];
  }
  return target;
}
function _assertThisInitialized$5(self2) {
  if (self2 === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return self2;
}
function _inheritsLoose$1(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;
  subClass.__proto__ = superClass;
}
function _defineProperty$6(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
var Resizable = /* @__PURE__ */ function(_React$Component) {
  _inheritsLoose$1(Resizable2, _React$Component);
  function Resizable2() {
    var _this;
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;
    _defineProperty$6(_assertThisInitialized$5(_this), "state", {
      slackW: 0,
      slackH: 0
    });
    return _this;
  }
  var _proto = Resizable2.prototype;
  _proto.lockAspectRatio = function lockAspectRatio(width, height, aspectRatio) {
    height = width / aspectRatio;
    width = height * aspectRatio;
    return [width, height];
  };
  _proto.runConstraints = function runConstraints(width, height) {
    var _ref = [this.props.minConstraints, this.props.maxConstraints], min = _ref[0], max = _ref[1];
    if (!min && !max)
      return [width, height];
    if (this.props.lockAspectRatio) {
      if (height === this.props.height) {
        var ratio = this.props.width / this.props.height;
        height = width / ratio;
        width = height * ratio;
      } else {
        var _ratio = this.props.height / this.props.width;
        width = height / _ratio;
        height = width * _ratio;
      }
    }
    var oldW = width, oldH = height;
    var _this$state = this.state, slackW = _this$state.slackW, slackH = _this$state.slackH;
    width += slackW;
    height += slackH;
    if (min) {
      width = Math.max(min[0], width);
      height = Math.max(min[1], height);
    }
    if (max) {
      width = Math.min(max[0], width);
      height = Math.min(max[1], height);
    }
    slackW += oldW - width;
    slackH += oldH - height;
    if (slackW !== this.state.slackW || slackH !== this.state.slackH) {
      this.setState({
        slackW,
        slackH
      });
    }
    return [width, height];
  };
  _proto.resizeHandler = function resizeHandler(handlerName, axis) {
    var _this2 = this;
    return function(e2, _ref2) {
      var node = _ref2.node, deltaX = _ref2.deltaX, deltaY = _ref2.deltaY;
      deltaX /= _this2.props.transformScale;
      deltaY /= _this2.props.transformScale;
      var canDragX2 = (_this2.props.axis === "both" || _this2.props.axis === "x") && ["n", "s"].indexOf(axis) === -1;
      var canDragY2 = (_this2.props.axis === "both" || _this2.props.axis === "y") && ["e", "w"].indexOf(axis) === -1;
      if (canDragX2 && axis[axis.length - 1] === "w") {
        deltaX = -deltaX;
      }
      if (canDragY2 && axis[0] === "n") {
        deltaY = -deltaY;
      }
      var width = _this2.props.width + (canDragX2 ? deltaX : 0);
      var height = _this2.props.height + (canDragY2 ? deltaY : 0);
      var widthChanged = width !== _this2.props.width, heightChanged = height !== _this2.props.height;
      if (handlerName === "onResize" && !widthChanged && !heightChanged)
        return;
      var _this2$runConstraints = _this2.runConstraints(width, height);
      width = _this2$runConstraints[0];
      height = _this2$runConstraints[1];
      var newState = {};
      if (handlerName === "onResizeStart")
        ;
      else if (handlerName === "onResizeStop") {
        newState.slackW = newState.slackH = 0;
      } else {
        if (width === _this2.props.width && height === _this2.props.height)
          return;
      }
      var hasCb = typeof _this2.props[handlerName] === "function";
      if (hasCb) {
        if (typeof e2.persist === "function")
          e2.persist();
        _this2.setState(newState, function() {
          return _this2.props[handlerName](e2, {
            node,
            size: {
              width,
              height
            },
            handle: axis
          });
        });
      } else {
        _this2.setState(newState);
      }
    };
  };
  _proto.renderResizeHandle = function renderResizeHandle(resizeHandle) {
    var handle = this.props.handle;
    if (handle) {
      if (typeof handle === "function") {
        return handle(resizeHandle);
      }
      return handle;
    }
    return _react$4.default.createElement("span", {
      className: "react-resizable-handle react-resizable-handle-" + resizeHandle
    });
  };
  _proto.render = function render() {
    var _this3 = this;
    var _this$props = this.props, children2 = _this$props.children, draggableOpts = _this$props.draggableOpts;
    _this$props.width;
    _this$props.height;
    _this$props.handleSize;
    _this$props.lockAspectRatio;
    _this$props.axis;
    _this$props.minConstraints;
    _this$props.maxConstraints;
    _this$props.onResize;
    _this$props.onResizeStop;
    _this$props.onResizeStart;
    var resizeHandles = _this$props.resizeHandles;
    _this$props.transformScale;
    var p2 = _objectWithoutPropertiesLoose$3(_this$props, ["children", "draggableOpts", "width", "height", "handleSize", "lockAspectRatio", "axis", "minConstraints", "maxConstraints", "onResize", "onResizeStop", "onResizeStart", "resizeHandles", "transformScale"]);
    var className = p2.className ? p2.className + " react-resizable" : "react-resizable";
    return (0, _utils$4.cloneElement)(children2, _objectSpread$3({}, p2, {
      className,
      children: [children2.props.children, resizeHandles.map(function(h2) {
        return _react$4.default.createElement(_reactDraggable$1.DraggableCore, _extends$3({}, draggableOpts, {
          key: "resizableHandle-" + h2,
          onStop: _this3.resizeHandler("onResizeStop", h2),
          onStart: _this3.resizeHandler("onResizeStart", h2),
          onDrag: _this3.resizeHandler("onResize", h2)
        }), _this3.renderResizeHandle(h2));
      })]
    }));
  };
  return Resizable2;
}(_react$4.default.Component);
Resizable$1.default = Resizable;
_defineProperty$6(Resizable, "propTypes", {
  children: _propTypes$5.default.element.isRequired,
  width: _propTypes$5.default.number.isRequired,
  height: _propTypes$5.default.number.isRequired,
  handle: _propTypes$5.default.element,
  handleSize: _propTypes$5.default.array,
  resizeHandles: _propTypes$5.default.arrayOf(_propTypes$5.default.oneOf(["s", "w", "e", "n", "sw", "nw", "se", "ne"])),
  transformScale: _propTypes$5.default.number,
  lockAspectRatio: _propTypes$5.default.bool,
  axis: _propTypes$5.default.oneOf(["both", "x", "y", "none"]),
  minConstraints: _propTypes$5.default.arrayOf(_propTypes$5.default.number),
  maxConstraints: _propTypes$5.default.arrayOf(_propTypes$5.default.number),
  onResizeStop: _propTypes$5.default.func,
  onResizeStart: _propTypes$5.default.func,
  onResize: _propTypes$5.default.func,
  draggableOpts: _propTypes$5.default.object
});
_defineProperty$6(Resizable, "defaultProps", {
  handleSize: [20, 20],
  lockAspectRatio: false,
  axis: "both",
  minConstraints: [20, 20],
  maxConstraints: [Infinity, Infinity],
  resizeHandles: ["se"],
  transformScale: 1
});
var ResizableBox$1 = {};
ResizableBox$1.__esModule = true;
ResizableBox$1.default = void 0;
var _react$3 = _interopRequireDefault$5(React__default);
var _propTypes$4 = _interopRequireDefault$5(propTypes.exports);
var _Resizable = _interopRequireDefault$5(Resizable$1);
function _interopRequireDefault$5(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
function _extends$2() {
  _extends$2 = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends$2.apply(this, arguments);
}
function _objectWithoutPropertiesLoose$2(source, excluded) {
  if (source == null)
    return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0)
      continue;
    target[key] = source[key];
  }
  return target;
}
function _assertThisInitialized$4(self2) {
  if (self2 === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return self2;
}
function _inheritsLoose(subClass, superClass) {
  subClass.prototype = Object.create(superClass.prototype);
  subClass.prototype.constructor = subClass;
  subClass.__proto__ = superClass;
}
function _defineProperty$5(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
var ResizableBox = /* @__PURE__ */ function(_React$Component) {
  _inheritsLoose(ResizableBox2, _React$Component);
  function ResizableBox2() {
    var _this;
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _React$Component.call.apply(_React$Component, [this].concat(args)) || this;
    _defineProperty$5(_assertThisInitialized$4(_this), "state", {
      width: _this.props.width,
      height: _this.props.height,
      propsWidth: _this.props.width,
      propsHeight: _this.props.height
    });
    _defineProperty$5(_assertThisInitialized$4(_this), "onResize", function(e2, data2) {
      var size = data2.size;
      size.width;
      size.height;
      if (_this.props.onResize) {
        e2.persist && e2.persist();
        _this.setState(size, function() {
          return _this.props.onResize && _this.props.onResize(e2, data2);
        });
      } else {
        _this.setState(size);
      }
    });
    return _this;
  }
  ResizableBox2.getDerivedStateFromProps = function getDerivedStateFromProps(props, state) {
    if (state.propsWidth !== props.width || state.propsHeight !== props.height) {
      return {
        width: props.width,
        height: props.height,
        propsWidth: props.width,
        propsHeight: props.height
      };
    }
    return null;
  };
  var _proto = ResizableBox2.prototype;
  _proto.render = function render() {
    var _this$props = this.props, handle = _this$props.handle, handleSize = _this$props.handleSize;
    _this$props.onResize;
    var onResizeStart = _this$props.onResizeStart, onResizeStop = _this$props.onResizeStop, draggableOpts = _this$props.draggableOpts, minConstraints = _this$props.minConstraints, maxConstraints = _this$props.maxConstraints, lockAspectRatio = _this$props.lockAspectRatio, axis = _this$props.axis;
    _this$props.width;
    _this$props.height;
    var resizeHandles = _this$props.resizeHandles, props = _objectWithoutPropertiesLoose$2(_this$props, ["handle", "handleSize", "onResize", "onResizeStart", "onResizeStop", "draggableOpts", "minConstraints", "maxConstraints", "lockAspectRatio", "axis", "width", "height", "resizeHandles"]);
    return _react$3.default.createElement(_Resizable.default, {
      handle,
      handleSize,
      width: this.state.width,
      height: this.state.height,
      onResizeStart,
      onResize: this.onResize,
      onResizeStop,
      draggableOpts,
      minConstraints,
      maxConstraints,
      lockAspectRatio,
      axis,
      resizeHandles
    }, _react$3.default.createElement("div", _extends$2({
      style: {
        width: this.state.width + "px",
        height: this.state.height + "px"
      }
    }, props)));
  };
  return ResizableBox2;
}(_react$3.default.Component);
ResizableBox$1.default = ResizableBox;
_defineProperty$5(ResizableBox, "propTypes", {
  height: _propTypes$4.default.number,
  width: _propTypes$4.default.number
});
_defineProperty$5(ResizableBox, "defaultProps", {
  handleSize: [20, 20]
});
reactResizable.exports = function() {
  throw new Error("Don't instantiate Resizable directly! Use require('react-resizable').Resizable");
};
reactResizable.exports.Resizable = Resizable$1.default;
reactResizable.exports.ResizableBox = ResizableBox$1.default;
Object.defineProperty(GridItem$1, "__esModule", {
  value: true
});
GridItem$1.default = void 0;
var _react$2 = _interopRequireDefault$4(React__default);
var _reactDom$1 = _interopRequireDefault$4(ReactDOM__default);
var _propTypes$3 = _interopRequireDefault$4(propTypes.exports);
var _reactDraggable = cjs.exports;
var _reactResizable = reactResizable.exports;
var _utils$3 = utils$1;
var _calculateUtils$1 = calculateUtils;
var _classnames$1 = _interopRequireDefault$4(classnames.exports);
function _interopRequireDefault$4(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
function _typeof$3(obj) {
  "@babel/helpers - typeof";
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof$3 = function _typeof2(obj2) {
      return typeof obj2;
    };
  } else {
    _typeof$3 = function _typeof2(obj2) {
      return obj2 && typeof Symbol === "function" && obj2.constructor === Symbol && obj2 !== Symbol.prototype ? "symbol" : typeof obj2;
    };
  }
  return _typeof$3(obj);
}
function ownKeys$2(object, enumerableOnly) {
  var keys2 = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly)
      symbols = symbols.filter(function(sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      });
    keys2.push.apply(keys2, symbols);
  }
  return keys2;
}
function _objectSpread$2(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};
    if (i % 2) {
      ownKeys$2(Object(source), true).forEach(function(key) {
        _defineProperty$4(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys$2(Object(source)).forEach(function(key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }
  return target;
}
function _classCallCheck$3(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}
function _defineProperties$3(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor)
      descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}
function _createClass$3(Constructor, protoProps, staticProps) {
  if (protoProps)
    _defineProperties$3(Constructor.prototype, protoProps);
  if (staticProps)
    _defineProperties$3(Constructor, staticProps);
  return Constructor;
}
function _inherits$3(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }
  subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });
  if (superClass)
    _setPrototypeOf$3(subClass, superClass);
}
function _setPrototypeOf$3(o, p2) {
  _setPrototypeOf$3 = Object.setPrototypeOf || function _setPrototypeOf2(o2, p3) {
    o2.__proto__ = p3;
    return o2;
  };
  return _setPrototypeOf$3(o, p2);
}
function _createSuper$3(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct$3();
  return function _createSuperInternal() {
    var Super = _getPrototypeOf$3(Derived), result;
    if (hasNativeReflectConstruct) {
      var NewTarget = _getPrototypeOf$3(this).constructor;
      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }
    return _possibleConstructorReturn$3(this, result);
  };
}
function _possibleConstructorReturn$3(self2, call) {
  if (call && (_typeof$3(call) === "object" || typeof call === "function")) {
    return call;
  }
  return _assertThisInitialized$3(self2);
}
function _assertThisInitialized$3(self2) {
  if (self2 === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return self2;
}
function _isNativeReflectConstruct$3() {
  if (typeof Reflect === "undefined" || !Reflect.construct)
    return false;
  if (Reflect.construct.sham)
    return false;
  if (typeof Proxy === "function")
    return true;
  try {
    Date.prototype.toString.call(Reflect.construct(Date, [], function() {
    }));
    return true;
  } catch (e2) {
    return false;
  }
}
function _getPrototypeOf$3(o) {
  _getPrototypeOf$3 = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf2(o2) {
    return o2.__proto__ || Object.getPrototypeOf(o2);
  };
  return _getPrototypeOf$3(o);
}
function _defineProperty$4(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
var GridItem = /* @__PURE__ */ function(_React$Component) {
  _inherits$3(GridItem2, _React$Component);
  var _super = _createSuper$3(GridItem2);
  function GridItem2() {
    var _this;
    _classCallCheck$3(this, GridItem2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty$4(_assertThisInitialized$3(_this), "state", {
      resizing: null,
      dragging: null,
      className: ""
    });
    _defineProperty$4(_assertThisInitialized$3(_this), "currentNode", void 0);
    _defineProperty$4(_assertThisInitialized$3(_this), "onDragStart", function(e2, _ref) {
      var node = _ref.node;
      var onDragStart = _this.props.onDragStart;
      if (!onDragStart)
        return;
      var newPosition = {
        top: 0,
        left: 0
      };
      var offsetParent2 = node.offsetParent;
      if (!offsetParent2)
        return;
      var parentRect = offsetParent2.getBoundingClientRect();
      var clientRect = node.getBoundingClientRect();
      var cLeft = clientRect.left / _this.props.transformScale;
      var pLeft = parentRect.left / _this.props.transformScale;
      var cTop = clientRect.top / _this.props.transformScale;
      var pTop = parentRect.top / _this.props.transformScale;
      newPosition.left = cLeft - pLeft + offsetParent2.scrollLeft;
      newPosition.top = cTop - pTop + offsetParent2.scrollTop;
      _this.setState({
        dragging: newPosition
      });
      var _calcXY = (0, _calculateUtils$1.calcXY)(_this.getPositionParams(), newPosition.top, newPosition.left, _this.props.w, _this.props.h), x2 = _calcXY.x, y2 = _calcXY.y;
      return onDragStart.call(_assertThisInitialized$3(_this), _this.props.i, x2, y2, {
        e: e2,
        node,
        newPosition
      });
    });
    _defineProperty$4(_assertThisInitialized$3(_this), "onDrag", function(e2, _ref2) {
      var node = _ref2.node, deltaX = _ref2.deltaX, deltaY = _ref2.deltaY;
      var _this$props = _this.props, onDrag2 = _this$props.onDrag, transformScale = _this$props.transformScale;
      if (!onDrag2)
        return;
      deltaX /= transformScale;
      deltaY /= transformScale;
      if (!_this.state.dragging) {
        throw new Error("onDrag called before onDragStart.");
      }
      var top = _this.state.dragging.top + deltaY;
      var left = _this.state.dragging.left + deltaX;
      var _this$props2 = _this.props, isBounded = _this$props2.isBounded, i = _this$props2.i, w2 = _this$props2.w, h2 = _this$props2.h, containerWidth = _this$props2.containerWidth;
      var positionParams = _this.getPositionParams();
      if (isBounded) {
        var offsetParent2 = node.offsetParent;
        if (offsetParent2) {
          var _this$props3 = _this.props, margin2 = _this$props3.margin, rowHeight = _this$props3.rowHeight;
          var bottomBoundary = offsetParent2.clientHeight - (0, _calculateUtils$1.calcGridItemWHPx)(h2, rowHeight, margin2[1]);
          top = (0, _calculateUtils$1.clamp)(top, 0, bottomBoundary);
          var colWidth = (0, _calculateUtils$1.calcGridColWidth)(positionParams);
          var rightBoundary = containerWidth - (0, _calculateUtils$1.calcGridItemWHPx)(w2, colWidth, margin2[0]);
          left = (0, _calculateUtils$1.clamp)(left, 0, rightBoundary);
        }
      }
      var newPosition = {
        top,
        left
      };
      _this.setState({
        dragging: newPosition
      });
      var _calcXY2 = (0, _calculateUtils$1.calcXY)(positionParams, top, left, w2, h2), x2 = _calcXY2.x, y2 = _calcXY2.y;
      return onDrag2.call(_assertThisInitialized$3(_this), i, x2, y2, {
        e: e2,
        node,
        newPosition
      });
    });
    _defineProperty$4(_assertThisInitialized$3(_this), "onDragStop", function(e2, _ref3) {
      var node = _ref3.node;
      var onDragStop = _this.props.onDragStop;
      if (!onDragStop)
        return;
      if (!_this.state.dragging) {
        throw new Error("onDragEnd called before onDragStart.");
      }
      var _this$props4 = _this.props, w2 = _this$props4.w, h2 = _this$props4.h, i = _this$props4.i;
      var _this$state$dragging = _this.state.dragging, left = _this$state$dragging.left, top = _this$state$dragging.top;
      var newPosition = {
        top,
        left
      };
      _this.setState({
        dragging: null
      });
      var _calcXY3 = (0, _calculateUtils$1.calcXY)(_this.getPositionParams(), top, left, w2, h2), x2 = _calcXY3.x, y2 = _calcXY3.y;
      return onDragStop.call(_assertThisInitialized$3(_this), i, x2, y2, {
        e: e2,
        node,
        newPosition
      });
    });
    _defineProperty$4(_assertThisInitialized$3(_this), "onResizeStop", function(e2, callbackData) {
      _this.onResizeHandler(e2, callbackData, "onResizeStop");
    });
    _defineProperty$4(_assertThisInitialized$3(_this), "onResizeStart", function(e2, callbackData) {
      _this.onResizeHandler(e2, callbackData, "onResizeStart");
    });
    _defineProperty$4(_assertThisInitialized$3(_this), "onResize", function(e2, callbackData) {
      _this.onResizeHandler(e2, callbackData, "onResize");
    });
    return _this;
  }
  _createClass$3(GridItem2, [{
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(nextProps, nextState) {
      if (this.props.children !== nextProps.children)
        return true;
      if (this.props.droppingPosition !== nextProps.droppingPosition)
        return true;
      var oldPosition = (0, _calculateUtils$1.calcGridItemPosition)(this.getPositionParams(this.props), this.props.x, this.props.y, this.props.w, this.props.h, this.state);
      var newPosition = (0, _calculateUtils$1.calcGridItemPosition)(this.getPositionParams(nextProps), nextProps.x, nextProps.y, nextProps.w, nextProps.h, nextState);
      return !(0, _utils$3.fastPositionEqual)(oldPosition, newPosition) || this.props.useCSSTransforms !== nextProps.useCSSTransforms;
    }
  }, {
    key: "componentDidMount",
    value: function componentDidMount() {
      this.moveDroppingItem({});
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      this.moveDroppingItem(prevProps);
    }
  }, {
    key: "moveDroppingItem",
    value: function moveDroppingItem(prevProps) {
      var droppingPosition = this.props.droppingPosition;
      if (!droppingPosition)
        return;
      var prevDroppingPosition = prevProps.droppingPosition || {
        left: 0,
        top: 0
      };
      var dragging = this.state.dragging;
      if (!this.currentNode) {
        this.currentNode = _reactDom$1.default.findDOMNode(this);
      }
      var shouldDrag = dragging && droppingPosition.left !== prevDroppingPosition.left || droppingPosition.top !== prevDroppingPosition.top;
      if (!dragging) {
        this.onDragStart(droppingPosition.e, {
          node: this.currentNode,
          deltaX: droppingPosition.left,
          deltaY: droppingPosition.top
        });
      } else if (shouldDrag) {
        var deltaX = droppingPosition.left - dragging.left;
        var deltaY = droppingPosition.top - dragging.top;
        this.onDrag(droppingPosition.e, {
          node: this.currentNode,
          deltaX,
          deltaY
        });
      }
    }
  }, {
    key: "getPositionParams",
    value: function getPositionParams() {
      var props = arguments.length > 0 && arguments[0] !== void 0 ? arguments[0] : this.props;
      return {
        cols: props.cols,
        containerPadding: props.containerPadding,
        containerWidth: props.containerWidth,
        margin: props.margin,
        maxRows: props.maxRows,
        rowHeight: props.rowHeight
      };
    }
  }, {
    key: "createStyle",
    value: function createStyle3(pos) {
      var _this$props5 = this.props, usePercentages = _this$props5.usePercentages, containerWidth = _this$props5.containerWidth, useCSSTransforms = _this$props5.useCSSTransforms;
      var style;
      if (useCSSTransforms) {
        style = (0, _utils$3.setTransform)(pos);
      } else {
        style = (0, _utils$3.setTopLeft)(pos);
        if (usePercentages) {
          style.left = (0, _utils$3.perc)(pos.left / containerWidth);
          style.width = (0, _utils$3.perc)(pos.width / containerWidth);
        }
      }
      return style;
    }
  }, {
    key: "mixinDraggable",
    value: function mixinDraggable(child, isDraggable) {
      return /* @__PURE__ */ _react$2.default.createElement(_reactDraggable.DraggableCore, {
        disabled: !isDraggable,
        onStart: this.onDragStart,
        onDrag: this.onDrag,
        onStop: this.onDragStop,
        handle: this.props.handle,
        cancel: ".react-resizable-handle" + (this.props.cancel ? "," + this.props.cancel : ""),
        scale: this.props.transformScale
      }, child);
    }
  }, {
    key: "mixinResizable",
    value: function mixinResizable(child, position, isResizable) {
      var _this$props6 = this.props, cols = _this$props6.cols, x2 = _this$props6.x, minW2 = _this$props6.minW, minH2 = _this$props6.minH, maxW2 = _this$props6.maxW, maxH2 = _this$props6.maxH, transformScale = _this$props6.transformScale, resizeHandles = _this$props6.resizeHandles;
      var positionParams = this.getPositionParams();
      var maxWidth = (0, _calculateUtils$1.calcGridItemPosition)(positionParams, 0, 0, cols - x2, 0).width;
      var mins = (0, _calculateUtils$1.calcGridItemPosition)(positionParams, 0, 0, minW2, minH2);
      var maxes = (0, _calculateUtils$1.calcGridItemPosition)(positionParams, 0, 0, maxW2, maxH2);
      var minConstraints = [mins.width, mins.height];
      var maxConstraints = [Math.min(maxes.width, maxWidth), Math.min(maxes.height, Infinity)];
      return /* @__PURE__ */ _react$2.default.createElement(_reactResizable.Resizable, {
        draggableOpts: {
          disabled: !isResizable
        },
        className: isResizable ? void 0 : "react-resizable-hide",
        width: position.width,
        height: position.height,
        minConstraints,
        maxConstraints,
        onResizeStop: this.onResizeStop,
        onResizeStart: this.onResizeStart,
        onResize: this.onResize,
        transformScale,
        resizeHandles
      }, child);
    }
  }, {
    key: "onResizeHandler",
    value: function onResizeHandler(e2, _ref4, handlerName) {
      var node = _ref4.node, size = _ref4.size;
      var handler = this.props[handlerName];
      if (!handler)
        return;
      var _this$props7 = this.props, cols = _this$props7.cols, x2 = _this$props7.x, y2 = _this$props7.y, i = _this$props7.i, maxH2 = _this$props7.maxH, minH2 = _this$props7.minH;
      var _this$props8 = this.props, minW2 = _this$props8.minW, maxW2 = _this$props8.maxW;
      var _calcWH = (0, _calculateUtils$1.calcWH)(this.getPositionParams(), size.width, size.height, x2, y2), w2 = _calcWH.w, h2 = _calcWH.h;
      minW2 = Math.max(minW2, 1);
      maxW2 = Math.min(maxW2, cols - x2);
      w2 = (0, _calculateUtils$1.clamp)(w2, minW2, maxW2);
      h2 = (0, _calculateUtils$1.clamp)(h2, minH2, maxH2);
      this.setState({
        resizing: handlerName === "onResizeStop" ? null : size
      });
      handler.call(this, i, w2, h2, {
        e: e2,
        node,
        size
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props9 = this.props, x2 = _this$props9.x, y2 = _this$props9.y, w2 = _this$props9.w, h2 = _this$props9.h, isDraggable = _this$props9.isDraggable, isResizable = _this$props9.isResizable, droppingPosition = _this$props9.droppingPosition, useCSSTransforms = _this$props9.useCSSTransforms;
      var pos = (0, _calculateUtils$1.calcGridItemPosition)(this.getPositionParams(), x2, y2, w2, h2, this.state);
      var child = _react$2.default.Children.only(this.props.children);
      var newChild = /* @__PURE__ */ _react$2.default.cloneElement(child, {
        className: (0, _classnames$1.default)("react-grid-item", child.props.className, this.props.className, {
          static: this.props.static,
          resizing: Boolean(this.state.resizing),
          "react-draggable": isDraggable,
          "react-draggable-dragging": Boolean(this.state.dragging),
          dropping: Boolean(droppingPosition),
          cssTransforms: useCSSTransforms
        }),
        style: _objectSpread$2(_objectSpread$2(_objectSpread$2({}, this.props.style), child.props.style), this.createStyle(pos))
      });
      newChild = this.mixinResizable(newChild, pos, isResizable);
      newChild = this.mixinDraggable(newChild, isDraggable);
      return newChild;
    }
  }]);
  return GridItem2;
}(_react$2.default.Component);
GridItem$1.default = GridItem;
_defineProperty$4(GridItem, "propTypes", {
  children: _propTypes$3.default.element,
  cols: _propTypes$3.default.number.isRequired,
  containerWidth: _propTypes$3.default.number.isRequired,
  rowHeight: _propTypes$3.default.number.isRequired,
  margin: _propTypes$3.default.array.isRequired,
  maxRows: _propTypes$3.default.number.isRequired,
  containerPadding: _propTypes$3.default.array.isRequired,
  x: _propTypes$3.default.number.isRequired,
  y: _propTypes$3.default.number.isRequired,
  w: _propTypes$3.default.number.isRequired,
  h: _propTypes$3.default.number.isRequired,
  minW: function minW(props, propName) {
    var value = props[propName];
    if (typeof value !== "number")
      return new Error("minWidth not Number");
    if (value > props.w || value > props.maxW)
      return new Error("minWidth larger than item width/maxWidth");
  },
  maxW: function maxW(props, propName) {
    var value = props[propName];
    if (typeof value !== "number")
      return new Error("maxWidth not Number");
    if (value < props.w || value < props.minW)
      return new Error("maxWidth smaller than item width/minWidth");
  },
  minH: function minH(props, propName) {
    var value = props[propName];
    if (typeof value !== "number")
      return new Error("minHeight not Number");
    if (value > props.h || value > props.maxH)
      return new Error("minHeight larger than item height/maxHeight");
  },
  maxH: function maxH(props, propName) {
    var value = props[propName];
    if (typeof value !== "number")
      return new Error("maxHeight not Number");
    if (value < props.h || value < props.minH)
      return new Error("maxHeight smaller than item height/minHeight");
  },
  i: _propTypes$3.default.string.isRequired,
  onDragStop: _propTypes$3.default.func,
  onDragStart: _propTypes$3.default.func,
  onDrag: _propTypes$3.default.func,
  onResizeStop: _propTypes$3.default.func,
  onResizeStart: _propTypes$3.default.func,
  onResize: _propTypes$3.default.func,
  isDraggable: _propTypes$3.default.bool.isRequired,
  isResizable: _propTypes$3.default.bool.isRequired,
  isBounded: _propTypes$3.default.bool.isRequired,
  static: _propTypes$3.default.bool,
  useCSSTransforms: _propTypes$3.default.bool.isRequired,
  transformScale: _propTypes$3.default.number,
  className: _propTypes$3.default.string,
  handle: _propTypes$3.default.string,
  cancel: _propTypes$3.default.string,
  droppingPosition: _propTypes$3.default.shape({
    e: _propTypes$3.default.object.isRequired,
    left: _propTypes$3.default.number.isRequired,
    top: _propTypes$3.default.number.isRequired
  })
});
_defineProperty$4(GridItem, "defaultProps", {
  className: "",
  cancel: "",
  handle: "",
  minH: 1,
  minW: 1,
  maxH: Infinity,
  maxW: Infinity,
  transformScale: 1
});
var ReactGridLayoutPropTypes = {};
Object.defineProperty(ReactGridLayoutPropTypes, "__esModule", {
  value: true
});
ReactGridLayoutPropTypes.default = void 0;
var _propTypes$2 = _interopRequireDefault$3(propTypes.exports);
var _react$1 = _interopRequireDefault$3(React__default);
function _interopRequireDefault$3(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
var _default = {
  className: _propTypes$2.default.string,
  style: _propTypes$2.default.object,
  width: _propTypes$2.default.number,
  autoSize: _propTypes$2.default.bool,
  cols: _propTypes$2.default.number,
  draggableCancel: _propTypes$2.default.string,
  draggableHandle: _propTypes$2.default.string,
  verticalCompact: function verticalCompact(props) {
    if (props.verticalCompact === false && false) {
      console.warn('`verticalCompact` on <ReactGridLayout> is deprecated and will be removed soon. Use `compactType`: "horizontal" | "vertical" | null.');
    }
  },
  compactType: _propTypes$2.default.oneOf(["vertical", "horizontal"]),
  layout: function layout(props) {
    var layout2 = props.layout;
    if (layout2 === void 0)
      return;
    utils$1.validateLayout(layout2, "layout");
  },
  margin: _propTypes$2.default.arrayOf(_propTypes$2.default.number),
  containerPadding: _propTypes$2.default.arrayOf(_propTypes$2.default.number),
  rowHeight: _propTypes$2.default.number,
  maxRows: _propTypes$2.default.number,
  isBounded: _propTypes$2.default.bool,
  isDraggable: _propTypes$2.default.bool,
  isResizable: _propTypes$2.default.bool,
  preventCollision: _propTypes$2.default.bool,
  useCSSTransforms: _propTypes$2.default.bool,
  transformScale: _propTypes$2.default.number,
  isDroppable: _propTypes$2.default.bool,
  resizeHandles: _propTypes$2.default.arrayOf(_propTypes$2.default.oneOf(["s", "w", "e", "n", "sw", "nw", "se", "ne"])),
  onLayoutChange: _propTypes$2.default.func,
  onDragStart: _propTypes$2.default.func,
  onDrag: _propTypes$2.default.func,
  onDragStop: _propTypes$2.default.func,
  onResizeStart: _propTypes$2.default.func,
  onResize: _propTypes$2.default.func,
  onResizeStop: _propTypes$2.default.func,
  onDrop: _propTypes$2.default.func,
  droppingItem: _propTypes$2.default.shape({
    i: _propTypes$2.default.string.isRequired,
    w: _propTypes$2.default.number.isRequired,
    h: _propTypes$2.default.number.isRequired
  }),
  children: function children(props, propName) {
    var children2 = props[propName];
    var keys2 = {};
    _react$1.default.Children.forEach(children2, function(child) {
      if (keys2[child.key]) {
        throw new Error('Duplicate child key "' + child.key + '" found! This will cause problems in ReactGridLayout.');
      }
      keys2[child.key] = true;
    });
  },
  innerRef: _propTypes$2.default.any
};
ReactGridLayoutPropTypes.default = _default;
Object.defineProperty(ReactGridLayout$1, "__esModule", {
  value: true
});
ReactGridLayout$1.default = void 0;
var _react = _interopRequireDefault$2(React__default);
var _lodash$1 = _interopRequireDefault$2(lodash_isequal.exports);
var _classnames = _interopRequireDefault$2(classnames.exports);
var _utils$2 = utils$1;
var _calculateUtils = calculateUtils;
var _GridItem = _interopRequireDefault$2(GridItem$1);
var _ReactGridLayoutPropTypes = _interopRequireDefault$2(ReactGridLayoutPropTypes);
function _interopRequireDefault$2(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
function _typeof$2(obj) {
  "@babel/helpers - typeof";
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof$2 = function _typeof2(obj2) {
      return typeof obj2;
    };
  } else {
    _typeof$2 = function _typeof2(obj2) {
      return obj2 && typeof Symbol === "function" && obj2.constructor === Symbol && obj2 !== Symbol.prototype ? "symbol" : typeof obj2;
    };
  }
  return _typeof$2(obj);
}
function ownKeys$1(object, enumerableOnly) {
  var keys2 = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly)
      symbols = symbols.filter(function(sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      });
    keys2.push.apply(keys2, symbols);
  }
  return keys2;
}
function _objectSpread$1(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};
    if (i % 2) {
      ownKeys$1(Object(source), true).forEach(function(key) {
        _defineProperty$3(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys$1(Object(source)).forEach(function(key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }
  return target;
}
function _toConsumableArray(arr) {
  return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _unsupportedIterableToArray(arr) || _nonIterableSpread();
}
function _nonIterableSpread() {
  throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.");
}
function _unsupportedIterableToArray(o, minLen) {
  if (!o)
    return;
  if (typeof o === "string")
    return _arrayLikeToArray(o, minLen);
  var n2 = Object.prototype.toString.call(o).slice(8, -1);
  if (n2 === "Object" && o.constructor)
    n2 = o.constructor.name;
  if (n2 === "Map" || n2 === "Set")
    return Array.from(o);
  if (n2 === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n2))
    return _arrayLikeToArray(o, minLen);
}
function _iterableToArray(iter) {
  if (typeof Symbol !== "undefined" && Symbol.iterator in Object(iter))
    return Array.from(iter);
}
function _arrayWithoutHoles(arr) {
  if (Array.isArray(arr))
    return _arrayLikeToArray(arr);
}
function _arrayLikeToArray(arr, len) {
  if (len == null || len > arr.length)
    len = arr.length;
  for (var i = 0, arr2 = new Array(len); i < len; i++) {
    arr2[i] = arr[i];
  }
  return arr2;
}
function _classCallCheck$2(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}
function _defineProperties$2(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor)
      descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}
function _createClass$2(Constructor, protoProps, staticProps) {
  if (protoProps)
    _defineProperties$2(Constructor.prototype, protoProps);
  if (staticProps)
    _defineProperties$2(Constructor, staticProps);
  return Constructor;
}
function _inherits$2(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }
  subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });
  if (superClass)
    _setPrototypeOf$2(subClass, superClass);
}
function _setPrototypeOf$2(o, p2) {
  _setPrototypeOf$2 = Object.setPrototypeOf || function _setPrototypeOf2(o2, p3) {
    o2.__proto__ = p3;
    return o2;
  };
  return _setPrototypeOf$2(o, p2);
}
function _createSuper$2(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct$2();
  return function _createSuperInternal() {
    var Super = _getPrototypeOf$2(Derived), result;
    if (hasNativeReflectConstruct) {
      var NewTarget = _getPrototypeOf$2(this).constructor;
      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }
    return _possibleConstructorReturn$2(this, result);
  };
}
function _possibleConstructorReturn$2(self2, call) {
  if (call && (_typeof$2(call) === "object" || typeof call === "function")) {
    return call;
  }
  return _assertThisInitialized$2(self2);
}
function _assertThisInitialized$2(self2) {
  if (self2 === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return self2;
}
function _isNativeReflectConstruct$2() {
  if (typeof Reflect === "undefined" || !Reflect.construct)
    return false;
  if (Reflect.construct.sham)
    return false;
  if (typeof Proxy === "function")
    return true;
  try {
    Date.prototype.toString.call(Reflect.construct(Date, [], function() {
    }));
    return true;
  } catch (e2) {
    return false;
  }
}
function _getPrototypeOf$2(o) {
  _getPrototypeOf$2 = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf2(o2) {
    return o2.__proto__ || Object.getPrototypeOf(o2);
  };
  return _getPrototypeOf$2(o);
}
function _defineProperty$3(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
var layoutClassName = "react-grid-layout";
var isFirefox = false;
try {
  isFirefox = /firefox/i.test(navigator.userAgent);
} catch (e2) {
}
var ReactGridLayout = /* @__PURE__ */ function(_React$Component) {
  _inherits$2(ReactGridLayout2, _React$Component);
  var _super = _createSuper$2(ReactGridLayout2);
  function ReactGridLayout2(props, context) {
    var _this;
    _classCallCheck$2(this, ReactGridLayout2);
    _this = _super.call(this, props, context);
    _defineProperty$3(_assertThisInitialized$2(_this), "state", {
      activeDrag: null,
      layout: (0, _utils$2.synchronizeLayoutWithChildren)(_this.props.layout, _this.props.children, _this.props.cols, (0, _utils$2.compactType)(_this.props)),
      mounted: false,
      oldDragItem: null,
      oldLayout: null,
      oldResizeItem: null,
      droppingDOMNode: null,
      children: []
    });
    _defineProperty$3(_assertThisInitialized$2(_this), "dragEnterCounter", 0);
    _defineProperty$3(_assertThisInitialized$2(_this), "onDragOver", function(e2) {
      if (isFirefox && e2.nativeEvent.target.className.indexOf(layoutClassName) === -1) {
        return false;
      }
      var _this$props = _this.props, droppingItem = _this$props.droppingItem, margin2 = _this$props.margin, cols = _this$props.cols, rowHeight = _this$props.rowHeight, maxRows = _this$props.maxRows, width = _this$props.width, containerPadding = _this$props.containerPadding;
      var layout2 = _this.state.layout;
      var _e$nativeEvent = e2.nativeEvent, layerX = _e$nativeEvent.layerX, layerY = _e$nativeEvent.layerY;
      var droppingPosition = {
        left: layerX,
        top: layerY,
        e: e2
      };
      if (!_this.state.droppingDOMNode) {
        var positionParams = {
          cols,
          margin: margin2,
          maxRows,
          rowHeight,
          containerWidth: width,
          containerPadding: containerPadding || margin2
        };
        var calculatedPosition = (0, _calculateUtils.calcXY)(positionParams, layerY, layerX, droppingItem.w, droppingItem.h);
        _this.setState({
          droppingDOMNode: /* @__PURE__ */ _react.default.createElement("div", {
            key: droppingItem.i
          }),
          droppingPosition,
          layout: [].concat(_toConsumableArray(layout2), [_objectSpread$1(_objectSpread$1({}, droppingItem), {}, {
            x: calculatedPosition.x,
            y: calculatedPosition.y,
            static: false,
            isDraggable: true
          })])
        });
      } else if (_this.state.droppingPosition) {
        var _this$state$droppingP = _this.state.droppingPosition, left = _this$state$droppingP.left, top = _this$state$droppingP.top;
        var shouldUpdatePosition = left != layerX || top != layerY;
        if (shouldUpdatePosition) {
          _this.setState({
            droppingPosition
          });
        }
      }
      e2.stopPropagation();
      e2.preventDefault();
    });
    _defineProperty$3(_assertThisInitialized$2(_this), "removeDroppingPlaceholder", function() {
      var _this$props2 = _this.props, droppingItem = _this$props2.droppingItem, cols = _this$props2.cols;
      var layout2 = _this.state.layout;
      var newLayout = (0, _utils$2.compact)(layout2.filter(function(l2) {
        return l2.i !== droppingItem.i;
      }), (0, _utils$2.compactType)(_this.props), cols);
      _this.setState({
        layout: newLayout,
        droppingDOMNode: null,
        activeDrag: null,
        droppingPosition: void 0
      });
    });
    _defineProperty$3(_assertThisInitialized$2(_this), "onDragLeave", function() {
      _this.dragEnterCounter--;
      if (_this.dragEnterCounter === 0) {
        _this.removeDroppingPlaceholder();
      }
    });
    _defineProperty$3(_assertThisInitialized$2(_this), "onDragEnter", function() {
      _this.dragEnterCounter++;
    });
    _defineProperty$3(_assertThisInitialized$2(_this), "onDrop", function(e2) {
      var droppingItem = _this.props.droppingItem;
      var layout2 = _this.state.layout;
      var item = layout2.find(function(l2) {
        return l2.i === droppingItem.i;
      });
      _this.dragEnterCounter = 0;
      _this.removeDroppingPlaceholder();
      _this.props.onDrop(layout2, item, e2);
    });
    (0, _utils$2.autoBindHandlers)(_assertThisInitialized$2(_this), ["onDragStart", "onDrag", "onDragStop", "onResizeStart", "onResize", "onResizeStop"]);
    return _this;
  }
  _createClass$2(ReactGridLayout2, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      this.setState({
        mounted: true
      });
      this.onLayoutMaybeChanged(this.state.layout, this.props.layout);
    }
  }, {
    key: "shouldComponentUpdate",
    value: function shouldComponentUpdate(nextProps, nextState) {
      return this.props.children !== nextProps.children || !(0, _utils$2.fastRGLPropsEqual)(this.props, nextProps, _lodash$1.default) || this.state.activeDrag !== nextState.activeDrag || this.state.mounted !== nextState.mounted || this.state.droppingPosition !== nextState.droppingPosition;
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps, prevState) {
      if (!this.state.activeDrag) {
        var newLayout = this.state.layout;
        var oldLayout = prevState.layout;
        this.onLayoutMaybeChanged(newLayout, oldLayout);
      }
    }
  }, {
    key: "containerHeight",
    value: function containerHeight() {
      if (!this.props.autoSize)
        return;
      var nbRow = (0, _utils$2.bottom)(this.state.layout);
      var containerPaddingY = this.props.containerPadding ? this.props.containerPadding[1] : this.props.margin[1];
      return nbRow * this.props.rowHeight + (nbRow - 1) * this.props.margin[1] + containerPaddingY * 2 + "px";
    }
  }, {
    key: "onDragStart",
    value: function onDragStart(i, x2, y2, _ref) {
      var e2 = _ref.e, node = _ref.node;
      var layout2 = this.state.layout;
      var l2 = (0, _utils$2.getLayoutItem)(layout2, i);
      if (!l2)
        return;
      this.setState({
        oldDragItem: (0, _utils$2.cloneLayoutItem)(l2),
        oldLayout: this.state.layout
      });
      return this.props.onDragStart(layout2, l2, l2, null, e2, node);
    }
  }, {
    key: "onDrag",
    value: function onDrag2(i, x2, y2, _ref2) {
      var e2 = _ref2.e, node = _ref2.node;
      var oldDragItem = this.state.oldDragItem;
      var layout2 = this.state.layout;
      var cols = this.props.cols;
      var l2 = (0, _utils$2.getLayoutItem)(layout2, i);
      if (!l2)
        return;
      var placeholder = {
        w: l2.w,
        h: l2.h,
        x: l2.x,
        y: l2.y,
        placeholder: true,
        i
      };
      var isUserAction = true;
      layout2 = (0, _utils$2.moveElement)(layout2, l2, x2, y2, isUserAction, this.props.preventCollision, (0, _utils$2.compactType)(this.props), cols);
      this.props.onDrag(layout2, oldDragItem, l2, placeholder, e2, node);
      this.setState({
        layout: (0, _utils$2.compact)(layout2, (0, _utils$2.compactType)(this.props), cols),
        activeDrag: placeholder
      });
    }
  }, {
    key: "onDragStop",
    value: function onDragStop(i, x2, y2, _ref3) {
      var e2 = _ref3.e, node = _ref3.node;
      if (!this.state.activeDrag)
        return;
      var oldDragItem = this.state.oldDragItem;
      var layout2 = this.state.layout;
      var _this$props3 = this.props, cols = _this$props3.cols, preventCollision = _this$props3.preventCollision;
      var l2 = (0, _utils$2.getLayoutItem)(layout2, i);
      if (!l2)
        return;
      var isUserAction = true;
      layout2 = (0, _utils$2.moveElement)(layout2, l2, x2, y2, isUserAction, preventCollision, (0, _utils$2.compactType)(this.props), cols);
      this.props.onDragStop(layout2, oldDragItem, l2, null, e2, node);
      var newLayout = (0, _utils$2.compact)(layout2, (0, _utils$2.compactType)(this.props), cols);
      var oldLayout = this.state.oldLayout;
      this.setState({
        activeDrag: null,
        layout: newLayout,
        oldDragItem: null,
        oldLayout: null
      });
      this.onLayoutMaybeChanged(newLayout, oldLayout);
    }
  }, {
    key: "onLayoutMaybeChanged",
    value: function onLayoutMaybeChanged(newLayout, oldLayout) {
      if (!oldLayout)
        oldLayout = this.state.layout;
      if (!(0, _lodash$1.default)(oldLayout, newLayout)) {
        this.props.onLayoutChange(newLayout);
      }
    }
  }, {
    key: "onResizeStart",
    value: function onResizeStart(i, w2, h2, _ref4) {
      var e2 = _ref4.e, node = _ref4.node;
      var layout2 = this.state.layout;
      var l2 = (0, _utils$2.getLayoutItem)(layout2, i);
      if (!l2)
        return;
      this.setState({
        oldResizeItem: (0, _utils$2.cloneLayoutItem)(l2),
        oldLayout: this.state.layout
      });
      this.props.onResizeStart(layout2, l2, l2, null, e2, node);
    }
  }, {
    key: "onResize",
    value: function onResize(i, w2, h2, _ref5) {
      var e2 = _ref5.e, node = _ref5.node;
      var _this$state = this.state, layout2 = _this$state.layout, oldResizeItem = _this$state.oldResizeItem;
      var _this$props4 = this.props, cols = _this$props4.cols, preventCollision = _this$props4.preventCollision;
      var l2 = (0, _utils$2.getLayoutItem)(layout2, i);
      if (!l2)
        return;
      var hasCollisions;
      if (preventCollision) {
        var collisions = (0, _utils$2.getAllCollisions)(layout2, _objectSpread$1(_objectSpread$1({}, l2), {}, {
          w: w2,
          h: h2
        })).filter(function(layoutItem) {
          return layoutItem.i !== l2.i;
        });
        hasCollisions = collisions.length > 0;
        if (hasCollisions) {
          var leastX = Infinity, leastY = Infinity;
          collisions.forEach(function(layoutItem) {
            if (layoutItem.x > l2.x)
              leastX = Math.min(leastX, layoutItem.x);
            if (layoutItem.y > l2.y)
              leastY = Math.min(leastY, layoutItem.y);
          });
          if (Number.isFinite(leastX))
            l2.w = leastX - l2.x;
          if (Number.isFinite(leastY))
            l2.h = leastY - l2.y;
        }
      }
      if (!hasCollisions) {
        l2.w = w2;
        l2.h = h2;
      }
      var placeholder = {
        w: l2.w,
        h: l2.h,
        x: l2.x,
        y: l2.y,
        static: true,
        i
      };
      this.props.onResize(layout2, oldResizeItem, l2, placeholder, e2, node);
      this.setState({
        layout: (0, _utils$2.compact)(layout2, (0, _utils$2.compactType)(this.props), cols),
        activeDrag: placeholder
      });
    }
  }, {
    key: "onResizeStop",
    value: function onResizeStop(i, w2, h2, _ref6) {
      var e2 = _ref6.e, node = _ref6.node;
      var _this$state2 = this.state, layout2 = _this$state2.layout, oldResizeItem = _this$state2.oldResizeItem;
      var cols = this.props.cols;
      var l2 = (0, _utils$2.getLayoutItem)(layout2, i);
      this.props.onResizeStop(layout2, oldResizeItem, l2, null, e2, node);
      var newLayout = (0, _utils$2.compact)(layout2, (0, _utils$2.compactType)(this.props), cols);
      var oldLayout = this.state.oldLayout;
      this.setState({
        activeDrag: null,
        layout: newLayout,
        oldResizeItem: null,
        oldLayout: null
      });
      this.onLayoutMaybeChanged(newLayout, oldLayout);
    }
  }, {
    key: "placeholder",
    value: function placeholder() {
      var activeDrag = this.state.activeDrag;
      if (!activeDrag)
        return null;
      var _this$props5 = this.props, width = _this$props5.width, cols = _this$props5.cols, margin2 = _this$props5.margin, containerPadding = _this$props5.containerPadding, rowHeight = _this$props5.rowHeight, maxRows = _this$props5.maxRows, useCSSTransforms = _this$props5.useCSSTransforms, transformScale = _this$props5.transformScale;
      return /* @__PURE__ */ _react.default.createElement(_GridItem.default, {
        w: activeDrag.w,
        h: activeDrag.h,
        x: activeDrag.x,
        y: activeDrag.y,
        i: activeDrag.i,
        className: "react-grid-placeholder",
        containerWidth: width,
        cols,
        margin: margin2,
        containerPadding: containerPadding || margin2,
        maxRows,
        rowHeight,
        isDraggable: false,
        isResizable: false,
        isBounded: false,
        useCSSTransforms,
        transformScale
      }, /* @__PURE__ */ _react.default.createElement("div", null));
    }
  }, {
    key: "processGridItem",
    value: function processGridItem(child, isDroppingItem) {
      if (!child || !child.key)
        return;
      var l2 = (0, _utils$2.getLayoutItem)(this.state.layout, String(child.key));
      if (!l2)
        return null;
      var _this$props6 = this.props, width = _this$props6.width, cols = _this$props6.cols, margin2 = _this$props6.margin, containerPadding = _this$props6.containerPadding, rowHeight = _this$props6.rowHeight, maxRows = _this$props6.maxRows, isDraggable = _this$props6.isDraggable, isResizable = _this$props6.isResizable, isBounded = _this$props6.isBounded, useCSSTransforms = _this$props6.useCSSTransforms, transformScale = _this$props6.transformScale, draggableCancel = _this$props6.draggableCancel, draggableHandle = _this$props6.draggableHandle, resizeHandles = _this$props6.resizeHandles;
      var _this$state3 = this.state, mounted = _this$state3.mounted, droppingPosition = _this$state3.droppingPosition;
      var draggable = typeof l2.isDraggable === "boolean" ? l2.isDraggable : !l2.static && isDraggable;
      var resizable = typeof l2.isResizable === "boolean" ? l2.isResizable : !l2.static && isResizable;
      var resizeHandlesOptions = l2.resizeHandles || resizeHandles;
      var bounded = draggable && isBounded && l2.isBounded !== false;
      return /* @__PURE__ */ _react.default.createElement(_GridItem.default, {
        containerWidth: width,
        cols,
        margin: margin2,
        containerPadding: containerPadding || margin2,
        maxRows,
        rowHeight,
        cancel: draggableCancel,
        handle: draggableHandle,
        onDragStop: this.onDragStop,
        onDragStart: this.onDragStart,
        onDrag: this.onDrag,
        onResizeStart: this.onResizeStart,
        onResize: this.onResize,
        onResizeStop: this.onResizeStop,
        isDraggable: draggable,
        isResizable: resizable,
        isBounded: bounded,
        useCSSTransforms: useCSSTransforms && mounted,
        usePercentages: !mounted,
        transformScale,
        w: l2.w,
        h: l2.h,
        x: l2.x,
        y: l2.y,
        i: l2.i,
        minH: l2.minH,
        minW: l2.minW,
        maxH: l2.maxH,
        maxW: l2.maxW,
        static: l2.static,
        droppingPosition: isDroppingItem ? droppingPosition : void 0,
        resizeHandles: resizeHandlesOptions
      }, child);
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;
      var _this$props7 = this.props, className = _this$props7.className, style = _this$props7.style, isDroppable = _this$props7.isDroppable, innerRef = _this$props7.innerRef;
      var mergedClassName = (0, _classnames.default)(layoutClassName, className);
      var mergedStyle = _objectSpread$1({
        height: this.containerHeight()
      }, style);
      return /* @__PURE__ */ _react.default.createElement("div", {
        ref: innerRef,
        className: mergedClassName,
        style: mergedStyle,
        onDrop: isDroppable ? this.onDrop : _utils$2.noop,
        onDragLeave: isDroppable ? this.onDragLeave : _utils$2.noop,
        onDragEnter: isDroppable ? this.onDragEnter : _utils$2.noop,
        onDragOver: isDroppable ? this.onDragOver : _utils$2.noop
      }, _react.default.Children.map(this.props.children, function(child) {
        return _this2.processGridItem(child);
      }), isDroppable && this.state.droppingDOMNode && this.processGridItem(this.state.droppingDOMNode, true), this.placeholder());
    }
  }], [{
    key: "getDerivedStateFromProps",
    value: function getDerivedStateFromProps(nextProps, prevState) {
      var newLayoutBase;
      if (prevState.activeDrag) {
        return null;
      }
      if (!(0, _lodash$1.default)(nextProps.layout, prevState.propsLayout) || nextProps.compactType !== prevState.compactType) {
        newLayoutBase = nextProps.layout;
      } else if (!(0, _utils$2.childrenEqual)(nextProps.children, prevState.children)) {
        newLayoutBase = prevState.layout;
      }
      if (newLayoutBase) {
        var newLayout = (0, _utils$2.synchronizeLayoutWithChildren)(newLayoutBase, nextProps.children, nextProps.cols, (0, _utils$2.compactType)(nextProps));
        return {
          layout: newLayout,
          compactType: nextProps.compactType,
          children: nextProps.children,
          propsLayout: nextProps.layout
        };
      }
      return null;
    }
  }]);
  return ReactGridLayout2;
}(_react.default.Component);
ReactGridLayout$1.default = ReactGridLayout;
_defineProperty$3(ReactGridLayout, "displayName", "ReactGridLayout");
_defineProperty$3(ReactGridLayout, "propTypes", _ReactGridLayoutPropTypes.default);
_defineProperty$3(ReactGridLayout, "defaultProps", {
  autoSize: true,
  cols: 12,
  className: "",
  style: {},
  draggableHandle: "",
  draggableCancel: "",
  containerPadding: null,
  rowHeight: 150,
  maxRows: Infinity,
  layout: [],
  margin: [10, 10],
  isBounded: false,
  isDraggable: true,
  isResizable: true,
  isDroppable: false,
  useCSSTransforms: true,
  transformScale: 1,
  verticalCompact: true,
  compactType: "vertical",
  preventCollision: false,
  droppingItem: {
    i: "__dropping-elem__",
    h: 1,
    w: 1
  },
  resizeHandles: ["se"],
  onLayoutChange: _utils$2.noop,
  onDragStart: _utils$2.noop,
  onDrag: _utils$2.noop,
  onDragStop: _utils$2.noop,
  onResizeStart: _utils$2.noop,
  onResize: _utils$2.noop,
  onResizeStop: _utils$2.noop,
  onDrop: _utils$2.noop
});
var ResponsiveReactGridLayout$1 = {};
var responsiveUtils = {};
Object.defineProperty(responsiveUtils, "__esModule", {
  value: true
});
responsiveUtils.getBreakpointFromWidth = getBreakpointFromWidth;
responsiveUtils.getColsFromBreakpoint = getColsFromBreakpoint;
responsiveUtils.findOrGenerateResponsiveLayout = findOrGenerateResponsiveLayout;
responsiveUtils.sortBreakpoints = sortBreakpoints;
var _utils$1 = utils$1;
function getBreakpointFromWidth(breakpoints, width) {
  var sorted = sortBreakpoints(breakpoints);
  var matching = sorted[0];
  for (var i = 1, len = sorted.length; i < len; i++) {
    var breakpointName = sorted[i];
    if (width > breakpoints[breakpointName])
      matching = breakpointName;
  }
  return matching;
}
function getColsFromBreakpoint(breakpoint, cols) {
  if (!cols[breakpoint]) {
    throw new Error("ResponsiveReactGridLayout: `cols` entry for breakpoint " + breakpoint + " is missing!");
  }
  return cols[breakpoint];
}
function findOrGenerateResponsiveLayout(layouts2, breakpoints, breakpoint, lastBreakpoint, cols, compactType2) {
  if (layouts2[breakpoint])
    return (0, _utils$1.cloneLayout)(layouts2[breakpoint]);
  var layout2 = layouts2[lastBreakpoint];
  var breakpointsSorted = sortBreakpoints(breakpoints);
  var breakpointsAbove = breakpointsSorted.slice(breakpointsSorted.indexOf(breakpoint));
  for (var i = 0, len = breakpointsAbove.length; i < len; i++) {
    var b2 = breakpointsAbove[i];
    if (layouts2[b2]) {
      layout2 = layouts2[b2];
      break;
    }
  }
  layout2 = (0, _utils$1.cloneLayout)(layout2 || []);
  return (0, _utils$1.compact)((0, _utils$1.correctBounds)(layout2, {
    cols
  }), compactType2, cols);
}
function sortBreakpoints(breakpoints) {
  var keys2 = Object.keys(breakpoints);
  return keys2.sort(function(a, b2) {
    return breakpoints[a] - breakpoints[b2];
  });
}
Object.defineProperty(ResponsiveReactGridLayout$1, "__esModule", {
  value: true
});
ResponsiveReactGridLayout$1.default = void 0;
var React$1 = _interopRequireWildcard$1(React__default);
var _propTypes$1 = _interopRequireDefault$1(propTypes.exports);
var _lodash = _interopRequireDefault$1(lodash_isequal.exports);
var _utils = utils$1;
var _responsiveUtils = responsiveUtils;
var _ReactGridLayout = _interopRequireDefault$1(ReactGridLayout$1);
function _interopRequireDefault$1(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
function _getRequireWildcardCache$1() {
  if (typeof WeakMap !== "function")
    return null;
  var cache2 = /* @__PURE__ */ new WeakMap();
  _getRequireWildcardCache$1 = function _getRequireWildcardCache2() {
    return cache2;
  };
  return cache2;
}
function _interopRequireWildcard$1(obj) {
  if (obj && obj.__esModule) {
    return obj;
  }
  if (obj === null || _typeof$1(obj) !== "object" && typeof obj !== "function") {
    return { default: obj };
  }
  var cache2 = _getRequireWildcardCache$1();
  if (cache2 && cache2.has(obj)) {
    return cache2.get(obj);
  }
  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }
  newObj.default = obj;
  if (cache2) {
    cache2.set(obj, newObj);
  }
  return newObj;
}
function _typeof$1(obj) {
  "@babel/helpers - typeof";
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof$1 = function _typeof2(obj2) {
      return typeof obj2;
    };
  } else {
    _typeof$1 = function _typeof2(obj2) {
      return obj2 && typeof Symbol === "function" && obj2.constructor === Symbol && obj2 !== Symbol.prototype ? "symbol" : typeof obj2;
    };
  }
  return _typeof$1(obj);
}
function _extends$1() {
  _extends$1 = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends$1.apply(this, arguments);
}
function _objectWithoutProperties$1(source, excluded) {
  if (source == null)
    return {};
  var target = _objectWithoutPropertiesLoose$1(source, excluded);
  var key, i;
  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0)
        continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key))
        continue;
      target[key] = source[key];
    }
  }
  return target;
}
function _objectWithoutPropertiesLoose$1(source, excluded) {
  if (source == null)
    return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0)
      continue;
    target[key] = source[key];
  }
  return target;
}
function ownKeys(object, enumerableOnly) {
  var keys2 = Object.keys(object);
  if (Object.getOwnPropertySymbols) {
    var symbols = Object.getOwnPropertySymbols(object);
    if (enumerableOnly)
      symbols = symbols.filter(function(sym) {
        return Object.getOwnPropertyDescriptor(object, sym).enumerable;
      });
    keys2.push.apply(keys2, symbols);
  }
  return keys2;
}
function _objectSpread(target) {
  for (var i = 1; i < arguments.length; i++) {
    var source = arguments[i] != null ? arguments[i] : {};
    if (i % 2) {
      ownKeys(Object(source), true).forEach(function(key) {
        _defineProperty$2(target, key, source[key]);
      });
    } else if (Object.getOwnPropertyDescriptors) {
      Object.defineProperties(target, Object.getOwnPropertyDescriptors(source));
    } else {
      ownKeys(Object(source)).forEach(function(key) {
        Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key));
      });
    }
  }
  return target;
}
function _classCallCheck$1(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}
function _defineProperties$1(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor)
      descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}
function _createClass$1(Constructor, protoProps, staticProps) {
  if (protoProps)
    _defineProperties$1(Constructor.prototype, protoProps);
  if (staticProps)
    _defineProperties$1(Constructor, staticProps);
  return Constructor;
}
function _inherits$1(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }
  subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });
  if (superClass)
    _setPrototypeOf$1(subClass, superClass);
}
function _setPrototypeOf$1(o, p2) {
  _setPrototypeOf$1 = Object.setPrototypeOf || function _setPrototypeOf2(o2, p3) {
    o2.__proto__ = p3;
    return o2;
  };
  return _setPrototypeOf$1(o, p2);
}
function _createSuper$1(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct$1();
  return function _createSuperInternal() {
    var Super = _getPrototypeOf$1(Derived), result;
    if (hasNativeReflectConstruct) {
      var NewTarget = _getPrototypeOf$1(this).constructor;
      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }
    return _possibleConstructorReturn$1(this, result);
  };
}
function _possibleConstructorReturn$1(self2, call) {
  if (call && (_typeof$1(call) === "object" || typeof call === "function")) {
    return call;
  }
  return _assertThisInitialized$1(self2);
}
function _assertThisInitialized$1(self2) {
  if (self2 === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return self2;
}
function _isNativeReflectConstruct$1() {
  if (typeof Reflect === "undefined" || !Reflect.construct)
    return false;
  if (Reflect.construct.sham)
    return false;
  if (typeof Proxy === "function")
    return true;
  try {
    Date.prototype.toString.call(Reflect.construct(Date, [], function() {
    }));
    return true;
  } catch (e2) {
    return false;
  }
}
function _getPrototypeOf$1(o) {
  _getPrototypeOf$1 = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf2(o2) {
    return o2.__proto__ || Object.getPrototypeOf(o2);
  };
  return _getPrototypeOf$1(o);
}
function _defineProperty$2(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
var type$h = function type(obj) {
  return Object.prototype.toString.call(obj);
};
function getIndentationValue(param, breakpoint) {
  if (param == null)
    return null;
  return Array.isArray(param) ? param : param[breakpoint];
}
var ResponsiveReactGridLayout = /* @__PURE__ */ function(_React$Component) {
  _inherits$1(ResponsiveReactGridLayout2, _React$Component);
  var _super = _createSuper$1(ResponsiveReactGridLayout2);
  function ResponsiveReactGridLayout2() {
    var _this;
    _classCallCheck$1(this, ResponsiveReactGridLayout2);
    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }
    _this = _super.call.apply(_super, [this].concat(args));
    _defineProperty$2(_assertThisInitialized$1(_this), "state", _this.generateInitialState());
    _defineProperty$2(_assertThisInitialized$1(_this), "onLayoutChange", function(layout2) {
      _this.props.onLayoutChange(layout2, _objectSpread(_objectSpread({}, _this.props.layouts), {}, _defineProperty$2({}, _this.state.breakpoint, layout2)));
    });
    return _this;
  }
  _createClass$1(ResponsiveReactGridLayout2, [{
    key: "generateInitialState",
    value: function generateInitialState() {
      var _this$props = this.props, width = _this$props.width, breakpoints = _this$props.breakpoints, layouts2 = _this$props.layouts, cols = _this$props.cols;
      var breakpoint = (0, _responsiveUtils.getBreakpointFromWidth)(breakpoints, width);
      var colNo = (0, _responsiveUtils.getColsFromBreakpoint)(breakpoint, cols);
      var compactType2 = this.props.verticalCompact === false ? null : this.props.compactType;
      var initialLayout = (0, _responsiveUtils.findOrGenerateResponsiveLayout)(layouts2, breakpoints, breakpoint, breakpoint, colNo, compactType2);
      return {
        layout: initialLayout,
        breakpoint,
        cols: colNo
      };
    }
  }, {
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      if (this.props.width != prevProps.width || this.props.breakpoint !== prevProps.breakpoint || !(0, _lodash.default)(this.props.breakpoints, prevProps.breakpoints) || !(0, _lodash.default)(this.props.cols, prevProps.cols)) {
        this.onWidthChange(prevProps);
      }
    }
  }, {
    key: "onWidthChange",
    value: function onWidthChange(prevProps) {
      var _this$props2 = this.props, breakpoints = _this$props2.breakpoints, cols = _this$props2.cols, layouts2 = _this$props2.layouts, compactType2 = _this$props2.compactType;
      var newBreakpoint = this.props.breakpoint || (0, _responsiveUtils.getBreakpointFromWidth)(this.props.breakpoints, this.props.width);
      var lastBreakpoint = this.state.breakpoint;
      var newCols = (0, _responsiveUtils.getColsFromBreakpoint)(newBreakpoint, cols);
      var newLayouts = _objectSpread({}, layouts2);
      if (lastBreakpoint !== newBreakpoint || prevProps.breakpoints !== breakpoints || prevProps.cols !== cols) {
        if (!(lastBreakpoint in newLayouts))
          newLayouts[lastBreakpoint] = (0, _utils.cloneLayout)(this.state.layout);
        var layout2 = (0, _responsiveUtils.findOrGenerateResponsiveLayout)(newLayouts, breakpoints, newBreakpoint, lastBreakpoint, newCols, compactType2);
        layout2 = (0, _utils.synchronizeLayoutWithChildren)(layout2, this.props.children, newCols, compactType2);
        newLayouts[newBreakpoint] = layout2;
        this.props.onLayoutChange(layout2, newLayouts);
        this.props.onBreakpointChange(newBreakpoint, newCols);
        this.setState({
          breakpoint: newBreakpoint,
          layout: layout2,
          cols: newCols
        });
      }
      var margin2 = getIndentationValue(this.props.margin, newBreakpoint);
      var containerPadding = getIndentationValue(this.props.containerPadding, newBreakpoint);
      this.props.onWidthChange(this.props.width, margin2, newCols, containerPadding);
    }
  }, {
    key: "render",
    value: function render() {
      var _this$props3 = this.props;
      _this$props3.breakpoint;
      _this$props3.breakpoints;
      _this$props3.cols;
      _this$props3.layouts;
      var margin2 = _this$props3.margin, containerPadding = _this$props3.containerPadding;
      _this$props3.onBreakpointChange;
      _this$props3.onLayoutChange;
      _this$props3.onWidthChange;
      var other = _objectWithoutProperties$1(_this$props3, ["breakpoint", "breakpoints", "cols", "layouts", "margin", "containerPadding", "onBreakpointChange", "onLayoutChange", "onWidthChange"]);
      return /* @__PURE__ */ React$1.createElement(_ReactGridLayout.default, _extends$1({}, other, {
        margin: getIndentationValue(margin2, this.state.breakpoint),
        containerPadding: getIndentationValue(containerPadding, this.state.breakpoint),
        onLayoutChange: this.onLayoutChange,
        layout: this.state.layout,
        cols: this.state.cols
      }));
    }
  }], [{
    key: "getDerivedStateFromProps",
    value: function getDerivedStateFromProps(nextProps, prevState) {
      if (!(0, _lodash.default)(nextProps.layouts, prevState.layouts)) {
        var breakpoint = prevState.breakpoint, _cols = prevState.cols;
        var newLayout = (0, _responsiveUtils.findOrGenerateResponsiveLayout)(nextProps.layouts, nextProps.breakpoints, breakpoint, breakpoint, _cols, nextProps.compactType);
        return {
          layout: newLayout,
          layouts: nextProps.layouts
        };
      }
      return null;
    }
  }]);
  return ResponsiveReactGridLayout2;
}(React$1.Component);
ResponsiveReactGridLayout$1.default = ResponsiveReactGridLayout;
_defineProperty$2(ResponsiveReactGridLayout, "propTypes", {
  breakpoint: _propTypes$1.default.string,
  breakpoints: _propTypes$1.default.object,
  cols: _propTypes$1.default.object,
  margin: _propTypes$1.default.oneOfType([_propTypes$1.default.array, _propTypes$1.default.object]),
  containerPadding: _propTypes$1.default.oneOfType([_propTypes$1.default.array, _propTypes$1.default.object]),
  layouts: function layouts(props, propName) {
    if (type$h(props[propName]) !== "[object Object]") {
      throw new Error("Layout property must be an object. Received: " + type$h(props[propName]));
    }
    Object.keys(props[propName]).forEach(function(key) {
      if (!(key in props.breakpoints)) {
        throw new Error("Each key in layouts must align with a key in breakpoints.");
      }
      (0, _utils.validateLayout)(props.layouts[key], "layouts." + key);
    });
  },
  width: _propTypes$1.default.number.isRequired,
  onBreakpointChange: _propTypes$1.default.func,
  onLayoutChange: _propTypes$1.default.func,
  onWidthChange: _propTypes$1.default.func
});
_defineProperty$2(ResponsiveReactGridLayout, "defaultProps", {
  breakpoints: {
    lg: 1200,
    md: 996,
    sm: 768,
    xs: 480,
    xxs: 0
  },
  cols: {
    lg: 12,
    md: 10,
    sm: 6,
    xs: 4,
    xxs: 2
  },
  layouts: {},
  margin: [10, 10],
  containerPadding: {
    lg: null,
    md: null,
    sm: null,
    xs: null,
    xxs: null
  },
  onBreakpointChange: _utils.noop,
  onLayoutChange: _utils.noop,
  onWidthChange: _utils.noop
});
var WidthProvider$1 = {};
Object.defineProperty(WidthProvider$1, "__esModule", {
  value: true
});
WidthProvider$1.default = WidthProvider;
var React = _interopRequireWildcard(React__default);
var _propTypes = _interopRequireDefault(propTypes.exports);
var _reactDom = _interopRequireDefault(ReactDOM__default);
function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj };
}
function _getRequireWildcardCache() {
  if (typeof WeakMap !== "function")
    return null;
  var cache2 = /* @__PURE__ */ new WeakMap();
  _getRequireWildcardCache = function _getRequireWildcardCache2() {
    return cache2;
  };
  return cache2;
}
function _interopRequireWildcard(obj) {
  if (obj && obj.__esModule) {
    return obj;
  }
  if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") {
    return { default: obj };
  }
  var cache2 = _getRequireWildcardCache();
  if (cache2 && cache2.has(obj)) {
    return cache2.get(obj);
  }
  var newObj = {};
  var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor;
  for (var key in obj) {
    if (Object.prototype.hasOwnProperty.call(obj, key)) {
      var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null;
      if (desc && (desc.get || desc.set)) {
        Object.defineProperty(newObj, key, desc);
      } else {
        newObj[key] = obj[key];
      }
    }
  }
  newObj.default = obj;
  if (cache2) {
    cache2.set(obj, newObj);
  }
  return newObj;
}
function _typeof(obj) {
  "@babel/helpers - typeof";
  if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") {
    _typeof = function _typeof2(obj2) {
      return typeof obj2;
    };
  } else {
    _typeof = function _typeof2(obj2) {
      return obj2 && typeof Symbol === "function" && obj2.constructor === Symbol && obj2 !== Symbol.prototype ? "symbol" : typeof obj2;
    };
  }
  return _typeof(obj);
}
function _extends() {
  _extends = Object.assign || function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
function _objectWithoutProperties(source, excluded) {
  if (source == null)
    return {};
  var target = _objectWithoutPropertiesLoose(source, excluded);
  var key, i;
  if (Object.getOwnPropertySymbols) {
    var sourceSymbolKeys = Object.getOwnPropertySymbols(source);
    for (i = 0; i < sourceSymbolKeys.length; i++) {
      key = sourceSymbolKeys[i];
      if (excluded.indexOf(key) >= 0)
        continue;
      if (!Object.prototype.propertyIsEnumerable.call(source, key))
        continue;
      target[key] = source[key];
    }
  }
  return target;
}
function _objectWithoutPropertiesLoose(source, excluded) {
  if (source == null)
    return {};
  var target = {};
  var sourceKeys = Object.keys(source);
  var key, i;
  for (i = 0; i < sourceKeys.length; i++) {
    key = sourceKeys[i];
    if (excluded.indexOf(key) >= 0)
      continue;
    target[key] = source[key];
  }
  return target;
}
function _classCallCheck(instance, Constructor) {
  if (!(instance instanceof Constructor)) {
    throw new TypeError("Cannot call a class as a function");
  }
}
function _defineProperties(target, props) {
  for (var i = 0; i < props.length; i++) {
    var descriptor = props[i];
    descriptor.enumerable = descriptor.enumerable || false;
    descriptor.configurable = true;
    if ("value" in descriptor)
      descriptor.writable = true;
    Object.defineProperty(target, descriptor.key, descriptor);
  }
}
function _createClass(Constructor, protoProps, staticProps) {
  if (protoProps)
    _defineProperties(Constructor.prototype, protoProps);
  if (staticProps)
    _defineProperties(Constructor, staticProps);
  return Constructor;
}
function _inherits(subClass, superClass) {
  if (typeof superClass !== "function" && superClass !== null) {
    throw new TypeError("Super expression must either be null or a function");
  }
  subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } });
  if (superClass)
    _setPrototypeOf(subClass, superClass);
}
function _setPrototypeOf(o, p2) {
  _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf2(o2, p3) {
    o2.__proto__ = p3;
    return o2;
  };
  return _setPrototypeOf(o, p2);
}
function _createSuper(Derived) {
  var hasNativeReflectConstruct = _isNativeReflectConstruct();
  return function _createSuperInternal() {
    var Super = _getPrototypeOf(Derived), result;
    if (hasNativeReflectConstruct) {
      var NewTarget = _getPrototypeOf(this).constructor;
      result = Reflect.construct(Super, arguments, NewTarget);
    } else {
      result = Super.apply(this, arguments);
    }
    return _possibleConstructorReturn(this, result);
  };
}
function _possibleConstructorReturn(self2, call) {
  if (call && (_typeof(call) === "object" || typeof call === "function")) {
    return call;
  }
  return _assertThisInitialized(self2);
}
function _assertThisInitialized(self2) {
  if (self2 === void 0) {
    throw new ReferenceError("this hasn't been initialised - super() hasn't been called");
  }
  return self2;
}
function _isNativeReflectConstruct() {
  if (typeof Reflect === "undefined" || !Reflect.construct)
    return false;
  if (Reflect.construct.sham)
    return false;
  if (typeof Proxy === "function")
    return true;
  try {
    Date.prototype.toString.call(Reflect.construct(Date, [], function() {
    }));
    return true;
  } catch (e2) {
    return false;
  }
}
function _getPrototypeOf(o) {
  _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf2(o2) {
    return o2.__proto__ || Object.getPrototypeOf(o2);
  };
  return _getPrototypeOf(o);
}
function _defineProperty$1(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, { value, enumerable: true, configurable: true, writable: true });
  } else {
    obj[key] = value;
  }
  return obj;
}
function WidthProvider(ComposedComponent) {
  var _class, _temp;
  return _temp = _class = /* @__PURE__ */ function(_React$Component) {
    _inherits(WidthProvider2, _React$Component);
    var _super = _createSuper(WidthProvider2);
    function WidthProvider2() {
      var _this;
      _classCallCheck(this, WidthProvider2);
      for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
        args[_key] = arguments[_key];
      }
      _this = _super.call.apply(_super, [this].concat(args));
      _defineProperty$1(_assertThisInitialized(_this), "state", {
        width: 1280
      });
      _defineProperty$1(_assertThisInitialized(_this), "mounted", false);
      _defineProperty$1(_assertThisInitialized(_this), "onWindowResize", function() {
        if (!_this.mounted)
          return;
        var node = _reactDom.default.findDOMNode(_assertThisInitialized(_this));
        if (node instanceof HTMLElement)
          _this.setState({
            width: node.offsetWidth
          });
      });
      return _this;
    }
    _createClass(WidthProvider2, [{
      key: "componentDidMount",
      value: function componentDidMount() {
        this.mounted = true;
        window.addEventListener("resize", this.onWindowResize);
        this.onWindowResize();
      }
    }, {
      key: "componentWillUnmount",
      value: function componentWillUnmount() {
        this.mounted = false;
        window.removeEventListener("resize", this.onWindowResize);
      }
    }, {
      key: "render",
      value: function render() {
        var _this$props = this.props, measureBeforeMount = _this$props.measureBeforeMount, rest = _objectWithoutProperties(_this$props, ["measureBeforeMount"]);
        if (measureBeforeMount && !this.mounted) {
          return /* @__PURE__ */ React.createElement("div", {
            className: this.props.className,
            style: this.props.style
          });
        }
        return /* @__PURE__ */ React.createElement(ComposedComponent, _extends({}, rest, this.state));
      }
    }]);
    return WidthProvider2;
  }(React.Component), _defineProperty$1(_class, "defaultProps", {
    measureBeforeMount: false
  }), _defineProperty$1(_class, "propTypes", {
    measureBeforeMount: _propTypes.default.bool
  }), _temp;
}
(function(module2) {
  module2.exports = ReactGridLayout$1.default;
  module2.exports.utils = utils$1;
  module2.exports.Responsive = ResponsiveReactGridLayout$1.default;
  module2.exports.Responsive.utils = responsiveUtils;
  module2.exports.WidthProvider = WidthProvider$1.default;
})(reactGridLayout);
var COMPONENT_ID_PREFIX = "i";
function sum(a) {
  return a.reduce(function(x2, y2) {
    return x2 + y2;
  }, 0);
}
function makeGridLayout(colXs, colLayout) {
  var colWs = [];
  for (var i = 0; i < colXs.length; i++) {
    colWs.push(colXs[i + 1] - colXs[i]);
  }
  return Object.entries(colLayout).map(function(_ref) {
    var _ref2 = _slicedToArray$2(_ref, 2), id = _ref2[0], spec = _ref2[1];
    return {
      i: id,
      y: spec.y,
      h: spec.h || 1,
      x: colXs[spec.x],
      w: sum(colWs.slice(spec.x, spec.x + (spec.w || 1)))
    };
  });
}
function getMaxRows(layouts2) {
  return Math.max.apply(Math, _toConsumableArray$2(Object.values(layouts2).map(function(layout2) {
    return Math.max.apply(Math, _toConsumableArray$2(layout2.map(function(xywh) {
      return xywh.y + xywh.h;
    })));
  })));
}
function resolveLayout(layout2) {
  var cols = {};
  var layouts2 = {};
  var breakpoints = {};
  var components = {};
  var positions = {};
  ("components" in layout2 ? layout2.components : layout2).forEach(function(def) {
    var id2 = def.uid;
    components[id2] = {
      uid: def.uid,
      component: def.component,
      props: def.props || {},
      coordinationScopes: def.coordinationScopes || {},
      coordinationScopesBy: def.coordinationScopesBy || {}
    };
    positions[id2] = {
      id: id2,
      x: def.x,
      y: def.y,
      w: def.w,
      h: def.h
    };
  });
  if ("components" in layout2) {
    Object.entries(layout2.columns).forEach(function(_ref3) {
      var _ref4 = _slicedToArray$2(_ref3, 2), width = _ref4[0], columnXs = _ref4[1];
      cols[width] = columnXs[columnXs.length - 1];
      layouts2[width] = makeGridLayout(columnXs, positions);
      breakpoints[width] = width;
    });
  } else {
    var id = "ID";
    var columnCount = 12;
    cols[id] = columnCount;
    layouts2[id] = makeGridLayout(range_1(columnCount + 1), positions);
    breakpoints[id] = 1e3;
  }
  return {
    cols,
    layouts: layouts2,
    breakpoints,
    components
  };
}
var ResponsiveGridLayout = reactGridLayout.exports.WidthProvider(reactGridLayout.exports.Responsive);
var ResponsiveHeightGridLayout = /* @__PURE__ */ function(_ResponsiveGridLayout) {
  _inherits$5(ResponsiveHeightGridLayout2, _ResponsiveGridLayout);
  var _super = _createSuper$5(ResponsiveHeightGridLayout2);
  function ResponsiveHeightGridLayout2() {
    _classCallCheck$5(this, ResponsiveHeightGridLayout2);
    return _super.apply(this, arguments);
  }
  _createClass$6(ResponsiveHeightGridLayout2, [{
    key: "componentDidUpdate",
    value: function componentDidUpdate(prevProps) {
      if (this.props.height !== prevProps.height) {
        this.onWindowResize();
      }
    }
  }]);
  return ResponsiveHeightGridLayout2;
}(ResponsiveGridLayout);
function VitessceGridLayout(props) {
  var layout2 = props.layout, getComponent2 = props.getComponent, padding2 = props.padding, margin2 = props.margin, draggableHandle = props.draggableHandle, reactGridLayoutProps = props.reactGridLayoutProps, rowHeight = props.rowHeight, theme = props.theme, height = props.height, onRemoveComponent = props.onRemoveComponent, onLayoutChangeProp = props.onLayoutChange;
  var _resolveLayout = resolveLayout(layout2), gridCols = _resolveLayout.cols, gridLayouts = _resolveLayout.layouts, gridBreakpoints = _resolveLayout.breakpoints, gridComponents = _resolveLayout.components;
  var maxRows = getMaxRows(gridLayouts);
  var style = /* @__PURE__ */ React__default.createElement("style", null, "\n        ".concat(draggableHandle, " {\n          cursor: grab;\n        }\n        ").concat(draggableHandle, ":active {\n          cursor: grabbing;\n        }\n     "));
  var onLayoutChange = function onLayoutChange2(newLayout) {
    if (newLayout.length === Object.entries(gridComponents).length) {
      var newComponentProps = [];
      newLayout.forEach(function(nextC) {
        var id = nextC.i;
        var prevC = gridComponents[id];
        if (prevC) {
          var i = parseInt(id.substring(id.indexOf(COMPONENT_ID_PREFIX) + 1), 10);
          var nextProps = {
            x: nextC.x,
            y: nextC.y,
            w: nextC.w,
            h: nextC.h
          };
          var prevProps = {
            x: prevC.x,
            y: prevC.y,
            w: prevC.w,
            h: prevC.h
          };
          if (!isEqual_1(nextProps, prevProps)) {
            newComponentProps.push([i, nextProps]);
          }
        }
      });
      if (newComponentProps.length > 0) {
        onLayoutChangeProp(newComponentProps);
      }
    }
  };
  var layoutChildren = Object.values(gridComponents).map(function(v2) {
    var Component2 = getComponent2(v2.component);
    var removeGridComponent = function removeGridComponent2() {
      onRemoveComponent(v2.uid);
    };
    return /* @__PURE__ */ React__default.createElement("div", {
      key: v2.uid
    }, /* @__PURE__ */ React__default.createElement(Component2, Object.assign({}, v2.props, {
      uuid: v2.uid,
      coordinationScopes: v2.coordinationScopes,
      coordinationScopesBy: v2.coordinationScopesBy,
      theme,
      removeGridComponent
    })));
  });
  return gridLayouts && gridComponents && gridBreakpoints && gridCols && /* @__PURE__ */ React__default.createElement(React__default.Fragment, null, style, /* @__PURE__ */ React__default.createElement(ResponsiveHeightGridLayout, Object.assign({
    className: "layout",
    cols: gridCols,
    layouts: gridLayouts,
    breakpoints: gridBreakpoints,
    height,
    rowHeight: rowHeight || (window.innerHeight - 2 * padding2 - (maxRows - 1) * margin2) / maxRows,
    containerPadding: [padding2, padding2],
    margin: [margin2, margin2],
    draggableHandle,
    onLayoutChange
  }, reactGridLayoutProps), layoutChildren));
}
VitessceGridLayout.defaultProps = {
  padding: 10,
  margin: 10
};
class InternMap extends Map {
  constructor(entries, key = keyof) {
    super();
    Object.defineProperties(this, { _intern: { value: /* @__PURE__ */ new Map() }, _key: { value: key } });
    if (entries != null)
      for (const [key2, value] of entries)
        this.set(key2, value);
  }
  get(key) {
    return super.get(intern_get(this, key));
  }
  has(key) {
    return super.has(intern_get(this, key));
  }
  set(key, value) {
    return super.set(intern_set(this, key), value);
  }
  delete(key) {
    return super.delete(intern_delete(this, key));
  }
}
function intern_get({ _intern, _key }, value) {
  const key = _key(value);
  return _intern.has(key) ? _intern.get(key) : value;
}
function intern_set({ _intern, _key }, value) {
  const key = _key(value);
  if (_intern.has(key))
    return _intern.get(key);
  _intern.set(key, value);
  return value;
}
function intern_delete({ _intern, _key }, value) {
  const key = _key(value);
  if (_intern.has(key)) {
    value = _intern.get(key);
    _intern.delete(key);
  }
  return value;
}
function keyof(value) {
  return value !== null && typeof value === "object" ? value.valueOf() : value;
}
var fileTypeToLoaderAndSource = {};
function getSourceAndLoaderFromFileType(type3) {
  if (fileTypeToLoaderAndSource[type3]) {
    return fileTypeToLoaderAndSource[type3];
  }
  var pluginFileType2 = getLoaderClassesForPluginFileType(type3);
  if (pluginFileType2) {
    return pluginFileType2;
  }
  return [JsonSource, JsonLoader];
}
function getNumRows(layout2) {
  var max = 0;
  var bottomY;
  for (var i = 0, len = layout2.length; i < len; i++) {
    bottomY = layout2[i].y + layout2[i].h;
    if (bottomY > max)
      max = bottomY;
  }
  return max;
}
function getRowHeight(containerHeight, numRows, margin2, padding2) {
  var effectiveContainerHeight = containerHeight - 2 * padding2 - (numRows - 1) * margin2;
  return effectiveContainerHeight / numRows;
}
function useRowHeight(config2, initialRowHeight, height, margin2, padding2) {
  var _useState = useState(height), _useState2 = _slicedToArray$2(_useState, 2), containerHeight = _useState2[0], setContainerHeight = _useState2[1];
  var _useState3 = useState(initialRowHeight), _useState4 = _slicedToArray$2(_useState3, 2), rowHeight = _useState4[0], setRowHeight = _useState4[1];
  var containerRef = useRef();
  useEffect(function() {
    var numRows = getNumRows(config2.layout);
    var newRowHeight = getRowHeight(containerHeight, numRows, margin2, padding2);
    setRowHeight(newRowHeight);
  }, [containerHeight, config2, margin2, padding2]);
  useEffect(function() {
    if (height !== null && height !== void 0) {
      setContainerHeight(height);
    }
  }, [height]);
  useEffect(function() {
    if (height !== null && height !== void 0) {
      return function() {
      };
    }
    function onWindowResize() {
      if (!containerRef.current)
        return;
      var containerRect = containerRef.current.getBoundingClientRect();
      setContainerHeight(containerRect.height);
    }
    window.addEventListener("resize", onWindowResize);
    onWindowResize();
    return function() {
      window.removeEventListener("resize", onWindowResize);
    };
  }, [containerRef, height]);
  return [rowHeight, containerRef];
}
function createLoaders(datasets, configDescription) {
  var result = {};
  var dataSources = {};
  var fileTypeDataTypeMapping = getFileTypeDataTypeMapping();
  datasets.forEach(function(dataset) {
    var datasetLoaders = {
      name: dataset.name,
      description: dataset.description || configDescription,
      loaders: {}
    };
    dataset.files.forEach(function(file) {
      var url = file.url, options = file.options, requestInit = file.requestInit, fileType = file.fileType, _file$coordinationVal = file.coordinationValues, coordinationValues = _file$coordinationVal === void 0 ? {} : _file$coordinationVal;
      var dataType = fileTypeDataTypeMapping[fileType];
      var _getSourceAndLoaderFr = getSourceAndLoaderFromFileType(fileType), _getSourceAndLoaderFr2 = _slicedToArray$2(_getSourceAndLoaderFr, 2), DataSourceClass = _getSourceAndLoaderFr2[0], LoaderClass = _getSourceAndLoaderFr2[1];
      var fileId = url || JSON.stringify(options);
      if (!(fileId in dataSources)) {
        dataSources[fileId] = new DataSourceClass({
          url,
          requestInit
        });
      }
      var loader = new LoaderClass(dataSources[fileId], file);
      if (datasetLoaders.loaders[dataType]) {
        datasetLoaders.loaders[dataType].set(coordinationValues, loader);
      } else {
        datasetLoaders.loaders[dataType] = new InternMap([[coordinationValues, loader]], JSON.stringify);
      }
    });
    result[dataset.uid] = datasetLoaders;
  });
  return result;
}
var padding = 10;
var margin = 5;
function VitessceGrid(props) {
  var initialRowHeight = props.rowHeight, config2 = props.config, getComponent2 = props.getComponent, theme = props.theme, height = props.height;
  var _useRowHeight = useRowHeight(config2, initialRowHeight, height, margin, padding), _useRowHeight2 = _slicedToArray$2(_useRowHeight, 2), rowHeight = _useRowHeight2[0], containerRef = _useRowHeight2[1];
  var onResize = useEmitGridResize();
  var _useClosestVitessceCo = useClosestVitessceContainerSize(containerRef), _useClosestVitessceCo2 = _slicedToArray$2(_useClosestVitessceCo, 1), componentWidth = _useClosestVitessceCo2[0];
  useEffect(function() {
    onResize();
  }, [rowHeight, onResize]);
  var viewConfigStoreApi = useViewConfigStoreApi();
  var setViewConfig = useSetViewConfig(viewConfigStoreApi);
  var setLoaders = useSetLoaders();
  var removeComponent = useRemoveComponent();
  var changeLayout = useChangeLayout();
  var layout2 = useLayout();
  var changeLayoutPostMount = useCallback(function() {
    return componentWidth > 0 ? changeLayout : function() {
    };
  }, [changeLayout, componentWidth]);
  useEffect(function() {
    if (config2) {
      setViewConfig(config2);
      var loaders = createLoaders(config2.datasets, config2.description);
      setLoaders(loaders);
    } else {
      setLoaders({});
    }
  }, [config2, setViewConfig, setLoaders]);
  return /* @__PURE__ */ React__default.createElement("div", {
    ref: containerRef,
    className: "vitessce-container vitessce-theme-".concat(theme)
  }, layout2 && /* @__PURE__ */ React__default.createElement(VitessceGridLayout, {
    layout: layout2,
    height,
    rowHeight,
    theme,
    getComponent: getComponent2,
    draggableHandle: ".title",
    margin,
    padding,
    onRemoveComponent: removeComponent,
    onLayoutChange: changeLayoutPostMount,
    reactGridLayoutProps: {
      onResize,
      onResizeStop: onResize
    }
  }));
}
const $schema$g = "http://json-schema.org/draft-07/schema#";
const $id$g = "https://github.com/vitessce/vitessce/#dataset";
const title$g = "Vitessce data set";
const type$g = "object";
const definitions$g = {
  components: {
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        component: {
          type: "string"
        },
        props: {
          type: "object"
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        }
      }
    }
  },
  requestInit: {
    type: "object",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  }
};
const additionalProperties$g = false;
const required$g = [
  "version",
  "name",
  "layers"
];
const properties$g = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  layers: {
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "name",
        "type",
        "fileType",
        "url"
      ],
      properties: {
        name: {
          type: "string"
        },
        type: {
          type: "string"
        },
        fileType: {
          type: "string"
        },
        url: {
          type: "string"
        },
        requestInit: {
          $ref: "#/definitions/requestInit"
        }
      }
    }
  },
  staticLayout: {
    $ref: "#/definitions/components"
  },
  version: {
    type: "string",
    "enum": [
      "0.1.0"
    ]
  }
};
var configSchema0_1_0 = {
  $schema: $schema$g,
  $id: $id$g,
  title: title$g,
  type: type$g,
  definitions: definitions$g,
  additionalProperties: additionalProperties$g,
  required: required$g,
  properties: properties$g
};
const $schema$f = "http://json-schema.org/draft-07/schema#";
const $id$f = "https://github.com/vitessce/vitessce/#dataset";
const title$f = "Vitessce data set";
const type$f = "object";
const definitions$f = {
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: false,
          required: [],
          properties: {
            dataset: {
              type: "string"
            },
            embeddingType: {
              type: "string"
            },
            embeddingZoom: {
              type: "string"
            },
            embeddingRotation: {
              type: "string"
            },
            embeddingTargetX: {
              type: "string"
            },
            embeddingTargetY: {
              type: "string"
            },
            embeddingTargetZ: {
              type: "string"
            },
            embeddingCellSetPolygonsVisible: {
              type: "string"
            },
            embeddingCellSetLabelsVisible: {
              type: "string"
            },
            embeddingCellSetLabelSize: {
              type: "string"
            },
            embeddingCellRadius: {
              type: "string"
            },
            spatialZoom: {
              type: "string"
            },
            spatialRotation: {
              type: "string"
            },
            spatialTargetX: {
              type: "string"
            },
            spatialTargetY: {
              type: "string"
            },
            spatialTargetZ: {
              type: "string"
            },
            heatmapZoomX: {
              type: "string"
            },
            heatmapZoomY: {
              type: "string"
            },
            heatmapTargetX: {
              type: "string"
            },
            heatmapTargetY: {
              type: "string"
            },
            cellFilter: {
              type: "string"
            },
            cellHighlight: {
              type: "string"
            },
            cellSetSelection: {
              type: "string"
            },
            cellSetHighlight: {
              type: "string"
            },
            cellSetColor: {
              type: "string"
            },
            geneFilter: {
              type: "string"
            },
            geneHighlight: {
              type: "string"
            },
            geneSelection: {
              type: "string"
            },
            geneExpressionTransform: {
              type: "string"
            },
            geneExpressionColormap: {
              type: "string"
            },
            geneExpressionColormapRange: {
              type: "string"
            },
            cellColorEncoding: {
              type: "string"
            },
            spatialLayers: {
              type: "string"
            },
            genomicZoomX: {
              type: "string"
            },
            genomicZoomY: {
              type: "string"
            },
            genomicTargetX: {
              type: "string"
            },
            genomicTargetY: {
              type: "string"
            },
            additionalCellSets: {
              type: "string"
            },
            moleculeHighlight: {
              type: "string"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          type: "string",
          description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity",
      "type"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      opacity: {
        type: "number"
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      type: {
        type: "string",
        "enum": [
          "raster"
        ]
      }
    }
  },
  moleculesLayer: {
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity",
      "type"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      },
      type: {
        type: "string",
        "enum": [
          "molecules"
        ]
      }
    }
  },
  cellsLayer: {
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity",
      "type"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      },
      type: {
        type: "string",
        "enum": [
          "cells"
        ]
      }
    }
  },
  neighborhoodsLayer: {
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible",
      "type"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      type: {
        type: "string",
        "enum": [
          "neighborhoods"
        ]
      }
    }
  },
  spatialLayers: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      oneOf: [
        {
          $ref: "#/definitions/rasterLayer"
        },
        {
          $ref: "#/definitions/cellsLayer"
        },
        {
          $ref: "#/definitions/moleculesLayer"
        },
        {
          $ref: "#/definitions/neighborhoodsLayer"
        }
      ]
    }
  }
};
const additionalProperties$f = false;
const required$f = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$f = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: false,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingCellSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingCellRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialLayers: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialLayers"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      cellFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      cellHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      cellSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      cellColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      geneSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneExpressionTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      geneExpressionColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneExpressionColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalCellSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.0"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_0 = {
  $schema: $schema$f,
  $id: $id$f,
  title: title$f,
  type: type$f,
  definitions: definitions$f,
  additionalProperties: additionalProperties$f,
  required: required$f,
  properties: properties$f
};
const $schema$e = "http://json-schema.org/draft-07/schema#";
const $id$e = "https://github.com/vitessce/vitessce/#dataset";
const title$e = "Vitessce data set";
const type$e = "object";
const definitions$e = {
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: false,
          required: [],
          properties: {
            dataset: {
              type: "string"
            },
            embeddingType: {
              type: "string"
            },
            embeddingZoom: {
              type: "string"
            },
            embeddingRotation: {
              type: "string"
            },
            embeddingTargetX: {
              type: "string"
            },
            embeddingTargetY: {
              type: "string"
            },
            embeddingTargetZ: {
              type: "string"
            },
            embeddingCellSetPolygonsVisible: {
              type: "string"
            },
            embeddingCellSetLabelsVisible: {
              type: "string"
            },
            embeddingCellSetLabelSize: {
              type: "string"
            },
            embeddingCellRadius: {
              type: "string"
            },
            spatialZoom: {
              type: "string"
            },
            spatialRotation: {
              type: "string"
            },
            spatialTargetX: {
              type: "string"
            },
            spatialTargetY: {
              type: "string"
            },
            spatialTargetZ: {
              type: "string"
            },
            spatialRotationX: {
              type: "string"
            },
            spatialRotationY: {
              type: "string"
            },
            spatialRotationZ: {
              type: "string"
            },
            spatialRotationOrbit: {
              type: "string"
            },
            spatialOrbitAxis: {
              type: "string"
            },
            spatialAxisFixed: {
              type: "string"
            },
            heatmapZoomX: {
              type: "string"
            },
            heatmapZoomY: {
              type: "string"
            },
            heatmapTargetX: {
              type: "string"
            },
            heatmapTargetY: {
              type: "string"
            },
            cellFilter: {
              type: "string"
            },
            cellHighlight: {
              type: "string"
            },
            cellSetSelection: {
              type: "string"
            },
            cellSetHighlight: {
              type: "string"
            },
            cellSetColor: {
              type: "string"
            },
            geneFilter: {
              type: "string"
            },
            geneHighlight: {
              type: "string"
            },
            geneSelection: {
              type: "string"
            },
            geneExpressionTransform: {
              type: "string"
            },
            geneExpressionColormap: {
              type: "string"
            },
            geneExpressionColormapRange: {
              type: "string"
            },
            cellColorEncoding: {
              type: "string"
            },
            spatialRasterLayers: {
              type: "string"
            },
            spatialCellsLayer: {
              type: "string"
            },
            spatialMoleculesLayer: {
              type: "string"
            },
            spatialNeighborhoodsLayer: {
              type: "string"
            },
            genomicZoomX: {
              type: "string"
            },
            genomicZoomY: {
              type: "string"
            },
            genomicTargetX: {
              type: "string"
            },
            genomicTargetY: {
              type: "string"
            },
            additionalCellSets: {
              type: "string"
            },
            moleculeHighlight: {
              type: "string"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          type: "string",
          description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string"
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialRasterLayers: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$e = false;
const required$e = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$e = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: false,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingCellSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingCellRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialRasterLayers: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialRasterLayers"
              }
            ]
          }
        }
      },
      spatialCellsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialMoleculesLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      cellFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      cellHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      cellSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      cellColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      geneSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneExpressionTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      geneExpressionColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneExpressionColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalCellSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.1"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_1 = {
  $schema: $schema$e,
  $id: $id$e,
  title: title$e,
  type: type$e,
  definitions: definitions$e,
  additionalProperties: additionalProperties$e,
  required: required$e,
  properties: properties$e
};
const $schema$d = "http://json-schema.org/draft-07/schema#";
const $id$d = "https://github.com/vitessce/vitessce/#dataset";
const title$d = "Vitessce data set";
const type$d = "object";
const definitions$d = {
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: false,
          required: [],
          properties: {
            dataset: {
              type: "string"
            },
            embeddingType: {
              type: "string"
            },
            embeddingZoom: {
              type: "string"
            },
            embeddingRotation: {
              type: "string"
            },
            embeddingTargetX: {
              type: "string"
            },
            embeddingTargetY: {
              type: "string"
            },
            embeddingTargetZ: {
              type: "string"
            },
            embeddingCellSetPolygonsVisible: {
              type: "string"
            },
            embeddingCellSetLabelsVisible: {
              type: "string"
            },
            embeddingCellSetLabelSize: {
              type: "string"
            },
            embeddingCellRadius: {
              type: "string"
            },
            spatialZoom: {
              type: "string"
            },
            spatialRotation: {
              type: "string"
            },
            spatialTargetX: {
              type: "string"
            },
            spatialTargetY: {
              type: "string"
            },
            spatialTargetZ: {
              type: "string"
            },
            spatialRotationX: {
              type: "string"
            },
            spatialRotationY: {
              type: "string"
            },
            spatialRotationZ: {
              type: "string"
            },
            spatialRotationOrbit: {
              type: "string"
            },
            spatialOrbitAxis: {
              type: "string"
            },
            spatialAxisFixed: {
              type: "string"
            },
            heatmapZoomX: {
              type: "string"
            },
            heatmapZoomY: {
              type: "string"
            },
            heatmapTargetX: {
              type: "string"
            },
            heatmapTargetY: {
              type: "string"
            },
            cellFilter: {
              type: "string"
            },
            cellHighlight: {
              type: "string"
            },
            cellSetSelection: {
              type: "string"
            },
            cellSetHighlight: {
              type: "string"
            },
            cellSetColor: {
              type: "string"
            },
            geneFilter: {
              type: "string"
            },
            geneHighlight: {
              type: "string"
            },
            geneSelection: {
              type: "string"
            },
            geneExpressionTransform: {
              type: "string"
            },
            geneExpressionColormap: {
              type: "string"
            },
            geneExpressionColormapRange: {
              type: "string"
            },
            cellColorEncoding: {
              type: "string"
            },
            spatialRasterLayers: {
              type: "string"
            },
            spatialCellsLayer: {
              type: "string"
            },
            spatialMoleculesLayer: {
              type: "string"
            },
            spatialNeighborhoodsLayer: {
              type: "string"
            },
            genomicZoomX: {
              type: "string"
            },
            genomicZoomY: {
              type: "string"
            },
            genomicTargetX: {
              type: "string"
            },
            genomicTargetY: {
              type: "string"
            },
            additionalCellSets: {
              type: "string"
            },
            moleculeHighlight: {
              type: "string"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          type: "string",
          description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialRasterLayers: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$d = false;
const required$d = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$d = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: false,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingCellSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingCellRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialRasterLayers: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialRasterLayers"
              }
            ]
          }
        }
      },
      spatialCellsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialMoleculesLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      cellFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      cellHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      cellSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      cellColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      geneSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneExpressionTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      geneExpressionColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneExpressionColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalCellSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.2"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_2 = {
  $schema: $schema$d,
  $id: $id$d,
  title: title$d,
  type: type$d,
  definitions: definitions$d,
  additionalProperties: additionalProperties$d,
  required: required$d,
  properties: properties$d
};
const $schema$c = "http://json-schema.org/draft-07/schema#";
const $id$c = "https://github.com/vitessce/vitessce/#dataset";
const title$c = "Vitessce data set";
const type$c = "object";
const definitions$c = {
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: false,
          required: [],
          properties: {
            dataset: {
              type: "string"
            },
            embeddingType: {
              type: "string"
            },
            embeddingZoom: {
              type: "string"
            },
            embeddingRotation: {
              type: "string"
            },
            embeddingTargetX: {
              type: "string"
            },
            embeddingTargetY: {
              type: "string"
            },
            embeddingTargetZ: {
              type: "string"
            },
            embeddingCellSetPolygonsVisible: {
              type: "string"
            },
            embeddingCellSetLabelsVisible: {
              type: "string"
            },
            embeddingCellSetLabelSize: {
              type: "string"
            },
            embeddingCellRadius: {
              type: "string"
            },
            spatialZoom: {
              type: "string"
            },
            spatialRotation: {
              type: "string"
            },
            spatialTargetX: {
              type: "string"
            },
            spatialTargetY: {
              type: "string"
            },
            spatialTargetZ: {
              type: "string"
            },
            spatialRotationX: {
              type: "string"
            },
            spatialRotationY: {
              type: "string"
            },
            spatialRotationZ: {
              type: "string"
            },
            spatialRotationOrbit: {
              type: "string"
            },
            spatialOrbitAxis: {
              type: "string"
            },
            spatialAxisFixed: {
              type: "string"
            },
            heatmapZoomX: {
              type: "string"
            },
            heatmapZoomY: {
              type: "string"
            },
            heatmapTargetX: {
              type: "string"
            },
            heatmapTargetY: {
              type: "string"
            },
            cellFilter: {
              type: "string"
            },
            cellHighlight: {
              type: "string"
            },
            cellSetSelection: {
              type: "string"
            },
            cellSetHighlight: {
              type: "string"
            },
            cellSetColor: {
              type: "string"
            },
            geneFilter: {
              type: "string"
            },
            geneHighlight: {
              type: "string"
            },
            geneSelection: {
              type: "string"
            },
            geneExpressionTransform: {
              type: "string"
            },
            geneExpressionColormap: {
              type: "string"
            },
            geneExpressionColormapRange: {
              type: "string"
            },
            cellColorEncoding: {
              type: "string"
            },
            spatialRasterLayers: {
              type: "string"
            },
            spatialCellsLayer: {
              type: "string"
            },
            spatialMoleculesLayer: {
              type: "string"
            },
            spatialNeighborhoodsLayer: {
              type: "string"
            },
            genomicZoomX: {
              type: "string"
            },
            genomicZoomY: {
              type: "string"
            },
            genomicTargetX: {
              type: "string"
            },
            genomicTargetY: {
              type: "string"
            },
            additionalCellSets: {
              type: "string"
            },
            moleculeHighlight: {
              type: "string"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          type: "string",
          description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialRasterLayers: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$c = false;
const required$c = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$c = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: false,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingCellSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingCellRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialRasterLayers: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialRasterLayers"
              }
            ]
          }
        }
      },
      spatialCellsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialMoleculesLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      cellFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      cellHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      cellSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      cellColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      geneSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneExpressionTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      geneExpressionColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneExpressionColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalCellSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.3"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_3 = {
  $schema: $schema$c,
  $id: $id$c,
  title: title$c,
  type: type$c,
  definitions: definitions$c,
  additionalProperties: additionalProperties$c,
  required: required$c,
  properties: properties$c
};
const $schema$b = "http://json-schema.org/draft-07/schema#";
const $id$b = "https://github.com/vitessce/vitessce/#dataset";
const title$b = "Vitessce data set";
const type$b = "object";
const definitions$b = {
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: false,
          required: [],
          properties: {
            dataset: {
              type: "string"
            },
            embeddingType: {
              type: "string"
            },
            embeddingZoom: {
              type: "string"
            },
            embeddingRotation: {
              type: "string"
            },
            embeddingTargetX: {
              type: "string"
            },
            embeddingTargetY: {
              type: "string"
            },
            embeddingTargetZ: {
              type: "string"
            },
            embeddingCellSetPolygonsVisible: {
              type: "string"
            },
            embeddingCellSetLabelsVisible: {
              type: "string"
            },
            embeddingCellSetLabelSize: {
              type: "string"
            },
            embeddingCellRadius: {
              type: "string"
            },
            embeddingCellOpacity: {
              type: "string"
            },
            embeddingCellRadiusMode: {
              type: "string"
            },
            embeddingCellOpacityMode: {
              type: "string"
            },
            spatialZoom: {
              type: "string"
            },
            spatialRotation: {
              type: "string"
            },
            spatialTargetX: {
              type: "string"
            },
            spatialTargetY: {
              type: "string"
            },
            spatialTargetZ: {
              type: "string"
            },
            spatialRotationX: {
              type: "string"
            },
            spatialRotationY: {
              type: "string"
            },
            spatialRotationZ: {
              type: "string"
            },
            spatialRotationOrbit: {
              type: "string"
            },
            spatialOrbitAxis: {
              type: "string"
            },
            spatialAxisFixed: {
              type: "string"
            },
            heatmapZoomX: {
              type: "string"
            },
            heatmapZoomY: {
              type: "string"
            },
            heatmapTargetX: {
              type: "string"
            },
            heatmapTargetY: {
              type: "string"
            },
            cellFilter: {
              type: "string"
            },
            cellHighlight: {
              type: "string"
            },
            cellSetSelection: {
              type: "string"
            },
            cellSetHighlight: {
              type: "string"
            },
            cellSetColor: {
              type: "string"
            },
            geneFilter: {
              type: "string"
            },
            geneHighlight: {
              type: "string"
            },
            geneSelection: {
              type: "string"
            },
            geneExpressionTransform: {
              type: "string"
            },
            geneExpressionColormap: {
              type: "string"
            },
            geneExpressionColormapRange: {
              type: "string"
            },
            cellColorEncoding: {
              type: "string"
            },
            spatialRasterLayers: {
              type: "string"
            },
            spatialCellsLayer: {
              type: "string"
            },
            spatialMoleculesLayer: {
              type: "string"
            },
            spatialNeighborhoodsLayer: {
              type: "string"
            },
            genomicZoomX: {
              type: "string"
            },
            genomicZoomY: {
              type: "string"
            },
            genomicTargetX: {
              type: "string"
            },
            genomicTargetY: {
              type: "string"
            },
            additionalCellSets: {
              type: "string"
            },
            moleculeHighlight: {
              type: "string"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          type: "string",
          description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialRasterLayers: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$b = false;
const required$b = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$b = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: false,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingCellSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingCellRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell radius value, used when embeddingCellRadiusMode is absolute or relative."
          }
        }
      },
      embeddingCellOpacity: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell opacity value, used when embeddingCellOpacityMode is static."
          }
        }
      },
      embeddingCellRadiusMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) radius?"
          }
        }
      },
      embeddingCellOpacityMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) opacity?"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialRasterLayers: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialRasterLayers"
              }
            ]
          }
        }
      },
      spatialCellsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialMoleculesLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      cellFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      cellHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      cellSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      cellColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "geneSelection",
              "cellSetSelection"
            ],
            description: "How should data points representing cells be colored?"
          }
        }
      },
      geneFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      geneSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneExpressionTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      geneExpressionColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneExpressionColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalCellSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.4"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_4 = {
  $schema: $schema$b,
  $id: $id$b,
  title: title$b,
  type: type$b,
  definitions: definitions$b,
  additionalProperties: additionalProperties$b,
  required: required$b,
  properties: properties$b
};
const $schema$a = "http://json-schema.org/draft-07/schema#";
const $id$a = "https://github.com/vitessce/vitessce/#dataset";
const title$a = "Vitessce data set";
const type$a = "object";
const definitions$a = {
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: false,
          required: [],
          properties: {
            dataset: {
              type: "string"
            },
            embeddingType: {
              type: "string"
            },
            embeddingZoom: {
              type: "string"
            },
            embeddingRotation: {
              type: "string"
            },
            embeddingTargetX: {
              type: "string"
            },
            embeddingTargetY: {
              type: "string"
            },
            embeddingTargetZ: {
              type: "string"
            },
            embeddingCellSetPolygonsVisible: {
              type: "string"
            },
            embeddingCellSetLabelsVisible: {
              type: "string"
            },
            embeddingCellSetLabelSize: {
              type: "string"
            },
            embeddingCellRadius: {
              type: "string"
            },
            embeddingCellOpacity: {
              type: "string"
            },
            embeddingCellRadiusMode: {
              type: "string"
            },
            embeddingCellOpacityMode: {
              type: "string"
            },
            spatialZoom: {
              type: "string"
            },
            spatialRotation: {
              type: "string"
            },
            spatialTargetX: {
              type: "string"
            },
            spatialTargetY: {
              type: "string"
            },
            spatialTargetZ: {
              type: "string"
            },
            spatialRotationX: {
              type: "string"
            },
            spatialRotationY: {
              type: "string"
            },
            spatialRotationZ: {
              type: "string"
            },
            spatialRotationOrbit: {
              type: "string"
            },
            spatialOrbitAxis: {
              type: "string"
            },
            spatialAxisFixed: {
              type: "string"
            },
            heatmapZoomX: {
              type: "string"
            },
            heatmapZoomY: {
              type: "string"
            },
            heatmapTargetX: {
              type: "string"
            },
            heatmapTargetY: {
              type: "string"
            },
            cellFilter: {
              type: "string"
            },
            cellHighlight: {
              type: "string"
            },
            cellSetSelection: {
              type: "string"
            },
            cellSetHighlight: {
              type: "string"
            },
            cellSetColor: {
              type: "string"
            },
            geneFilter: {
              type: "string"
            },
            geneHighlight: {
              type: "string"
            },
            geneSelection: {
              type: "string"
            },
            geneExpressionTransform: {
              type: "string"
            },
            geneExpressionColormap: {
              type: "string"
            },
            geneExpressionColormapRange: {
              type: "string"
            },
            cellColorEncoding: {
              type: "string"
            },
            spatialRasterLayers: {
              type: "string"
            },
            spatialCellsLayer: {
              type: "string"
            },
            spatialMoleculesLayer: {
              type: "string"
            },
            spatialNeighborhoodsLayer: {
              type: "string"
            },
            genomicZoomX: {
              type: "string"
            },
            genomicZoomY: {
              type: "string"
            },
            genomicTargetX: {
              type: "string"
            },
            genomicTargetY: {
              type: "string"
            },
            additionalCellSets: {
              type: "string"
            },
            moleculeHighlight: {
              type: "string"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
            },
            {
              type: "array",
              items: {
                type: "string"
              },
              description: "An array of locations in the AnnData store for a hierarchy of set names, from coarse to fine levels."
            }
          ]
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialRasterLayers: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$a = false;
const required$a = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$a = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: false,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingCellSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingCellRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell radius value, used when embeddingCellRadiusMode is absolute or relative."
          }
        }
      },
      embeddingCellOpacity: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell opacity value, used when embeddingCellOpacityMode is static."
          }
        }
      },
      embeddingCellRadiusMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) radius?"
          }
        }
      },
      embeddingCellOpacityMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) opacity?"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialRasterLayers: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialRasterLayers"
              }
            ]
          }
        }
      },
      spatialCellsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialMoleculesLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      cellFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      cellHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      cellSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      cellColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "geneSelection",
              "cellSetSelection"
            ],
            description: "How should data points representing cells be colored?"
          }
        }
      },
      geneFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      geneSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneExpressionTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      geneExpressionColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneExpressionColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalCellSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.5"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_5 = {
  $schema: $schema$a,
  $id: $id$a,
  title: title$a,
  type: type$a,
  definitions: definitions$a,
  additionalProperties: additionalProperties$a,
  required: required$a,
  properties: properties$a
};
const $schema$9 = "http://json-schema.org/draft-07/schema#";
const $id$9 = "https://github.com/vitessce/vitessce/#dataset";
const title$9 = "Vitessce data set";
const type$9 = "object";
const definitions$9 = {
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: false,
          required: [],
          properties: {
            dataset: {
              type: "string"
            },
            embeddingType: {
              type: "string"
            },
            embeddingZoom: {
              type: "string"
            },
            embeddingRotation: {
              type: "string"
            },
            embeddingTargetX: {
              type: "string"
            },
            embeddingTargetY: {
              type: "string"
            },
            embeddingTargetZ: {
              type: "string"
            },
            embeddingCellSetPolygonsVisible: {
              type: "string"
            },
            embeddingCellSetLabelsVisible: {
              type: "string"
            },
            embeddingCellSetLabelSize: {
              type: "string"
            },
            embeddingCellRadius: {
              type: "string"
            },
            embeddingCellOpacity: {
              type: "string"
            },
            embeddingCellRadiusMode: {
              type: "string"
            },
            embeddingCellOpacityMode: {
              type: "string"
            },
            spatialZoom: {
              type: "string"
            },
            spatialRotation: {
              type: "string"
            },
            spatialTargetX: {
              type: "string"
            },
            spatialTargetY: {
              type: "string"
            },
            spatialTargetZ: {
              type: "string"
            },
            spatialRotationX: {
              type: "string"
            },
            spatialRotationY: {
              type: "string"
            },
            spatialRotationZ: {
              type: "string"
            },
            spatialRotationOrbit: {
              type: "string"
            },
            spatialOrbitAxis: {
              type: "string"
            },
            spatialAxisFixed: {
              type: "string"
            },
            heatmapZoomX: {
              type: "string"
            },
            heatmapZoomY: {
              type: "string"
            },
            heatmapTargetX: {
              type: "string"
            },
            heatmapTargetY: {
              type: "string"
            },
            cellFilter: {
              type: "string"
            },
            cellHighlight: {
              type: "string"
            },
            cellSetSelection: {
              type: "string"
            },
            cellSetHighlight: {
              type: "string"
            },
            cellSetColor: {
              type: "string"
            },
            geneFilter: {
              type: "string"
            },
            geneHighlight: {
              type: "string"
            },
            geneSelection: {
              type: "string"
            },
            geneExpressionTransform: {
              type: "string"
            },
            geneExpressionColormap: {
              type: "string"
            },
            geneExpressionColormapRange: {
              type: "string"
            },
            cellColorEncoding: {
              type: "string"
            },
            spatialRasterLayers: {
              type: "string"
            },
            spatialCellsLayer: {
              type: "string"
            },
            spatialMoleculesLayer: {
              type: "string"
            },
            spatialNeighborhoodsLayer: {
              type: "string"
            },
            genomicZoomX: {
              type: "string"
            },
            genomicZoomY: {
              type: "string"
            },
            genomicTargetX: {
              type: "string"
            },
            genomicTargetY: {
              type: "string"
            },
            additionalCellSets: {
              type: "string"
            },
            moleculeHighlight: {
              type: "string"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
            },
            {
              type: "array",
              items: {
                type: "string"
              },
              description: "An array of locations in the AnnData store for a hierarchy of set names, from coarse to fine levels."
            }
          ]
        },
        scoreName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set confidence scores, like 'obs/celltype_prediction_score.'"
            }
          ]
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialRasterLayers: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$9 = false;
const required$9 = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$9 = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: false,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingCellSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingCellRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell radius value, used when embeddingCellRadiusMode is absolute or relative."
          }
        }
      },
      embeddingCellOpacity: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell opacity value, used when embeddingCellOpacityMode is static."
          }
        }
      },
      embeddingCellRadiusMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) radius?"
          }
        }
      },
      embeddingCellOpacityMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) opacity?"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialRasterLayers: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialRasterLayers"
              }
            ]
          }
        }
      },
      spatialCellsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialMoleculesLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      cellFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      cellHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      cellSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      cellColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "geneSelection",
              "cellSetSelection"
            ],
            description: "How should data points representing cells be colored?"
          }
        }
      },
      geneFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      geneSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneExpressionTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      geneExpressionColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneExpressionColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalCellSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.6"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_6 = {
  $schema: $schema$9,
  $id: $id$9,
  title: title$9,
  type: type$9,
  definitions: definitions$9,
  additionalProperties: additionalProperties$9,
  required: required$9,
  properties: properties$9
};
const $schema$8 = "http://json-schema.org/draft-07/schema#";
const $id$8 = "https://github.com/vitessce/vitessce/#dataset";
const title$8 = "Vitessce data set";
const type$8 = "object";
const definitions$8 = {
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: false,
          required: [],
          properties: {
            dataset: {
              type: "string"
            },
            embeddingType: {
              type: "string"
            },
            embeddingZoom: {
              type: "string"
            },
            embeddingRotation: {
              type: "string"
            },
            embeddingTargetX: {
              type: "string"
            },
            embeddingTargetY: {
              type: "string"
            },
            embeddingTargetZ: {
              type: "string"
            },
            embeddingCellSetPolygonsVisible: {
              type: "string"
            },
            embeddingCellSetLabelsVisible: {
              type: "string"
            },
            embeddingCellSetLabelSize: {
              type: "string"
            },
            embeddingCellRadius: {
              type: "string"
            },
            embeddingCellOpacity: {
              type: "string"
            },
            embeddingCellRadiusMode: {
              type: "string"
            },
            embeddingCellOpacityMode: {
              type: "string"
            },
            spatialZoom: {
              type: "string"
            },
            spatialRotation: {
              type: "string"
            },
            spatialTargetX: {
              type: "string"
            },
            spatialTargetY: {
              type: "string"
            },
            spatialTargetZ: {
              type: "string"
            },
            spatialRotationX: {
              type: "string"
            },
            spatialRotationY: {
              type: "string"
            },
            spatialRotationZ: {
              type: "string"
            },
            spatialRotationOrbit: {
              type: "string"
            },
            spatialOrbitAxis: {
              type: "string"
            },
            spatialAxisFixed: {
              type: "string"
            },
            heatmapZoomX: {
              type: "string"
            },
            heatmapZoomY: {
              type: "string"
            },
            heatmapTargetX: {
              type: "string"
            },
            heatmapTargetY: {
              type: "string"
            },
            cellFilter: {
              type: "string"
            },
            cellHighlight: {
              type: "string"
            },
            cellSetSelection: {
              type: "string"
            },
            cellSetHighlight: {
              type: "string"
            },
            cellSetColor: {
              type: "string"
            },
            geneFilter: {
              type: "string"
            },
            geneHighlight: {
              type: "string"
            },
            geneSelection: {
              type: "string"
            },
            geneExpressionTransform: {
              type: "string"
            },
            geneExpressionColormap: {
              type: "string"
            },
            geneExpressionColormapRange: {
              type: "string"
            },
            cellColorEncoding: {
              type: "string"
            },
            spatialRasterLayers: {
              type: "string"
            },
            spatialCellsLayer: {
              type: "string"
            },
            spatialMoleculesLayer: {
              type: "string"
            },
            spatialNeighborhoodsLayer: {
              type: "string"
            },
            genomicZoomX: {
              type: "string"
            },
            genomicZoomY: {
              type: "string"
            },
            genomicTargetX: {
              type: "string"
            },
            genomicTargetY: {
              type: "string"
            },
            additionalCellSets: {
              type: "string"
            },
            moleculeHighlight: {
              type: "string"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
            },
            {
              type: "array",
              items: {
                type: "string"
              },
              description: "An array of locations in the AnnData store for a hierarchy of set names, from coarse to fine levels."
            }
          ]
        },
        scoreName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set confidence scores, like 'obs/celltype_prediction_score.'"
            }
          ]
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      },
      geneAlias: {
        type: "string",
        description: "The location in the AnnData store of a different list of names for gene list component, other than the `var` index"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialRasterLayers: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$8 = false;
const required$8 = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$8 = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: false,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingCellSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingCellRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell radius value, used when embeddingCellRadiusMode is absolute or relative."
          }
        }
      },
      embeddingCellOpacity: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell opacity value, used when embeddingCellOpacityMode is static."
          }
        }
      },
      embeddingCellRadiusMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) radius?"
          }
        }
      },
      embeddingCellOpacityMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) opacity?"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialRasterLayers: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialRasterLayers"
              }
            ]
          }
        }
      },
      spatialCellsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialMoleculesLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      cellFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      cellHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      cellSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      cellColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "geneSelection",
              "cellSetSelection"
            ],
            description: "How should data points representing cells be colored?"
          }
        }
      },
      geneFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      geneSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneExpressionTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      geneExpressionColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneExpressionColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalCellSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.7"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_7 = {
  $schema: $schema$8,
  $id: $id$8,
  title: title$8,
  type: type$8,
  definitions: definitions$8,
  additionalProperties: additionalProperties$8,
  required: required$8,
  properties: properties$8
};
const $schema$7 = "http://json-schema.org/draft-07/schema#";
const $id$7 = "https://github.com/vitessce/vitessce/#dataset";
const title$7 = "Vitessce data set";
const type$7 = "object";
const definitions$7 = {
  componentCoordinationScopeValue: {
    oneOf: [
      {
        type: "string"
      },
      {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      }
    ]
  },
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: false,
          required: [],
          properties: {
            dataset: {
              oneOf: [
                {
                  type: "string"
                },
                {
                  type: "array",
                  items: {
                    type: "string"
                  }
                }
              ]
            },
            embeddingType: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingZoom: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingRotation: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellSetPolygonsVisible: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellSetLabelsVisible: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellSetLabelSize: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellRadius: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellOpacity: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellRadiusMode: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellOpacityMode: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialZoom: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotation: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationOrbit: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialOrbitAxis: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialAxisFixed: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapZoomX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapZoomY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellFilter: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellSetSelection: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellSetHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellSetColor: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneFilter: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneSelection: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneExpressionTransform: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneExpressionColormap: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneExpressionColormapRange: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellColorEncoding: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRasterLayers: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialCellsLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialMoleculesLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialNeighborhoodsLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicZoomX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicZoomY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            additionalCellSets: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            moleculeHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
            },
            {
              type: "array",
              items: {
                type: "string"
              },
              description: "An array of locations in the AnnData store for a hierarchy of set names, from coarse to fine levels."
            }
          ]
        },
        scoreName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set confidence scores, like 'obs/celltype_prediction_score.'"
            }
          ]
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      },
      geneAlias: {
        type: "string",
        description: "The location in the AnnData store of a different list of names for gene list component, other than the `var` index"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialRasterLayers: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$7 = false;
const required$7 = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$7 = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: false,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingCellSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingCellRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell radius value, used when embeddingCellRadiusMode is absolute or relative."
          }
        }
      },
      embeddingCellOpacity: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell opacity value, used when embeddingCellOpacityMode is static."
          }
        }
      },
      embeddingCellRadiusMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) radius?"
          }
        }
      },
      embeddingCellOpacityMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) opacity?"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialRasterLayers: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialRasterLayers"
              }
            ]
          }
        }
      },
      spatialCellsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialMoleculesLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      cellFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      cellHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      cellSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      cellColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "geneSelection",
              "cellSetSelection"
            ],
            description: "How should data points representing cells be colored?"
          }
        }
      },
      geneFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      geneSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneExpressionTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      geneExpressionColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneExpressionColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalCellSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.8"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_8 = {
  $schema: $schema$7,
  $id: $id$7,
  title: title$7,
  type: type$7,
  definitions: definitions$7,
  additionalProperties: additionalProperties$7,
  required: required$7,
  properties: properties$7
};
const $schema$6 = "http://json-schema.org/draft-07/schema#";
const $id$6 = "https://github.com/vitessce/vitessce/#dataset";
const title$6 = "Vitessce data set";
const type$6 = "object";
const definitions$6 = {
  componentCoordinationScopeValue: {
    oneOf: [
      {
        type: "string"
      },
      {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      }
    ]
  },
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: true,
          required: [],
          properties: {
            dataset: {
              oneOf: [
                {
                  type: "string"
                },
                {
                  type: "array",
                  items: {
                    type: "string"
                  }
                }
              ]
            },
            embeddingType: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingZoom: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingRotation: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellSetPolygonsVisible: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellSetLabelsVisible: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellSetLabelSize: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellRadius: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellOpacity: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellRadiusMode: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellOpacityMode: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialZoom: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotation: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationOrbit: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialOrbitAxis: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialAxisFixed: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapZoomX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapZoomY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellFilter: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellSetSelection: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellSetHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellSetColor: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneFilter: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneSelection: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneExpressionTransform: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneExpressionColormap: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneExpressionColormapRange: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellColorEncoding: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRasterLayers: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialCellsLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialMoleculesLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialNeighborhoodsLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicZoomX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicZoomY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            additionalCellSets: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            moleculeHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
            },
            {
              type: "array",
              items: {
                type: "string"
              },
              description: "An array of locations in the AnnData store for a hierarchy of set names, from coarse to fine levels."
            }
          ]
        },
        scoreName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set confidence scores, like 'obs/celltype_prediction_score.'"
            }
          ]
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      },
      geneAlias: {
        type: "string",
        description: "The location in the AnnData store of a different list of names for gene list component, other than the `var` index"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialRasterLayers: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$6 = false;
const required$6 = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$6 = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: true,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingCellSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingCellRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell radius value, used when embeddingCellRadiusMode is absolute or relative."
          }
        }
      },
      embeddingCellOpacity: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell opacity value, used when embeddingCellOpacityMode is static."
          }
        }
      },
      embeddingCellRadiusMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) radius?"
          }
        }
      },
      embeddingCellOpacityMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) opacity?"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialRasterLayers: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialRasterLayers"
              }
            ]
          }
        }
      },
      spatialCellsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialMoleculesLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      cellFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      cellHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      cellSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      cellColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "geneSelection",
              "cellSetSelection"
            ],
            description: "How should data points representing cells be colored?"
          }
        }
      },
      geneFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      geneSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneExpressionTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      geneExpressionColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneExpressionColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalCellSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.9"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_9 = {
  $schema: $schema$6,
  $id: $id$6,
  title: title$6,
  type: type$6,
  definitions: definitions$6,
  additionalProperties: additionalProperties$6,
  required: required$6,
  properties: properties$6
};
const $schema$5 = "http://json-schema.org/draft-07/schema#";
const $id$5 = "https://github.com/vitessce/vitessce/#dataset";
const title$5 = "Vitessce data set";
const type$5 = "object";
const definitions$5 = {
  componentCoordinationScopeValue: {
    oneOf: [
      {
        type: "string"
      },
      {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      }
    ]
  },
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        uid: {
          type: "string",
          description: "A unique identifier for the view, to refer to it in getter and setter functions in object-oriented contexts."
        },
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: true,
          required: [],
          properties: {
            dataset: {
              oneOf: [
                {
                  type: "string"
                },
                {
                  type: "array",
                  items: {
                    type: "string"
                  }
                }
              ]
            },
            embeddingType: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingZoom: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingRotation: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellSetPolygonsVisible: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellSetLabelsVisible: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellSetLabelSize: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellRadius: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellOpacity: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellRadiusMode: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellOpacityMode: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialZoom: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotation: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationOrbit: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialOrbitAxis: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialAxisFixed: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapZoomX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapZoomY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellFilter: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellSetSelection: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellSetHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellSetColor: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneFilter: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneSelection: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneExpressionTransform: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneExpressionColormap: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneExpressionColormapRange: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellColorEncoding: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRasterLayers: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialCellsLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialMoleculesLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialNeighborhoodsLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicZoomX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicZoomY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            additionalCellSets: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            moleculeHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
            },
            {
              type: "array",
              items: {
                type: "string"
              },
              description: "An array of locations in the AnnData store for a hierarchy of set names, from coarse to fine levels."
            }
          ]
        },
        scoreName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set confidence scores, like 'obs/celltype_prediction_score.'"
            }
          ]
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      },
      geneAlias: {
        type: "string",
        description: "The location in the AnnData store of a different list of names for gene list component, other than the `var` index"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialRasterLayers: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$5 = false;
const required$5 = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$5 = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: true,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingCellSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingCellRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell radius value, used when embeddingCellRadiusMode is absolute or relative."
          }
        }
      },
      embeddingCellOpacity: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell opacity value, used when embeddingCellOpacityMode is static."
          }
        }
      },
      embeddingCellRadiusMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) radius?"
          }
        }
      },
      embeddingCellOpacityMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) opacity?"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialRasterLayers: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialRasterLayers"
              }
            ]
          }
        }
      },
      spatialCellsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialMoleculesLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      cellFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      cellHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      cellSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      cellColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "geneSelection",
              "cellSetSelection"
            ],
            description: "How should data points representing cells be colored?"
          }
        }
      },
      geneFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      geneSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneExpressionTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      geneExpressionColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneExpressionColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalCellSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.10"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_10 = {
  $schema: $schema$5,
  $id: $id$5,
  title: title$5,
  type: type$5,
  definitions: definitions$5,
  additionalProperties: additionalProperties$5,
  required: required$5,
  properties: properties$5
};
const $schema$4 = "http://json-schema.org/draft-07/schema#";
const $id$4 = "https://github.com/vitessce/vitessce/#dataset";
const title$4 = "Vitessce data set";
const type$4 = "object";
const definitions$4 = {
  componentCoordinationScopeValue: {
    oneOf: [
      {
        type: "string"
      },
      {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      }
    ]
  },
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        uid: {
          type: "string",
          description: "A unique identifier for the view, to refer to it in getter and setter functions in object-oriented contexts."
        },
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: true,
          required: [],
          properties: {
            dataset: {
              oneOf: [
                {
                  type: "string"
                },
                {
                  type: "array",
                  items: {
                    type: "string"
                  }
                }
              ]
            },
            obsType: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            featureType: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            featureValueType: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingType: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingZoom: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingRotation: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingObsSetPolygonsVisible: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingObsSetLabelsVisible: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingObsSetLabelSize: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingObsRadius: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingObsOpacity: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingObsRadiusMode: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingObsOpacityMode: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialZoom: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotation: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationOrbit: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialOrbitAxis: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialAxisFixed: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapZoomX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapZoomY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            obsFilter: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            obsHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            obsSetSelection: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            obsSetHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            obsSetColor: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            featureFilter: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            featureHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            featureSelection: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            featureValueTransform: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            featureValueColormap: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            featureValueColormapRange: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            obsColorEncoding: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialImageLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialSegmentationLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialPointLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialNeighborhoodLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicZoomX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicZoomY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            additionalObsSets: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            moleculeHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
            },
            {
              type: "array",
              items: {
                type: "string"
              },
              description: "An array of locations in the AnnData store for a hierarchy of set names, from coarse to fine levels."
            }
          ]
        },
        scoreName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set confidence scores, like 'obs/celltype_prediction_score.'"
            }
          ]
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      },
      geneAlias: {
        type: "string",
        description: "The location in the AnnData store of a different list of names for gene list component, other than the `var` index"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialImageLayer: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$4 = false;
const required$4 = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$4 = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: true,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      obsType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      featureType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      featureValueType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingObsSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingObsSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingObsSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingObsRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell radius value, used when embeddingCellRadiusMode is absolute or relative."
          }
        }
      },
      embeddingObsOpacity: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell opacity value, used when embeddingCellOpacityMode is static."
          }
        }
      },
      embeddingObsRadiusMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) radius?"
          }
        }
      },
      embeddingObsOpacityMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) opacity?"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialImageLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialImageLayer"
              }
            ]
          }
        }
      },
      spatialSegmentationLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialPointLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      obsFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      obsHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      obsSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      obsSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      obsSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      obsColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "geneSelection",
              "cellSetSelection"
            ],
            description: "How should data points representing cells be colored?"
          }
        }
      },
      featureFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      featureHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      featureSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      featureValueTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      featureValueColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      featureValueColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalObsSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.11"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_11 = {
  $schema: $schema$4,
  $id: $id$4,
  title: title$4,
  type: type$4,
  definitions: definitions$4,
  additionalProperties: additionalProperties$4,
  required: required$4,
  properties: properties$4
};
const $schema$3 = "http://json-schema.org/draft-07/schema#";
const $id$3 = "https://github.com/vitessce/vitessce/#dataset";
const title$3 = "Vitessce data set";
const type$3 = "object";
const definitions$3 = {
  stringOrStringArray: {
    oneOf: [
      {
        type: "string"
      },
      {
        type: "array",
        items: {
          type: "string"
        }
      }
    ]
  },
  componentCoordinationScopeByValue: {
    type: "object",
    description: "Keys are coordination scopes for the coordinationScopesBy key, values are coordination scopes for the direct parent coordination type.",
    patternProperties: {
      ".": {
        $ref: "#/definitions/stringOrStringArray"
      }
    }
  },
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        uid: {
          type: "string",
          description: "A unique identifier for the view, to refer to it in getter and setter functions in object-oriented contexts."
        },
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: true,
          required: [],
          properties: {
            dataset: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsType: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureType: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureValueType: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingType: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingZoom: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingRotation: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingTargetX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingTargetY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingTargetZ: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsSetPolygonsVisible: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsSetLabelsVisible: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsSetLabelSize: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsRadius: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsOpacity: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsRadiusMode: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsOpacityMode: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialZoom: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotation: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialTargetX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialTargetY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialTargetZ: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotationX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotationY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotationZ: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotationOrbit: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialOrbitAxis: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialAxisFixed: {
              $ref: "#/definitions/stringOrStringArray"
            },
            heatmapZoomX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            heatmapZoomY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            heatmapTargetX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            heatmapTargetY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsFilter: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsHighlight: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsSetSelection: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsSetHighlight: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsSetColor: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureFilter: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureHighlight: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureSelection: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureValueTransform: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureValueColormap: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureValueColormapRange: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsColorEncoding: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialImageLayer: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialSegmentationLayer: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialPointLayer: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialNeighborhoodLayer: {
              $ref: "#/definitions/stringOrStringArray"
            },
            genomicZoomX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            genomicZoomY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            genomicTargetX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            genomicTargetY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            additionalObsSets: {
              $ref: "#/definitions/stringOrStringArray"
            },
            moleculeHighlight: {
              $ref: "#/definitions/stringOrStringArray"
            }
          }
        },
        coordinationScopesBy: {
          type: "object",
          description: "Component-level and coordination type-level coordination scope mappings. Keys are coordination types.",
          additionalProperties: true,
          required: [],
          patternProperties: {
            ".": {
              type: "object",
              description: "Coordination type-level coordination scope mappings. Keys are coordination types. Values are objects.",
              additionalProperties: true,
              required: [],
              patternProperties: {
                ".": {
                  $ref: "#/definitions/componentCoordinationScopeByValue"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
            },
            {
              type: "array",
              items: {
                type: "string"
              },
              description: "An array of locations in the AnnData store for a hierarchy of set names, from coarse to fine levels."
            }
          ]
        },
        scoreName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set confidence scores, like 'obs/celltype_prediction_score.'"
            }
          ]
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      },
      geneAlias: {
        type: "string",
        description: "The location in the AnnData store of a different list of names for gene list component, other than the `var` index"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialImageLayer: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$3 = false;
const required$3 = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$3 = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: true,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      obsType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      featureType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      featureValueType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingObsSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingObsSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingObsSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingObsRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell radius value, used when embeddingCellRadiusMode is absolute or relative."
          }
        }
      },
      embeddingObsOpacity: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell opacity value, used when embeddingCellOpacityMode is static."
          }
        }
      },
      embeddingObsRadiusMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) radius?"
          }
        }
      },
      embeddingObsOpacityMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) opacity?"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialImageLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialImageLayer"
              }
            ]
          }
        }
      },
      spatialSegmentationLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialPointLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      obsFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      obsHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      obsSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      obsSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      obsSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      obsColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "geneSelection",
              "cellSetSelection"
            ],
            description: "How should data points representing cells be colored?"
          }
        }
      },
      featureFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      featureHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      featureSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      featureValueTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      featureValueColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      featureValueColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalObsSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.12"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_12 = {
  $schema: $schema$3,
  $id: $id$3,
  title: title$3,
  type: type$3,
  definitions: definitions$3,
  additionalProperties: additionalProperties$3,
  required: required$3,
  properties: properties$3
};
const $schema$2 = "http://json-schema.org/draft-07/schema#";
const $id$2 = "https://github.com/vitessce/vitessce/#dataset";
const title$2 = "Vitessce data set";
const type$2 = "object";
const definitions$2 = {
  stringOrStringArray: {
    oneOf: [
      {
        type: "string"
      },
      {
        type: "array",
        items: {
          type: "string"
        }
      }
    ]
  },
  componentCoordinationScopeByValue: {
    type: "object",
    description: "Keys are coordination scopes for the coordinationScopesBy key, values are coordination scopes for the direct parent coordination type.",
    patternProperties: {
      ".": {
        $ref: "#/definitions/stringOrStringArray"
      }
    }
  },
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        uid: {
          type: "string",
          description: "A unique identifier for the view, to refer to it in getter and setter functions in object-oriented contexts."
        },
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: true,
          required: [],
          properties: {
            dataset: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsType: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureType: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureValueType: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingType: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingZoom: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingRotation: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingTargetX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingTargetY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingTargetZ: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsSetPolygonsVisible: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsSetLabelsVisible: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsSetLabelSize: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsRadius: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsOpacity: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsRadiusMode: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsOpacityMode: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialZoom: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotation: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialTargetX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialTargetY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialTargetZ: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotationX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotationY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotationZ: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotationOrbit: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialOrbitAxis: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialAxisFixed: {
              $ref: "#/definitions/stringOrStringArray"
            },
            heatmapZoomX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            heatmapZoomY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            heatmapTargetX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            heatmapTargetY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsFilter: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsHighlight: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsSetSelection: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsSetHighlight: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsSetColor: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureFilter: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureHighlight: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureSelection: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureValueTransform: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureValueColormap: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureValueColormapRange: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsColorEncoding: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialImageLayer: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialSegmentationLayer: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialPointLayer: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialNeighborhoodLayer: {
              $ref: "#/definitions/stringOrStringArray"
            },
            genomicZoomX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            genomicZoomY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            genomicTargetX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            genomicTargetY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            additionalObsSets: {
              $ref: "#/definitions/stringOrStringArray"
            },
            moleculeHighlight: {
              $ref: "#/definitions/stringOrStringArray"
            }
          }
        },
        coordinationScopesBy: {
          type: "object",
          description: "Component-level and coordination type-level coordination scope mappings. Keys are coordination types.",
          additionalProperties: true,
          required: [],
          patternProperties: {
            ".": {
              type: "object",
              description: "Coordination type-level coordination scope mappings. Keys are coordination types. Values are objects.",
              additionalProperties: true,
              required: [],
              patternProperties: {
                ".": {
                  $ref: "#/definitions/componentCoordinationScopeByValue"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
            },
            {
              type: "array",
              items: {
                type: "string"
              },
              description: "An array of locations in the AnnData store for a hierarchy of set names, from coarse to fine levels."
            }
          ]
        },
        scoreName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set confidence scores, like 'obs/celltype_prediction_score.'"
            }
          ]
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      },
      geneAlias: {
        type: "string",
        description: "The location in the AnnData store of a different list of names for gene list component, other than the `var` index"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialImageLayer: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$2 = false;
const required$2 = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$2 = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              },
              coordinationValues: {
                type: "object",
                description: "Keys are coordination types. Values are coordination values. Used for matching views to files.",
                patternProperties: {
                  ".": {
                    oneOf: [
                      {
                        type: "string"
                      }
                    ]
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: true,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      obsType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      featureType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      featureValueType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingObsSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingObsSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingObsSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingObsRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell radius value, used when embeddingCellRadiusMode is absolute or relative."
          }
        }
      },
      embeddingObsOpacity: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell opacity value, used when embeddingCellOpacityMode is static."
          }
        }
      },
      embeddingObsRadiusMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) radius?"
          }
        }
      },
      embeddingObsOpacityMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) opacity?"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialImageLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialImageLayer"
              }
            ]
          }
        }
      },
      spatialSegmentationLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialPointLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      obsFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      obsHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      obsSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      obsSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      obsSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      obsColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "geneSelection",
              "cellSetSelection"
            ],
            description: "How should data points representing cells be colored?"
          }
        }
      },
      featureFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      featureHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      featureSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      featureValueTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      featureValueColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      featureValueColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalObsSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.13"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_13 = {
  $schema: $schema$2,
  $id: $id$2,
  title: title$2,
  type: type$2,
  definitions: definitions$2,
  additionalProperties: additionalProperties$2,
  required: required$2,
  properties: properties$2
};
const $schema$1 = "http://json-schema.org/draft-07/schema#";
const $id$1 = "https://github.com/vitessce/vitessce/#dataset";
const title$1 = "Vitessce data set";
const type$1 = "object";
const definitions$1 = {
  stringOrStringArray: {
    oneOf: [
      {
        type: "string"
      },
      {
        type: "array",
        items: {
          type: "string"
        }
      }
    ]
  },
  componentCoordinationScopeByValue: {
    type: "object",
    description: "Keys are coordination scopes for the coordinationScopesBy key, values are coordination scopes for the direct parent coordination type.",
    patternProperties: {
      ".": {
        $ref: "#/definitions/stringOrStringArray"
      }
    }
  },
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        uid: {
          type: "string",
          description: "A unique identifier for the view, to refer to it in getter and setter functions in object-oriented contexts."
        },
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationValues: {
          type: "object",
          description: "Component-level coordination values. This value will apply to only this one view and is a shortcut which bypasses the coordinated multiple view functionality.",
          additionalProperties: true,
          required: [],
          properties: {}
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: true,
          required: [],
          properties: {
            dataset: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsType: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureType: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureValueType: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingType: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingZoom: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingRotation: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingTargetX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingTargetY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingTargetZ: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsSetPolygonsVisible: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsSetLabelsVisible: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsSetLabelSize: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsRadius: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsOpacity: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsRadiusMode: {
              $ref: "#/definitions/stringOrStringArray"
            },
            embeddingObsOpacityMode: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialZoom: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotation: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialTargetX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialTargetY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialTargetZ: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotationX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotationY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotationZ: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialRotationOrbit: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialOrbitAxis: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialAxisFixed: {
              $ref: "#/definitions/stringOrStringArray"
            },
            heatmapZoomX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            heatmapZoomY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            heatmapTargetX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            heatmapTargetY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsFilter: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsHighlight: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsSetSelection: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsSetHighlight: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsSetColor: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureFilter: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureHighlight: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureSelection: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureValueTransform: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureValueColormap: {
              $ref: "#/definitions/stringOrStringArray"
            },
            featureValueColormapRange: {
              $ref: "#/definitions/stringOrStringArray"
            },
            obsColorEncoding: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialImageLayer: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialSegmentationLayer: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialPointLayer: {
              $ref: "#/definitions/stringOrStringArray"
            },
            spatialNeighborhoodLayer: {
              $ref: "#/definitions/stringOrStringArray"
            },
            genomicZoomX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            genomicZoomY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            genomicTargetX: {
              $ref: "#/definitions/stringOrStringArray"
            },
            genomicTargetY: {
              $ref: "#/definitions/stringOrStringArray"
            },
            additionalObsSets: {
              $ref: "#/definitions/stringOrStringArray"
            },
            moleculeHighlight: {
              $ref: "#/definitions/stringOrStringArray"
            }
          }
        },
        coordinationScopesBy: {
          type: "object",
          description: "Component-level and coordination type-level coordination scope mappings. Keys are coordination types.",
          additionalProperties: true,
          required: [],
          patternProperties: {
            ".": {
              type: "object",
              description: "Coordination type-level coordination scope mappings. Keys are coordination types. Values are objects.",
              additionalProperties: true,
              required: [],
              patternProperties: {
                ".": {
                  $ref: "#/definitions/componentCoordinationScopeByValue"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
            },
            {
              type: "array",
              items: {
                type: "string"
              },
              description: "An array of locations in the AnnData store for a hierarchy of set names, from coarse to fine levels."
            }
          ]
        },
        scoreName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set confidence scores, like 'obs/celltype_prediction_score.'"
            }
          ]
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      },
      geneAlias: {
        type: "string",
        description: "The location in the AnnData store of a different list of names for gene list component, other than the `var` index"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialImageLayer: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties$1 = false;
const required$1 = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties$1 = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "type",
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              },
              coordinationValues: {
                type: "object",
                description: "Keys are coordination types. Values are coordination values. Used for matching views to files.",
                patternProperties: {
                  ".": {
                    oneOf: [
                      {
                        type: "string"
                      }
                    ]
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: true,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      obsType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      featureType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      featureValueType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingObsSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingObsSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingObsSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingObsRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell radius value, used when embeddingCellRadiusMode is absolute or relative."
          }
        }
      },
      embeddingObsOpacity: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell opacity value, used when embeddingCellOpacityMode is static."
          }
        }
      },
      embeddingObsRadiusMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) radius?"
          }
        }
      },
      embeddingObsOpacityMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) opacity?"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialImageLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialImageLayer"
              }
            ]
          }
        }
      },
      spatialSegmentationLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialPointLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      obsFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      obsHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      obsSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      obsSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      obsSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      obsColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "geneSelection",
              "cellSetSelection"
            ],
            description: "How should data points representing cells be colored?"
          }
        }
      },
      featureFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      featureHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      featureSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      featureValueTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      featureValueColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      featureValueColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalObsSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.14"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_14 = {
  $schema: $schema$1,
  $id: $id$1,
  title: title$1,
  type: type$1,
  definitions: definitions$1,
  additionalProperties: additionalProperties$1,
  required: required$1,
  properties: properties$1
};
const $schema = "http://json-schema.org/draft-07/schema#";
const $id = "https://github.com/vitessce/vitessce/#dataset";
const title = "Vitessce data set";
const type2 = "object";
const definitions = {
  componentCoordinationScopeValue: {
    oneOf: [
      {
        type: "string"
      },
      {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      }
    ]
  },
  components: {
    description: "The layout array defines the views, or components, rendered in the grid.",
    type: "array",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "component",
        "x",
        "y"
      ],
      properties: {
        uid: {
          type: "string",
          description: "A unique identifier for the view, to refer to it in getter and setter functions in object-oriented contexts."
        },
        component: {
          type: "string",
          description: "Specify a component using a name defined in the component registry."
        },
        props: {
          type: "object",
          description: "Extra prop values for the component."
        },
        x: {
          type: "integer"
        },
        y: {
          type: "integer"
        },
        w: {
          type: "integer"
        },
        h: {
          type: "integer"
        },
        coordinationScopes: {
          type: "object",
          description: "Component-level coordination scope mappings define which coordination object values a particular component can read and write, for each coordination type.",
          additionalProperties: true,
          required: [],
          properties: {
            dataset: {
              oneOf: [
                {
                  type: "string"
                },
                {
                  type: "array",
                  items: {
                    type: "string"
                  }
                }
              ]
            },
            embeddingType: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingZoom: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingRotation: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingTargetZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellSetPolygonsVisible: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellSetLabelsVisible: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellSetLabelSize: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellRadius: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellOpacity: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellRadiusMode: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            embeddingCellOpacityMode: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialZoom: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotation: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialTargetZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationZ: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRotationOrbit: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialOrbitAxis: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialAxisFixed: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapZoomX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapZoomY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            heatmapTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellFilter: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellSetSelection: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellSetHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellSetColor: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneFilter: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneSelection: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneExpressionTransform: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneExpressionColormap: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            geneExpressionColormapRange: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            cellColorEncoding: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialRasterLayers: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialCellsLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialMoleculesLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            spatialNeighborhoodsLayer: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicZoomX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicZoomY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicTargetX: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            genomicTargetY: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            additionalCellSets: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            },
            moleculeHighlight: {
              $ref: "#/definitions/componentCoordinationScopeValue"
            }
          }
        }
      }
    }
  },
  annDataCellSets: {
    type: "array",
    description: "Array of cell set configuration, following closely the conventions of the tabular schema",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "groupName",
        "setName"
      ],
      properties: {
        groupName: {
          type: "string",
          description: "The display name for the set, like 'Cell Type' or 'Louvain.'"
        },
        setName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set, like 'obs/louvain' or 'obs/celltype.'"
            },
            {
              type: "array",
              items: {
                type: "string"
              },
              description: "An array of locations in the AnnData store for a hierarchy of set names, from coarse to fine levels."
            }
          ]
        },
        scoreName: {
          oneOf: [
            {
              type: "string",
              description: "The location in the AnnData store for the set confidence scores, like 'obs/celltype_prediction_score.'"
            }
          ]
        }
      }
    }
  },
  annDataCells: {
    type: "object",
    description: "The properties of this object are the configuration for how to layout scatterplots and spatial information",
    minProperties: 1,
    additionalProperties: false,
    required: [],
    properties: {
      xy: {
        type: "string",
        description: "The location in the AnnData store of cell centroids, like 'obsm/X_centroids.'"
      },
      poly: {
        type: "string",
        description: "The location in the AnnData store of cell polygon outlines, like 'obsm/X_polygons.'"
      },
      factors: {
        type: "array",
        description: "List of locations in the AnnData store of cell sets, like 'obs/louvain'",
        items: {
          type: "string"
        }
      },
      mappings: {
        patternProperties: {
          ".": {
            type: "object",
            description: "An object containing key-values for mappings like { UMAP: { key: 'obsm/X_umap', dims: [0, 1] } }.",
            additionalProperties: false,
            required: [
              "key"
            ],
            properties: {
              key: {
                type: "string",
                description: "Where to look in the AnnData store for this mapping, like 'obsm/X_umap.'"
              },
              dims: {
                type: "array",
                description: "Which indices of the obsm object to take for a scatterplot, allowing for, for example, different PCs from obsm/X_pca",
                minItems: 2,
                maxItems: 2,
                items: {
                  type: "number"
                }
              }
            }
          }
        }
      }
    }
  },
  annDataExpressionMatrix: {
    type: "object",
    description: "The properties of this object are the configuration for how to fetch the cell x genes matrix",
    additionalProperties: false,
    required: [
      "matrix"
    ],
    properties: {
      matrix: {
        type: "string",
        description: "The location in the AnnData store of the cell x gene matrix, like 'obsm/hvg_subset.' or 'X'"
      },
      geneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the genes if using a subset of the data, like 'var.highly_variable.' if the matrix comes from 'obsm/hvg_subset.'"
      },
      matrixGeneFilter: {
        type: "string",
        description: "The location in the AnnData store of a filter for the matrix data (used in heatmap and histogram), like 'var.highly_variable.''"
      },
      geneAlias: {
        type: "string",
        description: "The location in the AnnData store of a different list of names for gene list component, other than the `var` index"
      }
    }
  },
  requestInit: {
    type: "object",
    description: "The properties of this object correspond to the parameters of the JavaScript fetch() function.",
    additionalProperties: false,
    required: [],
    properties: {
      method: {
        type: "string"
      },
      headers: {
        type: "object"
      },
      body: {
        type: "string"
      },
      mode: {
        type: "string"
      },
      credentials: {
        type: "string"
      },
      cache: {
        type: "string"
      },
      redirect: {
        type: "string"
      },
      referrer: {
        type: "string"
      },
      integrity: {
        type: "string"
      }
    }
  },
  rasterLayer: {
    description: "The properties of this object are the rendering settings for the raster layer.",
    additionalProperties: false,
    required: [
      "channels",
      "colormap",
      "index",
      "opacity"
    ],
    properties: {
      channels: {
        type: "array",
        items: {
          type: "object",
          additionalProperties: false,
          required: [
            "selection"
          ],
          properties: {
            color: {
              type: "array",
              items: {
                type: "number"
              },
              description: "The color to use when rendering this channel under the null colormap."
            },
            selection: {
              type: "object",
              description: "Determines the channel selection, e.g. some Z and time slice."
            },
            slider: {
              type: "array",
              items: {
                type: "number"
              },
              description: "Determines the range for color mapping."
            },
            visible: {
              type: "boolean",
              description: "Determines whether this channel of the layer will be rendered in the spatial component."
            }
          }
        }
      },
      colormap: {
        oneOf: [
          {
            type: "string",
            description: "The name of the colormap to use for this layer."
          },
          {
            type: "null",
            description: "Use the solid color definitions."
          }
        ]
      },
      transparentColor: {
        oneOf: [
          {
            type: "array",
            minItems: 3,
            maxItems: 3,
            items: {
              type: "number",
              description: "One of R G or B (0 - 255)."
            },
            description: "Determines the color to be set to opacity 0"
          },
          {
            type: "null",
            description: "No selection."
          }
        ]
      },
      index: {
        type: "number",
        description: "The index of the layer among the array of layers available in the image file."
      },
      opacity: {
        type: "number"
      },
      modelMatrix: {
        oneOf: [
          {
            type: "array",
            minItems: 16,
            maxItems: 16,
            description: "transformation matrix for this layer"
          },
          {
            type: "null",
            description: "Use no transformation."
          }
        ]
      },
      domainType: {
        type: "string",
        "enum": [
          "Full",
          "Min/Max"
        ],
        description: "Determines the extent of the channel slider input element in the layer controller."
      },
      resolution: {
        type: "number",
        description: "Resolution of 3D volumetric rendering"
      },
      xSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      renderingMode: {
        type: "string",
        description: "Rendering mode of 3D volumetric rendering"
      },
      ySlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      zSlice: {
        oneOf: [
          {
            type: "array",
            minItems: 2,
            maxItems: 2,
            description: "Slice bounds"
          },
          {
            type: "null",
            description: "No slicing"
          }
        ]
      },
      type: {
        type: "string",
        "enum": [
          "raster",
          "bitmask"
        ]
      },
      use3d: {
        type: "boolean"
      },
      visible: {
        type: "boolean",
        description: "Determines whether this entire layer will be rendered in the spatial component."
      }
    }
  },
  moleculesLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the molecules layer.",
    additionalProperties: false,
    required: [
      "visible",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  cellsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the cells layer.",
    additionalProperties: false,
    required: [
      "visible",
      "stroked",
      "radius",
      "opacity"
    ],
    properties: {
      visible: {
        type: "boolean"
      },
      stroked: {
        type: "boolean"
      },
      radius: {
        type: "number"
      },
      opacity: {
        type: "number"
      }
    }
  },
  neighborhoodsLayer: {
    type: "object",
    description: "The properties of this object are the rendering settings for the neighborhoods layer.",
    additionalProperties: false,
    required: [
      "visible"
    ],
    properties: {
      visible: {
        type: "boolean"
      }
    }
  },
  spatialRasterLayers: {
    type: "array",
    description: "Array of Spatial Layers",
    items: {
      $ref: "#/definitions/rasterLayer"
    }
  }
};
const additionalProperties = false;
const required = [
  "version",
  "name",
  "datasets",
  "layout",
  "initStrategy"
];
const properties = {
  name: {
    type: "string"
  },
  "public": {
    type: "boolean"
  },
  description: {
    type: "string"
  },
  datasets: {
    type: "array",
    description: "The datasets array defines groups of files, where the files within each dataset reference the same entities (cells, genes, cell sets, etc).",
    items: {
      type: "object",
      additionalProperties: false,
      required: [
        "uid",
        "files"
      ],
      properties: {
        uid: {
          type: "string"
        },
        name: {
          type: "string"
        },
        description: {
          type: "string"
        },
        files: {
          type: "array",
          items: {
            type: "object",
            additionalProperties: false,
            required: [
              "fileType"
            ],
            properties: {
              name: {
                type: "string"
              },
              type: {
                type: "string"
              },
              fileType: {
                type: "string"
              },
              url: {
                type: "string"
              },
              options: {
                oneOf: [
                  {
                    $ref: "#/definitions/annDataCellSets"
                  },
                  {
                    $ref: "https://github.com/vitessce/vitessce/#raster"
                  },
                  {
                    $ref: "#/definitions/annDataCells"
                  },
                  {
                    $ref: "#/definitions/annDataExpressionMatrix"
                  }
                ]
              },
              requestInit: {
                $ref: "#/definitions/requestInit"
              }
            }
          }
        }
      }
    }
  },
  coordinationSpace: {
    type: "object",
    description: "The coordination space stores the values for each scope of each coordination object.",
    additionalProperties: true,
    required: [],
    properties: {
      dataset: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      embeddingTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingType: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      embeddingCellSetPolygonsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelsVisible: {
        type: "object",
        patternProperties: {
          ".": {
            type: "boolean"
          }
        }
      },
      embeddingCellSetLabelSize: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      embeddingCellRadius: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell radius value, used when embeddingCellRadiusMode is absolute or relative."
          }
        }
      },
      embeddingCellOpacity: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number",
            description: "The cell opacity value, used when embeddingCellOpacityMode is static."
          }
        }
      },
      embeddingCellRadiusMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) radius?"
          }
        }
      },
      embeddingCellOpacityMode: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "manual",
              "auto"
            ],
            description: "Should data points representing cells be assigned a static (manual) or dynamic (auto, based on zoom level and data extent) opacity?"
          }
        }
      },
      spatialZoom: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotation: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      spatialTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialTargetZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationX: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationY: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationZ: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialRotationOrbit: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "number"
              }
            ]
          }
        }
      },
      spatialOrbitAxis: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, value will be automatically set. Only useful for 3D viewing."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      spatialAxisFixed: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "Whether or not to have a fixed axis for the camera. Only useful for 3D viewing."
              },
              {
                type: "boolean"
              }
            ]
          }
        }
      },
      spatialRasterLayers: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/spatialRasterLayers"
              }
            ]
          }
        }
      },
      spatialCellsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/cellsLayer"
              }
            ]
          }
        }
      },
      spatialNeighborhoodsLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/neighborhoodsLayer"
              }
            ]
          }
        }
      },
      spatialMoleculesLayer: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto layer initialization is enabled, layers will be automatically initialized."
              },
              {
                $ref: "#/definitions/moleculesLayer"
              }
            ]
          }
        }
      },
      heatmapZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      heatmapTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      cellFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cells will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      cellHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided and auto cell set initialization is enabled, cell set selections will be automatically initialized."
              },
              {
                type: "array"
              }
            ]
          }
        }
      },
      cellSetHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell sets will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      cellSetColor: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, cell set colors will be automatically initialized."
              },
              {
                type: "array",
                items: {
                  type: "object",
                  additionalProperties: false,
                  required: [
                    "path",
                    "color"
                  ],
                  properties: {
                    path: {
                      type: "array",
                      items: {
                        type: "string"
                      }
                    },
                    color: {
                      type: "array",
                      items: {
                        type: "number"
                      }
                    }
                  }
                }
              }
            ]
          }
        }
      },
      cellColorEncoding: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string",
            "enum": [
              "geneSelection",
              "cellSetSelection"
            ],
            description: "How should data points representing cells be colored?"
          }
        }
      },
      geneFilter: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be filtered out initially."
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no genes will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      },
      geneSelection: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "array",
                items: {
                  type: "string"
                }
              }
            ]
          }
        }
      },
      geneExpressionTransform: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null"
              },
              {
                type: "string",
                pattern: "log1p"
              }
            ]
          }
        }
      },
      geneExpressionColormap: {
        type: "object",
        patternProperties: {
          ".": {
            type: "string"
          }
        }
      },
      geneExpressionColormapRange: {
        type: "object",
        patternProperties: {
          ".": {
            type: "array",
            items: {
              type: "number"
            }
          }
        }
      },
      genomicZoomX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicZoomY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetX: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      genomicTargetY: {
        type: "object",
        patternProperties: {
          ".": {
            type: "number"
          }
        }
      },
      additionalCellSets: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no cell will be highlighted initially."
              },
              {
                $ref: "https://github.com/vitessce/vitessce/#cell-sets"
              }
            ]
          }
        }
      },
      moleculeHighlight: {
        type: "object",
        patternProperties: {
          ".": {
            oneOf: [
              {
                type: "null",
                description: "If null is provided, no molecule will be highlighted initially."
              },
              {
                type: "string"
              }
            ]
          }
        }
      }
    }
  },
  layout: {
    $ref: "#/definitions/components"
  },
  initStrategy: {
    type: "string",
    "enum": [
      "none",
      "auto"
    ],
    description: "The initialization strategy determines how missing coordination objects and coordination scope mappings are initially filled in."
  },
  version: {
    type: "string",
    "enum": [
      "1.0.15"
    ],
    description: "The schema version for the view config."
  }
};
var configSchema1_0_15 = {
  $schema,
  $id,
  title,
  type: type2,
  definitions,
  additionalProperties,
  required,
  properties
};
function arrayEach$1(array, iteratee) {
  var index2 = -1, length = array == null ? 0 : array.length;
  while (++index2 < length) {
    if (iteratee(array[index2], index2, array) === false) {
      break;
    }
  }
  return array;
}
var _arrayEach = arrayEach$1;
var getNative = _getNative;
var defineProperty$2 = function() {
  try {
    var func = getNative(Object, "defineProperty");
    func({}, "", {});
    return func;
  } catch (e2) {
  }
}();
var _defineProperty = defineProperty$2;
var defineProperty$1 = _defineProperty;
function baseAssignValue$2(object, key, value) {
  if (key == "__proto__" && defineProperty$1) {
    defineProperty$1(object, key, {
      "configurable": true,
      "enumerable": true,
      "value": value,
      "writable": true
    });
  } else {
    object[key] = value;
  }
}
var _baseAssignValue = baseAssignValue$2;
var baseAssignValue$1 = _baseAssignValue, eq = eq_1;
var objectProto$2 = Object.prototype;
var hasOwnProperty$2 = objectProto$2.hasOwnProperty;
function assignValue$2(object, key, value) {
  var objValue = object[key];
  if (!(hasOwnProperty$2.call(object, key) && eq(objValue, value)) || value === void 0 && !(key in object)) {
    baseAssignValue$1(object, key, value);
  }
}
var _assignValue = assignValue$2;
var assignValue$1 = _assignValue, baseAssignValue = _baseAssignValue;
function copyObject$4(source, props, object, customizer) {
  var isNew = !object;
  object || (object = {});
  var index2 = -1, length = props.length;
  while (++index2 < length) {
    var key = props[index2];
    var newValue = customizer ? customizer(object[key], source[key], key, object, source) : void 0;
    if (newValue === void 0) {
      newValue = source[key];
    }
    if (isNew) {
      baseAssignValue(object, key, newValue);
    } else {
      assignValue$1(object, key, newValue);
    }
  }
  return object;
}
var _copyObject = copyObject$4;
var copyObject$3 = _copyObject, keys$1 = keys_1;
function baseAssign$1(object, source) {
  return object && copyObject$3(source, keys$1(source), object);
}
var _baseAssign = baseAssign$1;
function nativeKeysIn$1(object) {
  var result = [];
  if (object != null) {
    for (var key in Object(object)) {
      result.push(key);
    }
  }
  return result;
}
var _nativeKeysIn = nativeKeysIn$1;
var isObject$2 = isObject_1, isPrototype$1 = _isPrototype, nativeKeysIn = _nativeKeysIn;
var objectProto$1 = Object.prototype;
var hasOwnProperty$1 = objectProto$1.hasOwnProperty;
function baseKeysIn$1(object) {
  if (!isObject$2(object)) {
    return nativeKeysIn(object);
  }
  var isProto = isPrototype$1(object), result = [];
  for (var key in object) {
    if (!(key == "constructor" && (isProto || !hasOwnProperty$1.call(object, key)))) {
      result.push(key);
    }
  }
  return result;
}
var _baseKeysIn = baseKeysIn$1;
var arrayLikeKeys = _arrayLikeKeys, baseKeysIn = _baseKeysIn, isArrayLike$1 = isArrayLike_1;
function keysIn$3(object) {
  return isArrayLike$1(object) ? arrayLikeKeys(object, true) : baseKeysIn(object);
}
var keysIn_1 = keysIn$3;
var copyObject$2 = _copyObject, keysIn$2 = keysIn_1;
function baseAssignIn$1(object, source) {
  return object && copyObject$2(source, keysIn$2(source), object);
}
var _baseAssignIn = baseAssignIn$1;
var _cloneBuffer = { exports: {} };
(function(module2, exports) {
  var root2 = _root;
  var freeExports = exports && !exports.nodeType && exports;
  var freeModule = freeExports && true && module2 && !module2.nodeType && module2;
  var moduleExports = freeModule && freeModule.exports === freeExports;
  var Buffer = moduleExports ? root2.Buffer : void 0, allocUnsafe = Buffer ? Buffer.allocUnsafe : void 0;
  function cloneBuffer2(buffer, isDeep) {
    if (isDeep) {
      return buffer.slice();
    }
    var length = buffer.length, result = allocUnsafe ? allocUnsafe(length) : new buffer.constructor(length);
    buffer.copy(result);
    return result;
  }
  module2.exports = cloneBuffer2;
})(_cloneBuffer, _cloneBuffer.exports);
function copyArray$1(source, array) {
  var index2 = -1, length = source.length;
  array || (array = Array(length));
  while (++index2 < length) {
    array[index2] = source[index2];
  }
  return array;
}
var _copyArray = copyArray$1;
var copyObject$1 = _copyObject, getSymbols$1 = _getSymbols;
function copySymbols$1(source, object) {
  return copyObject$1(source, getSymbols$1(source), object);
}
var _copySymbols = copySymbols$1;
var overArg = _overArg;
var getPrototype$2 = overArg(Object.getPrototypeOf, Object);
var _getPrototype = getPrototype$2;
var arrayPush$1 = _arrayPush, getPrototype$1 = _getPrototype, getSymbols = _getSymbols, stubArray = stubArray_1;
var nativeGetSymbols = Object.getOwnPropertySymbols;
var getSymbolsIn$2 = !nativeGetSymbols ? stubArray : function(object) {
  var result = [];
  while (object) {
    arrayPush$1(result, getSymbols(object));
    object = getPrototype$1(object);
  }
  return result;
};
var _getSymbolsIn = getSymbolsIn$2;
var copyObject = _copyObject, getSymbolsIn$1 = _getSymbolsIn;
function copySymbolsIn$1(source, object) {
  return copyObject(source, getSymbolsIn$1(source), object);
}
var _copySymbolsIn = copySymbolsIn$1;
var baseGetAllKeys = _baseGetAllKeys, getSymbolsIn = _getSymbolsIn, keysIn$1 = keysIn_1;
function getAllKeysIn$1(object) {
  return baseGetAllKeys(object, keysIn$1, getSymbolsIn);
}
var _getAllKeysIn = getAllKeysIn$1;
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function initCloneArray$1(array) {
  var length = array.length, result = new array.constructor(length);
  if (length && typeof array[0] == "string" && hasOwnProperty.call(array, "index")) {
    result.index = array.index;
    result.input = array.input;
  }
  return result;
}
var _initCloneArray = initCloneArray$1;
var Uint8Array$1 = _Uint8Array;
function cloneArrayBuffer$3(arrayBuffer) {
  var result = new arrayBuffer.constructor(arrayBuffer.byteLength);
  new Uint8Array$1(result).set(new Uint8Array$1(arrayBuffer));
  return result;
}
var _cloneArrayBuffer = cloneArrayBuffer$3;
var cloneArrayBuffer$2 = _cloneArrayBuffer;
function cloneDataView$1(dataView, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer$2(dataView.buffer) : dataView.buffer;
  return new dataView.constructor(buffer, dataView.byteOffset, dataView.byteLength);
}
var _cloneDataView = cloneDataView$1;
var reFlags = /\w*$/;
function cloneRegExp$1(regexp) {
  var result = new regexp.constructor(regexp.source, reFlags.exec(regexp));
  result.lastIndex = regexp.lastIndex;
  return result;
}
var _cloneRegExp = cloneRegExp$1;
var Symbol$2 = _Symbol;
var symbolProto = Symbol$2 ? Symbol$2.prototype : void 0, symbolValueOf = symbolProto ? symbolProto.valueOf : void 0;
function cloneSymbol$1(symbol) {
  return symbolValueOf ? Object(symbolValueOf.call(symbol)) : {};
}
var _cloneSymbol = cloneSymbol$1;
var cloneArrayBuffer$1 = _cloneArrayBuffer;
function cloneTypedArray$1(typedArray, isDeep) {
  var buffer = isDeep ? cloneArrayBuffer$1(typedArray.buffer) : typedArray.buffer;
  return new typedArray.constructor(buffer, typedArray.byteOffset, typedArray.length);
}
var _cloneTypedArray = cloneTypedArray$1;
var cloneArrayBuffer = _cloneArrayBuffer, cloneDataView = _cloneDataView, cloneRegExp = _cloneRegExp, cloneSymbol = _cloneSymbol, cloneTypedArray = _cloneTypedArray;
var boolTag$1 = "[object Boolean]", dateTag$1 = "[object Date]", mapTag$2 = "[object Map]", numberTag$1 = "[object Number]", regexpTag$1 = "[object RegExp]", setTag$2 = "[object Set]", stringTag$1 = "[object String]", symbolTag$1 = "[object Symbol]";
var arrayBufferTag$1 = "[object ArrayBuffer]", dataViewTag$1 = "[object DataView]", float32Tag$1 = "[object Float32Array]", float64Tag$1 = "[object Float64Array]", int8Tag$1 = "[object Int8Array]", int16Tag$1 = "[object Int16Array]", int32Tag$1 = "[object Int32Array]", uint8Tag$1 = "[object Uint8Array]", uint8ClampedTag$1 = "[object Uint8ClampedArray]", uint16Tag$1 = "[object Uint16Array]", uint32Tag$1 = "[object Uint32Array]";
function initCloneByTag$1(object, tag, isDeep) {
  var Ctor = object.constructor;
  switch (tag) {
    case arrayBufferTag$1:
      return cloneArrayBuffer(object);
    case boolTag$1:
    case dateTag$1:
      return new Ctor(+object);
    case dataViewTag$1:
      return cloneDataView(object, isDeep);
    case float32Tag$1:
    case float64Tag$1:
    case int8Tag$1:
    case int16Tag$1:
    case int32Tag$1:
    case uint8Tag$1:
    case uint8ClampedTag$1:
    case uint16Tag$1:
    case uint32Tag$1:
      return cloneTypedArray(object, isDeep);
    case mapTag$2:
      return new Ctor();
    case numberTag$1:
    case stringTag$1:
      return new Ctor(object);
    case regexpTag$1:
      return cloneRegExp(object);
    case setTag$2:
      return new Ctor();
    case symbolTag$1:
      return cloneSymbol(object);
  }
}
var _initCloneByTag = initCloneByTag$1;
var isObject$1 = isObject_1;
var objectCreate = Object.create;
var baseCreate$1 = function() {
  function object() {
  }
  return function(proto) {
    if (!isObject$1(proto)) {
      return {};
    }
    if (objectCreate) {
      return objectCreate(proto);
    }
    object.prototype = proto;
    var result = new object();
    object.prototype = void 0;
    return result;
  };
}();
var _baseCreate = baseCreate$1;
var baseCreate = _baseCreate, getPrototype = _getPrototype, isPrototype = _isPrototype;
function initCloneObject$1(object) {
  return typeof object.constructor == "function" && !isPrototype(object) ? baseCreate(getPrototype(object)) : {};
}
var _initCloneObject = initCloneObject$1;
var getTag$2 = _getTag, isObjectLike$2 = isObjectLike_1;
var mapTag$1 = "[object Map]";
function baseIsMap$1(value) {
  return isObjectLike$2(value) && getTag$2(value) == mapTag$1;
}
var _baseIsMap = baseIsMap$1;
var baseIsMap = _baseIsMap, baseUnary$2 = _baseUnary, nodeUtil$1 = _nodeUtil.exports;
var nodeIsMap = nodeUtil$1 && nodeUtil$1.isMap;
var isMap$1 = nodeIsMap ? baseUnary$2(nodeIsMap) : baseIsMap;
var isMap_1 = isMap$1;
var getTag$1 = _getTag, isObjectLike$1 = isObjectLike_1;
var setTag$1 = "[object Set]";
function baseIsSet$1(value) {
  return isObjectLike$1(value) && getTag$1(value) == setTag$1;
}
var _baseIsSet = baseIsSet$1;
var baseIsSet = _baseIsSet, baseUnary$1 = _baseUnary, nodeUtil = _nodeUtil.exports;
var nodeIsSet = nodeUtil && nodeUtil.isSet;
var isSet$1 = nodeIsSet ? baseUnary$1(nodeIsSet) : baseIsSet;
var isSet_1 = isSet$1;
var Stack = _Stack, arrayEach = _arrayEach, assignValue = _assignValue, baseAssign = _baseAssign, baseAssignIn = _baseAssignIn, cloneBuffer = _cloneBuffer.exports, copyArray = _copyArray, copySymbols = _copySymbols, copySymbolsIn = _copySymbolsIn, getAllKeys = _getAllKeys, getAllKeysIn = _getAllKeysIn, getTag = _getTag, initCloneArray = _initCloneArray, initCloneByTag = _initCloneByTag, initCloneObject = _initCloneObject, isArray$1 = isArray_1, isBuffer = isBuffer$3.exports, isMap = isMap_1, isObject = isObject_1, isSet = isSet_1, keys = keys_1, keysIn = keysIn_1;
var CLONE_DEEP_FLAG$1 = 1, CLONE_FLAT_FLAG = 2, CLONE_SYMBOLS_FLAG$1 = 4;
var argsTag = "[object Arguments]", arrayTag = "[object Array]", boolTag = "[object Boolean]", dateTag = "[object Date]", errorTag = "[object Error]", funcTag = "[object Function]", genTag = "[object GeneratorFunction]", mapTag = "[object Map]", numberTag = "[object Number]", objectTag = "[object Object]", regexpTag = "[object RegExp]", setTag = "[object Set]", stringTag = "[object String]", symbolTag = "[object Symbol]", weakMapTag = "[object WeakMap]";
var arrayBufferTag = "[object ArrayBuffer]", dataViewTag = "[object DataView]", float32Tag = "[object Float32Array]", float64Tag = "[object Float64Array]", int8Tag = "[object Int8Array]", int16Tag = "[object Int16Array]", int32Tag = "[object Int32Array]", uint8Tag = "[object Uint8Array]", uint8ClampedTag = "[object Uint8ClampedArray]", uint16Tag = "[object Uint16Array]", uint32Tag = "[object Uint32Array]";
var cloneableTags = {};
cloneableTags[argsTag] = cloneableTags[arrayTag] = cloneableTags[arrayBufferTag] = cloneableTags[dataViewTag] = cloneableTags[boolTag] = cloneableTags[dateTag] = cloneableTags[float32Tag] = cloneableTags[float64Tag] = cloneableTags[int8Tag] = cloneableTags[int16Tag] = cloneableTags[int32Tag] = cloneableTags[mapTag] = cloneableTags[numberTag] = cloneableTags[objectTag] = cloneableTags[regexpTag] = cloneableTags[setTag] = cloneableTags[stringTag] = cloneableTags[symbolTag] = cloneableTags[uint8Tag] = cloneableTags[uint8ClampedTag] = cloneableTags[uint16Tag] = cloneableTags[uint32Tag] = true;
cloneableTags[errorTag] = cloneableTags[funcTag] = cloneableTags[weakMapTag] = false;
function baseClone$1(value, bitmask, customizer, key, object, stack) {
  var result, isDeep = bitmask & CLONE_DEEP_FLAG$1, isFlat = bitmask & CLONE_FLAT_FLAG, isFull = bitmask & CLONE_SYMBOLS_FLAG$1;
  if (customizer) {
    result = object ? customizer(value, key, object, stack) : customizer(value);
  }
  if (result !== void 0) {
    return result;
  }
  if (!isObject(value)) {
    return value;
  }
  var isArr = isArray$1(value);
  if (isArr) {
    result = initCloneArray(value);
    if (!isDeep) {
      return copyArray(value, result);
    }
  } else {
    var tag = getTag(value), isFunc = tag == funcTag || tag == genTag;
    if (isBuffer(value)) {
      return cloneBuffer(value, isDeep);
    }
    if (tag == objectTag || tag == argsTag || isFunc && !object) {
      result = isFlat || isFunc ? {} : initCloneObject(value);
      if (!isDeep) {
        return isFlat ? copySymbolsIn(value, baseAssignIn(result, value)) : copySymbols(value, baseAssign(result, value));
      }
    } else {
      if (!cloneableTags[tag]) {
        return object ? value : {};
      }
      result = initCloneByTag(value, tag, isDeep);
    }
  }
  stack || (stack = new Stack());
  var stacked = stack.get(value);
  if (stacked) {
    return stacked;
  }
  stack.set(value, result);
  if (isSet(value)) {
    value.forEach(function(subValue) {
      result.add(baseClone$1(subValue, bitmask, customizer, subValue, value, stack));
    });
  } else if (isMap(value)) {
    value.forEach(function(subValue, key2) {
      result.set(key2, baseClone$1(subValue, bitmask, customizer, key2, value, stack));
    });
  }
  var keysFunc = isFull ? isFlat ? getAllKeysIn : getAllKeys : isFlat ? keysIn : keys;
  var props = isArr ? void 0 : keysFunc(value);
  arrayEach(props || value, function(subValue, key2) {
    if (props) {
      key2 = subValue;
      subValue = value[key2];
    }
    assignValue(result, key2, baseClone$1(subValue, bitmask, customizer, key2, value, stack));
  });
  return result;
}
var _baseClone = baseClone$1;
var baseClone = _baseClone;
var CLONE_DEEP_FLAG = 1, CLONE_SYMBOLS_FLAG = 4;
function cloneDeep(value) {
  return baseClone(value, CLONE_DEEP_FLAG | CLONE_SYMBOLS_FLAG);
}
var cloneDeep_1 = cloneDeep;
function upgradeReplaceViewProp(prefix2, view, coordinationSpace) {
  var _ref;
  var prevZScopes = Object.keys(coordinationSpace["".concat(prefix2, "Zoom")]);
  var prevTXScopes = Object.keys(coordinationSpace["".concat(prefix2, "TargetX")]);
  var prevTYScopes = Object.keys(coordinationSpace["".concat(prefix2, "TargetY")]);
  var nextZScope = getNextScope(prevZScopes);
  var nextTXScope = getNextScope(prevTXScopes);
  var nextTYScope = getNextScope(prevTYScopes);
  var zoom = view.zoom, _view$target = _slicedToArray$2(view.target, 2), targetX = _view$target[0], targetY = _view$target[1];
  coordinationSpace["".concat(prefix2, "Zoom")][nextZScope] = zoom;
  coordinationSpace["".concat(prefix2, "TargetX")][nextTXScope] = targetX;
  coordinationSpace["".concat(prefix2, "TargetY")][nextTYScope] = targetY;
  return _ref = {}, _defineProperty$c(_ref, "".concat(prefix2, "Zoom"), nextZScope), _defineProperty$c(_ref, "".concat(prefix2, "TargetX"), nextTXScope), _defineProperty$c(_ref, "".concat(prefix2, "TargetY"), nextTYScope), _ref;
}
function upgradeFrom0_1_0(config2) {
  var datasetUid = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : null;
  var coordinationSpace = {
    embeddingType: {},
    embeddingZoom: {},
    embeddingTargetX: {},
    embeddingTargetY: {},
    spatialZoom: {},
    spatialTargetX: {},
    spatialTargetY: {}
  };
  var layout2 = [];
  config2.staticLayout.forEach(function(componentDef) {
    var newComponentDef = _objectSpread2({}, componentDef, {
      coordinationScopes: {}
    });
    if (componentDef.component === "scatterplot") {
      if (componentDef.props.mapping) {
        coordinationSpace.embeddingType[componentDef.props.mapping] = componentDef.props.mapping;
        newComponentDef = _objectSpread2({}, newComponentDef, {
          coordinationScopes: _objectSpread2({}, newComponentDef.coordinationScopes, {
            embeddingType: componentDef.props.mapping
          })
        });
      }
      if (componentDef.props.view) {
        var newScopeValues = upgradeReplaceViewProp("embedding", componentDef.props.view, coordinationSpace);
        newComponentDef = _objectSpread2({}, newComponentDef, {
          coordinationScopes: _objectSpread2({}, newComponentDef.coordinationScopes, {}, newScopeValues)
        });
      }
    }
    if (componentDef.component === "spatial") {
      var _componentDef$props;
      if (componentDef === null || componentDef === void 0 ? void 0 : (_componentDef$props = componentDef.props) === null || _componentDef$props === void 0 ? void 0 : _componentDef$props.view) {
        var _newScopeValues = upgradeReplaceViewProp("spatial", componentDef.props.view, coordinationSpace);
        newComponentDef = _objectSpread2({}, newComponentDef, {
          coordinationScopes: _objectSpread2({}, newComponentDef.coordinationScopes, {}, _newScopeValues)
        });
      }
    }
    layout2.push(newComponentDef);
  });
  var newDatasetUid = datasetUid || v4_1();
  return {
    version: "1.0.1",
    name: config2.name,
    description: config2.description,
    public: config2.public,
    datasets: [{
      uid: newDatasetUid,
      name: newDatasetUid,
      files: config2.layers.map(function(layer) {
        return {
          type: layer.type.toLowerCase(),
          fileType: layer.fileType,
          url: layer.url
        };
      })
    }],
    initStrategy: "auto",
    coordinationSpace,
    layout: layout2
  };
}
function upgradeFrom1_0_0(config2) {
  var coordinationSpace = _objectSpread2({}, config2.coordinationSpace);
  function replaceLayerType(layerType) {
    var isRaster = layerType === "raster";
    coordinationSpace["spatial".concat(capitalize$1(layerType), "Layer").concat(isRaster ? "s" : "")] = {};
    Object.entries(coordinationSpace.spatialLayers).forEach(function(_ref2) {
      var _ref3 = _slicedToArray$2(_ref2, 2), scope = _ref3[0], layers = _ref3[1];
      if (Array.isArray(layers) && layers.find(function(layer) {
        return layer.type === layerType;
      })) {
        var typedLayers = layers.filter(function(layer) {
          return layer.type === layerType;
        }).map(function(layer) {
          var newLayer = _objectSpread2({}, layer);
          delete newLayer.type;
          return newLayer;
        });
        coordinationSpace["spatial".concat(capitalize$1(layerType), "Layer").concat(isRaster ? "s" : "")][scope] = isRaster ? typedLayers : typedLayers[0];
      } else {
        coordinationSpace["spatial".concat(capitalize$1(layerType), "Layer").concat(isRaster ? "s" : "")][scope] = null;
      }
    });
  }
  if (coordinationSpace.spatialLayers) {
    replaceLayerType("raster");
    replaceLayerType("cells");
    replaceLayerType("molecules");
    replaceLayerType("neighborhoods");
    delete coordinationSpace.spatialLayers;
  }
  var layout2 = config2.layout.map(function(component) {
    var newComponent = _objectSpread2({}, component);
    function replaceCoordinationScope(layerType) {
      var isRaster = layerType === "raster";
      if (COMPONENT_COORDINATION_TYPES[newComponent.component].includes("spatial".concat(capitalize$1(layerType), "Layer").concat(isRaster ? "s" : ""))) {
        newComponent.coordinationScopes["spatial".concat(capitalize$1(layerType), "Layer").concat(isRaster ? "s" : "")] = newComponent.coordinationScopes.spatialLayers;
      }
    }
    if (newComponent.coordinationScopes && newComponent.coordinationScopes.spatialLayers) {
      replaceCoordinationScope("raster");
      replaceCoordinationScope("cells");
      replaceCoordinationScope("molecules");
      replaceCoordinationScope("neighborhoods");
      delete newComponent.coordinationScopes.spatialLayers;
    }
    return newComponent;
  });
  return _objectSpread2({}, config2, {
    coordinationSpace,
    layout: layout2,
    version: "1.0.1"
  });
}
function upgradeFrom1_0_1(config2) {
  var _newConfig$coordinati;
  var layout2 = config2.layout.map(function(component) {
    var newComponent = _objectSpread2({}, component);
    if (newComponent.component === "layerController") {
      newComponent.props = _objectSpread2({}, newComponent.props, {
        globalDisable3d: true
      });
    }
    return newComponent;
  });
  var newConfig = cloneDeep_1(config2);
  Object.keys((newConfig === null || newConfig === void 0 ? void 0 : (_newConfig$coordinati = newConfig.coordinationSpace) === null || _newConfig$coordinati === void 0 ? void 0 : _newConfig$coordinati.spatialRasterLayers) || {}).forEach(function(key) {
    if (newConfig.coordinationSpace.spatialRasterLayers[key]) {
      newConfig.coordinationSpace.spatialRasterLayers[key].forEach(function(layer, index2) {
        newConfig.coordinationSpace.spatialRasterLayers[key][index2].type = ["bitmask", "raster"].includes(layer.type) ? layer.type : "raster";
      });
    }
  });
  return _objectSpread2({}, newConfig, {
    layout: layout2,
    version: "1.0.2"
  });
}
function upgradeFrom1_0_2(config2) {
  var layout2 = config2.layout.map(function(component) {
    var newComponent = _objectSpread2({}, component);
    if (newComponent.component === "layerController") {
      newComponent.props = _objectSpread2({}, newComponent.props, {
        disableChannelsIfRgbDetected: true
      });
    }
    return newComponent;
  });
  var newConfig = cloneDeep_1(config2);
  return _objectSpread2({}, newConfig, {
    layout: layout2,
    version: "1.0.3"
  });
}
function upgradeFrom1_0_3(config2) {
  var newConfig = cloneDeep_1(config2);
  return _objectSpread2({}, newConfig, {
    version: "1.0.4"
  });
}
function upgradeFrom1_0_4(config2) {
  var newConfig = cloneDeep_1(config2);
  return _objectSpread2({}, newConfig, {
    version: "1.0.5"
  });
}
function upgradeFrom1_0_5(config2) {
  var newConfig = cloneDeep_1(config2);
  return _objectSpread2({}, newConfig, {
    version: "1.0.6"
  });
}
function upgradeFrom1_0_6(config2) {
  var newConfig = cloneDeep_1(config2);
  return _objectSpread2({}, newConfig, {
    version: "1.0.7"
  });
}
function upgradeFrom1_0_7(config2) {
  var newConfig = cloneDeep_1(config2);
  return _objectSpread2({}, newConfig, {
    version: "1.0.8"
  });
}
function upgradeFrom1_0_8(config2) {
  var newConfig = cloneDeep_1(config2);
  return _objectSpread2({}, newConfig, {
    version: "1.0.9"
  });
}
function upgradeFrom1_0_9(config2) {
  var newConfig = cloneDeep_1(config2);
  return _objectSpread2({}, newConfig, {
    version: "1.0.10"
  });
}
function upgradeFrom1_0_10(config2) {
  var coordinationSpace = _objectSpread2({}, config2.coordinationSpace);
  var scopeAnalogies = {
    spatialRasterLayers: "spatialImageLayer",
    spatialCellsLayer: "spatialSegmentationLayer",
    spatialMoleculesLayer: "spatialPointLayer",
    spatialNeighborhoodsLayer: "spatialNeighborhoodLayer",
    cellFilter: "obsFilter",
    cellHighlight: "obsHighlight",
    cellSelection: "obsSelection",
    cellSetSelection: "obsSetSelection",
    cellSetHighlight: "obsSetHighlight",
    cellSetColor: "obsSetColor",
    geneFilter: "featureFilter",
    geneHighlight: "featureHighlight",
    geneSelection: "featureSelection",
    geneExpressionColormap: "featureValueColormap",
    geneExpressionColormapRange: "featureValueColormapRange",
    cellColorEncoding: "obsColorEncoding",
    additionalCellSets: "additionalObsSets",
    embeddingCellSetPolygonsVisible: "embeddingObsSetPolygonsVisible",
    embeddingCellSetLabelsVisible: "embeddingObsSetLabelsVisible",
    embeddingCellSetLabelSize: "embeddingObsSetLabelSize",
    embeddingCellRadius: "embeddingObsRadius",
    embeddingCellRadiusMode: "embeddingObsRadiusMode",
    embeddingCellOpacity: "embeddingObsOpacity",
    embeddingCellOpacityMode: "embeddingObsOpacityMode"
  };
  Object.entries(scopeAnalogies).forEach(function(_ref4) {
    var _ref5 = _slicedToArray$2(_ref4, 2), oldKey = _ref5[0], newKey = _ref5[1];
    if (coordinationSpace[oldKey]) {
      coordinationSpace[newKey] = coordinationSpace[oldKey];
      delete coordinationSpace[oldKey];
    }
  });
  var layout2 = config2.layout.map(function(component) {
    var newComponent = _objectSpread2({}, component);
    var _newComponent$coordin = newComponent.coordinationScopes, coordinationScopes = _newComponent$coordin === void 0 ? {} : _newComponent$coordin;
    Object.entries(scopeAnalogies).forEach(function(_ref6) {
      var _ref7 = _slicedToArray$2(_ref6, 2), oldKey = _ref7[0], newKey = _ref7[1];
      if (coordinationScopes[oldKey]) {
        coordinationScopes[newKey] = coordinationScopes[oldKey];
        delete coordinationScopes[oldKey];
      }
    });
    return _objectSpread2({}, newComponent, {
      coordinationScopes
    });
  });
  return _objectSpread2({}, config2, {
    coordinationSpace,
    layout: layout2,
    version: "1.0.11"
  });
}
function upgradeFrom1_0_11(config2) {
  var newConfig = cloneDeep_1(config2);
  var layout2 = newConfig.layout;
  var newLayout = layout2.map(function(view) {
    var _view$coordinationSco = view.coordinationScopes, coordinationScopes = _view$coordinationSco === void 0 ? {} : _view$coordinationSco;
    if (coordinationScopes.dataset && Array.isArray(coordinationScopes.dataset)) {
      var coordinationScopesBy = {
        dataset: {}
      };
      Object.entries(coordinationScopes).forEach(function(_ref8) {
        var _ref9 = _slicedToArray$2(_ref8, 2), coordinationType = _ref9[0], coordinationScope = _ref9[1];
        if (coordinationType !== "dataset" && !Array.isArray(coordinationScope) && typeof coordinationScope === "object") {
          coordinationScopesBy.dataset[coordinationType] = coordinationScope;
          delete coordinationScopes[coordinationType];
        }
      });
      return _objectSpread2({}, view, {
        coordinationScopes,
        coordinationScopesBy
      });
    }
    return view;
  });
  return _objectSpread2({}, newConfig, {
    layout: newLayout,
    version: "1.0.12"
  });
}
function upgradeFrom1_0_12(config2) {
  var newConfig = cloneDeep_1(config2);
  return _objectSpread2({}, newConfig, {
    version: "1.0.13"
  });
}
function upgradeFrom1_0_13(config2) {
  var newConfig = cloneDeep_1(config2);
  return _objectSpread2({}, newConfig, {
    version: "1.0.14"
  });
}
function upgradeFrom1_0_14(config2) {
  var newConfig = cloneDeep_1(config2);
  return _objectSpread2({}, newConfig, {
    version: "1.0.15"
  });
}
var LATEST_VERSION = "1.0.15";
var SCHEMA_HANDLERS = {
  "0.1.0": [new ajv().compile(configSchema0_1_0), upgradeFrom0_1_0],
  "1.0.0": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_0), upgradeFrom1_0_0],
  "1.0.1": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_1), upgradeFrom1_0_1],
  "1.0.2": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_2), upgradeFrom1_0_2],
  "1.0.3": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_3), upgradeFrom1_0_3],
  "1.0.4": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_4), upgradeFrom1_0_4],
  "1.0.5": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_5), upgradeFrom1_0_5],
  "1.0.6": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_6), upgradeFrom1_0_6],
  "1.0.7": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_7), upgradeFrom1_0_7],
  "1.0.8": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_8), upgradeFrom1_0_8],
  "1.0.9": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_9), upgradeFrom1_0_9],
  "1.0.10": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_10), upgradeFrom1_0_10],
  "1.0.11": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_11), upgradeFrom1_0_11],
  "1.0.12": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_12), upgradeFrom1_0_12],
  "1.0.13": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_13), upgradeFrom1_0_13],
  "1.0.14": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_14), upgradeFrom1_0_14],
  "1.0.15": [new ajv().addSchema(cellSetsSchema).addSchema(rasterSchema).compile(configSchema1_0_15), null]
};
function validateViewConfig(viewConfig) {
  try {
    var validate2 = SCHEMA_HANDLERS[LATEST_VERSION][0];
    var valid = validate2(viewConfig);
    if (!valid) {
      var failureReason = JSON.stringify(validate2.errors, null, 2);
      throw new Error("Config validation failed: ".concat(failureReason));
    }
  } catch (e2) {
    console.error(e2);
  }
}
function CallbackPublisher(props) {
  var onWarn = props.onWarn, onConfigChange = props.onConfigChange, onLoaderChange = props.onLoaderChange, validateOnConfigChange = props.validateOnConfigChange;
  var warning = useWarning();
  var loaders = useLoaders();
  var viewConfigStoreApi = useViewConfigStoreApi();
  useEffect(function() {
    return viewConfigStoreApi.subscribe(function(viewConfig) {
      if (validateOnConfigChange && viewConfig) {
        validateViewConfig(viewConfig);
      }
      if (onConfigChange && viewConfig) {
        onConfigChange(viewConfig);
      }
    }, function(state) {
      return state.viewConfig;
    });
  }, [onConfigChange, validateOnConfigChange, viewConfigStoreApi]);
  useEffect(function() {
    if (onWarn && warning) {
      onWarn(warning);
    }
  }, [warning, onWarn]);
  useEffect(function() {
    if (onLoaderChange && loaders) {
      onLoaderChange(loaders);
    }
  }, [loaders, onLoaderChange]);
  return null;
}
function warn(error, setWarning) {
  setWarning(error.message);
  console.warn(error.message);
  if (error instanceof AbstractLoaderError) {
    error.warnInConsole();
  }
}
function initCoordinationSpace(values2, setters, initialValues) {
  if (!values2 || !setters) {
    return;
  }
  var defaultCoordinationValues = getDefaultCoordinationValues();
  Object.entries(values2).forEach(function(_ref) {
    var _ref2 = _slicedToArray$2(_ref, 2), coordinationType = _ref2[0], value = _ref2[1];
    var setterName = "set".concat(capitalize$1(coordinationType));
    var setterFunc = setters[setterName];
    var initialValue = initialValues && initialValues[coordinationType];
    var shouldInit = fastDeepEqual(initialValue, defaultCoordinationValues[coordinationType]);
    if (shouldInit && setterFunc) {
      setterFunc(value);
    }
  });
}
function useDescription(loaders, dataset) {
  var _useState = useState(), _useState2 = _slicedToArray$2(_useState, 2), description2 = _useState2[0], setDescription = _useState2[1];
  useEffect(function() {
    if (!loaders[dataset]) {
      return;
    }
    if (loaders[dataset].description) {
      setDescription(loaders[dataset].description);
    } else {
      setDescription(null);
    }
  }, [loaders, dataset]);
  return [description2];
}
function useRasterData(loaders, dataset, setItemIsReady, addUrl, isRequired, coordinationSetters, initialCoordinationValues) {
  var _useState23 = useState(), _useState24 = _slicedToArray$2(_useState23, 2), raster = _useState24[0], setRaster = _useState24[1];
  var _useState25 = useState([]), _useState26 = _slicedToArray$2(_useState25, 2), imageLayerLoaders = _useState26[0], setImageLayerLoaders = _useState26[1];
  var _useState27 = useState([]), _useState28 = _slicedToArray$2(_useState27, 2), imageLayerMeta = _useState28[0], setImageLayerMeta = _useState28[1];
  var setWarning = useSetWarning();
  var loader = useMatchingLoader(loaders, dataset, "raster", {});
  useEffect(function() {
    if (loader) {
      loader.load().catch(function(e2) {
        return warn(e2, setWarning);
      }).then(function(payload) {
        if (!payload)
          return;
        var data2 = payload.data, urls = payload.url, coordinationValues = payload.coordinationValues;
        setRaster(data2);
        urls.forEach(function(_ref3) {
          var _ref4 = _slicedToArray$2(_ref3, 2), url = _ref4[0], name2 = _ref4[1];
          addUrl(url, name2);
        });
        var nextImageLoaders = data2.loaders, nextImageMeta = data2.meta;
        setImageLayerLoaders(nextImageLoaders);
        setImageLayerMeta(nextImageMeta);
        initCoordinationSpace(coordinationValues, coordinationSetters, initialCoordinationValues);
        setItemIsReady("raster");
      });
    } else {
      setImageLayerLoaders([]);
      setImageLayerMeta([]);
      if (isRequired) {
        if (dataset) {
          warn(new LoaderNotFoundError(dataset, "raster", null, null), setWarning);
        } else {
          warn(new DatasetNotFoundError(dataset), setWarning);
        }
      } else {
        setItemIsReady("raster");
      }
    }
  }, [loader]);
  return [raster, imageLayerLoaders, imageLayerMeta];
}
function Description(props) {
  var description2 = props.description, metadata = props.metadata;
  return /* @__PURE__ */ React__default.createElement("div", {
    className: "description"
  }, /* @__PURE__ */ React__default.createElement("p", null, description2), metadata && Array.from(metadata.entries()).map(function(_ref) {
    var _ref2 = _slicedToArray$2(_ref, 2), layerIndex = _ref2[0], _ref2$ = _ref2[1], layerName = _ref2$.name, metadataRecord = _ref2$.metadata;
    return metadataRecord && Object.entries(metadataRecord).length > 0 ? /* @__PURE__ */ React__default.createElement("details", {
      key: layerIndex
    }, /* @__PURE__ */ React__default.createElement("summary", null, layerName), /* @__PURE__ */ React__default.createElement("div", {
      className: "metadata-container"
    }, /* @__PURE__ */ React__default.createElement("table", null, /* @__PURE__ */ React__default.createElement("tbody", null, Object.entries(metadataRecord).map(function(_ref3) {
      var _ref4 = _slicedToArray$2(_ref3, 2), key = _ref4[0], value = _ref4[1];
      return /* @__PURE__ */ React__default.createElement("tr", {
        key
      }, /* @__PURE__ */ React__default.createElement("th", {
        title: key
      }, key), /* @__PURE__ */ React__default.createElement("td", {
        title: value
      }, value));
    }))))) : null;
  }));
}
var DESCRIPTION_DATA_TYPES = ["raster"];
function DescriptionSubscriber(props) {
  var coordinationScopes = props.coordinationScopes, descriptionOverride = props.description, removeGridComponent = props.removeGridComponent, theme = props.theme, _props$title = props.title, title2 = _props$title === void 0 ? "Data Set" : _props$title;
  var loaders = useLoaders();
  var _useCoordination = useCoordination(COMPONENT_COORDINATION_TYPES.description, coordinationScopes), _useCoordination2 = _slicedToArray$2(_useCoordination, 1), _useCoordination2$ = _useCoordination2[0], dataset = _useCoordination2$.dataset, rasterLayers = _useCoordination2$.spatialImageLayer;
  var _useReady = useReady(DESCRIPTION_DATA_TYPES), _useReady2 = _slicedToArray$2(_useReady, 4), isReady = _useReady2[0], setItemIsReady = _useReady2[1];
  _useReady2[2];
  var resetReadyItems = _useReady2[3];
  useEffect(function() {
    resetReadyItems();
  }, [loaders, dataset]);
  var _useDescription = useDescription(loaders, dataset), _useDescription2 = _slicedToArray$2(_useDescription, 1), description2 = _useDescription2[0];
  var _useRasterData = useRasterData(loaders, dataset, setItemIsReady, function() {
  }, false), _useRasterData2 = _slicedToArray$2(_useRasterData, 3), raster = _useRasterData2[0], imageLayerLoaders = _useRasterData2[1], imageLayerMeta = _useRasterData2[2];
  var metadata = useMemo(function() {
    var result = /* @__PURE__ */ new Map();
    if (rasterLayers && rasterLayers.length > 0 && raster && imageLayerMeta && imageLayerLoaders) {
      rasterLayers.forEach(function(layer) {
        if (imageLayerMeta[layer.index]) {
          var format2 = imageLayerLoaders[layer.index].metadata.format;
          result.set("".concat(layer.index), {
            name: raster.meta[layer.index].name,
            metadata: format2 && format2()
          });
        }
      });
    }
    return result;
  }, [raster, rasterLayers, imageLayerMeta, imageLayerLoaders]);
  return /* @__PURE__ */ React__default.createElement(TitleInfo, {
    title: title2,
    removeGridComponent,
    isScroll: true,
    theme,
    isReady
  }, /* @__PURE__ */ React__default.createElement(Description, {
    description: descriptionOverride || description2,
    metadata
  }));
}
function Status(props) {
  var warnClass = "alert alert-warning my-0 details";
  var info = props.info, warn2 = props.warn;
  var messages = [];
  if (info) {
    messages.push(/* @__PURE__ */ React__default.createElement("p", {
      className: "details",
      key: "info"
    }, info));
  }
  if (warn2) {
    messages.push(/* @__PURE__ */ React__default.createElement("p", {
      className: warnClass,
      key: "warn"
    }, warn2));
  }
  return messages;
}
function StatusSubscriber(props) {
  var coordinationScopes = props.coordinationScopes, removeGridComponent = props.removeGridComponent, theme = props.theme, _props$title = props.title, title2 = _props$title === void 0 ? "Status" : _props$title;
  var _useCoordination = useCoordination(COMPONENT_COORDINATION_TYPES.status, coordinationScopes), _useCoordination2 = _slicedToArray$2(_useCoordination, 1), _useCoordination2$ = _useCoordination2[0], cellHighlight = _useCoordination2$.obsHighlight, geneHighlight = _useCoordination2$.featureHighlight, moleculeHighlight = _useCoordination2$.moleculeHighlight;
  var warn2 = useWarning();
  var infos = [].concat(_toConsumableArray$2(cellHighlight ? ["Hovered cell ".concat(cellHighlight)] : []), _toConsumableArray$2(geneHighlight ? ["Hovered gene ".concat(geneHighlight)] : []), _toConsumableArray$2(moleculeHighlight ? ["Hovered gene ".concat(moleculeHighlight)] : []));
  var info = infos.join("; ");
  return /* @__PURE__ */ React__default.createElement(TitleInfo, {
    title: title2,
    theme,
    removeGridComponent,
    isScroll: true,
    isReady: true
  }, /* @__PURE__ */ React__default.createElement(Status, {
    warn: warn2,
    info
  }));
}
var _registry;
var registry = (_registry = {}, _defineProperty$c(_registry, Component$2.DESCRIPTION, DescriptionSubscriber), _defineProperty$c(_registry, Component$2.STATUS, StatusSubscriber), _registry);
function getComponent(name2) {
  var component = registry[name2];
  if (component === void 0) {
    component = getPluginViewType(name2);
    if (component === void 0) {
      throw new Error('Could not find definition for "'.concat(name2, '" in the core registry nor the plugin registry.'));
    }
  }
  return component;
}
function getViewTypes() {
  return [].concat(_toConsumableArray$2(Object.keys(registry)), _toConsumableArray$2(getPluginViewTypes()));
}
function baseFindIndex$1(array, predicate, fromIndex, fromRight) {
  var length = array.length, index2 = fromIndex + (fromRight ? 1 : -1);
  while (fromRight ? index2-- : ++index2 < length) {
    if (predicate(array[index2], index2, array)) {
      return index2;
    }
  }
  return -1;
}
var _baseFindIndex = baseFindIndex$1;
function baseIsNaN$1(value) {
  return value !== value;
}
var _baseIsNaN = baseIsNaN$1;
function strictIndexOf$1(array, value, fromIndex) {
  var index2 = fromIndex - 1, length = array.length;
  while (++index2 < length) {
    if (array[index2] === value) {
      return index2;
    }
  }
  return -1;
}
var _strictIndexOf = strictIndexOf$1;
var baseFindIndex = _baseFindIndex, baseIsNaN = _baseIsNaN, strictIndexOf = _strictIndexOf;
function baseIndexOf$1(array, value, fromIndex) {
  return value === value ? strictIndexOf(array, value, fromIndex) : baseFindIndex(array, baseIsNaN, fromIndex);
}
var _baseIndexOf = baseIndexOf$1;
var baseIndexOf = _baseIndexOf;
function arrayIncludes$1(array, value) {
  var length = array == null ? 0 : array.length;
  return !!length && baseIndexOf(array, value, 0) > -1;
}
var _arrayIncludes = arrayIncludes$1;
function arrayIncludesWith$1(array, value, comparator) {
  var index2 = -1, length = array == null ? 0 : array.length;
  while (++index2 < length) {
    if (comparator(value, array[index2])) {
      return true;
    }
  }
  return false;
}
var _arrayIncludesWith = arrayIncludesWith$1;
function arrayMap$1(array, iteratee) {
  var index2 = -1, length = array == null ? 0 : array.length, result = Array(length);
  while (++index2 < length) {
    result[index2] = iteratee(array[index2], index2, array);
  }
  return result;
}
var _arrayMap = arrayMap$1;
var SetCache = _SetCache, arrayIncludes = _arrayIncludes, arrayIncludesWith = _arrayIncludesWith, arrayMap = _arrayMap, baseUnary = _baseUnary, cacheHas = _cacheHas;
var LARGE_ARRAY_SIZE = 200;
function baseDifference$1(array, values2, iteratee, comparator) {
  var index2 = -1, includes = arrayIncludes, isCommon = true, length = array.length, result = [], valuesLength = values2.length;
  if (!length) {
    return result;
  }
  if (iteratee) {
    values2 = arrayMap(values2, baseUnary(iteratee));
  }
  if (comparator) {
    includes = arrayIncludesWith;
    isCommon = false;
  } else if (values2.length >= LARGE_ARRAY_SIZE) {
    includes = cacheHas;
    isCommon = false;
    values2 = new SetCache(values2);
  }
  outer:
    while (++index2 < length) {
      var value = array[index2], computed = iteratee == null ? value : iteratee(value);
      value = comparator || value !== 0 ? value : 0;
      if (isCommon && computed === computed) {
        var valuesIndex = valuesLength;
        while (valuesIndex--) {
          if (values2[valuesIndex] === computed) {
            continue outer;
          }
        }
        result.push(value);
      } else if (!includes(values2, computed, comparator)) {
        result.push(value);
      }
    }
  return result;
}
var _baseDifference = baseDifference$1;
var Symbol$1 = _Symbol, isArguments = isArguments_1, isArray = isArray_1;
var spreadableSymbol = Symbol$1 ? Symbol$1.isConcatSpreadable : void 0;
function isFlattenable$1(value) {
  return isArray(value) || isArguments(value) || !!(spreadableSymbol && value && value[spreadableSymbol]);
}
var _isFlattenable = isFlattenable$1;
var arrayPush = _arrayPush, isFlattenable = _isFlattenable;
function baseFlatten$1(array, depth, predicate, isStrict, result) {
  var index2 = -1, length = array.length;
  predicate || (predicate = isFlattenable);
  result || (result = []);
  while (++index2 < length) {
    var value = array[index2];
    if (depth > 0 && predicate(value)) {
      if (depth > 1) {
        baseFlatten$1(value, depth - 1, predicate, isStrict, result);
      } else {
        arrayPush(result, value);
      }
    } else if (!isStrict) {
      result[result.length] = value;
    }
  }
  return result;
}
var _baseFlatten = baseFlatten$1;
function identity$2(value) {
  return value;
}
var identity_1 = identity$2;
function apply$1(func, thisArg, args) {
  switch (args.length) {
    case 0:
      return func.call(thisArg);
    case 1:
      return func.call(thisArg, args[0]);
    case 2:
      return func.call(thisArg, args[0], args[1]);
    case 3:
      return func.call(thisArg, args[0], args[1], args[2]);
  }
  return func.apply(thisArg, args);
}
var _apply = apply$1;
var apply = _apply;
var nativeMax = Math.max;
function overRest$1(func, start, transform2) {
  start = nativeMax(start === void 0 ? func.length - 1 : start, 0);
  return function() {
    var args = arguments, index2 = -1, length = nativeMax(args.length - start, 0), array = Array(length);
    while (++index2 < length) {
      array[index2] = args[start + index2];
    }
    index2 = -1;
    var otherArgs = Array(start + 1);
    while (++index2 < start) {
      otherArgs[index2] = args[index2];
    }
    otherArgs[start] = transform2(array);
    return apply(func, this, otherArgs);
  };
}
var _overRest = overRest$1;
function constant$1(value) {
  return function() {
    return value;
  };
}
var constant_1 = constant$1;
var constant = constant_1, defineProperty = _defineProperty, identity$1 = identity_1;
var baseSetToString$1 = !defineProperty ? identity$1 : function(func, string) {
  return defineProperty(func, "toString", {
    "configurable": true,
    "enumerable": false,
    "value": constant(string),
    "writable": true
  });
};
var _baseSetToString = baseSetToString$1;
var HOT_COUNT = 800, HOT_SPAN = 16;
var nativeNow = Date.now;
function shortOut$1(func) {
  var count = 0, lastCalled = 0;
  return function() {
    var stamp = nativeNow(), remaining = HOT_SPAN - (stamp - lastCalled);
    lastCalled = stamp;
    if (remaining > 0) {
      if (++count >= HOT_COUNT) {
        return arguments[0];
      }
    } else {
      count = 0;
    }
    return func.apply(void 0, arguments);
  };
}
var _shortOut = shortOut$1;
var baseSetToString = _baseSetToString, shortOut = _shortOut;
var setToString$1 = shortOut(baseSetToString);
var _setToString = setToString$1;
var identity = identity_1, overRest = _overRest, setToString = _setToString;
function baseRest$1(func, start) {
  return setToString(overRest(func, start, identity), func + "");
}
var _baseRest = baseRest$1;
var isArrayLike = isArrayLike_1, isObjectLike = isObjectLike_1;
function isArrayLikeObject$1(value) {
  return isObjectLike(value) && isArrayLike(value);
}
var isArrayLikeObject_1 = isArrayLikeObject$1;
var baseDifference = _baseDifference, baseFlatten = _baseFlatten, baseRest = _baseRest, isArrayLikeObject = isArrayLikeObject_1;
var difference = baseRest(function(array, values2) {
  return isArrayLikeObject(array) ? baseDifference(array, baseFlatten(values2, 1, isArrayLikeObject, true)) : [];
});
var difference_1 = difference;
const name = "vit-s";
const version = "1.1.25";
const description = "Vit-s library";
const author = "Mark Keller";
const homepage = "http://vit-s.markk.co/";
const license = "MIT";
const repository = "https://github.com/keller-mark/vit-s/";
const keywords = [
  "react-component"
];
const files = [
  "dist",
  "src"
];
const main = "dist/vit-s.umd.js";
const module = "dist/vit-s.es.js";
const peerDependencies = {
  react: ">=16.14.0",
  "react-dom": ">=16.14.0"
};
const dependencies = {
  "@babel/runtime": "7.8.7",
  "@hms-dbmi/viv": "~0.12.6",
  "@loaders.gl/3d-tiles": "^3.0.0",
  "@loaders.gl/core": "^3.0.0",
  "@loaders.gl/images": "^3.0.0",
  "@loaders.gl/loader-utils": "^3.0.0",
  "@luma.gl/core": "~8.5.10",
  "@material-ui/core": "~4.12.3",
  "@material-ui/icons": "~4.11.2",
  "@math.gl/core": "^3.5.6",
  "@rollup/plugin-dynamic-import-vars": "^1.4.3",
  "@turf/area": "^6.5.0",
  "@turf/boolean-contains": "^6.0.1",
  "@turf/boolean-overlap": "^6.0.1",
  "@turf/boolean-point-in-polygon": "^6.0.1",
  "@turf/boolean-within": "^6.0.1",
  "@turf/centroid": "^6.0.2",
  "@turf/helpers": "^6.1.4",
  "@types/react": "^18.0.9",
  "@types/react-dom": "^18.0.5",
  "@vitejs/plugin-react": "^1.3.2",
  ajv: "^6.10.0",
  bowser: "^2.11.0",
  classnames: "^2.2.6",
  clsx: "^1.1.1",
  concaveman: "^1.2.1",
  "d3-array": "^2.4.0",
  "d3-dsv": "^1.1.1",
  "d3-force": "^2.1.1",
  "d3-quadtree": "^1.0.7",
  "d3-scale-chromatic": "^1.3.3",
  "deck.gl": "~8.6.7",
  "dynamic-import-polyfill": "^0.1.1",
  "fast-deep-equal": "^3.1.3",
  glslify: "^7.0.0",
  higlass: "1.11.4",
  "higlass-register": "^0.3.0",
  "higlass-zarr-datafetchers": "^0.2.1",
  internmap: "^2.0.3",
  json2csv: "^4.5.2",
  lodash: "^4.17.21",
  "lz-string": "^1.4.4",
  "math.gl": "^3.5.6",
  mathjs: "^9.2.0",
  "nebula.gl": "^0.23.8",
  "prop-types": "^15.7.2",
  "rc-tooltip": "^4.0.3",
  "rc-tree": "2.1.0",
  "react-color": "^2.18.0",
  "react-grid-layout": "^1.1.1",
  "react-vega": "^7.4.4",
  "react-virtualized": "^9.22.2",
  rollup: "^2.32.1",
  "rollup-plugin-replace": "^2.2.0",
  "short-number": "^1.0.6",
  store: "^2.0.12",
  tinycolor2: "^1.4.1",
  uuid: "^3.3.2",
  vega: "^5.21.0",
  "vega-lite": "^5.1.1",
  "vega-tooltip": "^0.27.0",
  vite: "^2.9.9",
  "whatwg-fetch": "^3.0.0",
  "window-pixi": "5.3.3",
  zarr: "^0.5.1",
  zustand: "^3.5.10"
};
const devDependencies = {
  "@babel/core": "7.9.0",
  "@babel/plugin-proposal-class-properties": "7.14.5",
  "@svgr/webpack": "5.3.1",
  "@typescript-eslint/eslint-plugin": "^2.10.0",
  "@typescript-eslint/parser": "^2.10.0",
  "babel-eslint": "10.0.3",
  "babel-loader": "8.1.0",
  "babel-plugin-glsl": "^1.0.0",
  "babel-plugin-named-asset-import": "^0.3.6",
  "babel-preset-react-app": "9.1.2",
  camelcase: "^5.3.1",
  "case-sensitive-paths-webpack-plugin": "2.3.0",
  concurrently: "^5.3.0",
  cors: "^2.8.5",
  "css-loader": "3.4.2",
  cypress: "^3.6.1",
  "cypress-fail-on-console-error": "^2.0.6",
  dotenv: "8.2.0",
  "dotenv-expand": "5.1.0",
  enzyme: "^3.9.0",
  "enzyme-adapter-react-16": "^1.11.2",
  esbuild: "^0.12.28",
  "esbuild-plugin-babel": "^0.2.3",
  "esbuild-plugin-sass": "^0.6.0",
  eslint: "^6.6.0",
  "eslint-config-airbnb": "^17.1.0",
  "eslint-config-react-app": "^5.2.0",
  "eslint-loader": "3.0.3",
  "eslint-plugin-cypress": "^2.2.1",
  "eslint-plugin-flowtype": "4.6.0",
  "eslint-plugin-import": "2.20.0",
  "eslint-plugin-jsx-a11y": "6.2.3",
  "eslint-plugin-react": "7.18.0",
  "eslint-plugin-react-hooks": "^1.6.1",
  "eslint-plugin-vitessce-rules": "file:eslint",
  expect: "^24.5.0",
  express: "^4.17.2",
  "file-loader": "4.3.0",
  "fs-extra": "^8.1.0",
  "glsl-colormap": "^1.0.1",
  "html-webpack-plugin": "4.0.0-beta.11",
  "http-server": "^14.0.0",
  "identity-obj-proxy": "3.0.0",
  "js-yaml": "^3.13.1",
  karma: "4.4.1",
  "karma-chrome-launcher": "3.1.0",
  "karma-mocha": "1.3.0",
  "karma-mocha-reporter": "2.2.5",
  "karma-sourcemap-loader": "0.3.7",
  "karma-webpack": "4.0.2",
  "mini-css-extract-plugin": "0.9.0",
  mocha: "7.1.0",
  "node-sass": "^7.0.0",
  "object.fromentries": "^2.0.2",
  "optimize-css-assets-webpack-plugin": "5.0.3",
  "pnp-webpack-plugin": "1.6.0",
  "postcss-flexbugs-fixes": "4.1.0",
  "postcss-loader": "3.0.0",
  "postcss-normalize": "8.0.1",
  "postcss-preset-env": "6.7.0",
  "postcss-safe-parser": "4.0.1",
  react: "^16.14.0",
  "react-app-polyfill": "^1.0.6",
  "react-dev-utils": "^10.2.0",
  "react-dom": "^16.14.0",
  resolve: "1.15.0",
  "resolve-url-loader": "3.1.1",
  "sass-loader": "^10.0.1",
  semver: "6.3.0",
  "style-loader": "0.23.1",
  "terser-webpack-plugin": "2.3.4",
  "url-loader": "2.3.0",
  "wait-on": "^3.2.0",
  webpack: "4.41.5",
  "webpack-dev-server": "3.10.2",
  "webpack-node-externals": "^2.5.2",
  "workbox-webpack-plugin": "4.3.1",
  "worker-loader": "^2.0.0"
};
const resolutions = {
  "@turf/difference": "6.0.1"
};
const scripts = {
  "build-vite": "vite build --mode lib",
  "build-demo:prod": "node scripts/build-demo.js production",
  "build-lib:prod": "NODE_ENV=production node scripts/build-esm.mjs && node scripts/build-lib.js production",
  "build-demo:dev": "node scripts/build-demo.js development",
  "build-lib:dev": "NODE_ENV=development node scripts/build-esm.mjs && node scripts/build-lib.js development",
  "build:prod": "npm run build-demo:prod && npm run build-lib:prod",
  "build:dev": "npm run build-demo:dev && npm run build-lib:dev",
  "build-lib:esm": "NODE_ENV=production node scripts/build-esm.mjs",
  prepublishOnly: "npm run build-vite",
  clean: "rm -r dist-demo dist",
  start: "node scripts/start-demo.js",
  "start:fixtures": 'http-server src/loaders/fixtures/ --cors="*" -s',
  "start:fixtures-concurrently": 'concurrently --kill-others "npm run start:fixtures"',
  test: "node scripts/karma.run.js",
  "test:watch": "node scripts/karma.run.js --auto-watch",
  "cypress:open": 'npm run start:fixtures-concurrently -- "cypress open"',
  "cypress:run": 'npm run start:fixtures-concurrently -- --success first --kill-others "cypress run"',
  "lint-fix": "eslint -c .eslintrc.yml --ext .js --fix src/"
};
const browserslist = {
  production: [
    ">0.2%",
    "not dead",
    "not op_mini all"
  ],
  development: [
    "last 1 chrome version",
    "last 1 firefox version",
    "last 1 safari version"
  ]
};
const babel = {
  presets: [
    "react-app"
  ],
  plugins: [
    "glsl"
  ]
};
var packageJson = {
  name,
  version,
  description,
  author,
  homepage,
  license,
  repository,
  keywords,
  files,
  main,
  module,
  peerDependencies,
  dependencies,
  devDependencies,
  resolutions,
  scripts,
  browserslist,
  babel
};
function getExistingScopesForCoordinationType(config2, coordinationType) {
  var _config$coordinationS;
  var spaceScopes = Object.keys((config2 === null || config2 === void 0 ? void 0 : (_config$coordinationS = config2.coordinationSpace) === null || _config$coordinationS === void 0 ? void 0 : _config$coordinationS[coordinationType]) || {});
  var componentScopes = config2.layout.map(function(c2) {
    var _c$coordinationScopes;
    return (_c$coordinationScopes = c2.coordinationScopes) === null || _c$coordinationScopes === void 0 ? void 0 : _c$coordinationScopes[coordinationType];
  });
  return Array.from(new Set([].concat(_toConsumableArray$2(spaceScopes), _toConsumableArray$2(componentScopes))));
}
function coordinateComponentsTogether(config2, coordinationType, scopeValue) {
  var _config$coordinationS2;
  var componentCoordinationTypes = getComponentCoordinationTypes();
  var scopeName = getNextScope(getExistingScopesForCoordinationType(config2, coordinationType));
  var newConfig = _objectSpread2({}, config2, {
    coordinationSpace: _objectSpread2({}, config2.coordinationSpace, _defineProperty$c({}, coordinationType, _objectSpread2({}, config2 === null || config2 === void 0 ? void 0 : (_config$coordinationS2 = config2.coordinationSpace) === null || _config$coordinationS2 === void 0 ? void 0 : _config$coordinationS2[coordinationType], _defineProperty$c({}, scopeName, scopeValue)))),
    layout: config2.layout.map(function(component) {
      var _component$coordinati;
      return _objectSpread2({}, component, {
        coordinationScopes: _objectSpread2({}, component.coordinationScopes, {}, componentCoordinationTypes[component.component].includes(coordinationType) && !((_component$coordinati = component.coordinationScopes) === null || _component$coordinati === void 0 ? void 0 : _component$coordinati[coordinationType]) ? _defineProperty$c({}, coordinationType, scopeName) : {})
      });
    })
  });
  return newConfig;
}
function coordinateComponentsIndependent(config2, coordinationType, scopeValue) {
  var componentCoordinationTypes = getComponentCoordinationTypes();
  var newConfig = _objectSpread2({}, config2, {
    layout: _toConsumableArray$2(config2.layout)
  });
  var newScopes = {};
  newConfig.layout.forEach(function(component, i) {
    var _component$coordinati2;
    if (componentCoordinationTypes[component.component].includes(coordinationType) && !((_component$coordinati2 = component.coordinationScopes) === null || _component$coordinati2 === void 0 ? void 0 : _component$coordinati2[coordinationType])) {
      var scopeName = getNextScope([].concat(_toConsumableArray$2(getExistingScopesForCoordinationType(config2, coordinationType)), _toConsumableArray$2(Object.keys(newScopes))));
      newScopes[scopeName] = scopeValue;
      newConfig.layout[i] = _objectSpread2({}, component, {
        coordinationScopes: _objectSpread2({}, component.coordinationScopes, _defineProperty$c({}, coordinationType, scopeName))
      });
    }
  });
  newConfig.coordinationSpace = _objectSpread2({}, newConfig.coordinationSpace, _defineProperty$c({}, coordinationType, _objectSpread2({}, newConfig.coordinationSpace[coordinationType], {}, newScopes)));
  return newConfig;
}
function coordinateComponentsShortcut(config2, coordinationType) {
  var componentCoordinationTypes = getComponentCoordinationTypes();
  var newConfig = _objectSpread2({}, config2, {
    layout: _toConsumableArray$2(config2.layout)
  });
  var newScopes = {};
  newConfig.layout.forEach(function(component, i) {
    var _component$coordinati3;
    if (componentCoordinationTypes[component.component].includes(coordinationType) && ((_component$coordinati3 = component.coordinationValues) === null || _component$coordinati3 === void 0 ? void 0 : _component$coordinati3[coordinationType])) {
      var scopeValue = component.coordinationValues[coordinationType];
      var scopeName = getNextScope([].concat(_toConsumableArray$2(getExistingScopesForCoordinationType(config2, coordinationType)), _toConsumableArray$2(Object.keys(newScopes))));
      newScopes[scopeName] = scopeValue;
      newConfig.layout[i] = _objectSpread2({}, component, {
        coordinationScopes: _objectSpread2({}, component.coordinationScopes, _defineProperty$c({}, coordinationType, scopeName))
      });
      delete newConfig.layout[i].coordinationValues[coordinationType];
    }
  });
  newConfig.coordinationSpace = _objectSpread2({}, newConfig.coordinationSpace, _defineProperty$c({}, coordinationType, _objectSpread2({}, newConfig.coordinationSpace[coordinationType], {}, newScopes)));
  return newConfig;
}
function initializeAuto(config2) {
  var newConfig = config2;
  var componentCoordinationTypes = getComponentCoordinationTypes();
  var defaultCoordinationValues = getDefaultCoordinationValues();
  var coordinationTypes = getCoordinationTypes();
  coordinationTypes.forEach(function(coordinationType) {
    newConfig = coordinateComponentsShortcut(newConfig, coordinationType);
  });
  var _newConfig = newConfig, layout2 = _newConfig.layout, datasets = _newConfig.datasets;
  coordinationTypes.forEach(function(coordinationType) {
    var requiresCoordination = !layout2.every(function(c2) {
      var _c$coordinationScopes2;
      return !componentCoordinationTypes[c2.component].includes(coordinationType) || ((_c$coordinationScopes2 = c2.coordinationScopes) === null || _c$coordinationScopes2 === void 0 ? void 0 : _c$coordinationScopes2[coordinationType]);
    });
    if (requiresCoordination) {
      var defaultValue = defaultCoordinationValues[coordinationType];
      if (coordinationType === "dataset" && datasets.length >= 1) {
        defaultValue = datasets[0].uid;
      }
      if (AUTO_INDEPENDENT_COORDINATION_TYPES.includes(coordinationType)) {
        newConfig = coordinateComponentsIndependent(newConfig, coordinationType, defaultValue);
      } else {
        newConfig = coordinateComponentsTogether(newConfig, coordinationType, defaultValue);
      }
    }
  });
  return newConfig;
}
function checkTypes(config2) {
  var coordinationTypesInConfig = Object.keys(config2.coordinationSpace || {});
  var allCoordinationTypes = getCoordinationTypes();
  var unknownCoordinationTypes = difference_1(coordinationTypesInConfig, allCoordinationTypes);
  if (unknownCoordinationTypes.length > 0) {
    return [false, "The following coordination types are not recognized: [".concat(unknownCoordinationTypes, "].\nIf these are plugin coordination types, ensure that they have been properly registered.")];
  }
  var viewTypesInConfig = config2.layout.map(function(c2) {
    return c2.component;
  });
  var allViewTypes = getViewTypes();
  var unknownViewTypes = difference_1(viewTypesInConfig, allViewTypes);
  if (unknownViewTypes.length > 0) {
    return [false, "The following view types are not recognized: [".concat(unknownViewTypes, "].\nIf these are plugin view types, ensure that they have been properly registered.")];
  }
  var fileTypesInConfig = config2.datasets.flatMap(function(d2) {
    return d2.files.map(function(f2) {
      return f2.fileType;
    });
  });
  var allFileTypes = getFileTypes();
  var unknownFileTypes = difference_1(fileTypesInConfig, allFileTypes);
  if (unknownFileTypes.length > 0) {
    return [false, "The following file types are not recognized: [".concat(unknownFileTypes, "].\nIf these are plugin file types, ensure that they have been properly registered.")];
  }
  return [true, "All view types, coordination types, and file types that appear in the view config are recognized."];
}
function assignViewUids(config2) {
  var layout2 = config2.layout;
  var usedIds = layout2.map(function(view) {
    return view.uid;
  });
  layout2.forEach(function(view, i) {
    if (!view.uid) {
      var nextUid = getNextScope(usedIds);
      layout2[i].uid = nextUid;
      usedIds.push(nextUid);
    }
  });
  return _objectSpread2({}, config2, {
    layout: layout2
  });
}
function expandConvenienceFileDefs(config2) {
  var convenienceFileTypes = getConvenienceFileTypes();
  var currDatasets = config2.datasets;
  var datasets = cloneDeep_1(currDatasets);
  currDatasets.forEach(function(dataset, i) {
    var _dataset$files = dataset.files, files2 = _dataset$files === void 0 ? [] : _dataset$files;
    var newFiles = [];
    files2.forEach(function(fileDef) {
      var fileType = fileDef.fileType;
      var expansionFunc = convenienceFileTypes[fileType];
      if (expansionFunc && typeof expansionFunc === "function") {
        var expandedFileDefs = expansionFunc(fileDef);
        newFiles = newFiles.concat(expandedFileDefs);
      } else {
        newFiles.push(fileDef);
      }
    });
    datasets[i].files = newFiles;
  });
  return _objectSpread2({}, config2, {
    datasets
  });
}
function initialize(config2) {
  var newConfig = cloneDeep_1(config2);
  if (newConfig.initStrategy === "auto") {
    newConfig = initializeAuto(config2);
  }
  newConfig = expandConvenienceFileDefs(newConfig);
  return assignViewUids(newConfig);
}
function upgradeAndValidate(oldConfig) {
  var nextConfig = oldConfig;
  var fromVersion;
  var upgradeFunction;
  var validateFunction;
  do {
    fromVersion = nextConfig.version;
    if (!Object.keys(SCHEMA_HANDLERS).includes(fromVersion)) {
      return [{
        title: "Config validation failed",
        preformatted: "Unknown config version."
      }, false];
    }
    var _SCHEMA_HANDLERS$from = _slicedToArray$2(SCHEMA_HANDLERS[fromVersion], 2);
    validateFunction = _SCHEMA_HANDLERS$from[0];
    upgradeFunction = _SCHEMA_HANDLERS$from[1];
    var validLegacy = validateFunction(nextConfig);
    if (!validLegacy) {
      var failureReason = JSON.stringify(validateFunction.errors, null, 2);
      return [{
        title: "Config validation failed",
        preformatted: failureReason
      }, false];
    }
    if (upgradeFunction) {
      nextConfig = upgradeFunction(nextConfig);
    }
  } while (upgradeFunction);
  console.groupCollapsed("\u{1F684} Vitessce (".concat(packageJson.version, ") view configuration"));
  console.info("data:,".concat(JSON.stringify(nextConfig)));
  console.info(JSON.stringify(nextConfig, null, 2));
  console.groupEnd();
  return [nextConfig, true];
}
var generateClassName = createGenerateClassName({
  disableGlobal: true
});
function Vitessce(props) {
  var config2 = props.config, rowHeight = props.rowHeight, height = props.height, theme = props.theme, onWarn = props.onWarn, onConfigChange = props.onConfigChange, onLoaderChange = props.onLoaderChange, _props$validateOnConf = props.validateOnConfigChange, validateOnConfigChange = _props$validateOnConf === void 0 ? false : _props$validateOnConf;
  var _useMemo = useMemo(function() {
    if (!config2) {
      return [{
        title: "No such dataset",
        unformatted: "The dataset configuration could not be found."
      }, false];
    }
    if (!config2.version) {
      return [{
        title: "Missing version",
        unformatted: "The dataset configuration is missing a version, preventing validation."
      }, false];
    }
    var _upgradeAndValidate = upgradeAndValidate(config2), _upgradeAndValidate2 = _slicedToArray$2(_upgradeAndValidate, 2), upgradedConfig = _upgradeAndValidate2[0], upgradeSuccess = _upgradeAndValidate2[1];
    if (upgradeSuccess) {
      var _checkTypes = checkTypes(upgradedConfig), _checkTypes2 = _slicedToArray$2(_checkTypes, 2), typeCheckSuccess = _checkTypes2[0], typeCheckMessage = _checkTypes2[1];
      if (typeCheckSuccess) {
        var initializedConfig = initialize(upgradedConfig);
        return [initializedConfig, true];
      }
      return [{
        title: "View config initialization failed.",
        unformatted: typeCheckMessage
      }, false];
    }
    return [upgradedConfig, false];
  }, [config2]), _useMemo2 = _slicedToArray$2(_useMemo, 2), configOrWarning = _useMemo2[0], success = _useMemo2[1];
  useEffect(function() {
    if (success && !isEqual_1(configOrWarning, config2) && onConfigChange) {
      onConfigChange(configOrWarning);
    }
  }, [success, config2, configOrWarning, onConfigChange]);
  return success ? /* @__PURE__ */ React__default.createElement(StylesProvider, {
    generateClassName
  }, /* @__PURE__ */ React__default.createElement(ThemeProvider, {
    theme: muiTheme[theme]
  }, /* @__PURE__ */ React__default.createElement(ViewConfigProvider, {
    createStore: createViewConfigStore
  }, /* @__PURE__ */ React__default.createElement(AuxiliaryProvider, {
    createStore: createAuxiliaryStore
  }, /* @__PURE__ */ React__default.createElement(VitessceGrid, {
    config: configOrWarning,
    getComponent,
    rowHeight,
    height,
    theme
  }), /* @__PURE__ */ React__default.createElement(CallbackPublisher, {
    onWarn,
    onConfigChange,
    onLoaderChange,
    validateOnConfigChange
  }))))) : /* @__PURE__ */ React__default.createElement(Warning, Object.assign({
    theme
  }, configOrWarning));
}
var index = "";
var styles$1 = "";
var styles11 = "";
const BROWSER_ALIASES_MAP = {
  "Amazon Silk": "amazon_silk",
  "Android Browser": "android",
  Bada: "bada",
  BlackBerry: "blackberry",
  Chrome: "chrome",
  Chromium: "chromium",
  Electron: "electron",
  Epiphany: "epiphany",
  Firefox: "firefox",
  Focus: "focus",
  Generic: "generic",
  "Google Search": "google_search",
  Googlebot: "googlebot",
  "Internet Explorer": "ie",
  "K-Meleon": "k_meleon",
  Maxthon: "maxthon",
  "Microsoft Edge": "edge",
  "MZ Browser": "mz",
  "NAVER Whale Browser": "naver",
  Opera: "opera",
  "Opera Coast": "opera_coast",
  PhantomJS: "phantomjs",
  Puffin: "puffin",
  QupZilla: "qupzilla",
  QQ: "qq",
  QQLite: "qqlite",
  Safari: "safari",
  Sailfish: "sailfish",
  "Samsung Internet for Android": "samsung_internet",
  SeaMonkey: "seamonkey",
  Sleipnir: "sleipnir",
  Swing: "swing",
  Tizen: "tizen",
  "UC Browser": "uc",
  Vivaldi: "vivaldi",
  "WebOS Browser": "webos",
  WeChat: "wechat",
  "Yandex Browser": "yandex",
  Roku: "roku"
};
const BROWSER_MAP = {
  amazon_silk: "Amazon Silk",
  android: "Android Browser",
  bada: "Bada",
  blackberry: "BlackBerry",
  chrome: "Chrome",
  chromium: "Chromium",
  electron: "Electron",
  epiphany: "Epiphany",
  firefox: "Firefox",
  focus: "Focus",
  generic: "Generic",
  googlebot: "Googlebot",
  google_search: "Google Search",
  ie: "Internet Explorer",
  k_meleon: "K-Meleon",
  maxthon: "Maxthon",
  edge: "Microsoft Edge",
  mz: "MZ Browser",
  naver: "NAVER Whale Browser",
  opera: "Opera",
  opera_coast: "Opera Coast",
  phantomjs: "PhantomJS",
  puffin: "Puffin",
  qupzilla: "QupZilla",
  qq: "QQ Browser",
  qqlite: "QQ Browser Lite",
  safari: "Safari",
  sailfish: "Sailfish",
  samsung_internet: "Samsung Internet for Android",
  seamonkey: "SeaMonkey",
  sleipnir: "Sleipnir",
  swing: "Swing",
  tizen: "Tizen",
  uc: "UC Browser",
  vivaldi: "Vivaldi",
  webos: "WebOS Browser",
  wechat: "WeChat",
  yandex: "Yandex Browser"
};
const PLATFORMS_MAP = {
  tablet: "tablet",
  mobile: "mobile",
  desktop: "desktop",
  tv: "tv"
};
const OS_MAP = {
  WindowsPhone: "Windows Phone",
  Windows: "Windows",
  MacOS: "macOS",
  iOS: "iOS",
  Android: "Android",
  WebOS: "WebOS",
  BlackBerry: "BlackBerry",
  Bada: "Bada",
  Tizen: "Tizen",
  Linux: "Linux",
  ChromeOS: "Chrome OS",
  PlayStation4: "PlayStation 4",
  Roku: "Roku"
};
const ENGINE_MAP = {
  EdgeHTML: "EdgeHTML",
  Blink: "Blink",
  Trident: "Trident",
  Presto: "Presto",
  Gecko: "Gecko",
  WebKit: "WebKit"
};
class Utils {
  static getFirstMatch(regexp, ua) {
    const match = ua.match(regexp);
    return match && match.length > 0 && match[1] || "";
  }
  static getSecondMatch(regexp, ua) {
    const match = ua.match(regexp);
    return match && match.length > 1 && match[2] || "";
  }
  static matchAndReturnConst(regexp, ua, _const2) {
    if (regexp.test(ua)) {
      return _const2;
    }
    return void 0;
  }
  static getWindowsVersionName(version2) {
    switch (version2) {
      case "NT":
        return "NT";
      case "XP":
        return "XP";
      case "NT 5.0":
        return "2000";
      case "NT 5.1":
        return "XP";
      case "NT 5.2":
        return "2003";
      case "NT 6.0":
        return "Vista";
      case "NT 6.1":
        return "7";
      case "NT 6.2":
        return "8";
      case "NT 6.3":
        return "8.1";
      case "NT 10.0":
        return "10";
      default:
        return void 0;
    }
  }
  static getMacOSVersionName(version2) {
    const v2 = version2.split(".").splice(0, 2).map((s) => parseInt(s, 10) || 0);
    v2.push(0);
    if (v2[0] !== 10)
      return void 0;
    switch (v2[1]) {
      case 5:
        return "Leopard";
      case 6:
        return "Snow Leopard";
      case 7:
        return "Lion";
      case 8:
        return "Mountain Lion";
      case 9:
        return "Mavericks";
      case 10:
        return "Yosemite";
      case 11:
        return "El Capitan";
      case 12:
        return "Sierra";
      case 13:
        return "High Sierra";
      case 14:
        return "Mojave";
      case 15:
        return "Catalina";
      default:
        return void 0;
    }
  }
  static getAndroidVersionName(version2) {
    const v2 = version2.split(".").splice(0, 2).map((s) => parseInt(s, 10) || 0);
    v2.push(0);
    if (v2[0] === 1 && v2[1] < 5)
      return void 0;
    if (v2[0] === 1 && v2[1] < 6)
      return "Cupcake";
    if (v2[0] === 1 && v2[1] >= 6)
      return "Donut";
    if (v2[0] === 2 && v2[1] < 2)
      return "Eclair";
    if (v2[0] === 2 && v2[1] === 2)
      return "Froyo";
    if (v2[0] === 2 && v2[1] > 2)
      return "Gingerbread";
    if (v2[0] === 3)
      return "Honeycomb";
    if (v2[0] === 4 && v2[1] < 1)
      return "Ice Cream Sandwich";
    if (v2[0] === 4 && v2[1] < 4)
      return "Jelly Bean";
    if (v2[0] === 4 && v2[1] >= 4)
      return "KitKat";
    if (v2[0] === 5)
      return "Lollipop";
    if (v2[0] === 6)
      return "Marshmallow";
    if (v2[0] === 7)
      return "Nougat";
    if (v2[0] === 8)
      return "Oreo";
    if (v2[0] === 9)
      return "Pie";
    return void 0;
  }
  static getVersionPrecision(version2) {
    return version2.split(".").length;
  }
  static compareVersions(versionA, versionB, isLoose = false) {
    const versionAPrecision = Utils.getVersionPrecision(versionA);
    const versionBPrecision = Utils.getVersionPrecision(versionB);
    let precision = Math.max(versionAPrecision, versionBPrecision);
    let lastPrecision = 0;
    const chunks = Utils.map([versionA, versionB], (version2) => {
      const delta = precision - Utils.getVersionPrecision(version2);
      const _version = version2 + new Array(delta + 1).join(".0");
      return Utils.map(_version.split("."), (chunk) => new Array(20 - chunk.length).join("0") + chunk).reverse();
    });
    if (isLoose) {
      lastPrecision = precision - Math.min(versionAPrecision, versionBPrecision);
    }
    precision -= 1;
    while (precision >= lastPrecision) {
      if (chunks[0][precision] > chunks[1][precision]) {
        return 1;
      }
      if (chunks[0][precision] === chunks[1][precision]) {
        if (precision === lastPrecision) {
          return 0;
        }
        precision -= 1;
      } else if (chunks[0][precision] < chunks[1][precision]) {
        return -1;
      }
    }
    return void 0;
  }
  static map(arr, iterator) {
    const result = [];
    let i;
    if (Array.prototype.map) {
      return Array.prototype.map.call(arr, iterator);
    }
    for (i = 0; i < arr.length; i += 1) {
      result.push(iterator(arr[i]));
    }
    return result;
  }
  static find(arr, predicate) {
    let i;
    let l2;
    if (Array.prototype.find) {
      return Array.prototype.find.call(arr, predicate);
    }
    for (i = 0, l2 = arr.length; i < l2; i += 1) {
      const value = arr[i];
      if (predicate(value, i)) {
        return value;
      }
    }
    return void 0;
  }
  static assign(obj, ...assigners) {
    const result = obj;
    let i;
    let l2;
    if (Object.assign) {
      return Object.assign(obj, ...assigners);
    }
    for (i = 0, l2 = assigners.length; i < l2; i += 1) {
      const assigner = assigners[i];
      if (typeof assigner === "object" && assigner !== null) {
        const keys2 = Object.keys(assigner);
        keys2.forEach((key) => {
          result[key] = assigner[key];
        });
      }
    }
    return obj;
  }
  static getBrowserAlias(browserName) {
    return BROWSER_ALIASES_MAP[browserName];
  }
  static getBrowserTypeByAlias(browserAlias) {
    return BROWSER_MAP[browserAlias] || "";
  }
}
const commonVersionIdentifier = /version\/(\d+(\.?_?\d+)+)/i;
const browsersList = [
  {
    test: [/googlebot/i],
    describe(ua) {
      const browser2 = {
        name: "Googlebot"
      };
      const version2 = Utils.getFirstMatch(/googlebot\/(\d+(\.\d+))/i, ua) || Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/opera/i],
    describe(ua) {
      const browser2 = {
        name: "Opera"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua) || Utils.getFirstMatch(/(?:opera)[\s/](\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/opr\/|opios/i],
    describe(ua) {
      const browser2 = {
        name: "Opera"
      };
      const version2 = Utils.getFirstMatch(/(?:opr|opios)[\s/](\S+)/i, ua) || Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/SamsungBrowser/i],
    describe(ua) {
      const browser2 = {
        name: "Samsung Internet for Android"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua) || Utils.getFirstMatch(/(?:SamsungBrowser)[\s/](\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/Whale/i],
    describe(ua) {
      const browser2 = {
        name: "NAVER Whale Browser"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua) || Utils.getFirstMatch(/(?:whale)[\s/](\d+(?:\.\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/MZBrowser/i],
    describe(ua) {
      const browser2 = {
        name: "MZ Browser"
      };
      const version2 = Utils.getFirstMatch(/(?:MZBrowser)[\s/](\d+(?:\.\d+)+)/i, ua) || Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/focus/i],
    describe(ua) {
      const browser2 = {
        name: "Focus"
      };
      const version2 = Utils.getFirstMatch(/(?:focus)[\s/](\d+(?:\.\d+)+)/i, ua) || Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/swing/i],
    describe(ua) {
      const browser2 = {
        name: "Swing"
      };
      const version2 = Utils.getFirstMatch(/(?:swing)[\s/](\d+(?:\.\d+)+)/i, ua) || Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/coast/i],
    describe(ua) {
      const browser2 = {
        name: "Opera Coast"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua) || Utils.getFirstMatch(/(?:coast)[\s/](\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/opt\/\d+(?:.?_?\d+)+/i],
    describe(ua) {
      const browser2 = {
        name: "Opera Touch"
      };
      const version2 = Utils.getFirstMatch(/(?:opt)[\s/](\d+(\.?_?\d+)+)/i, ua) || Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/yabrowser/i],
    describe(ua) {
      const browser2 = {
        name: "Yandex Browser"
      };
      const version2 = Utils.getFirstMatch(/(?:yabrowser)[\s/](\d+(\.?_?\d+)+)/i, ua) || Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/ucbrowser/i],
    describe(ua) {
      const browser2 = {
        name: "UC Browser"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua) || Utils.getFirstMatch(/(?:ucbrowser)[\s/](\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/Maxthon|mxios/i],
    describe(ua) {
      const browser2 = {
        name: "Maxthon"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua) || Utils.getFirstMatch(/(?:Maxthon|mxios)[\s/](\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/epiphany/i],
    describe(ua) {
      const browser2 = {
        name: "Epiphany"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua) || Utils.getFirstMatch(/(?:epiphany)[\s/](\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/puffin/i],
    describe(ua) {
      const browser2 = {
        name: "Puffin"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua) || Utils.getFirstMatch(/(?:puffin)[\s/](\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/sleipnir/i],
    describe(ua) {
      const browser2 = {
        name: "Sleipnir"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua) || Utils.getFirstMatch(/(?:sleipnir)[\s/](\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/k-meleon/i],
    describe(ua) {
      const browser2 = {
        name: "K-Meleon"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua) || Utils.getFirstMatch(/(?:k-meleon)[\s/](\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/micromessenger/i],
    describe(ua) {
      const browser2 = {
        name: "WeChat"
      };
      const version2 = Utils.getFirstMatch(/(?:micromessenger)[\s/](\d+(\.?_?\d+)+)/i, ua) || Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/qqbrowser/i],
    describe(ua) {
      const browser2 = {
        name: /qqbrowserlite/i.test(ua) ? "QQ Browser Lite" : "QQ Browser"
      };
      const version2 = Utils.getFirstMatch(/(?:qqbrowserlite|qqbrowser)[/](\d+(\.?_?\d+)+)/i, ua) || Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/msie|trident/i],
    describe(ua) {
      const browser2 = {
        name: "Internet Explorer"
      };
      const version2 = Utils.getFirstMatch(/(?:msie |rv:)(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/\sedg\//i],
    describe(ua) {
      const browser2 = {
        name: "Microsoft Edge"
      };
      const version2 = Utils.getFirstMatch(/\sedg\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/edg([ea]|ios)/i],
    describe(ua) {
      const browser2 = {
        name: "Microsoft Edge"
      };
      const version2 = Utils.getSecondMatch(/edg([ea]|ios)\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/vivaldi/i],
    describe(ua) {
      const browser2 = {
        name: "Vivaldi"
      };
      const version2 = Utils.getFirstMatch(/vivaldi\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/seamonkey/i],
    describe(ua) {
      const browser2 = {
        name: "SeaMonkey"
      };
      const version2 = Utils.getFirstMatch(/seamonkey\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/sailfish/i],
    describe(ua) {
      const browser2 = {
        name: "Sailfish"
      };
      const version2 = Utils.getFirstMatch(/sailfish\s?browser\/(\d+(\.\d+)?)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/silk/i],
    describe(ua) {
      const browser2 = {
        name: "Amazon Silk"
      };
      const version2 = Utils.getFirstMatch(/silk\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/phantom/i],
    describe(ua) {
      const browser2 = {
        name: "PhantomJS"
      };
      const version2 = Utils.getFirstMatch(/phantomjs\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/slimerjs/i],
    describe(ua) {
      const browser2 = {
        name: "SlimerJS"
      };
      const version2 = Utils.getFirstMatch(/slimerjs\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/blackberry|\bbb\d+/i, /rim\stablet/i],
    describe(ua) {
      const browser2 = {
        name: "BlackBerry"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua) || Utils.getFirstMatch(/blackberry[\d]+\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/(web|hpw)[o0]s/i],
    describe(ua) {
      const browser2 = {
        name: "WebOS Browser"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua) || Utils.getFirstMatch(/w(?:eb)?[o0]sbrowser\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/bada/i],
    describe(ua) {
      const browser2 = {
        name: "Bada"
      };
      const version2 = Utils.getFirstMatch(/dolfin\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/tizen/i],
    describe(ua) {
      const browser2 = {
        name: "Tizen"
      };
      const version2 = Utils.getFirstMatch(/(?:tizen\s?)?browser\/(\d+(\.?_?\d+)+)/i, ua) || Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/qupzilla/i],
    describe(ua) {
      const browser2 = {
        name: "QupZilla"
      };
      const version2 = Utils.getFirstMatch(/(?:qupzilla)[\s/](\d+(\.?_?\d+)+)/i, ua) || Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/firefox|iceweasel|fxios/i],
    describe(ua) {
      const browser2 = {
        name: "Firefox"
      };
      const version2 = Utils.getFirstMatch(/(?:firefox|iceweasel|fxios)[\s/](\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/electron/i],
    describe(ua) {
      const browser2 = {
        name: "Electron"
      };
      const version2 = Utils.getFirstMatch(/(?:electron)\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/MiuiBrowser/i],
    describe(ua) {
      const browser2 = {
        name: "Miui"
      };
      const version2 = Utils.getFirstMatch(/(?:MiuiBrowser)[\s/](\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/chromium/i],
    describe(ua) {
      const browser2 = {
        name: "Chromium"
      };
      const version2 = Utils.getFirstMatch(/(?:chromium)[\s/](\d+(\.?_?\d+)+)/i, ua) || Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/chrome|crios|crmo/i],
    describe(ua) {
      const browser2 = {
        name: "Chrome"
      };
      const version2 = Utils.getFirstMatch(/(?:chrome|crios|crmo)\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/GSA/i],
    describe(ua) {
      const browser2 = {
        name: "Google Search"
      };
      const version2 = Utils.getFirstMatch(/(?:GSA)\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test(parser) {
      const notLikeAndroid = !parser.test(/like android/i);
      const butAndroid = parser.test(/android/i);
      return notLikeAndroid && butAndroid;
    },
    describe(ua) {
      const browser2 = {
        name: "Android Browser"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/playstation 4/i],
    describe(ua) {
      const browser2 = {
        name: "PlayStation 4"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/safari|applewebkit/i],
    describe(ua) {
      const browser2 = {
        name: "Safari"
      };
      const version2 = Utils.getFirstMatch(commonVersionIdentifier, ua);
      if (version2) {
        browser2.version = version2;
      }
      return browser2;
    }
  },
  {
    test: [/.*/i],
    describe(ua) {
      const regexpWithoutDeviceSpec = /^(.*)\/(.*) /;
      const regexpWithDeviceSpec = /^(.*)\/(.*)[ \t]\((.*)/;
      const hasDeviceSpec = ua.search("\\(") !== -1;
      const regexp = hasDeviceSpec ? regexpWithDeviceSpec : regexpWithoutDeviceSpec;
      return {
        name: Utils.getFirstMatch(regexp, ua),
        version: Utils.getSecondMatch(regexp, ua)
      };
    }
  }
];
var osParsersList = [
  {
    test: [/Roku\/DVP/],
    describe(ua) {
      const version2 = Utils.getFirstMatch(/Roku\/DVP-(\d+\.\d+)/i, ua);
      return {
        name: OS_MAP.Roku,
        version: version2
      };
    }
  },
  {
    test: [/windows phone/i],
    describe(ua) {
      const version2 = Utils.getFirstMatch(/windows phone (?:os)?\s?(\d+(\.\d+)*)/i, ua);
      return {
        name: OS_MAP.WindowsPhone,
        version: version2
      };
    }
  },
  {
    test: [/windows /i],
    describe(ua) {
      const version2 = Utils.getFirstMatch(/Windows ((NT|XP)( \d\d?.\d)?)/i, ua);
      const versionName = Utils.getWindowsVersionName(version2);
      return {
        name: OS_MAP.Windows,
        version: version2,
        versionName
      };
    }
  },
  {
    test: [/Macintosh(.*?) FxiOS(.*?)\//],
    describe(ua) {
      const result = {
        name: OS_MAP.iOS
      };
      const version2 = Utils.getSecondMatch(/(Version\/)(\d[\d.]+)/, ua);
      if (version2) {
        result.version = version2;
      }
      return result;
    }
  },
  {
    test: [/macintosh/i],
    describe(ua) {
      const version2 = Utils.getFirstMatch(/mac os x (\d+(\.?_?\d+)+)/i, ua).replace(/[_\s]/g, ".");
      const versionName = Utils.getMacOSVersionName(version2);
      const os = {
        name: OS_MAP.MacOS,
        version: version2
      };
      if (versionName) {
        os.versionName = versionName;
      }
      return os;
    }
  },
  {
    test: [/(ipod|iphone|ipad)/i],
    describe(ua) {
      const version2 = Utils.getFirstMatch(/os (\d+([_\s]\d+)*) like mac os x/i, ua).replace(/[_\s]/g, ".");
      return {
        name: OS_MAP.iOS,
        version: version2
      };
    }
  },
  {
    test(parser) {
      const notLikeAndroid = !parser.test(/like android/i);
      const butAndroid = parser.test(/android/i);
      return notLikeAndroid && butAndroid;
    },
    describe(ua) {
      const version2 = Utils.getFirstMatch(/android[\s/-](\d+(\.\d+)*)/i, ua);
      const versionName = Utils.getAndroidVersionName(version2);
      const os = {
        name: OS_MAP.Android,
        version: version2
      };
      if (versionName) {
        os.versionName = versionName;
      }
      return os;
    }
  },
  {
    test: [/(web|hpw)[o0]s/i],
    describe(ua) {
      const version2 = Utils.getFirstMatch(/(?:web|hpw)[o0]s\/(\d+(\.\d+)*)/i, ua);
      const os = {
        name: OS_MAP.WebOS
      };
      if (version2 && version2.length) {
        os.version = version2;
      }
      return os;
    }
  },
  {
    test: [/blackberry|\bbb\d+/i, /rim\stablet/i],
    describe(ua) {
      const version2 = Utils.getFirstMatch(/rim\stablet\sos\s(\d+(\.\d+)*)/i, ua) || Utils.getFirstMatch(/blackberry\d+\/(\d+([_\s]\d+)*)/i, ua) || Utils.getFirstMatch(/\bbb(\d+)/i, ua);
      return {
        name: OS_MAP.BlackBerry,
        version: version2
      };
    }
  },
  {
    test: [/bada/i],
    describe(ua) {
      const version2 = Utils.getFirstMatch(/bada\/(\d+(\.\d+)*)/i, ua);
      return {
        name: OS_MAP.Bada,
        version: version2
      };
    }
  },
  {
    test: [/tizen/i],
    describe(ua) {
      const version2 = Utils.getFirstMatch(/tizen[/\s](\d+(\.\d+)*)/i, ua);
      return {
        name: OS_MAP.Tizen,
        version: version2
      };
    }
  },
  {
    test: [/linux/i],
    describe() {
      return {
        name: OS_MAP.Linux
      };
    }
  },
  {
    test: [/CrOS/],
    describe() {
      return {
        name: OS_MAP.ChromeOS
      };
    }
  },
  {
    test: [/PlayStation 4/],
    describe(ua) {
      const version2 = Utils.getFirstMatch(/PlayStation 4[/\s](\d+(\.\d+)*)/i, ua);
      return {
        name: OS_MAP.PlayStation4,
        version: version2
      };
    }
  }
];
var platformParsersList = [
  {
    test: [/googlebot/i],
    describe() {
      return {
        type: "bot",
        vendor: "Google"
      };
    }
  },
  {
    test: [/huawei/i],
    describe(ua) {
      const model = Utils.getFirstMatch(/(can-l01)/i, ua) && "Nova";
      const platform = {
        type: PLATFORMS_MAP.mobile,
        vendor: "Huawei"
      };
      if (model) {
        platform.model = model;
      }
      return platform;
    }
  },
  {
    test: [/nexus\s*(?:7|8|9|10).*/i],
    describe() {
      return {
        type: PLATFORMS_MAP.tablet,
        vendor: "Nexus"
      };
    }
  },
  {
    test: [/ipad/i],
    describe() {
      return {
        type: PLATFORMS_MAP.tablet,
        vendor: "Apple",
        model: "iPad"
      };
    }
  },
  {
    test: [/Macintosh(.*?) FxiOS(.*?)\//],
    describe() {
      return {
        type: PLATFORMS_MAP.tablet,
        vendor: "Apple",
        model: "iPad"
      };
    }
  },
  {
    test: [/kftt build/i],
    describe() {
      return {
        type: PLATFORMS_MAP.tablet,
        vendor: "Amazon",
        model: "Kindle Fire HD 7"
      };
    }
  },
  {
    test: [/silk/i],
    describe() {
      return {
        type: PLATFORMS_MAP.tablet,
        vendor: "Amazon"
      };
    }
  },
  {
    test: [/tablet(?! pc)/i],
    describe() {
      return {
        type: PLATFORMS_MAP.tablet
      };
    }
  },
  {
    test(parser) {
      const iDevice = parser.test(/ipod|iphone/i);
      const likeIDevice = parser.test(/like (ipod|iphone)/i);
      return iDevice && !likeIDevice;
    },
    describe(ua) {
      const model = Utils.getFirstMatch(/(ipod|iphone)/i, ua);
      return {
        type: PLATFORMS_MAP.mobile,
        vendor: "Apple",
        model
      };
    }
  },
  {
    test: [/nexus\s*[0-6].*/i, /galaxy nexus/i],
    describe() {
      return {
        type: PLATFORMS_MAP.mobile,
        vendor: "Nexus"
      };
    }
  },
  {
    test: [/[^-]mobi/i],
    describe() {
      return {
        type: PLATFORMS_MAP.mobile
      };
    }
  },
  {
    test(parser) {
      return parser.getBrowserName(true) === "blackberry";
    },
    describe() {
      return {
        type: PLATFORMS_MAP.mobile,
        vendor: "BlackBerry"
      };
    }
  },
  {
    test(parser) {
      return parser.getBrowserName(true) === "bada";
    },
    describe() {
      return {
        type: PLATFORMS_MAP.mobile
      };
    }
  },
  {
    test(parser) {
      return parser.getBrowserName() === "windows phone";
    },
    describe() {
      return {
        type: PLATFORMS_MAP.mobile,
        vendor: "Microsoft"
      };
    }
  },
  {
    test(parser) {
      const osMajorVersion = Number(String(parser.getOSVersion()).split(".")[0]);
      return parser.getOSName(true) === "android" && osMajorVersion >= 3;
    },
    describe() {
      return {
        type: PLATFORMS_MAP.tablet
      };
    }
  },
  {
    test(parser) {
      return parser.getOSName(true) === "android";
    },
    describe() {
      return {
        type: PLATFORMS_MAP.mobile
      };
    }
  },
  {
    test(parser) {
      return parser.getOSName(true) === "macos";
    },
    describe() {
      return {
        type: PLATFORMS_MAP.desktop,
        vendor: "Apple"
      };
    }
  },
  {
    test(parser) {
      return parser.getOSName(true) === "windows";
    },
    describe() {
      return {
        type: PLATFORMS_MAP.desktop
      };
    }
  },
  {
    test(parser) {
      return parser.getOSName(true) === "linux";
    },
    describe() {
      return {
        type: PLATFORMS_MAP.desktop
      };
    }
  },
  {
    test(parser) {
      return parser.getOSName(true) === "playstation 4";
    },
    describe() {
      return {
        type: PLATFORMS_MAP.tv
      };
    }
  },
  {
    test(parser) {
      return parser.getOSName(true) === "roku";
    },
    describe() {
      return {
        type: PLATFORMS_MAP.tv
      };
    }
  }
];
var enginesParsersList = [
  {
    test(parser) {
      return parser.getBrowserName(true) === "microsoft edge";
    },
    describe(ua) {
      const isBlinkBased = /\sedg\//i.test(ua);
      if (isBlinkBased) {
        return {
          name: ENGINE_MAP.Blink
        };
      }
      const version2 = Utils.getFirstMatch(/edge\/(\d+(\.?_?\d+)+)/i, ua);
      return {
        name: ENGINE_MAP.EdgeHTML,
        version: version2
      };
    }
  },
  {
    test: [/trident/i],
    describe(ua) {
      const engine = {
        name: ENGINE_MAP.Trident
      };
      const version2 = Utils.getFirstMatch(/trident\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        engine.version = version2;
      }
      return engine;
    }
  },
  {
    test(parser) {
      return parser.test(/presto/i);
    },
    describe(ua) {
      const engine = {
        name: ENGINE_MAP.Presto
      };
      const version2 = Utils.getFirstMatch(/presto\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        engine.version = version2;
      }
      return engine;
    }
  },
  {
    test(parser) {
      const isGecko = parser.test(/gecko/i);
      const likeGecko = parser.test(/like gecko/i);
      return isGecko && !likeGecko;
    },
    describe(ua) {
      const engine = {
        name: ENGINE_MAP.Gecko
      };
      const version2 = Utils.getFirstMatch(/gecko\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        engine.version = version2;
      }
      return engine;
    }
  },
  {
    test: [/(apple)?webkit\/537\.36/i],
    describe() {
      return {
        name: ENGINE_MAP.Blink
      };
    }
  },
  {
    test: [/(apple)?webkit/i],
    describe(ua) {
      const engine = {
        name: ENGINE_MAP.WebKit
      };
      const version2 = Utils.getFirstMatch(/webkit\/(\d+(\.?_?\d+)+)/i, ua);
      if (version2) {
        engine.version = version2;
      }
      return engine;
    }
  }
];
class Parser {
  constructor(UA, skipParsing = false) {
    if (UA === void 0 || UA === null || UA === "") {
      throw new Error("UserAgent parameter can't be empty");
    }
    this._ua = UA;
    this.parsedResult = {};
    if (skipParsing !== true) {
      this.parse();
    }
  }
  getUA() {
    return this._ua;
  }
  test(regex2) {
    return regex2.test(this._ua);
  }
  parseBrowser() {
    this.parsedResult.browser = {};
    const browserDescriptor = Utils.find(browsersList, (_browser) => {
      if (typeof _browser.test === "function") {
        return _browser.test(this);
      }
      if (_browser.test instanceof Array) {
        return _browser.test.some((condition) => this.test(condition));
      }
      throw new Error("Browser's test function is not valid");
    });
    if (browserDescriptor) {
      this.parsedResult.browser = browserDescriptor.describe(this.getUA());
    }
    return this.parsedResult.browser;
  }
  getBrowser() {
    if (this.parsedResult.browser) {
      return this.parsedResult.browser;
    }
    return this.parseBrowser();
  }
  getBrowserName(toLowerCase) {
    if (toLowerCase) {
      return String(this.getBrowser().name).toLowerCase() || "";
    }
    return this.getBrowser().name || "";
  }
  getBrowserVersion() {
    return this.getBrowser().version;
  }
  getOS() {
    if (this.parsedResult.os) {
      return this.parsedResult.os;
    }
    return this.parseOS();
  }
  parseOS() {
    this.parsedResult.os = {};
    const os = Utils.find(osParsersList, (_os) => {
      if (typeof _os.test === "function") {
        return _os.test(this);
      }
      if (_os.test instanceof Array) {
        return _os.test.some((condition) => this.test(condition));
      }
      throw new Error("Browser's test function is not valid");
    });
    if (os) {
      this.parsedResult.os = os.describe(this.getUA());
    }
    return this.parsedResult.os;
  }
  getOSName(toLowerCase) {
    const { name: name2 } = this.getOS();
    if (toLowerCase) {
      return String(name2).toLowerCase() || "";
    }
    return name2 || "";
  }
  getOSVersion() {
    return this.getOS().version;
  }
  getPlatform() {
    if (this.parsedResult.platform) {
      return this.parsedResult.platform;
    }
    return this.parsePlatform();
  }
  getPlatformType(toLowerCase = false) {
    const { type: type3 } = this.getPlatform();
    if (toLowerCase) {
      return String(type3).toLowerCase() || "";
    }
    return type3 || "";
  }
  parsePlatform() {
    this.parsedResult.platform = {};
    const platform = Utils.find(platformParsersList, (_platform) => {
      if (typeof _platform.test === "function") {
        return _platform.test(this);
      }
      if (_platform.test instanceof Array) {
        return _platform.test.some((condition) => this.test(condition));
      }
      throw new Error("Browser's test function is not valid");
    });
    if (platform) {
      this.parsedResult.platform = platform.describe(this.getUA());
    }
    return this.parsedResult.platform;
  }
  getEngine() {
    if (this.parsedResult.engine) {
      return this.parsedResult.engine;
    }
    return this.parseEngine();
  }
  getEngineName(toLowerCase) {
    if (toLowerCase) {
      return String(this.getEngine().name).toLowerCase() || "";
    }
    return this.getEngine().name || "";
  }
  parseEngine() {
    this.parsedResult.engine = {};
    const engine = Utils.find(enginesParsersList, (_engine) => {
      if (typeof _engine.test === "function") {
        return _engine.test(this);
      }
      if (_engine.test instanceof Array) {
        return _engine.test.some((condition) => this.test(condition));
      }
      throw new Error("Browser's test function is not valid");
    });
    if (engine) {
      this.parsedResult.engine = engine.describe(this.getUA());
    }
    return this.parsedResult.engine;
  }
  parse() {
    this.parseBrowser();
    this.parseOS();
    this.parsePlatform();
    this.parseEngine();
    return this;
  }
  getResult() {
    return Utils.assign({}, this.parsedResult);
  }
  satisfies(checkTree) {
    const platformsAndOSes = {};
    let platformsAndOSCounter = 0;
    const browsers = {};
    let browsersCounter = 0;
    const allDefinitions = Object.keys(checkTree);
    allDefinitions.forEach((key) => {
      const currentDefinition = checkTree[key];
      if (typeof currentDefinition === "string") {
        browsers[key] = currentDefinition;
        browsersCounter += 1;
      } else if (typeof currentDefinition === "object") {
        platformsAndOSes[key] = currentDefinition;
        platformsAndOSCounter += 1;
      }
    });
    if (platformsAndOSCounter > 0) {
      const platformsAndOSNames = Object.keys(platformsAndOSes);
      const OSMatchingDefinition = Utils.find(platformsAndOSNames, (name2) => this.isOS(name2));
      if (OSMatchingDefinition) {
        const osResult = this.satisfies(platformsAndOSes[OSMatchingDefinition]);
        if (osResult !== void 0) {
          return osResult;
        }
      }
      const platformMatchingDefinition = Utils.find(platformsAndOSNames, (name2) => this.isPlatform(name2));
      if (platformMatchingDefinition) {
        const platformResult = this.satisfies(platformsAndOSes[platformMatchingDefinition]);
        if (platformResult !== void 0) {
          return platformResult;
        }
      }
    }
    if (browsersCounter > 0) {
      const browserNames = Object.keys(browsers);
      const matchingDefinition = Utils.find(browserNames, (name2) => this.isBrowser(name2, true));
      if (matchingDefinition !== void 0) {
        return this.compareVersion(browsers[matchingDefinition]);
      }
    }
    return void 0;
  }
  isBrowser(browserName, includingAlias = false) {
    const defaultBrowserName = this.getBrowserName().toLowerCase();
    let browserNameLower = browserName.toLowerCase();
    const alias = Utils.getBrowserTypeByAlias(browserNameLower);
    if (includingAlias && alias) {
      browserNameLower = alias.toLowerCase();
    }
    return browserNameLower === defaultBrowserName;
  }
  compareVersion(version2) {
    let expectedResults = [0];
    let comparableVersion = version2;
    let isLoose = false;
    const currentBrowserVersion = this.getBrowserVersion();
    if (typeof currentBrowserVersion !== "string") {
      return void 0;
    }
    if (version2[0] === ">" || version2[0] === "<") {
      comparableVersion = version2.substr(1);
      if (version2[1] === "=") {
        isLoose = true;
        comparableVersion = version2.substr(2);
      } else {
        expectedResults = [];
      }
      if (version2[0] === ">") {
        expectedResults.push(1);
      } else {
        expectedResults.push(-1);
      }
    } else if (version2[0] === "=") {
      comparableVersion = version2.substr(1);
    } else if (version2[0] === "~") {
      isLoose = true;
      comparableVersion = version2.substr(1);
    }
    return expectedResults.indexOf(Utils.compareVersions(currentBrowserVersion, comparableVersion, isLoose)) > -1;
  }
  isOS(osName) {
    return this.getOSName(true) === String(osName).toLowerCase();
  }
  isPlatform(platformType) {
    return this.getPlatformType(true) === String(platformType).toLowerCase();
  }
  isEngine(engineName) {
    return this.getEngineName(true) === String(engineName).toLowerCase();
  }
  is(anything, includingAlias = false) {
    return this.isBrowser(anything, includingAlias) || this.isOS(anything) || this.isPlatform(anything);
  }
  some(anythings = []) {
    return anythings.some((anything) => this.is(anything));
  }
}
/*!
 * Bowser - a browser detector
 * https://github.com/lancedikson/bowser
 * MIT License | (c) Dustin Diaz 2012-2015
 * MIT License | (c) Denis Demchenko 2015-2019
 */
class Bowser {
  static getParser(UA, skipParsing = false) {
    if (typeof UA !== "string") {
      throw new Error("UserAgent should be a string");
    }
    return new Parser(UA, skipParsing);
  }
  static parse(UA) {
    return new Parser(UA).getResult();
  }
  static get BROWSER_MAP() {
    return BROWSER_MAP;
  }
  static get ENGINE_MAP() {
    return ENGINE_MAP;
  }
  static get OS_MAP() {
    return OS_MAP;
  }
  static get PLATFORMS_MAP() {
    return PLATFORMS_MAP;
  }
}
var lzString = { exports: {} };
(function(module2) {
  var LZString = function() {
    var f2 = String.fromCharCode;
    var keyStrBase64 = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";
    var keyStrUriSafe = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+-$";
    var baseReverseDic = {};
    function getBaseValue(alphabet, character) {
      if (!baseReverseDic[alphabet]) {
        baseReverseDic[alphabet] = {};
        for (var i = 0; i < alphabet.length; i++) {
          baseReverseDic[alphabet][alphabet.charAt(i)] = i;
        }
      }
      return baseReverseDic[alphabet][character];
    }
    var LZString2 = {
      compressToBase64: function(input) {
        if (input == null)
          return "";
        var res = LZString2._compress(input, 6, function(a) {
          return keyStrBase64.charAt(a);
        });
        switch (res.length % 4) {
          default:
          case 0:
            return res;
          case 1:
            return res + "===";
          case 2:
            return res + "==";
          case 3:
            return res + "=";
        }
      },
      decompressFromBase64: function(input) {
        if (input == null)
          return "";
        if (input == "")
          return null;
        return LZString2._decompress(input.length, 32, function(index2) {
          return getBaseValue(keyStrBase64, input.charAt(index2));
        });
      },
      compressToUTF16: function(input) {
        if (input == null)
          return "";
        return LZString2._compress(input, 15, function(a) {
          return f2(a + 32);
        }) + " ";
      },
      decompressFromUTF16: function(compressed) {
        if (compressed == null)
          return "";
        if (compressed == "")
          return null;
        return LZString2._decompress(compressed.length, 16384, function(index2) {
          return compressed.charCodeAt(index2) - 32;
        });
      },
      compressToUint8Array: function(uncompressed) {
        var compressed = LZString2.compress(uncompressed);
        var buf = new Uint8Array(compressed.length * 2);
        for (var i = 0, TotalLen = compressed.length; i < TotalLen; i++) {
          var current_value = compressed.charCodeAt(i);
          buf[i * 2] = current_value >>> 8;
          buf[i * 2 + 1] = current_value % 256;
        }
        return buf;
      },
      decompressFromUint8Array: function(compressed) {
        if (compressed === null || compressed === void 0) {
          return LZString2.decompress(compressed);
        } else {
          var buf = new Array(compressed.length / 2);
          for (var i = 0, TotalLen = buf.length; i < TotalLen; i++) {
            buf[i] = compressed[i * 2] * 256 + compressed[i * 2 + 1];
          }
          var result = [];
          buf.forEach(function(c2) {
            result.push(f2(c2));
          });
          return LZString2.decompress(result.join(""));
        }
      },
      compressToEncodedURIComponent: function(input) {
        if (input == null)
          return "";
        return LZString2._compress(input, 6, function(a) {
          return keyStrUriSafe.charAt(a);
        });
      },
      decompressFromEncodedURIComponent: function(input) {
        if (input == null)
          return "";
        if (input == "")
          return null;
        input = input.replace(/ /g, "+");
        return LZString2._decompress(input.length, 32, function(index2) {
          return getBaseValue(keyStrUriSafe, input.charAt(index2));
        });
      },
      compress: function(uncompressed) {
        return LZString2._compress(uncompressed, 16, function(a) {
          return f2(a);
        });
      },
      _compress: function(uncompressed, bitsPerChar, getCharFromInt) {
        if (uncompressed == null)
          return "";
        var i, value, context_dictionary = {}, context_dictionaryToCreate = {}, context_c = "", context_wc = "", context_w = "", context_enlargeIn = 2, context_dictSize = 3, context_numBits = 2, context_data = [], context_data_val = 0, context_data_position = 0, ii;
        for (ii = 0; ii < uncompressed.length; ii += 1) {
          context_c = uncompressed.charAt(ii);
          if (!Object.prototype.hasOwnProperty.call(context_dictionary, context_c)) {
            context_dictionary[context_c] = context_dictSize++;
            context_dictionaryToCreate[context_c] = true;
          }
          context_wc = context_w + context_c;
          if (Object.prototype.hasOwnProperty.call(context_dictionary, context_wc)) {
            context_w = context_wc;
          } else {
            if (Object.prototype.hasOwnProperty.call(context_dictionaryToCreate, context_w)) {
              if (context_w.charCodeAt(0) < 256) {
                for (i = 0; i < context_numBits; i++) {
                  context_data_val = context_data_val << 1;
                  if (context_data_position == bitsPerChar - 1) {
                    context_data_position = 0;
                    context_data.push(getCharFromInt(context_data_val));
                    context_data_val = 0;
                  } else {
                    context_data_position++;
                  }
                }
                value = context_w.charCodeAt(0);
                for (i = 0; i < 8; i++) {
                  context_data_val = context_data_val << 1 | value & 1;
                  if (context_data_position == bitsPerChar - 1) {
                    context_data_position = 0;
                    context_data.push(getCharFromInt(context_data_val));
                    context_data_val = 0;
                  } else {
                    context_data_position++;
                  }
                  value = value >> 1;
                }
              } else {
                value = 1;
                for (i = 0; i < context_numBits; i++) {
                  context_data_val = context_data_val << 1 | value;
                  if (context_data_position == bitsPerChar - 1) {
                    context_data_position = 0;
                    context_data.push(getCharFromInt(context_data_val));
                    context_data_val = 0;
                  } else {
                    context_data_position++;
                  }
                  value = 0;
                }
                value = context_w.charCodeAt(0);
                for (i = 0; i < 16; i++) {
                  context_data_val = context_data_val << 1 | value & 1;
                  if (context_data_position == bitsPerChar - 1) {
                    context_data_position = 0;
                    context_data.push(getCharFromInt(context_data_val));
                    context_data_val = 0;
                  } else {
                    context_data_position++;
                  }
                  value = value >> 1;
                }
              }
              context_enlargeIn--;
              if (context_enlargeIn == 0) {
                context_enlargeIn = Math.pow(2, context_numBits);
                context_numBits++;
              }
              delete context_dictionaryToCreate[context_w];
            } else {
              value = context_dictionary[context_w];
              for (i = 0; i < context_numBits; i++) {
                context_data_val = context_data_val << 1 | value & 1;
                if (context_data_position == bitsPerChar - 1) {
                  context_data_position = 0;
                  context_data.push(getCharFromInt(context_data_val));
                  context_data_val = 0;
                } else {
                  context_data_position++;
                }
                value = value >> 1;
              }
            }
            context_enlargeIn--;
            if (context_enlargeIn == 0) {
              context_enlargeIn = Math.pow(2, context_numBits);
              context_numBits++;
            }
            context_dictionary[context_wc] = context_dictSize++;
            context_w = String(context_c);
          }
        }
        if (context_w !== "") {
          if (Object.prototype.hasOwnProperty.call(context_dictionaryToCreate, context_w)) {
            if (context_w.charCodeAt(0) < 256) {
              for (i = 0; i < context_numBits; i++) {
                context_data_val = context_data_val << 1;
                if (context_data_position == bitsPerChar - 1) {
                  context_data_position = 0;
                  context_data.push(getCharFromInt(context_data_val));
                  context_data_val = 0;
                } else {
                  context_data_position++;
                }
              }
              value = context_w.charCodeAt(0);
              for (i = 0; i < 8; i++) {
                context_data_val = context_data_val << 1 | value & 1;
                if (context_data_position == bitsPerChar - 1) {
                  context_data_position = 0;
                  context_data.push(getCharFromInt(context_data_val));
                  context_data_val = 0;
                } else {
                  context_data_position++;
                }
                value = value >> 1;
              }
            } else {
              value = 1;
              for (i = 0; i < context_numBits; i++) {
                context_data_val = context_data_val << 1 | value;
                if (context_data_position == bitsPerChar - 1) {
                  context_data_position = 0;
                  context_data.push(getCharFromInt(context_data_val));
                  context_data_val = 0;
                } else {
                  context_data_position++;
                }
                value = 0;
              }
              value = context_w.charCodeAt(0);
              for (i = 0; i < 16; i++) {
                context_data_val = context_data_val << 1 | value & 1;
                if (context_data_position == bitsPerChar - 1) {
                  context_data_position = 0;
                  context_data.push(getCharFromInt(context_data_val));
                  context_data_val = 0;
                } else {
                  context_data_position++;
                }
                value = value >> 1;
              }
            }
            context_enlargeIn--;
            if (context_enlargeIn == 0) {
              context_enlargeIn = Math.pow(2, context_numBits);
              context_numBits++;
            }
            delete context_dictionaryToCreate[context_w];
          } else {
            value = context_dictionary[context_w];
            for (i = 0; i < context_numBits; i++) {
              context_data_val = context_data_val << 1 | value & 1;
              if (context_data_position == bitsPerChar - 1) {
                context_data_position = 0;
                context_data.push(getCharFromInt(context_data_val));
                context_data_val = 0;
              } else {
                context_data_position++;
              }
              value = value >> 1;
            }
          }
          context_enlargeIn--;
          if (context_enlargeIn == 0) {
            context_enlargeIn = Math.pow(2, context_numBits);
            context_numBits++;
          }
        }
        value = 2;
        for (i = 0; i < context_numBits; i++) {
          context_data_val = context_data_val << 1 | value & 1;
          if (context_data_position == bitsPerChar - 1) {
            context_data_position = 0;
            context_data.push(getCharFromInt(context_data_val));
            context_data_val = 0;
          } else {
            context_data_position++;
          }
          value = value >> 1;
        }
        while (true) {
          context_data_val = context_data_val << 1;
          if (context_data_position == bitsPerChar - 1) {
            context_data.push(getCharFromInt(context_data_val));
            break;
          } else
            context_data_position++;
        }
        return context_data.join("");
      },
      decompress: function(compressed) {
        if (compressed == null)
          return "";
        if (compressed == "")
          return null;
        return LZString2._decompress(compressed.length, 32768, function(index2) {
          return compressed.charCodeAt(index2);
        });
      },
      _decompress: function(length, resetValue, getNextValue) {
        var dictionary = [], enlargeIn = 4, dictSize = 4, numBits = 3, entry = "", result = [], i, w2, bits, resb, maxpower, power, c2, data2 = { val: getNextValue(0), position: resetValue, index: 1 };
        for (i = 0; i < 3; i += 1) {
          dictionary[i] = i;
        }
        bits = 0;
        maxpower = Math.pow(2, 2);
        power = 1;
        while (power != maxpower) {
          resb = data2.val & data2.position;
          data2.position >>= 1;
          if (data2.position == 0) {
            data2.position = resetValue;
            data2.val = getNextValue(data2.index++);
          }
          bits |= (resb > 0 ? 1 : 0) * power;
          power <<= 1;
        }
        switch (bits) {
          case 0:
            bits = 0;
            maxpower = Math.pow(2, 8);
            power = 1;
            while (power != maxpower) {
              resb = data2.val & data2.position;
              data2.position >>= 1;
              if (data2.position == 0) {
                data2.position = resetValue;
                data2.val = getNextValue(data2.index++);
              }
              bits |= (resb > 0 ? 1 : 0) * power;
              power <<= 1;
            }
            c2 = f2(bits);
            break;
          case 1:
            bits = 0;
            maxpower = Math.pow(2, 16);
            power = 1;
            while (power != maxpower) {
              resb = data2.val & data2.position;
              data2.position >>= 1;
              if (data2.position == 0) {
                data2.position = resetValue;
                data2.val = getNextValue(data2.index++);
              }
              bits |= (resb > 0 ? 1 : 0) * power;
              power <<= 1;
            }
            c2 = f2(bits);
            break;
          case 2:
            return "";
        }
        dictionary[3] = c2;
        w2 = c2;
        result.push(c2);
        while (true) {
          if (data2.index > length) {
            return "";
          }
          bits = 0;
          maxpower = Math.pow(2, numBits);
          power = 1;
          while (power != maxpower) {
            resb = data2.val & data2.position;
            data2.position >>= 1;
            if (data2.position == 0) {
              data2.position = resetValue;
              data2.val = getNextValue(data2.index++);
            }
            bits |= (resb > 0 ? 1 : 0) * power;
            power <<= 1;
          }
          switch (c2 = bits) {
            case 0:
              bits = 0;
              maxpower = Math.pow(2, 8);
              power = 1;
              while (power != maxpower) {
                resb = data2.val & data2.position;
                data2.position >>= 1;
                if (data2.position == 0) {
                  data2.position = resetValue;
                  data2.val = getNextValue(data2.index++);
                }
                bits |= (resb > 0 ? 1 : 0) * power;
                power <<= 1;
              }
              dictionary[dictSize++] = f2(bits);
              c2 = dictSize - 1;
              enlargeIn--;
              break;
            case 1:
              bits = 0;
              maxpower = Math.pow(2, 16);
              power = 1;
              while (power != maxpower) {
                resb = data2.val & data2.position;
                data2.position >>= 1;
                if (data2.position == 0) {
                  data2.position = resetValue;
                  data2.val = getNextValue(data2.index++);
                }
                bits |= (resb > 0 ? 1 : 0) * power;
                power <<= 1;
              }
              dictionary[dictSize++] = f2(bits);
              c2 = dictSize - 1;
              enlargeIn--;
              break;
            case 2:
              return result.join("");
          }
          if (enlargeIn == 0) {
            enlargeIn = Math.pow(2, numBits);
            numBits++;
          }
          if (dictionary[c2]) {
            entry = dictionary[c2];
          } else {
            if (c2 === dictSize) {
              entry = w2 + w2.charAt(0);
            } else {
              return null;
            }
          }
          result.push(entry);
          dictionary[dictSize++] = w2 + entry.charAt(0);
          enlargeIn--;
          w2 = entry;
          if (enlargeIn == 0) {
            enlargeIn = Math.pow(2, numBits);
            numBits++;
          }
        }
      }
    };
    return LZString2;
  }();
  if (module2 != null) {
    module2.exports = LZString;
  }
})(lzString);
var CURRENT_VERSION = "0.0.1";
var VITESSCE_CONF_QUERY_STRING = "vitessce_conf";
var VERSION_QUERY_STRING = "vitessce_conf_version";
var LENGTH_QUERY_STRING = "vitessce_conf_length";
function sniffBrowser() {
  var _Bowser$parse = Bowser.parse(window.navigator.userAgent), browser2 = _Bowser$parse.browser;
  return browser2.name;
}
var MAX_BROWSER_URL_LENGTHS = {
  Chrome: 32779,
  "Internet Explorer": 2047,
  Edge: 2047,
  Safari: 65e3,
  Firefox: 65e3
};
var CompressedConfLengthError = function CompressedConfLengthError2(message) {
  _classCallCheck$5(this, CompressedConfLengthError2);
  this.message = message;
};
function encodeConfInUrl(_ref) {
  var conf = _ref.conf, _ref$onOverMaximumUrl = _ref.onOverMaximumUrlLength, onOverMaximumUrlLength = _ref$onOverMaximumUrl === void 0 ? function() {
  } : _ref$onOverMaximumUrl;
  var compressedConf = lzString.exports.compressToEncodedURIComponent(JSON.stringify(conf));
  var newParams = "".concat(LENGTH_QUERY_STRING, "=").concat(compressedConf.length, "&").concat(VERSION_QUERY_STRING, "=").concat(CURRENT_VERSION, "&").concat(VITESSCE_CONF_QUERY_STRING, "=").concat(compressedConf);
  var browser2 = sniffBrowser();
  var maxLength = MAX_BROWSER_URL_LENGTHS[browser2];
  if (newParams.length > maxLength) {
    var willWorkOn = Object.entries(MAX_BROWSER_URL_LENGTHS).filter(function(entry) {
      return entry[1] > newParams.length;
    }).map(function(entry) {
      return entry[0];
    });
    var message = "Configuration is ".concat(compressedConf.length, " characters; max URL for ").concat(browser2, " is ").concat(maxLength, ": it will work on ").concat(willWorkOn.join(", ") || "no browser", ".");
    console.error(message);
    onOverMaximumUrlLength({
      message,
      willWorkOn
    });
  }
  return newParams;
}
function decodeURLParamsToConf(queryString) {
  var params = new URLSearchParams(queryString.replace("#", "&"));
  var compressedConfString = params.get(VITESSCE_CONF_QUERY_STRING);
  var expectedConfLength = Number(params.get(LENGTH_QUERY_STRING));
  if (expectedConfLength !== compressedConfString.length) {
    throw new CompressedConfLengthError("Compressed conf length (".concat(compressedConfString.length, ") != expected (").concat(expectedConfLength, "). URL truncated?"));
  }
  var version2 = params.get(VERSION_QUERY_STRING);
  if (version2 === CURRENT_VERSION) {
    var conf = JSON.parse(lzString.exports.decompressFromEncodedURIComponent(compressedConfString));
    return conf;
  }
  throw new Error("Unrecognized URL Param Version");
}
var Component$1 = {};
var DataType$1 = {};
var FileType$1 = {};
function makeChangeMessage(newTypeName, newVersion) {
  return "This coordination type was changed to ".concat(newTypeName, " in view config schema version ").concat(newVersion);
}
var CoordinationType$1 = {
  SPATIAL_LAYERS: ["spatialLayers", "This coordination type was split into multiple coordination types in view config schema version 1.0.1"],
  SPATIAL_RASTER_LAYERS: ["spatialRasterLayers", makeChangeMessage("spatialImageLayer", "1.0.11")],
  SPATIAL_CELLS_LAYER: ["spatialCellsLayer", makeChangeMessage("spatialSegmentationLayer", "1.0.11")],
  SPATIAL_MOLECULES_LAYER: ["spatialMoleculesLayer", makeChangeMessage("spatialPointLayer", "1.0.11")],
  SPATIAL_NEIGHBORHOODS_LAYER: ["spatialNeighborhoodsLayer", makeChangeMessage("spatialNeighborhoodLayer", "1.0.11")],
  EMBEDDING_CELL_SET_POLYGONS_VISIBLE: ["embeddingCellSetPolygonsVisible", makeChangeMessage("embeddingObsSetPolygonsVisible", "1.0.11")],
  EMBEDDING_CELL_SET_LABELS_VISIBLE: ["embeddingCellSetLabelsVisible", makeChangeMessage("embeddingObsSetLabelsVisible", "1.0.11")],
  EMBEDDING_CELL_SET_LABEL_SIZE: ["embeddingCellSetLabelSize", makeChangeMessage("embeddingObsSetLabelSize", "1.0.11")],
  EMBEDDING_CELL_RADIUS: ["embeddingCellRadius", makeChangeMessage("embeddingObsRadius", "1.0.11")],
  EMBEDDING_CELL_RADIUS_MODE: ["embeddingCellRadiusMode", makeChangeMessage("embeddingObsRadiusMode", "1.0.11")],
  EMBEDDING_CELL_OPACITY: ["embeddingCellOpacity", makeChangeMessage("embeddingObsOpacity", "1.0.11")],
  EMBEDDING_CELL_OPACITY_MODE: ["embeddingCellOpacityMode", makeChangeMessage("embeddingObsOpacityMode", "1.0.11")],
  CELL_FILTER: ["cellFilter", makeChangeMessage("obsFilter", "1.0.11")],
  CELL_HIGHLIGHT: ["cellHighlight", makeChangeMessage("obsHighlight", "1.0.11")],
  CELL_SET_SELECTION: ["cellSetSelection", makeChangeMessage("obsSetSelection", "1.0.11")],
  CELL_SET_HIGHLIGHT: ["cellSetHighlight", makeChangeMessage("obsSetHighlight", "1.0.11")],
  CELL_SET_COLOR: ["cellSetColor", makeChangeMessage("obsSetColor", "1.0.11")],
  CELL_COLOR_ENCODING: ["cellColorEncoding", makeChangeMessage("obsColorEncoding", "1.0.11")],
  ADDITIONAL_CELL_SETS: ["additionalCellSets", makeChangeMessage("additionalObsSets", "1.0.11")],
  GENE_FILTER: ["geneFilter", makeChangeMessage("featureFilter", "1.0.11")],
  GENE_HIGHLIGHT: ["geneHighlight", makeChangeMessage("featureHighlight", "1.0.11")],
  GENE_SELECTION: ["geneSelection", makeChangeMessage("featureSelection", "1.0.11")],
  GENE_EXPRESSION_COLORMAP: ["geneExpressionColormap", makeChangeMessage("featureValueColormap", "1.0.11")],
  GENE_EXPRESSION_TRANSFORM: ["geneExpressionTransform", makeChangeMessage("featureValueTransform", "1.0.11")],
  GENE_EXPRESSION_COLORMAP_RANGE: ["geneExpressionColormapRange", makeChangeMessage("featureValueColormapRange", "1.0.11")]
};
function makeConstantWithDeprecationMessage(currObj, oldObj) {
  var handler = {
    get: function get2(obj, prop) {
      var oldKeys = Object.keys(oldObj);
      if (oldKeys.includes(prop)) {
        console.warn("Notice about the constant mapping ".concat(prop, ": '").concat(oldObj[prop][0], "':\n").concat(oldObj[prop][1]));
        return oldObj[prop];
      }
      return obj[prop];
    }
  };
  var objWithMessage = new Proxy(currObj, handler);
  return objWithMessage;
}
var Component = makeConstantWithDeprecationMessage(Component$2, Component$1);
var DataType = makeConstantWithDeprecationMessage(DataType$2, DataType$1);
var FileType = makeConstantWithDeprecationMessage(FileType$2, FileType$1);
var CoordinationType = makeConstantWithDeprecationMessage(CoordinationType$2, CoordinationType$1);
export { AbstractTwoStepLoader, Component, CoordinationType, DataType, FileType, JsonLoader, JsonSource, LoaderResult, TitleInfo, Vitessce, VitessceConfig, decodeURLParamsToConf, encodeConfInUrl, hconcat, registerPluginCoordinationType, registerPluginFileType, registerPluginViewType, useComplexCoordination, useComponentHover, useComponentViewInfo, useCoordination, useDatasetUids, useDescription, useLoaders, useMatchingLoader, useMultiDatasetCoordination, useReady, useSetComponentHover, useSetComponentViewInfo, useSetWarning, useUrls, useViewConfigStore, useViewConfigStoreApi, useWarning, vconcat };
